// tcl wrapper for vtkKWLookmarkFolder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWLookmarkFolder.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWLookmarkFolderNewCommand()
{
  vtkKWLookmarkFolder *temp = vtkKWLookmarkFolder::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWLookmarkFolderCppCommand(vtkKWLookmarkFolder *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWLookmarkFolderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWLookmarkFolderCppCommand((vtkKWLookmarkFolder *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWLookmarkFolderCppCommand(vtkKWLookmarkFolder *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWLookmarkFolder",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWLookmarkFolder  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLookmarkFolder");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWLookmarkFolder  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLookmarkFolder");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWLookmarkFolder  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLookmarkFolder");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EditCallback",argv[1]))&&(argc == 2))
    {
    op->EditCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeName",argv[1]))&&(argc == 2))
    {
    op->ChangeName();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveFolder",argv[1]))&&(argc == 2))
    {
    op->RemoveFolder();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectCallback",argv[1]))&&(argc == 2))
    {
    op->SelectCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToggleNestedLabels",argv[1]))&&(argc == 4))
    {
    vtkKWWidget  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ToggleNestedLabels(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToggleNestedCheckBoxes",argv[1]))&&(argc == 4))
    {
    vtkKWWidget  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ToggleNestedCheckBoxes(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFolderName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFolderName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFolderName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFolderName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMacroFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMacroFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMacroFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMacroFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMainFrameCollapsedState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMainFrameCollapsedState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMainFrameCollapsedState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMainFrameCollapsedState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLocation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetLabelFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("GetSeparatorFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetSeparatorFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetNestedSeparatorFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetNestedSeparatorFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetCheckbox",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetCheckbox();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("Pack",argv[1]))&&(argc == 2))
    {
    op->Pack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateWidgetValues",argv[1]))&&(argc == 2))
    {
    op->UpdateWidgetValues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVariableValues",argv[1]))&&(argc == 2))
    {
    op->UpdateVariableValues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DragAndDropStartCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->DragAndDropStartCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DragAndDropEndCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->DragAndDropEndCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DragAndDropPerformCommand",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    vtkKWWidget  *temp2;
    vtkKWWidget  *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkKWWidget",interp,error));
    temp3 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->DragAndDropPerformCommand(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDragAndDropTargetCues",argv[1]))&&(argc == 2))
    {
    op->RemoveDragAndDropTargetCues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWLookmarkFolderCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWLookmarkFolder:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EditCallback\n",NULL);
    Tcl_AppendResult(interp,"  ChangeName\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFolder\n",NULL);
    Tcl_AppendResult(interp,"  SelectCallback\n",NULL);
    Tcl_AppendResult(interp,"  ToggleNestedLabels\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ToggleNestedCheckBoxes\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFolderName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFolderName\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionState\n",NULL);
    Tcl_AppendResult(interp,"  SetMacroFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMacroFlag\n",NULL);
    Tcl_AppendResult(interp,"  GetMainFrameCollapsedState\n",NULL);
    Tcl_AppendResult(interp,"  SetMainFrameCollapsedState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLocation\n",NULL);
    Tcl_AppendResult(interp,"  SetLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetSeparatorFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetNestedSeparatorFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckbox\n",NULL);
    Tcl_AppendResult(interp,"  Pack\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWidgetValues\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVariableValues\n",NULL);
    Tcl_AppendResult(interp,"  DragAndDropStartCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DragAndDropEndCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DragAndDropPerformCommand\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDragAndDropTargetCues\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
