// tcl wrapper for vtkKWView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWView.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWViewCppCommand(vtkKWView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWViewCppCommand((vtkKWView *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWViewCppCommand(vtkKWView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWView",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWView");
    return TCL_OK;
    }
  if ((!strcmp("SetupBindings",argv[1]))&&(argc == 2))
    {
    op->SetupBindings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInExpose",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInExpose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInExpose",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInExpose();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AButtonPress",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AButtonPress(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AButtonRelease",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AButtonRelease(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AShiftButtonPress",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AShiftButtonPress(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AShiftButtonRelease",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AShiftButtonRelease(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AControlButtonPress",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AControlButtonPress(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AControlButtonRelease",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AControlButtonRelease(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AKeyPress",argv[1]))&&(argc == 5))
    {
    char     temp0;
    int      temp1;
    int      temp2;
    error = 0;

    temp0 = *(argv[2]);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AKeyPress(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Button1Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Button1Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Button2Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Button2Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Button3Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Button3Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShiftButton1Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ShiftButton1Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShiftButton2Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ShiftButton2Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShiftButton3Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ShiftButton3Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ControlButton1Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ControlButton1Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ControlButton2Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ControlButton2Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ControlButton3Motion",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ControlButton3Motion(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Exposed",argv[1]))&&(argc == 2))
    {
    op->Exposed();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Enter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Enter(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EditCopy",argv[1]))&&(argc == 2))
    {
    op->EditCopy();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAsImage",argv[1]))&&(argc == 2))
    {
    op->SaveAsImage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAsImage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveAsImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintView",argv[1]))&&(argc == 2))
    {
    op->PrintView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPrinting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPrinting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPrinting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPrinting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParentWindow",argv[1]))&&(argc == 2))
    {
    vtkKWWindow  *temp20;
    temp20 = (op)->GetParentWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetParentWindow",argv[1]))&&(argc == 3))
    {
    vtkKWWindow  *temp0;
    error = 0;

    temp0 = (vtkKWWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindow",interp,error));
    if (!error)
    {
    op->SetParentWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResumeScreenRendering",argv[1]))&&(argc == 2))
    {
    op->ResumeScreenRendering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPropertiesParent",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetPropertiesParent();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetPropertiesParent",argv[1]))&&(argc == 3))
    {
    vtkKWFrame  *temp0;
    error = 0;

    temp0 = (vtkKWFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWFrame",interp,error));
    if (!error)
    {
    op->SetPropertiesParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateDefaultPropertiesParent",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultPropertiesParent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PackProperties",argv[1]))&&(argc == 2))
    {
    op->PackProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVTKWidget",argv[1]))&&(argc == 2))
    {
    vtkKWWidget  *temp20;
    temp20 = (op)->GetVTKWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 3))
    {
    vtkKWWindow  *temp0;
    error = 0;

    temp0 = (vtkKWWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindow",interp,error));
    if (!error)
    {
    op->Select(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Deselect",argv[1]))&&(argc == 3))
    {
    vtkKWWindow  *temp0;
    error = 0;

    temp0 = (vtkKWWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindow",interp,error));
    if (!error)
    {
    op->Deselect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MakeSelected",argv[1]))&&(argc == 2))
    {
    op->MakeSelected();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowViewProperties",argv[1]))&&(argc == 2))
    {
    op->ShowViewProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNotebook",argv[1]))&&(argc == 2))
    {
    vtkKWNotebook  *temp20;
    temp20 = (op)->GetNotebook();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWNotebook");
    return TCL_OK;
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateViewProperties",argv[1]))&&(argc == 2))
    {
    op->CreateViewProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCornerAnnotation",argv[1]))&&(argc == 2))
    {
    vtkPVCornerAnnotationEditor  *temp20;
    temp20 = (op)->GetCornerAnnotation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCornerAnnotationEditor");
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveUpdateRate",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteractiveUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveUpdateRate",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetInteractiveUpdateRate();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfStillUpdates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfStillUpdates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStillUpdateRate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetStillUpdateRate(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToInteractive",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToInteractive();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToStill",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToStill();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToSingle",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToSingle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToDisabled",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToDisabled();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderStateMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderStateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderStateMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderStateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderStateOn",argv[1]))&&(argc == 2))
    {
    op->RenderStateOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderStateOff",argv[1]))&&(argc == 2))
    {
    op->RenderStateOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCornerTextColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCornerTextColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InteractOn",argv[1]))&&(argc == 2))
    {
    op->InteractOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractOff",argv[1]))&&(argc == 2))
    {
    op->InteractOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRendererBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetRendererBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMenuEntryName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMenuEntryName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMenuEntryName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMenuEntryName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMenuEntryHelp",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMenuEntryHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMenuEntryHelp",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMenuEntryHelp();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMenuEntryUnderline",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMenuEntryUnderline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMenuEntryUnderline",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMenuEntryUnderline();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSupportSaveAsImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportSaveAsImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportSaveAsImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportSaveAsImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportSaveAsImageOn",argv[1]))&&(argc == 2))
    {
    op->SupportSaveAsImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportSaveAsImageOff",argv[1]))&&(argc == 2))
    {
    op->SupportSaveAsImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSupportPrint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportPrint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportPrint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportPrint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportPrintOn",argv[1]))&&(argc == 2))
    {
    op->SupportPrintOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportPrintOff",argv[1]))&&(argc == 2))
    {
    op->SupportPrintOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSupportCopy",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportCopy",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportCopy();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportCopyOn",argv[1]))&&(argc == 2))
    {
    op->SupportCopyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportCopyOff",argv[1]))&&(argc == 2))
    {
    op->SupportCopyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSupportControlFrame",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportControlFrame(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportControlFrame",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportControlFrame();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportControlFrameOn",argv[1]))&&(argc == 2))
    {
    op->SupportControlFrameOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportControlFrameOff",argv[1]))&&(argc == 2))
    {
    op->SupportControlFrameOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetControlFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetControlFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("ShouldIAbort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ShouldIAbort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseProgressGauge",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseProgressGauge(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseProgressGauge",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseProgressGauge();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseProgressGaugeOn",argv[1]))&&(argc == 2))
    {
    op->UseProgressGaugeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseProgressGaugeOff",argv[1]))&&(argc == 2))
    {
    op->UseProgressGaugeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetProgressGauge",argv[1]))&&(argc == 2))
    {
    vtkKWSegmentedProgressGauge  *temp20;
    temp20 = (op)->GetProgressGauge();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSegmentedProgressGauge");
    return TCL_OK;
    }
  if ((!strcmp("CheckForOtherAbort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CheckForOtherAbort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWViewCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetupBindings\n",NULL);
    Tcl_AppendResult(interp,"  SetInExpose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInExpose\n",NULL);
    Tcl_AppendResult(interp,"  AButtonPress\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AButtonRelease\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AShiftButtonPress\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AShiftButtonRelease\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AControlButtonPress\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AControlButtonRelease\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AKeyPress\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Button1Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Button2Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Button3Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ShiftButton1Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ShiftButton2Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ShiftButton3Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ControlButton1Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ControlButton2Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ControlButton3Motion\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Exposed\n",NULL);
    Tcl_AppendResult(interp,"  Enter\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EditCopy\n",NULL);
    Tcl_AppendResult(interp,"  SaveAsImage\n",NULL);
    Tcl_AppendResult(interp,"  SaveAsImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrintView\n",NULL);
    Tcl_AppendResult(interp,"  GetPrinting\n",NULL);
    Tcl_AppendResult(interp,"  SetPrinting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParentWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetParentWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResumeScreenRendering\n",NULL);
    Tcl_AppendResult(interp,"  GetPropertiesParent\n",NULL);
    Tcl_AppendResult(interp,"  SetPropertiesParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultPropertiesParent\n",NULL);
    Tcl_AppendResult(interp,"  PackProperties\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKWidget\n",NULL);
    Tcl_AppendResult(interp,"  Select\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Deselect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MakeSelected\n",NULL);
    Tcl_AppendResult(interp,"  ShowViewProperties\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNotebook\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  CreateViewProperties\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerAnnotation\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfStillUpdates\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderMode\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToInteractive\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToStill\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToSingle\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToDisabled\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderState\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderStateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderStateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  RenderStateOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderStateOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  InteractOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRendererBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMenuEntryName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMenuEntryName\n",NULL);
    Tcl_AppendResult(interp,"  SetMenuEntryHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMenuEntryHelp\n",NULL);
    Tcl_AppendResult(interp,"  SetMenuEntryUnderline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMenuEntryUnderline\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportSaveAsImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportSaveAsImage\n",NULL);
    Tcl_AppendResult(interp,"  SupportSaveAsImageOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportSaveAsImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportPrint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportPrint\n",NULL);
    Tcl_AppendResult(interp,"  SupportPrintOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportPrintOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportCopy\n",NULL);
    Tcl_AppendResult(interp,"  SupportCopyOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportCopyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportControlFrame\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportControlFrame\n",NULL);
    Tcl_AppendResult(interp,"  SupportControlFrameOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportControlFrameOff\n",NULL);
    Tcl_AppendResult(interp,"  GetControlFrame\n",NULL);
    Tcl_AppendResult(interp,"  ShouldIAbort\n",NULL);
    Tcl_AppendResult(interp,"  SetUseProgressGauge\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseProgressGauge\n",NULL);
    Tcl_AppendResult(interp,"  UseProgressGaugeOn\n",NULL);
    Tcl_AppendResult(interp,"  UseProgressGaugeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressGauge\n",NULL);
    Tcl_AppendResult(interp,"  CheckForOtherAbort\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
