// tcl wrapper for vtkPVActiveTrackSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVActiveTrackSelector.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVActiveTrackSelectorNewCommand()
{
  vtkPVActiveTrackSelector *temp = vtkPVActiveTrackSelector::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVActiveTrackSelectorCppCommand(vtkPVActiveTrackSelector *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVActiveTrackSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVActiveTrackSelectorCppCommand((vtkPVActiveTrackSelector *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVActiveTrackSelectorCppCommand(vtkPVActiveTrackSelector *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVActiveTrackSelector",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVActiveTrackSelector  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVActiveTrackSelector");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVActiveTrackSelector  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVActiveTrackSelector");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVActiveTrackSelector  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVActiveTrackSelector");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddSource",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCueTree  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCueTree *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCueTree",interp,error));
    if (!error)
    {
    op->AddSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveSource",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCueTree  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCueTree *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCueTree",interp,error));
    if (!error)
    {
    op->RemoveSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->RemoveSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectSourceCallback",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectSourceCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectPropertyCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectPropertyCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectCue",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCue  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPVAnimationCue *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCue",interp,error));
    if (!error)
    {
    temp20 = (op)->SelectCue(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectCue",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkSMAnimationCueProxy  *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkSMAnimationCueProxy *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkSMAnimationCueProxy",interp,error));
    if (!error)
    {
    temp20 = (op)->SelectCue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceMenuButton",argv[1]))&&(argc == 2))
    {
    vtkKWMenuButton  *temp20;
    temp20 = (op)->GetSourceMenuButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenuButton");
    return TCL_OK;
    }
  if ((!strcmp("GetPropertyMenuButton",argv[1]))&&(argc == 2))
    {
    vtkKWMenuButton  *temp20;
    temp20 = (op)->GetPropertyMenuButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenuButton");
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentCue",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationCue  *temp20;
    temp20 = (op)->GetCurrentCue();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCue");
    return TCL_OK;
    }
  if ((!strcmp("GetFocusCurrentCue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFocusCurrentCue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFocusCurrentCue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFocusCurrentCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPackHorizontally",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPackHorizontally(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPackHorizontally",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPackHorizontally();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 4))
    {
    vtkPVActiveTrackSelector  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkPVActiveTrackSelector *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVActiveTrackSelector",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ShallowCopy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVActiveTrackSelectorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVActiveTrackSelector:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectSourceCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectPropertyCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectCue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceMenuButton\n",NULL);
    Tcl_AppendResult(interp,"  GetPropertyMenuButton\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentCue\n",NULL);
    Tcl_AppendResult(interp,"  GetFocusCurrentCue\n",NULL);
    Tcl_AppendResult(interp,"  SetFocusCurrentCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPackHorizontally\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPackHorizontally\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
