// tcl wrapper for vtkPVAnimationScene object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVAnimationScene.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVAnimationSceneNewCommand()
{
  vtkPVAnimationScene *temp = vtkPVAnimationScene::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVAnimationSceneCppCommand(vtkPVAnimationScene *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVAnimationSceneCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVAnimationSceneCppCommand((vtkPVAnimationScene *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVAnimationSceneCppCommand(vtkPVAnimationScene *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVAnimationScene",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationScene  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationScene");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationScene  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationScene");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVAnimationScene  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationScene");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlayModeToSequence",argv[1]))&&(argc == 2))
    {
    op->SetPlayModeToSequence();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlayModeToRealTime",argv[1]))&&(argc == 2))
    {
    op->SetPlayModeToRealTime();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DurationChangedCallback",argv[1]))&&(argc == 2))
    {
    op->DurationChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DurationChangedKeyReleaseCallback",argv[1]))&&(argc == 2))
    {
    op->DurationChangedKeyReleaseCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LoopCheckButtonCallback",argv[1]))&&(argc == 2))
    {
    op->LoopCheckButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarLoopCheckButtonCallback",argv[1]))&&(argc == 2))
    {
    op->ToolbarLoopCheckButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimeScaleCallback",argv[1]))&&(argc == 2))
    {
    op->TimeScaleCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarRecordCheckButtonCallback",argv[1]))&&(argc == 2))
    {
    op->ToolbarRecordCheckButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecordCheckCallback",argv[1]))&&(argc == 2))
    {
    op->RecordCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAnimationCallback",argv[1]))&&(argc == 2))
    {
    op->SaveAnimationCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsInPlay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInPlay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Play",argv[1]))&&(argc == 2))
    {
    op->Play();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Stop",argv[1]))&&(argc == 2))
    {
    op->Stop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToBeginning",argv[1]))&&(argc == 2))
    {
    op->GoToBeginning();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToEnd",argv[1]))&&(argc == 2))
    {
    op->GoToEnd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToNext",argv[1]))&&(argc == 2))
    {
    op->GoToNext();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToPrevious",argv[1]))&&(argc == 2))
    {
    op->GoToPrevious();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRecording",argv[1]))&&(argc == 2))
    {
    op->StartRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopRecording",argv[1]))&&(argc == 2))
    {
    op->StopRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecordState",argv[1]))&&(argc == 2))
    {
    op->RecordState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDuration",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDuration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDurationWithTrace",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDurationWithTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDuration",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDuration();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlayMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlayMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlayMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlayMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrameRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFrameRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFrameRate();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLoop",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLoop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLoopWithTrace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLoopWithTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLoop",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLoop();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAnimationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnimationTimeWithTrace",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAnimationTimeWithTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAnimationTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalizedAnimationTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNormalizedAnimationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalizedAnimationTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNormalizedAnimationTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddAnimationCue",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCue  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCue *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCue",interp,error));
    if (!error)
    {
    op->AddAnimationCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAnimationCue",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCue  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCue *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCue",interp,error));
    if (!error)
    {
    op->RemoveAnimationCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindow",argv[1]))&&(argc == 3))
    {
    vtkPVWindow  *temp0;
    error = 0;

    temp0 = (vtkPVWindow *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVWindow",interp,error));
    if (!error)
    {
    op->SetWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindow",argv[1]))&&(argc == 2))
    {
    vtkPVWindow  *temp20;
    temp20 = (op)->GetWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderView",argv[1]))&&(argc == 3))
    {
    vtkPVRenderView  *temp0;
    error = 0;

    temp0 = (vtkPVRenderView *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVRenderView",interp,error));
    if (!error)
    {
    op->SetRenderView(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetRenderView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationManager",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationManager  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationManager *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationManager",interp,error));
    if (!error)
    {
    op->SetAnimationManager(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveImages",argv[1]))&&(argc == 8))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    double   temp4;
    int      temp5;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SaveImages(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveGeometry",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvalidateAllGeometries",argv[1]))&&(argc == 2))
    {
    op->InvalidateAllGeometries();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowAnimationToolbar",argv[1]))&&(argc == 2))
    {
    op->ShowAnimationToolbar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideAnimationToolbar",argv[1]))&&(argc == 2))
    {
    op->HideAnimationToolbar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationToolbarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnimationToolbarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCaching",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCaching(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaching",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCaching();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPropertiesChangedCallback",argv[1]))&&(argc == 4))
    {
    vtkKWWidget  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPropertiesChangedCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrepareForDelete",argv[1]))&&(argc == 2))
    {
    op->PrepareForDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnBeginPlay",argv[1]))&&(argc == 2))
    {
    op->OnBeginPlay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnEndPlay",argv[1]))&&(argc == 2))
    {
    op->OnEndPlay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetCurrentTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCurrentTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetCurrentTimeWithTrace",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCurrentTimeWithTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetCurrentTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurrentTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVAnimationSceneCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVAnimationScene:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlayModeToSequence\n",NULL);
    Tcl_AppendResult(interp,"  SetPlayModeToRealTime\n",NULL);
    Tcl_AppendResult(interp,"  DurationChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  DurationChangedKeyReleaseCallback\n",NULL);
    Tcl_AppendResult(interp,"  LoopCheckButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarLoopCheckButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  TimeScaleCallback\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarRecordCheckButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  RecordCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  SaveAnimationCallback\n",NULL);
    Tcl_AppendResult(interp,"  IsInPlay\n",NULL);
    Tcl_AppendResult(interp,"  Play\n",NULL);
    Tcl_AppendResult(interp,"  Stop\n",NULL);
    Tcl_AppendResult(interp,"  GoToBeginning\n",NULL);
    Tcl_AppendResult(interp,"  GoToEnd\n",NULL);
    Tcl_AppendResult(interp,"  GoToNext\n",NULL);
    Tcl_AppendResult(interp,"  GoToPrevious\n",NULL);
    Tcl_AppendResult(interp,"  StartRecording\n",NULL);
    Tcl_AppendResult(interp,"  StopRecording\n",NULL);
    Tcl_AppendResult(interp,"  RecordState\n",NULL);
    Tcl_AppendResult(interp,"  SetDuration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDurationWithTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDuration\n",NULL);
    Tcl_AppendResult(interp,"  SetPlayMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlayMode\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameRate\n",NULL);
    Tcl_AppendResult(interp,"  SetLoop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLoopWithTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLoop\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationTimeWithTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationTime\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalizedAnimationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalizedAnimationTime\n",NULL);
    Tcl_AppendResult(interp,"  AddAnimationCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAnimationCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderView\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderView\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationManager\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SaveImages\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InvalidateAllGeometries\n",NULL);
    Tcl_AppendResult(interp,"  ShowAnimationToolbar\n",NULL);
    Tcl_AppendResult(interp,"  HideAnimationToolbar\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationToolbarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCaching\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaching\n",NULL);
    Tcl_AppendResult(interp,"  SetPropertiesChangedCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDelete\n",NULL);
    Tcl_AppendResult(interp,"  OnBeginPlay\n",NULL);
    Tcl_AppendResult(interp,"  OnEndPlay\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetCurrentTime\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetCurrentTimeWithTrace\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetCurrentTime\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
