// tcl wrapper for vtkPVCameraKeyFrame object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVCameraKeyFrame.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVCameraKeyFrameNewCommand()
{
  vtkPVCameraKeyFrame *temp = vtkPVCameraKeyFrame::New();
  return ((ClientData)temp);
}

int vtkPVProxyKeyFrameCppCommand(vtkPVProxyKeyFrame *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVCameraKeyFrameCppCommand(vtkPVCameraKeyFrame *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVCameraKeyFrameCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVCameraKeyFrameCppCommand((vtkPVCameraKeyFrame *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVCameraKeyFrameCppCommand(vtkPVCameraKeyFrame *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVCameraKeyFrame",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVProxyKeyFrameCppCommand((vtkPVProxyKeyFrame *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVProxyKeyFrame", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVCameraKeyFrame  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraKeyFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVCameraKeyFrame  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraKeyFrame");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVCameraKeyFrame  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraKeyFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeKeyValueUsingCurrentState",argv[1]))&&(argc == 2))
    {
    op->InitializeKeyValueUsingCurrentState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeKeyValueDomainUsingCurrentState",argv[1]))&&(argc == 2))
    {
    op->InitializeKeyValueDomainUsingCurrentState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueToMinimum",argv[1]))&&(argc == 2))
    {
    op->SetValueToMinimum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueToMaximum",argv[1]))&&(argc == 2))
    {
    op->SetValueToMaximum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyValue",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->SetKeyValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFocalPoint",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFocalPoint(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewUp",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewUp(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewAngle",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetViewAngle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPositionWithTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPositionWithTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFocalPointWithTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFocalPointWithTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewUpWithTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetViewUpWithTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewAngleWithTrace",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetViewAngleWithTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    double   temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetProperty(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkSMDoubleVectorProperty  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkSMDoubleVectorProperty *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkSMDoubleVectorProperty",interp,error));
    if (!error)
    {
    op->SetProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CaptureCurrentCameraCallback",argv[1]))&&(argc == 2))
    {
    op->CaptureCurrentCameraCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PositionChangedCallback",argv[1]))&&(argc == 2))
    {
    op->PositionChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FocalPointChangedCallback",argv[1]))&&(argc == 2))
    {
    op->FocalPointChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewUpChangedCallback",argv[1]))&&(argc == 2))
    {
    op->ViewUpChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewAngleChangedCallback",argv[1]))&&(argc == 2))
    {
    op->ViewAngleChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVCameraKeyFrameCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVProxyKeyFrameCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVCameraKeyFrame:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeKeyValueUsingCurrentState\n",NULL);
    Tcl_AppendResult(interp,"  InitializeKeyValueDomainUsingCurrentState\n",NULL);
    Tcl_AppendResult(interp,"  SetValueToMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetValueToMaximum\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPoint\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUp\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPositionWithTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFocalPointWithTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewUpWithTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewAngleWithTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CaptureCurrentCameraCallback\n",NULL);
    Tcl_AppendResult(interp,"  PositionChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  FocalPointChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  ViewUpChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  ViewAngleChangedCallback\n",NULL);
    return TCL_OK;
    }

  if (vtkPVProxyKeyFrameCppCommand((vtkPVProxyKeyFrame *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
