// tcl wrapper for vtkPVCameraManipulator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVCameraManipulator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVCameraManipulatorNewCommand()
{
  vtkPVCameraManipulator *temp = vtkPVCameraManipulator::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVCameraManipulatorCppCommand(vtkPVCameraManipulator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVCameraManipulatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVCameraManipulatorCppCommand((vtkPVCameraManipulator *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVCameraManipulatorCppCommand(vtkPVCameraManipulator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVCameraManipulator",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVCameraManipulator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraManipulator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVCameraManipulator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraManipulator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVCameraManipulator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraManipulator");
    return TCL_OK;
    }
    }
  if ((!strcmp("StartInteraction",argv[1]))&&(argc == 2))
    {
    op->StartInteraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndInteraction",argv[1]))&&(argc == 2))
    {
    op->EndInteraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    vtkRenderer  *temp2;
    vtkRenderWindowInteractor  *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkRenderer",interp,error));
    temp3 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->OnMouseMove(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnButtonDown",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    vtkRenderer  *temp2;
    vtkRenderWindowInteractor  *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkRenderer",interp,error));
    temp3 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->OnButtonDown(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnButtonUp",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    vtkRenderer  *temp2;
    vtkRenderWindowInteractor  *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkRenderer",interp,error));
    temp3 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkRenderWindowInteractor",interp,error));
    if (!error)
    {
    op->OnButtonUp(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetButton",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetButton",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShift",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShift",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShift();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShiftOn",argv[1]))&&(argc == 2))
    {
    op->ShiftOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShiftOff",argv[1]))&&(argc == 2))
    {
    op->ShiftOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetControl",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetControl(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetControl",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetControl();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ControlOn",argv[1]))&&(argc == 2))
    {
    op->ControlOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ControlOff",argv[1]))&&(argc == 2))
    {
    op->ControlOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCenter(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    float  temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetCenter();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetApplication",argv[1]))&&(argc == 3))
    {
    vtkPVApplication  *temp0;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    if (!error)
    {
    op->SetApplication(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("SetManipulatorName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetManipulatorName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManipulatorName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetManipulatorName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVCameraManipulatorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVCameraManipulator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StartInteraction\n",NULL);
    Tcl_AppendResult(interp,"  EndInteraction\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  OnButtonDown\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  OnButtonUp\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetButton\n",NULL);
    Tcl_AppendResult(interp,"  SetShift\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShift\n",NULL);
    Tcl_AppendResult(interp,"  ShiftOn\n",NULL);
    Tcl_AppendResult(interp,"  ShiftOff\n",NULL);
    Tcl_AppendResult(interp,"  SetControl\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetControl\n",NULL);
    Tcl_AppendResult(interp,"  ControlOn\n",NULL);
    Tcl_AppendResult(interp,"  ControlOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetApplication\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplication\n",NULL);
    Tcl_AppendResult(interp,"  SetManipulatorName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManipulatorName\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
