// tcl wrapper for vtkPVColorMap object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVColorMap.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVColorMapNewCommand()
{
  vtkPVColorMap *temp = vtkPVColorMap::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVColorMapCppCommand(vtkPVColorMap *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVColorMapCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVColorMapCppCommand((vtkPVColorMap *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVColorMapCppCommand(vtkPVColorMap *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVColorMap",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVColorMap  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorMap");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVColorMap  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorMap");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVColorMap  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorMap");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetPVApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("SetPVRenderView",argv[1]))&&(argc == 3))
    {
    vtkPVRenderView  *temp0;
    error = 0;

    temp0 = (vtkPVRenderView *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVRenderView",interp,error));
    if (!error)
    {
    op->SetPVRenderView(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVRenderView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetPVRenderView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("SetScalarBarTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarBarTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarBarTitleNoTrace",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarBarTitleNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarBarTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScalarBarTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("MatchArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->MatchArrayName(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfVectorComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfVectorComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVectorComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVectorComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarBarLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarBarLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarBarLabelFormat",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalarBarLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("CreateParallelTclObjects",argv[1]))&&(argc == 3))
    {
    vtkPVApplication  *temp0;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    if (!error)
    {
    op->CreateParallelTclObjects(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetScalarRange",argv[1]))&&(argc == 2))
    {
    op->ResetScalarRange();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetScalarRangeInternal",argv[1]))&&(argc == 2))
    {
    op->ResetScalarRangeInternal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetScalarRangeInternal",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->ResetScalarRangeInternal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarBarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarBarVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarBarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarBarPosition1",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarBarPosition1(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarBarPosition2",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarBarPosition2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarBarOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarBarOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorSchemeToRedBlue",argv[1]))&&(argc == 2))
    {
    op->SetColorSchemeToRedBlue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSchemeToBlueRed",argv[1]))&&(argc == 2))
    {
    op->SetColorSchemeToBlueRed();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSchemeToGrayscale",argv[1]))&&(argc == 2))
    {
    op->SetColorSchemeToGrayscale();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSchemeToLabBlueRed",argv[1]))&&(argc == 2))
    {
    op->SetColorSchemeToLabBlueRed();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVectorComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVectorComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVectorComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVectorComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarBarCheckCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarBarCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarRangeWidgetCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarRangeWidgetCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockCheckCallback",argv[1]))&&(argc == 2))
    {
    op->LockCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRangeLock",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarRangeLock(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BackButtonCallback",argv[1]))&&(argc == 2))
    {
    op->BackButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarBarTitleEntryCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarBarTitleEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarBarVectorTitleEntryCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarBarVectorTitleEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarBarVectorTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalarBarVectorTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ScalarBarLabelFormatEntryCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarBarLabelFormatEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartColorButtonCallback",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->StartColorButtonCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndColorButtonCallback",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->EndColorButtonCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartHSV",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetStartHSV(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEndHSV",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetEndHSV(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MapConfigureCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->MapConfigureCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NumberOfColorsScaleCallback",argv[1]))&&(argc == 2))
    {
    op->NumberOfColorsScaleCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfColors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfColors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisitedFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisitedFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisitedFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisitedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarBarCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetScalarBarCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("GetTitleTextPropertyWidget",argv[1]))&&(argc == 2))
    {
    vtkPVTextPropertyEditor  *temp20;
    temp20 = (op)->GetTitleTextPropertyWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTextPropertyEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetLabelTextPropertyWidget",argv[1]))&&(argc == 2))
    {
    vtkPVTextPropertyEditor  *temp20;
    temp20 = (op)->GetLabelTextPropertyWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTextPropertyEditor");
    return TCL_OK;
    }
  if ((!strcmp("VectorModeMagnitudeCallback",argv[1]))&&(argc == 2))
    {
    op->VectorModeMagnitudeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VectorModeComponentCallback",argv[1]))&&(argc == 2))
    {
    op->VectorModeComponentCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VectorComponentCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->VectorComponentCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IncrementUseCount",argv[1]))&&(argc == 2))
    {
    op->IncrementUseCount();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DecrementUseCount",argv[1]))&&(argc == 2))
    {
    op->DecrementUseCount();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderView",argv[1]))&&(argc == 2))
    {
    op->RenderView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateForSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->UpdateForSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWholeScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWholeScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalarRangeInternal",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetScalarRangeInternal(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetScalarRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TitleTextPropertyWidgetCallback",argv[1]))&&(argc == 2))
    {
    op->TitleTextPropertyWidgetCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTitleColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTitleOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleFontFamily",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleFontFamily(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleBold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleBold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleItalic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleItalic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleShadow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleShadow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LabelTextPropertyWidgetCallback",argv[1]))&&(argc == 2))
    {
    op->LabelTextPropertyWidgetCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLabelColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelFontFamily",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelFontFamily(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelBold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelBold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelItalic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelItalic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelShadow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelShadow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProxyByName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkSMProxy  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetProxyByName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxy");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVColorMapCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVColorMap:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVApplication\n",NULL);
    Tcl_AppendResult(interp,"  SetPVRenderView\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVRenderView\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarTitleNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarBarTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayName\n",NULL);
    Tcl_AppendResult(interp,"  MatchArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfVectorComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVectorComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarBarLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  CreateParallelTclObjects\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  ResetScalarRangeInternal\n",NULL);
    Tcl_AppendResult(interp,"  ResetScalarRangeInternal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarBarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarPosition1\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarPosition2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSchemeToRedBlue\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSchemeToBlueRed\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSchemeToGrayscale\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSchemeToLabBlueRed\n",NULL);
    Tcl_AppendResult(interp,"  SetVectorComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVectorComponent\n",NULL);
    Tcl_AppendResult(interp,"  ScalarBarCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarRangeWidgetCallback\n",NULL);
    Tcl_AppendResult(interp,"  LockCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRangeLock\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BackButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarBarTitleEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarBarVectorTitleEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarBarVectorTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ScalarBarLabelFormatEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  StartColorButtonCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  EndColorButtonCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartHSV\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEndHSV\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  MapConfigureCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  NumberOfColorsScaleCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfColors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVisitedFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisitedFlag\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarBarCheck\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextPropertyWidget\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextPropertyWidget\n",NULL);
    Tcl_AppendResult(interp,"  VectorModeMagnitudeCallback\n",NULL);
    Tcl_AppendResult(interp,"  VectorModeComponentCallback\n",NULL);
    Tcl_AppendResult(interp,"  VectorComponentCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IncrementUseCount\n",NULL);
    Tcl_AppendResult(interp,"  DecrementUseCount\n",NULL);
    Tcl_AppendResult(interp,"  RenderView\n",NULL);
    Tcl_AppendResult(interp,"  UpdateForSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarRangeInternal\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarRange\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  TitleTextPropertyWidgetCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleFontFamily\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleBold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleItalic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleShadow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LabelTextPropertyWidgetCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFontFamily\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelBold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelItalic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelShadow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProxyByName\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
