// tcl wrapper for vtkPVCornerAnnotationEditor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVCornerAnnotationEditor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVCornerAnnotationEditorNewCommand()
{
  vtkPVCornerAnnotationEditor *temp = vtkPVCornerAnnotationEditor::New();
  return ((ClientData)temp);
}

int vtkKWCornerAnnotationEditorCppCommand(vtkKWCornerAnnotationEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVCornerAnnotationEditorCppCommand(vtkPVCornerAnnotationEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVCornerAnnotationEditorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVCornerAnnotationEditorCppCommand((vtkPVCornerAnnotationEditor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVCornerAnnotationEditorCppCommand(vtkPVCornerAnnotationEditor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVCornerAnnotationEditor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCornerAnnotationEditorCppCommand((vtkKWCornerAnnotationEditor *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCornerAnnotationEditor", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVCornerAnnotationEditor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCornerAnnotationEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVCornerAnnotationEditor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCornerAnnotationEditor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVCornerAnnotationEditor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCornerAnnotationEditor");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetView",argv[1]))&&(argc == 3))
    {
    vtkKWView  *temp0;
    error = 0;

    temp0 = (vtkKWView *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWView",interp,error));
    if (!error)
    {
    op->SetView(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumLineHeight",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLineHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCornerText",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCornerText(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateCornerText",argv[1]))&&(argc == 2))
    {
    op->UpdateCornerText();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CornerTextCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->CornerTextCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTraceHelper",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->GetTraceHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVCornerAnnotationEditorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCornerAnnotationEditorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVCornerAnnotationEditor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetView\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetView\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLineHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerText\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateCornerText\n",NULL);
    Tcl_AppendResult(interp,"  CornerTextCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTraceHelper\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCornerAnnotationEditorCppCommand((vtkKWCornerAnnotationEditor *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
