// tcl wrapper for vtkPVDisplayGUI object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVDisplayGUI.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVDisplayGUINewCommand()
{
  vtkPVDisplayGUI *temp = vtkPVDisplayGUI::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVDisplayGUICppCommand(vtkPVDisplayGUI *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVDisplayGUICommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVDisplayGUICppCommand((vtkPVDisplayGUI *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVDisplayGUICppCommand(vtkPVDisplayGUI *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVDisplayGUI",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVDisplayGUI  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDisplayGUI");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVDisplayGUI  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDisplayGUI");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVDisplayGUI  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDisplayGUI");
    return TCL_OK;
    }
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetCubeAxesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCubeAxesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetPointLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetScalarBarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("GetPVColorMap",argv[1]))&&(argc == 2))
    {
    vtkPVColorMap  *temp20;
    temp20 = (op)->GetPVColorMap();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorMap");
    return TCL_OK;
    }
#endif
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPVSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->SetPVSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVSource",argv[1]))&&(argc == 2))
    {
    vtkPVSource  *temp20;
    temp20 = (op)->GetPVSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
  if ((!strcmp("SetActorTranslate",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorTranslate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActorTranslateNoTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorTranslateNoTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActorTranslateCallback",argv[1]))&&(argc == 2))
    {
    op->ActorTranslateCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ActorTranslateEndCallback",argv[1]))&&(argc == 2))
    {
    op->ActorTranslateEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetActorScale",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorScale(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActorScaleNoTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorScaleNoTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActorScaleCallback",argv[1]))&&(argc == 2))
    {
    op->ActorScaleCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ActorScaleEndCallback",argv[1]))&&(argc == 2))
    {
    op->ActorScaleEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetActorOrientation",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorOrientation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActorOrientationNoTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorOrientationNoTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActorOrientationCallback",argv[1]))&&(argc == 2))
    {
    op->ActorOrientationCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ActorOrientationEndCallback",argv[1]))&&(argc == 2))
    {
    op->ActorOrientationEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetActorOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActorOriginNoTrace",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActorOriginNoTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ActorOriginCallback",argv[1]))&&(argc == 2))
    {
    op->ActorOriginCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ActorOriginEndCallback",argv[1]))&&(argc == 2))
    {
    op->ActorOriginEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OpacityChangedCallback",argv[1]))&&(argc == 2))
    {
    op->OpacityChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpacityChangedEndCallback",argv[1]))&&(argc == 2))
    {
    op->OpacityChangedEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateCubeAxesVisibilityCheck",argv[1]))&&(argc == 2))
    {
    op->UpdateCubeAxesVisibilityCheck();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdatePointLabelVisibilityCheck",argv[1]))&&(argc == 2))
    {
    op->UpdatePointLabelVisibilityCheck();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateColorGUI",argv[1]))&&(argc == 2))
    {
    op->UpdateColorGUI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVolumeGUI",argv[1]))&&(argc == 2))
    {
    op->UpdateVolumeGUI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityCheckCallback",argv[1]))&&(argc == 2))
    {
    op->VisibilityCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPVApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetPVApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DrawWireframe",argv[1]))&&(argc == 2))
    {
    op->DrawWireframe();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawSurface",argv[1]))&&(argc == 2))
    {
    op->DrawSurface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawPoints",argv[1]))&&(argc == 2))
    {
    op->DrawPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawVolume",argv[1]))&&(argc == 2))
    {
    op->DrawVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawOutline",argv[1]))&&(argc == 2))
    {
    op->DrawOutline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawVolumePT",argv[1]))&&(argc == 2))
    {
    op->DrawVolumePT();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawVolumeBunyk",argv[1]))&&(argc == 2))
    {
    op->DrawVolumeBunyk();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawVolumeZSweep",argv[1]))&&(argc == 2))
    {
    op->DrawVolumeZSweep();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolation",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInterpolation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolationToFlat",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationToFlat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationToGouraud",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationToGouraud();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentationMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenuButton  *temp20;
    temp20 = (op)->GetRepresentationMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenuButton");
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenuButton  *temp20;
    temp20 = (op)->GetInterpolationMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenuButton");
    return TCL_OK;
    }
  if ((!strcmp("EditColorMapCallback",argv[1]))&&(argc == 2))
    {
    op->EditColorMapCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DataColorRangeCallback",argv[1]))&&(argc == 2))
    {
    op->DataColorRangeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EditVolumeAppearanceCallback",argv[1]))&&(argc == 2))
    {
    op->EditVolumeAppearanceCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowVolumeAppearanceEditor",argv[1]))&&(argc == 2))
    {
    op->ShowVolumeAppearanceEditor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarBarCheckCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarBarCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScalarBarCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetScalarBarCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("CubeAxesCheckCallback",argv[1]))&&(argc == 2))
    {
    op->CubeAxesCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCubeAxesCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetCubeAxesCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("PointLabelCheckCallback",argv[1]))&&(argc == 2))
    {
    op->PointLabelCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPointLabelCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetPointLabelCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("CenterCamera",argv[1]))&&(argc == 2))
    {
    op->CenterCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeActorColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->ChangeActorColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActorColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetActorColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLineWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangePointSize",argv[1]))&&(argc == 2))
    {
    op->ChangePointSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangePointSizeEndCallback",argv[1]))&&(argc == 2))
    {
    op->ChangePointSizeEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeLineWidth",argv[1]))&&(argc == 2))
    {
    op->ChangeLineWidth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeLineWidthEndCallback",argv[1]))&&(argc == 2))
    {
    op->ChangeLineWidthEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangePointLabelFontSize",argv[1]))&&(argc == 2))
    {
    op->ChangePointLabelFontSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorSelectionMenu",argv[1]))&&(argc == 2))
    {
    vtkPVColorSelectionWidget  *temp20;
    temp20 = (op)->GetColorSelectionMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorSelectionWidget");
    return TCL_OK;
    }
  if ((!strcmp("ColorByArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("VolumeRenderByArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->VolumeRenderByArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByProperty",argv[1]))&&(argc == 2))
    {
    op->ColorByProperty();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteCallback",argv[1]))&&(argc == 2))
    {
    op->DeleteCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPVRenderView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetPVRenderView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("UpdateVisibilityCheck",argv[1]))&&(argc == 2))
    {
    op->UpdateVisibilityCheck();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMapScalarsFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMapScalarsFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MapScalarsCheckCallback",argv[1]))&&(argc == 2))
    {
    op->MapScalarsCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolateColorsFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolateColorsFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateColorsCheckCallback",argv[1]))&&(argc == 2))
    {
    op->InterpolateColorsCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorSetByUser",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorSetByUser();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArraySetByUser",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArraySetByUser();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShouldReinitialize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShouldReinitialize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResetCameraButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetResetCameraButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("GetActorControlFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetActorControlFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("GetMainFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithScrollbar  *temp20;
    temp20 = (op)->GetMainFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithScrollbar");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVDisplayGUICommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVDisplayGUI:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetCubeAxesVisibility\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetPointLabelVisibility\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetScalarBarVisibility\t with 1 arg\n",NULL);
#endif
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  GetPVColorMap\n",NULL);
#endif
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  SetPVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVSource\n",NULL);
    Tcl_AppendResult(interp,"  SetActorTranslate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActorTranslateNoTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ActorTranslateCallback\n",NULL);
    Tcl_AppendResult(interp,"  ActorTranslateEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetActorScale\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActorScaleNoTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ActorScaleCallback\n",NULL);
    Tcl_AppendResult(interp,"  ActorScaleEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetActorOrientation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActorOrientationNoTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ActorOrientationCallback\n",NULL);
    Tcl_AppendResult(interp,"  ActorOrientationEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetActorOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActorOriginNoTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ActorOriginCallback\n",NULL);
    Tcl_AppendResult(interp,"  ActorOriginEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OpacityChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  OpacityChangedEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateCubeAxesVisibilityCheck\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePointLabelVisibilityCheck\n",NULL);
    Tcl_AppendResult(interp,"  UpdateColorGUI\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVolumeGUI\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetPVApplication\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DrawWireframe\n",NULL);
    Tcl_AppendResult(interp,"  DrawSurface\n",NULL);
    Tcl_AppendResult(interp,"  DrawPoints\n",NULL);
    Tcl_AppendResult(interp,"  DrawVolume\n",NULL);
    Tcl_AppendResult(interp,"  DrawOutline\n",NULL);
    Tcl_AppendResult(interp,"  DrawVolumePT\n",NULL);
    Tcl_AppendResult(interp,"  DrawVolumeBunyk\n",NULL);
    Tcl_AppendResult(interp,"  DrawVolumeZSweep\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationToFlat\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationToGouraud\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationMenu\n",NULL);
    Tcl_AppendResult(interp,"  EditColorMapCallback\n",NULL);
    Tcl_AppendResult(interp,"  DataColorRangeCallback\n",NULL);
    Tcl_AppendResult(interp,"  EditVolumeAppearanceCallback\n",NULL);
    Tcl_AppendResult(interp,"  ShowVolumeAppearanceEditor\n",NULL);
    Tcl_AppendResult(interp,"  ScalarBarCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarBarCheck\n",NULL);
    Tcl_AppendResult(interp,"  CubeAxesCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetCubeAxesCheck\n",NULL);
    Tcl_AppendResult(interp,"  PointLabelCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetPointLabelCheck\n",NULL);
    Tcl_AppendResult(interp,"  CenterCamera\n",NULL);
    Tcl_AppendResult(interp,"  ChangeActorColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActorColor\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ChangePointSize\n",NULL);
    Tcl_AppendResult(interp,"  ChangePointSizeEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  ChangeLineWidth\n",NULL);
    Tcl_AppendResult(interp,"  ChangeLineWidthEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  ChangePointLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  GetColorSelectionMenu\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  VolumeRenderByArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ColorByProperty\n",NULL);
    Tcl_AppendResult(interp,"  DeleteCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetPVRenderView\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVisibilityCheck\n",NULL);
    Tcl_AppendResult(interp,"  SetMapScalarsFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MapScalarsCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolateColorsFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateColorsCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetColorSetByUser\n",NULL);
    Tcl_AppendResult(interp,"  GetArraySetByUser\n",NULL);
    Tcl_AppendResult(interp,"  GetShouldReinitialize\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  GetResetCameraButton\n",NULL);
    Tcl_AppendResult(interp,"  GetActorControlFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetMainFrame\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
