// tcl wrapper for vtkPVHorizontalAnimationInterface object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVHorizontalAnimationInterface.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVHorizontalAnimationInterfaceNewCommand()
{
  vtkPVHorizontalAnimationInterface *temp = vtkPVHorizontalAnimationInterface::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVHorizontalAnimationInterfaceCppCommand(vtkPVHorizontalAnimationInterface *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVHorizontalAnimationInterfaceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVHorizontalAnimationInterfaceCppCommand((vtkPVHorizontalAnimationInterface *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVHorizontalAnimationInterfaceCppCommand(vtkPVHorizontalAnimationInterface *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVHorizontalAnimationInterface",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVHorizontalAnimationInterface  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVHorizontalAnimationInterface");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVHorizontalAnimationInterface  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVHorizontalAnimationInterface");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVHorizontalAnimationInterface  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVHorizontalAnimationInterface");
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResizeCallback",argv[1]))&&(argc == 2))
    {
    op->ResizeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddAnimationCueTree",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCueTree  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCueTree *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCueTree",interp,error));
    if (!error)
    {
    op->AddAnimationCueTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAnimationCueTree",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCueTree  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCueTree *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCueTree",interp,error));
    if (!error)
    {
    op->RemoveAnimationCueTree(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeMarker",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeMarker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartRecording",argv[1]))&&(argc == 2))
    {
    op->StartRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopRecording",argv[1]))&&(argc == 2))
    {
    op->StopRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecordState",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->RecordState(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetParentTree",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationCueTree  *temp20;
    temp20 = (op)->GetParentTree();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCueTree");
    return TCL_OK;
    }
  if ((!strcmp("SaveWindowGeometryToRegistry",argv[1]))&&(argc == 2))
    {
    op->SaveWindowGeometryToRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestoreWindowGeometryFromRegistry",argv[1]))&&(argc == 2))
    {
    op->RestoreWindowGeometryFromRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllKeyFrames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllKeyFrames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVHorizontalAnimationInterfaceCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVHorizontalAnimationInterface:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResizeCallback\n",NULL);
    Tcl_AppendResult(interp,"  AddAnimationCueTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAnimationCueTree\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMarker\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StartRecording\n",NULL);
    Tcl_AppendResult(interp,"  StopRecording\n",NULL);
    Tcl_AppendResult(interp,"  RecordState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  GetParentTree\n",NULL);
    Tcl_AppendResult(interp,"  SaveWindowGeometryToRegistry\n",NULL);
    Tcl_AppendResult(interp,"  RestoreWindowGeometryFromRegistry\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllKeyFrames\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
