// tcl wrapper for vtkPVLineSourceWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVLineSourceWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVLineSourceWidgetNewCommand()
{
  vtkPVLineSourceWidget *temp = vtkPVLineSourceWidget::New();
  return ((ClientData)temp);
}

int vtkPVLineWidgetCppCommand(vtkPVLineWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVLineSourceWidgetCppCommand(vtkPVLineSourceWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVLineSourceWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVLineSourceWidgetCppCommand((vtkPVLineSourceWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVLineSourceWidgetCppCommand(vtkPVLineSourceWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVLineSourceWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVLineWidgetCppCommand((vtkPVLineWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVLineWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVLineSourceWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLineSourceWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVLineSourceWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLineSourceWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVLineSourceWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLineSourceWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetInternal",argv[1]))&&(argc == 2))
    {
    op->ResetInternal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputMenu",argv[1]))&&(argc == 3))
    {
    vtkPVInputMenu  *temp0;
    error = 0;

    temp0 = (vtkPVInputMenu *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVInputMenu",interp,error));
    if (!error)
    {
    op->SetInputMenu(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProxyByName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkSMProxy  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetProxyByName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableAnimation",argv[1]))&&(argc == 2))
    {
    op->EnableAnimation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableAnimation",argv[1]))&&(argc == 2))
    {
    op->DisableAnimation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVLineSourceWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVLineWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVLineSourceWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  ResetInternal\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  SetInputMenu\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProxyByName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EnableAnimation\n",NULL);
    Tcl_AppendResult(interp,"  DisableAnimation\n",NULL);
    return TCL_OK;
    }

  if (vtkPVLineWidgetCppCommand((vtkPVLineWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
