// tcl wrapper for vtkPVLookmark object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVLookmark.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVLookmarkNewCommand()
{
  vtkPVLookmark *temp = vtkPVLookmark::New();
  return ((ClientData)temp);
}

int vtkKWLookmarkCppCommand(vtkKWLookmark *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVLookmarkCppCommand(vtkPVLookmark *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVLookmarkCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVLookmarkCppCommand((vtkPVLookmark *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVLookmarkCppCommand(vtkPVLookmark *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVLookmark",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWLookmarkCppCommand((vtkKWLookmark *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWLookmark", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVLookmark  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmark");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVLookmark  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmark");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVLookmark  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmark");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTraceHelper",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->GetTraceHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
  if ((!strcmp("PreView",argv[1]))&&(argc == 2))
    {
    op->PreView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewCallback",argv[1]))&&(argc == 2))
    {
    op->ViewCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("View",argv[1]))&&(argc == 2))
    {
    op->View();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreViewMacro",argv[1]))&&(argc == 2))
    {
    op->PreViewMacro();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewMacroCallback",argv[1]))&&(argc == 2))
    {
    op->ViewMacroCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewMacro",argv[1]))&&(argc == 2))
    {
    op->ViewMacro();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->ReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateIconFromMainView",argv[1]))&&(argc == 2))
    {
    op->CreateIconFromMainView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateWidgetValues",argv[1]))&&(argc == 2))
    {
    op->UpdateWidgetValues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StoreStateScript",argv[1]))&&(argc == 2))
    {
    op->StoreStateScript();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStateScript",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetStateScript();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStateScript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStateScript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVersion",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVersion();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVersion",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVersion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageData",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetImageData();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageData",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetImageData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenterOfRotation",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetCenterOfRotation();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCenterOfRotation",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCenterOfRotation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenterOfRotation",argv[1]))&&(argc == 5))
    {
    float  temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenterOfRotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLocation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLocation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableScrollBar",argv[1]))&&(argc == 2))
    {
    op->EnableScrollBar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemovePVSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->RemovePVSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToolbarButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetToolbarButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("AddLookmarkToolbarButton",argv[1]))&&(argc == 3))
    {
    vtkKWIcon  *temp0;
    error = 0;

    temp0 = (vtkKWIcon *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWIcon",interp,error));
    if (!error)
    {
    op->AddLookmarkToolbarButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeDataset",argv[1]))&&(argc == 2))
    {
    op->InitializeDataset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVLookmarkCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWLookmarkCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVLookmark:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTraceHelper\n",NULL);
    Tcl_AppendResult(interp,"  PreView\n",NULL);
    Tcl_AppendResult(interp,"  ViewCallback\n",NULL);
    Tcl_AppendResult(interp,"  View\n",NULL);
    Tcl_AppendResult(interp,"  PreViewMacro\n",NULL);
    Tcl_AppendResult(interp,"  ViewMacroCallback\n",NULL);
    Tcl_AppendResult(interp,"  ViewMacro\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  CreateIconFromMainView\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWidgetValues\n",NULL);
    Tcl_AppendResult(interp,"  StoreStateScript\n",NULL);
    Tcl_AppendResult(interp,"  GetStateScript\n",NULL);
    Tcl_AppendResult(interp,"  SetStateScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVersion\n",NULL);
    Tcl_AppendResult(interp,"  SetVersion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageData\n",NULL);
    Tcl_AppendResult(interp,"  SetImageData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterOfRotation\n",NULL);
    Tcl_AppendResult(interp,"  SetCenterOfRotation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenterOfRotation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLocation\n",NULL);
    Tcl_AppendResult(interp,"  SetLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EnableScrollBar\n",NULL);
    Tcl_AppendResult(interp,"  RemovePVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarButton\n",NULL);
    Tcl_AppendResult(interp,"  AddLookmarkToolbarButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeDataset\n",NULL);
    return TCL_OK;
    }

  if (vtkKWLookmarkCppCommand((vtkKWLookmark *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
