// tcl wrapper for vtkPVRenderView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVRenderView.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVRenderViewNewCommand()
{
  vtkPVRenderView *temp = vtkPVRenderView::New();
  return ((ClientData)temp);
}

int vtkKWViewCppCommand(vtkKWView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVRenderViewCppCommand(vtkPVRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVRenderViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVRenderViewCppCommand((vtkPVRenderView *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVRenderViewCppCommand(vtkPVRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVRenderView",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWViewCppCommand((vtkKWView *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWView", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVRenderView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddAnnotationProp",argv[1]))&&(argc == 3))
    {
    vtkPVCornerAnnotationEditor  *temp0;
    error = 0;

    temp0 = (vtkPVCornerAnnotationEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVCornerAnnotationEditor",interp,error));
    if (!error)
    {
    op->AddAnnotationProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAnnotationProp",argv[1]))&&(argc == 3))
    {
    vtkPVCornerAnnotationEditor  *temp0;
    error = 0;

    temp0 = (vtkPVCornerAnnotationEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVCornerAnnotationEditor",interp,error));
    if (!error)
    {
    op->RemoveAnnotationProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateRenderObjects",argv[1]))&&(argc == 3))
    {
    vtkPVApplication  *temp0;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    if (!error)
    {
    op->CreateRenderObjects(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateViewProperties",argv[1]))&&(argc == 2))
    {
    op->CreateViewProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 2))
    {
    op->ResetCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCameraState",argv[1]))&&(argc == 11))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    float    temp4;
    float    temp5;
    float    temp6;
    float    temp7;
    float    temp8;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp6 = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp7 = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp8 = tempd;
    if (!error)
    {
    op->SetCameraState(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7,temp8);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCameraParallelScale",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCameraParallelScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StandardViewCallback",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->StandardViewCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveAsImage",argv[1]))&&(argc == 2))
    {
    op->SaveAsImage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAsImage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveAsImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModuleProxy",argv[1]))&&(argc == 2))
    {
    vtkSMRenderModuleProxy  *temp20;
    temp20 = (op)->GetRenderModuleProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMRenderModuleProxy");
    return TCL_OK;
    }
  if ((!strcmp("GetPVApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetPVApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ForceRender",argv[1]))&&(argc == 2))
    {
    op->ForceRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EventuallyRender",argv[1]))&&(argc == 2))
    {
    op->EventuallyRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EventuallyRenderCallBack",argv[1]))&&(argc == 2))
    {
    op->EventuallyRenderCallBack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableRendering",argv[1]))&&(argc == 2))
    {
    op->DisableRendering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateTclButAvoidRendering",argv[1]))&&(argc == 2))
    {
    op->UpdateTclButAvoidRendering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Exposed",argv[1]))&&(argc == 2))
    {
    op->Exposed();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Configured",argv[1]))&&(argc == 2))
    {
    op->Configured();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateNavigationWindow",argv[1]))&&(argc == 4))
    {
    vtkPVSource  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->UpdateNavigationWindow(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNavigationFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetNavigationFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("ShowNavigationWindowCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ShowNavigationWindowCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowSelectionWindowCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ShowSelectionWindowCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRendererBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetRendererBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForDelete",argv[1]))&&(argc == 2))
    {
    op->PrepareForDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetParallelProjectionCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetParallelProjectionCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionCallback",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionOn",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParallelProjectionOff",argv[1]))&&(argc == 2))
    {
    op->ParallelProjectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriangleStripsCallback",argv[1]))&&(argc == 2))
    {
    op->TriangleStripsCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTriangleStrips",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTriangleStrips(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ImmediateModeCallback",argv[1]))&&(argc == 2))
    {
    op->ImmediateModeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseImmediateMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseImmediateMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriangleStripsCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetTriangleStripsCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("GetImmediateModeCheck",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetImmediateModeCheck();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("GetPVWindow",argv[1]))&&(argc == 2))
    {
    vtkPVWindow  *temp20;
    temp20 = (op)->GetPVWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetManipulatorControl3D",argv[1]))&&(argc == 2))
    {
    vtkPVInteractorStyleControl  *temp20;
    temp20 = (op)->GetManipulatorControl3D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInteractorStyleControl");
    return TCL_OK;
    }
  if ((!strcmp("GetManipulatorControl2D",argv[1]))&&(argc == 2))
    {
    vtkPVInteractorStyleControl  *temp20;
    temp20 = (op)->GetManipulatorControl2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInteractorStyleControl");
    return TCL_OK;
    }
  if ((!strcmp("GetCameraControl",argv[1]))&&(argc == 2))
    {
    vtkPVCameraControl  *temp20;
    temp20 = (op)->GetCameraControl();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraControl");
    return TCL_OK;
    }
  if ((!strcmp("SetupCameraManipulators",argv[1]))&&(argc == 2))
    {
    op->SetupCameraManipulators();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateCameraManipulators",argv[1]))&&(argc == 2))
    {
    op->UpdateCameraManipulators();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSourceParent",argv[1]))&&(argc == 2))
    {
    vtkKWWidget  *temp20;
    temp20 = (op)->GetSourceParent();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetSplitFrame",argv[1]))&&(argc == 2))
    {
    vtkKWSplitFrame  *temp20;
    temp20 = (op)->GetSplitFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSplitFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetSourceNotebook",argv[1]))&&(argc == 2))
    {
    vtkPVSourceNotebook  *temp20;
    temp20 = (op)->GetSourceNotebook();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSourceNotebook");
    return TCL_OK;
    }
  if ((!strcmp("StoreCurrentCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->StoreCurrentCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RestoreCurrentCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RestoreCurrentCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Display3DWidgetsCallback",argv[1]))&&(argc == 2))
    {
    op->Display3DWidgetsCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplay3DWidgets",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplay3DWidgets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourcesBrowserAlwaysShowName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSourcesBrowserAlwaysShowName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SwitchBackAndForthToViewProperties",argv[1]))&&(argc == 2))
    {
    op->SwitchBackAndForthToViewProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindowSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetRenderWindowSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Enable3DWidget",argv[1]))&&(argc == 3))
    {
    vtkInteractorObserver  *temp0;
    error = 0;

    temp0 = (vtkInteractorObserver *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkInteractorObserver",interp,error));
    if (!error)
    {
    op->Enable3DWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrientationAxesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientationAxesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationAxesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationAxesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OrientationAxesCheckCallback",argv[1]))&&(argc == 2))
    {
    op->OrientationAxesCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationAxesInteractivity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientationAxesInteractivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OrientationAxesInteractiveCallback",argv[1]))&&(argc == 2))
    {
    op->OrientationAxesInteractiveCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationAxesOutlineColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrientationAxesOutlineColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrientationAxesTextColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrientationAxesTextColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModuleUI",argv[1]))&&(argc == 2))
    {
    vtkPVRenderModuleUI  *temp20;
    temp20 = (op)->GetRenderModuleUI();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderModuleUI");
    return TCL_OK;
    }
  if ((!strcmp("EditCopy",argv[1]))&&(argc == 2))
    {
    op->EditCopy();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintView",argv[1]))&&(argc == 2))
    {
    op->PrintView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartBlockingRender",argv[1]))&&(argc == 2))
    {
    op->StartBlockingRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndBlockingRender",argv[1]))&&(argc == 2))
    {
    op->EndBlockingRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStandardViewsFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetStandardViewsFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("GetCameraIconsFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetCameraIconsFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("GetCameraControlFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetCameraControlFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationAxesFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetOrientationAxesFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("DefaultLightIntensityCallback",argv[1]))&&(argc == 2))
    {
    op->DefaultLightIntensityCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DefaultLightIntensityEndCallback",argv[1]))&&(argc == 2))
    {
    op->DefaultLightIntensityEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultLightIntensity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultLightIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultLightIntensityNoTrace",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDefaultLightIntensityNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultLightAmbientColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultLightAmbientColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultLightDiffuseColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultLightDiffuseColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultLightSpecularColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetDefaultLightSpecularColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DefaultLightSwitchCallback",argv[1]))&&(argc == 2))
    {
    op->DefaultLightSwitchCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDefaultLightSwitch",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDefaultLightSwitch(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LightCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->LightCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LightEndCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->LightEndCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MaintainLuminanceCallback",argv[1]))&&(argc == 2))
    {
    op->MaintainLuminanceCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaintainLuminance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaintainLuminance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UseLightCallback",argv[1]))&&(argc == 2))
    {
    op->UseLightCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseLight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLight",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetLight(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLightNoTrace",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLightNoTrace(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLight",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLight(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVRenderViewCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVRenderView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddAnnotationProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAnnotationProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateRenderObjects\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateViewProperties\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetCameraState\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCameraParallelScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StandardViewCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveAsImage\n",NULL);
    Tcl_AppendResult(interp,"  SaveAsImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModuleProxy\n",NULL);
    Tcl_AppendResult(interp,"  GetPVApplication\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  ForceRender\n",NULL);
    Tcl_AppendResult(interp,"  EventuallyRender\n",NULL);
    Tcl_AppendResult(interp,"  EventuallyRenderCallBack\n",NULL);
    Tcl_AppendResult(interp,"  DisableRendering\n",NULL);
    Tcl_AppendResult(interp,"  UpdateTclButAvoidRendering\n",NULL);
    Tcl_AppendResult(interp,"  Exposed\n",NULL);
    Tcl_AppendResult(interp,"  Configured\n",NULL);
    Tcl_AppendResult(interp,"  UpdateNavigationWindow\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNavigationFrame\n",NULL);
    Tcl_AppendResult(interp,"  ShowNavigationWindowCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowSelectionWindowCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRendererBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDelete\n",NULL);
    Tcl_AppendResult(interp,"  GetParallelProjectionCheck\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionCallback\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionOn\n",NULL);
    Tcl_AppendResult(interp,"  ParallelProjectionOff\n",NULL);
    Tcl_AppendResult(interp,"  TriangleStripsCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTriangleStrips\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ImmediateModeCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetUseImmediateMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTriangleStripsCheck\n",NULL);
    Tcl_AppendResult(interp,"  GetImmediateModeCheck\n",NULL);
    Tcl_AppendResult(interp,"  GetPVWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetManipulatorControl3D\n",NULL);
    Tcl_AppendResult(interp,"  GetManipulatorControl2D\n",NULL);
    Tcl_AppendResult(interp,"  GetCameraControl\n",NULL);
    Tcl_AppendResult(interp,"  SetupCameraManipulators\n",NULL);
    Tcl_AppendResult(interp,"  UpdateCameraManipulators\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceParent\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceNotebook\n",NULL);
    Tcl_AppendResult(interp,"  StoreCurrentCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RestoreCurrentCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Display3DWidgetsCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplay3DWidgets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSourcesBrowserAlwaysShowName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SwitchBackAndForthToViewProperties\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindowSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Enable3DWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationAxesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationAxesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  OrientationAxesCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationAxesInteractivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OrientationAxesInteractiveCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationAxesOutlineColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationAxesTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModuleUI\n",NULL);
    Tcl_AppendResult(interp,"  EditCopy\n",NULL);
    Tcl_AppendResult(interp,"  PrintView\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  StartBlockingRender\n",NULL);
    Tcl_AppendResult(interp,"  EndBlockingRender\n",NULL);
    Tcl_AppendResult(interp,"  GetStandardViewsFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetCameraIconsFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetCameraControlFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationAxesFrame\n",NULL);
    Tcl_AppendResult(interp,"  DefaultLightIntensityCallback\n",NULL);
    Tcl_AppendResult(interp,"  DefaultLightIntensityEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultLightIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultLightIntensityNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultLightAmbientColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultLightDiffuseColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultLightSpecularColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  DefaultLightSwitchCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultLightSwitch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LightCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  LightEndCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  MaintainLuminanceCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetMaintainLuminance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UseLightCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLight\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLightNoTrace\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLight\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (vtkKWViewCppCommand((vtkKWView *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
