// tcl wrapper for vtkPVSourceNotebook object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVSourceNotebook.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVSourceNotebookNewCommand()
{
  vtkPVSourceNotebook *temp = vtkPVSourceNotebook::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVSourceNotebookCppCommand(vtkPVSourceNotebook *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVSourceNotebookCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVSourceNotebookCppCommand((vtkPVSourceNotebook *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVSourceNotebookCppCommand(vtkPVSourceNotebook *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVSourceNotebook",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVSourceNotebook  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSourceNotebook");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVSourceNotebook  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSourceNotebook");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVSourceNotebook  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSourceNotebook");
    return TCL_OK;
    }
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPVSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->SetPVSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVSource",argv[1]))&&(argc == 2))
    {
    vtkPVSource  *temp20;
    temp20 = (op)->GetPVSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableStateWithSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->UpdateEnableStateWithSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisplayGUI",argv[1]))&&(argc == 2))
    {
    vtkPVDisplayGUI  *temp20;
    temp20 = (op)->GetDisplayGUI();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDisplayGUI");
    return TCL_OK;
    }
  if ((!strcmp("SetAcceptButtonColorToModified",argv[1]))&&(argc == 2))
    {
    op->SetAcceptButtonColorToModified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAcceptButtonColorToUnmodified",argv[1]))&&(argc == 2))
    {
    op->SetAcceptButtonColorToUnmodified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAcceptButtonRed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAcceptButtonRed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LabelEntryCallback",argv[1]))&&(argc == 2))
    {
    op->LabelEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Raise",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->Raise(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HidePage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->HidePage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowPage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ShowPage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMainParameterFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetMainParameterFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetPVApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetPVApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("AcceptButtonCallback",argv[1]))&&(argc == 2))
    {
    op->AcceptButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetButtonCallback",argv[1]))&&(argc == 2))
    {
    op->ResetButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteButtonCallback",argv[1]))&&(argc == 2))
    {
    op->DeleteButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAccept",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAccept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAccept",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAccept();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EventuallyAccept",argv[1]))&&(argc == 2))
    {
    op->EventuallyAccept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EventuallyAcceptCallBack",argv[1]))&&(argc == 2))
    {
    op->EventuallyAcceptCallBack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCloneInitializeLock",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCloneInitializeLock(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCloneInitializeLock",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCloneInitializeLock();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CloneInitializeLockOn",argv[1]))&&(argc == 2))
    {
    op->CloneInitializeLockOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CloneInitializeLockOff",argv[1]))&&(argc == 2))
    {
    op->CloneInitializeLockOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVSourceNotebookCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVSourceNotebook:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVSource\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableStateWithSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayGUI\n",NULL);
    Tcl_AppendResult(interp,"  SetAcceptButtonColorToModified\n",NULL);
    Tcl_AppendResult(interp,"  SetAcceptButtonColorToUnmodified\n",NULL);
    Tcl_AppendResult(interp,"  GetAcceptButtonRed\n",NULL);
    Tcl_AppendResult(interp,"  LabelEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  Raise\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HidePage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowPage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMainParameterFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetPVApplication\n",NULL);
    Tcl_AppendResult(interp,"  AcceptButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  ResetButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  DeleteButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAccept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAccept\n",NULL);
    Tcl_AppendResult(interp,"  EventuallyAccept\n",NULL);
    Tcl_AppendResult(interp,"  EventuallyAcceptCallBack\n",NULL);
    Tcl_AppendResult(interp,"  SetCloneInitializeLock\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCloneInitializeLock\n",NULL);
    Tcl_AppendResult(interp,"  CloneInitializeLockOn\n",NULL);
    Tcl_AppendResult(interp,"  CloneInitializeLockOff\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
