// tcl wrapper for vtkPVSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVSource.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVSourceNewCommand()
{
  vtkPVSource *temp = vtkPVSource::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVSourceCppCommand(vtkPVSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVSourceCppCommand((vtkPVSource *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVSourceCppCommand(vtkPVSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVSource",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVWindow",argv[1]))&&(argc == 2))
    {
    vtkPVWindow  *temp20;
    temp20 = (op)->GetPVWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
  if ((!strcmp("CreateProperties",argv[1]))&&(argc == 2))
    {
    op->CreateProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 2))
    {
    op->Select();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Deselect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Deselect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Pack",argv[1]))&&(argc == 2))
    {
    op->Pack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVisibilityNoTrace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibilityNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPVColorMap",argv[1]))&&(argc == 3))
    {
    vtkPVColorMap  *temp0;
    error = 0;

    temp0 = (vtkPVColorMap *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVColorMap",interp,error));
    if (!error)
    {
    op->SetPVColorMap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultColorParameters",argv[1]))&&(argc == 2))
    {
    op->SetDefaultColorParameters();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCubeAxesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCubeAxesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCubeAxesVisibilityNoTrace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCubeAxesVisibilityNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCubeAxesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCubeAxesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointLabelVisibilityNoTrace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointLabelVisibilityNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointLabelFontSizeNoTrace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointLabelFontSizeNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddPVInput",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->AddPVInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPVInput",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    int      temp1;
    vtkPVSource  *temp2;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->SetPVInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPVSource  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPVInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPVInputs",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPVInputs();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllPVInputs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPVInputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPVConsumers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPVConsumers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddPVConsumer",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->AddPVConsumer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePVConsumer",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->RemovePVConsumer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVConsumer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPVSource  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPVConsumer(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPVConsumer",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    temp20 = (op)->IsPVConsumer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVOutput",argv[1]))&&(argc == 2))
    {
    vtkPVDisplayGUI  *temp20;
    temp20 = (op)->GetPVOutput();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDisplayGUI");
    return TCL_OK;
    }
  if ((!strcmp("GetPVColorMap",argv[1]))&&(argc == 2))
    {
    vtkPVColorMap  *temp20;
    temp20 = (op)->GetPVColorMap();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorMap");
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOverideAutoAccept",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOverideAutoAccept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverideAutoAccept",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOverideAutoAccept();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelNoTrace",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelOnce",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelOnce(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetPVApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("AcceptCallback",argv[1]))&&(argc == 2))
    {
    op->AcceptCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreAcceptCallback",argv[1]))&&(argc == 2))
    {
    op->PreAcceptCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsDeletable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDeletable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 2))
    {
    op->Accept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Accept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Accept(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCallback",argv[1]))&&(argc == 2))
    {
    op->ResetCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteCallback",argv[1]))&&(argc == 2))
    {
    op->DeleteCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateProperties",argv[1]))&&(argc == 2))
    {
    op->UpdateProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVTKSourceParameters",argv[1]))&&(argc == 2))
    {
    op->UpdateVTKSourceParameters();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfVTKSources",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVTKSources();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVTKSourceIDAsInt",argv[1]))&&(argc == 3))
    {
    int      temp0;
    unsigned int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVTKSourceIDAsInt(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReplaceInput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReplaceInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReplaceInput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReplaceInput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInputOn",argv[1]))&&(argc == 2))
    {
    op->ReplaceInputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReplaceInputOff",argv[1]))&&(argc == 2))
    {
    op->ReplaceInputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPVWidget",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVWidget  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPVWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNotebook",argv[1]))&&(argc == 3))
    {
    vtkPVSourceNotebook  *temp0;
    error = 0;

    temp0 = (vtkPVSourceNotebook *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSourceNotebook",interp,error));
    if (!error)
    {
    op->SetNotebook(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNotebook",argv[1]))&&(argc == 2))
    {
    vtkPVSourceNotebook  *temp20;
    temp20 = (op)->GetNotebook();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSourceNotebook");
    return TCL_OK;
    }
  if ((!strcmp("SetVisitedFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisitedFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisitedFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisitedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddPVWidget",argv[1]))&&(argc == 3))
    {
    vtkPVWidget  *temp0;
    error = 0;

    temp0 = (vtkPVWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVWidget",interp,error));
    if (!error)
    {
    op->AddPVWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeClone",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->InitializeClone(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->InitializeData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InitializePrototype",argv[1]))&&(argc == 2))
    {
    op->InitializePrototype();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSourceClassName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSourceClassName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceClassName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSourceClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPart",argv[1]))&&(argc == 2))
    {
    vtkSMPart  *temp20;
    temp20 = (op)->GetPart();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMPart");
    return TCL_OK;
    }
  if ((!strcmp("GetPart",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkSMPart  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPart(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMPart");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfParts",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfParts();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfInputProperties",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfInputProperties();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInputProperty",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPVInputProperty  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputProperty(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInputProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputProperty",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVInputProperty  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetInputProperty(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInputProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVTKMultipleInputsFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVTKMultipleInputsFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVTKMultipleInputsFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVTKMultipleInputsFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVTKMultipleProcessFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVTKMultipleProcessFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVTKMultipleProcessFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVTKMultipleProcessFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfProcessorsValid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfProcessorsValid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIsPermanent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIsPermanent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIsPermanent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsPermanent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsPermanentOn",argv[1]))&&(argc == 2))
    {
    op->IsPermanentOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsPermanentOff",argv[1]))&&(argc == 2))
    {
    op->IsPermanentOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModuleName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetModuleName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModuleName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetModuleName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMenuName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMenuName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMenuName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMenuName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetShortHelp",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetShortHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShortHelp",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetShortHelp();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLongHelp",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLongHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLongHelp",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLongHelp();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetInitialized",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialized();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetToolbarModule",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetToolbarModule(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToolbarModule",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToolbarModule();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarModuleOn",argv[1]))&&(argc == 2))
    {
    op->ToolbarModuleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarModuleOff",argv[1]))&&(argc == 2))
    {
    op->ToolbarModuleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GrabFocus",argv[1]))&&(argc == 2))
    {
    op->GrabFocus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnGrabFocus",argv[1]))&&(argc == 2))
    {
    op->UnGrabFocus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataInformation",argv[1]))&&(argc == 2))
    {
    vtkPVDataInformation  *temp20;
    temp20 = (op)->GetDataInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataInformation");
    return TCL_OK;
    }
  if ((!strcmp("InvalidateDataInformation",argv[1]))&&(argc == 2))
    {
    op->InvalidateDataInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPVRenderView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetPVRenderView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfOutputsInformation",argv[1]))&&(argc == 2))
    {
    vtkPVNumberOfOutputsInformation  *temp20;
    temp20 = (op)->GetNumberOfOutputsInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVNumberOfOutputsInformation");
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSourceGrabbed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSourceGrabbed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProxy",argv[1]))&&(argc == 3))
    {
    vtkSMSourceProxy  *temp0;
    error = 0;

    temp0 = (vtkSMSourceProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMSourceProxy",interp,error));
    if (!error)
    {
    op->SetProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProxy",argv[1]))&&(argc == 2))
    {
    vtkSMSourceProxy  *temp20;
    temp20 = (op)->GetProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMSourceProxy");
    return TCL_OK;
    }
  if ((!strcmp("RegisterProxy",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkPVSource  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->RegisterProxy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateVTKObjects",argv[1]))&&(argc == 2))
    {
    op->UpdateVTKObjects();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayProxy",argv[1]))&&(argc == 3))
    {
    vtkSMDataObjectDisplayProxy  *temp0;
    error = 0;

    temp0 = (vtkSMDataObjectDisplayProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMDataObjectDisplayProxy",interp,error));
    if (!error)
    {
    op->SetDisplayProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayProxy",argv[1]))&&(argc == 2))
    {
    vtkSMDataObjectDisplayProxy  *temp20;
    temp20 = (op)->GetDisplayProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDataObjectDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("GetPointLabelDisplayProxy",argv[1]))&&(argc == 2))
    {
    vtkSMPointLabelDisplayProxy  *temp20;
    temp20 = (op)->GetPointLabelDisplayProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMPointLabelDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("VolumeRenderByArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->VolumeRenderByArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorByArray",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ColorByArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAcceptButtonColorToModified",argv[1]))&&(argc == 2))
    {
    op->SetAcceptButtonColorToModified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MarkSourcesForUpdate",argv[1]))&&(argc == 2))
    {
    op->MarkSourcesForUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLookmark",argv[1]))&&(argc == 3))
    {
    vtkPVLookmark  *temp0;
    error = 0;

    temp0 = (vtkPVLookmark *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVLookmark",interp,error));
    if (!error)
    {
    op->SetLookmark(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookmark",argv[1]))&&(argc == 2))
    {
    vtkPVLookmark  *temp20;
    temp20 = (op)->GetLookmark();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmark");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVSourceCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVWindow\n",NULL);
    Tcl_AppendResult(interp,"  CreateProperties\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Select\n",NULL);
    Tcl_AppendResult(interp,"  Deselect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pack\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibilityNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPVColorMap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultColorParameters\n",NULL);
    Tcl_AppendResult(interp,"  SetCubeAxesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCubeAxesVisibilityNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCubeAxesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLabelVisibilityNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLabelFontSizeNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  AddPVInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPVInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPVInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPVInputs\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPVInputs\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPVConsumers\n",NULL);
    Tcl_AppendResult(interp,"  AddPVConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemovePVConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPVConsumer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVOutput\n",NULL);
    Tcl_AppendResult(interp,"  GetPVColorMap\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetOverideAutoAccept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverideAutoAccept\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelOnce\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVApplication\n",NULL);
    Tcl_AppendResult(interp,"  AcceptCallback\n",NULL);
    Tcl_AppendResult(interp,"  PreAcceptCallback\n",NULL);
    Tcl_AppendResult(interp,"  IsDeletable\n",NULL);
    Tcl_AppendResult(interp,"  Accept\n",NULL);
    Tcl_AppendResult(interp,"  Accept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Accept\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCallback\n",NULL);
    Tcl_AppendResult(interp,"  DeleteCallback\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  UpdateProperties\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVTKSourceParameters\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVTKSources\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKSourceIDAsInt\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetReplaceInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReplaceInput\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInputOn\n",NULL);
    Tcl_AppendResult(interp,"  ReplaceInputOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPVWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNotebook\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNotebook\n",NULL);
    Tcl_AppendResult(interp,"  SetVisitedFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisitedFlag\n",NULL);
    Tcl_AppendResult(interp,"  AddPVWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeClone\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeData\n",NULL);
    Tcl_AppendResult(interp,"  InitializePrototype\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceClassName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetPart\n",NULL);
    Tcl_AppendResult(interp,"  GetPart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfParts\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfInputProperties\n",NULL);
    Tcl_AppendResult(interp,"  GetInputProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVTKMultipleInputsFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKMultipleInputsFlag\n",NULL);
    Tcl_AppendResult(interp,"  SetVTKMultipleProcessFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKMultipleProcessFlag\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProcessorsValid\n",NULL);
    Tcl_AppendResult(interp,"  SetIsPermanent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIsPermanent\n",NULL);
    Tcl_AppendResult(interp,"  IsPermanentOn\n",NULL);
    Tcl_AppendResult(interp,"  IsPermanentOff\n",NULL);
    Tcl_AppendResult(interp,"  SetModuleName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModuleName\n",NULL);
    Tcl_AppendResult(interp,"  SetMenuName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMenuName\n",NULL);
    Tcl_AppendResult(interp,"  SetShortHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShortHelp\n",NULL);
    Tcl_AppendResult(interp,"  SetLongHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLongHelp\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialized\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarModule\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarModule\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarModuleOn\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarModuleOff\n",NULL);
    Tcl_AppendResult(interp,"  GrabFocus\n",NULL);
    Tcl_AppendResult(interp,"  UnGrabFocus\n",NULL);
    Tcl_AppendResult(interp,"  GetDataInformation\n",NULL);
    Tcl_AppendResult(interp,"  InvalidateDataInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetPVRenderView\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfOutputsInformation\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceGrabbed\n",NULL);
    Tcl_AppendResult(interp,"  SetProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProxy\n",NULL);
    Tcl_AppendResult(interp,"  RegisterProxy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVTKObjects\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayProxy\n",NULL);
    Tcl_AppendResult(interp,"  GetPointLabelDisplayProxy\n",NULL);
    Tcl_AppendResult(interp,"  VolumeRenderByArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ColorByArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAcceptButtonColorToModified\n",NULL);
    Tcl_AppendResult(interp,"  MarkSourcesForUpdate\n",NULL);
    Tcl_AppendResult(interp,"  SetLookmark\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookmark\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
