// tcl wrapper for vtkPVWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVWindow.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVWindowNewCommand()
{
  vtkPVWindow *temp = vtkPVWindow::New();
  return ((ClientData)temp);
}

int vtkKWWindowCppCommand(vtkKWWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVWindowCppCommand(vtkPVWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVWindowCppCommand((vtkPVWindow *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVWindowCppCommand(vtkPVWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVWindow",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWWindowCppCommand((vtkKWWindow *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWWindow", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMainView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetMainView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentPVSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->SetCurrentPVSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCurrentPVSourceCallback",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->SetCurrentPVSourceCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentPVSource",argv[1]))&&(argc == 2))
    {
    vtkPVSource  *temp20;
    temp20 = (op)->GetCurrentPVSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
  if ((!strcmp("GetPreviousPVSource",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPVSource  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPreviousPVSource(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentPVReaderModule",argv[1]))&&(argc == 2))
    {
    vtkPVReaderModule  *temp20;
    temp20 = (op)->GetCurrentPVReaderModule();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVReaderModule");
    return TCL_OK;
    }
  if ((!strcmp("AddPVSource",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkPVSource  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->AddPVSource(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePVSource",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkPVSource  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->RemovePVSource(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteAllSourcesCallback",argv[1]))&&(argc == 2))
    {
    op->DeleteAllSourcesCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteAllSources",argv[1]))&&(argc == 2))
    {
    op->DeleteAllSources();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteSourceAndOutputs",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->DeleteSourceAndOutputs(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteAllKeyframesCallback",argv[1]))&&(argc == 2))
    {
    op->DeleteAllKeyframesCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteAllKeyframes",argv[1]))&&(argc == 2))
    {
    op->DeleteAllKeyframes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPVSource",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkPVSource  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetPVSource(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetSelectMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetGlyphMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetSourceMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetSourceMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetFilterMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetFilterMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("ResetCameraCallback",argv[1]))&&(argc == 2))
    {
    op->ResetCameraCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCurrentSourceProperties",argv[1]))&&(argc == 2))
    {
    op->ShowCurrentSourceProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCurrentSourcePropertiesCallback",argv[1]))&&(argc == 2))
    {
    op->ShowCurrentSourcePropertiesCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowAnimationPanes",argv[1]))&&(argc == 2))
    {
    op->ShowAnimationPanes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetToolbar",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->GetToolbar();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("GetInteractorToolbar",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->GetInteractorToolbar();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("GetPickCenterToolbar",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->GetPickCenterToolbar();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("GetLookmarkToolbar",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->GetLookmarkToolbar();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("SaveBatchScript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveBatchScript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveBatchScript",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    char    *temp2;
    char    *temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    op->SaveBatchScript(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveSMState",argv[1]))&&(argc == 2))
    {
    op->SaveSMState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveSMState",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveSMState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveBatchScript",argv[1]))&&(argc == 2))
    {
    op->SaveBatchScript();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveState",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveState",argv[1]))&&(argc == 2))
    {
    op->SaveState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveTrace",argv[1]))&&(argc == 2))
    {
    op->SaveTrace();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveTrace",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SaveTrace(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("OpenCallback",argv[1]))&&(argc == 2))
    {
    op->OpenCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Open",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->Open(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Open",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->Open(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("OpenCustom",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->OpenCustom(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeReadCustom",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkPVReaderModule  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->InitializeReadCustom(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVReaderModule");
    return TCL_OK;
    }
    }
  if ((!strcmp("FinalizeRead",argv[1]))&&(argc == 4))
    {
    vtkPVReaderModule  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkPVReaderModule *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVReaderModule",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->FinalizeRead(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadFileInformation",argv[1]))&&(argc == 4))
    {
    vtkPVReaderModule  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkPVReaderModule *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVReaderModule",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->ReadFileInformation(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlayDemo",argv[1]))&&(argc == 2))
    {
    op->PlayDemo();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowTimerLog",argv[1]))&&(argc == 2))
    {
    op->ShowTimerLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowErrorLog",argv[1]))&&(argc == 2))
    {
    op->ShowErrorLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowComparativeVisManager",argv[1]))&&(argc == 2))
    {
    op->ShowComparativeVisManager();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAnimation",argv[1]))&&(argc == 2))
    {
    op->SaveAnimation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveGeometry",argv[1]))&&(argc == 2))
    {
    op->SaveGeometry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteData",argv[1]))&&(argc == 2))
    {
    op->WriteData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteVTKFile",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->WriteVTKFile(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WriteVTKFile",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->WriteVTKFile(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WriteVTKFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->WriteVTKFile(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreatePVSource",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVSource  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CreatePVSource(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("CreatePVSource",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkPVSource  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->CreatePVSource(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("CreatePVSource",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    int      temp3;
    vtkPVSource  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->CreatePVSource(temp0,temp1,temp2,temp3);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceList",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVSourceCollection  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetSourceList(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSourceCollection");
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateSelectMenu",argv[1]))&&(argc == 2))
    {
    op->UpdateSelectMenu();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableToolbarButtons",argv[1]))&&(argc == 2))
    {
    op->DisableToolbarButtons();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableToolbarButtons",argv[1]))&&(argc == 2))
    {
    op->EnableToolbarButtons();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableToolbarButton",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->EnableToolbarButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableToolbarButton",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisableToolbarButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateSourceMenu",argv[1]))&&(argc == 2))
    {
    op->UpdateSourceMenu();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateFilterMenu",argv[1]))&&(argc == 2))
    {
    op->UpdateFilterMenu();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAnimationManager",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationManager  *temp20;
    temp20 = (op)->GetAnimationManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationManager");
    return TCL_OK;
    }
  if ((!strcmp("AddPrototype",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkPVSource  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->AddPrototype(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToolbarButton",argv[1]))&&(argc == 8))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    char    *temp4;
    int      temp5;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = argv[6];
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->AddToolbarButton(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseMessageDialog",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseMessageDialog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseMessageDialog",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseMessageDialog();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseMessageDialogOn",argv[1]))&&(argc == 2))
    {
    op->UseMessageDialogOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseMessageDialogOff",argv[1]))&&(argc == 2))
    {
    op->UseMessageDialogOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInDemo",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInDemo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInDemo",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInDemo();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInComparativeVis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInComparativeVis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInComparativeVis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInComparativeVis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddManipulator",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    vtkPVCameraManipulator  *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkPVCameraManipulator *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPVCameraManipulator",interp,error));
    if (!error)
    {
    op->AddManipulator(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddManipulatorArgument",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    vtkPVWidget  *temp3;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkPVWidget *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkPVWidget",interp,error));
    if (!error)
    {
    op->AddManipulatorArgument(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInitializeDefaultInterfaces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInitializeDefaultInterfaces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitializeDefaultInterfaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitializeDefaultInterfaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InitializeDefaultInterfacesOn",argv[1]))&&(argc == 2))
    {
    op->InitializeDefaultInterfacesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeDefaultInterfacesOff",argv[1]))&&(argc == 2))
    {
    op->InitializeDefaultInterfacesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpenPackage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->OpenPackage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OpenPackage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->OpenPackage(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadScript",argv[1]))&&(argc == 2))
    {
    op->LoadScript();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LoadScript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadScript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseAction",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->MouseAction(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Configure",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Configure(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("KeyAction",argv[1]))&&(argc == 5))
    {
    char     temp0;
    int      temp1;
    int      temp2;
    error = 0;

    temp0 = *(argv[2]);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->KeyAction(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractorStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractorStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractorStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractorStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ChangeInteractorStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ChangeInteractorStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CenterEntryOpenCallback",argv[1]))&&(argc == 2))
    {
    op->CenterEntryOpenCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CenterEntryCloseCallback",argv[1]))&&(argc == 2))
    {
    op->CenterEntryCloseCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CenterEntryCallback",argv[1]))&&(argc == 2))
    {
    op->CenterEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCenterCallback",argv[1]))&&(argc == 2))
    {
    op->ResetCenterCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToggleCenterActorCallback",argv[1]))&&(argc == 2))
    {
    op->ToggleCenterActorCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCenterXEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetCenterXEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("GetCenterYEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetCenterYEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("GetCenterZEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetCenterZEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("WarningMessage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->WarningMessage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ErrorMessage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ErrorMessage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVColorMap",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    vtkPVColorMap  *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPVColorMap(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVColorMap");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeAppearanceEditor",argv[1]))&&(argc == 2))
    {
    vtkPVVolumeAppearanceEditor  *temp20;
    temp20 = (op)->GetVolumeAppearanceEditor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVVolumeAppearanceEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetPVColorMaps",argv[1]))&&(argc == 2))
    {
    vtkCollection  *temp20;
    temp20 = (op)->GetPVColorMaps();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetCenterOfRotation",argv[1]))&&(argc == 5))
    {
    float  temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenterOfRotation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenterOfRotation",argv[1]))&&(argc == 5))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCenterOfRotation(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableNavigationWindow",argv[1]))&&(argc == 2))
    {
    op->EnableNavigationWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableNavigationWindow",argv[1]))&&(argc == 2))
    {
    op->DisableNavigationWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveRenderEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractiveRenderEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InteractiveRenderEnabledOn",argv[1]))&&(argc == 2))
    {
    op->InteractiveRenderEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveRenderEnabledOff",argv[1]))&&(argc == 2))
    {
    op->InteractiveRenderEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInteractiveRenderEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractiveRenderEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReadSourceInterfacesFromString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ReadSourceInterfacesFromString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplicationSettingsInterface",argv[1]))&&(argc == 2))
    {
    vtkKWApplicationSettingsInterface  *temp20;
    temp20 = (op)->GetApplicationSettingsInterface();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWApplicationSettingsInterface");
    return TCL_OK;
    }
  if ((!strcmp("GetInteractorID",argv[1]))&&(argc == 2))
    {
    vtkClientServerID   temp20;
    temp20 = (op)->GetInteractorID();
    Tcl_SetResult(interp, (char *) "unable to return result.", TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckIfFileIsReadable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CheckIfFileIsReadable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslateCameraButton",argv[1]))&&(argc == 2))
    {
    vtkKWRadioButton  *temp20;
    temp20 = (op)->GetTranslateCameraButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRadioButton");
    return TCL_OK;
    }
  if ((!strcmp("GetRotateCameraButton",argv[1]))&&(argc == 2))
    {
    vtkKWRadioButton  *temp20;
    temp20 = (op)->GetRotateCameraButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRadioButton");
    return TCL_OK;
    }
  if ((!strcmp("GetResetCameraButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButtonWithMenu  *temp20;
    temp20 = (op)->GetResetCameraButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButtonWithMenu");
    return TCL_OK;
    }
  if ((!strcmp("UpdateToolbarState",argv[1]))&&(argc == 2))
    {
    op->UpdateToolbarState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateMenuState",argv[1]))&&(argc == 2))
    {
    op->UpdateMenuState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProgress",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetProgress(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartProgress",argv[1]))&&(argc == 2))
    {
    op->StartProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndProgress",argv[1]))&&(argc == 2))
    {
    op->EndProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractorEventInformation",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char     temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = *(argv[6]);
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->SetInteractorEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeInteractorEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->InvokeInteractorEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AcceptCurrentSource",argv[1]))&&(argc == 2))
    {
    op->AcceptCurrentSource();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarMenuCheckCallback",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ToolbarMenuCheckCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayLookmarkManager",argv[1]))&&(argc == 2))
    {
    op->DisplayLookmarkManager();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPVLookmarkManager",argv[1]))&&(argc == 2))
    {
    vtkPVLookmarkManager  *temp20;
    temp20 = (op)->GetPVLookmarkManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmarkManager");
    return TCL_OK;
    }
  if ((!strcmp("SetSaveVisibleSourcesOnlyFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSaveVisibleSourcesOnlyFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToolbarVisibility",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetToolbarVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSecondaryPanelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSecondaryPanelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDefaultAnimation",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->AddDefaultAnimation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateAnimationInterface",argv[1]))&&(argc == 2))
    {
    op->UpdateAnimationInterface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTraceHelper",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->GetTraceHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
  if ((!strcmp("ErrorIconCallback",argv[1]))&&(argc == 2))
    {
    op->ErrorIconCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComparativeVisManagerGUI",argv[1]))&&(argc == 2))
    {
    vtkPVComparativeVisManagerGUI  *temp20;
    temp20 = (op)->GetComparativeVisManagerGUI();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVComparativeVisManagerGUI");
    return TCL_OK;
    }
  if ((!strcmp("ShowMainUserInterface",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ShowMainUserInterface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStateFileId",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetStateFileId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVWindowCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMainView\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentPVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentPVSourceCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentPVSource\n",NULL);
    Tcl_AppendResult(interp,"  GetPreviousPVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentPVReaderModule\n",NULL);
    Tcl_AppendResult(interp,"  AddPVSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemovePVSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DeleteAllSourcesCallback\n",NULL);
    Tcl_AppendResult(interp,"  DeleteAllSources\n",NULL);
    Tcl_AppendResult(interp,"  DeleteSourceAndOutputs\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteAllKeyframesCallback\n",NULL);
    Tcl_AppendResult(interp,"  DeleteAllKeyframes\n",NULL);
    Tcl_AppendResult(interp,"  GetPVSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetFilterMenu\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraCallback\n",NULL);
    Tcl_AppendResult(interp,"  ShowCurrentSourceProperties\n",NULL);
    Tcl_AppendResult(interp,"  ShowCurrentSourcePropertiesCallback\n",NULL);
    Tcl_AppendResult(interp,"  ShowAnimationPanes\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbar\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorToolbar\n",NULL);
    Tcl_AppendResult(interp,"  GetPickCenterToolbar\n",NULL);
    Tcl_AppendResult(interp,"  GetLookmarkToolbar\n",NULL);
    Tcl_AppendResult(interp,"  SaveBatchScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveBatchScript\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveSMState\n",NULL);
    Tcl_AppendResult(interp,"  SaveSMState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveBatchScript\n",NULL);
    Tcl_AppendResult(interp,"  SaveState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveState\n",NULL);
    Tcl_AppendResult(interp,"  SaveTrace\n",NULL);
    Tcl_AppendResult(interp,"  SaveTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OpenCallback\n",NULL);
    Tcl_AppendResult(interp,"  Open\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Open\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OpenCustom\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InitializeReadCustom\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FinalizeRead\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReadFileInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PlayDemo\n",NULL);
    Tcl_AppendResult(interp,"  ShowTimerLog\n",NULL);
    Tcl_AppendResult(interp,"  ShowErrorLog\n",NULL);
    Tcl_AppendResult(interp,"  ShowComparativeVisManager\n",NULL);
    Tcl_AppendResult(interp,"  SaveAnimation\n",NULL);
    Tcl_AppendResult(interp,"  SaveGeometry\n",NULL);
    Tcl_AppendResult(interp,"  WriteData\n",NULL);
    Tcl_AppendResult(interp,"  WriteVTKFile\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  WriteVTKFile\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WriteVTKFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreatePVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreatePVSource\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreatePVSource\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceList\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSelectMenu\n",NULL);
    Tcl_AppendResult(interp,"  DisableToolbarButtons\n",NULL);
    Tcl_AppendResult(interp,"  EnableToolbarButtons\n",NULL);
    Tcl_AppendResult(interp,"  EnableToolbarButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableToolbarButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSourceMenu\n",NULL);
    Tcl_AppendResult(interp,"  UpdateFilterMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationManager\n",NULL);
    Tcl_AppendResult(interp,"  AddPrototype\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddToolbarButton\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUseMessageDialog\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseMessageDialog\n",NULL);
    Tcl_AppendResult(interp,"  UseMessageDialogOn\n",NULL);
    Tcl_AppendResult(interp,"  UseMessageDialogOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInDemo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInDemo\n",NULL);
    Tcl_AppendResult(interp,"  SetInComparativeVis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInComparativeVis\n",NULL);
    Tcl_AppendResult(interp,"  AddManipulator\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddManipulatorArgument\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInitializeDefaultInterfaces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitializeDefaultInterfaces\n",NULL);
    Tcl_AppendResult(interp,"  InitializeDefaultInterfacesOn\n",NULL);
    Tcl_AppendResult(interp,"  InitializeDefaultInterfacesOff\n",NULL);
    Tcl_AppendResult(interp,"  OpenPackage\n",NULL);
    Tcl_AppendResult(interp,"  OpenPackage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadScript\n",NULL);
    Tcl_AppendResult(interp,"  LoadScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MouseAction\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Configure\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  KeyAction\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractorStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  ChangeInteractorStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CenterEntryOpenCallback\n",NULL);
    Tcl_AppendResult(interp,"  CenterEntryCloseCallback\n",NULL);
    Tcl_AppendResult(interp,"  CenterEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  ResetCenterCallback\n",NULL);
    Tcl_AppendResult(interp,"  ToggleCenterActorCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterXEntry\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterYEntry\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterZEntry\n",NULL);
    Tcl_AppendResult(interp,"  WarningMessage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ErrorMessage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVColorMap\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeAppearanceEditor\n",NULL);
    Tcl_AppendResult(interp,"  GetPVColorMaps\n",NULL);
    Tcl_AppendResult(interp,"  SetCenterOfRotation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenterOfRotation\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  EnableNavigationWindow\n",NULL);
    Tcl_AppendResult(interp,"  DisableNavigationWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveRenderEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveRenderEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveRenderEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveRenderEnabled\n",NULL);
    Tcl_AppendResult(interp,"  ReadSourceInterfacesFromString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplicationSettingsInterface\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorID\n",NULL);
    Tcl_AppendResult(interp,"  CheckIfFileIsReadable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslateCameraButton\n",NULL);
    Tcl_AppendResult(interp,"  GetRotateCameraButton\n",NULL);
    Tcl_AppendResult(interp,"  GetResetCameraButton\n",NULL);
    Tcl_AppendResult(interp,"  UpdateToolbarState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateMenuState\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    Tcl_AppendResult(interp,"  SetProgress\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  StartProgress\n",NULL);
    Tcl_AppendResult(interp,"  EndProgress\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractorEventInformation\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeInteractorEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AcceptCurrentSource\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarMenuCheckCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayLookmarkManager\n",NULL);
    Tcl_AppendResult(interp,"  GetPVLookmarkManager\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveVisibleSourcesOnlyFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondaryPanelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDefaultAnimation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateAnimationInterface\n",NULL);
    Tcl_AppendResult(interp,"  GetTraceHelper\n",NULL);
    Tcl_AppendResult(interp,"  ErrorIconCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetComparativeVisManagerGUI\n",NULL);
    Tcl_AppendResult(interp,"  ShowMainUserInterface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStateFileId\n",NULL);
    return TCL_OK;
    }

  if (vtkKWWindowCppCommand((vtkKWWindow *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
