/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWCheckButtonSet.h"

#include "vtkKWCheckButton.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWCheckButtonSet);
vtkCxxRevisionMacro(vtkKWCheckButtonSet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWCheckButton* vtkKWCheckButtonSet::GetWidget(int id)
{
  return static_cast<vtkKWCheckButton*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWCheckButton* vtkKWCheckButtonSet::AddWidget(int id)
{
  return static_cast<vtkKWCheckButton*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWCheckButtonSet::AllocateAndCreateWidget()
{
  vtkKWCheckButton *widget = vtkKWCheckButton::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWCheckButtonSet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
