/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWLabelSet.h"

#include "vtkKWLabel.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWLabelSet);
vtkCxxRevisionMacro(vtkKWLabelSet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWLabel* vtkKWLabelSet::GetWidget(int id)
{
  return static_cast<vtkKWLabel*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWLabel* vtkKWLabelSet::AddWidget(int id)
{
  return static_cast<vtkKWLabel*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWLabelSet::AllocateAndCreateWidget()
{
  vtkKWLabel *widget = vtkKWLabel::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWLabelSet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
