/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWLabelWithLabelSet.h"

#include "vtkKWLabelWithLabel.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWLabelWithLabelSet);
vtkCxxRevisionMacro(vtkKWLabelWithLabelSet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWLabelWithLabel* vtkKWLabelWithLabelSet::GetWidget(int id)
{
  return static_cast<vtkKWLabelWithLabel*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWLabelWithLabel* vtkKWLabelWithLabelSet::AddWidget(int id)
{
  return static_cast<vtkKWLabelWithLabel*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWLabelWithLabelSet::AllocateAndCreateWidget()
{
  vtkKWLabelWithLabel *widget = vtkKWLabelWithLabel::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWLabelWithLabelSet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
