/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWScaleSet.h"

#include "vtkKWScale.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWScaleSet);
vtkCxxRevisionMacro(vtkKWScaleSet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWScale* vtkKWScaleSet::GetWidget(int id)
{
  return static_cast<vtkKWScale*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWScale* vtkKWScaleSet::AddWidget(int id)
{
  return static_cast<vtkKWScale*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWScaleSet::AllocateAndCreateWidget()
{
  vtkKWScale *widget = vtkKWScale::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWScaleSet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
