// tcl wrapper for vtkKWHistogramSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWHistogramSet.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWHistogramSetNewCommand()
{
  vtkKWHistogramSet *temp = vtkKWHistogramSet::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWHistogramSetCppCommand(vtkKWHistogramSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWHistogramSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWHistogramSetCppCommand((vtkKWHistogramSet *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWHistogramSetCppCommand(vtkKWHistogramSet *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWHistogramSet",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWHistogramSet  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogramSet");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWHistogramSet  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogramSet");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWHistogramSet  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogramSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddHistogram",argv[1]))&&(argc == 4))
    {
    vtkKWHistogram  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWHistogram *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogram",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->AddHistogram(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllocateAndAddHistogram",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkKWHistogram  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->AllocateAndAddHistogram(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogram");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHistograms",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHistograms();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHistogramWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkKWHistogram  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetHistogramWithName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogram");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramName",argv[1]))&&(argc == 3))
    {
    vtkKWHistogram  *temp0;
    const char    *temp20;
    error = 0;

    temp0 = (vtkKWHistogram *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogram",interp,error));
    if (!error)
    {
    temp20 = (op)->GetHistogramName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthHistogram",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWHistogram  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthHistogram(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogram");
    return TCL_OK;
    }
    }
  if ((!strcmp("HasHistogramWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasHistogramWithName(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasHistogram",argv[1]))&&(argc == 3))
    {
    vtkKWHistogram  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWHistogram *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogram",interp,error));
    if (!error)
    {
    temp20 = (op)->HasHistogram(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveHistogramWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveHistogramWithName(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveHistogram",argv[1]))&&(argc == 3))
    {
    vtkKWHistogram  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWHistogram *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogram",interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveHistogram(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllHistograms",argv[1]))&&(argc == 2))
    {
    op->RemoveAllHistograms();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeHistogramName",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    char    *temp2;
    char    *temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    temp20 = (op)->ComputeHistogramName(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddHistograms",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataArray",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AddHistograms(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWHistogramSetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWHistogramSet:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddHistogram\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AllocateAndAddHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHistograms\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasHistogramWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveHistogramWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllHistograms\n",NULL);
    Tcl_AppendResult(interp,"  ComputeHistogramName\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddHistograms\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
