// tcl wrapper for vtkKWMessageDialog object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWMessageDialog.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWMessageDialogNewCommand()
{
  vtkKWMessageDialog *temp = vtkKWMessageDialog::New();
  return ((ClientData)temp);
}

int vtkKWDialogCppCommand(vtkKWDialog *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWMessageDialogCppCommand(vtkKWMessageDialog *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWMessageDialogCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWMessageDialogCppCommand((vtkKWMessageDialog *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWMessageDialogCppCommand(vtkKWMessageDialog *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWMessageDialog",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWDialogCppCommand((vtkKWDialog *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWDialog", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWMessageDialog  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMessageDialog");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWMessageDialog  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMessageDialog");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWMessageDialog  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMessageDialog");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTextWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToMessage",argv[1]))&&(argc == 2))
    {
    op->SetStyleToMessage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToYesNo",argv[1]))&&(argc == 2))
    {
    op->SetStyleToYesNo();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToOkCancel",argv[1]))&&(argc == 2))
    {
    op->SetStyleToOkCancel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToOkOtherCancel",argv[1]))&&(argc == 2))
    {
    op->SetStyleToOkOtherCancel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStyleToCancel",argv[1]))&&(argc == 2))
    {
    op->SetStyleToCancel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDialogName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDialogName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDialogName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDialogName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOptions",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOptions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOptions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOptions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOKButtonText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOKButtonText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOKButtonText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetOKButtonText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCancelButtonText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCancelButtonText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCancelButtonText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCancelButtonText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOtherButtonText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOtherButtonText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOtherButtonText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetOtherButtonText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("PopupMessage",argv[1]))&&(argc == 7))
    {
    vtkKWApplication  *temp0;
    vtkKWWindowBase  *temp1;
    char    *temp2;
    char    *temp3;
    int      temp4;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWindowBase",interp,error));
    temp2 = argv[4];
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    op->PopupMessage(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PopupYesNo",argv[1]))&&(argc == 7))
    {
    vtkKWApplication  *temp0;
    vtkKWWindowBase  *temp1;
    char    *temp2;
    char    *temp3;
    int      temp4;
    int      temp20;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWindowBase",interp,error));
    temp2 = argv[4];
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->PopupYesNo(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PopupYesNo",argv[1]))&&(argc == 8))
    {
    vtkKWApplication  *temp0;
    vtkKWWindowBase  *temp1;
    char    *temp2;
    char    *temp3;
    char    *temp4;
    int      temp5;
    int      temp20;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWindowBase",interp,error));
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = argv[6];
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    temp20 = (op)->PopupYesNo(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PopupOkCancel",argv[1]))&&(argc == 7))
    {
    vtkKWApplication  *temp0;
    vtkKWWindowBase  *temp1;
    char    *temp2;
    char    *temp3;
    int      temp4;
    int      temp20;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWindowBase",interp,error));
    temp2 = argv[4];
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->PopupOkCancel(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTopFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetTopFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetMessageDialogFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetMessageDialogFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetBottomFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetBottomFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetIcon",argv[1]))&&(argc == 2))
    {
    op->SetIcon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOKButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetOKButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("GetCancelButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetCancelButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("GetOtherButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetOtherButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("Other",argv[1]))&&(argc == 2))
    {
    op->Other();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestoreMessageDialogResponseFromRegistry",argv[1]))&&(argc == 4))
    {
    vtkKWApplication  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->RestoreMessageDialogResponseFromRegistry(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveMessageDialogResponseToRegistry",argv[1]))&&(argc == 5))
    {
    vtkKWApplication  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SaveMessageDialogResponseToRegistry(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PreInvoke",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->PreInvoke();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PostInvoke",argv[1]))&&(argc == 2))
    {
    op->PostInvoke();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWMessageDialogCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWDialogCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWMessageDialog:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTextWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToMessage\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToYesNo\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToOkCancel\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToOkOtherCancel\n",NULL);
    Tcl_AppendResult(interp,"  SetStyleToCancel\n",NULL);
    Tcl_AppendResult(interp,"  SetDialogName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDialogName\n",NULL);
    Tcl_AppendResult(interp,"  SetOptions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOptions\n",NULL);
    Tcl_AppendResult(interp,"  SetOKButtonText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOKButtonText\n",NULL);
    Tcl_AppendResult(interp,"  SetCancelButtonText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCancelButtonText\n",NULL);
    Tcl_AppendResult(interp,"  SetOtherButtonText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOtherButtonText\n",NULL);
    Tcl_AppendResult(interp,"  PopupMessage\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  PopupYesNo\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  PopupYesNo\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PopupOkCancel\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTopFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetMessageDialogFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetIcon\n",NULL);
    Tcl_AppendResult(interp,"  GetOKButton\n",NULL);
    Tcl_AppendResult(interp,"  GetCancelButton\n",NULL);
    Tcl_AppendResult(interp,"  GetOtherButton\n",NULL);
    Tcl_AppendResult(interp,"  Other\n",NULL);
    Tcl_AppendResult(interp,"  RestoreMessageDialogResponseFromRegistry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveMessageDialogResponseToRegistry\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  PreInvoke\n",NULL);
    Tcl_AppendResult(interp,"  PostInvoke\n",NULL);
    return TCL_OK;
    }

  if (vtkKWDialogCppCommand((vtkKWDialog *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
