// tcl wrapper for vtkKWPresetSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWPresetSelector.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWPresetSelectorNewCommand()
{
  vtkKWPresetSelector *temp = vtkKWPresetSelector::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWPresetSelectorCppCommand(vtkKWPresetSelector *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWPresetSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWPresetSelectorCppCommand((vtkKWPresetSelector *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWPresetSelectorCppCommand(vtkKWPresetSelector *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWPresetSelector",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWPresetSelector  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPresetSelector");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWPresetSelector  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPresetSelector");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWPresetSelector  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPresetSelector");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddPreset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->AddPreset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasPreset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->HasPreset(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetGroup",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetPresetGroup(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetGroup",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetGroup(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGroupColumnVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGroupColumnVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGroupColumnVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGroupColumnVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GroupColumnVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->GroupColumnVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GroupColumnVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->GroupColumnVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGroupColumnTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGroupColumnTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGroupColumnTitle",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGroupColumnTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGroupFilter",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGroupFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGroupFilter",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetGroupFilter();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPresetComment",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetPresetComment(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetComment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetComment(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCommentColumnVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCommentColumnVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCommentColumnVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCommentColumnVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CommentColumnVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->CommentColumnVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CommentColumnVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->CommentColumnVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPresetFileName",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetPresetFileName(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetFileName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetFileName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetCreationTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetCreationTime(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetImage",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkImageData  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    temp20 = (op)->SetPresetImage(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetImageFromRenderWindow",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkRenderWindow  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkRenderWindow",interp,error));
    if (!error)
    {
    temp20 = (op)->SetPresetImageFromRenderWindow(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetThumbnail",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWIcon  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetThumbnail(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWIcon");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetScreenshot",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWIcon  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetScreenshot(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWIcon");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetThumbnailColumnVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThumbnailColumnVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThumbnailColumnVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThumbnailColumnVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ThumbnailColumnVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ThumbnailColumnVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ThumbnailColumnVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ThumbnailColumnVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThumbnailSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThumbnailSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThumbnailSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThumbnailSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetThumbnailSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThumbnailSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetThumbnailSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThumbnailSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScreenshotSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScreenshotSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScreenshotSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScreenshotSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScreenshotSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScreenshotSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetScreenshotSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScreenshotSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasPresetUserSlot",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->HasPresetUserSlot(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetUserSlotAsDouble",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->SetPresetUserSlotAsDouble(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetUserSlotAsDouble",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetPresetUserSlotAsDouble(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetUserSlotAsInt",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->SetPresetUserSlotAsInt(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetUserSlotAsInt",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetPresetUserSlotAsInt(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetUserSlotAsString",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->SetPresetUserSlotAsString(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetUserSlotAsString",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetPresetUserSlotAsString(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPresets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPresets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPresetsWithGroup",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfPresetsWithGroup(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVisiblePresets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVisiblePresets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNthPresetId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthPresetId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthPresetWithGroupId",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetNthPresetWithGroupId(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetAtRowId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetAtRowId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPresetRow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPresetRow(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthPresetWithGroupRank",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetNthPresetWithGroupRank(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePreset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->RemovePreset(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllPresets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RemoveAllPresets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllPresetsWithGroup",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveAllPresetsWithGroup(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetListHeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetListHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetListHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetListHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectSpinButtonsVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectSpinButtonsVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectSpinButtonsVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectSpinButtonsVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectSpinButtonsVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->SelectSpinButtonsVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectSpinButtonsVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->SelectSpinButtonsVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPresetAddCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPresetAddCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetUpdateCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPresetUpdateCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPresetApplyCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPresetApplyCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetApplyPresetOnSelection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetApplyPresetOnSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplyPresetOnSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetApplyPresetOnSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ApplyPresetOnSelectionOn",argv[1]))&&(argc == 2))
    {
    op->ApplyPresetOnSelectionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ApplyPresetOnSelectionOff",argv[1]))&&(argc == 2))
    {
    op->ApplyPresetOnSelectionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPresetRemoveCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPresetRemoveCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPromptBeforeRemovePreset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPromptBeforeRemovePreset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPromptBeforeRemovePreset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPromptBeforeRemovePreset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PromptBeforeRemovePresetOn",argv[1]))&&(argc == 2))
    {
    op->PromptBeforeRemovePresetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PromptBeforeRemovePresetOff",argv[1]))&&(argc == 2))
    {
    op->PromptBeforeRemovePresetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPresetHasChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPresetHasChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetAddCallback",argv[1]))&&(argc == 2))
    {
    op->PresetAddCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetApplyCallback",argv[1]))&&(argc == 2))
    {
    op->PresetApplyCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetUpdateCallback",argv[1]))&&(argc == 2))
    {
    op->PresetUpdateCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetRemoveCallback",argv[1]))&&(argc == 2))
    {
    op->PresetRemoveCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetSelectionCallback",argv[1]))&&(argc == 2))
    {
    op->PresetSelectionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetSelectPreviousCallback",argv[1]))&&(argc == 2))
    {
    op->PresetSelectPreviousCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetSelectNextCallback",argv[1]))&&(argc == 2))
    {
    op->PresetSelectNextCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PresetCellThumbnailCallback",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    int      temp1;
    int      temp2;
    char    *temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    if (!error)
    {
    op->PresetCellThumbnailCallback(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PresetCellEditStartCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->PresetCellEditStartCallback(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("PresetCellEditEndCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->PresetCellEditEndCallback(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("PresetCellUpdatedCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    op->PresetCellUpdatedCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWPresetSelectorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWPresetSelector:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddPreset\n",NULL);
    Tcl_AppendResult(interp,"  HasPreset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetGroup\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGroupColumnVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGroupColumnVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GroupColumnVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  GroupColumnVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGroupColumnTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGroupColumnTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetGroupFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGroupFilter\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetComment\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetComment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCommentColumnVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCommentColumnVisibility\n",NULL);
    Tcl_AppendResult(interp,"  CommentColumnVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  CommentColumnVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetFileName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetCreationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetImageFromRenderWindow\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetThumbnail\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetScreenshot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbnailColumnVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbnailColumnVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ThumbnailColumnVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ThumbnailColumnVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbnailSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbnailSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbnailSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbnailSize\n",NULL);
    Tcl_AppendResult(interp,"  SetScreenshotSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScreenshotSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScreenshotSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetScreenshotSize\n",NULL);
    Tcl_AppendResult(interp,"  HasPresetUserSlot\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetUserSlotAsDouble\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetUserSlotAsDouble\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetUserSlotAsInt\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetUserSlotAsInt\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetUserSlotAsString\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetUserSlotAsString\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPresets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPresetsWithGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVisiblePresets\n",NULL);
    Tcl_AppendResult(interp,"  GetNthPresetId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthPresetWithGroupId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetAtRowId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPresetRow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthPresetWithGroupRank\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemovePreset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPresets\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPresetsWithGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetListHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetListHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectSpinButtonsVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectSpinButtonsVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SelectSpinButtonsVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  SelectSpinButtonsVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetAddCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetUpdateCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetApplyCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetApplyPresetOnSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplyPresetOnSelection\n",NULL);
    Tcl_AppendResult(interp,"  ApplyPresetOnSelectionOn\n",NULL);
    Tcl_AppendResult(interp,"  ApplyPresetOnSelectionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetRemoveCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPromptBeforeRemovePreset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPromptBeforeRemovePreset\n",NULL);
    Tcl_AppendResult(interp,"  PromptBeforeRemovePresetOn\n",NULL);
    Tcl_AppendResult(interp,"  PromptBeforeRemovePresetOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPresetHasChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  PresetAddCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetApplyCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetUpdateCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetRemoveCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetSelectionCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetSelectPreviousCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetSelectNextCallback\n",NULL);
    Tcl_AppendResult(interp,"  PresetCellThumbnailCallback\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  PresetCellEditStartCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  PresetCellEditEndCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  PresetCellUpdatedCallback\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
