// tcl wrapper for vtkKWRange object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWRange.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWRangeNewCommand()
{
  vtkKWRange *temp = vtkKWRange::New();
  return ((ClientData)temp);
}

int vtkKWWidgetWithLabelCppCommand(vtkKWWidgetWithLabel *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWRangeCppCommand(vtkKWRange *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWRangeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWRangeCppCommand((vtkKWRange *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWRangeCppCommand(vtkKWRange *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWRange",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWWidgetWithLabelCppCommand((vtkKWWidgetWithLabel *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWWidgetWithLabel", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWRange  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRange");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWRange  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRange");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWRange  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRange");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWholeRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWholeRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWholeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetWholeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRelativeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetRelativeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRelativeRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRelativeRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRelativeRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRelativeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAdjustResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AdjustResolutionOn",argv[1]))&&(argc == 2))
    {
    op->AdjustResolutionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AdjustResolutionOff",argv[1]))&&(argc == 2))
    {
    op->AdjustResolutionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAdjustResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToHorizontal",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToHorizontal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToVertical",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToVertical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInverted",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInverted(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvertedOn",argv[1]))&&(argc == 2))
    {
    op->InvertedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvertedOff",argv[1]))&&(argc == 2))
    {
    op->InvertedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInverted",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInverted();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThickness",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickness",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThickness();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInternalThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInternalThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInternalThickness();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRequestedLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRequestedLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRequestedLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRequestedLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliderSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliderSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliderSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliderSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliderCanPush",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliderCanPush(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SliderCanPushOn",argv[1]))&&(argc == 2))
    {
    op->SliderCanPushOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SliderCanPushOff",argv[1]))&&(argc == 2))
    {
    op->SliderCanPushOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSliderCanPush",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliderCanPush();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRangeColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRangeColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRangeColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetRangeColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRangeColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetRangeColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRangeInteractionColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRangeInteractionColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRangeInteractionColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetRangeInteractionColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRangeInteractionColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetRangeInteractionColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntriesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntriesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EntriesVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EntriesVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EntriesVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EntriesVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEntriesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntriesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEntry1",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetEntry1();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("GetEntry2",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetEntry2();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("SetEntriesWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntriesWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEntriesWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntriesWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry1Position",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntry1Position(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEntry1Position",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntry1Position();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry1PositionToDefault",argv[1]))&&(argc == 2))
    {
    op->SetEntry1PositionToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry1PositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetEntry1PositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry1PositionToBottom",argv[1]))&&(argc == 2))
    {
    op->SetEntry1PositionToBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry1PositionToLeft",argv[1]))&&(argc == 2))
    {
    op->SetEntry1PositionToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry1PositionToRight",argv[1]))&&(argc == 2))
    {
    op->SetEntry1PositionToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry2Position",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntry2Position(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEntry2Position",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntry2Position();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry2PositionToDefault",argv[1]))&&(argc == 2))
    {
    op->SetEntry2PositionToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry2PositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetEntry2PositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry2PositionToBottom",argv[1]))&&(argc == 2))
    {
    op->SetEntry2PositionToBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry2PositionToLeft",argv[1]))&&(argc == 2))
    {
    op->SetEntry2PositionToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntry2PositionToRight",argv[1]))&&(argc == 2))
    {
    op->SetEntry2PositionToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetStartCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEndCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEndCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntriesCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEntriesCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeStartCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeStartCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeEndCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeEndCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeEntriesCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeEntriesCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableCommands",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableCommands(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableCommands",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableCommands();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOn",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOff",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonHelpString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBalloonHelpString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConfigureCallback",argv[1]))&&(argc == 2))
    {
    op->ConfigureCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaximizeRangeCallback",argv[1]))&&(argc == 2))
    {
    op->MaximizeRangeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnlargeRangeCallback",argv[1]))&&(argc == 2))
    {
    op->EnlargeRangeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShrinkRangeCallback",argv[1]))&&(argc == 2))
    {
    op->ShrinkRangeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EntriesUpdateCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EntriesUpdateCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartInteractionCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->StartInteractionCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndInteractionCallback",argv[1]))&&(argc == 2))
    {
    op->EndInteractionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SliderMotionCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SliderMotionCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RangeMotionCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->RangeMotionCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCanvas",argv[1]))&&(argc == 2))
    {
    vtkKWCanvas  *temp20;
    temp20 = (op)->GetCanvas();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCanvas");
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClampRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampRangeOn",argv[1]))&&(argc == 2))
    {
    op->ClampRangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampRangeOff",argv[1]))&&(argc == 2))
    {
    op->ClampRangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWRangeCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWWidgetWithLabelCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWRange:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeRange\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRelativeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AdjustResolutionOn\n",NULL);
    Tcl_AppendResult(interp,"  AdjustResolutionOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToHorizontal\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToVertical\n",NULL);
    Tcl_AppendResult(interp,"  SetInverted\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InvertedOn\n",NULL);
    Tcl_AppendResult(interp,"  InvertedOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInverted\n",NULL);
    Tcl_AppendResult(interp,"  SetThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetInternalThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetRequestedLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRequestedLength\n",NULL);
    Tcl_AppendResult(interp,"  SetSliderSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderSize\n",NULL);
    Tcl_AppendResult(interp,"  SetSliderCanPush\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SliderCanPushOn\n",NULL);
    Tcl_AppendResult(interp,"  SliderCanPushOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderCanPush\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeColor\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeInteractionColor\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeInteractionColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeInteractionColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntriesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EntriesVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EntriesVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEntriesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetEntry1\n",NULL);
    Tcl_AppendResult(interp,"  GetEntry2\n",NULL);
    Tcl_AppendResult(interp,"  SetEntriesWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEntriesWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry1Position\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEntry1Position\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry1PositionToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry1PositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry1PositionToBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry1PositionToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry1PositionToRight\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry2Position\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEntry2Position\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry2PositionToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry2PositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry2PositionToBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry2PositionToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetEntry2PositionToRight\n",NULL);
    Tcl_AppendResult(interp,"  SetCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEndCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntriesCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeStartCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEndCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEntriesCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableCommands\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableCommands\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureCallback\n",NULL);
    Tcl_AppendResult(interp,"  MaximizeRangeCallback\n",NULL);
    Tcl_AppendResult(interp,"  EnlargeRangeCallback\n",NULL);
    Tcl_AppendResult(interp,"  ShrinkRangeCallback\n",NULL);
    Tcl_AppendResult(interp,"  EntriesUpdateCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StartInteractionCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EndInteractionCallback\n",NULL);
    Tcl_AppendResult(interp,"  SliderMotionCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RangeMotionCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvas\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SetClampRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampRange\n",NULL);
    Tcl_AppendResult(interp,"  ClampRangeOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampRangeOff\n",NULL);
    return TCL_OK;
    }

  if (vtkKWWidgetWithLabelCppCommand((vtkKWWidgetWithLabel *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
