// tcl wrapper for vtkKWRenderWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWRenderWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWRenderWidgetNewCommand()
{
  vtkKWRenderWidget *temp = vtkKWRenderWidget::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWRenderWidgetCppCommand(vtkKWRenderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWRenderWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWRenderWidgetCppCommand((vtkKWRenderWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWRenderWidgetCppCommand(vtkKWRenderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWRenderWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWRenderWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRenderWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWRenderWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRenderWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWRenderWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRenderWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderStateMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderStateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderStateMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderStateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderStateOn",argv[1]))&&(argc == 2))
    {
    op->RenderStateOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderStateOff",argv[1]))&&(argc == 2))
    {
    op->RenderStateOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToInteractive",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToInteractive();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToStill",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToStill();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToSingle",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToSingle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModeToDisabled",argv[1]))&&(argc == 2))
    {
    op->SetRenderModeToDisabled();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCollapsingRenders",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCollapsingRenders(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CollapsingRendersOn",argv[1]))&&(argc == 2))
    {
    op->CollapsingRendersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CollapsingRendersOff",argv[1]))&&(argc == 2))
    {
    op->CollapsingRendersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCollapsingRenders",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCollapsingRenders();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 2))
    {
    op->ResetCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCurrentCamera();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("AddBindings",argv[1]))&&(argc == 2))
    {
    op->AddBindings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveBindings",argv[1]))&&(argc == 2))
    {
    op->RemoveBindings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddInteractionBindings",argv[1]))&&(argc == 2))
    {
    op->AddInteractionBindings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveInteractionBindings",argv[1]))&&(argc == 2))
    {
    op->RemoveInteractionBindings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddOverlayViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->AddOverlayViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    op->RemoveViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProp",interp,error));
    if (!error)
    {
    temp20 = (op)->HasViewProp(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllViewProps",argv[1]))&&(argc == 2))
    {
    op->RemoveAllViewProps();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRendererBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetRendererBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRendererBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetRendererBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnnotationsVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnnotationsVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AnnotationsVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->AnnotationsVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AnnotationsVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->AnnotationsVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCornerAnnotationVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCornerAnnotationVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCornerAnnotationVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCornerAnnotationVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ToggleCornerAnnotationVisibility",argv[1]))&&(argc == 2))
    {
    op->ToggleCornerAnnotationVisibility();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CornerAnnotationVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->CornerAnnotationVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CornerAnnotationVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->CornerAnnotationVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCornerAnnotationColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCornerAnnotationColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCornerAnnotation",argv[1]))&&(argc == 2))
    {
    vtkCornerAnnotation  *temp20;
    temp20 = (op)->GetCornerAnnotation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCornerAnnotation");
    return TCL_OK;
    }
  if ((!strcmp("SetHeaderAnnotationVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHeaderAnnotationVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeaderAnnotationVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHeaderAnnotationVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ToggleHeaderAnnotationVisibility",argv[1]))&&(argc == 2))
    {
    op->ToggleHeaderAnnotationVisibility();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HeaderAnnotationVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->HeaderAnnotationVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HeaderAnnotationVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->HeaderAnnotationVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHeaderAnnotationColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetHeaderAnnotationColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHeaderAnnotationText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHeaderAnnotationText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeaderAnnotationText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHeaderAnnotationText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetHeaderAnnotation",argv[1]))&&(argc == 2))
    {
    vtkTextActor  *temp20;
    temp20 = (op)->GetHeaderAnnotation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextActor");
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceUnits",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDistanceUnits(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceUnits",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDistanceUnits();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetVTKWidget",argv[1]))&&(argc == 2))
    {
    vtkKWCoreWidget  *temp20;
    temp20 = (op)->GetVTKWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCoreWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetOverlayRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetOverlayRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetNthRenderer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkRenderer  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthRenderer(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRenderers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRenderers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRendererIndex",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkRenderer",interp,error));
    if (!error)
    {
    temp20 = (op)->GetRendererIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPrinting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPrinting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintingOn",argv[1]))&&(argc == 2))
    {
    op->PrintingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintingOff",argv[1]))&&(argc == 2))
    {
    op->PrintingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPrinting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPrinting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOn",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OffScreenRenderingOff",argv[1]))&&(argc == 2))
    {
    op->OffScreenRenderingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOffScreenRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffScreenRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOffScreenRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOffScreenRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseContextMenu",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseContextMenu(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseContextMenu",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseContextMenu();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseContextMenuOn",argv[1]))&&(argc == 2))
    {
    op->UseContextMenuOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseContextMenuOff",argv[1]))&&(argc == 2))
    {
    op->UseContextMenuOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseMoveCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->MouseMoveCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseWheelCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->MouseWheelCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseButtonPressCallback",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    op->MouseButtonPressCallback(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MouseButtonReleaseCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->MouseButtonReleaseCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("KeyPressCallback",argv[1]))&&(argc == 8))
    {
    char     temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    char    *temp5;
    error = 0;

    temp0 = *(argv[2]);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = argv[7];
    if (!error)
    {
    op->KeyPressCallback(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConfigureCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ConfigureCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExposeCallback",argv[1]))&&(argc == 2))
    {
    op->ExposeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnterCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->EnterCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FocusInCallback",argv[1]))&&(argc == 2))
    {
    op->FocusInCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FocusOutCallback",argv[1]))&&(argc == 2))
    {
    op->FocusOutCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddCallbackCommandObservers",argv[1]))&&(argc == 2))
    {
    op->AddCallbackCommandObservers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveCallbackCommandObservers",argv[1]))&&(argc == 2))
    {
    op->RemoveCallbackCommandObservers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWRenderWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWRenderWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderState\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderStateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderStateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  RenderStateOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderStateOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderMode\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToInteractive\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToStill\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToSingle\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModeToDisabled\n",NULL);
    Tcl_AppendResult(interp,"  SetCollapsingRenders\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CollapsingRendersOn\n",NULL);
    Tcl_AppendResult(interp,"  CollapsingRendersOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCollapsingRenders\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentCamera\n",NULL);
    Tcl_AppendResult(interp,"  AddBindings\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBindings\n",NULL);
    Tcl_AppendResult(interp,"  AddInteractionBindings\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInteractionBindings\n",NULL);
    Tcl_AppendResult(interp,"  AddViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddOverlayViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllViewProps\n",NULL);
    Tcl_AppendResult(interp,"  SetRendererBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRendererBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAnnotationsVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AnnotationsVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  AnnotationsVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerAnnotationVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerAnnotationVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ToggleCornerAnnotationVisibility\n",NULL);
    Tcl_AppendResult(interp,"  CornerAnnotationVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  CornerAnnotationVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerAnnotationColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerAnnotation\n",NULL);
    Tcl_AppendResult(interp,"  SetHeaderAnnotationVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeaderAnnotationVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ToggleHeaderAnnotationVisibility\n",NULL);
    Tcl_AppendResult(interp,"  HeaderAnnotationVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  HeaderAnnotationVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHeaderAnnotationColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHeaderAnnotationText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeaderAnnotationText\n",NULL);
    Tcl_AppendResult(interp,"  GetHeaderAnnotation\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceUnits\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceUnits\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKWidget\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetOverlayRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetNthRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRenderers\n",NULL);
    Tcl_AppendResult(interp,"  GetRendererIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPrinting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrintingOn\n",NULL);
    Tcl_AppendResult(interp,"  PrintingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPrinting\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOn\n",NULL);
    Tcl_AppendResult(interp,"  OffScreenRenderingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOffScreenRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOffScreenRendering\n",NULL);
    Tcl_AppendResult(interp,"  SetUseContextMenu\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseContextMenu\n",NULL);
    Tcl_AppendResult(interp,"  UseContextMenuOn\n",NULL);
    Tcl_AppendResult(interp,"  UseContextMenuOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MouseMoveCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MouseButtonPressCallback\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  MouseButtonReleaseCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressCallback\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ExposeCallback\n",NULL);
    Tcl_AppendResult(interp,"  EnterCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  FocusInCallback\n",NULL);
    Tcl_AppendResult(interp,"  FocusOutCallback\n",NULL);
    Tcl_AppendResult(interp,"  AddCallbackCommandObservers\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCallbackCommandObservers\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
