// tcl wrapper for vtkKWSelectionFrameLayoutManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWSelectionFrameLayoutManager.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWSelectionFrameLayoutManagerNewCommand()
{
  vtkKWSelectionFrameLayoutManager *temp = vtkKWSelectionFrameLayoutManager::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWSelectionFrameLayoutManagerCppCommand(vtkKWSelectionFrameLayoutManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWSelectionFrameLayoutManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWSelectionFrameLayoutManagerCppCommand((vtkKWSelectionFrameLayoutManager *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWSelectionFrameLayoutManagerCppCommand(vtkKWSelectionFrameLayoutManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWSelectionFrameLayoutManager",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWSelectionFrameLayoutManager  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrameLayoutManager");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWSelectionFrameLayoutManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrameLayoutManager");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWSelectionFrameLayoutManager  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrameLayoutManager");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetResolution(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddWidget",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->AddWidget(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllocateAndAddWidget",argv[1]))&&(argc == 2))
    {
    vtkKWSelectionFrame  *temp20;
    temp20 = (op)->AllocateAndAddWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetTag",argv[1]))&&(argc == 4))
    {
    vtkKWSelectionFrame  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetWidgetTag(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetTag",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    const char    *temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->GetWidgetTag(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWidgetGroup",argv[1]))&&(argc == 4))
    {
    vtkKWSelectionFrame  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetWidgetGroup(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetGroup",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    const char    *temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->GetWidgetGroup(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfWidgets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfWidgets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfWidgetsWithTag",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfWidgetsWithTag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfWidgetsWithGroup",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfWidgetsWithGroup(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasWidget",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->HasWidget(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasWidgetWithTag",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasWidgetWithTag(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasWidgetWithTagAndGroup",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->HasWidgetWithTagAndGroup(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetWithTag",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetWidgetWithTag(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetWithTagAndGroup",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetWidgetWithTagAndGroup(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetWithTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetWidgetWithTitle(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWidget",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWidgetNotMatching",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkKWSelectionFrame  *temp1;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->GetNthWidgetNotMatching(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWidgetWithGroup",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetNthWidgetWithGroup(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWidgetPosition",argv[1]))&&(argc == 5))
    {
    vtkKWSelectionFrame  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->SetWidgetPosition(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetAtPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetWidgetAtPosition(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetAtPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    vtkKWSelectionFrame  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    temp20 = (op)->GetWidgetAtPosition(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("SwitchWidgetsPosition",argv[1]))&&(argc == 4))
    {
    vtkKWSelectionFrame  *temp0;
    vtkKWSelectionFrame  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    temp1 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->SwitchWidgetsPosition(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectWidget",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    op->SelectWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedWidget",argv[1]))&&(argc == 2))
    {
    vtkKWSelectionFrame  *temp20;
    temp20 = (op)->GetSelectedWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetSelectionChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveWidget",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveWidget(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllWidgets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RemoveAllWidgets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllWidgetsWithGroup",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->RemoveAllWidgetsWithGroup(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowWidgetsWithGroup",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->ShowWidgetsWithGroup(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveScreenshotAllWidgets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SaveScreenshotAllWidgets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SaveScreenshotAllWidgetsToFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SaveScreenshotAllWidgetsToFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyScreenshotAllWidgetsToClipboard",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CopyScreenshotAllWidgetsToClipboard();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AppendAllWidgetsToImageData",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    temp20 = (op)->AppendAllWidgetsToImageData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AppendAllWidgetsToImageDataFast",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    temp20 = (op)->AppendAllWidgetsToImageDataFast(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AppendSelectedWidgetToImageData",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    temp20 = (op)->AppendSelectedWidgetToImageData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AppendSelectedWidgetToImageDataFast",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkImageData",interp,error));
    if (!error)
    {
    temp20 = (op)->AppendSelectedWidgetToImageDataFast(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintAllWidgets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->PrintAllWidgets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrintAllWidgetsAtResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->PrintAllWidgetsAtResolution(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintSelectedWidget",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->PrintSelectedWidget();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PrintSelectedWidgetAtResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->PrintSelectedWidgetAtResolution(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateResolutionEntriesMenu",argv[1]))&&(argc == 3))
    {
    vtkKWMenu  *temp0;
    error = 0;

    temp0 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWMenu",interp,error));
    if (!error)
    {
    op->CreateResolutionEntriesMenu(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolutionEntriesMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetResolutionEntriesMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("UpdateResolutionEntriesMenu",argv[1]))&&(argc == 2))
    {
    op->UpdateResolutionEntriesMenu();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateResolutionEntriesToolbar",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateResolutionEntriesToolbar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolutionEntriesToolbar",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->GetResolutionEntriesToolbar();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("UpdateResolutionEntriesToolbar",argv[1]))&&(argc == 2))
    {
    op->UpdateResolutionEntriesToolbar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectWidgetCallback",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    op->SelectWidgetCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectAndMaximizeWidgetCallback",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    op->SelectAndMaximizeWidgetCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CloseWidgetCallback",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    op->CloseWidgetCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangeWidgetTitleCallback",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    temp20 = (op)->ChangeWidgetTitleCallback(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetTitleChangedCallback",argv[1]))&&(argc == 3))
    {
    vtkKWSelectionFrame  *temp0;
    error = 0;

    temp0 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    op->WidgetTitleChangedCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SwitchWidgetCallback",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkKWSelectionFrame  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkKWSelectionFrame *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWSelectionFrame",interp,error));
    if (!error)
    {
    op->SwitchWidgetCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateSelectionLists",argv[1]))&&(argc == 2))
    {
    op->UpdateSelectionLists();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWSelectionFrameLayoutManagerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWSelectionFrameLayoutManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  AddWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AllocateAndAddWidget\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetTag\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetTag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetGroup\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWidgets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWidgetsWithTag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWidgetsWithGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasWidgetWithTag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasWidgetWithTagAndGroup\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetWithTag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetWithTagAndGroup\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetWithTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWidgetNotMatching\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWidgetWithGroup\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetAtPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetAtPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SwitchWidgetsPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SelectWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedWidget\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllWidgets\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllWidgetsWithGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowWidgetsWithGroup\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveScreenshotAllWidgets\n",NULL);
    Tcl_AppendResult(interp,"  SaveScreenshotAllWidgetsToFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyScreenshotAllWidgetsToClipboard\n",NULL);
    Tcl_AppendResult(interp,"  AppendAllWidgetsToImageData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AppendAllWidgetsToImageDataFast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AppendSelectedWidgetToImageData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AppendSelectedWidgetToImageDataFast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrintAllWidgets\n",NULL);
    Tcl_AppendResult(interp,"  PrintAllWidgetsAtResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrintSelectedWidget\n",NULL);
    Tcl_AppendResult(interp,"  PrintSelectedWidgetAtResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateResolutionEntriesMenu\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolutionEntriesMenu\n",NULL);
    Tcl_AppendResult(interp,"  UpdateResolutionEntriesMenu\n",NULL);
    Tcl_AppendResult(interp,"  CreateResolutionEntriesToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolutionEntriesToolbar\n",NULL);
    Tcl_AppendResult(interp,"  UpdateResolutionEntriesToolbar\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SelectWidgetCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectAndMaximizeWidgetCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CloseWidgetCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ChangeWidgetTitleCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WidgetTitleChangedCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SwitchWidgetCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSelectionLists\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
