// tcl wrapper for vtkKWSelectionFrame object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWSelectionFrame.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWSelectionFrameNewCommand()
{
  vtkKWSelectionFrame *temp = vtkKWSelectionFrame::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWSelectionFrameCppCommand(vtkKWSelectionFrame *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWSelectionFrameCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWSelectionFrameCppCommand((vtkKWSelectionFrame *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWSelectionFrameCppCommand(vtkKWSelectionFrame *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWSelectionFrame",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWSelectionFrame  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWSelectionFrame  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWSelectionFrame  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSelectionFrame");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelected",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelected(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelected",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelected();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectedOn",argv[1]))&&(argc == 2))
    {
    op->SelectedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectedOff",argv[1]))&&(argc == 2))
    {
    op->SelectedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionListCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetSelectionListCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionList",argv[1]))&&(argc == 2))
    {
    vtkKWMenuButton  *temp20;
    temp20 = (op)->GetSelectionList();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenuButton");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionListVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionListVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionListVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionListVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectionListVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->SelectionListVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectionListVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->SelectionListVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowClose",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllowClose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowClose",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllowClose();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowCloseOn",argv[1]))&&(argc == 2))
    {
    op->AllowCloseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowCloseOff",argv[1]))&&(argc == 2))
    {
    op->AllowCloseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCloseCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetCloseCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCloseButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetCloseButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetTitleChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllowChangeTitle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllowChangeTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowChangeTitle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllowChangeTitle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowChangeTitleOn",argv[1]))&&(argc == 2))
    {
    op->AllowChangeTitleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowChangeTitleOff",argv[1]))&&(argc == 2))
    {
    op->AllowChangeTitleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetChangeTitleCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetChangeTitleCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetSelectCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDoubleClickCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetDoubleClickCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTitleColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTitleColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetTitleColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleSelectedColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTitleSelectedColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleSelectedColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTitleSelectedColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleSelectedColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetTitleSelectedColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTitleBackgroundColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTitleBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetTitleBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleSelectedBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTitleSelectedBackgroundColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleSelectedBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTitleSelectedBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleSelectedBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetTitleSelectedBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleBarVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleBarVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTitleBarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TitleBarVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TitleBarVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TitleBarVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TitleBarVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetToolbarSet",argv[1]))&&(argc == 2))
    {
    vtkKWToolbarSet  *temp20;
    temp20 = (op)->GetToolbarSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbarSet");
    return TCL_OK;
    }
  if ((!strcmp("SetToolbarSetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetToolbarSetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToolbarSetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToolbarSetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarSetVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ToolbarSetVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarSetVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ToolbarSetVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTitleBarUserFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetTitleBarUserFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetBodyFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetBodyFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetLeftUserFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetLeftUserFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetLeftUserFrameVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftUserFrameVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftUserFrameVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftUserFrameVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LeftUserFrameVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LeftUserFrameVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftUserFrameVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LeftUserFrameVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRightUserFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetRightUserFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetRightUserFrameVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightUserFrameVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightUserFrameVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightUserFrameVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RightUserFrameVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->RightUserFrameVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightUserFrameVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->RightUserFrameVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOuterSelectionFrameWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOuterSelectionFrameWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOuterSelectionFrameWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOuterSelectionFrameWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOuterSelectionFrameColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOuterSelectionFrameColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOuterSelectionFrameColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOuterSelectionFrameColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOuterSelectionFrameColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOuterSelectionFrameColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOuterSelectionFrameSelectedColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOuterSelectionFrameSelectedColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOuterSelectionFrameSelectedColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOuterSelectionFrameSelectedColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOuterSelectionFrameSelectedColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOuterSelectionFrameSelectedColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CloseCallback",argv[1]))&&(argc == 2))
    {
    op->CloseCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectionListCallback",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectionListCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectCallback",argv[1]))&&(argc == 2))
    {
    op->SelectCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DoubleClickCallback",argv[1]))&&(argc == 2))
    {
    op->DoubleClickCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeTitleCallback",argv[1]))&&(argc == 2))
    {
    op->ChangeTitleCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWSelectionFrameCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWSelectionFrame:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetSelected\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelected\n",NULL);
    Tcl_AppendResult(interp,"  SelectedOn\n",NULL);
    Tcl_AppendResult(interp,"  SelectedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionListCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionList\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionListVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionListVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SelectionListVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  SelectionListVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowClose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowClose\n",NULL);
    Tcl_AppendResult(interp,"  AllowCloseOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowCloseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCloseCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCloseButton\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowChangeTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowChangeTitle\n",NULL);
    Tcl_AppendResult(interp,"  AllowChangeTitleOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowChangeTitleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetChangeTitleCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDoubleClickCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleColor\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleSelectedColor\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleSelectedColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleSelectedColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleBackgroundColor\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleSelectedBackgroundColor\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleSelectedBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleSelectedBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleBarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleBarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TitleBarVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TitleBarVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarSet\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarSetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarSetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarSetVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarSetVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleBarUserFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetBodyFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftUserFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftUserFrameVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftUserFrameVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LeftUserFrameVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LeftUserFrameVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRightUserFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetRightUserFrameVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightUserFrameVisibility\n",NULL);
    Tcl_AppendResult(interp,"  RightUserFrameVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  RightUserFrameVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOuterSelectionFrameWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOuterSelectionFrameWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetOuterSelectionFrameColor\n",NULL);
    Tcl_AppendResult(interp,"  SetOuterSelectionFrameColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOuterSelectionFrameColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOuterSelectionFrameSelectedColor\n",NULL);
    Tcl_AppendResult(interp,"  SetOuterSelectionFrameSelectedColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOuterSelectionFrameSelectedColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CloseCallback\n",NULL);
    Tcl_AppendResult(interp,"  SelectionListCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectCallback\n",NULL);
    Tcl_AppendResult(interp,"  DoubleClickCallback\n",NULL);
    Tcl_AppendResult(interp,"  ChangeTitleCallback\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
