// tcl wrapper for vtkKWThumbWheel object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWThumbWheel.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWThumbWheelNewCommand()
{
  vtkKWThumbWheel *temp = vtkKWThumbWheel::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWThumbWheelCppCommand(vtkKWThumbWheel *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWThumbWheelCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWThumbWheelCppCommand((vtkKWThumbWheel *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWThumbWheelCppCommand(vtkKWThumbWheel *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWThumbWheel",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWThumbWheel  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWThumbWheel");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWThumbWheel  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWThumbWheel");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWThumbWheel  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWThumbWheel");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClampMinimumValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampMinimumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampMinimumValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampMinimumValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampMinimumValueOn",argv[1]))&&(argc == 2))
    {
    op->ClampMinimumValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampMinimumValueOff",argv[1]))&&(argc == 2))
    {
    op->ClampMinimumValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClampMaximumValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampMaximumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampMaximumValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampMaximumValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampMaximumValueOn",argv[1]))&&(argc == 2))
    {
    op->ClampMaximumValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampMaximumValueOff",argv[1]))&&(argc == 2))
    {
    op->ClampMaximumValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractionMode",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetInteractionMode(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInteractionMode(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractionModeToNone",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractionModeToNone(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractionModeToLinear",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractionModeToLinear(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractionModeToNonLinear",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractionModeToNonLinear(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractionModeToToggleCenterIndicator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractionModeToToggleCenterIndicator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractionModeAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInteractionModeAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLinearThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLinearThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLinearThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLinearThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNonLinearMaximumMultiplier",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNonLinearMaximumMultiplier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNonLinearMaximumMultiplier",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNonLinearMaximumMultiplier();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThumbWheelWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThumbWheelWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThumbWheelWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThumbWheelWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThumbWheelHeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThumbWheelHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThumbWheelHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThumbWheelHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetThumbWheelSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetThumbWheelSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResizeThumbWheel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResizeThumbWheel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResizeThumbWheel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResizeThumbWheel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResizeThumbWheelOn",argv[1]))&&(argc == 2))
    {
    op->ResizeThumbWheelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResizeThumbWheelOff",argv[1]))&&(argc == 2))
    {
    op->ResizeThumbWheelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResizeThumbWheelCallback",argv[1]))&&(argc == 2))
    {
    op->ResizeThumbWheelCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayThumbWheelPositionIndicator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayThumbWheelPositionIndicator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayThumbWheelPositionIndicator",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayThumbWheelPositionIndicator();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayThumbWheelPositionIndicatorOn",argv[1]))&&(argc == 2))
    {
    op->DisplayThumbWheelPositionIndicatorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayThumbWheelPositionIndicatorOff",argv[1]))&&(argc == 2))
    {
    op->DisplayThumbWheelPositionIndicatorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThumbWheelPositionIndicatorColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetThumbWheelPositionIndicatorColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetThumbWheelPositionIndicatorColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetThumbWheelPositionIndicatorColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThumbWheelPositionIndicatorColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetThumbWheelPositionIndicatorColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayThumbWheelCenterIndicator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayThumbWheelCenterIndicator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayThumbWheelCenterIndicator",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayThumbWheelCenterIndicator();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayThumbWheelCenterIndicatorOn",argv[1]))&&(argc == 2))
    {
    op->DisplayThumbWheelCenterIndicatorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayThumbWheelCenterIndicatorOff",argv[1]))&&(argc == 2))
    {
    op->DisplayThumbWheelCenterIndicatorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToggleDisplayThumbWheelCenterIndicator",argv[1]))&&(argc == 2))
    {
    op->ToggleDisplayThumbWheelCenterIndicator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSizeOfNotches",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSizeOfNotches(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeOfNotches",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSizeOfNotches();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayEntry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayEntry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayEntry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayEntry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayEntryOn",argv[1]))&&(argc == 2))
    {
    op->DisplayEntryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayEntryOff",argv[1]))&&(argc == 2))
    {
    op->DisplayEntryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayLabel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayLabel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayLabelOn",argv[1]))&&(argc == 2))
    {
    op->DisplayLabelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayLabelOff",argv[1]))&&(argc == 2))
    {
    op->DisplayLabelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 2))
    {
    vtkKWLabel  *temp20;
    temp20 = (op)->GetLabel();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLabel");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayEntryAndLabelOnTop",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayEntryAndLabelOnTop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayEntryAndLabelOnTop",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayEntryAndLabelOnTop();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayEntryAndLabelOnTopOn",argv[1]))&&(argc == 2))
    {
    op->DisplayEntryAndLabelOnTopOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayEntryAndLabelOnTopOff",argv[1]))&&(argc == 2))
    {
    op->DisplayEntryAndLabelOnTopOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPopupMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPopupMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPopupMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPopupMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PopupModeOn",argv[1]))&&(argc == 2))
    {
    op->PopupModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PopupModeOff",argv[1]))&&(argc == 2))
    {
    op->PopupModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayPopupCallback",argv[1]))&&(argc == 2))
    {
    op->DisplayPopupCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WithdrawPopupCallback",argv[1]))&&(argc == 2))
    {
    op->WithdrawPopupCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPopupPushButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetPopupPushButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("SetExpandEntry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExpandEntry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExpandEntry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExpandEntry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExpandEntryOn",argv[1]))&&(argc == 2))
    {
    op->ExpandEntryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExpandEntryOff",argv[1]))&&(argc == 2))
    {
    op->ExpandEntryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetStartCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEndCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEndCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntryCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEntryCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeStartCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeStartCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeEndCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeEndCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeEntryCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeEntryCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonHelpString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBalloonHelpString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Bind",argv[1]))&&(argc == 2))
    {
    op->Bind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnBind",argv[1]))&&(argc == 2))
    {
    op->UnBind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EntryValueCallback",argv[1]))&&(argc == 2))
    {
    op->EntryValueCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartLinearMotionCallback",argv[1]))&&(argc == 2))
    {
    op->StartLinearMotionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PerformLinearMotionCallback",argv[1]))&&(argc == 2))
    {
    op->PerformLinearMotionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartNonLinearMotionCallback",argv[1]))&&(argc == 2))
    {
    op->StartNonLinearMotionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PerformNonLinearMotionCallback",argv[1]))&&(argc == 2))
    {
    op->PerformNonLinearMotionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopMotionCallback",argv[1]))&&(argc == 2))
    {
    op->StopMotionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWThumbWheelCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWThumbWheel:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumValue\n",NULL);
    Tcl_AppendResult(interp,"  SetClampMinimumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampMinimumValue\n",NULL);
    Tcl_AppendResult(interp,"  ClampMinimumValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampMinimumValueOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumValue\n",NULL);
    Tcl_AppendResult(interp,"  SetClampMaximumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampMaximumValue\n",NULL);
    Tcl_AppendResult(interp,"  ClampMaximumValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampMaximumValueOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionMode\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionModeToNone\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionModeToLinear\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionModeToNonLinear\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionModeToToggleCenterIndicator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractionModeAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLinearThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetNonLinearMaximumMultiplier\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNonLinearMaximumMultiplier\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbWheelWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbWheelWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbWheelHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbWheelHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbWheelSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResizeThumbWheel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResizeThumbWheel\n",NULL);
    Tcl_AppendResult(interp,"  ResizeThumbWheelOn\n",NULL);
    Tcl_AppendResult(interp,"  ResizeThumbWheelOff\n",NULL);
    Tcl_AppendResult(interp,"  ResizeThumbWheelCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayThumbWheelPositionIndicator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayThumbWheelPositionIndicator\n",NULL);
    Tcl_AppendResult(interp,"  DisplayThumbWheelPositionIndicatorOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayThumbWheelPositionIndicatorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbWheelPositionIndicatorColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetThumbWheelPositionIndicatorColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetThumbWheelPositionIndicatorColor\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayThumbWheelCenterIndicator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayThumbWheelCenterIndicator\n",NULL);
    Tcl_AppendResult(interp,"  DisplayThumbWheelCenterIndicatorOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayThumbWheelCenterIndicatorOff\n",NULL);
    Tcl_AppendResult(interp,"  ToggleDisplayThumbWheelCenterIndicator\n",NULL);
    Tcl_AppendResult(interp,"  SetSizeOfNotches\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeOfNotches\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayEntry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayEntry\n",NULL);
    Tcl_AppendResult(interp,"  DisplayEntryOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayEntryOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEntry\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayLabel\n",NULL);
    Tcl_AppendResult(interp,"  DisplayLabelOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayLabelOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayEntryAndLabelOnTop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayEntryAndLabelOnTop\n",NULL);
    Tcl_AppendResult(interp,"  DisplayEntryAndLabelOnTopOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayEntryAndLabelOnTopOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPopupMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPopupMode\n",NULL);
    Tcl_AppendResult(interp,"  PopupModeOn\n",NULL);
    Tcl_AppendResult(interp,"  PopupModeOff\n",NULL);
    Tcl_AppendResult(interp,"  DisplayPopupCallback\n",NULL);
    Tcl_AppendResult(interp,"  WithdrawPopupCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetPopupPushButton\n",NULL);
    Tcl_AppendResult(interp,"  SetExpandEntry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExpandEntry\n",NULL);
    Tcl_AppendResult(interp,"  ExpandEntryOn\n",NULL);
    Tcl_AppendResult(interp,"  ExpandEntryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEndCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeStartCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEndCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEntryCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Bind\n",NULL);
    Tcl_AppendResult(interp,"  UnBind\n",NULL);
    Tcl_AppendResult(interp,"  EntryValueCallback\n",NULL);
    Tcl_AppendResult(interp,"  StartLinearMotionCallback\n",NULL);
    Tcl_AppendResult(interp,"  PerformLinearMotionCallback\n",NULL);
    Tcl_AppendResult(interp,"  StartNonLinearMotionCallback\n",NULL);
    Tcl_AppendResult(interp,"  PerformNonLinearMotionCallback\n",NULL);
    Tcl_AppendResult(interp,"  StopMotionCallback\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
