// tcl wrapper for vtkKWToolbarSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWToolbarSet.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWToolbarSetNewCommand()
{
  vtkKWToolbarSet *temp = vtkKWToolbarSet::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWToolbarSetCppCommand(vtkKWToolbarSet *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWToolbarSetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWToolbarSetCppCommand((vtkKWToolbarSet *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWToolbarSetCppCommand(vtkKWToolbarSet *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWToolbarSet",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWToolbarSet  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbarSet");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWToolbarSet  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbarSet");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWToolbarSet  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbarSet");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToolbarsFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetToolbarsFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("AddToolbar",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    temp20 = (op)->AddToolbar(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToolbar",argv[1]))&&(argc == 4))
    {
    vtkKWToolbar  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->AddToolbar(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasToolbar",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    temp20 = (op)->HasToolbar(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthToolbar",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWToolbar  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthToolbar(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfToolbars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfToolbars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveToolbar",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveToolbar(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllToolbars",argv[1]))&&(argc == 2))
    {
    op->RemoveAllToolbars();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetToolbarsFlatAspect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetToolbarsFlatAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToolbarsWidgetsFlatAspect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetToolbarsWidgetsFlatAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HideToolbar",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->HideToolbar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowToolbar",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->ShowToolbar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToolbarVisibility",argv[1]))&&(argc == 4))
    {
    vtkKWToolbar  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetToolbarVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToolbarVisibility",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    temp20 = (op)->GetToolbarVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToggleToolbarVisibility",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->ToggleToolbarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVisibleToolbars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVisibleToolbars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetToolbarAnchor",argv[1]))&&(argc == 4))
    {
    vtkKWToolbar  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetToolbarAnchor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToolbarAnchor",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    temp20 = (op)->GetToolbarAnchor(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToolbarAnchorToWest",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->SetToolbarAnchorToWest(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToolbarAnchorToEast",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->SetToolbarAnchorToEast(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveToolbarVisibilityToRegistry",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->SaveToolbarVisibilityToRegistry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RestoreToolbarVisibilityFromRegistry",argv[1]))&&(argc == 3))
    {
    vtkKWToolbar  *temp0;
    error = 0;

    temp0 = (vtkKWToolbar *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWToolbar",interp,error));
    if (!error)
    {
    op->RestoreToolbarVisibilityFromRegistry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveToolbarsVisibilityToRegistry",argv[1]))&&(argc == 2))
    {
    op->SaveToolbarsVisibilityToRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestoreToolbarsVisibilityFromRegistry",argv[1]))&&(argc == 2))
    {
    op->RestoreToolbarsVisibilityFromRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeToolbarsVisibilityWithRegistryOn",argv[1]))&&(argc == 2))
    {
    op->SynchronizeToolbarsVisibilityWithRegistryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeToolbarsVisibilityWithRegistryOff",argv[1]))&&(argc == 2))
    {
    op->SynchronizeToolbarsVisibilityWithRegistryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSynchronizeToolbarsVisibilityWithRegistry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSynchronizeToolbarsVisibilityWithRegistry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSynchronizeToolbarsVisibilityWithRegistry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSynchronizeToolbarsVisibilityWithRegistry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PopulateToolbarsVisibilityMenu",argv[1]))&&(argc == 3))
    {
    vtkKWMenu  *temp0;
    error = 0;

    temp0 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWMenu",interp,error));
    if (!error)
    {
    op->PopulateToolbarsVisibilityMenu(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateToolbarsVisibilityMenu",argv[1]))&&(argc == 3))
    {
    vtkKWMenu  *temp0;
    error = 0;

    temp0 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWMenu",interp,error));
    if (!error)
    {
    op->UpdateToolbarsVisibilityMenu(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetToolbarVisibilityChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetToolbarVisibilityChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeToolbarVisibilityChangedCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeToolbarVisibilityChangedCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfToolbarsChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetNumberOfToolbarsChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeNumberOfToolbarsChangedCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeNumberOfToolbarsChangedCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBottomSeparatorVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBottomSeparatorVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BottomSeparatorVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->BottomSeparatorVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BottomSeparatorVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->BottomSeparatorVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBottomSeparatorVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBottomSeparatorVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTopSeparatorVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTopSeparatorVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TopSeparatorVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TopSeparatorVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TopSeparatorVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TopSeparatorVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTopSeparatorVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTopSeparatorVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Pack",argv[1]))&&(argc == 2))
    {
    op->Pack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWToolbarSetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWToolbarSet:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarsFrame\n",NULL);
    Tcl_AppendResult(interp,"  AddToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddToolbar\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfToolbars\n",NULL);
    Tcl_AppendResult(interp,"  RemoveToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllToolbars\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarsFlatAspect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarsWidgetsFlatAspect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HideToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowToolbar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ToggleToolbarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVisibleToolbars\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarAnchor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarAnchor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarAnchorToWest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarAnchorToEast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveToolbarVisibilityToRegistry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RestoreToolbarVisibilityFromRegistry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveToolbarsVisibilityToRegistry\n",NULL);
    Tcl_AppendResult(interp,"  RestoreToolbarsVisibilityFromRegistry\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeToolbarsVisibilityWithRegistryOn\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeToolbarsVisibilityWithRegistryOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSynchronizeToolbarsVisibilityWithRegistry\n",NULL);
    Tcl_AppendResult(interp,"  SetSynchronizeToolbarsVisibilityWithRegistry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PopulateToolbarsVisibilityMenu\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateToolbarsVisibilityMenu\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetToolbarVisibilityChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeToolbarVisibilityChangedCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfToolbarsChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeNumberOfToolbarsChangedCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetBottomSeparatorVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BottomSeparatorVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  BottomSeparatorVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomSeparatorVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetTopSeparatorVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TopSeparatorVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TopSeparatorVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTopSeparatorVisibility\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Pack\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
