// tcl wrapper for vtkKWToolbar object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWToolbar.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWToolbarNewCommand()
{
  vtkKWToolbar *temp = vtkKWToolbar::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWToolbarCppCommand(vtkKWToolbar *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWToolbarCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWToolbarCppCommand((vtkKWToolbar *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWToolbarCppCommand(vtkKWToolbar *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWToolbar",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWToolbar  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWToolbar  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbar");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetResizable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResizable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResizable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResizable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResizableOn",argv[1]))&&(argc == 2))
    {
    op->ResizableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResizableOff",argv[1]))&&(argc == 2))
    {
    op->ResizableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddWidget",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->AddWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertWidget",argv[1]))&&(argc == 4))
    {
    vtkKWWidget  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->InsertWidget(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasWidget",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    temp20 = (op)->HasWidget(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfWidgets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfWidgets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveWidget",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->RemoveWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllWidgets",argv[1]))&&(argc == 2))
    {
    op->RemoveAllWidgets();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWidget",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkKWWidget  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNthWidget",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWWidget  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRadioButtonImage",argv[1]))&&(argc == 9))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    vtkObject  *temp4;
    char    *temp5;
    char    *temp6;
    vtkKWWidget  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = (vtkObject *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkObject",interp,error));
    temp5 = argv[7];
    temp6 = argv[8];
    if (!error)
    {
    temp20 = (op)->AddRadioButtonImage(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCheckButtonImage",argv[1]))&&(argc == 8))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    char    *temp5;
    vtkKWWidget  *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    temp5 = argv[7];
    if (!error)
    {
    temp20 = (op)->AddCheckButtonImage(temp0,temp1,temp2,temp3,temp4,temp5);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateWidgets",argv[1]))&&(argc == 2))
    {
    op->UpdateWidgets();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFlatAspect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFlatAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FlatAspectOn",argv[1]))&&(argc == 2))
    {
    op->FlatAspectOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FlatAspectOff",argv[1]))&&(argc == 2))
    {
    op->FlatAspectOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFlatAspect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlatAspect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalFlatAspect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalFlatAspect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalFlatAspect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalFlatAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalFlatAspectOn",argv[1]))&&(argc == 2))
    {
    op->GlobalFlatAspectOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalFlatAspectOff",argv[1]))&&(argc == 2))
    {
    op->GlobalFlatAspectOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsFlatAspect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidgetsFlatAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetsFlatAspectOn",argv[1]))&&(argc == 2))
    {
    op->WidgetsFlatAspectOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WidgetsFlatAspectOff",argv[1]))&&(argc == 2))
    {
    op->WidgetsFlatAspectOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWidgetsFlatAspect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetsFlatAspect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalWidgetsFlatAspect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalWidgetsFlatAspect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalWidgetsFlatAspect",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalWidgetsFlatAspect(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GlobalWidgetsFlatAspectOn",argv[1]))&&(argc == 2))
    {
    op->GlobalWidgetsFlatAspectOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GlobalWidgetsFlatAspectOff",argv[1]))&&(argc == 2))
    {
    op->GlobalWidgetsFlatAspectOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsPadX",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidgetsPadX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetsPadX",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetsPadX();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsPadY",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidgetsPadY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetsPadY",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetsPadY();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsFlatAdditionalPadX",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidgetsFlatAdditionalPadX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetsFlatAdditionalPadX",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetsFlatAdditionalPadX();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsFlatAdditionalPadY",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidgetsFlatAdditionalPadY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetsFlatAdditionalPadY",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetsFlatAdditionalPadY();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScheduleResize",argv[1]))&&(argc == 2))
    {
    op->ScheduleResize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Resize",argv[1]))&&(argc == 2))
    {
    op->Resize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWToolbarCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWToolbar:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetResizable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResizable\n",NULL);
    Tcl_AppendResult(interp,"  ResizableOn\n",NULL);
    Tcl_AppendResult(interp,"  ResizableOff\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InsertWidget\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWidgets\n",NULL);
    Tcl_AppendResult(interp,"  RemoveWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllWidgets\n",NULL);
    Tcl_AppendResult(interp,"  GetWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddRadioButtonImage\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCheckButtonImage\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateWidgets\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  SetFlatAspect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FlatAspectOn\n",NULL);
    Tcl_AppendResult(interp,"  FlatAspectOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFlatAspect\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalFlatAspect\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalFlatAspect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalFlatAspectOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalFlatAspectOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsFlatAspect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WidgetsFlatAspectOn\n",NULL);
    Tcl_AppendResult(interp,"  WidgetsFlatAspectOff\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetsFlatAspect\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalWidgetsFlatAspect\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalWidgetsFlatAspect\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GlobalWidgetsFlatAspectOn\n",NULL);
    Tcl_AppendResult(interp,"  GlobalWidgetsFlatAspectOff\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsPadX\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetsPadX\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsPadY\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetsPadY\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsFlatAdditionalPadX\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetsFlatAdditionalPadX\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsFlatAdditionalPadY\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetsFlatAdditionalPadY\n",NULL);
    Tcl_AppendResult(interp,"  ScheduleResize\n",NULL);
    Tcl_AppendResult(interp,"  Resize\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
