// tcl wrapper for vtkKWUserInterfaceManagerDialog object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWUserInterfaceManagerDialog.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWUserInterfaceManagerDialogNewCommand()
{
  vtkKWUserInterfaceManagerDialog *temp = vtkKWUserInterfaceManagerDialog::New();
  return ((ClientData)temp);
}

int vtkKWUserInterfaceManagerCppCommand(vtkKWUserInterfaceManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWUserInterfaceManagerDialogCppCommand(vtkKWUserInterfaceManagerDialog *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWUserInterfaceManagerDialogCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWUserInterfaceManagerDialogCppCommand((vtkKWUserInterfaceManagerDialog *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWUserInterfaceManagerDialogCppCommand(vtkKWUserInterfaceManagerDialog *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWUserInterfaceManagerDialog",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWUserInterfaceManagerCppCommand((vtkKWUserInterfaceManager *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWUserInterfaceManager", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWUserInterfaceManagerDialog  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManagerDialog");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWUserInterfaceManagerDialog  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManagerDialog");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWUserInterfaceManagerDialog  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManagerDialog");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPanelNodeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPanelNodeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPanelNodeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPanelNodeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PanelNodeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PanelNodeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PanelNodeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PanelNodeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPageNodeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPageNodeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPageNodeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPageNodeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PageNodeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PageNodeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PageNodeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PageNodeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTopLevel",argv[1]))&&(argc == 2))
    {
    vtkKWTopLevel  *temp20;
    temp20 = (op)->GetTopLevel();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWTopLevel");
    return TCL_OK;
    }
  if ((!strcmp("RaiseSection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->RaiseSection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RaiseSection",argv[1]))&&(argc == 5))
    {
    vtkKWUserInterfacePanel  *temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->RaiseSection(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddPage",argv[1]))&&(argc == 6))
    {
    vtkKWUserInterfacePanel  *temp0;
    char    *temp1;
    char    *temp2;
    vtkKWIcon  *temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkKWIcon *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkKWIcon",interp,error));
    if (!error)
    {
    temp20 = (op)->AddPage(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPageWidget",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWWidget  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPageWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPageWidget",argv[1]))&&(argc == 4))
    {
    vtkKWUserInterfacePanel  *temp0;
    char    *temp1;
    vtkKWWidget  *temp20;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetPageWidget(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPagesParentWidget",argv[1]))&&(argc == 3))
    {
    vtkKWUserInterfacePanel  *temp0;
    vtkKWWidget  *temp20;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    if (!error)
    {
    temp20 = (op)->GetPagesParentWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("RaisePage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RaisePage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RaisePage",argv[1]))&&(argc == 4))
    {
    vtkKWUserInterfacePanel  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->RaisePage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowPanel",argv[1]))&&(argc == 3))
    {
    vtkKWUserInterfacePanel  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    if (!error)
    {
    temp20 = (op)->ShowPanel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HidePanel",argv[1]))&&(argc == 3))
    {
    vtkKWUserInterfacePanel  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    if (!error)
    {
    temp20 = (op)->HidePanel(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPanelVisible",argv[1]))&&(argc == 3))
    {
    vtkKWUserInterfacePanel  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWUserInterfacePanel *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWUserInterfacePanel",interp,error));
    if (!error)
    {
    temp20 = (op)->IsPanelVisible(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPanelFromPageId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWUserInterfacePanel  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPanelFromPageId(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfacePanel");
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectionChangedCallback",argv[1]))&&(argc == 2))
    {
    op->SelectionChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWUserInterfaceManagerDialogCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWUserInterfaceManagerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWUserInterfaceManagerDialog:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPanelNodeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPanelNodeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PanelNodeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PanelNodeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPageNodeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPageNodeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PageNodeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PageNodeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTopLevel\n",NULL);
    Tcl_AppendResult(interp,"  RaiseSection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RaiseSection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddPage\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPageWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPageWidget\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPagesParentWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RaisePage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RaisePage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ShowPanel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HidePanel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPanelVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPanelFromPageId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectionChangedCallback\n",NULL);
    return TCL_OK;
    }

  if (vtkKWUserInterfaceManagerCppCommand((vtkKWUserInterfaceManager *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
