// tcl wrapper for vtkKWWindowBase object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWWindowBase.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWWindowBaseNewCommand()
{
  vtkKWWindowBase *temp = vtkKWWindowBase::New();
  return ((ClientData)temp);
}

int vtkKWTopLevelCppCommand(vtkKWTopLevel *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWWindowBaseCppCommand(vtkKWWindowBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWWindowBaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWWindowBaseCppCommand((vtkKWWindowBase *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWWindowBaseCppCommand(vtkKWWindowBase *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWWindowBase",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWTopLevelCppCommand((vtkKWTopLevel *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWTopLevel", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWWindowBase  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindowBase");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWWindowBase  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindowBase");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWWindowBase  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindowBase");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Close();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPromptBeforeClose",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPromptBeforeClose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPromptBeforeClose",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPromptBeforeClose();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PromptBeforeCloseOn",argv[1]))&&(argc == 2))
    {
    op->PromptBeforeCloseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PromptBeforeCloseOff",argv[1]))&&(argc == 2))
    {
    op->PromptBeforeCloseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LoadScript",argv[1]))&&(argc == 2))
    {
    op->LoadScript();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LoadScript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LoadScript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScriptExtension",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScriptExtension(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScriptExtension",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScriptExtension();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetScriptType",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScriptType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScriptType",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetScriptType();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetStatusText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetStatusText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStatusText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStatusText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("WarningMessage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->WarningMessage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ErrorMessage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ErrorMessage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetErrorIcon",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErrorIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetErrorIconToNone",argv[1]))&&(argc == 2))
    {
    op->SetErrorIconToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorIconToBlack",argv[1]))&&(argc == 2))
    {
    op->SetErrorIconToBlack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetErrorIconToRed",argv[1]))&&(argc == 2))
    {
    op->SetErrorIconToRed();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetViewFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetViewFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetMainToolbarSet",argv[1]))&&(argc == 2))
    {
    vtkKWToolbarSet  *temp20;
    temp20 = (op)->GetMainToolbarSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbarSet");
    return TCL_OK;
    }
  if ((!strcmp("GetStatusFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetStatusFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFrameVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStatusFrameVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStatusFrameVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStatusFrameVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StatusFrameVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->StatusFrameVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StatusFrameVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->StatusFrameVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetProgressGauge",argv[1]))&&(argc == 2))
    {
    vtkKWProgressGauge  *temp20;
    temp20 = (op)->GetProgressGauge();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWProgressGauge");
    return TCL_OK;
    }
  if ((!strcmp("SetProgressGaugePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProgressGaugePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProgressGaugePositionToStatusFrame",argv[1]))&&(argc == 2))
    {
    op->SetProgressGaugePositionToStatusFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProgressGaugePositionToToolbar",argv[1]))&&(argc == 2))
    {
    op->SetProgressGaugePositionToToolbar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTrayFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetTrayFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetTrayFramePosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTrayFramePosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTrayFramePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTrayFramePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTrayFramePositionToStatusFrame",argv[1]))&&(argc == 2))
    {
    op->SetTrayFramePositionToStatusFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTrayFramePositionToToolbar",argv[1]))&&(argc == 2))
    {
    op->SetTrayFramePositionToToolbar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFileMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetFileMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetEditMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetEditMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetViewMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetViewMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetWindowMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetWindowMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetHelpMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetHelpMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetToolbarsVisibilityMenu",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->GetToolbarsVisibilityMenu();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetFileMenuInsertPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileMenuInsertPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHelpMenuInsertPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHelpMenuInsertPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewMenuInsertPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetViewMenuInsertPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSupportHelp",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportHelpMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportHelpMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSupportHelpMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportHelpMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSupportHelp",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportHelp();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportHelpOn",argv[1]))&&(argc == 2))
    {
    op->SupportHelpOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportHelpOff",argv[1]))&&(argc == 2))
    {
    op->SupportHelpOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddRecentFile",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->AddRecentFile(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSupportPrint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportPrint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportPrintMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportPrintMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSupportPrintMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportPrintMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSupportPrint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportPrint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportPrintOn",argv[1]))&&(argc == 2))
    {
    op->SupportPrintOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportPrintOff",argv[1]))&&(argc == 2))
    {
    op->SupportPrintOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTclInteractor",argv[1]))&&(argc == 2))
    {
    vtkKWTclInteractor  *temp20;
    temp20 = (op)->GetTclInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWTclInteractor");
    return TCL_OK;
    }
  if ((!strcmp("DisplayTclInteractor",argv[1]))&&(argc == 2))
    {
    op->DisplayTclInteractor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateToolbarState",argv[1]))&&(argc == 2))
    {
    op->UpdateToolbarState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateMenuState",argv[1]))&&(argc == 2))
    {
    op->UpdateMenuState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForDelete",argv[1]))&&(argc == 2))
    {
    op->PrepareForDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ErrorIconCallback",argv[1]))&&(argc == 2))
    {
    op->ErrorIconCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintSettingsCallback",argv[1]))&&(argc == 2))
    {
    op->PrintSettingsCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarVisibilityChangedCallback",argv[1]))&&(argc == 2))
    {
    op->ToolbarVisibilityChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NumberOfToolbarsChangedCallback",argv[1]))&&(argc == 2))
    {
    op->NumberOfToolbarsChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWWindowBaseCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWTopLevelCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWWindowBase:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  SetPromptBeforeClose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPromptBeforeClose\n",NULL);
    Tcl_AppendResult(interp,"  PromptBeforeCloseOn\n",NULL);
    Tcl_AppendResult(interp,"  PromptBeforeCloseOff\n",NULL);
    Tcl_AppendResult(interp,"  LoadScript\n",NULL);
    Tcl_AppendResult(interp,"  LoadScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScriptExtension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScriptExtension\n",NULL);
    Tcl_AppendResult(interp,"  SetScriptType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScriptType\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStatusText\n",NULL);
    Tcl_AppendResult(interp,"  WarningMessage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ErrorMessage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorIconToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorIconToBlack\n",NULL);
    Tcl_AppendResult(interp,"  SetErrorIconToRed\n",NULL);
    Tcl_AppendResult(interp,"  GetViewFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetMainToolbarSet\n",NULL);
    Tcl_AppendResult(interp,"  GetStatusFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFrameVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStatusFrameVisibility\n",NULL);
    Tcl_AppendResult(interp,"  StatusFrameVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  StatusFrameVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressGauge\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressGaugePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressGaugePositionToStatusFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressGaugePositionToToolbar\n",NULL);
    Tcl_AppendResult(interp,"  GetTrayFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetTrayFramePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetTrayFramePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTrayFramePositionToStatusFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetTrayFramePositionToToolbar\n",NULL);
    Tcl_AppendResult(interp,"  GetFileMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetEditMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetViewMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetHelpMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetToolbarsVisibilityMenu\n",NULL);
    Tcl_AppendResult(interp,"  GetFileMenuInsertPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetHelpMenuInsertPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetViewMenuInsertPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportHelpMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportHelpMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportHelp\n",NULL);
    Tcl_AppendResult(interp,"  SupportHelpOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportHelpOff\n",NULL);
    Tcl_AppendResult(interp,"  AddRecentFile\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportPrint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportPrintMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportPrintMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportPrint\n",NULL);
    Tcl_AppendResult(interp,"  SupportPrintOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportPrintOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetTclInteractor\n",NULL);
    Tcl_AppendResult(interp,"  DisplayTclInteractor\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateToolbarState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateMenuState\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDelete\n",NULL);
    Tcl_AppendResult(interp,"  ErrorIconCallback\n",NULL);
    Tcl_AppendResult(interp,"  PrintSettingsCallback\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarVisibilityChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  NumberOfToolbarsChangedCallback\n",NULL);
    return TCL_OK;
    }

  if (vtkKWTopLevelCppCommand((vtkKWTopLevel *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
