// tcl wrapper for vtkPVDataInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVDataInformation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVDataInformationNewCommand()
{
  vtkPVDataInformation *temp = vtkPVDataInformation::New();
  return ((ClientData)temp);
}

int vtkPVInformationCppCommand(vtkPVInformation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVDataInformationCppCommand(vtkPVDataInformation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVDataInformationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVDataInformationCppCommand((vtkPVDataInformation *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVDataInformationCppCommand(vtkPVDataInformation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVDataInformation",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVInformationCppCommand((vtkPVInformation *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVInformation", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVDataInformation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVDataInformation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataInformation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVDataInformation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFromObject",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    op->CopyFromObject(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInformation",argv[1]))&&(argc == 3))
    {
    vtkPVInformation  *temp0;
    error = 0;

    temp0 = (vtkPVInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVInformation",interp,error));
    if (!error)
    {
    op->AddInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInformation",argv[1]))&&(argc == 4))
    {
    vtkPVInformation  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkPVInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVInformation",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddInformation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyToStream",argv[1]))&&(argc == 3))
    {
    vtkClientServerStream  *temp0;
    error = 0;

    temp0 = (vtkClientServerStream *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkClientServerStream",interp,error));
    if (!error)
    {
    op->CopyToStream(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFromStream",argv[1]))&&(argc == 3))
    {
    vtkClientServerStream  *temp0;
    error = 0;

    temp0 = (vtkClientServerStream *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkClientServerStream",interp,error));
    if (!error)
    {
    op->CopyFromStream(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataSetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataSetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeDataSetType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompositeDataSetType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataSetTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataSetTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("DataSetTypeIsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->DataSetTypeIsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPoints",argv[1]))&&(argc == 2))
    {
    vtkTypeInt64   temp20;
    temp20 = (op)->GetNumberOfPoints();
    Tcl_SetResult(interp, (char *) "unable to return result.", TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkTypeInt64   temp20;
    temp20 = (op)->GetNumberOfCells();
    Tcl_SetResult(interp, (char *) "unable to return result.", TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMemorySize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMemorySize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfDataSets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDataSets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g %g %g %g ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtent",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetExtent();
    char tempResult[1024];
    sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointArrayInformation",argv[1]))&&(argc == 2))
    {
    vtkPVArrayInformation  *temp20;
    temp20 = (op)->GetPointArrayInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVArrayInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetPointDataInformation",argv[1]))&&(argc == 2))
    {
    vtkPVDataSetAttributesInformation  *temp20;
    temp20 = (op)->GetPointDataInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataSetAttributesInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetCellDataInformation",argv[1]))&&(argc == 2))
    {
    vtkPVDataSetAttributesInformation  *temp20;
    temp20 = (op)->GetCellDataInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataSetAttributesInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeDataInformation",argv[1]))&&(argc == 2))
    {
    vtkPVCompositeDataInformation  *temp20;
    temp20 = (op)->GetCompositeDataInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCompositeDataInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataClassName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDataClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeDataClassName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCompositeDataClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVDataInformationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVInformationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVDataInformation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyFromObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInformation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyToStream\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyFromStream\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetType\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeDataSetType\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSetTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  DataSetTypeIsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPoints\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  GetMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDataSets\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetExtent\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetPointDataInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetCellDataInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeDataInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeDataClassName\n",NULL);
    return TCL_OK;
    }

  if (vtkPVInformationCppCommand((vtkPVInformation *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
