// tcl wrapper for vtkPVProcessModule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVProcessModule.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVProcessModuleNewCommand()
{
  vtkPVProcessModule *temp = vtkPVProcessModule::New();
  return ((ClientData)temp);
}

int vtkProcessModuleCppCommand(vtkProcessModule *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVProcessModuleCppCommand(vtkPVProcessModule *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVProcessModuleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVProcessModuleCppCommand((vtkPVProcessModule *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVProcessModuleCppCommand(vtkPVProcessModule *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVProcessModule",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkProcessModuleCppCommand((vtkProcessModule *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkProcessModule", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVProcessModule  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVProcessModule");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVProcessModule  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVProcessModule");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVProcessModule  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVProcessModule");
    return TCL_OK;
    }
    }
  if ((!strcmp("Exit",argv[1]))&&(argc == 2))
    {
    op->Exit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDirectoryListing",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkStringList  *temp1;
    vtkStringList  *temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkStringList *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkStringList",interp,error));
    temp2 = (vtkStringList *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkStringList",interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDirectoryListing(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectFromIntID",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkObjectBase  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectFromIntID(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkObjectBase");
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadModule",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->LoadModule(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadModuleInternal",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->LoadModuleInternal(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMPIMToNSocketConnectionID",argv[1]))&&(argc == 2))
    {
    vtkClientServerID   temp20;
    temp20 = (op)->GetMPIMToNSocketConnectionID();
    Tcl_SetResult(interp, (char *) "unable to return result.", TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InitializeInterpreter",argv[1]))&&(argc == 2))
    {
    op->InitializeInterpreter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FinalizeInterpreter",argv[1]))&&(argc == 2))
    {
    op->FinalizeInterpreter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSocketController",argv[1]))&&(argc == 2))
    {
    vtkSocketController  *temp20;
    temp20 = (op)->GetSocketController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSocketController");
    return TCL_OK;
    }
  if ((!strcmp("SendPrepareProgress",argv[1]))&&(argc == 2))
    {
    op->SendPrepareProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SendCleanupPendingProgress",argv[1]))&&(argc == 2))
    {
    op->SendCleanupPendingProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLocalProgress",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLocalProgress(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LogStartEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LogStartEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LogEndEvent",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->LogEndEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLogBufferLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLogBufferLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetLog",argv[1]))&&(argc == 2))
    {
    op->ResetLog();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableLog",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableLog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLogThreshold",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLogThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogThreshold",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLogThreshold();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetServerInformation",argv[1]))&&(argc == 2))
    {
    vtkPVServerInformation  *temp20;
    temp20 = (op)->GetServerInformation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVServerInformation");
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeServerClientOptions",argv[1]))&&(argc == 2))
    {
    op->SynchronizeServerClientOptions();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPath",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetPath(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGlobalLODFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalLODFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalLODFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalLODFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalLODFlagInternal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalLODFlagInternal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGlobalStreamBlock",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalStreamBlock(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalStreamBlock",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalStreamBlock();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalStreamBlockInternal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalStreamBlockInternal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProcessEnvironmentVariable",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetProcessEnvironmentVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseTriangleStrips",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTriangleStrips(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTriangleStrips",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseTriangleStrips();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseImmediateMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseImmediateMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseImmediateMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseImmediateMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRenderNodePort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderNodePort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMachinesFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetMachinesFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetClientMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClientMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfMachines",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfMachines();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMachineName",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetMachineName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetApplicationInstallationDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetApplicationInstallationDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplicationInstallationDirectory",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetApplicationInstallationDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVProcessModuleCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkProcessModuleCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVProcessModule:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Exit\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectoryListing\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectFromIntID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadModule\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  LoadModuleInternal\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMPIMToNSocketConnectionID\n",NULL);
    Tcl_AppendResult(interp,"  InitializeInterpreter\n",NULL);
    Tcl_AppendResult(interp,"  FinalizeInterpreter\n",NULL);
    Tcl_AppendResult(interp,"  GetSocketController\n",NULL);
    Tcl_AppendResult(interp,"  SendPrepareProgress\n",NULL);
    Tcl_AppendResult(interp,"  SendCleanupPendingProgress\n",NULL);
    Tcl_AppendResult(interp,"  SetLocalProgress\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  LogStartEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LogEndEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLogBufferLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetLog\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableLog\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLogThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetServerInformation\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeServerClientOptions\n",NULL);
    Tcl_AppendResult(interp,"  GetPath\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalLODFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalLODFlag\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalLODFlagInternal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalStreamBlock\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalStreamBlock\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalStreamBlockInternal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessEnvironmentVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTriangleStrips\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTriangleStrips\n",NULL);
    Tcl_AppendResult(interp,"  SetUseImmediateMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseImmediateMode\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderNodePort\n",NULL);
    Tcl_AppendResult(interp,"  GetMachinesFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetClientMode\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMachines\n",NULL);
    Tcl_AppendResult(interp,"  GetMachineName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetApplicationInstallationDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplicationInstallationDirectory\n",NULL);
    return TCL_OK;
    }

  if (vtkProcessModuleCppCommand((vtkProcessModule *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
