#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkPVFiltersCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkAttributeEditorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAttributeEditorClientServerNewCommand();
int vtkCVGeometryCacheCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCVGeometryCacheClientServerNewCommand();
int vtkCaveRenderManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCaveRenderManagerClientServerNewCommand();
int vtkCleanUnstructuredGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCleanUnstructuredGridClientServerNewCommand();
int vtkClientCompositeManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkClientCompositeManagerClientServerNewCommand();
int vtkColorByPartCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkColorByPartClientServerNewCommand();
int vtkCompleteArraysCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCompleteArraysClientServerNewCommand();
int vtkDataAnalysisFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataAnalysisFilterClientServerNewCommand();
int vtkDataSetSubdivisionAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetSubdivisionAlgorithmClientServerNewCommand();
int vtkDesktopDeliveryClientCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDesktopDeliveryClientClientServerNewCommand();
int vtkDesktopDeliveryServerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDesktopDeliveryServerClientServerNewCommand();
int vtkGroupCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGroupClientServerNewCommand();
int vtkHDF5RawImageReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHDF5RawImageReaderClientServerNewCommand();
int vtkHierarchicalFractalCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalFractalClientServerNewCommand();
int vtkIntegrateAttributesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIntegrateAttributesClientServerNewCommand();
int vtkIntegrateFlowThroughSurfaceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIntegrateFlowThroughSurfaceClientServerNewCommand();
int vtkMPICompositeManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPICompositeManagerClientServerNewCommand();
int vtkMPIDuplicatePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPIDuplicatePolyDataClientServerNewCommand();
int vtkMPIDuplicateUnstructuredGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPIDuplicateUnstructuredGridClientServerNewCommand();
int vtkMPIMoveDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPIMoveDataClientServerNewCommand();
int vtkMergeArraysCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMergeArraysClientServerNewCommand();
int vtkMultiActorHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiActorHelperClientServerNewCommand();
int vtkMultiDisplayManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiDisplayManagerClientServerNewCommand();
int vtkOrderedCompositeDistributorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOrderedCompositeDistributorClientServerNewCommand();
int vtkPVArrowSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVArrowSourceClientServerNewCommand();
int vtkPVClipDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVClipDataSetClientServerNewCommand();
int vtkPVCompositeBufferCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVCompositeBufferClientServerNewCommand();
int vtkPVCompositeUtilitiesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVCompositeUtilitiesClientServerNewCommand();
int vtkPVConnectivityFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVConnectivityFilterClientServerNewCommand();
int vtkPVDesktopDeliveryClientCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDesktopDeliveryClientClientServerNewCommand();
int vtkPVDesktopDeliveryServerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDesktopDeliveryServerClientServerNewCommand();
int vtkPVDReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDReaderClientServerNewCommand();
int vtkPVEnSightMasterServerReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVEnSightMasterServerReaderClientServerNewCommand();
int vtkPVEnSightMasterServerTranslatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVEnSightMasterServerTranslatorClientServerNewCommand();
int vtkPVExtentTranslatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVExtentTranslatorClientServerNewCommand();
int vtkPVExtractVOICommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVExtractVOIClientServerNewCommand();
int vtkPVGenericRenderWindowInteractorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVGenericRenderWindowInteractorClientServerNewCommand();
int vtkPVGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVGeometryFilterClientServerNewCommand();
int vtkPVGeometryInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVGeometryInformationClientServerNewCommand();
int vtkPVGlyphFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVGlyphFilterClientServerNewCommand();
int vtkPVLODActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVLODActorClientServerNewCommand();
int vtkPVLODVolumeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVLODVolumeClientServerNewCommand();
int vtkPVLinearExtrusionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVLinearExtrusionFilterClientServerNewCommand();
int vtkPPickFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPPickFilterClientServerNewCommand();
int vtkPVServerArraySelectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerArraySelectionClientServerNewCommand();
int vtkPVServerFileListingCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerFileListingClientServerNewCommand();
int vtkPVServerObjectCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerObjectClientServerNewCommand();
int vtkPVServerSelectTimeSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerSelectTimeSetClientServerNewCommand();
int vtkPVServerTimeStepsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerTimeStepsClientServerNewCommand();
int vtkPVServerXDMFParametersCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerXDMFParametersClientServerNewCommand();
int vtkPVSummaryHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVSummaryHelperClientServerNewCommand();
int vtkPVTreeCompositeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVTreeCompositeClientServerNewCommand();
int vtkPVUpdateSuppressorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVUpdateSuppressorClientServerNewCommand();
int vtkPVXMLElementCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVXMLElementClientServerNewCommand();
int vtkPVXMLParserCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVXMLParserClientServerNewCommand();
int vtkPickFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPickFilterClientServerNewCommand();
int vtkSelectInputsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSelectInputsClientServerNewCommand();
int vtkSpyPlotReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSpyPlotReaderClientServerNewCommand();
int vtkStreamingTessellatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStreamingTessellatorClientServerNewCommand();
int vtkSurfaceVectorsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSurfaceVectorsClientServerNewCommand();
int vtkSquirtCompressorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSquirtCompressorClientServerNewCommand();
int vtkTemporalCacheFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTemporalCacheFilterClientServerNewCommand();
int vtkTemporalProbeFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTemporalProbeFilterClientServerNewCommand();
int vtkTemporalPickFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTemporalPickFilterClientServerNewCommand();
int vtkTempTessellatorFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTempTessellatorFilterClientServerNewCommand();
int vtkTiledDisplayScheduleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTiledDisplayScheduleClientServerNewCommand();
int vtkUpdateSuppressorPipelineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUpdateSuppressorPipelineClientServerNewCommand();
int vtkVRMLSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVRMLSourceClientServerNewCommand();
int vtkXMLCollectionReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLCollectionReaderClientServerNewCommand();
int vtkXMLPVAnimationWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPVAnimationWriterClientServerNewCommand();
int vtkXMLPVDWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPVDWriterClientServerNewCommand();
int vtkBalancedRedistributePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBalancedRedistributePolyDataClientServerNewCommand();
int vtkAllToNRedistributePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAllToNRedistributePolyDataClientServerNewCommand();
int vtkPVDuplicatePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDuplicatePolyDataClientServerNewCommand();
int vtkRedistributePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRedistributePolyDataClientServerNewCommand();
int vtkWeightedRedistributePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWeightedRedistributePolyDataClientServerNewCommand();
int vtkIceTClientCompositeManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIceTClientCompositeManagerClientServerNewCommand();
int vtkIceTContextCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIceTContextClientServerNewCommand();
int vtkIceTRenderManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIceTRenderManagerClientServerNewCommand();
int vtkIceTRendererCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIceTRendererClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkPVFiltersCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkPVFiltersCS_NewInstance);

    arlu->AddCommandFunction("vtkAttributeEditor",vtkAttributeEditorCommand);
  arlu->AddCommandFunction("vtkCVGeometryCache",vtkCVGeometryCacheCommand);
  arlu->AddCommandFunction("vtkCaveRenderManager",vtkCaveRenderManagerCommand);
  arlu->AddCommandFunction("vtkCleanUnstructuredGrid",vtkCleanUnstructuredGridCommand);
  arlu->AddCommandFunction("vtkClientCompositeManager",vtkClientCompositeManagerCommand);
  arlu->AddCommandFunction("vtkColorByPart",vtkColorByPartCommand);
  arlu->AddCommandFunction("vtkCompleteArrays",vtkCompleteArraysCommand);
  arlu->AddCommandFunction("vtkDataAnalysisFilter",vtkDataAnalysisFilterCommand);
  arlu->AddCommandFunction("vtkDataSetSubdivisionAlgorithm",vtkDataSetSubdivisionAlgorithmCommand);
  arlu->AddCommandFunction("vtkDesktopDeliveryClient",vtkDesktopDeliveryClientCommand);
  arlu->AddCommandFunction("vtkDesktopDeliveryServer",vtkDesktopDeliveryServerCommand);
  arlu->AddCommandFunction("vtkGroup",vtkGroupCommand);
  arlu->AddCommandFunction("vtkHDF5RawImageReader",vtkHDF5RawImageReaderCommand);
  arlu->AddCommandFunction("vtkHierarchicalFractal",vtkHierarchicalFractalCommand);
  arlu->AddCommandFunction("vtkIntegrateAttributes",vtkIntegrateAttributesCommand);
  arlu->AddCommandFunction("vtkIntegrateFlowThroughSurface",vtkIntegrateFlowThroughSurfaceCommand);
  arlu->AddCommandFunction("vtkMPICompositeManager",vtkMPICompositeManagerCommand);
  arlu->AddCommandFunction("vtkMPIDuplicatePolyData",vtkMPIDuplicatePolyDataCommand);
  arlu->AddCommandFunction("vtkMPIDuplicateUnstructuredGrid",vtkMPIDuplicateUnstructuredGridCommand);
  arlu->AddCommandFunction("vtkMPIMoveData",vtkMPIMoveDataCommand);
  arlu->AddCommandFunction("vtkMergeArrays",vtkMergeArraysCommand);
  arlu->AddCommandFunction("vtkMultiActorHelper",vtkMultiActorHelperCommand);
  arlu->AddCommandFunction("vtkMultiDisplayManager",vtkMultiDisplayManagerCommand);
  arlu->AddCommandFunction("vtkOrderedCompositeDistributor",vtkOrderedCompositeDistributorCommand);
  arlu->AddCommandFunction("vtkPVArrowSource",vtkPVArrowSourceCommand);
  arlu->AddCommandFunction("vtkPVClipDataSet",vtkPVClipDataSetCommand);
  arlu->AddCommandFunction("vtkPVCompositeBuffer",vtkPVCompositeBufferCommand);
  arlu->AddCommandFunction("vtkPVCompositeUtilities",vtkPVCompositeUtilitiesCommand);
  arlu->AddCommandFunction("vtkPVConnectivityFilter",vtkPVConnectivityFilterCommand);
  arlu->AddCommandFunction("vtkPVDesktopDeliveryClient",vtkPVDesktopDeliveryClientCommand);
  arlu->AddCommandFunction("vtkPVDesktopDeliveryServer",vtkPVDesktopDeliveryServerCommand);
  arlu->AddCommandFunction("vtkPVDReader",vtkPVDReaderCommand);
  arlu->AddCommandFunction("vtkPVEnSightMasterServerReader",vtkPVEnSightMasterServerReaderCommand);
  arlu->AddCommandFunction("vtkPVEnSightMasterServerTranslator",vtkPVEnSightMasterServerTranslatorCommand);
  arlu->AddCommandFunction("vtkPVExtentTranslator",vtkPVExtentTranslatorCommand);
  arlu->AddCommandFunction("vtkPVExtractVOI",vtkPVExtractVOICommand);
  arlu->AddCommandFunction("vtkPVGenericRenderWindowInteractor",vtkPVGenericRenderWindowInteractorCommand);
  arlu->AddCommandFunction("vtkPVGeometryFilter",vtkPVGeometryFilterCommand);
  arlu->AddCommandFunction("vtkPVGeometryInformation",vtkPVGeometryInformationCommand);
  arlu->AddCommandFunction("vtkPVGlyphFilter",vtkPVGlyphFilterCommand);
  arlu->AddCommandFunction("vtkPVLODActor",vtkPVLODActorCommand);
  arlu->AddCommandFunction("vtkPVLODVolume",vtkPVLODVolumeCommand);
  arlu->AddCommandFunction("vtkPVLinearExtrusionFilter",vtkPVLinearExtrusionFilterCommand);
  arlu->AddCommandFunction("vtkPPickFilter",vtkPPickFilterCommand);
  arlu->AddCommandFunction("vtkPVServerArraySelection",vtkPVServerArraySelectionCommand);
  arlu->AddCommandFunction("vtkPVServerFileListing",vtkPVServerFileListingCommand);
  arlu->AddCommandFunction("vtkPVServerObject",vtkPVServerObjectCommand);
  arlu->AddCommandFunction("vtkPVServerSelectTimeSet",vtkPVServerSelectTimeSetCommand);
  arlu->AddCommandFunction("vtkPVServerTimeSteps",vtkPVServerTimeStepsCommand);
  arlu->AddCommandFunction("vtkPVServerXDMFParameters",vtkPVServerXDMFParametersCommand);
  arlu->AddCommandFunction("vtkPVSummaryHelper",vtkPVSummaryHelperCommand);
  arlu->AddCommandFunction("vtkPVTreeComposite",vtkPVTreeCompositeCommand);
  arlu->AddCommandFunction("vtkPVUpdateSuppressor",vtkPVUpdateSuppressorCommand);
  arlu->AddCommandFunction("vtkPVXMLElement",vtkPVXMLElementCommand);
  arlu->AddCommandFunction("vtkPVXMLParser",vtkPVXMLParserCommand);
  arlu->AddCommandFunction("vtkPickFilter",vtkPickFilterCommand);
  arlu->AddCommandFunction("vtkSelectInputs",vtkSelectInputsCommand);
  arlu->AddCommandFunction("vtkSpyPlotReader",vtkSpyPlotReaderCommand);
  arlu->AddCommandFunction("vtkStreamingTessellator",vtkStreamingTessellatorCommand);
  arlu->AddCommandFunction("vtkSurfaceVectors",vtkSurfaceVectorsCommand);
  arlu->AddCommandFunction("vtkSquirtCompressor",vtkSquirtCompressorCommand);
  arlu->AddCommandFunction("vtkTemporalCacheFilter",vtkTemporalCacheFilterCommand);
  arlu->AddCommandFunction("vtkTemporalProbeFilter",vtkTemporalProbeFilterCommand);
  arlu->AddCommandFunction("vtkTemporalPickFilter",vtkTemporalPickFilterCommand);
  arlu->AddCommandFunction("vtkTempTessellatorFilter",vtkTempTessellatorFilterCommand);
  arlu->AddCommandFunction("vtkTiledDisplaySchedule",vtkTiledDisplayScheduleCommand);
  arlu->AddCommandFunction("vtkUpdateSuppressorPipeline",vtkUpdateSuppressorPipelineCommand);
  arlu->AddCommandFunction("vtkVRMLSource",vtkVRMLSourceCommand);
  arlu->AddCommandFunction("vtkXMLCollectionReader",vtkXMLCollectionReaderCommand);
  arlu->AddCommandFunction("vtkXMLPVAnimationWriter",vtkXMLPVAnimationWriterCommand);
  arlu->AddCommandFunction("vtkXMLPVDWriter",vtkXMLPVDWriterCommand);
  arlu->AddCommandFunction("vtkBalancedRedistributePolyData",vtkBalancedRedistributePolyDataCommand);
  arlu->AddCommandFunction("vtkAllToNRedistributePolyData",vtkAllToNRedistributePolyDataCommand);
  arlu->AddCommandFunction("vtkPVDuplicatePolyData",vtkPVDuplicatePolyDataCommand);
  arlu->AddCommandFunction("vtkRedistributePolyData",vtkRedistributePolyDataCommand);
  arlu->AddCommandFunction("vtkWeightedRedistributePolyData",vtkWeightedRedistributePolyDataCommand);
  arlu->AddCommandFunction("vtkIceTClientCompositeManager",vtkIceTClientCompositeManagerCommand);
  arlu->AddCommandFunction("vtkIceTContext",vtkIceTContextCommand);
  arlu->AddCommandFunction("vtkIceTRenderManager",vtkIceTRenderManagerCommand);
  arlu->AddCommandFunction("vtkIceTRenderer",vtkIceTRendererCommand);

}

static int vtkPVFiltersCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkAttributeEditor",type))
      {
      vtkObjectBase *ptr = vtkAttributeEditorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCVGeometryCache",type))
      {
      vtkObjectBase *ptr = vtkCVGeometryCacheClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCaveRenderManager",type))
      {
      vtkObjectBase *ptr = vtkCaveRenderManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCleanUnstructuredGrid",type))
      {
      vtkObjectBase *ptr = vtkCleanUnstructuredGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkClientCompositeManager",type))
      {
      vtkObjectBase *ptr = vtkClientCompositeManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkColorByPart",type))
      {
      vtkObjectBase *ptr = vtkColorByPartClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCompleteArrays",type))
      {
      vtkObjectBase *ptr = vtkCompleteArraysClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataAnalysisFilter",type))
      {
      vtkObjectBase *ptr = vtkDataAnalysisFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetSubdivisionAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkDataSetSubdivisionAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDesktopDeliveryClient",type))
      {
      vtkObjectBase *ptr = vtkDesktopDeliveryClientClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDesktopDeliveryServer",type))
      {
      vtkObjectBase *ptr = vtkDesktopDeliveryServerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGroup",type))
      {
      vtkObjectBase *ptr = vtkGroupClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHDF5RawImageReader",type))
      {
      vtkObjectBase *ptr = vtkHDF5RawImageReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalFractal",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalFractalClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIntegrateAttributes",type))
      {
      vtkObjectBase *ptr = vtkIntegrateAttributesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIntegrateFlowThroughSurface",type))
      {
      vtkObjectBase *ptr = vtkIntegrateFlowThroughSurfaceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMPICompositeManager",type))
      {
      vtkObjectBase *ptr = vtkMPICompositeManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMPIDuplicatePolyData",type))
      {
      vtkObjectBase *ptr = vtkMPIDuplicatePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMPIDuplicateUnstructuredGrid",type))
      {
      vtkObjectBase *ptr = vtkMPIDuplicateUnstructuredGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMPIMoveData",type))
      {
      vtkObjectBase *ptr = vtkMPIMoveDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMergeArrays",type))
      {
      vtkObjectBase *ptr = vtkMergeArraysClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiActorHelper",type))
      {
      vtkObjectBase *ptr = vtkMultiActorHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiDisplayManager",type))
      {
      vtkObjectBase *ptr = vtkMultiDisplayManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOrderedCompositeDistributor",type))
      {
      vtkObjectBase *ptr = vtkOrderedCompositeDistributorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVArrowSource",type))
      {
      vtkObjectBase *ptr = vtkPVArrowSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVClipDataSet",type))
      {
      vtkObjectBase *ptr = vtkPVClipDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVCompositeBuffer",type))
      {
      vtkObjectBase *ptr = vtkPVCompositeBufferClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVCompositeUtilities",type))
      {
      vtkObjectBase *ptr = vtkPVCompositeUtilitiesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVConnectivityFilter",type))
      {
      vtkObjectBase *ptr = vtkPVConnectivityFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDesktopDeliveryClient",type))
      {
      vtkObjectBase *ptr = vtkPVDesktopDeliveryClientClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDesktopDeliveryServer",type))
      {
      vtkObjectBase *ptr = vtkPVDesktopDeliveryServerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDReader",type))
      {
      vtkObjectBase *ptr = vtkPVDReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVEnSightMasterServerReader",type))
      {
      vtkObjectBase *ptr = vtkPVEnSightMasterServerReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVEnSightMasterServerTranslator",type))
      {
      vtkObjectBase *ptr = vtkPVEnSightMasterServerTranslatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVExtentTranslator",type))
      {
      vtkObjectBase *ptr = vtkPVExtentTranslatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVExtractVOI",type))
      {
      vtkObjectBase *ptr = vtkPVExtractVOIClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVGenericRenderWindowInteractor",type))
      {
      vtkObjectBase *ptr = vtkPVGenericRenderWindowInteractorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkPVGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVGeometryInformation",type))
      {
      vtkObjectBase *ptr = vtkPVGeometryInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVGlyphFilter",type))
      {
      vtkObjectBase *ptr = vtkPVGlyphFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVLODActor",type))
      {
      vtkObjectBase *ptr = vtkPVLODActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVLODVolume",type))
      {
      vtkObjectBase *ptr = vtkPVLODVolumeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVLinearExtrusionFilter",type))
      {
      vtkObjectBase *ptr = vtkPVLinearExtrusionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPPickFilter",type))
      {
      vtkObjectBase *ptr = vtkPPickFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerArraySelection",type))
      {
      vtkObjectBase *ptr = vtkPVServerArraySelectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerFileListing",type))
      {
      vtkObjectBase *ptr = vtkPVServerFileListingClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerObject",type))
      {
      vtkObjectBase *ptr = vtkPVServerObjectClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerSelectTimeSet",type))
      {
      vtkObjectBase *ptr = vtkPVServerSelectTimeSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerTimeSteps",type))
      {
      vtkObjectBase *ptr = vtkPVServerTimeStepsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerXDMFParameters",type))
      {
      vtkObjectBase *ptr = vtkPVServerXDMFParametersClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVSummaryHelper",type))
      {
      vtkObjectBase *ptr = vtkPVSummaryHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVTreeComposite",type))
      {
      vtkObjectBase *ptr = vtkPVTreeCompositeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVUpdateSuppressor",type))
      {
      vtkObjectBase *ptr = vtkPVUpdateSuppressorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVXMLElement",type))
      {
      vtkObjectBase *ptr = vtkPVXMLElementClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVXMLParser",type))
      {
      vtkObjectBase *ptr = vtkPVXMLParserClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPickFilter",type))
      {
      vtkObjectBase *ptr = vtkPickFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSelectInputs",type))
      {
      vtkObjectBase *ptr = vtkSelectInputsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSpyPlotReader",type))
      {
      vtkObjectBase *ptr = vtkSpyPlotReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStreamingTessellator",type))
      {
      vtkObjectBase *ptr = vtkStreamingTessellatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSurfaceVectors",type))
      {
      vtkObjectBase *ptr = vtkSurfaceVectorsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSquirtCompressor",type))
      {
      vtkObjectBase *ptr = vtkSquirtCompressorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTemporalCacheFilter",type))
      {
      vtkObjectBase *ptr = vtkTemporalCacheFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTemporalProbeFilter",type))
      {
      vtkObjectBase *ptr = vtkTemporalProbeFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTemporalPickFilter",type))
      {
      vtkObjectBase *ptr = vtkTemporalPickFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTempTessellatorFilter",type))
      {
      vtkObjectBase *ptr = vtkTempTessellatorFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTiledDisplaySchedule",type))
      {
      vtkObjectBase *ptr = vtkTiledDisplayScheduleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUpdateSuppressorPipeline",type))
      {
      vtkObjectBase *ptr = vtkUpdateSuppressorPipelineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVRMLSource",type))
      {
      vtkObjectBase *ptr = vtkVRMLSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLCollectionReader",type))
      {
      vtkObjectBase *ptr = vtkXMLCollectionReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPVAnimationWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPVAnimationWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPVDWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPVDWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBalancedRedistributePolyData",type))
      {
      vtkObjectBase *ptr = vtkBalancedRedistributePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAllToNRedistributePolyData",type))
      {
      vtkObjectBase *ptr = vtkAllToNRedistributePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDuplicatePolyData",type))
      {
      vtkObjectBase *ptr = vtkPVDuplicatePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRedistributePolyData",type))
      {
      vtkObjectBase *ptr = vtkRedistributePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWeightedRedistributePolyData",type))
      {
      vtkObjectBase *ptr = vtkWeightedRedistributePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIceTClientCompositeManager",type))
      {
      vtkObjectBase *ptr = vtkIceTClientCompositeManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIceTContext",type))
      {
      vtkObjectBase *ptr = vtkIceTContextClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIceTRenderManager",type))
      {
      vtkObjectBase *ptr = vtkIceTRenderManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIceTRenderer",type))
      {
      vtkObjectBase *ptr = vtkIceTRendererClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
