#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkPVServerManager_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkSMAnimationCueProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMAnimationCueProxyClientServerNewCommand();
int vtkSMAnimationSceneProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMAnimationSceneProxyClientServerNewCommand();
int vtkSMApplicationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMApplicationClientServerNewCommand();
int vtkSMArrayListDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMArrayListDomainClientServerNewCommand();
int vtkSMArrayRangeDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMArrayRangeDomainClientServerNewCommand();
int vtkSMArraySelectionDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMArraySelectionDomainClientServerNewCommand();
int vtkSMArraySelectionInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMArraySelectionInformationHelperClientServerNewCommand();
int vtkSMAxesProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMAxesProxyClientServerNewCommand();
int vtkSMBooleanDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMBooleanDomainClientServerNewCommand();
int vtkSMBooleanKeyFrameProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMBooleanKeyFrameProxyClientServerNewCommand();
int vtkSMBoundsDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMBoundsDomainClientServerNewCommand();
int vtkSMBoxProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMBoxProxyClientServerNewCommand();
int vtkSMBoxWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMBoxWidgetProxyClientServerNewCommand();
int vtkSMCameraKeyFrameProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMCameraKeyFrameProxyClientServerNewCommand();
int vtkSMCameraManipulatorProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMCameraManipulatorProxyClientServerNewCommand();
int vtkSMCaveRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMCaveRenderModuleProxyClientServerNewCommand();
int vtkSMComparativeVisProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMComparativeVisProxyClientServerNewCommand();
int vtkSMCompositeDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMCompositeDisplayProxyClientServerNewCommand();
int vtkSMCompositeRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMCompositeRenderModuleProxyClientServerNewCommand();
int vtkSMDataObjectDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMDataObjectDisplayProxyClientServerNewCommand();
int vtkSMDataTypeDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMDataTypeDomainClientServerNewCommand();
int vtkSMDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMDisplayProxyClientServerNewCommand();
int vtkSMDomainIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMDomainIteratorClientServerNewCommand();
int vtkSMDoubleRangeDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMDoubleRangeDomainClientServerNewCommand();
int vtkSMDoubleVectorPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMDoubleVectorPropertyClientServerNewCommand();
int vtkSMEnumerationDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMEnumerationDomainClientServerNewCommand();
int vtkSMExponentialKeyFrameProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMExponentialKeyFrameProxyClientServerNewCommand();
int vtkSMExtentDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMExtentDomainClientServerNewCommand();
int vtkSMFieldDataDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMFieldDataDomainClientServerNewCommand();
int vtkSMFixedTypeDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMFixedTypeDomainClientServerNewCommand();
int vtkSMIceTDesktopRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMIceTDesktopRenderModuleProxyClientServerNewCommand();
int vtkSMIceTMultiDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMIceTMultiDisplayProxyClientServerNewCommand();
int vtkSMIceTRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMIceTRenderModuleProxyClientServerNewCommand();
int vtkSMIdTypeVectorPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMIdTypeVectorPropertyClientServerNewCommand();
int vtkSMImplicitPlaneProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMImplicitPlaneProxyClientServerNewCommand();
int vtkSMImplicitPlaneWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMImplicitPlaneWidgetProxyClientServerNewCommand();
int vtkSMInputArrayDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMInputArrayDomainClientServerNewCommand();
int vtkSMInputPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMInputPropertyClientServerNewCommand();
int vtkSMIntRangeDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMIntRangeDomainClientServerNewCommand();
int vtkSMIntVectorPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMIntVectorPropertyClientServerNewCommand();
int vtkSMKeyFrameProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMKeyFrameProxyClientServerNewCommand();
int vtkSMKeyFrameAnimationCueManipulatorProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMKeyFrameAnimationCueManipulatorProxyClientServerNewCommand();
int vtkSMLinearAnimationCueManipulatorProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMLinearAnimationCueManipulatorProxyClientServerNewCommand();
int vtkSMLineWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMLineWidgetProxyClientServerNewCommand();
int vtkSMLookupTableProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMLookupTableProxyClientServerNewCommand();
int vtkSMLODDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMLODDisplayProxyClientServerNewCommand();
int vtkSMLODRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMLODRenderModuleProxyClientServerNewCommand();
int vtkSMMultiDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMMultiDisplayProxyClientServerNewCommand();
int vtkSMMultiDisplayRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMMultiDisplayRenderModuleProxyClientServerNewCommand();
int vtkSMNumberOfGroupsDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMNumberOfGroupsDomainClientServerNewCommand();
int vtkSMNumberOfPartsDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMNumberOfPartsDomainClientServerNewCommand();
int vtkSMObjectCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMObjectClientServerNewCommand();
int vtkSMPVDWriterProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPVDWriterProxyClientServerNewCommand();
int vtkSMPartCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPartClientServerNewCommand();
int vtkSMPickBoxWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPickBoxWidgetProxyClientServerNewCommand();
int vtkSMPickLineWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPickLineWidgetProxyClientServerNewCommand();
int vtkSMPickPointWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPickPointWidgetProxyClientServerNewCommand();
int vtkSMPickSphereWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPickSphereWidgetProxyClientServerNewCommand();
int vtkSMPointWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPointWidgetProxyClientServerNewCommand();
int vtkSMPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPropertyClientServerNewCommand();
int vtkSMPropertyAdaptorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPropertyAdaptorClientServerNewCommand();
int vtkSMPropertyIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPropertyIteratorClientServerNewCommand();
int vtkSMPropertyStatusManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPropertyStatusManagerClientServerNewCommand();
int vtkSMProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMProxyClientServerNewCommand();
int vtkSMProxyGroupDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMProxyGroupDomainClientServerNewCommand();
int vtkSMProxyIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMProxyIteratorClientServerNewCommand();
int vtkSMProxyManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMProxyManagerClientServerNewCommand();
int vtkSMProxyPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMProxyPropertyClientServerNewCommand();
int vtkSMRampKeyFrameProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMRampKeyFrameProxyClientServerNewCommand();
int vtkSMServerFileListingProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMServerFileListingProxyClientServerNewCommand();
int vtkSMScalarBarActorProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMScalarBarActorProxyClientServerNewCommand();
int vtkSMScalarBarWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMScalarBarWidgetProxyClientServerNewCommand();
int vtkSMShrunkContoursProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMShrunkContoursProxyClientServerNewCommand();
int vtkSMSimpleIntInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSimpleIntInformationHelperClientServerNewCommand();
int vtkSMSinusoidKeyFrameProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSinusoidKeyFrameProxyClientServerNewCommand();
int vtkSMSimpleDoubleInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSimpleDoubleInformationHelperClientServerNewCommand();
int vtkSMSimpleProxyInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSimpleProxyInformationHelperClientServerNewCommand();
int vtkSMSimpleRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSimpleRenderModuleProxyClientServerNewCommand();
int vtkSMSimpleStringInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSimpleStringInformationHelperClientServerNewCommand();
int vtkSMMPIRenderModuleProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMMPIRenderModuleProxyClientServerNewCommand();
int vtkSMSourceProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSourceProxyClientServerNewCommand();
int vtkSMSphereWidgetProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSphereWidgetProxyClientServerNewCommand();
int vtkSMStringListDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMStringListDomainClientServerNewCommand();
int vtkSMStringListRangeDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMStringListRangeDomainClientServerNewCommand();
int vtkSMStringVectorPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMStringVectorPropertyClientServerNewCommand();
int vtkSMSubPropertyIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSubPropertyIteratorClientServerNewCommand();
int vtkSMSummaryHelperProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMSummaryHelperProxyClientServerNewCommand();
int vtkSMTemporalXYPlotDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMTemporalXYPlotDisplayProxyClientServerNewCommand();
int vtkSMTimeStepsInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMTimeStepsInformationHelperClientServerNewCommand();
int vtkSMTransformProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMTransformProxyClientServerNewCommand();
int vtkSMXDMFInformationHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMXDMFInformationHelperClientServerNewCommand();
int vtkSMXDMFPropertyDomainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMXDMFPropertyDomainClientServerNewCommand();
int vtkSMWriterProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMWriterProxyClientServerNewCommand();
int vtkSMCubeAxesDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMCubeAxesDisplayProxyClientServerNewCommand();
int vtkSMPointLabelDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMPointLabelDisplayProxyClientServerNewCommand();
int vtkSMXMLPVAnimationWriterProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMXMLPVAnimationWriterProxyClientServerNewCommand();
int vtkSMXYPlotActorProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMXYPlotActorProxyClientServerNewCommand();
int vtkSMXYPlotDisplayProxyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSMXYPlotDisplayProxyClientServerNewCommand();
int vtkPickBoxWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPickBoxWidgetClientServerNewCommand();
int vtkPickPointWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPickPointWidgetClientServerNewCommand();
int vtkPickLineWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPickLineWidgetClientServerNewCommand();
int vtkPickSphereWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPickSphereWidgetClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkPVServerManager_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkPVServerManager_NewInstance);

    arlu->AddCommandFunction("vtkSMAnimationCueProxy",vtkSMAnimationCueProxyCommand);
  arlu->AddCommandFunction("vtkSMAnimationSceneProxy",vtkSMAnimationSceneProxyCommand);
  arlu->AddCommandFunction("vtkSMApplication",vtkSMApplicationCommand);
  arlu->AddCommandFunction("vtkSMArrayListDomain",vtkSMArrayListDomainCommand);
  arlu->AddCommandFunction("vtkSMArrayRangeDomain",vtkSMArrayRangeDomainCommand);
  arlu->AddCommandFunction("vtkSMArraySelectionDomain",vtkSMArraySelectionDomainCommand);
  arlu->AddCommandFunction("vtkSMArraySelectionInformationHelper",vtkSMArraySelectionInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMAxesProxy",vtkSMAxesProxyCommand);
  arlu->AddCommandFunction("vtkSMBooleanDomain",vtkSMBooleanDomainCommand);
  arlu->AddCommandFunction("vtkSMBooleanKeyFrameProxy",vtkSMBooleanKeyFrameProxyCommand);
  arlu->AddCommandFunction("vtkSMBoundsDomain",vtkSMBoundsDomainCommand);
  arlu->AddCommandFunction("vtkSMBoxProxy",vtkSMBoxProxyCommand);
  arlu->AddCommandFunction("vtkSMBoxWidgetProxy",vtkSMBoxWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMCameraKeyFrameProxy",vtkSMCameraKeyFrameProxyCommand);
  arlu->AddCommandFunction("vtkSMCameraManipulatorProxy",vtkSMCameraManipulatorProxyCommand);
  arlu->AddCommandFunction("vtkSMCaveRenderModuleProxy",vtkSMCaveRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMComparativeVisProxy",vtkSMComparativeVisProxyCommand);
  arlu->AddCommandFunction("vtkSMCompositeDisplayProxy",vtkSMCompositeDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMCompositeRenderModuleProxy",vtkSMCompositeRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMDataObjectDisplayProxy",vtkSMDataObjectDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMDataTypeDomain",vtkSMDataTypeDomainCommand);
  arlu->AddCommandFunction("vtkSMDisplayProxy",vtkSMDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMDomainIterator",vtkSMDomainIteratorCommand);
  arlu->AddCommandFunction("vtkSMDoubleRangeDomain",vtkSMDoubleRangeDomainCommand);
  arlu->AddCommandFunction("vtkSMDoubleVectorProperty",vtkSMDoubleVectorPropertyCommand);
  arlu->AddCommandFunction("vtkSMEnumerationDomain",vtkSMEnumerationDomainCommand);
  arlu->AddCommandFunction("vtkSMExponentialKeyFrameProxy",vtkSMExponentialKeyFrameProxyCommand);
  arlu->AddCommandFunction("vtkSMExtentDomain",vtkSMExtentDomainCommand);
  arlu->AddCommandFunction("vtkSMFieldDataDomain",vtkSMFieldDataDomainCommand);
  arlu->AddCommandFunction("vtkSMFixedTypeDomain",vtkSMFixedTypeDomainCommand);
  arlu->AddCommandFunction("vtkSMIceTDesktopRenderModuleProxy",vtkSMIceTDesktopRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMIceTMultiDisplayProxy",vtkSMIceTMultiDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMIceTRenderModuleProxy",vtkSMIceTRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMIdTypeVectorProperty",vtkSMIdTypeVectorPropertyCommand);
  arlu->AddCommandFunction("vtkSMImplicitPlaneProxy",vtkSMImplicitPlaneProxyCommand);
  arlu->AddCommandFunction("vtkSMImplicitPlaneWidgetProxy",vtkSMImplicitPlaneWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMInputArrayDomain",vtkSMInputArrayDomainCommand);
  arlu->AddCommandFunction("vtkSMInputProperty",vtkSMInputPropertyCommand);
  arlu->AddCommandFunction("vtkSMIntRangeDomain",vtkSMIntRangeDomainCommand);
  arlu->AddCommandFunction("vtkSMIntVectorProperty",vtkSMIntVectorPropertyCommand);
  arlu->AddCommandFunction("vtkSMKeyFrameProxy",vtkSMKeyFrameProxyCommand);
  arlu->AddCommandFunction("vtkSMKeyFrameAnimationCueManipulatorProxy",vtkSMKeyFrameAnimationCueManipulatorProxyCommand);
  arlu->AddCommandFunction("vtkSMLinearAnimationCueManipulatorProxy",vtkSMLinearAnimationCueManipulatorProxyCommand);
  arlu->AddCommandFunction("vtkSMLineWidgetProxy",vtkSMLineWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMLookupTableProxy",vtkSMLookupTableProxyCommand);
  arlu->AddCommandFunction("vtkSMLODDisplayProxy",vtkSMLODDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMLODRenderModuleProxy",vtkSMLODRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMMultiDisplayProxy",vtkSMMultiDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMMultiDisplayRenderModuleProxy",vtkSMMultiDisplayRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMNumberOfGroupsDomain",vtkSMNumberOfGroupsDomainCommand);
  arlu->AddCommandFunction("vtkSMNumberOfPartsDomain",vtkSMNumberOfPartsDomainCommand);
  arlu->AddCommandFunction("vtkSMObject",vtkSMObjectCommand);
  arlu->AddCommandFunction("vtkSMPVDWriterProxy",vtkSMPVDWriterProxyCommand);
  arlu->AddCommandFunction("vtkSMPart",vtkSMPartCommand);
  arlu->AddCommandFunction("vtkSMPickBoxWidgetProxy",vtkSMPickBoxWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMPickLineWidgetProxy",vtkSMPickLineWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMPickPointWidgetProxy",vtkSMPickPointWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMPickSphereWidgetProxy",vtkSMPickSphereWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMPointWidgetProxy",vtkSMPointWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMProperty",vtkSMPropertyCommand);
  arlu->AddCommandFunction("vtkSMPropertyAdaptor",vtkSMPropertyAdaptorCommand);
  arlu->AddCommandFunction("vtkSMPropertyIterator",vtkSMPropertyIteratorCommand);
  arlu->AddCommandFunction("vtkSMPropertyStatusManager",vtkSMPropertyStatusManagerCommand);
  arlu->AddCommandFunction("vtkSMProxy",vtkSMProxyCommand);
  arlu->AddCommandFunction("vtkSMProxyGroupDomain",vtkSMProxyGroupDomainCommand);
  arlu->AddCommandFunction("vtkSMProxyIterator",vtkSMProxyIteratorCommand);
  arlu->AddCommandFunction("vtkSMProxyManager",vtkSMProxyManagerCommand);
  arlu->AddCommandFunction("vtkSMProxyProperty",vtkSMProxyPropertyCommand);
  arlu->AddCommandFunction("vtkSMRampKeyFrameProxy",vtkSMRampKeyFrameProxyCommand);
  arlu->AddCommandFunction("vtkSMServerFileListingProxy",vtkSMServerFileListingProxyCommand);
  arlu->AddCommandFunction("vtkSMScalarBarActorProxy",vtkSMScalarBarActorProxyCommand);
  arlu->AddCommandFunction("vtkSMScalarBarWidgetProxy",vtkSMScalarBarWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMShrunkContoursProxy",vtkSMShrunkContoursProxyCommand);
  arlu->AddCommandFunction("vtkSMSimpleIntInformationHelper",vtkSMSimpleIntInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMSinusoidKeyFrameProxy",vtkSMSinusoidKeyFrameProxyCommand);
  arlu->AddCommandFunction("vtkSMSimpleDoubleInformationHelper",vtkSMSimpleDoubleInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMSimpleProxyInformationHelper",vtkSMSimpleProxyInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMSimpleRenderModuleProxy",vtkSMSimpleRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMSimpleStringInformationHelper",vtkSMSimpleStringInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMMPIRenderModuleProxy",vtkSMMPIRenderModuleProxyCommand);
  arlu->AddCommandFunction("vtkSMSourceProxy",vtkSMSourceProxyCommand);
  arlu->AddCommandFunction("vtkSMSphereWidgetProxy",vtkSMSphereWidgetProxyCommand);
  arlu->AddCommandFunction("vtkSMStringListDomain",vtkSMStringListDomainCommand);
  arlu->AddCommandFunction("vtkSMStringListRangeDomain",vtkSMStringListRangeDomainCommand);
  arlu->AddCommandFunction("vtkSMStringVectorProperty",vtkSMStringVectorPropertyCommand);
  arlu->AddCommandFunction("vtkSMSubPropertyIterator",vtkSMSubPropertyIteratorCommand);
  arlu->AddCommandFunction("vtkSMSummaryHelperProxy",vtkSMSummaryHelperProxyCommand);
  arlu->AddCommandFunction("vtkSMTemporalXYPlotDisplayProxy",vtkSMTemporalXYPlotDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMTimeStepsInformationHelper",vtkSMTimeStepsInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMTransformProxy",vtkSMTransformProxyCommand);
  arlu->AddCommandFunction("vtkSMXDMFInformationHelper",vtkSMXDMFInformationHelperCommand);
  arlu->AddCommandFunction("vtkSMXDMFPropertyDomain",vtkSMXDMFPropertyDomainCommand);
  arlu->AddCommandFunction("vtkSMWriterProxy",vtkSMWriterProxyCommand);
  arlu->AddCommandFunction("vtkSMCubeAxesDisplayProxy",vtkSMCubeAxesDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMPointLabelDisplayProxy",vtkSMPointLabelDisplayProxyCommand);
  arlu->AddCommandFunction("vtkSMXMLPVAnimationWriterProxy",vtkSMXMLPVAnimationWriterProxyCommand);
  arlu->AddCommandFunction("vtkSMXYPlotActorProxy",vtkSMXYPlotActorProxyCommand);
  arlu->AddCommandFunction("vtkSMXYPlotDisplayProxy",vtkSMXYPlotDisplayProxyCommand);
  arlu->AddCommandFunction("vtkPickBoxWidget",vtkPickBoxWidgetCommand);
  arlu->AddCommandFunction("vtkPickPointWidget",vtkPickPointWidgetCommand);
  arlu->AddCommandFunction("vtkPickLineWidget",vtkPickLineWidgetCommand);
  arlu->AddCommandFunction("vtkPickSphereWidget",vtkPickSphereWidgetCommand);

}

static int vtkPVServerManager_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkSMAnimationCueProxy",type))
      {
      vtkObjectBase *ptr = vtkSMAnimationCueProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMAnimationSceneProxy",type))
      {
      vtkObjectBase *ptr = vtkSMAnimationSceneProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMApplication",type))
      {
      vtkObjectBase *ptr = vtkSMApplicationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMArrayListDomain",type))
      {
      vtkObjectBase *ptr = vtkSMArrayListDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMArrayRangeDomain",type))
      {
      vtkObjectBase *ptr = vtkSMArrayRangeDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMArraySelectionDomain",type))
      {
      vtkObjectBase *ptr = vtkSMArraySelectionDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMArraySelectionInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMArraySelectionInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMAxesProxy",type))
      {
      vtkObjectBase *ptr = vtkSMAxesProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMBooleanDomain",type))
      {
      vtkObjectBase *ptr = vtkSMBooleanDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMBooleanKeyFrameProxy",type))
      {
      vtkObjectBase *ptr = vtkSMBooleanKeyFrameProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMBoundsDomain",type))
      {
      vtkObjectBase *ptr = vtkSMBoundsDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMBoxProxy",type))
      {
      vtkObjectBase *ptr = vtkSMBoxProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMBoxWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMBoxWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMCameraKeyFrameProxy",type))
      {
      vtkObjectBase *ptr = vtkSMCameraKeyFrameProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMCameraManipulatorProxy",type))
      {
      vtkObjectBase *ptr = vtkSMCameraManipulatorProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMCaveRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMCaveRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMComparativeVisProxy",type))
      {
      vtkObjectBase *ptr = vtkSMComparativeVisProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMCompositeDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMCompositeDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMCompositeRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMCompositeRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMDataObjectDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMDataObjectDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMDataTypeDomain",type))
      {
      vtkObjectBase *ptr = vtkSMDataTypeDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMDomainIterator",type))
      {
      vtkObjectBase *ptr = vtkSMDomainIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMDoubleRangeDomain",type))
      {
      vtkObjectBase *ptr = vtkSMDoubleRangeDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMDoubleVectorProperty",type))
      {
      vtkObjectBase *ptr = vtkSMDoubleVectorPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMEnumerationDomain",type))
      {
      vtkObjectBase *ptr = vtkSMEnumerationDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMExponentialKeyFrameProxy",type))
      {
      vtkObjectBase *ptr = vtkSMExponentialKeyFrameProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMExtentDomain",type))
      {
      vtkObjectBase *ptr = vtkSMExtentDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMFieldDataDomain",type))
      {
      vtkObjectBase *ptr = vtkSMFieldDataDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMFixedTypeDomain",type))
      {
      vtkObjectBase *ptr = vtkSMFixedTypeDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMIceTDesktopRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMIceTDesktopRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMIceTMultiDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMIceTMultiDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMIceTRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMIceTRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMIdTypeVectorProperty",type))
      {
      vtkObjectBase *ptr = vtkSMIdTypeVectorPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMImplicitPlaneProxy",type))
      {
      vtkObjectBase *ptr = vtkSMImplicitPlaneProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMImplicitPlaneWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMImplicitPlaneWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMInputArrayDomain",type))
      {
      vtkObjectBase *ptr = vtkSMInputArrayDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMInputProperty",type))
      {
      vtkObjectBase *ptr = vtkSMInputPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMIntRangeDomain",type))
      {
      vtkObjectBase *ptr = vtkSMIntRangeDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMIntVectorProperty",type))
      {
      vtkObjectBase *ptr = vtkSMIntVectorPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMKeyFrameProxy",type))
      {
      vtkObjectBase *ptr = vtkSMKeyFrameProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMKeyFrameAnimationCueManipulatorProxy",type))
      {
      vtkObjectBase *ptr = vtkSMKeyFrameAnimationCueManipulatorProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMLinearAnimationCueManipulatorProxy",type))
      {
      vtkObjectBase *ptr = vtkSMLinearAnimationCueManipulatorProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMLineWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMLineWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMLookupTableProxy",type))
      {
      vtkObjectBase *ptr = vtkSMLookupTableProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMLODDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMLODDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMLODRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMLODRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMMultiDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMMultiDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMMultiDisplayRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMMultiDisplayRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMNumberOfGroupsDomain",type))
      {
      vtkObjectBase *ptr = vtkSMNumberOfGroupsDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMNumberOfPartsDomain",type))
      {
      vtkObjectBase *ptr = vtkSMNumberOfPartsDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMObject",type))
      {
      vtkObjectBase *ptr = vtkSMObjectClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPVDWriterProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPVDWriterProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPart",type))
      {
      vtkObjectBase *ptr = vtkSMPartClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPickBoxWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPickBoxWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPickLineWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPickLineWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPickPointWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPickPointWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPickSphereWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPickSphereWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPointWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPointWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMProperty",type))
      {
      vtkObjectBase *ptr = vtkSMPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPropertyAdaptor",type))
      {
      vtkObjectBase *ptr = vtkSMPropertyAdaptorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPropertyIterator",type))
      {
      vtkObjectBase *ptr = vtkSMPropertyIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPropertyStatusManager",type))
      {
      vtkObjectBase *ptr = vtkSMPropertyStatusManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMProxy",type))
      {
      vtkObjectBase *ptr = vtkSMProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMProxyGroupDomain",type))
      {
      vtkObjectBase *ptr = vtkSMProxyGroupDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMProxyIterator",type))
      {
      vtkObjectBase *ptr = vtkSMProxyIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMProxyManager",type))
      {
      vtkObjectBase *ptr = vtkSMProxyManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMProxyProperty",type))
      {
      vtkObjectBase *ptr = vtkSMProxyPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMRampKeyFrameProxy",type))
      {
      vtkObjectBase *ptr = vtkSMRampKeyFrameProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMServerFileListingProxy",type))
      {
      vtkObjectBase *ptr = vtkSMServerFileListingProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMScalarBarActorProxy",type))
      {
      vtkObjectBase *ptr = vtkSMScalarBarActorProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMScalarBarWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMScalarBarWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMShrunkContoursProxy",type))
      {
      vtkObjectBase *ptr = vtkSMShrunkContoursProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSimpleIntInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMSimpleIntInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSinusoidKeyFrameProxy",type))
      {
      vtkObjectBase *ptr = vtkSMSinusoidKeyFrameProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSimpleDoubleInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMSimpleDoubleInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSimpleProxyInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMSimpleProxyInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSimpleRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMSimpleRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSimpleStringInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMSimpleStringInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMMPIRenderModuleProxy",type))
      {
      vtkObjectBase *ptr = vtkSMMPIRenderModuleProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSourceProxy",type))
      {
      vtkObjectBase *ptr = vtkSMSourceProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSphereWidgetProxy",type))
      {
      vtkObjectBase *ptr = vtkSMSphereWidgetProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMStringListDomain",type))
      {
      vtkObjectBase *ptr = vtkSMStringListDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMStringListRangeDomain",type))
      {
      vtkObjectBase *ptr = vtkSMStringListRangeDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMStringVectorProperty",type))
      {
      vtkObjectBase *ptr = vtkSMStringVectorPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSubPropertyIterator",type))
      {
      vtkObjectBase *ptr = vtkSMSubPropertyIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMSummaryHelperProxy",type))
      {
      vtkObjectBase *ptr = vtkSMSummaryHelperProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMTemporalXYPlotDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMTemporalXYPlotDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMTimeStepsInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMTimeStepsInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMTransformProxy",type))
      {
      vtkObjectBase *ptr = vtkSMTransformProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMXDMFInformationHelper",type))
      {
      vtkObjectBase *ptr = vtkSMXDMFInformationHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMXDMFPropertyDomain",type))
      {
      vtkObjectBase *ptr = vtkSMXDMFPropertyDomainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMWriterProxy",type))
      {
      vtkObjectBase *ptr = vtkSMWriterProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMCubeAxesDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMCubeAxesDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMPointLabelDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMPointLabelDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMXMLPVAnimationWriterProxy",type))
      {
      vtkObjectBase *ptr = vtkSMXMLPVAnimationWriterProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMXYPlotActorProxy",type))
      {
      vtkObjectBase *ptr = vtkSMXYPlotActorProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSMXYPlotDisplayProxy",type))
      {
      vtkObjectBase *ptr = vtkSMXYPlotDisplayProxyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPickBoxWidget",type))
      {
      vtkObjectBase *ptr = vtkPickBoxWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPickPointWidget",type))
      {
      vtkObjectBase *ptr = vtkPickPointWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPickLineWidget",type))
      {
      vtkObjectBase *ptr = vtkPickLineWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPickSphereWidget",type))
      {
      vtkObjectBase *ptr = vtkPickSphereWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
