// tcl wrapper for vtkSMComparativeVisProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMComparativeVisProxy.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMComparativeVisProxyNewCommand()
{
  vtkSMComparativeVisProxy *temp = vtkSMComparativeVisProxy::New();
  return ((ClientData)temp);
}

int vtkSMProxyCppCommand(vtkSMProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMComparativeVisProxyCppCommand(vtkSMComparativeVisProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMComparativeVisProxyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMComparativeVisProxyCppCommand((vtkSMComparativeVisProxy *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMComparativeVisProxyCppCommand(vtkSMComparativeVisProxy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMComparativeVisProxy",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMProxyCppCommand((vtkSMProxy *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMProxy", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMComparativeVisProxy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMComparativeVisProxy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMComparativeVisProxy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMComparativeVisProxy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMComparativeVisProxy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMComparativeVisProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("Generate",argv[1]))&&(argc == 2))
    {
    op->Generate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIsGenerated",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsGenerated();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Show",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Show();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Hide",argv[1]))&&(argc == 2))
    {
    op->Hide();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddCue",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->AddCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCue",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    vtkSMProxy  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->SetCue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfCues",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    op->SetNumberOfCues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfFramesInCue",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = (unsigned int)tempi;
    if (!error)
    {
    op->SetNumberOfFramesInCue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllCues",argv[1]))&&(argc == 2))
    {
    op->RemoveAllCues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllCache",argv[1]))&&(argc == 2))
    {
    op->RemoveAllCache();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCues",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfCues();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFramesInCue",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    unsigned int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfFramesInCue(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCue",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkSMAnimationCueProxy  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetCue(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMAnimationCueProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMultiActorHelper",argv[1]))&&(argc == 2))
    {
    vtkSMProxy  *temp20;
    temp20 = (op)->GetMultiActorHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxy");
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetShouldAbort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShouldAbort(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShouldAbort",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShouldAbort();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModule",argv[1]))&&(argc == 3))
    {
    vtkSMRenderModuleProxy  *temp0;
    error = 0;

    temp0 = (vtkSMRenderModuleProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMRenderModuleProxy",interp,error));
    if (!error)
    {
    op->SetRenderModule(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModule",argv[1]))&&(argc == 2))
    {
    vtkSMRenderModuleProxy  *temp20;
    temp20 = (op)->GetRenderModule();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMRenderModuleProxy");
    return TCL_OK;
    }
  if ((!strcmp("SetSourceName",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetSourceName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceName",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetSourceName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSourceTclName",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetSourceTclName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourceTclName",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetSourceTclName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfXFrames",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    op->SetNumberOfXFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfXFrames",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfXFrames();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfYFrames",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    op->SetNumberOfYFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfYFrames",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfYFrames();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMComparativeVisProxyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMProxyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMComparativeVisProxy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Generate\n",NULL);
    Tcl_AppendResult(interp,"  GetIsGenerated\n",NULL);
    Tcl_AppendResult(interp,"  Show\n",NULL);
    Tcl_AppendResult(interp,"  Hide\n",NULL);
    Tcl_AppendResult(interp,"  AddCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfCues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfFramesInCue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllCues\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllCache\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCues\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFramesInCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMultiActorHelper\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetShouldAbort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShouldAbort\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModule\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModule\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSourceTclName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSourceTclName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfXFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfYFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYFrames\n",NULL);
    return TCL_OK;
    }

  if (vtkSMProxyCppCommand((vtkSMProxy *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
