// tcl wrapper for vtkSMCubeAxesDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMCubeAxesDisplayProxy.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMCubeAxesDisplayProxyNewCommand()
{
  vtkSMCubeAxesDisplayProxy *temp = vtkSMCubeAxesDisplayProxy::New();
  return ((ClientData)temp);
}

int vtkSMConsumerDisplayProxyCppCommand(vtkSMConsumerDisplayProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMCubeAxesDisplayProxyCppCommand(vtkSMCubeAxesDisplayProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMCubeAxesDisplayProxyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMCubeAxesDisplayProxyCppCommand((vtkSMCubeAxesDisplayProxy *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMCubeAxesDisplayProxyCppCommand(vtkSMCubeAxesDisplayProxy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMCubeAxesDisplayProxy",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMConsumerDisplayProxyCppCommand((vtkSMConsumerDisplayProxy *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMConsumerDisplayProxy", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMCubeAxesDisplayProxy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMCubeAxesDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMCubeAxesDisplayProxy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMCubeAxesDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMCubeAxesDisplayProxy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMCubeAxesDisplayProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddToRenderModule",argv[1]))&&(argc == 3))
    {
    vtkSMRenderModuleProxy  *temp0;
    error = 0;

    temp0 = (vtkSMRenderModuleProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMRenderModuleProxy",interp,error));
    if (!error)
    {
    op->AddToRenderModule(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveFromRenderModule",argv[1]))&&(argc == 3))
    {
    vtkSMRenderModuleProxy  *temp0;
    error = 0;

    temp0 = (vtkSMRenderModuleProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMRenderModuleProxy",interp,error));
    if (!error)
    {
    op->RemoveFromRenderModule(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 5))
    {
    vtkSMSourceProxy  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkSMSourceProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMSourceProxy",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CacheUpdate",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->CacheUpdate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvalidateGeometry",argv[1]))&&(argc == 2))
    {
    op->InvalidateGeometry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MarkConsumersAsModified",argv[1]))&&(argc == 2))
    {
    op->MarkConsumersAsModified();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMCubeAxesDisplayProxyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMConsumerDisplayProxyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMCubeAxesDisplayProxy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddToRenderModule\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFromRenderModule\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  CacheUpdate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvalidateGeometry\n",NULL);
    Tcl_AppendResult(interp,"  MarkConsumersAsModified\n",NULL);
    return TCL_OK;
    }

  if (vtkSMConsumerDisplayProxyCppCommand((vtkSMConsumerDisplayProxy *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
