// tcl wrapper for vtkSMTemporalXYPlotDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMTemporalXYPlotDisplayProxy.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMTemporalXYPlotDisplayProxyNewCommand()
{
  vtkSMTemporalXYPlotDisplayProxy *temp = vtkSMTemporalXYPlotDisplayProxy::New();
  return ((ClientData)temp);
}

int vtkSMXYPlotDisplayProxyCppCommand(vtkSMXYPlotDisplayProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMTemporalXYPlotDisplayProxyCppCommand(vtkSMTemporalXYPlotDisplayProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMTemporalXYPlotDisplayProxyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMTemporalXYPlotDisplayProxyCppCommand((vtkSMTemporalXYPlotDisplayProxy *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMTemporalXYPlotDisplayProxyCppCommand(vtkSMTemporalXYPlotDisplayProxy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMTemporalXYPlotDisplayProxy",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMXYPlotDisplayProxyCppCommand((vtkSMXYPlotDisplayProxy *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMXYPlotDisplayProxy", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMTemporalXYPlotDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMTemporalXYPlotDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMTemporalXYPlotDisplayProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 5))
    {
    vtkSMSourceProxy  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkSMSourceProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMSourceProxy",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdatePropertyInformation",argv[1]))&&(argc == 2))
    {
    op->UpdatePropertyInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdatePropertyInformation",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->UpdatePropertyInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllPointArrayNames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllPointArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllCellArrayNames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllCellArrayNames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddPointArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddPointArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCellArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddCellArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotPointData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotPointData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotPointData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotPointData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationCueProxy",argv[1]))&&(argc == 3))
    {
    vtkSMAnimationCueProxy  *temp0;
    error = 0;

    temp0 = (vtkSMAnimationCueProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMAnimationCueProxy",interp,error));
    if (!error)
    {
    op->SetAnimationCueProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationCueProxy",argv[1]))&&(argc == 2))
    {
    vtkSMAnimationCueProxy  *temp20;
    temp20 = (op)->GetAnimationCueProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMAnimationCueProxy");
    return TCL_OK;
    }
  if ((!strcmp("GenerateTemporalPlot",argv[1]))&&(argc == 2))
    {
    op->GenerateTemporalPlot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AbortGenerateTemporalPlot",argv[1]))&&(argc == 2))
    {
    op->AbortGenerateTemporalPlot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLockTemporalCache",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLockTemporalCache(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLockTemporalCache",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockTemporalCache();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LockTemporalCacheOn",argv[1]))&&(argc == 2))
    {
    op->LockTemporalCacheOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockTemporalCacheOff",argv[1]))&&(argc == 2))
    {
    op->LockTemporalCacheOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVTKObjects",argv[1]))&&(argc == 2))
    {
    op->UpdateVTKObjects();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMTemporalXYPlotDisplayProxyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMXYPlotDisplayProxyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMTemporalXYPlotDisplayProxy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePropertyInformation\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePropertyInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllPointArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllCellArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  AddPointArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddCellArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotPointData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotPointData\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationCueProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationCueProxy\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTemporalPlot\n",NULL);
    Tcl_AppendResult(interp,"  AbortGenerateTemporalPlot\n",NULL);
    Tcl_AppendResult(interp,"  SetLockTemporalCache\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLockTemporalCache\n",NULL);
    Tcl_AppendResult(interp,"  LockTemporalCacheOn\n",NULL);
    Tcl_AppendResult(interp,"  LockTemporalCacheOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVTKObjects\n",NULL);
    return TCL_OK;
    }

  if (vtkSMXYPlotDisplayProxyCppCommand((vtkSMXYPlotDisplayProxy *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
