#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkCommonCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkAmoebaMinimizerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAmoebaMinimizerClientServerNewCommand();
int vtkAnimationCueCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAnimationCueClientServerNewCommand();
int vtkAnimationSceneCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAnimationSceneClientServerNewCommand();
int vtkAssemblyNodeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAssemblyNodeClientServerNewCommand();
int vtkAssemblyPathCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAssemblyPathClientServerNewCommand();
int vtkAssemblyPathsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAssemblyPathsClientServerNewCommand();
int vtkBitArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBitArrayClientServerNewCommand();
int vtkBoxCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBoxClientServerNewCommand();
int vtkByteSwapCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkByteSwapClientServerNewCommand();
int vtkCharArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCharArrayClientServerNewCommand();
int vtkCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCollectionClientServerNewCommand();
int vtkCollectionIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCollectionIteratorClientServerNewCommand();
int vtkContourValuesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkContourValuesClientServerNewCommand();
int vtkCriticalSectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCriticalSectionClientServerNewCommand();
int vtkCylindricalTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCylindricalTransformClientServerNewCommand();
int vtkDataArrayCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataArrayCollectionClientServerNewCommand();
int vtkDataArrayCollectionIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataArrayCollectionIteratorClientServerNewCommand();
int vtkDataArraySelectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataArraySelectionClientServerNewCommand();
int vtkDebugLeaksCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDebugLeaksClientServerNewCommand();
int vtkDirectoryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDirectoryClientServerNewCommand();
int vtkDoubleArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDoubleArrayClientServerNewCommand();
int vtkDynamicLoaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDynamicLoaderClientServerNewCommand();
int vtkEdgeTableCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEdgeTableClientServerNewCommand();
int vtkExtentSplitterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtentSplitterClientServerNewCommand();
int vtkExtentTranslatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtentTranslatorClientServerNewCommand();
int vtkFastNumericConversionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFastNumericConversionClientServerNewCommand();
int vtkFileOutputWindowCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFileOutputWindowClientServerNewCommand();
int vtkFloatArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFloatArrayClientServerNewCommand();
int vtkFunctionParserCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFunctionParserClientServerNewCommand();
int vtkGarbageCollectorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGarbageCollectorClientServerNewCommand();
int vtkGeneralTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGeneralTransformClientServerNewCommand();
int vtkHeapCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHeapClientServerNewCommand();
int vtkIdListCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIdListClientServerNewCommand();
int vtkIdListCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIdListCollectionClientServerNewCommand();
int vtkIdTypeArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIdTypeArrayClientServerNewCommand();
int vtkIdentityTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIdentityTransformClientServerNewCommand();
int vtkImplicitFunctionCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitFunctionCollectionClientServerNewCommand();
int vtkInstantiatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInstantiatorClientServerNewCommand();
int vtkIntArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIntArrayClientServerNewCommand();
int vtkLogLookupTableCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLogLookupTableClientServerNewCommand();
int vtkLongArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLongArrayClientServerNewCommand();
int vtkLookupTableCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLookupTableClientServerNewCommand();
int vtkMathCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMathClientServerNewCommand();
int vtkMatrix4x4Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMatrix4x4ClientServerNewCommand();
int vtkMatrixToHomogeneousTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMatrixToHomogeneousTransformClientServerNewCommand();
int vtkMatrixToLinearTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMatrixToLinearTransformClientServerNewCommand();
int vtkMultiPartExtentTranslatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiPartExtentTranslatorClientServerNewCommand();
int vtkMultiThreaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiThreaderClientServerNewCommand();
int vtkMutexLockCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMutexLockClientServerNewCommand();
int vtkObjectCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkObjectClientServerNewCommand();
int vtkObjectFactoryCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkObjectFactoryCollectionClientServerNewCommand();
int vtkOutputWindowCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOutputWindowClientServerNewCommand();
int vtkParametricBoyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricBoyClientServerNewCommand();
int vtkParametricConicSpiralCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricConicSpiralClientServerNewCommand();
int vtkParametricCrossCapCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricCrossCapClientServerNewCommand();
int vtkParametricDiniCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricDiniClientServerNewCommand();
int vtkParametricEllipsoidCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricEllipsoidClientServerNewCommand();
int vtkParametricEnneperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricEnneperClientServerNewCommand();
int vtkParametricFigure8KleinCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricFigure8KleinClientServerNewCommand();
int vtkParametricKleinCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricKleinClientServerNewCommand();
int vtkParametricMobiusCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricMobiusClientServerNewCommand();
int vtkParametricRandomHillsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricRandomHillsClientServerNewCommand();
int vtkParametricRomanCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricRomanClientServerNewCommand();
int vtkParametricSuperEllipsoidCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricSuperEllipsoidClientServerNewCommand();
int vtkParametricSuperToroidCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricSuperToroidClientServerNewCommand();
int vtkParametricTorusCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricTorusClientServerNewCommand();
int vtkPerspectiveTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPerspectiveTransformClientServerNewCommand();
int vtkPlaneCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlaneClientServerNewCommand();
int vtkPlaneCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlaneCollectionClientServerNewCommand();
int vtkPlanesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlanesClientServerNewCommand();
int vtkPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointsClientServerNewCommand();
int vtkPriorityQueueCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPriorityQueueClientServerNewCommand();
int vtkPropCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPropCollectionClientServerNewCommand();
int vtkProperty2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProperty2DClientServerNewCommand();
int vtkQuadricCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadricClientServerNewCommand();
int vtkReferenceCountCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkReferenceCountClientServerNewCommand();
int vtkRungeKutta2Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRungeKutta2ClientServerNewCommand();
int vtkRungeKutta4Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRungeKutta4ClientServerNewCommand();
int vtkRungeKutta45Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRungeKutta45ClientServerNewCommand();
int vtkShortArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkShortArrayClientServerNewCommand();
int vtkSignedCharArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSignedCharArrayClientServerNewCommand();
int vtkSphericalTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSphericalTransformClientServerNewCommand();
int vtkStringArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStringArrayClientServerNewCommand();
int vtkStructuredVisibilityConstraintCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredVisibilityConstraintClientServerNewCommand();
int vtkTableExtentTranslatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTableExtentTranslatorClientServerNewCommand();
int vtkTensorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTensorClientServerNewCommand();
int vtkThreadMessagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkThreadMessagerClientServerNewCommand();
int vtkTimerLogCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTimerLogClientServerNewCommand();
int vtkTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformClientServerNewCommand();
int vtkTransformCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformCollectionClientServerNewCommand();
int vtkUnsignedCharArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnsignedCharArrayClientServerNewCommand();
int vtkUnsignedIntArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnsignedIntArrayClientServerNewCommand();
int vtkUnsignedLongArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnsignedLongArrayClientServerNewCommand();
int vtkUnsignedShortArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnsignedShortArrayClientServerNewCommand();
int vtkVersionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVersionClientServerNewCommand();
int vtkVoidArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVoidArrayClientServerNewCommand();
int vtkWindowLevelLookupTableCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWindowLevelLookupTableClientServerNewCommand();
int vtkXMLFileOutputWindowCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLFileOutputWindowClientServerNewCommand();
int vtkLongLongArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLongLongArrayClientServerNewCommand();
int vtkUnsignedLongLongArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnsignedLongLongArrayClientServerNewCommand();
int vtkTypeInt8ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeInt8ArrayClientServerNewCommand();
int vtkTypeInt16ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeInt16ArrayClientServerNewCommand();
int vtkTypeInt32ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeInt32ArrayClientServerNewCommand();
int vtkTypeInt64ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeInt64ArrayClientServerNewCommand();
int vtkTypeUInt8ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeUInt8ArrayClientServerNewCommand();
int vtkTypeUInt16ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeUInt16ArrayClientServerNewCommand();
int vtkTypeUInt32ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeUInt32ArrayClientServerNewCommand();
int vtkTypeUInt64ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeUInt64ArrayClientServerNewCommand();
int vtkTypeFloat32ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeFloat32ArrayClientServerNewCommand();
int vtkTypeFloat64ArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTypeFloat64ArrayClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkCommonCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkCommonCS_NewInstance);

    arlu->AddCommandFunction("vtkAmoebaMinimizer",vtkAmoebaMinimizerCommand);
  arlu->AddCommandFunction("vtkAnimationCue",vtkAnimationCueCommand);
  arlu->AddCommandFunction("vtkAnimationScene",vtkAnimationSceneCommand);
  arlu->AddCommandFunction("vtkAssemblyNode",vtkAssemblyNodeCommand);
  arlu->AddCommandFunction("vtkAssemblyPath",vtkAssemblyPathCommand);
  arlu->AddCommandFunction("vtkAssemblyPaths",vtkAssemblyPathsCommand);
  arlu->AddCommandFunction("vtkBitArray",vtkBitArrayCommand);
  arlu->AddCommandFunction("vtkBox",vtkBoxCommand);
  arlu->AddCommandFunction("vtkByteSwap",vtkByteSwapCommand);
  arlu->AddCommandFunction("vtkCharArray",vtkCharArrayCommand);
  arlu->AddCommandFunction("vtkCollection",vtkCollectionCommand);
  arlu->AddCommandFunction("vtkCollectionIterator",vtkCollectionIteratorCommand);
  arlu->AddCommandFunction("vtkContourValues",vtkContourValuesCommand);
  arlu->AddCommandFunction("vtkCriticalSection",vtkCriticalSectionCommand);
  arlu->AddCommandFunction("vtkCylindricalTransform",vtkCylindricalTransformCommand);
  arlu->AddCommandFunction("vtkDataArrayCollection",vtkDataArrayCollectionCommand);
  arlu->AddCommandFunction("vtkDataArrayCollectionIterator",vtkDataArrayCollectionIteratorCommand);
  arlu->AddCommandFunction("vtkDataArraySelection",vtkDataArraySelectionCommand);
  arlu->AddCommandFunction("vtkDebugLeaks",vtkDebugLeaksCommand);
  arlu->AddCommandFunction("vtkDirectory",vtkDirectoryCommand);
  arlu->AddCommandFunction("vtkDoubleArray",vtkDoubleArrayCommand);
  arlu->AddCommandFunction("vtkDynamicLoader",vtkDynamicLoaderCommand);
  arlu->AddCommandFunction("vtkEdgeTable",vtkEdgeTableCommand);
  arlu->AddCommandFunction("vtkExtentSplitter",vtkExtentSplitterCommand);
  arlu->AddCommandFunction("vtkExtentTranslator",vtkExtentTranslatorCommand);
  arlu->AddCommandFunction("vtkFastNumericConversion",vtkFastNumericConversionCommand);
  arlu->AddCommandFunction("vtkFileOutputWindow",vtkFileOutputWindowCommand);
  arlu->AddCommandFunction("vtkFloatArray",vtkFloatArrayCommand);
  arlu->AddCommandFunction("vtkFunctionParser",vtkFunctionParserCommand);
  arlu->AddCommandFunction("vtkGarbageCollector",vtkGarbageCollectorCommand);
  arlu->AddCommandFunction("vtkGeneralTransform",vtkGeneralTransformCommand);
  arlu->AddCommandFunction("vtkHeap",vtkHeapCommand);
  arlu->AddCommandFunction("vtkIdList",vtkIdListCommand);
  arlu->AddCommandFunction("vtkIdListCollection",vtkIdListCollectionCommand);
  arlu->AddCommandFunction("vtkIdTypeArray",vtkIdTypeArrayCommand);
  arlu->AddCommandFunction("vtkIdentityTransform",vtkIdentityTransformCommand);
  arlu->AddCommandFunction("vtkImplicitFunctionCollection",vtkImplicitFunctionCollectionCommand);
  arlu->AddCommandFunction("vtkInstantiator",vtkInstantiatorCommand);
  arlu->AddCommandFunction("vtkIntArray",vtkIntArrayCommand);
  arlu->AddCommandFunction("vtkLogLookupTable",vtkLogLookupTableCommand);
  arlu->AddCommandFunction("vtkLongArray",vtkLongArrayCommand);
  arlu->AddCommandFunction("vtkLookupTable",vtkLookupTableCommand);
  arlu->AddCommandFunction("vtkMath",vtkMathCommand);
  arlu->AddCommandFunction("vtkMatrix4x4",vtkMatrix4x4Command);
  arlu->AddCommandFunction("vtkMatrixToHomogeneousTransform",vtkMatrixToHomogeneousTransformCommand);
  arlu->AddCommandFunction("vtkMatrixToLinearTransform",vtkMatrixToLinearTransformCommand);
  arlu->AddCommandFunction("vtkMultiPartExtentTranslator",vtkMultiPartExtentTranslatorCommand);
  arlu->AddCommandFunction("vtkMultiThreader",vtkMultiThreaderCommand);
  arlu->AddCommandFunction("vtkMutexLock",vtkMutexLockCommand);
  arlu->AddCommandFunction("vtkObject",vtkObjectCommand);
  arlu->AddCommandFunction("vtkObjectFactoryCollection",vtkObjectFactoryCollectionCommand);
  arlu->AddCommandFunction("vtkOutputWindow",vtkOutputWindowCommand);
  arlu->AddCommandFunction("vtkParametricBoy",vtkParametricBoyCommand);
  arlu->AddCommandFunction("vtkParametricConicSpiral",vtkParametricConicSpiralCommand);
  arlu->AddCommandFunction("vtkParametricCrossCap",vtkParametricCrossCapCommand);
  arlu->AddCommandFunction("vtkParametricDini",vtkParametricDiniCommand);
  arlu->AddCommandFunction("vtkParametricEllipsoid",vtkParametricEllipsoidCommand);
  arlu->AddCommandFunction("vtkParametricEnneper",vtkParametricEnneperCommand);
  arlu->AddCommandFunction("vtkParametricFigure8Klein",vtkParametricFigure8KleinCommand);
  arlu->AddCommandFunction("vtkParametricKlein",vtkParametricKleinCommand);
  arlu->AddCommandFunction("vtkParametricMobius",vtkParametricMobiusCommand);
  arlu->AddCommandFunction("vtkParametricRandomHills",vtkParametricRandomHillsCommand);
  arlu->AddCommandFunction("vtkParametricRoman",vtkParametricRomanCommand);
  arlu->AddCommandFunction("vtkParametricSuperEllipsoid",vtkParametricSuperEllipsoidCommand);
  arlu->AddCommandFunction("vtkParametricSuperToroid",vtkParametricSuperToroidCommand);
  arlu->AddCommandFunction("vtkParametricTorus",vtkParametricTorusCommand);
  arlu->AddCommandFunction("vtkPerspectiveTransform",vtkPerspectiveTransformCommand);
  arlu->AddCommandFunction("vtkPlane",vtkPlaneCommand);
  arlu->AddCommandFunction("vtkPlaneCollection",vtkPlaneCollectionCommand);
  arlu->AddCommandFunction("vtkPlanes",vtkPlanesCommand);
  arlu->AddCommandFunction("vtkPoints",vtkPointsCommand);
  arlu->AddCommandFunction("vtkPriorityQueue",vtkPriorityQueueCommand);
  arlu->AddCommandFunction("vtkPropCollection",vtkPropCollectionCommand);
  arlu->AddCommandFunction("vtkProperty2D",vtkProperty2DCommand);
  arlu->AddCommandFunction("vtkQuadric",vtkQuadricCommand);
  arlu->AddCommandFunction("vtkReferenceCount",vtkReferenceCountCommand);
  arlu->AddCommandFunction("vtkRungeKutta2",vtkRungeKutta2Command);
  arlu->AddCommandFunction("vtkRungeKutta4",vtkRungeKutta4Command);
  arlu->AddCommandFunction("vtkRungeKutta45",vtkRungeKutta45Command);
  arlu->AddCommandFunction("vtkShortArray",vtkShortArrayCommand);
  arlu->AddCommandFunction("vtkSignedCharArray",vtkSignedCharArrayCommand);
  arlu->AddCommandFunction("vtkSphericalTransform",vtkSphericalTransformCommand);
  arlu->AddCommandFunction("vtkStringArray",vtkStringArrayCommand);
  arlu->AddCommandFunction("vtkStructuredVisibilityConstraint",vtkStructuredVisibilityConstraintCommand);
  arlu->AddCommandFunction("vtkTableExtentTranslator",vtkTableExtentTranslatorCommand);
  arlu->AddCommandFunction("vtkTensor",vtkTensorCommand);
  arlu->AddCommandFunction("vtkThreadMessager",vtkThreadMessagerCommand);
  arlu->AddCommandFunction("vtkTimerLog",vtkTimerLogCommand);
  arlu->AddCommandFunction("vtkTransform",vtkTransformCommand);
  arlu->AddCommandFunction("vtkTransformCollection",vtkTransformCollectionCommand);
  arlu->AddCommandFunction("vtkUnsignedCharArray",vtkUnsignedCharArrayCommand);
  arlu->AddCommandFunction("vtkUnsignedIntArray",vtkUnsignedIntArrayCommand);
  arlu->AddCommandFunction("vtkUnsignedLongArray",vtkUnsignedLongArrayCommand);
  arlu->AddCommandFunction("vtkUnsignedShortArray",vtkUnsignedShortArrayCommand);
  arlu->AddCommandFunction("vtkVersion",vtkVersionCommand);
  arlu->AddCommandFunction("vtkVoidArray",vtkVoidArrayCommand);
  arlu->AddCommandFunction("vtkWindowLevelLookupTable",vtkWindowLevelLookupTableCommand);
  arlu->AddCommandFunction("vtkXMLFileOutputWindow",vtkXMLFileOutputWindowCommand);
  arlu->AddCommandFunction("vtkLongLongArray",vtkLongLongArrayCommand);
  arlu->AddCommandFunction("vtkUnsignedLongLongArray",vtkUnsignedLongLongArrayCommand);
  arlu->AddCommandFunction("vtkTypeInt8Array",vtkTypeInt8ArrayCommand);
  arlu->AddCommandFunction("vtkTypeInt16Array",vtkTypeInt16ArrayCommand);
  arlu->AddCommandFunction("vtkTypeInt32Array",vtkTypeInt32ArrayCommand);
  arlu->AddCommandFunction("vtkTypeInt64Array",vtkTypeInt64ArrayCommand);
  arlu->AddCommandFunction("vtkTypeUInt8Array",vtkTypeUInt8ArrayCommand);
  arlu->AddCommandFunction("vtkTypeUInt16Array",vtkTypeUInt16ArrayCommand);
  arlu->AddCommandFunction("vtkTypeUInt32Array",vtkTypeUInt32ArrayCommand);
  arlu->AddCommandFunction("vtkTypeUInt64Array",vtkTypeUInt64ArrayCommand);
  arlu->AddCommandFunction("vtkTypeFloat32Array",vtkTypeFloat32ArrayCommand);
  arlu->AddCommandFunction("vtkTypeFloat64Array",vtkTypeFloat64ArrayCommand);

}

static int vtkCommonCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkAmoebaMinimizer",type))
      {
      vtkObjectBase *ptr = vtkAmoebaMinimizerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAnimationCue",type))
      {
      vtkObjectBase *ptr = vtkAnimationCueClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAnimationScene",type))
      {
      vtkObjectBase *ptr = vtkAnimationSceneClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAssemblyNode",type))
      {
      vtkObjectBase *ptr = vtkAssemblyNodeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAssemblyPath",type))
      {
      vtkObjectBase *ptr = vtkAssemblyPathClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAssemblyPaths",type))
      {
      vtkObjectBase *ptr = vtkAssemblyPathsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBitArray",type))
      {
      vtkObjectBase *ptr = vtkBitArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBox",type))
      {
      vtkObjectBase *ptr = vtkBoxClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkByteSwap",type))
      {
      vtkObjectBase *ptr = vtkByteSwapClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCharArray",type))
      {
      vtkObjectBase *ptr = vtkCharArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCollection",type))
      {
      vtkObjectBase *ptr = vtkCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCollectionIterator",type))
      {
      vtkObjectBase *ptr = vtkCollectionIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkContourValues",type))
      {
      vtkObjectBase *ptr = vtkContourValuesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCriticalSection",type))
      {
      vtkObjectBase *ptr = vtkCriticalSectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCylindricalTransform",type))
      {
      vtkObjectBase *ptr = vtkCylindricalTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataArrayCollection",type))
      {
      vtkObjectBase *ptr = vtkDataArrayCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataArrayCollectionIterator",type))
      {
      vtkObjectBase *ptr = vtkDataArrayCollectionIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataArraySelection",type))
      {
      vtkObjectBase *ptr = vtkDataArraySelectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDebugLeaks",type))
      {
      vtkObjectBase *ptr = vtkDebugLeaksClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDirectory",type))
      {
      vtkObjectBase *ptr = vtkDirectoryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDoubleArray",type))
      {
      vtkObjectBase *ptr = vtkDoubleArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDynamicLoader",type))
      {
      vtkObjectBase *ptr = vtkDynamicLoaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEdgeTable",type))
      {
      vtkObjectBase *ptr = vtkEdgeTableClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtentSplitter",type))
      {
      vtkObjectBase *ptr = vtkExtentSplitterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtentTranslator",type))
      {
      vtkObjectBase *ptr = vtkExtentTranslatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFastNumericConversion",type))
      {
      vtkObjectBase *ptr = vtkFastNumericConversionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFileOutputWindow",type))
      {
      vtkObjectBase *ptr = vtkFileOutputWindowClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFloatArray",type))
      {
      vtkObjectBase *ptr = vtkFloatArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFunctionParser",type))
      {
      vtkObjectBase *ptr = vtkFunctionParserClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGarbageCollector",type))
      {
      vtkObjectBase *ptr = vtkGarbageCollectorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGeneralTransform",type))
      {
      vtkObjectBase *ptr = vtkGeneralTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHeap",type))
      {
      vtkObjectBase *ptr = vtkHeapClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIdList",type))
      {
      vtkObjectBase *ptr = vtkIdListClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIdListCollection",type))
      {
      vtkObjectBase *ptr = vtkIdListCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIdTypeArray",type))
      {
      vtkObjectBase *ptr = vtkIdTypeArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIdentityTransform",type))
      {
      vtkObjectBase *ptr = vtkIdentityTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitFunctionCollection",type))
      {
      vtkObjectBase *ptr = vtkImplicitFunctionCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInstantiator",type))
      {
      vtkObjectBase *ptr = vtkInstantiatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIntArray",type))
      {
      vtkObjectBase *ptr = vtkIntArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLogLookupTable",type))
      {
      vtkObjectBase *ptr = vtkLogLookupTableClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLongArray",type))
      {
      vtkObjectBase *ptr = vtkLongArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLookupTable",type))
      {
      vtkObjectBase *ptr = vtkLookupTableClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMath",type))
      {
      vtkObjectBase *ptr = vtkMathClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMatrix4x4",type))
      {
      vtkObjectBase *ptr = vtkMatrix4x4ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMatrixToHomogeneousTransform",type))
      {
      vtkObjectBase *ptr = vtkMatrixToHomogeneousTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMatrixToLinearTransform",type))
      {
      vtkObjectBase *ptr = vtkMatrixToLinearTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiPartExtentTranslator",type))
      {
      vtkObjectBase *ptr = vtkMultiPartExtentTranslatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiThreader",type))
      {
      vtkObjectBase *ptr = vtkMultiThreaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMutexLock",type))
      {
      vtkObjectBase *ptr = vtkMutexLockClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkObject",type))
      {
      vtkObjectBase *ptr = vtkObjectClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkObjectFactoryCollection",type))
      {
      vtkObjectBase *ptr = vtkObjectFactoryCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOutputWindow",type))
      {
      vtkObjectBase *ptr = vtkOutputWindowClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricBoy",type))
      {
      vtkObjectBase *ptr = vtkParametricBoyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricConicSpiral",type))
      {
      vtkObjectBase *ptr = vtkParametricConicSpiralClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricCrossCap",type))
      {
      vtkObjectBase *ptr = vtkParametricCrossCapClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricDini",type))
      {
      vtkObjectBase *ptr = vtkParametricDiniClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricEllipsoid",type))
      {
      vtkObjectBase *ptr = vtkParametricEllipsoidClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricEnneper",type))
      {
      vtkObjectBase *ptr = vtkParametricEnneperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricFigure8Klein",type))
      {
      vtkObjectBase *ptr = vtkParametricFigure8KleinClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricKlein",type))
      {
      vtkObjectBase *ptr = vtkParametricKleinClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricMobius",type))
      {
      vtkObjectBase *ptr = vtkParametricMobiusClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricRandomHills",type))
      {
      vtkObjectBase *ptr = vtkParametricRandomHillsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricRoman",type))
      {
      vtkObjectBase *ptr = vtkParametricRomanClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricSuperEllipsoid",type))
      {
      vtkObjectBase *ptr = vtkParametricSuperEllipsoidClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricSuperToroid",type))
      {
      vtkObjectBase *ptr = vtkParametricSuperToroidClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricTorus",type))
      {
      vtkObjectBase *ptr = vtkParametricTorusClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPerspectiveTransform",type))
      {
      vtkObjectBase *ptr = vtkPerspectiveTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlane",type))
      {
      vtkObjectBase *ptr = vtkPlaneClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlaneCollection",type))
      {
      vtkObjectBase *ptr = vtkPlaneCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlanes",type))
      {
      vtkObjectBase *ptr = vtkPlanesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPoints",type))
      {
      vtkObjectBase *ptr = vtkPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPriorityQueue",type))
      {
      vtkObjectBase *ptr = vtkPriorityQueueClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPropCollection",type))
      {
      vtkObjectBase *ptr = vtkPropCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProperty2D",type))
      {
      vtkObjectBase *ptr = vtkProperty2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadric",type))
      {
      vtkObjectBase *ptr = vtkQuadricClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkReferenceCount",type))
      {
      vtkObjectBase *ptr = vtkReferenceCountClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRungeKutta2",type))
      {
      vtkObjectBase *ptr = vtkRungeKutta2ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRungeKutta4",type))
      {
      vtkObjectBase *ptr = vtkRungeKutta4ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRungeKutta45",type))
      {
      vtkObjectBase *ptr = vtkRungeKutta45ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkShortArray",type))
      {
      vtkObjectBase *ptr = vtkShortArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSignedCharArray",type))
      {
      vtkObjectBase *ptr = vtkSignedCharArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSphericalTransform",type))
      {
      vtkObjectBase *ptr = vtkSphericalTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStringArray",type))
      {
      vtkObjectBase *ptr = vtkStringArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredVisibilityConstraint",type))
      {
      vtkObjectBase *ptr = vtkStructuredVisibilityConstraintClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTableExtentTranslator",type))
      {
      vtkObjectBase *ptr = vtkTableExtentTranslatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTensor",type))
      {
      vtkObjectBase *ptr = vtkTensorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkThreadMessager",type))
      {
      vtkObjectBase *ptr = vtkThreadMessagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTimerLog",type))
      {
      vtkObjectBase *ptr = vtkTimerLogClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransform",type))
      {
      vtkObjectBase *ptr = vtkTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransformCollection",type))
      {
      vtkObjectBase *ptr = vtkTransformCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnsignedCharArray",type))
      {
      vtkObjectBase *ptr = vtkUnsignedCharArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnsignedIntArray",type))
      {
      vtkObjectBase *ptr = vtkUnsignedIntArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnsignedLongArray",type))
      {
      vtkObjectBase *ptr = vtkUnsignedLongArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnsignedShortArray",type))
      {
      vtkObjectBase *ptr = vtkUnsignedShortArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVersion",type))
      {
      vtkObjectBase *ptr = vtkVersionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVoidArray",type))
      {
      vtkObjectBase *ptr = vtkVoidArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWindowLevelLookupTable",type))
      {
      vtkObjectBase *ptr = vtkWindowLevelLookupTableClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLFileOutputWindow",type))
      {
      vtkObjectBase *ptr = vtkXMLFileOutputWindowClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLongLongArray",type))
      {
      vtkObjectBase *ptr = vtkLongLongArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnsignedLongLongArray",type))
      {
      vtkObjectBase *ptr = vtkUnsignedLongLongArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeInt8Array",type))
      {
      vtkObjectBase *ptr = vtkTypeInt8ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeInt16Array",type))
      {
      vtkObjectBase *ptr = vtkTypeInt16ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeInt32Array",type))
      {
      vtkObjectBase *ptr = vtkTypeInt32ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeInt64Array",type))
      {
      vtkObjectBase *ptr = vtkTypeInt64ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeUInt8Array",type))
      {
      vtkObjectBase *ptr = vtkTypeUInt8ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeUInt16Array",type))
      {
      vtkObjectBase *ptr = vtkTypeUInt16ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeUInt32Array",type))
      {
      vtkObjectBase *ptr = vtkTypeUInt32ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeUInt64Array",type))
      {
      vtkObjectBase *ptr = vtkTypeUInt64ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeFloat32Array",type))
      {
      vtkObjectBase *ptr = vtkTypeFloat32ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTypeFloat64Array",type))
      {
      vtkObjectBase *ptr = vtkTypeFloat64ArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
