#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkFilteringCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkActor2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkActor2DClientServerNewCommand();
int vtkActor2DCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkActor2DCollectionClientServerNewCommand();
int vtkAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAlgorithmClientServerNewCommand();
int vtkAlgorithmOutputCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAlgorithmOutputClientServerNewCommand();
int vtkCachedStreamingDemandDrivenPipelineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCachedStreamingDemandDrivenPipelineClientServerNewCommand();
int vtkCardinalSplineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCardinalSplineClientServerNewCommand();
int vtkCastToConcreteCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCastToConcreteClientServerNewCommand();
int vtkCellArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellArrayClientServerNewCommand();
int vtkCellDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellDataClientServerNewCommand();
int vtkCellLinksCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellLinksClientServerNewCommand();
int vtkCellLocatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellLocatorClientServerNewCommand();
int vtkCellTypesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellTypesClientServerNewCommand();
int vtkColorTransferFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkColorTransferFunctionClientServerNewCommand();
int vtkCompositeDataPipelineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCompositeDataPipelineClientServerNewCommand();
int vtkConeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkConeClientServerNewCommand();
int vtkConvexPointSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkConvexPointSetClientServerNewCommand();
int vtkCoordinateCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCoordinateClientServerNewCommand();
int vtkCylinderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCylinderClientServerNewCommand();
int vtkDataObjectCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataObjectClientServerNewCommand();
int vtkDataObjectAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataObjectAlgorithmClientServerNewCommand();
int vtkDataObjectCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataObjectCollectionClientServerNewCommand();
int vtkDataSetAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetAlgorithmClientServerNewCommand();
int vtkDataSetAttributesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetAttributesClientServerNewCommand();
int vtkDataSetCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetCollectionClientServerNewCommand();
int vtkDemandDrivenPipelineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDemandDrivenPipelineClientServerNewCommand();
int vtkEmptyCellCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEmptyCellClientServerNewCommand();
int vtkFieldDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFieldDataClientServerNewCommand();
int vtkGenericAttributeCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericAttributeCollectionClientServerNewCommand();
int vtkGenericCellCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericCellClientServerNewCommand();
int vtkSimpleCellTessellatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSimpleCellTessellatorClientServerNewCommand();
int vtkGenericEdgeTableCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericEdgeTableClientServerNewCommand();
int vtkGeometricErrorMetricCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGeometricErrorMetricClientServerNewCommand();
int vtkAttributesErrorMetricCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAttributesErrorMetricClientServerNewCommand();
int vtkHexagonalPrismCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHexagonalPrismClientServerNewCommand();
int vtkHexahedronCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHexahedronClientServerNewCommand();
int vtkHierarchicalDataInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataInformationClientServerNewCommand();
int vtkHierarchicalBoxDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalBoxDataSetClientServerNewCommand();
int vtkHierarchicalDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataSetClientServerNewCommand();
int vtkHyperOctreeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeClientServerNewCommand();
int vtkImageDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDataClientServerNewCommand();
int vtkImageToStructuredPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageToStructuredPointsClientServerNewCommand();
int vtkImplicitBooleanCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitBooleanClientServerNewCommand();
int vtkImplicitDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitDataSetClientServerNewCommand();
int vtkImplicitSelectionLoopCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitSelectionLoopClientServerNewCommand();
int vtkImplicitSumCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitSumClientServerNewCommand();
int vtkImplicitVolumeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitVolumeClientServerNewCommand();
int vtkImplicitWindowFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitWindowFunctionClientServerNewCommand();
int vtkInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInformationClientServerNewCommand();
int vtkInformationVectorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInformationVectorClientServerNewCommand();
int vtkInterpolatedVelocityFieldCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInterpolatedVelocityFieldClientServerNewCommand();
int vtkKochanekSplineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkKochanekSplineClientServerNewCommand();
int vtkLineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLineClientServerNewCommand();
int vtkMergePointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMergePointsClientServerNewCommand();
int vtkMultiBlockDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiBlockDataSetClientServerNewCommand();
int vtkMultiBlockDataSetAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiBlockDataSetAlgorithmClientServerNewCommand();
int vtkMultiGroupDataInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataInformationClientServerNewCommand();
int vtkMultiGroupDataIteratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataIteratorClientServerNewCommand();
int vtkMultiGroupDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataSetClientServerNewCommand();
int vtkOrderedTriangulatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOrderedTriangulatorClientServerNewCommand();
int vtkParametricSplineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricSplineClientServerNewCommand();
int vtkPentagonalPrismCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPentagonalPrismClientServerNewCommand();
int vtkPerlinNoiseCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPerlinNoiseClientServerNewCommand();
int vtkPiecewiseFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPiecewiseFunctionClientServerNewCommand();
int vtkPiecewiseFunctionAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPiecewiseFunctionAlgorithmClientServerNewCommand();
int vtkPiecewiseFunctionShiftScaleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPiecewiseFunctionShiftScaleClientServerNewCommand();
int vtkPixelCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPixelClientServerNewCommand();
int vtkPointDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointDataClientServerNewCommand();
int vtkPointLocatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointLocatorClientServerNewCommand();
int vtkPointSetAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointSetAlgorithmClientServerNewCommand();
int vtkPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataClientServerNewCommand();
int vtkPolyDataAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataAlgorithmClientServerNewCommand();
int vtkPolyDataCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataCollectionClientServerNewCommand();
int vtkPolyLineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyLineClientServerNewCommand();
int vtkPolyVertexCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyVertexClientServerNewCommand();
int vtkPolygonCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolygonClientServerNewCommand();
int vtkPropAssemblyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPropAssemblyClientServerNewCommand();
int vtkPyramidCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPyramidClientServerNewCommand();
int vtkQuadCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadClientServerNewCommand();
int vtkQuadraticEdgeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticEdgeClientServerNewCommand();
int vtkQuadraticHexahedronCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticHexahedronClientServerNewCommand();
int vtkQuadraticPyramidCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticPyramidClientServerNewCommand();
int vtkQuadraticQuadCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticQuadClientServerNewCommand();
int vtkQuadraticTetraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticTetraClientServerNewCommand();
int vtkQuadraticTriangleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticTriangleClientServerNewCommand();
int vtkQuadraticWedgeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadraticWedgeClientServerNewCommand();
int vtkRectilinearGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridClientServerNewCommand();
int vtkRectilinearGridAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridAlgorithmClientServerNewCommand();
int vtkSimpleScalarTreeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSimpleScalarTreeClientServerNewCommand();
int vtkSmoothErrorMetricCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSmoothErrorMetricClientServerNewCommand();
int vtkSphereCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSphereClientServerNewCommand();
int vtkStreamingDemandDrivenPipelineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStreamingDemandDrivenPipelineClientServerNewCommand();
int vtkStructuredGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridClientServerNewCommand();
int vtkStructuredGridAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridAlgorithmClientServerNewCommand();
int vtkStructuredPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredPointsClientServerNewCommand();
int vtkStructuredPointsCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredPointsCollectionClientServerNewCommand();
int vtkSuperquadricCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSuperquadricClientServerNewCommand();
int vtkTetraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTetraClientServerNewCommand();
int vtkTriangleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTriangleClientServerNewCommand();
int vtkTriangleStripCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTriangleStripClientServerNewCommand();
int vtkTrivialProducerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTrivialProducerClientServerNewCommand();
int vtkUniformGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUniformGridClientServerNewCommand();
int vtkUnstructuredGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridClientServerNewCommand();
int vtkUnstructuredGridAlgorithmCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridAlgorithmClientServerNewCommand();
int vtkVertexCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVertexClientServerNewCommand();
int vtkViewDependentErrorMetricCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkViewDependentErrorMetricClientServerNewCommand();
int vtkVoxelCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVoxelClientServerNewCommand();
int vtkWedgeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWedgeClientServerNewCommand();
int vtkGenericInterpolatedVelocityFieldCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericInterpolatedVelocityFieldClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkFilteringCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkFilteringCS_NewInstance);

    arlu->AddCommandFunction("vtkActor2D",vtkActor2DCommand);
  arlu->AddCommandFunction("vtkActor2DCollection",vtkActor2DCollectionCommand);
  arlu->AddCommandFunction("vtkAlgorithm",vtkAlgorithmCommand);
  arlu->AddCommandFunction("vtkAlgorithmOutput",vtkAlgorithmOutputCommand);
  arlu->AddCommandFunction("vtkCachedStreamingDemandDrivenPipeline",vtkCachedStreamingDemandDrivenPipelineCommand);
  arlu->AddCommandFunction("vtkCardinalSpline",vtkCardinalSplineCommand);
  arlu->AddCommandFunction("vtkCastToConcrete",vtkCastToConcreteCommand);
  arlu->AddCommandFunction("vtkCellArray",vtkCellArrayCommand);
  arlu->AddCommandFunction("vtkCellData",vtkCellDataCommand);
  arlu->AddCommandFunction("vtkCellLinks",vtkCellLinksCommand);
  arlu->AddCommandFunction("vtkCellLocator",vtkCellLocatorCommand);
  arlu->AddCommandFunction("vtkCellTypes",vtkCellTypesCommand);
  arlu->AddCommandFunction("vtkColorTransferFunction",vtkColorTransferFunctionCommand);
  arlu->AddCommandFunction("vtkCompositeDataPipeline",vtkCompositeDataPipelineCommand);
  arlu->AddCommandFunction("vtkCone",vtkConeCommand);
  arlu->AddCommandFunction("vtkConvexPointSet",vtkConvexPointSetCommand);
  arlu->AddCommandFunction("vtkCoordinate",vtkCoordinateCommand);
  arlu->AddCommandFunction("vtkCylinder",vtkCylinderCommand);
  arlu->AddCommandFunction("vtkDataObject",vtkDataObjectCommand);
  arlu->AddCommandFunction("vtkDataObjectAlgorithm",vtkDataObjectAlgorithmCommand);
  arlu->AddCommandFunction("vtkDataObjectCollection",vtkDataObjectCollectionCommand);
  arlu->AddCommandFunction("vtkDataSetAlgorithm",vtkDataSetAlgorithmCommand);
  arlu->AddCommandFunction("vtkDataSetAttributes",vtkDataSetAttributesCommand);
  arlu->AddCommandFunction("vtkDataSetCollection",vtkDataSetCollectionCommand);
  arlu->AddCommandFunction("vtkDemandDrivenPipeline",vtkDemandDrivenPipelineCommand);
  arlu->AddCommandFunction("vtkEmptyCell",vtkEmptyCellCommand);
  arlu->AddCommandFunction("vtkFieldData",vtkFieldDataCommand);
  arlu->AddCommandFunction("vtkGenericAttributeCollection",vtkGenericAttributeCollectionCommand);
  arlu->AddCommandFunction("vtkGenericCell",vtkGenericCellCommand);
  arlu->AddCommandFunction("vtkSimpleCellTessellator",vtkSimpleCellTessellatorCommand);
  arlu->AddCommandFunction("vtkGenericEdgeTable",vtkGenericEdgeTableCommand);
  arlu->AddCommandFunction("vtkGeometricErrorMetric",vtkGeometricErrorMetricCommand);
  arlu->AddCommandFunction("vtkAttributesErrorMetric",vtkAttributesErrorMetricCommand);
  arlu->AddCommandFunction("vtkHexagonalPrism",vtkHexagonalPrismCommand);
  arlu->AddCommandFunction("vtkHexahedron",vtkHexahedronCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataInformation",vtkHierarchicalDataInformationCommand);
  arlu->AddCommandFunction("vtkHierarchicalBoxDataSet",vtkHierarchicalBoxDataSetCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataSet",vtkHierarchicalDataSetCommand);
  arlu->AddCommandFunction("vtkHyperOctree",vtkHyperOctreeCommand);
  arlu->AddCommandFunction("vtkImageData",vtkImageDataCommand);
  arlu->AddCommandFunction("vtkImageToStructuredPoints",vtkImageToStructuredPointsCommand);
  arlu->AddCommandFunction("vtkImplicitBoolean",vtkImplicitBooleanCommand);
  arlu->AddCommandFunction("vtkImplicitDataSet",vtkImplicitDataSetCommand);
  arlu->AddCommandFunction("vtkImplicitSelectionLoop",vtkImplicitSelectionLoopCommand);
  arlu->AddCommandFunction("vtkImplicitSum",vtkImplicitSumCommand);
  arlu->AddCommandFunction("vtkImplicitVolume",vtkImplicitVolumeCommand);
  arlu->AddCommandFunction("vtkImplicitWindowFunction",vtkImplicitWindowFunctionCommand);
  arlu->AddCommandFunction("vtkInformation",vtkInformationCommand);
  arlu->AddCommandFunction("vtkInformationVector",vtkInformationVectorCommand);
  arlu->AddCommandFunction("vtkInterpolatedVelocityField",vtkInterpolatedVelocityFieldCommand);
  arlu->AddCommandFunction("vtkKochanekSpline",vtkKochanekSplineCommand);
  arlu->AddCommandFunction("vtkLine",vtkLineCommand);
  arlu->AddCommandFunction("vtkMergePoints",vtkMergePointsCommand);
  arlu->AddCommandFunction("vtkMultiBlockDataSet",vtkMultiBlockDataSetCommand);
  arlu->AddCommandFunction("vtkMultiBlockDataSetAlgorithm",vtkMultiBlockDataSetAlgorithmCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataInformation",vtkMultiGroupDataInformationCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataIterator",vtkMultiGroupDataIteratorCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataSet",vtkMultiGroupDataSetCommand);
  arlu->AddCommandFunction("vtkOrderedTriangulator",vtkOrderedTriangulatorCommand);
  arlu->AddCommandFunction("vtkParametricSpline",vtkParametricSplineCommand);
  arlu->AddCommandFunction("vtkPentagonalPrism",vtkPentagonalPrismCommand);
  arlu->AddCommandFunction("vtkPerlinNoise",vtkPerlinNoiseCommand);
  arlu->AddCommandFunction("vtkPiecewiseFunction",vtkPiecewiseFunctionCommand);
  arlu->AddCommandFunction("vtkPiecewiseFunctionAlgorithm",vtkPiecewiseFunctionAlgorithmCommand);
  arlu->AddCommandFunction("vtkPiecewiseFunctionShiftScale",vtkPiecewiseFunctionShiftScaleCommand);
  arlu->AddCommandFunction("vtkPixel",vtkPixelCommand);
  arlu->AddCommandFunction("vtkPointData",vtkPointDataCommand);
  arlu->AddCommandFunction("vtkPointLocator",vtkPointLocatorCommand);
  arlu->AddCommandFunction("vtkPointSetAlgorithm",vtkPointSetAlgorithmCommand);
  arlu->AddCommandFunction("vtkPolyData",vtkPolyDataCommand);
  arlu->AddCommandFunction("vtkPolyDataAlgorithm",vtkPolyDataAlgorithmCommand);
  arlu->AddCommandFunction("vtkPolyDataCollection",vtkPolyDataCollectionCommand);
  arlu->AddCommandFunction("vtkPolyLine",vtkPolyLineCommand);
  arlu->AddCommandFunction("vtkPolyVertex",vtkPolyVertexCommand);
  arlu->AddCommandFunction("vtkPolygon",vtkPolygonCommand);
  arlu->AddCommandFunction("vtkPropAssembly",vtkPropAssemblyCommand);
  arlu->AddCommandFunction("vtkPyramid",vtkPyramidCommand);
  arlu->AddCommandFunction("vtkQuad",vtkQuadCommand);
  arlu->AddCommandFunction("vtkQuadraticEdge",vtkQuadraticEdgeCommand);
  arlu->AddCommandFunction("vtkQuadraticHexahedron",vtkQuadraticHexahedronCommand);
  arlu->AddCommandFunction("vtkQuadraticPyramid",vtkQuadraticPyramidCommand);
  arlu->AddCommandFunction("vtkQuadraticQuad",vtkQuadraticQuadCommand);
  arlu->AddCommandFunction("vtkQuadraticTetra",vtkQuadraticTetraCommand);
  arlu->AddCommandFunction("vtkQuadraticTriangle",vtkQuadraticTriangleCommand);
  arlu->AddCommandFunction("vtkQuadraticWedge",vtkQuadraticWedgeCommand);
  arlu->AddCommandFunction("vtkRectilinearGrid",vtkRectilinearGridCommand);
  arlu->AddCommandFunction("vtkRectilinearGridAlgorithm",vtkRectilinearGridAlgorithmCommand);
  arlu->AddCommandFunction("vtkSimpleScalarTree",vtkSimpleScalarTreeCommand);
  arlu->AddCommandFunction("vtkSmoothErrorMetric",vtkSmoothErrorMetricCommand);
  arlu->AddCommandFunction("vtkSphere",vtkSphereCommand);
  arlu->AddCommandFunction("vtkStreamingDemandDrivenPipeline",vtkStreamingDemandDrivenPipelineCommand);
  arlu->AddCommandFunction("vtkStructuredGrid",vtkStructuredGridCommand);
  arlu->AddCommandFunction("vtkStructuredGridAlgorithm",vtkStructuredGridAlgorithmCommand);
  arlu->AddCommandFunction("vtkStructuredPoints",vtkStructuredPointsCommand);
  arlu->AddCommandFunction("vtkStructuredPointsCollection",vtkStructuredPointsCollectionCommand);
  arlu->AddCommandFunction("vtkSuperquadric",vtkSuperquadricCommand);
  arlu->AddCommandFunction("vtkTetra",vtkTetraCommand);
  arlu->AddCommandFunction("vtkTriangle",vtkTriangleCommand);
  arlu->AddCommandFunction("vtkTriangleStrip",vtkTriangleStripCommand);
  arlu->AddCommandFunction("vtkTrivialProducer",vtkTrivialProducerCommand);
  arlu->AddCommandFunction("vtkUniformGrid",vtkUniformGridCommand);
  arlu->AddCommandFunction("vtkUnstructuredGrid",vtkUnstructuredGridCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridAlgorithm",vtkUnstructuredGridAlgorithmCommand);
  arlu->AddCommandFunction("vtkVertex",vtkVertexCommand);
  arlu->AddCommandFunction("vtkViewDependentErrorMetric",vtkViewDependentErrorMetricCommand);
  arlu->AddCommandFunction("vtkVoxel",vtkVoxelCommand);
  arlu->AddCommandFunction("vtkWedge",vtkWedgeCommand);
  arlu->AddCommandFunction("vtkGenericInterpolatedVelocityField",vtkGenericInterpolatedVelocityFieldCommand);

}

static int vtkFilteringCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkActor2D",type))
      {
      vtkObjectBase *ptr = vtkActor2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkActor2DCollection",type))
      {
      vtkObjectBase *ptr = vtkActor2DCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAlgorithmOutput",type))
      {
      vtkObjectBase *ptr = vtkAlgorithmOutputClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCachedStreamingDemandDrivenPipeline",type))
      {
      vtkObjectBase *ptr = vtkCachedStreamingDemandDrivenPipelineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCardinalSpline",type))
      {
      vtkObjectBase *ptr = vtkCardinalSplineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCastToConcrete",type))
      {
      vtkObjectBase *ptr = vtkCastToConcreteClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellArray",type))
      {
      vtkObjectBase *ptr = vtkCellArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellData",type))
      {
      vtkObjectBase *ptr = vtkCellDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellLinks",type))
      {
      vtkObjectBase *ptr = vtkCellLinksClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellLocator",type))
      {
      vtkObjectBase *ptr = vtkCellLocatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellTypes",type))
      {
      vtkObjectBase *ptr = vtkCellTypesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkColorTransferFunction",type))
      {
      vtkObjectBase *ptr = vtkColorTransferFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCompositeDataPipeline",type))
      {
      vtkObjectBase *ptr = vtkCompositeDataPipelineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCone",type))
      {
      vtkObjectBase *ptr = vtkConeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkConvexPointSet",type))
      {
      vtkObjectBase *ptr = vtkConvexPointSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCoordinate",type))
      {
      vtkObjectBase *ptr = vtkCoordinateClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCylinder",type))
      {
      vtkObjectBase *ptr = vtkCylinderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataObject",type))
      {
      vtkObjectBase *ptr = vtkDataObjectClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataObjectAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkDataObjectAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataObjectCollection",type))
      {
      vtkObjectBase *ptr = vtkDataObjectCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkDataSetAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetAttributes",type))
      {
      vtkObjectBase *ptr = vtkDataSetAttributesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetCollection",type))
      {
      vtkObjectBase *ptr = vtkDataSetCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDemandDrivenPipeline",type))
      {
      vtkObjectBase *ptr = vtkDemandDrivenPipelineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEmptyCell",type))
      {
      vtkObjectBase *ptr = vtkEmptyCellClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFieldData",type))
      {
      vtkObjectBase *ptr = vtkFieldDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericAttributeCollection",type))
      {
      vtkObjectBase *ptr = vtkGenericAttributeCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericCell",type))
      {
      vtkObjectBase *ptr = vtkGenericCellClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSimpleCellTessellator",type))
      {
      vtkObjectBase *ptr = vtkSimpleCellTessellatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericEdgeTable",type))
      {
      vtkObjectBase *ptr = vtkGenericEdgeTableClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGeometricErrorMetric",type))
      {
      vtkObjectBase *ptr = vtkGeometricErrorMetricClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAttributesErrorMetric",type))
      {
      vtkObjectBase *ptr = vtkAttributesErrorMetricClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHexagonalPrism",type))
      {
      vtkObjectBase *ptr = vtkHexagonalPrismClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHexahedron",type))
      {
      vtkObjectBase *ptr = vtkHexahedronClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataInformation",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalBoxDataSet",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalBoxDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataSet",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctree",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageData",type))
      {
      vtkObjectBase *ptr = vtkImageDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageToStructuredPoints",type))
      {
      vtkObjectBase *ptr = vtkImageToStructuredPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitBoolean",type))
      {
      vtkObjectBase *ptr = vtkImplicitBooleanClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitDataSet",type))
      {
      vtkObjectBase *ptr = vtkImplicitDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitSelectionLoop",type))
      {
      vtkObjectBase *ptr = vtkImplicitSelectionLoopClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitSum",type))
      {
      vtkObjectBase *ptr = vtkImplicitSumClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitVolume",type))
      {
      vtkObjectBase *ptr = vtkImplicitVolumeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitWindowFunction",type))
      {
      vtkObjectBase *ptr = vtkImplicitWindowFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInformation",type))
      {
      vtkObjectBase *ptr = vtkInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInformationVector",type))
      {
      vtkObjectBase *ptr = vtkInformationVectorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInterpolatedVelocityField",type))
      {
      vtkObjectBase *ptr = vtkInterpolatedVelocityFieldClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkKochanekSpline",type))
      {
      vtkObjectBase *ptr = vtkKochanekSplineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLine",type))
      {
      vtkObjectBase *ptr = vtkLineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMergePoints",type))
      {
      vtkObjectBase *ptr = vtkMergePointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiBlockDataSet",type))
      {
      vtkObjectBase *ptr = vtkMultiBlockDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiBlockDataSetAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkMultiBlockDataSetAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataInformation",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataIterator",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataIteratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataSet",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOrderedTriangulator",type))
      {
      vtkObjectBase *ptr = vtkOrderedTriangulatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricSpline",type))
      {
      vtkObjectBase *ptr = vtkParametricSplineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPentagonalPrism",type))
      {
      vtkObjectBase *ptr = vtkPentagonalPrismClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPerlinNoise",type))
      {
      vtkObjectBase *ptr = vtkPerlinNoiseClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPiecewiseFunction",type))
      {
      vtkObjectBase *ptr = vtkPiecewiseFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPiecewiseFunctionAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkPiecewiseFunctionAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPiecewiseFunctionShiftScale",type))
      {
      vtkObjectBase *ptr = vtkPiecewiseFunctionShiftScaleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPixel",type))
      {
      vtkObjectBase *ptr = vtkPixelClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointData",type))
      {
      vtkObjectBase *ptr = vtkPointDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointLocator",type))
      {
      vtkObjectBase *ptr = vtkPointLocatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointSetAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkPointSetAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyData",type))
      {
      vtkObjectBase *ptr = vtkPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkPolyDataAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataCollection",type))
      {
      vtkObjectBase *ptr = vtkPolyDataCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyLine",type))
      {
      vtkObjectBase *ptr = vtkPolyLineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyVertex",type))
      {
      vtkObjectBase *ptr = vtkPolyVertexClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolygon",type))
      {
      vtkObjectBase *ptr = vtkPolygonClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPropAssembly",type))
      {
      vtkObjectBase *ptr = vtkPropAssemblyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPyramid",type))
      {
      vtkObjectBase *ptr = vtkPyramidClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuad",type))
      {
      vtkObjectBase *ptr = vtkQuadClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticEdge",type))
      {
      vtkObjectBase *ptr = vtkQuadraticEdgeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticHexahedron",type))
      {
      vtkObjectBase *ptr = vtkQuadraticHexahedronClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticPyramid",type))
      {
      vtkObjectBase *ptr = vtkQuadraticPyramidClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticQuad",type))
      {
      vtkObjectBase *ptr = vtkQuadraticQuadClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticTetra",type))
      {
      vtkObjectBase *ptr = vtkQuadraticTetraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticTriangle",type))
      {
      vtkObjectBase *ptr = vtkQuadraticTriangleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadraticWedge",type))
      {
      vtkObjectBase *ptr = vtkQuadraticWedgeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGrid",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSimpleScalarTree",type))
      {
      vtkObjectBase *ptr = vtkSimpleScalarTreeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSmoothErrorMetric",type))
      {
      vtkObjectBase *ptr = vtkSmoothErrorMetricClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSphere",type))
      {
      vtkObjectBase *ptr = vtkSphereClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStreamingDemandDrivenPipeline",type))
      {
      vtkObjectBase *ptr = vtkStreamingDemandDrivenPipelineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGrid",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGridAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredPoints",type))
      {
      vtkObjectBase *ptr = vtkStructuredPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredPointsCollection",type))
      {
      vtkObjectBase *ptr = vtkStructuredPointsCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSuperquadric",type))
      {
      vtkObjectBase *ptr = vtkSuperquadricClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTetra",type))
      {
      vtkObjectBase *ptr = vtkTetraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTriangle",type))
      {
      vtkObjectBase *ptr = vtkTriangleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTriangleStrip",type))
      {
      vtkObjectBase *ptr = vtkTriangleStripClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTrivialProducer",type))
      {
      vtkObjectBase *ptr = vtkTrivialProducerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUniformGrid",type))
      {
      vtkObjectBase *ptr = vtkUniformGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGrid",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridAlgorithm",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridAlgorithmClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVertex",type))
      {
      vtkObjectBase *ptr = vtkVertexClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkViewDependentErrorMetric",type))
      {
      vtkObjectBase *ptr = vtkViewDependentErrorMetricClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVoxel",type))
      {
      vtkObjectBase *ptr = vtkVoxelClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWedge",type))
      {
      vtkObjectBase *ptr = vtkWedgeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericInterpolatedVelocityField",type))
      {
      vtkObjectBase *ptr = vtkGenericInterpolatedVelocityFieldClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
