#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkGenericFilteringCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkGenericContourFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericContourFilterClientServerNewCommand();
int vtkGenericGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericGeometryFilterClientServerNewCommand();
int vtkGenericClipCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericClipClientServerNewCommand();
int vtkGenericProbeFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericProbeFilterClientServerNewCommand();
int vtkGenericDataSetTessellatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericDataSetTessellatorClientServerNewCommand();
int vtkGenericCutterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericCutterClientServerNewCommand();
int vtkGenericGlyph3DFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericGlyph3DFilterClientServerNewCommand();
int vtkGenericStreamTracerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericStreamTracerClientServerNewCommand();
int vtkGenericOutlineFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericOutlineFilterClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkGenericFilteringCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkGenericFilteringCS_NewInstance);

    arlu->AddCommandFunction("vtkGenericContourFilter",vtkGenericContourFilterCommand);
  arlu->AddCommandFunction("vtkGenericGeometryFilter",vtkGenericGeometryFilterCommand);
  arlu->AddCommandFunction("vtkGenericClip",vtkGenericClipCommand);
  arlu->AddCommandFunction("vtkGenericProbeFilter",vtkGenericProbeFilterCommand);
  arlu->AddCommandFunction("vtkGenericDataSetTessellator",vtkGenericDataSetTessellatorCommand);
  arlu->AddCommandFunction("vtkGenericCutter",vtkGenericCutterCommand);
  arlu->AddCommandFunction("vtkGenericGlyph3DFilter",vtkGenericGlyph3DFilterCommand);
  arlu->AddCommandFunction("vtkGenericStreamTracer",vtkGenericStreamTracerCommand);
  arlu->AddCommandFunction("vtkGenericOutlineFilter",vtkGenericOutlineFilterCommand);

}

static int vtkGenericFilteringCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkGenericContourFilter",type))
      {
      vtkObjectBase *ptr = vtkGenericContourFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkGenericGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericClip",type))
      {
      vtkObjectBase *ptr = vtkGenericClipClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericProbeFilter",type))
      {
      vtkObjectBase *ptr = vtkGenericProbeFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericDataSetTessellator",type))
      {
      vtkObjectBase *ptr = vtkGenericDataSetTessellatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericCutter",type))
      {
      vtkObjectBase *ptr = vtkGenericCutterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericGlyph3DFilter",type))
      {
      vtkObjectBase *ptr = vtkGenericGlyph3DFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericStreamTracer",type))
      {
      vtkObjectBase *ptr = vtkGenericStreamTracerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericOutlineFilter",type))
      {
      vtkObjectBase *ptr = vtkGenericOutlineFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
