#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkGraphicsCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkAppendFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAppendFilterClientServerNewCommand();
int vtkAppendPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAppendPolyDataClientServerNewCommand();
int vtkArrayCalculatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkArrayCalculatorClientServerNewCommand();
int vtkArrowSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkArrowSourceClientServerNewCommand();
int vtkAssignAttributeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAssignAttributeClientServerNewCommand();
int vtkAttributeDataToFieldDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAttributeDataToFieldDataFilterClientServerNewCommand();
int vtkAxesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAxesClientServerNewCommand();
int vtkBandedPolyDataContourFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBandedPolyDataContourFilterClientServerNewCommand();
int vtkBlankStructuredGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBlankStructuredGridClientServerNewCommand();
int vtkBlankStructuredGridWithImageCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBlankStructuredGridWithImageClientServerNewCommand();
int vtkBoxClipDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBoxClipDataSetClientServerNewCommand();
int vtkBrownianPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBrownianPointsClientServerNewCommand();
int vtkButterflySubdivisionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkButterflySubdivisionFilterClientServerNewCommand();
int vtkBSPCutsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBSPCutsClientServerNewCommand();
int vtkBSPIntersectionsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBSPIntersectionsClientServerNewCommand();
int vtkCellCentersCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellCentersClientServerNewCommand();
int vtkCellDataToPointDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellDataToPointDataClientServerNewCommand();
int vtkCellDerivativesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellDerivativesClientServerNewCommand();
int vtkCleanPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCleanPolyDataClientServerNewCommand();
int vtkClipDataSetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkClipDataSetClientServerNewCommand();
int vtkClipHyperOctreeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkClipHyperOctreeClientServerNewCommand();
int vtkClipPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkClipPolyDataClientServerNewCommand();
int vtkClipVolumeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkClipVolumeClientServerNewCommand();
int vtkConeSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkConeSourceClientServerNewCommand();
int vtkConnectivityFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkConnectivityFilterClientServerNewCommand();
int vtkContourFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkContourFilterClientServerNewCommand();
int vtkContourGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkContourGridClientServerNewCommand();
int vtkCubeSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCubeSourceClientServerNewCommand();
int vtkCursor3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCursor3DClientServerNewCommand();
int vtkCutterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCutterClientServerNewCommand();
int vtkCurvaturesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCurvaturesClientServerNewCommand();
int vtkCylinderSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCylinderSourceClientServerNewCommand();
int vtkDashedStreamLineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDashedStreamLineClientServerNewCommand();
int vtkDataObjectToDataSetFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataObjectToDataSetFilterClientServerNewCommand();
int vtkDataSetSurfaceFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetSurfaceFilterClientServerNewCommand();
int vtkDataSetToDataObjectFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetToDataObjectFilterClientServerNewCommand();
int vtkDataSetTriangleFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetTriangleFilterClientServerNewCommand();
int vtkDecimateProCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDecimateProClientServerNewCommand();
int vtkDelaunay2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDelaunay2DClientServerNewCommand();
int vtkDelaunay3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDelaunay3DClientServerNewCommand();
int vtkDiscreteMarchingCubesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDiscreteMarchingCubesClientServerNewCommand();
int vtkDiskSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDiskSourceClientServerNewCommand();
int vtkEdgePointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEdgePointsClientServerNewCommand();
int vtkElevationFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkElevationFilterClientServerNewCommand();
int vtkEllipticalButtonSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEllipticalButtonSourceClientServerNewCommand();
int vtkExtractCellsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractCellsClientServerNewCommand();
int vtkExtractDataOverTimeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractDataOverTimeClientServerNewCommand();
int vtkExtractEdgesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractEdgesClientServerNewCommand();
int vtkExtractGeometryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractGeometryClientServerNewCommand();
int vtkExtractGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractGridClientServerNewCommand();
int vtkExtractPolyDataGeometryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractPolyDataGeometryClientServerNewCommand();
int vtkExtractRectilinearGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractRectilinearGridClientServerNewCommand();
int vtkExtractTensorComponentsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractTensorComponentsClientServerNewCommand();
int vtkExtractUnstructuredGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractUnstructuredGridClientServerNewCommand();
int vtkExtractVectorComponentsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractVectorComponentsClientServerNewCommand();
int vtkFeatureEdgesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFeatureEdgesClientServerNewCommand();
int vtkFieldDataToAttributeDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFieldDataToAttributeDataFilterClientServerNewCommand();
int vtkGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGeometryFilterClientServerNewCommand();
int vtkGlyph2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGlyph2DClientServerNewCommand();
int vtkGlyph3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGlyph3DClientServerNewCommand();
int vtkGlyphSource2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGlyphSource2DClientServerNewCommand();
int vtkGraphLayoutFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGraphLayoutFilterClientServerNewCommand();
int vtkGridSynchronizedTemplates3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGridSynchronizedTemplates3DClientServerNewCommand();
int vtkHierarchicalDataSetGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataSetGeometryFilterClientServerNewCommand();
int vtkHedgeHogCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHedgeHogClientServerNewCommand();
int vtkHierarchicalDataExtractDataSetsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataExtractDataSetsClientServerNewCommand();
int vtkHierarchicalDataExtractLevelCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataExtractLevelClientServerNewCommand();
int vtkHierarchicalDataGroupFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataGroupFilterClientServerNewCommand();
int vtkHierarchicalDataLevelFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalDataLevelFilterClientServerNewCommand();
int vtkHullCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHullClientServerNewCommand();
int vtkHyperOctreeContourFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeContourFilterClientServerNewCommand();
int vtkHyperOctreeCutterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeCutterClientServerNewCommand();
int vtkHyperOctreeClipCutPointsGrabberCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeClipCutPointsGrabberClientServerNewCommand();
int vtkHyperOctreeSampleFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeSampleFunctionClientServerNewCommand();
int vtkHyperOctreeSurfaceFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeSurfaceFilterClientServerNewCommand();
int vtkHyperOctreeToUniformGridFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperOctreeToUniformGridFilterClientServerNewCommand();
int vtkHyperStreamlineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHyperStreamlineClientServerNewCommand();
int vtkIdFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIdFilterClientServerNewCommand();
int vtkImageDataGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDataGeometryFilterClientServerNewCommand();
int vtkImageMarchingCubesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMarchingCubesClientServerNewCommand();
int vtkImplicitTextureCoordsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitTextureCoordsClientServerNewCommand();
int vtkInterpolateDataSetAttributesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInterpolateDataSetAttributesClientServerNewCommand();
int vtkKdNodeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkKdNodeClientServerNewCommand();
int vtkKdTreeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkKdTreeClientServerNewCommand();
int vtkLineSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLineSourceClientServerNewCommand();
int vtkLinearExtrusionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLinearExtrusionFilterClientServerNewCommand();
int vtkLinearSubdivisionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLinearSubdivisionFilterClientServerNewCommand();
int vtkLinkEdgelsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLinkEdgelsClientServerNewCommand();
int vtkLoopSubdivisionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLoopSubdivisionFilterClientServerNewCommand();
int vtkMarchingContourFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMarchingContourFilterClientServerNewCommand();
int vtkMarchingCubesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMarchingCubesClientServerNewCommand();
int vtkMarchingSquaresCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMarchingSquaresClientServerNewCommand();
int vtkMaskFieldsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMaskFieldsClientServerNewCommand();
int vtkMaskPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMaskPointsClientServerNewCommand();
int vtkMaskPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMaskPolyDataClientServerNewCommand();
int vtkMassPropertiesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMassPropertiesClientServerNewCommand();
int vtkMergeDataObjectFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMergeDataObjectFilterClientServerNewCommand();
int vtkMergeCellsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMergeCellsClientServerNewCommand();
int vtkMergeFieldsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMergeFieldsClientServerNewCommand();
int vtkMergeFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMergeFilterClientServerNewCommand();
int vtkMeshQualityCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMeshQualityClientServerNewCommand();
int vtkModelMetadataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkModelMetadataClientServerNewCommand();
int vtkMultiGroupDataExtractDataSetsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataExtractDataSetsClientServerNewCommand();
int vtkMultiGroupDataExtractGroupCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataExtractGroupClientServerNewCommand();
int vtkMultiGroupDataGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataGeometryFilterClientServerNewCommand();
int vtkMultiGroupDataGroupFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataGroupFilterClientServerNewCommand();
int vtkMultiGroupDataGroupIdScalarsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataGroupIdScalarsClientServerNewCommand();
int vtkOBBDicerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOBBDicerClientServerNewCommand();
int vtkOBBTreeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOBBTreeClientServerNewCommand();
int vtkOutlineCornerFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOutlineCornerFilterClientServerNewCommand();
int vtkOutlineCornerSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOutlineCornerSourceClientServerNewCommand();
int vtkOutlineFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOutlineFilterClientServerNewCommand();
int vtkOutlineSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOutlineSourceClientServerNewCommand();
int vtkParametricFunctionSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParametricFunctionSourceClientServerNewCommand();
int vtkPlaneSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlaneSourceClientServerNewCommand();
int vtkPlanesIntersectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlanesIntersectionClientServerNewCommand();
int vtkPlatonicSolidSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlatonicSolidSourceClientServerNewCommand();
int vtkPointDataToCellDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointDataToCellDataClientServerNewCommand();
int vtkPointsProjectedHullCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointsProjectedHullClientServerNewCommand();
int vtkPointSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointSourceClientServerNewCommand();
int vtkPolyDataConnectivityFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataConnectivityFilterClientServerNewCommand();
int vtkPolyDataNormalsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataNormalsClientServerNewCommand();
int vtkPolyDataStreamerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataStreamerClientServerNewCommand();
int vtkProbeFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProbeFilterClientServerNewCommand();
int vtkProgrammableAttributeDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProgrammableAttributeDataFilterClientServerNewCommand();
int vtkProgrammableDataObjectSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProgrammableDataObjectSourceClientServerNewCommand();
int vtkProgrammableFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProgrammableFilterClientServerNewCommand();
int vtkProgrammableGlyphFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProgrammableGlyphFilterClientServerNewCommand();
int vtkProgrammableSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProgrammableSourceClientServerNewCommand();
int vtkProjectedTextureCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProjectedTextureClientServerNewCommand();
int vtkQuadricClusteringCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadricClusteringClientServerNewCommand();
int vtkQuadricDecimationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuadricDecimationClientServerNewCommand();
int vtkQuantizePolyDataPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuantizePolyDataPointsClientServerNewCommand();
int vtkRearrangeFieldsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRearrangeFieldsClientServerNewCommand();
int vtkRectangularButtonSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectangularButtonSourceClientServerNewCommand();
int vtkRectilinearGridClipCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridClipClientServerNewCommand();
int vtkRectilinearGridGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridGeometryFilterClientServerNewCommand();
int vtkRectilinearGridToTetrahedraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridToTetrahedraClientServerNewCommand();
int vtkRectilinearSynchronizedTemplatesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearSynchronizedTemplatesClientServerNewCommand();
int vtkRecursiveDividingCubesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRecursiveDividingCubesClientServerNewCommand();
int vtkReflectionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkReflectionFilterClientServerNewCommand();
int vtkRegularPolygonSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRegularPolygonSourceClientServerNewCommand();
int vtkReverseSenseCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkReverseSenseClientServerNewCommand();
int vtkRibbonFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRibbonFilterClientServerNewCommand();
int vtkRotationalExtrusionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRotationalExtrusionFilterClientServerNewCommand();
int vtkRotationFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRotationFilterClientServerNewCommand();
int vtkRuledSurfaceFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRuledSurfaceFilterClientServerNewCommand();
int vtkSelectPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSelectPolyDataClientServerNewCommand();
int vtkShrinkFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkShrinkFilterClientServerNewCommand();
int vtkShrinkPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkShrinkPolyDataClientServerNewCommand();
int vtkSimpleElevationFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSimpleElevationFilterClientServerNewCommand();
int vtkSliceCubesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSliceCubesClientServerNewCommand();
int vtkSmoothPolyDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSmoothPolyDataFilterClientServerNewCommand();
int vtkSortDataArrayCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSortDataArrayClientServerNewCommand();
int vtkSpatialRepresentationFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSpatialRepresentationFilterClientServerNewCommand();
int vtkSpherePuzzleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSpherePuzzleClientServerNewCommand();
int vtkSpherePuzzleArrowsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSpherePuzzleArrowsClientServerNewCommand();
int vtkSphereSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSphereSourceClientServerNewCommand();
int vtkSplineFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSplineFilterClientServerNewCommand();
int vtkSplitFieldCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSplitFieldClientServerNewCommand();
int vtkStreamLineCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStreamLineClientServerNewCommand();
int vtkStreamPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStreamPointsClientServerNewCommand();
int vtkStreamTracerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStreamTracerClientServerNewCommand();
int vtkStripperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStripperClientServerNewCommand();
int vtkStructuredGridClipCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridClipClientServerNewCommand();
int vtkStructuredGridGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridGeometryFilterClientServerNewCommand();
int vtkStructuredGridOutlineFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridOutlineFilterClientServerNewCommand();
int vtkStructuredPointsGeometryFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredPointsGeometryFilterClientServerNewCommand();
int vtkSubPixelPositionEdgelsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSubPixelPositionEdgelsClientServerNewCommand();
int vtkSubdivideTetraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSubdivideTetraClientServerNewCommand();
int vtkSuperquadricSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSuperquadricSourceClientServerNewCommand();
int vtkSynchronizedTemplates2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSynchronizedTemplates2DClientServerNewCommand();
int vtkSynchronizedTemplates3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSynchronizedTemplates3DClientServerNewCommand();
int vtkSynchronizedTemplatesCutter3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSynchronizedTemplatesCutter3DClientServerNewCommand();
int vtkTensorGlyphCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTensorGlyphClientServerNewCommand();
int vtkTextSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextSourceClientServerNewCommand();
int vtkTextureMapToCylinderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextureMapToCylinderClientServerNewCommand();
int vtkTextureMapToPlaneCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextureMapToPlaneClientServerNewCommand();
int vtkTextureMapToSphereCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextureMapToSphereClientServerNewCommand();
int vtkTexturedSphereSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTexturedSphereSourceClientServerNewCommand();
int vtkThresholdCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkThresholdClientServerNewCommand();
int vtkThresholdPointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkThresholdPointsClientServerNewCommand();
int vtkThresholdTextureCoordsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkThresholdTextureCoordsClientServerNewCommand();
int vtkTransformFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformFilterClientServerNewCommand();
int vtkTransformPolyDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformPolyDataFilterClientServerNewCommand();
int vtkTransformTextureCoordsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformTextureCoordsClientServerNewCommand();
int vtkTriangleFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTriangleFilterClientServerNewCommand();
int vtkTriangularTCoordsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTriangularTCoordsClientServerNewCommand();
int vtkTubeFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTubeFilterClientServerNewCommand();
int vtkVectorDotCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVectorDotClientServerNewCommand();
int vtkVectorNormCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVectorNormClientServerNewCommand();
int vtkVoxelContoursToSurfaceFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVoxelContoursToSurfaceFilterClientServerNewCommand();
int vtkWarpLensCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWarpLensClientServerNewCommand();
int vtkWarpScalarCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWarpScalarClientServerNewCommand();
int vtkWarpToCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWarpToClientServerNewCommand();
int vtkWarpVectorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWarpVectorClientServerNewCommand();
int vtkWindowedSincPolyDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWindowedSincPolyDataFilterClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkGraphicsCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkGraphicsCS_NewInstance);

    arlu->AddCommandFunction("vtkAppendFilter",vtkAppendFilterCommand);
  arlu->AddCommandFunction("vtkAppendPolyData",vtkAppendPolyDataCommand);
  arlu->AddCommandFunction("vtkArrayCalculator",vtkArrayCalculatorCommand);
  arlu->AddCommandFunction("vtkArrowSource",vtkArrowSourceCommand);
  arlu->AddCommandFunction("vtkAssignAttribute",vtkAssignAttributeCommand);
  arlu->AddCommandFunction("vtkAttributeDataToFieldDataFilter",vtkAttributeDataToFieldDataFilterCommand);
  arlu->AddCommandFunction("vtkAxes",vtkAxesCommand);
  arlu->AddCommandFunction("vtkBandedPolyDataContourFilter",vtkBandedPolyDataContourFilterCommand);
  arlu->AddCommandFunction("vtkBlankStructuredGrid",vtkBlankStructuredGridCommand);
  arlu->AddCommandFunction("vtkBlankStructuredGridWithImage",vtkBlankStructuredGridWithImageCommand);
  arlu->AddCommandFunction("vtkBoxClipDataSet",vtkBoxClipDataSetCommand);
  arlu->AddCommandFunction("vtkBrownianPoints",vtkBrownianPointsCommand);
  arlu->AddCommandFunction("vtkButterflySubdivisionFilter",vtkButterflySubdivisionFilterCommand);
  arlu->AddCommandFunction("vtkBSPCuts",vtkBSPCutsCommand);
  arlu->AddCommandFunction("vtkBSPIntersections",vtkBSPIntersectionsCommand);
  arlu->AddCommandFunction("vtkCellCenters",vtkCellCentersCommand);
  arlu->AddCommandFunction("vtkCellDataToPointData",vtkCellDataToPointDataCommand);
  arlu->AddCommandFunction("vtkCellDerivatives",vtkCellDerivativesCommand);
  arlu->AddCommandFunction("vtkCleanPolyData",vtkCleanPolyDataCommand);
  arlu->AddCommandFunction("vtkClipDataSet",vtkClipDataSetCommand);
  arlu->AddCommandFunction("vtkClipHyperOctree",vtkClipHyperOctreeCommand);
  arlu->AddCommandFunction("vtkClipPolyData",vtkClipPolyDataCommand);
  arlu->AddCommandFunction("vtkClipVolume",vtkClipVolumeCommand);
  arlu->AddCommandFunction("vtkConeSource",vtkConeSourceCommand);
  arlu->AddCommandFunction("vtkConnectivityFilter",vtkConnectivityFilterCommand);
  arlu->AddCommandFunction("vtkContourFilter",vtkContourFilterCommand);
  arlu->AddCommandFunction("vtkContourGrid",vtkContourGridCommand);
  arlu->AddCommandFunction("vtkCubeSource",vtkCubeSourceCommand);
  arlu->AddCommandFunction("vtkCursor3D",vtkCursor3DCommand);
  arlu->AddCommandFunction("vtkCutter",vtkCutterCommand);
  arlu->AddCommandFunction("vtkCurvatures",vtkCurvaturesCommand);
  arlu->AddCommandFunction("vtkCylinderSource",vtkCylinderSourceCommand);
  arlu->AddCommandFunction("vtkDashedStreamLine",vtkDashedStreamLineCommand);
  arlu->AddCommandFunction("vtkDataObjectToDataSetFilter",vtkDataObjectToDataSetFilterCommand);
  arlu->AddCommandFunction("vtkDataSetSurfaceFilter",vtkDataSetSurfaceFilterCommand);
  arlu->AddCommandFunction("vtkDataSetToDataObjectFilter",vtkDataSetToDataObjectFilterCommand);
  arlu->AddCommandFunction("vtkDataSetTriangleFilter",vtkDataSetTriangleFilterCommand);
  arlu->AddCommandFunction("vtkDecimatePro",vtkDecimateProCommand);
  arlu->AddCommandFunction("vtkDelaunay2D",vtkDelaunay2DCommand);
  arlu->AddCommandFunction("vtkDelaunay3D",vtkDelaunay3DCommand);
  arlu->AddCommandFunction("vtkDiscreteMarchingCubes",vtkDiscreteMarchingCubesCommand);
  arlu->AddCommandFunction("vtkDiskSource",vtkDiskSourceCommand);
  arlu->AddCommandFunction("vtkEdgePoints",vtkEdgePointsCommand);
  arlu->AddCommandFunction("vtkElevationFilter",vtkElevationFilterCommand);
  arlu->AddCommandFunction("vtkEllipticalButtonSource",vtkEllipticalButtonSourceCommand);
  arlu->AddCommandFunction("vtkExtractCells",vtkExtractCellsCommand);
  arlu->AddCommandFunction("vtkExtractDataOverTime",vtkExtractDataOverTimeCommand);
  arlu->AddCommandFunction("vtkExtractEdges",vtkExtractEdgesCommand);
  arlu->AddCommandFunction("vtkExtractGeometry",vtkExtractGeometryCommand);
  arlu->AddCommandFunction("vtkExtractGrid",vtkExtractGridCommand);
  arlu->AddCommandFunction("vtkExtractPolyDataGeometry",vtkExtractPolyDataGeometryCommand);
  arlu->AddCommandFunction("vtkExtractRectilinearGrid",vtkExtractRectilinearGridCommand);
  arlu->AddCommandFunction("vtkExtractTensorComponents",vtkExtractTensorComponentsCommand);
  arlu->AddCommandFunction("vtkExtractUnstructuredGrid",vtkExtractUnstructuredGridCommand);
  arlu->AddCommandFunction("vtkExtractVectorComponents",vtkExtractVectorComponentsCommand);
  arlu->AddCommandFunction("vtkFeatureEdges",vtkFeatureEdgesCommand);
  arlu->AddCommandFunction("vtkFieldDataToAttributeDataFilter",vtkFieldDataToAttributeDataFilterCommand);
  arlu->AddCommandFunction("vtkGeometryFilter",vtkGeometryFilterCommand);
  arlu->AddCommandFunction("vtkGlyph2D",vtkGlyph2DCommand);
  arlu->AddCommandFunction("vtkGlyph3D",vtkGlyph3DCommand);
  arlu->AddCommandFunction("vtkGlyphSource2D",vtkGlyphSource2DCommand);
  arlu->AddCommandFunction("vtkGraphLayoutFilter",vtkGraphLayoutFilterCommand);
  arlu->AddCommandFunction("vtkGridSynchronizedTemplates3D",vtkGridSynchronizedTemplates3DCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataSetGeometryFilter",vtkHierarchicalDataSetGeometryFilterCommand);
  arlu->AddCommandFunction("vtkHedgeHog",vtkHedgeHogCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataExtractDataSets",vtkHierarchicalDataExtractDataSetsCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataExtractLevel",vtkHierarchicalDataExtractLevelCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataGroupFilter",vtkHierarchicalDataGroupFilterCommand);
  arlu->AddCommandFunction("vtkHierarchicalDataLevelFilter",vtkHierarchicalDataLevelFilterCommand);
  arlu->AddCommandFunction("vtkHull",vtkHullCommand);
  arlu->AddCommandFunction("vtkHyperOctreeContourFilter",vtkHyperOctreeContourFilterCommand);
  arlu->AddCommandFunction("vtkHyperOctreeCutter",vtkHyperOctreeCutterCommand);
  arlu->AddCommandFunction("vtkHyperOctreeClipCutPointsGrabber",vtkHyperOctreeClipCutPointsGrabberCommand);
  arlu->AddCommandFunction("vtkHyperOctreeSampleFunction",vtkHyperOctreeSampleFunctionCommand);
  arlu->AddCommandFunction("vtkHyperOctreeSurfaceFilter",vtkHyperOctreeSurfaceFilterCommand);
  arlu->AddCommandFunction("vtkHyperOctreeToUniformGridFilter",vtkHyperOctreeToUniformGridFilterCommand);
  arlu->AddCommandFunction("vtkHyperStreamline",vtkHyperStreamlineCommand);
  arlu->AddCommandFunction("vtkIdFilter",vtkIdFilterCommand);
  arlu->AddCommandFunction("vtkImageDataGeometryFilter",vtkImageDataGeometryFilterCommand);
  arlu->AddCommandFunction("vtkImageMarchingCubes",vtkImageMarchingCubesCommand);
  arlu->AddCommandFunction("vtkImplicitTextureCoords",vtkImplicitTextureCoordsCommand);
  arlu->AddCommandFunction("vtkInterpolateDataSetAttributes",vtkInterpolateDataSetAttributesCommand);
  arlu->AddCommandFunction("vtkKdNode",vtkKdNodeCommand);
  arlu->AddCommandFunction("vtkKdTree",vtkKdTreeCommand);
  arlu->AddCommandFunction("vtkLineSource",vtkLineSourceCommand);
  arlu->AddCommandFunction("vtkLinearExtrusionFilter",vtkLinearExtrusionFilterCommand);
  arlu->AddCommandFunction("vtkLinearSubdivisionFilter",vtkLinearSubdivisionFilterCommand);
  arlu->AddCommandFunction("vtkLinkEdgels",vtkLinkEdgelsCommand);
  arlu->AddCommandFunction("vtkLoopSubdivisionFilter",vtkLoopSubdivisionFilterCommand);
  arlu->AddCommandFunction("vtkMarchingContourFilter",vtkMarchingContourFilterCommand);
  arlu->AddCommandFunction("vtkMarchingCubes",vtkMarchingCubesCommand);
  arlu->AddCommandFunction("vtkMarchingSquares",vtkMarchingSquaresCommand);
  arlu->AddCommandFunction("vtkMaskFields",vtkMaskFieldsCommand);
  arlu->AddCommandFunction("vtkMaskPoints",vtkMaskPointsCommand);
  arlu->AddCommandFunction("vtkMaskPolyData",vtkMaskPolyDataCommand);
  arlu->AddCommandFunction("vtkMassProperties",vtkMassPropertiesCommand);
  arlu->AddCommandFunction("vtkMergeDataObjectFilter",vtkMergeDataObjectFilterCommand);
  arlu->AddCommandFunction("vtkMergeCells",vtkMergeCellsCommand);
  arlu->AddCommandFunction("vtkMergeFields",vtkMergeFieldsCommand);
  arlu->AddCommandFunction("vtkMergeFilter",vtkMergeFilterCommand);
  arlu->AddCommandFunction("vtkMeshQuality",vtkMeshQualityCommand);
  arlu->AddCommandFunction("vtkModelMetadata",vtkModelMetadataCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataExtractDataSets",vtkMultiGroupDataExtractDataSetsCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataExtractGroup",vtkMultiGroupDataExtractGroupCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataGeometryFilter",vtkMultiGroupDataGeometryFilterCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataGroupFilter",vtkMultiGroupDataGroupFilterCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataGroupIdScalars",vtkMultiGroupDataGroupIdScalarsCommand);
  arlu->AddCommandFunction("vtkOBBDicer",vtkOBBDicerCommand);
  arlu->AddCommandFunction("vtkOBBTree",vtkOBBTreeCommand);
  arlu->AddCommandFunction("vtkOutlineCornerFilter",vtkOutlineCornerFilterCommand);
  arlu->AddCommandFunction("vtkOutlineCornerSource",vtkOutlineCornerSourceCommand);
  arlu->AddCommandFunction("vtkOutlineFilter",vtkOutlineFilterCommand);
  arlu->AddCommandFunction("vtkOutlineSource",vtkOutlineSourceCommand);
  arlu->AddCommandFunction("vtkParametricFunctionSource",vtkParametricFunctionSourceCommand);
  arlu->AddCommandFunction("vtkPlaneSource",vtkPlaneSourceCommand);
  arlu->AddCommandFunction("vtkPlanesIntersection",vtkPlanesIntersectionCommand);
  arlu->AddCommandFunction("vtkPlatonicSolidSource",vtkPlatonicSolidSourceCommand);
  arlu->AddCommandFunction("vtkPointDataToCellData",vtkPointDataToCellDataCommand);
  arlu->AddCommandFunction("vtkPointsProjectedHull",vtkPointsProjectedHullCommand);
  arlu->AddCommandFunction("vtkPointSource",vtkPointSourceCommand);
  arlu->AddCommandFunction("vtkPolyDataConnectivityFilter",vtkPolyDataConnectivityFilterCommand);
  arlu->AddCommandFunction("vtkPolyDataNormals",vtkPolyDataNormalsCommand);
  arlu->AddCommandFunction("vtkPolyDataStreamer",vtkPolyDataStreamerCommand);
  arlu->AddCommandFunction("vtkProbeFilter",vtkProbeFilterCommand);
  arlu->AddCommandFunction("vtkProgrammableAttributeDataFilter",vtkProgrammableAttributeDataFilterCommand);
  arlu->AddCommandFunction("vtkProgrammableDataObjectSource",vtkProgrammableDataObjectSourceCommand);
  arlu->AddCommandFunction("vtkProgrammableFilter",vtkProgrammableFilterCommand);
  arlu->AddCommandFunction("vtkProgrammableGlyphFilter",vtkProgrammableGlyphFilterCommand);
  arlu->AddCommandFunction("vtkProgrammableSource",vtkProgrammableSourceCommand);
  arlu->AddCommandFunction("vtkProjectedTexture",vtkProjectedTextureCommand);
  arlu->AddCommandFunction("vtkQuadricClustering",vtkQuadricClusteringCommand);
  arlu->AddCommandFunction("vtkQuadricDecimation",vtkQuadricDecimationCommand);
  arlu->AddCommandFunction("vtkQuantizePolyDataPoints",vtkQuantizePolyDataPointsCommand);
  arlu->AddCommandFunction("vtkRearrangeFields",vtkRearrangeFieldsCommand);
  arlu->AddCommandFunction("vtkRectangularButtonSource",vtkRectangularButtonSourceCommand);
  arlu->AddCommandFunction("vtkRectilinearGridClip",vtkRectilinearGridClipCommand);
  arlu->AddCommandFunction("vtkRectilinearGridGeometryFilter",vtkRectilinearGridGeometryFilterCommand);
  arlu->AddCommandFunction("vtkRectilinearGridToTetrahedra",vtkRectilinearGridToTetrahedraCommand);
  arlu->AddCommandFunction("vtkRectilinearSynchronizedTemplates",vtkRectilinearSynchronizedTemplatesCommand);
  arlu->AddCommandFunction("vtkRecursiveDividingCubes",vtkRecursiveDividingCubesCommand);
  arlu->AddCommandFunction("vtkReflectionFilter",vtkReflectionFilterCommand);
  arlu->AddCommandFunction("vtkRegularPolygonSource",vtkRegularPolygonSourceCommand);
  arlu->AddCommandFunction("vtkReverseSense",vtkReverseSenseCommand);
  arlu->AddCommandFunction("vtkRibbonFilter",vtkRibbonFilterCommand);
  arlu->AddCommandFunction("vtkRotationalExtrusionFilter",vtkRotationalExtrusionFilterCommand);
  arlu->AddCommandFunction("vtkRotationFilter",vtkRotationFilterCommand);
  arlu->AddCommandFunction("vtkRuledSurfaceFilter",vtkRuledSurfaceFilterCommand);
  arlu->AddCommandFunction("vtkSelectPolyData",vtkSelectPolyDataCommand);
  arlu->AddCommandFunction("vtkShrinkFilter",vtkShrinkFilterCommand);
  arlu->AddCommandFunction("vtkShrinkPolyData",vtkShrinkPolyDataCommand);
  arlu->AddCommandFunction("vtkSimpleElevationFilter",vtkSimpleElevationFilterCommand);
  arlu->AddCommandFunction("vtkSliceCubes",vtkSliceCubesCommand);
  arlu->AddCommandFunction("vtkSmoothPolyDataFilter",vtkSmoothPolyDataFilterCommand);
  arlu->AddCommandFunction("vtkSortDataArray",vtkSortDataArrayCommand);
  arlu->AddCommandFunction("vtkSpatialRepresentationFilter",vtkSpatialRepresentationFilterCommand);
  arlu->AddCommandFunction("vtkSpherePuzzle",vtkSpherePuzzleCommand);
  arlu->AddCommandFunction("vtkSpherePuzzleArrows",vtkSpherePuzzleArrowsCommand);
  arlu->AddCommandFunction("vtkSphereSource",vtkSphereSourceCommand);
  arlu->AddCommandFunction("vtkSplineFilter",vtkSplineFilterCommand);
  arlu->AddCommandFunction("vtkSplitField",vtkSplitFieldCommand);
  arlu->AddCommandFunction("vtkStreamLine",vtkStreamLineCommand);
  arlu->AddCommandFunction("vtkStreamPoints",vtkStreamPointsCommand);
  arlu->AddCommandFunction("vtkStreamTracer",vtkStreamTracerCommand);
  arlu->AddCommandFunction("vtkStripper",vtkStripperCommand);
  arlu->AddCommandFunction("vtkStructuredGridClip",vtkStructuredGridClipCommand);
  arlu->AddCommandFunction("vtkStructuredGridGeometryFilter",vtkStructuredGridGeometryFilterCommand);
  arlu->AddCommandFunction("vtkStructuredGridOutlineFilter",vtkStructuredGridOutlineFilterCommand);
  arlu->AddCommandFunction("vtkStructuredPointsGeometryFilter",vtkStructuredPointsGeometryFilterCommand);
  arlu->AddCommandFunction("vtkSubPixelPositionEdgels",vtkSubPixelPositionEdgelsCommand);
  arlu->AddCommandFunction("vtkSubdivideTetra",vtkSubdivideTetraCommand);
  arlu->AddCommandFunction("vtkSuperquadricSource",vtkSuperquadricSourceCommand);
  arlu->AddCommandFunction("vtkSynchronizedTemplates2D",vtkSynchronizedTemplates2DCommand);
  arlu->AddCommandFunction("vtkSynchronizedTemplates3D",vtkSynchronizedTemplates3DCommand);
  arlu->AddCommandFunction("vtkSynchronizedTemplatesCutter3D",vtkSynchronizedTemplatesCutter3DCommand);
  arlu->AddCommandFunction("vtkTensorGlyph",vtkTensorGlyphCommand);
  arlu->AddCommandFunction("vtkTextSource",vtkTextSourceCommand);
  arlu->AddCommandFunction("vtkTextureMapToCylinder",vtkTextureMapToCylinderCommand);
  arlu->AddCommandFunction("vtkTextureMapToPlane",vtkTextureMapToPlaneCommand);
  arlu->AddCommandFunction("vtkTextureMapToSphere",vtkTextureMapToSphereCommand);
  arlu->AddCommandFunction("vtkTexturedSphereSource",vtkTexturedSphereSourceCommand);
  arlu->AddCommandFunction("vtkThreshold",vtkThresholdCommand);
  arlu->AddCommandFunction("vtkThresholdPoints",vtkThresholdPointsCommand);
  arlu->AddCommandFunction("vtkThresholdTextureCoords",vtkThresholdTextureCoordsCommand);
  arlu->AddCommandFunction("vtkTransformFilter",vtkTransformFilterCommand);
  arlu->AddCommandFunction("vtkTransformPolyDataFilter",vtkTransformPolyDataFilterCommand);
  arlu->AddCommandFunction("vtkTransformTextureCoords",vtkTransformTextureCoordsCommand);
  arlu->AddCommandFunction("vtkTriangleFilter",vtkTriangleFilterCommand);
  arlu->AddCommandFunction("vtkTriangularTCoords",vtkTriangularTCoordsCommand);
  arlu->AddCommandFunction("vtkTubeFilter",vtkTubeFilterCommand);
  arlu->AddCommandFunction("vtkVectorDot",vtkVectorDotCommand);
  arlu->AddCommandFunction("vtkVectorNorm",vtkVectorNormCommand);
  arlu->AddCommandFunction("vtkVoxelContoursToSurfaceFilter",vtkVoxelContoursToSurfaceFilterCommand);
  arlu->AddCommandFunction("vtkWarpLens",vtkWarpLensCommand);
  arlu->AddCommandFunction("vtkWarpScalar",vtkWarpScalarCommand);
  arlu->AddCommandFunction("vtkWarpTo",vtkWarpToCommand);
  arlu->AddCommandFunction("vtkWarpVector",vtkWarpVectorCommand);
  arlu->AddCommandFunction("vtkWindowedSincPolyDataFilter",vtkWindowedSincPolyDataFilterCommand);

}

static int vtkGraphicsCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkAppendFilter",type))
      {
      vtkObjectBase *ptr = vtkAppendFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAppendPolyData",type))
      {
      vtkObjectBase *ptr = vtkAppendPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkArrayCalculator",type))
      {
      vtkObjectBase *ptr = vtkArrayCalculatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkArrowSource",type))
      {
      vtkObjectBase *ptr = vtkArrowSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAssignAttribute",type))
      {
      vtkObjectBase *ptr = vtkAssignAttributeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAttributeDataToFieldDataFilter",type))
      {
      vtkObjectBase *ptr = vtkAttributeDataToFieldDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAxes",type))
      {
      vtkObjectBase *ptr = vtkAxesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBandedPolyDataContourFilter",type))
      {
      vtkObjectBase *ptr = vtkBandedPolyDataContourFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBlankStructuredGrid",type))
      {
      vtkObjectBase *ptr = vtkBlankStructuredGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBlankStructuredGridWithImage",type))
      {
      vtkObjectBase *ptr = vtkBlankStructuredGridWithImageClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBoxClipDataSet",type))
      {
      vtkObjectBase *ptr = vtkBoxClipDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBrownianPoints",type))
      {
      vtkObjectBase *ptr = vtkBrownianPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkButterflySubdivisionFilter",type))
      {
      vtkObjectBase *ptr = vtkButterflySubdivisionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBSPCuts",type))
      {
      vtkObjectBase *ptr = vtkBSPCutsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBSPIntersections",type))
      {
      vtkObjectBase *ptr = vtkBSPIntersectionsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellCenters",type))
      {
      vtkObjectBase *ptr = vtkCellCentersClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellDataToPointData",type))
      {
      vtkObjectBase *ptr = vtkCellDataToPointDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellDerivatives",type))
      {
      vtkObjectBase *ptr = vtkCellDerivativesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCleanPolyData",type))
      {
      vtkObjectBase *ptr = vtkCleanPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkClipDataSet",type))
      {
      vtkObjectBase *ptr = vtkClipDataSetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkClipHyperOctree",type))
      {
      vtkObjectBase *ptr = vtkClipHyperOctreeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkClipPolyData",type))
      {
      vtkObjectBase *ptr = vtkClipPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkClipVolume",type))
      {
      vtkObjectBase *ptr = vtkClipVolumeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkConeSource",type))
      {
      vtkObjectBase *ptr = vtkConeSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkConnectivityFilter",type))
      {
      vtkObjectBase *ptr = vtkConnectivityFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkContourFilter",type))
      {
      vtkObjectBase *ptr = vtkContourFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkContourGrid",type))
      {
      vtkObjectBase *ptr = vtkContourGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCubeSource",type))
      {
      vtkObjectBase *ptr = vtkCubeSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCursor3D",type))
      {
      vtkObjectBase *ptr = vtkCursor3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCutter",type))
      {
      vtkObjectBase *ptr = vtkCutterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCurvatures",type))
      {
      vtkObjectBase *ptr = vtkCurvaturesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCylinderSource",type))
      {
      vtkObjectBase *ptr = vtkCylinderSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDashedStreamLine",type))
      {
      vtkObjectBase *ptr = vtkDashedStreamLineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataObjectToDataSetFilter",type))
      {
      vtkObjectBase *ptr = vtkDataObjectToDataSetFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetSurfaceFilter",type))
      {
      vtkObjectBase *ptr = vtkDataSetSurfaceFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetToDataObjectFilter",type))
      {
      vtkObjectBase *ptr = vtkDataSetToDataObjectFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetTriangleFilter",type))
      {
      vtkObjectBase *ptr = vtkDataSetTriangleFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDecimatePro",type))
      {
      vtkObjectBase *ptr = vtkDecimateProClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDelaunay2D",type))
      {
      vtkObjectBase *ptr = vtkDelaunay2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDelaunay3D",type))
      {
      vtkObjectBase *ptr = vtkDelaunay3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDiscreteMarchingCubes",type))
      {
      vtkObjectBase *ptr = vtkDiscreteMarchingCubesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDiskSource",type))
      {
      vtkObjectBase *ptr = vtkDiskSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEdgePoints",type))
      {
      vtkObjectBase *ptr = vtkEdgePointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkElevationFilter",type))
      {
      vtkObjectBase *ptr = vtkElevationFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEllipticalButtonSource",type))
      {
      vtkObjectBase *ptr = vtkEllipticalButtonSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractCells",type))
      {
      vtkObjectBase *ptr = vtkExtractCellsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractDataOverTime",type))
      {
      vtkObjectBase *ptr = vtkExtractDataOverTimeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractEdges",type))
      {
      vtkObjectBase *ptr = vtkExtractEdgesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractGeometry",type))
      {
      vtkObjectBase *ptr = vtkExtractGeometryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractGrid",type))
      {
      vtkObjectBase *ptr = vtkExtractGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractPolyDataGeometry",type))
      {
      vtkObjectBase *ptr = vtkExtractPolyDataGeometryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractRectilinearGrid",type))
      {
      vtkObjectBase *ptr = vtkExtractRectilinearGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractTensorComponents",type))
      {
      vtkObjectBase *ptr = vtkExtractTensorComponentsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractUnstructuredGrid",type))
      {
      vtkObjectBase *ptr = vtkExtractUnstructuredGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractVectorComponents",type))
      {
      vtkObjectBase *ptr = vtkExtractVectorComponentsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFeatureEdges",type))
      {
      vtkObjectBase *ptr = vtkFeatureEdgesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFieldDataToAttributeDataFilter",type))
      {
      vtkObjectBase *ptr = vtkFieldDataToAttributeDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGlyph2D",type))
      {
      vtkObjectBase *ptr = vtkGlyph2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGlyph3D",type))
      {
      vtkObjectBase *ptr = vtkGlyph3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGlyphSource2D",type))
      {
      vtkObjectBase *ptr = vtkGlyphSource2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGraphLayoutFilter",type))
      {
      vtkObjectBase *ptr = vtkGraphLayoutFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGridSynchronizedTemplates3D",type))
      {
      vtkObjectBase *ptr = vtkGridSynchronizedTemplates3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataSetGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataSetGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHedgeHog",type))
      {
      vtkObjectBase *ptr = vtkHedgeHogClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataExtractDataSets",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataExtractDataSetsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataExtractLevel",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataExtractLevelClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataGroupFilter",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataGroupFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalDataLevelFilter",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalDataLevelFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHull",type))
      {
      vtkObjectBase *ptr = vtkHullClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctreeContourFilter",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeContourFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctreeCutter",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeCutterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctreeClipCutPointsGrabber",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeClipCutPointsGrabberClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctreeSampleFunction",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeSampleFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctreeSurfaceFilter",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeSurfaceFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperOctreeToUniformGridFilter",type))
      {
      vtkObjectBase *ptr = vtkHyperOctreeToUniformGridFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHyperStreamline",type))
      {
      vtkObjectBase *ptr = vtkHyperStreamlineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIdFilter",type))
      {
      vtkObjectBase *ptr = vtkIdFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageDataGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkImageDataGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMarchingCubes",type))
      {
      vtkObjectBase *ptr = vtkImageMarchingCubesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitTextureCoords",type))
      {
      vtkObjectBase *ptr = vtkImplicitTextureCoordsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInterpolateDataSetAttributes",type))
      {
      vtkObjectBase *ptr = vtkInterpolateDataSetAttributesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkKdNode",type))
      {
      vtkObjectBase *ptr = vtkKdNodeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkKdTree",type))
      {
      vtkObjectBase *ptr = vtkKdTreeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLineSource",type))
      {
      vtkObjectBase *ptr = vtkLineSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLinearExtrusionFilter",type))
      {
      vtkObjectBase *ptr = vtkLinearExtrusionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLinearSubdivisionFilter",type))
      {
      vtkObjectBase *ptr = vtkLinearSubdivisionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLinkEdgels",type))
      {
      vtkObjectBase *ptr = vtkLinkEdgelsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLoopSubdivisionFilter",type))
      {
      vtkObjectBase *ptr = vtkLoopSubdivisionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMarchingContourFilter",type))
      {
      vtkObjectBase *ptr = vtkMarchingContourFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMarchingCubes",type))
      {
      vtkObjectBase *ptr = vtkMarchingCubesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMarchingSquares",type))
      {
      vtkObjectBase *ptr = vtkMarchingSquaresClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMaskFields",type))
      {
      vtkObjectBase *ptr = vtkMaskFieldsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMaskPoints",type))
      {
      vtkObjectBase *ptr = vtkMaskPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMaskPolyData",type))
      {
      vtkObjectBase *ptr = vtkMaskPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMassProperties",type))
      {
      vtkObjectBase *ptr = vtkMassPropertiesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMergeDataObjectFilter",type))
      {
      vtkObjectBase *ptr = vtkMergeDataObjectFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMergeCells",type))
      {
      vtkObjectBase *ptr = vtkMergeCellsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMergeFields",type))
      {
      vtkObjectBase *ptr = vtkMergeFieldsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMergeFilter",type))
      {
      vtkObjectBase *ptr = vtkMergeFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMeshQuality",type))
      {
      vtkObjectBase *ptr = vtkMeshQualityClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkModelMetadata",type))
      {
      vtkObjectBase *ptr = vtkModelMetadataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataExtractDataSets",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataExtractDataSetsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataExtractGroup",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataExtractGroupClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataGroupFilter",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataGroupFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataGroupIdScalars",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataGroupIdScalarsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOBBDicer",type))
      {
      vtkObjectBase *ptr = vtkOBBDicerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOBBTree",type))
      {
      vtkObjectBase *ptr = vtkOBBTreeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOutlineCornerFilter",type))
      {
      vtkObjectBase *ptr = vtkOutlineCornerFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOutlineCornerSource",type))
      {
      vtkObjectBase *ptr = vtkOutlineCornerSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOutlineFilter",type))
      {
      vtkObjectBase *ptr = vtkOutlineFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOutlineSource",type))
      {
      vtkObjectBase *ptr = vtkOutlineSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParametricFunctionSource",type))
      {
      vtkObjectBase *ptr = vtkParametricFunctionSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlaneSource",type))
      {
      vtkObjectBase *ptr = vtkPlaneSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlanesIntersection",type))
      {
      vtkObjectBase *ptr = vtkPlanesIntersectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlatonicSolidSource",type))
      {
      vtkObjectBase *ptr = vtkPlatonicSolidSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointDataToCellData",type))
      {
      vtkObjectBase *ptr = vtkPointDataToCellDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointsProjectedHull",type))
      {
      vtkObjectBase *ptr = vtkPointsProjectedHullClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointSource",type))
      {
      vtkObjectBase *ptr = vtkPointSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataConnectivityFilter",type))
      {
      vtkObjectBase *ptr = vtkPolyDataConnectivityFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataNormals",type))
      {
      vtkObjectBase *ptr = vtkPolyDataNormalsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataStreamer",type))
      {
      vtkObjectBase *ptr = vtkPolyDataStreamerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProbeFilter",type))
      {
      vtkObjectBase *ptr = vtkProbeFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProgrammableAttributeDataFilter",type))
      {
      vtkObjectBase *ptr = vtkProgrammableAttributeDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProgrammableDataObjectSource",type))
      {
      vtkObjectBase *ptr = vtkProgrammableDataObjectSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProgrammableFilter",type))
      {
      vtkObjectBase *ptr = vtkProgrammableFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProgrammableGlyphFilter",type))
      {
      vtkObjectBase *ptr = vtkProgrammableGlyphFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProgrammableSource",type))
      {
      vtkObjectBase *ptr = vtkProgrammableSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProjectedTexture",type))
      {
      vtkObjectBase *ptr = vtkProjectedTextureClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadricClustering",type))
      {
      vtkObjectBase *ptr = vtkQuadricClusteringClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuadricDecimation",type))
      {
      vtkObjectBase *ptr = vtkQuadricDecimationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuantizePolyDataPoints",type))
      {
      vtkObjectBase *ptr = vtkQuantizePolyDataPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRearrangeFields",type))
      {
      vtkObjectBase *ptr = vtkRearrangeFieldsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectangularButtonSource",type))
      {
      vtkObjectBase *ptr = vtkRectangularButtonSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridClip",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridClipClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridToTetrahedra",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridToTetrahedraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearSynchronizedTemplates",type))
      {
      vtkObjectBase *ptr = vtkRectilinearSynchronizedTemplatesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRecursiveDividingCubes",type))
      {
      vtkObjectBase *ptr = vtkRecursiveDividingCubesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkReflectionFilter",type))
      {
      vtkObjectBase *ptr = vtkReflectionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRegularPolygonSource",type))
      {
      vtkObjectBase *ptr = vtkRegularPolygonSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkReverseSense",type))
      {
      vtkObjectBase *ptr = vtkReverseSenseClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRibbonFilter",type))
      {
      vtkObjectBase *ptr = vtkRibbonFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRotationalExtrusionFilter",type))
      {
      vtkObjectBase *ptr = vtkRotationalExtrusionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRotationFilter",type))
      {
      vtkObjectBase *ptr = vtkRotationFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRuledSurfaceFilter",type))
      {
      vtkObjectBase *ptr = vtkRuledSurfaceFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSelectPolyData",type))
      {
      vtkObjectBase *ptr = vtkSelectPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkShrinkFilter",type))
      {
      vtkObjectBase *ptr = vtkShrinkFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkShrinkPolyData",type))
      {
      vtkObjectBase *ptr = vtkShrinkPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSimpleElevationFilter",type))
      {
      vtkObjectBase *ptr = vtkSimpleElevationFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSliceCubes",type))
      {
      vtkObjectBase *ptr = vtkSliceCubesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSmoothPolyDataFilter",type))
      {
      vtkObjectBase *ptr = vtkSmoothPolyDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSortDataArray",type))
      {
      vtkObjectBase *ptr = vtkSortDataArrayClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSpatialRepresentationFilter",type))
      {
      vtkObjectBase *ptr = vtkSpatialRepresentationFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSpherePuzzle",type))
      {
      vtkObjectBase *ptr = vtkSpherePuzzleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSpherePuzzleArrows",type))
      {
      vtkObjectBase *ptr = vtkSpherePuzzleArrowsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSphereSource",type))
      {
      vtkObjectBase *ptr = vtkSphereSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSplineFilter",type))
      {
      vtkObjectBase *ptr = vtkSplineFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSplitField",type))
      {
      vtkObjectBase *ptr = vtkSplitFieldClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStreamLine",type))
      {
      vtkObjectBase *ptr = vtkStreamLineClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStreamPoints",type))
      {
      vtkObjectBase *ptr = vtkStreamPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStreamTracer",type))
      {
      vtkObjectBase *ptr = vtkStreamTracerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStripper",type))
      {
      vtkObjectBase *ptr = vtkStripperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGridClip",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridClipClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGridGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGridOutlineFilter",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridOutlineFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredPointsGeometryFilter",type))
      {
      vtkObjectBase *ptr = vtkStructuredPointsGeometryFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSubPixelPositionEdgels",type))
      {
      vtkObjectBase *ptr = vtkSubPixelPositionEdgelsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSubdivideTetra",type))
      {
      vtkObjectBase *ptr = vtkSubdivideTetraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSuperquadricSource",type))
      {
      vtkObjectBase *ptr = vtkSuperquadricSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSynchronizedTemplates2D",type))
      {
      vtkObjectBase *ptr = vtkSynchronizedTemplates2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSynchronizedTemplates3D",type))
      {
      vtkObjectBase *ptr = vtkSynchronizedTemplates3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSynchronizedTemplatesCutter3D",type))
      {
      vtkObjectBase *ptr = vtkSynchronizedTemplatesCutter3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTensorGlyph",type))
      {
      vtkObjectBase *ptr = vtkTensorGlyphClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextSource",type))
      {
      vtkObjectBase *ptr = vtkTextSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextureMapToCylinder",type))
      {
      vtkObjectBase *ptr = vtkTextureMapToCylinderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextureMapToPlane",type))
      {
      vtkObjectBase *ptr = vtkTextureMapToPlaneClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextureMapToSphere",type))
      {
      vtkObjectBase *ptr = vtkTextureMapToSphereClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTexturedSphereSource",type))
      {
      vtkObjectBase *ptr = vtkTexturedSphereSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkThreshold",type))
      {
      vtkObjectBase *ptr = vtkThresholdClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkThresholdPoints",type))
      {
      vtkObjectBase *ptr = vtkThresholdPointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkThresholdTextureCoords",type))
      {
      vtkObjectBase *ptr = vtkThresholdTextureCoordsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransformFilter",type))
      {
      vtkObjectBase *ptr = vtkTransformFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransformPolyDataFilter",type))
      {
      vtkObjectBase *ptr = vtkTransformPolyDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransformTextureCoords",type))
      {
      vtkObjectBase *ptr = vtkTransformTextureCoordsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTriangleFilter",type))
      {
      vtkObjectBase *ptr = vtkTriangleFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTriangularTCoords",type))
      {
      vtkObjectBase *ptr = vtkTriangularTCoordsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTubeFilter",type))
      {
      vtkObjectBase *ptr = vtkTubeFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVectorDot",type))
      {
      vtkObjectBase *ptr = vtkVectorDotClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVectorNorm",type))
      {
      vtkObjectBase *ptr = vtkVectorNormClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVoxelContoursToSurfaceFilter",type))
      {
      vtkObjectBase *ptr = vtkVoxelContoursToSurfaceFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWarpLens",type))
      {
      vtkObjectBase *ptr = vtkWarpLensClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWarpScalar",type))
      {
      vtkObjectBase *ptr = vtkWarpScalarClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWarpTo",type))
      {
      vtkObjectBase *ptr = vtkWarpToClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWarpVector",type))
      {
      vtkObjectBase *ptr = vtkWarpVectorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWindowedSincPolyDataFilter",type))
      {
      vtkObjectBase *ptr = vtkWindowedSincPolyDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
