#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkImagingCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkBooleanTextureCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBooleanTextureClientServerNewCommand();
int vtkExtractVOICommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractVOIClientServerNewCommand();
int vtkGaussianSplatterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGaussianSplatterClientServerNewCommand();
int vtkImageAccumulateCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageAccumulateClientServerNewCommand();
int vtkImageAnisotropicDiffusion2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageAnisotropicDiffusion2DClientServerNewCommand();
int vtkImageAnisotropicDiffusion3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageAnisotropicDiffusion3DClientServerNewCommand();
int vtkImageAppendCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageAppendClientServerNewCommand();
int vtkImageAppendComponentsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageAppendComponentsClientServerNewCommand();
int vtkImageBlendCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageBlendClientServerNewCommand();
int vtkImageButterworthHighPassCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageButterworthHighPassClientServerNewCommand();
int vtkImageButterworthLowPassCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageButterworthLowPassClientServerNewCommand();
int vtkImageCacheFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCacheFilterClientServerNewCommand();
int vtkImageCanvasSource2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCanvasSource2DClientServerNewCommand();
int vtkImageCastCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCastClientServerNewCommand();
int vtkImageChangeInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageChangeInformationClientServerNewCommand();
int vtkImageCheckerboardCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCheckerboardClientServerNewCommand();
int vtkImageCityBlockDistanceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCityBlockDistanceClientServerNewCommand();
int vtkImageClipCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageClipClientServerNewCommand();
int vtkImageConnectorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageConnectorClientServerNewCommand();
int vtkImageConstantPadCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageConstantPadClientServerNewCommand();
int vtkImageContinuousDilate3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageContinuousDilate3DClientServerNewCommand();
int vtkImageContinuousErode3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageContinuousErode3DClientServerNewCommand();
int vtkImageConvolveCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageConvolveClientServerNewCommand();
int vtkImageCorrelationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCorrelationClientServerNewCommand();
int vtkImageCursor3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageCursor3DClientServerNewCommand();
int vtkImageDataStreamerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDataStreamerClientServerNewCommand();
int vtkImageDifferenceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDifferenceClientServerNewCommand();
int vtkImageDilateErode3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDilateErode3DClientServerNewCommand();
int vtkImageDivergenceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDivergenceClientServerNewCommand();
int vtkImageDotProductCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageDotProductClientServerNewCommand();
int vtkImageEllipsoidSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageEllipsoidSourceClientServerNewCommand();
int vtkImageEuclideanDistanceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageEuclideanDistanceClientServerNewCommand();
int vtkImageEuclideanToPolarCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageEuclideanToPolarClientServerNewCommand();
int vtkImageExportCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageExportClientServerNewCommand();
int vtkImageExtractComponentsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageExtractComponentsClientServerNewCommand();
int vtkImageFFTCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageFFTClientServerNewCommand();
int vtkImageFlipCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageFlipClientServerNewCommand();
int vtkImageFourierCenterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageFourierCenterClientServerNewCommand();
int vtkImageGaussianSmoothCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageGaussianSmoothClientServerNewCommand();
int vtkImageGaussianSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageGaussianSourceClientServerNewCommand();
int vtkImageGradientCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageGradientClientServerNewCommand();
int vtkImageGradientMagnitudeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageGradientMagnitudeClientServerNewCommand();
int vtkImageGridSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageGridSourceClientServerNewCommand();
int vtkImageHSIToRGBCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageHSIToRGBClientServerNewCommand();
int vtkImageHSVToRGBCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageHSVToRGBClientServerNewCommand();
int vtkImageHybridMedian2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageHybridMedian2DClientServerNewCommand();
int vtkImageIdealHighPassCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageIdealHighPassClientServerNewCommand();
int vtkImageIdealLowPassCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageIdealLowPassClientServerNewCommand();
int vtkImageImportCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageImportClientServerNewCommand();
int vtkImageImportExecutiveCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageImportExecutiveClientServerNewCommand();
int vtkImageIslandRemoval2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageIslandRemoval2DClientServerNewCommand();
int vtkImageLaplacianCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageLaplacianClientServerNewCommand();
int vtkImageLogarithmicScaleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageLogarithmicScaleClientServerNewCommand();
int vtkImageLogicCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageLogicClientServerNewCommand();
int vtkImageLuminanceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageLuminanceClientServerNewCommand();
int vtkImageMagnifyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMagnifyClientServerNewCommand();
int vtkImageMagnitudeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMagnitudeClientServerNewCommand();
int vtkImageMandelbrotSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMandelbrotSourceClientServerNewCommand();
int vtkImageMapToColorsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMapToColorsClientServerNewCommand();
int vtkImageMapToRGBACommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMapToRGBAClientServerNewCommand();
int vtkImageMapToWindowLevelColorsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMapToWindowLevelColorsClientServerNewCommand();
int vtkImageMaskCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMaskClientServerNewCommand();
int vtkImageMaskBitsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMaskBitsClientServerNewCommand();
int vtkImageMathematicsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMathematicsClientServerNewCommand();
int vtkImageMedian3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMedian3DClientServerNewCommand();
int vtkImageMirrorPadCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMirrorPadClientServerNewCommand();
int vtkImageNoiseSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageNoiseSourceClientServerNewCommand();
int vtkImageNonMaximumSuppressionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageNonMaximumSuppressionClientServerNewCommand();
int vtkImageNormalizeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageNormalizeClientServerNewCommand();
int vtkImageOpenClose3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageOpenClose3DClientServerNewCommand();
int vtkImagePermuteCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImagePermuteClientServerNewCommand();
int vtkImageQuantizeRGBToIndexCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageQuantizeRGBToIndexClientServerNewCommand();
int vtkImageRFFTCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageRFFTClientServerNewCommand();
int vtkImageRGBToHSICommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageRGBToHSIClientServerNewCommand();
int vtkImageRGBToHSVCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageRGBToHSVClientServerNewCommand();
int vtkImageRange3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageRange3DClientServerNewCommand();
int vtkImageRectilinearWipeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageRectilinearWipeClientServerNewCommand();
int vtkImageResampleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageResampleClientServerNewCommand();
int vtkImageResliceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageResliceClientServerNewCommand();
int vtkImageSeedConnectivityCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageSeedConnectivityClientServerNewCommand();
int vtkImageSeparableConvolutionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageSeparableConvolutionClientServerNewCommand();
int vtkImageShiftScaleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageShiftScaleClientServerNewCommand();
int vtkImageShrink3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageShrink3DClientServerNewCommand();
int vtkImageSinusoidSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageSinusoidSourceClientServerNewCommand();
int vtkImageSkeleton2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageSkeleton2DClientServerNewCommand();
int vtkImageSobel2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageSobel2DClientServerNewCommand();
int vtkImageSobel3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageSobel3DClientServerNewCommand();
int vtkImageStencilCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageStencilClientServerNewCommand();
int vtkImageStencilDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageStencilDataClientServerNewCommand();
int vtkImageStencilSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageStencilSourceClientServerNewCommand();
int vtkImageThresholdCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageThresholdClientServerNewCommand();
int vtkImageToImageStencilCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageToImageStencilClientServerNewCommand();
int vtkImageTranslateExtentCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageTranslateExtentClientServerNewCommand();
int vtkImageVariance3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageVariance3DClientServerNewCommand();
int vtkImageWrapPadCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageWrapPadClientServerNewCommand();
int vtkImplicitFunctionToImageStencilCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitFunctionToImageStencilClientServerNewCommand();
int vtkPointLoadCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointLoadClientServerNewCommand();
int vtkSampleFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSampleFunctionClientServerNewCommand();
int vtkShepardMethodCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkShepardMethodClientServerNewCommand();
int vtkSimpleImageFilterExampleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSimpleImageFilterExampleClientServerNewCommand();
int vtkSurfaceReconstructionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSurfaceReconstructionFilterClientServerNewCommand();
int vtkTriangularTextureCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTriangularTextureClientServerNewCommand();
int vtkVoxelModellerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVoxelModellerClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkImagingCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkImagingCS_NewInstance);

    arlu->AddCommandFunction("vtkBooleanTexture",vtkBooleanTextureCommand);
  arlu->AddCommandFunction("vtkExtractVOI",vtkExtractVOICommand);
  arlu->AddCommandFunction("vtkGaussianSplatter",vtkGaussianSplatterCommand);
  arlu->AddCommandFunction("vtkImageAccumulate",vtkImageAccumulateCommand);
  arlu->AddCommandFunction("vtkImageAnisotropicDiffusion2D",vtkImageAnisotropicDiffusion2DCommand);
  arlu->AddCommandFunction("vtkImageAnisotropicDiffusion3D",vtkImageAnisotropicDiffusion3DCommand);
  arlu->AddCommandFunction("vtkImageAppend",vtkImageAppendCommand);
  arlu->AddCommandFunction("vtkImageAppendComponents",vtkImageAppendComponentsCommand);
  arlu->AddCommandFunction("vtkImageBlend",vtkImageBlendCommand);
  arlu->AddCommandFunction("vtkImageButterworthHighPass",vtkImageButterworthHighPassCommand);
  arlu->AddCommandFunction("vtkImageButterworthLowPass",vtkImageButterworthLowPassCommand);
  arlu->AddCommandFunction("vtkImageCacheFilter",vtkImageCacheFilterCommand);
  arlu->AddCommandFunction("vtkImageCanvasSource2D",vtkImageCanvasSource2DCommand);
  arlu->AddCommandFunction("vtkImageCast",vtkImageCastCommand);
  arlu->AddCommandFunction("vtkImageChangeInformation",vtkImageChangeInformationCommand);
  arlu->AddCommandFunction("vtkImageCheckerboard",vtkImageCheckerboardCommand);
  arlu->AddCommandFunction("vtkImageCityBlockDistance",vtkImageCityBlockDistanceCommand);
  arlu->AddCommandFunction("vtkImageClip",vtkImageClipCommand);
  arlu->AddCommandFunction("vtkImageConnector",vtkImageConnectorCommand);
  arlu->AddCommandFunction("vtkImageConstantPad",vtkImageConstantPadCommand);
  arlu->AddCommandFunction("vtkImageContinuousDilate3D",vtkImageContinuousDilate3DCommand);
  arlu->AddCommandFunction("vtkImageContinuousErode3D",vtkImageContinuousErode3DCommand);
  arlu->AddCommandFunction("vtkImageConvolve",vtkImageConvolveCommand);
  arlu->AddCommandFunction("vtkImageCorrelation",vtkImageCorrelationCommand);
  arlu->AddCommandFunction("vtkImageCursor3D",vtkImageCursor3DCommand);
  arlu->AddCommandFunction("vtkImageDataStreamer",vtkImageDataStreamerCommand);
  arlu->AddCommandFunction("vtkImageDifference",vtkImageDifferenceCommand);
  arlu->AddCommandFunction("vtkImageDilateErode3D",vtkImageDilateErode3DCommand);
  arlu->AddCommandFunction("vtkImageDivergence",vtkImageDivergenceCommand);
  arlu->AddCommandFunction("vtkImageDotProduct",vtkImageDotProductCommand);
  arlu->AddCommandFunction("vtkImageEllipsoidSource",vtkImageEllipsoidSourceCommand);
  arlu->AddCommandFunction("vtkImageEuclideanDistance",vtkImageEuclideanDistanceCommand);
  arlu->AddCommandFunction("vtkImageEuclideanToPolar",vtkImageEuclideanToPolarCommand);
  arlu->AddCommandFunction("vtkImageExport",vtkImageExportCommand);
  arlu->AddCommandFunction("vtkImageExtractComponents",vtkImageExtractComponentsCommand);
  arlu->AddCommandFunction("vtkImageFFT",vtkImageFFTCommand);
  arlu->AddCommandFunction("vtkImageFlip",vtkImageFlipCommand);
  arlu->AddCommandFunction("vtkImageFourierCenter",vtkImageFourierCenterCommand);
  arlu->AddCommandFunction("vtkImageGaussianSmooth",vtkImageGaussianSmoothCommand);
  arlu->AddCommandFunction("vtkImageGaussianSource",vtkImageGaussianSourceCommand);
  arlu->AddCommandFunction("vtkImageGradient",vtkImageGradientCommand);
  arlu->AddCommandFunction("vtkImageGradientMagnitude",vtkImageGradientMagnitudeCommand);
  arlu->AddCommandFunction("vtkImageGridSource",vtkImageGridSourceCommand);
  arlu->AddCommandFunction("vtkImageHSIToRGB",vtkImageHSIToRGBCommand);
  arlu->AddCommandFunction("vtkImageHSVToRGB",vtkImageHSVToRGBCommand);
  arlu->AddCommandFunction("vtkImageHybridMedian2D",vtkImageHybridMedian2DCommand);
  arlu->AddCommandFunction("vtkImageIdealHighPass",vtkImageIdealHighPassCommand);
  arlu->AddCommandFunction("vtkImageIdealLowPass",vtkImageIdealLowPassCommand);
  arlu->AddCommandFunction("vtkImageImport",vtkImageImportCommand);
  arlu->AddCommandFunction("vtkImageImportExecutive",vtkImageImportExecutiveCommand);
  arlu->AddCommandFunction("vtkImageIslandRemoval2D",vtkImageIslandRemoval2DCommand);
  arlu->AddCommandFunction("vtkImageLaplacian",vtkImageLaplacianCommand);
  arlu->AddCommandFunction("vtkImageLogarithmicScale",vtkImageLogarithmicScaleCommand);
  arlu->AddCommandFunction("vtkImageLogic",vtkImageLogicCommand);
  arlu->AddCommandFunction("vtkImageLuminance",vtkImageLuminanceCommand);
  arlu->AddCommandFunction("vtkImageMagnify",vtkImageMagnifyCommand);
  arlu->AddCommandFunction("vtkImageMagnitude",vtkImageMagnitudeCommand);
  arlu->AddCommandFunction("vtkImageMandelbrotSource",vtkImageMandelbrotSourceCommand);
  arlu->AddCommandFunction("vtkImageMapToColors",vtkImageMapToColorsCommand);
  arlu->AddCommandFunction("vtkImageMapToRGBA",vtkImageMapToRGBACommand);
  arlu->AddCommandFunction("vtkImageMapToWindowLevelColors",vtkImageMapToWindowLevelColorsCommand);
  arlu->AddCommandFunction("vtkImageMask",vtkImageMaskCommand);
  arlu->AddCommandFunction("vtkImageMaskBits",vtkImageMaskBitsCommand);
  arlu->AddCommandFunction("vtkImageMathematics",vtkImageMathematicsCommand);
  arlu->AddCommandFunction("vtkImageMedian3D",vtkImageMedian3DCommand);
  arlu->AddCommandFunction("vtkImageMirrorPad",vtkImageMirrorPadCommand);
  arlu->AddCommandFunction("vtkImageNoiseSource",vtkImageNoiseSourceCommand);
  arlu->AddCommandFunction("vtkImageNonMaximumSuppression",vtkImageNonMaximumSuppressionCommand);
  arlu->AddCommandFunction("vtkImageNormalize",vtkImageNormalizeCommand);
  arlu->AddCommandFunction("vtkImageOpenClose3D",vtkImageOpenClose3DCommand);
  arlu->AddCommandFunction("vtkImagePermute",vtkImagePermuteCommand);
  arlu->AddCommandFunction("vtkImageQuantizeRGBToIndex",vtkImageQuantizeRGBToIndexCommand);
  arlu->AddCommandFunction("vtkImageRFFT",vtkImageRFFTCommand);
  arlu->AddCommandFunction("vtkImageRGBToHSI",vtkImageRGBToHSICommand);
  arlu->AddCommandFunction("vtkImageRGBToHSV",vtkImageRGBToHSVCommand);
  arlu->AddCommandFunction("vtkImageRange3D",vtkImageRange3DCommand);
  arlu->AddCommandFunction("vtkImageRectilinearWipe",vtkImageRectilinearWipeCommand);
  arlu->AddCommandFunction("vtkImageResample",vtkImageResampleCommand);
  arlu->AddCommandFunction("vtkImageReslice",vtkImageResliceCommand);
  arlu->AddCommandFunction("vtkImageSeedConnectivity",vtkImageSeedConnectivityCommand);
  arlu->AddCommandFunction("vtkImageSeparableConvolution",vtkImageSeparableConvolutionCommand);
  arlu->AddCommandFunction("vtkImageShiftScale",vtkImageShiftScaleCommand);
  arlu->AddCommandFunction("vtkImageShrink3D",vtkImageShrink3DCommand);
  arlu->AddCommandFunction("vtkImageSinusoidSource",vtkImageSinusoidSourceCommand);
  arlu->AddCommandFunction("vtkImageSkeleton2D",vtkImageSkeleton2DCommand);
  arlu->AddCommandFunction("vtkImageSobel2D",vtkImageSobel2DCommand);
  arlu->AddCommandFunction("vtkImageSobel3D",vtkImageSobel3DCommand);
  arlu->AddCommandFunction("vtkImageStencil",vtkImageStencilCommand);
  arlu->AddCommandFunction("vtkImageStencilData",vtkImageStencilDataCommand);
  arlu->AddCommandFunction("vtkImageStencilSource",vtkImageStencilSourceCommand);
  arlu->AddCommandFunction("vtkImageThreshold",vtkImageThresholdCommand);
  arlu->AddCommandFunction("vtkImageToImageStencil",vtkImageToImageStencilCommand);
  arlu->AddCommandFunction("vtkImageTranslateExtent",vtkImageTranslateExtentCommand);
  arlu->AddCommandFunction("vtkImageVariance3D",vtkImageVariance3DCommand);
  arlu->AddCommandFunction("vtkImageWrapPad",vtkImageWrapPadCommand);
  arlu->AddCommandFunction("vtkImplicitFunctionToImageStencil",vtkImplicitFunctionToImageStencilCommand);
  arlu->AddCommandFunction("vtkPointLoad",vtkPointLoadCommand);
  arlu->AddCommandFunction("vtkSampleFunction",vtkSampleFunctionCommand);
  arlu->AddCommandFunction("vtkShepardMethod",vtkShepardMethodCommand);
  arlu->AddCommandFunction("vtkSimpleImageFilterExample",vtkSimpleImageFilterExampleCommand);
  arlu->AddCommandFunction("vtkSurfaceReconstructionFilter",vtkSurfaceReconstructionFilterCommand);
  arlu->AddCommandFunction("vtkTriangularTexture",vtkTriangularTextureCommand);
  arlu->AddCommandFunction("vtkVoxelModeller",vtkVoxelModellerCommand);

}

static int vtkImagingCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkBooleanTexture",type))
      {
      vtkObjectBase *ptr = vtkBooleanTextureClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractVOI",type))
      {
      vtkObjectBase *ptr = vtkExtractVOIClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGaussianSplatter",type))
      {
      vtkObjectBase *ptr = vtkGaussianSplatterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageAccumulate",type))
      {
      vtkObjectBase *ptr = vtkImageAccumulateClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageAnisotropicDiffusion2D",type))
      {
      vtkObjectBase *ptr = vtkImageAnisotropicDiffusion2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageAnisotropicDiffusion3D",type))
      {
      vtkObjectBase *ptr = vtkImageAnisotropicDiffusion3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageAppend",type))
      {
      vtkObjectBase *ptr = vtkImageAppendClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageAppendComponents",type))
      {
      vtkObjectBase *ptr = vtkImageAppendComponentsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageBlend",type))
      {
      vtkObjectBase *ptr = vtkImageBlendClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageButterworthHighPass",type))
      {
      vtkObjectBase *ptr = vtkImageButterworthHighPassClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageButterworthLowPass",type))
      {
      vtkObjectBase *ptr = vtkImageButterworthLowPassClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCacheFilter",type))
      {
      vtkObjectBase *ptr = vtkImageCacheFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCanvasSource2D",type))
      {
      vtkObjectBase *ptr = vtkImageCanvasSource2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCast",type))
      {
      vtkObjectBase *ptr = vtkImageCastClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageChangeInformation",type))
      {
      vtkObjectBase *ptr = vtkImageChangeInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCheckerboard",type))
      {
      vtkObjectBase *ptr = vtkImageCheckerboardClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCityBlockDistance",type))
      {
      vtkObjectBase *ptr = vtkImageCityBlockDistanceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageClip",type))
      {
      vtkObjectBase *ptr = vtkImageClipClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageConnector",type))
      {
      vtkObjectBase *ptr = vtkImageConnectorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageConstantPad",type))
      {
      vtkObjectBase *ptr = vtkImageConstantPadClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageContinuousDilate3D",type))
      {
      vtkObjectBase *ptr = vtkImageContinuousDilate3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageContinuousErode3D",type))
      {
      vtkObjectBase *ptr = vtkImageContinuousErode3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageConvolve",type))
      {
      vtkObjectBase *ptr = vtkImageConvolveClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCorrelation",type))
      {
      vtkObjectBase *ptr = vtkImageCorrelationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageCursor3D",type))
      {
      vtkObjectBase *ptr = vtkImageCursor3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageDataStreamer",type))
      {
      vtkObjectBase *ptr = vtkImageDataStreamerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageDifference",type))
      {
      vtkObjectBase *ptr = vtkImageDifferenceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageDilateErode3D",type))
      {
      vtkObjectBase *ptr = vtkImageDilateErode3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageDivergence",type))
      {
      vtkObjectBase *ptr = vtkImageDivergenceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageDotProduct",type))
      {
      vtkObjectBase *ptr = vtkImageDotProductClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageEllipsoidSource",type))
      {
      vtkObjectBase *ptr = vtkImageEllipsoidSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageEuclideanDistance",type))
      {
      vtkObjectBase *ptr = vtkImageEuclideanDistanceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageEuclideanToPolar",type))
      {
      vtkObjectBase *ptr = vtkImageEuclideanToPolarClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageExport",type))
      {
      vtkObjectBase *ptr = vtkImageExportClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageExtractComponents",type))
      {
      vtkObjectBase *ptr = vtkImageExtractComponentsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageFFT",type))
      {
      vtkObjectBase *ptr = vtkImageFFTClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageFlip",type))
      {
      vtkObjectBase *ptr = vtkImageFlipClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageFourierCenter",type))
      {
      vtkObjectBase *ptr = vtkImageFourierCenterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageGaussianSmooth",type))
      {
      vtkObjectBase *ptr = vtkImageGaussianSmoothClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageGaussianSource",type))
      {
      vtkObjectBase *ptr = vtkImageGaussianSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageGradient",type))
      {
      vtkObjectBase *ptr = vtkImageGradientClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageGradientMagnitude",type))
      {
      vtkObjectBase *ptr = vtkImageGradientMagnitudeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageGridSource",type))
      {
      vtkObjectBase *ptr = vtkImageGridSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageHSIToRGB",type))
      {
      vtkObjectBase *ptr = vtkImageHSIToRGBClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageHSVToRGB",type))
      {
      vtkObjectBase *ptr = vtkImageHSVToRGBClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageHybridMedian2D",type))
      {
      vtkObjectBase *ptr = vtkImageHybridMedian2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageIdealHighPass",type))
      {
      vtkObjectBase *ptr = vtkImageIdealHighPassClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageIdealLowPass",type))
      {
      vtkObjectBase *ptr = vtkImageIdealLowPassClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageImport",type))
      {
      vtkObjectBase *ptr = vtkImageImportClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageImportExecutive",type))
      {
      vtkObjectBase *ptr = vtkImageImportExecutiveClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageIslandRemoval2D",type))
      {
      vtkObjectBase *ptr = vtkImageIslandRemoval2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageLaplacian",type))
      {
      vtkObjectBase *ptr = vtkImageLaplacianClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageLogarithmicScale",type))
      {
      vtkObjectBase *ptr = vtkImageLogarithmicScaleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageLogic",type))
      {
      vtkObjectBase *ptr = vtkImageLogicClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageLuminance",type))
      {
      vtkObjectBase *ptr = vtkImageLuminanceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMagnify",type))
      {
      vtkObjectBase *ptr = vtkImageMagnifyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMagnitude",type))
      {
      vtkObjectBase *ptr = vtkImageMagnitudeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMandelbrotSource",type))
      {
      vtkObjectBase *ptr = vtkImageMandelbrotSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMapToColors",type))
      {
      vtkObjectBase *ptr = vtkImageMapToColorsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMapToRGBA",type))
      {
      vtkObjectBase *ptr = vtkImageMapToRGBAClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMapToWindowLevelColors",type))
      {
      vtkObjectBase *ptr = vtkImageMapToWindowLevelColorsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMask",type))
      {
      vtkObjectBase *ptr = vtkImageMaskClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMaskBits",type))
      {
      vtkObjectBase *ptr = vtkImageMaskBitsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMathematics",type))
      {
      vtkObjectBase *ptr = vtkImageMathematicsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMedian3D",type))
      {
      vtkObjectBase *ptr = vtkImageMedian3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMirrorPad",type))
      {
      vtkObjectBase *ptr = vtkImageMirrorPadClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageNoiseSource",type))
      {
      vtkObjectBase *ptr = vtkImageNoiseSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageNonMaximumSuppression",type))
      {
      vtkObjectBase *ptr = vtkImageNonMaximumSuppressionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageNormalize",type))
      {
      vtkObjectBase *ptr = vtkImageNormalizeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageOpenClose3D",type))
      {
      vtkObjectBase *ptr = vtkImageOpenClose3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImagePermute",type))
      {
      vtkObjectBase *ptr = vtkImagePermuteClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageQuantizeRGBToIndex",type))
      {
      vtkObjectBase *ptr = vtkImageQuantizeRGBToIndexClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageRFFT",type))
      {
      vtkObjectBase *ptr = vtkImageRFFTClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageRGBToHSI",type))
      {
      vtkObjectBase *ptr = vtkImageRGBToHSIClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageRGBToHSV",type))
      {
      vtkObjectBase *ptr = vtkImageRGBToHSVClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageRange3D",type))
      {
      vtkObjectBase *ptr = vtkImageRange3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageRectilinearWipe",type))
      {
      vtkObjectBase *ptr = vtkImageRectilinearWipeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageResample",type))
      {
      vtkObjectBase *ptr = vtkImageResampleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageReslice",type))
      {
      vtkObjectBase *ptr = vtkImageResliceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageSeedConnectivity",type))
      {
      vtkObjectBase *ptr = vtkImageSeedConnectivityClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageSeparableConvolution",type))
      {
      vtkObjectBase *ptr = vtkImageSeparableConvolutionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageShiftScale",type))
      {
      vtkObjectBase *ptr = vtkImageShiftScaleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageShrink3D",type))
      {
      vtkObjectBase *ptr = vtkImageShrink3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageSinusoidSource",type))
      {
      vtkObjectBase *ptr = vtkImageSinusoidSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageSkeleton2D",type))
      {
      vtkObjectBase *ptr = vtkImageSkeleton2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageSobel2D",type))
      {
      vtkObjectBase *ptr = vtkImageSobel2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageSobel3D",type))
      {
      vtkObjectBase *ptr = vtkImageSobel3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageStencil",type))
      {
      vtkObjectBase *ptr = vtkImageStencilClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageStencilData",type))
      {
      vtkObjectBase *ptr = vtkImageStencilDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageStencilSource",type))
      {
      vtkObjectBase *ptr = vtkImageStencilSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageThreshold",type))
      {
      vtkObjectBase *ptr = vtkImageThresholdClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageToImageStencil",type))
      {
      vtkObjectBase *ptr = vtkImageToImageStencilClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageTranslateExtent",type))
      {
      vtkObjectBase *ptr = vtkImageTranslateExtentClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageVariance3D",type))
      {
      vtkObjectBase *ptr = vtkImageVariance3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageWrapPad",type))
      {
      vtkObjectBase *ptr = vtkImageWrapPadClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitFunctionToImageStencil",type))
      {
      vtkObjectBase *ptr = vtkImplicitFunctionToImageStencilClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointLoad",type))
      {
      vtkObjectBase *ptr = vtkPointLoadClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSampleFunction",type))
      {
      vtkObjectBase *ptr = vtkSampleFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkShepardMethod",type))
      {
      vtkObjectBase *ptr = vtkShepardMethodClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSimpleImageFilterExample",type))
      {
      vtkObjectBase *ptr = vtkSimpleImageFilterExampleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSurfaceReconstructionFilter",type))
      {
      vtkObjectBase *ptr = vtkSurfaceReconstructionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTriangularTexture",type))
      {
      vtkObjectBase *ptr = vtkTriangularTextureClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVoxelModeller",type))
      {
      vtkObjectBase *ptr = vtkVoxelModellerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
