#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkRenderingCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkActorClientServerNewCommand();
int vtkActorCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkActorCollectionClientServerNewCommand();
int vtkAssemblyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAssemblyClientServerNewCommand();
int vtkAxisActor2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAxisActor2DClientServerNewCommand();
int vtkCameraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCameraClientServerNewCommand();
int vtkCameraInterpolatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCameraInterpolatorClientServerNewCommand();
int vtkCellCenterDepthSortCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellCenterDepthSortClientServerNewCommand();
int vtkCellPickerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCellPickerClientServerNewCommand();
int vtkChooserPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkChooserPainterClientServerNewCommand();
int vtkClipPlanesPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkClipPlanesPainterClientServerNewCommand();
int vtkCoincidentTopologyResolutionPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCoincidentTopologyResolutionPainterClientServerNewCommand();
int vtkCullerCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCullerCollectionClientServerNewCommand();
int vtkDataSetMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetMapperClientServerNewCommand();
int vtkDefaultPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDefaultPainterClientServerNewCommand();
int vtkDisplayListPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDisplayListPainterClientServerNewCommand();
int vtkFollowerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFollowerClientServerNewCommand();
int vtkFrustumCoverageCullerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFrustumCoverageCullerClientServerNewCommand();
int vtkGenericRenderWindowInteractorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericRenderWindowInteractorClientServerNewCommand();
int vtkGraphicsFactoryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGraphicsFactoryClientServerNewCommand();
int vtkHierarchicalPolyDataMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkHierarchicalPolyDataMapperClientServerNewCommand();
int vtkIVExporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIVExporterClientServerNewCommand();
int vtkImageActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageActorClientServerNewCommand();
int vtkImageMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageMapperClientServerNewCommand();
int vtkImageViewerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageViewerClientServerNewCommand();
int vtkImageViewer2Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageViewer2ClientServerNewCommand();
int vtkImagingFactoryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImagingFactoryClientServerNewCommand();
int vtkInteractorEventRecorderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorEventRecorderClientServerNewCommand();
int vtkInteractorStyleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleClientServerNewCommand();
int vtkInteractorStyleFlightCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleFlightClientServerNewCommand();
int vtkInteractorStyleImageCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleImageClientServerNewCommand();
int vtkInteractorStyleJoystickActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleJoystickActorClientServerNewCommand();
int vtkInteractorStyleJoystickCameraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleJoystickCameraClientServerNewCommand();
int vtkInteractorStyleRubberBandZoomCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleRubberBandZoomClientServerNewCommand();
int vtkInteractorStyleSwitchCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleSwitchClientServerNewCommand();
int vtkInteractorStyleTerrainCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleTerrainClientServerNewCommand();
int vtkInteractorStyleTrackballCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleTrackballClientServerNewCommand();
int vtkInteractorStyleTrackballActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleTrackballActorClientServerNewCommand();
int vtkInteractorStyleTrackballCameraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleTrackballCameraClientServerNewCommand();
int vtkInteractorStyleUnicamCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleUnicamClientServerNewCommand();
int vtkInteractorStyleUserCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInteractorStyleUserClientServerNewCommand();
int vtkLODActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLODActorClientServerNewCommand();
int vtkLODProp3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLODProp3DClientServerNewCommand();
int vtkLabeledDataMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLabeledDataMapperClientServerNewCommand();
int vtkLightCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLightClientServerNewCommand();
int vtkLightCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLightCollectionClientServerNewCommand();
int vtkLightKitCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLightKitClientServerNewCommand();
int vtkLightingPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLightingPainterClientServerNewCommand();
int vtkLinesPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLinesPainterClientServerNewCommand();
int vtkMapperCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMapperCollectionClientServerNewCommand();
int vtkMultiGroupPolyDataMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupPolyDataMapperClientServerNewCommand();
int vtkOBJExporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOBJExporterClientServerNewCommand();
int vtkOOGLExporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOOGLExporterClientServerNewCommand();
int vtkPainterDeviceAdapterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPainterDeviceAdapterClientServerNewCommand();
int vtkPainterPolyDataMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPainterPolyDataMapperClientServerNewCommand();
int vtkParallelCoordinatesActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParallelCoordinatesActorClientServerNewCommand();
int vtkPickerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPickerClientServerNewCommand();
int vtkPointsPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointsPainterClientServerNewCommand();
int vtkPointPickerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointPickerClientServerNewCommand();
int vtkPolyDataMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataMapperClientServerNewCommand();
int vtkPolyDataMapper2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataMapper2DClientServerNewCommand();
int vtkPolygonsPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolygonsPainterClientServerNewCommand();
int vtkProp3DCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProp3DCollectionClientServerNewCommand();
int vtkPropPickerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPropPickerClientServerNewCommand();
int vtkPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPropertyClientServerNewCommand();
int vtkQuaternionInterpolatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkQuaternionInterpolatorClientServerNewCommand();
int vtkRenderWindowCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRenderWindowClientServerNewCommand();
int vtkRenderWindowCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRenderWindowCollectionClientServerNewCommand();
int vtkRenderWindowInteractorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRenderWindowInteractorClientServerNewCommand();
int vtkRendererCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRendererClientServerNewCommand();
int vtkRendererCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRendererCollectionClientServerNewCommand();
int vtkRendererSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRendererSourceClientServerNewCommand();
int vtkRepresentationPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRepresentationPainterClientServerNewCommand();
int vtkScalarBarActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkScalarBarActorClientServerNewCommand();
int vtkScalarsToColorsPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkScalarsToColorsPainterClientServerNewCommand();
int vtkScaledTextActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkScaledTextActorClientServerNewCommand();
int vtkSelectVisiblePointsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSelectVisiblePointsClientServerNewCommand();
int vtkStandardPolyDataPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStandardPolyDataPainterClientServerNewCommand();
int vtkTestingCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTestingClientServerNewCommand();
int vtkTextActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextActorClientServerNewCommand();
int vtkTextActor3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextActor3DClientServerNewCommand();
int vtkTextMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextMapperClientServerNewCommand();
int vtkTextPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextPropertyClientServerNewCommand();
int vtkTextureCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTextureClientServerNewCommand();
int vtkTransformInterpolatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformInterpolatorClientServerNewCommand();
int vtkTStripsPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTStripsPainterClientServerNewCommand();
int vtkTupleInterpolatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTupleInterpolatorClientServerNewCommand();
int vtkVRMLExporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVRMLExporterClientServerNewCommand();
int vtkVolumeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeClientServerNewCommand();
int vtkVolumeCollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeCollectionClientServerNewCommand();
int vtkVolumePropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumePropertyClientServerNewCommand();
int vtkWindowToImageFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWindowToImageFilterClientServerNewCommand();
int vtkWorldPointPickerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWorldPointPickerClientServerNewCommand();
int vtkXRenderWindowInteractorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXRenderWindowInteractorClientServerNewCommand();
int vtkOpenGLActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLActorClientServerNewCommand();
int vtkOpenGLCameraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLCameraClientServerNewCommand();
int vtkOpenGLClipPlanesPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLClipPlanesPainterClientServerNewCommand();
int vtkOpenGLCoincidentTopologyResolutionPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLCoincidentTopologyResolutionPainterClientServerNewCommand();
int vtkOpenGLDisplayListPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLDisplayListPainterClientServerNewCommand();
int vtkOpenGLExtensionManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLExtensionManagerClientServerNewCommand();
int vtkOpenGLImageActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLImageActorClientServerNewCommand();
int vtkOpenGLImageMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLImageMapperClientServerNewCommand();
int vtkOpenGLLightCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLLightClientServerNewCommand();
int vtkOpenGLLightingPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLLightingPainterClientServerNewCommand();
int vtkOpenGLPainterDeviceAdapterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLPainterDeviceAdapterClientServerNewCommand();
int vtkOpenGLPolyDataMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLPolyDataMapperClientServerNewCommand();
int vtkOpenGLPolyDataMapper2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLPolyDataMapper2DClientServerNewCommand();
int vtkOpenGLPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLPropertyClientServerNewCommand();
int vtkOpenGLRendererCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLRendererClientServerNewCommand();
int vtkOpenGLRepresentationPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLRepresentationPainterClientServerNewCommand();
int vtkOpenGLScalarsToColorsPainterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLScalarsToColorsPainterClientServerNewCommand();
int vtkOpenGLTextureCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLTextureClientServerNewCommand();
int vtkOpenGLFreeTypeTextMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLFreeTypeTextMapperClientServerNewCommand();
int vtkXOpenGLRenderWindowCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXOpenGLRenderWindowClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkRenderingCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkRenderingCS_NewInstance);

    arlu->AddCommandFunction("vtkActor",vtkActorCommand);
  arlu->AddCommandFunction("vtkActorCollection",vtkActorCollectionCommand);
  arlu->AddCommandFunction("vtkAssembly",vtkAssemblyCommand);
  arlu->AddCommandFunction("vtkAxisActor2D",vtkAxisActor2DCommand);
  arlu->AddCommandFunction("vtkCamera",vtkCameraCommand);
  arlu->AddCommandFunction("vtkCameraInterpolator",vtkCameraInterpolatorCommand);
  arlu->AddCommandFunction("vtkCellCenterDepthSort",vtkCellCenterDepthSortCommand);
  arlu->AddCommandFunction("vtkCellPicker",vtkCellPickerCommand);
  arlu->AddCommandFunction("vtkChooserPainter",vtkChooserPainterCommand);
  arlu->AddCommandFunction("vtkClipPlanesPainter",vtkClipPlanesPainterCommand);
  arlu->AddCommandFunction("vtkCoincidentTopologyResolutionPainter",vtkCoincidentTopologyResolutionPainterCommand);
  arlu->AddCommandFunction("vtkCullerCollection",vtkCullerCollectionCommand);
  arlu->AddCommandFunction("vtkDataSetMapper",vtkDataSetMapperCommand);
  arlu->AddCommandFunction("vtkDefaultPainter",vtkDefaultPainterCommand);
  arlu->AddCommandFunction("vtkDisplayListPainter",vtkDisplayListPainterCommand);
  arlu->AddCommandFunction("vtkFollower",vtkFollowerCommand);
  arlu->AddCommandFunction("vtkFrustumCoverageCuller",vtkFrustumCoverageCullerCommand);
  arlu->AddCommandFunction("vtkGenericRenderWindowInteractor",vtkGenericRenderWindowInteractorCommand);
  arlu->AddCommandFunction("vtkGraphicsFactory",vtkGraphicsFactoryCommand);
  arlu->AddCommandFunction("vtkHierarchicalPolyDataMapper",vtkHierarchicalPolyDataMapperCommand);
  arlu->AddCommandFunction("vtkIVExporter",vtkIVExporterCommand);
  arlu->AddCommandFunction("vtkImageActor",vtkImageActorCommand);
  arlu->AddCommandFunction("vtkImageMapper",vtkImageMapperCommand);
  arlu->AddCommandFunction("vtkImageViewer",vtkImageViewerCommand);
  arlu->AddCommandFunction("vtkImageViewer2",vtkImageViewer2Command);
  arlu->AddCommandFunction("vtkImagingFactory",vtkImagingFactoryCommand);
  arlu->AddCommandFunction("vtkInteractorEventRecorder",vtkInteractorEventRecorderCommand);
  arlu->AddCommandFunction("vtkInteractorStyle",vtkInteractorStyleCommand);
  arlu->AddCommandFunction("vtkInteractorStyleFlight",vtkInteractorStyleFlightCommand);
  arlu->AddCommandFunction("vtkInteractorStyleImage",vtkInteractorStyleImageCommand);
  arlu->AddCommandFunction("vtkInteractorStyleJoystickActor",vtkInteractorStyleJoystickActorCommand);
  arlu->AddCommandFunction("vtkInteractorStyleJoystickCamera",vtkInteractorStyleJoystickCameraCommand);
  arlu->AddCommandFunction("vtkInteractorStyleRubberBandZoom",vtkInteractorStyleRubberBandZoomCommand);
  arlu->AddCommandFunction("vtkInteractorStyleSwitch",vtkInteractorStyleSwitchCommand);
  arlu->AddCommandFunction("vtkInteractorStyleTerrain",vtkInteractorStyleTerrainCommand);
  arlu->AddCommandFunction("vtkInteractorStyleTrackball",vtkInteractorStyleTrackballCommand);
  arlu->AddCommandFunction("vtkInteractorStyleTrackballActor",vtkInteractorStyleTrackballActorCommand);
  arlu->AddCommandFunction("vtkInteractorStyleTrackballCamera",vtkInteractorStyleTrackballCameraCommand);
  arlu->AddCommandFunction("vtkInteractorStyleUnicam",vtkInteractorStyleUnicamCommand);
  arlu->AddCommandFunction("vtkInteractorStyleUser",vtkInteractorStyleUserCommand);
  arlu->AddCommandFunction("vtkLODActor",vtkLODActorCommand);
  arlu->AddCommandFunction("vtkLODProp3D",vtkLODProp3DCommand);
  arlu->AddCommandFunction("vtkLabeledDataMapper",vtkLabeledDataMapperCommand);
  arlu->AddCommandFunction("vtkLight",vtkLightCommand);
  arlu->AddCommandFunction("vtkLightCollection",vtkLightCollectionCommand);
  arlu->AddCommandFunction("vtkLightKit",vtkLightKitCommand);
  arlu->AddCommandFunction("vtkLightingPainter",vtkLightingPainterCommand);
  arlu->AddCommandFunction("vtkLinesPainter",vtkLinesPainterCommand);
  arlu->AddCommandFunction("vtkMapperCollection",vtkMapperCollectionCommand);
  arlu->AddCommandFunction("vtkMultiGroupPolyDataMapper",vtkMultiGroupPolyDataMapperCommand);
  arlu->AddCommandFunction("vtkOBJExporter",vtkOBJExporterCommand);
  arlu->AddCommandFunction("vtkOOGLExporter",vtkOOGLExporterCommand);
  arlu->AddCommandFunction("vtkPainterDeviceAdapter",vtkPainterDeviceAdapterCommand);
  arlu->AddCommandFunction("vtkPainterPolyDataMapper",vtkPainterPolyDataMapperCommand);
  arlu->AddCommandFunction("vtkParallelCoordinatesActor",vtkParallelCoordinatesActorCommand);
  arlu->AddCommandFunction("vtkPicker",vtkPickerCommand);
  arlu->AddCommandFunction("vtkPointsPainter",vtkPointsPainterCommand);
  arlu->AddCommandFunction("vtkPointPicker",vtkPointPickerCommand);
  arlu->AddCommandFunction("vtkPolyDataMapper",vtkPolyDataMapperCommand);
  arlu->AddCommandFunction("vtkPolyDataMapper2D",vtkPolyDataMapper2DCommand);
  arlu->AddCommandFunction("vtkPolygonsPainter",vtkPolygonsPainterCommand);
  arlu->AddCommandFunction("vtkProp3DCollection",vtkProp3DCollectionCommand);
  arlu->AddCommandFunction("vtkPropPicker",vtkPropPickerCommand);
  arlu->AddCommandFunction("vtkProperty",vtkPropertyCommand);
  arlu->AddCommandFunction("vtkQuaternionInterpolator",vtkQuaternionInterpolatorCommand);
  arlu->AddCommandFunction("vtkRenderWindow",vtkRenderWindowCommand);
  arlu->AddCommandFunction("vtkRenderWindowCollection",vtkRenderWindowCollectionCommand);
  arlu->AddCommandFunction("vtkRenderWindowInteractor",vtkRenderWindowInteractorCommand);
  arlu->AddCommandFunction("vtkRenderer",vtkRendererCommand);
  arlu->AddCommandFunction("vtkRendererCollection",vtkRendererCollectionCommand);
  arlu->AddCommandFunction("vtkRendererSource",vtkRendererSourceCommand);
  arlu->AddCommandFunction("vtkRepresentationPainter",vtkRepresentationPainterCommand);
  arlu->AddCommandFunction("vtkScalarBarActor",vtkScalarBarActorCommand);
  arlu->AddCommandFunction("vtkScalarsToColorsPainter",vtkScalarsToColorsPainterCommand);
  arlu->AddCommandFunction("vtkScaledTextActor",vtkScaledTextActorCommand);
  arlu->AddCommandFunction("vtkSelectVisiblePoints",vtkSelectVisiblePointsCommand);
  arlu->AddCommandFunction("vtkStandardPolyDataPainter",vtkStandardPolyDataPainterCommand);
  arlu->AddCommandFunction("vtkTesting",vtkTestingCommand);
  arlu->AddCommandFunction("vtkTextActor",vtkTextActorCommand);
  arlu->AddCommandFunction("vtkTextActor3D",vtkTextActor3DCommand);
  arlu->AddCommandFunction("vtkTextMapper",vtkTextMapperCommand);
  arlu->AddCommandFunction("vtkTextProperty",vtkTextPropertyCommand);
  arlu->AddCommandFunction("vtkTexture",vtkTextureCommand);
  arlu->AddCommandFunction("vtkTransformInterpolator",vtkTransformInterpolatorCommand);
  arlu->AddCommandFunction("vtkTStripsPainter",vtkTStripsPainterCommand);
  arlu->AddCommandFunction("vtkTupleInterpolator",vtkTupleInterpolatorCommand);
  arlu->AddCommandFunction("vtkVRMLExporter",vtkVRMLExporterCommand);
  arlu->AddCommandFunction("vtkVolume",vtkVolumeCommand);
  arlu->AddCommandFunction("vtkVolumeCollection",vtkVolumeCollectionCommand);
  arlu->AddCommandFunction("vtkVolumeProperty",vtkVolumePropertyCommand);
  arlu->AddCommandFunction("vtkWindowToImageFilter",vtkWindowToImageFilterCommand);
  arlu->AddCommandFunction("vtkWorldPointPicker",vtkWorldPointPickerCommand);
  arlu->AddCommandFunction("vtkXRenderWindowInteractor",vtkXRenderWindowInteractorCommand);
  arlu->AddCommandFunction("vtkOpenGLActor",vtkOpenGLActorCommand);
  arlu->AddCommandFunction("vtkOpenGLCamera",vtkOpenGLCameraCommand);
  arlu->AddCommandFunction("vtkOpenGLClipPlanesPainter",vtkOpenGLClipPlanesPainterCommand);
  arlu->AddCommandFunction("vtkOpenGLCoincidentTopologyResolutionPainter",vtkOpenGLCoincidentTopologyResolutionPainterCommand);
  arlu->AddCommandFunction("vtkOpenGLDisplayListPainter",vtkOpenGLDisplayListPainterCommand);
  arlu->AddCommandFunction("vtkOpenGLExtensionManager",vtkOpenGLExtensionManagerCommand);
  arlu->AddCommandFunction("vtkOpenGLImageActor",vtkOpenGLImageActorCommand);
  arlu->AddCommandFunction("vtkOpenGLImageMapper",vtkOpenGLImageMapperCommand);
  arlu->AddCommandFunction("vtkOpenGLLight",vtkOpenGLLightCommand);
  arlu->AddCommandFunction("vtkOpenGLLightingPainter",vtkOpenGLLightingPainterCommand);
  arlu->AddCommandFunction("vtkOpenGLPainterDeviceAdapter",vtkOpenGLPainterDeviceAdapterCommand);
  arlu->AddCommandFunction("vtkOpenGLPolyDataMapper",vtkOpenGLPolyDataMapperCommand);
  arlu->AddCommandFunction("vtkOpenGLPolyDataMapper2D",vtkOpenGLPolyDataMapper2DCommand);
  arlu->AddCommandFunction("vtkOpenGLProperty",vtkOpenGLPropertyCommand);
  arlu->AddCommandFunction("vtkOpenGLRenderer",vtkOpenGLRendererCommand);
  arlu->AddCommandFunction("vtkOpenGLRepresentationPainter",vtkOpenGLRepresentationPainterCommand);
  arlu->AddCommandFunction("vtkOpenGLScalarsToColorsPainter",vtkOpenGLScalarsToColorsPainterCommand);
  arlu->AddCommandFunction("vtkOpenGLTexture",vtkOpenGLTextureCommand);
  arlu->AddCommandFunction("vtkOpenGLFreeTypeTextMapper",vtkOpenGLFreeTypeTextMapperCommand);
  arlu->AddCommandFunction("vtkXOpenGLRenderWindow",vtkXOpenGLRenderWindowCommand);

}

static int vtkRenderingCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkActor",type))
      {
      vtkObjectBase *ptr = vtkActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkActorCollection",type))
      {
      vtkObjectBase *ptr = vtkActorCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAssembly",type))
      {
      vtkObjectBase *ptr = vtkAssemblyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAxisActor2D",type))
      {
      vtkObjectBase *ptr = vtkAxisActor2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCamera",type))
      {
      vtkObjectBase *ptr = vtkCameraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCameraInterpolator",type))
      {
      vtkObjectBase *ptr = vtkCameraInterpolatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellCenterDepthSort",type))
      {
      vtkObjectBase *ptr = vtkCellCenterDepthSortClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCellPicker",type))
      {
      vtkObjectBase *ptr = vtkCellPickerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkChooserPainter",type))
      {
      vtkObjectBase *ptr = vtkChooserPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkClipPlanesPainter",type))
      {
      vtkObjectBase *ptr = vtkClipPlanesPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCoincidentTopologyResolutionPainter",type))
      {
      vtkObjectBase *ptr = vtkCoincidentTopologyResolutionPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCullerCollection",type))
      {
      vtkObjectBase *ptr = vtkCullerCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetMapper",type))
      {
      vtkObjectBase *ptr = vtkDataSetMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDefaultPainter",type))
      {
      vtkObjectBase *ptr = vtkDefaultPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDisplayListPainter",type))
      {
      vtkObjectBase *ptr = vtkDisplayListPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFollower",type))
      {
      vtkObjectBase *ptr = vtkFollowerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFrustumCoverageCuller",type))
      {
      vtkObjectBase *ptr = vtkFrustumCoverageCullerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericRenderWindowInteractor",type))
      {
      vtkObjectBase *ptr = vtkGenericRenderWindowInteractorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGraphicsFactory",type))
      {
      vtkObjectBase *ptr = vtkGraphicsFactoryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkHierarchicalPolyDataMapper",type))
      {
      vtkObjectBase *ptr = vtkHierarchicalPolyDataMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIVExporter",type))
      {
      vtkObjectBase *ptr = vtkIVExporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageActor",type))
      {
      vtkObjectBase *ptr = vtkImageActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageMapper",type))
      {
      vtkObjectBase *ptr = vtkImageMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageViewer",type))
      {
      vtkObjectBase *ptr = vtkImageViewerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageViewer2",type))
      {
      vtkObjectBase *ptr = vtkImageViewer2ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImagingFactory",type))
      {
      vtkObjectBase *ptr = vtkImagingFactoryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorEventRecorder",type))
      {
      vtkObjectBase *ptr = vtkInteractorEventRecorderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyle",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleFlight",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleFlightClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleImage",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleImageClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleJoystickActor",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleJoystickActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleJoystickCamera",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleJoystickCameraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleRubberBandZoom",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleRubberBandZoomClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleSwitch",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleSwitchClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleTerrain",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleTerrainClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleTrackball",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleTrackballClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleTrackballActor",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleTrackballActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleTrackballCamera",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleTrackballCameraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleUnicam",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleUnicamClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInteractorStyleUser",type))
      {
      vtkObjectBase *ptr = vtkInteractorStyleUserClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLODActor",type))
      {
      vtkObjectBase *ptr = vtkLODActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLODProp3D",type))
      {
      vtkObjectBase *ptr = vtkLODProp3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLabeledDataMapper",type))
      {
      vtkObjectBase *ptr = vtkLabeledDataMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLight",type))
      {
      vtkObjectBase *ptr = vtkLightClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLightCollection",type))
      {
      vtkObjectBase *ptr = vtkLightCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLightKit",type))
      {
      vtkObjectBase *ptr = vtkLightKitClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLightingPainter",type))
      {
      vtkObjectBase *ptr = vtkLightingPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLinesPainter",type))
      {
      vtkObjectBase *ptr = vtkLinesPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMapperCollection",type))
      {
      vtkObjectBase *ptr = vtkMapperCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupPolyDataMapper",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupPolyDataMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOBJExporter",type))
      {
      vtkObjectBase *ptr = vtkOBJExporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOOGLExporter",type))
      {
      vtkObjectBase *ptr = vtkOOGLExporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPainterDeviceAdapter",type))
      {
      vtkObjectBase *ptr = vtkPainterDeviceAdapterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPainterPolyDataMapper",type))
      {
      vtkObjectBase *ptr = vtkPainterPolyDataMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParallelCoordinatesActor",type))
      {
      vtkObjectBase *ptr = vtkParallelCoordinatesActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPicker",type))
      {
      vtkObjectBase *ptr = vtkPickerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointsPainter",type))
      {
      vtkObjectBase *ptr = vtkPointsPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointPicker",type))
      {
      vtkObjectBase *ptr = vtkPointPickerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataMapper",type))
      {
      vtkObjectBase *ptr = vtkPolyDataMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataMapper2D",type))
      {
      vtkObjectBase *ptr = vtkPolyDataMapper2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolygonsPainter",type))
      {
      vtkObjectBase *ptr = vtkPolygonsPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProp3DCollection",type))
      {
      vtkObjectBase *ptr = vtkProp3DCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPropPicker",type))
      {
      vtkObjectBase *ptr = vtkPropPickerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProperty",type))
      {
      vtkObjectBase *ptr = vtkPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkQuaternionInterpolator",type))
      {
      vtkObjectBase *ptr = vtkQuaternionInterpolatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRenderWindow",type))
      {
      vtkObjectBase *ptr = vtkRenderWindowClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRenderWindowCollection",type))
      {
      vtkObjectBase *ptr = vtkRenderWindowCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRenderWindowInteractor",type))
      {
      vtkObjectBase *ptr = vtkRenderWindowInteractorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRenderer",type))
      {
      vtkObjectBase *ptr = vtkRendererClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRendererCollection",type))
      {
      vtkObjectBase *ptr = vtkRendererCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRendererSource",type))
      {
      vtkObjectBase *ptr = vtkRendererSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRepresentationPainter",type))
      {
      vtkObjectBase *ptr = vtkRepresentationPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkScalarBarActor",type))
      {
      vtkObjectBase *ptr = vtkScalarBarActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkScalarsToColorsPainter",type))
      {
      vtkObjectBase *ptr = vtkScalarsToColorsPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkScaledTextActor",type))
      {
      vtkObjectBase *ptr = vtkScaledTextActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSelectVisiblePoints",type))
      {
      vtkObjectBase *ptr = vtkSelectVisiblePointsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStandardPolyDataPainter",type))
      {
      vtkObjectBase *ptr = vtkStandardPolyDataPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTesting",type))
      {
      vtkObjectBase *ptr = vtkTestingClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextActor",type))
      {
      vtkObjectBase *ptr = vtkTextActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextActor3D",type))
      {
      vtkObjectBase *ptr = vtkTextActor3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextMapper",type))
      {
      vtkObjectBase *ptr = vtkTextMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTextProperty",type))
      {
      vtkObjectBase *ptr = vtkTextPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTexture",type))
      {
      vtkObjectBase *ptr = vtkTextureClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransformInterpolator",type))
      {
      vtkObjectBase *ptr = vtkTransformInterpolatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTStripsPainter",type))
      {
      vtkObjectBase *ptr = vtkTStripsPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTupleInterpolator",type))
      {
      vtkObjectBase *ptr = vtkTupleInterpolatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVRMLExporter",type))
      {
      vtkObjectBase *ptr = vtkVRMLExporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolume",type))
      {
      vtkObjectBase *ptr = vtkVolumeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeCollection",type))
      {
      vtkObjectBase *ptr = vtkVolumeCollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeProperty",type))
      {
      vtkObjectBase *ptr = vtkVolumePropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWindowToImageFilter",type))
      {
      vtkObjectBase *ptr = vtkWindowToImageFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWorldPointPicker",type))
      {
      vtkObjectBase *ptr = vtkWorldPointPickerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXRenderWindowInteractor",type))
      {
      vtkObjectBase *ptr = vtkXRenderWindowInteractorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLActor",type))
      {
      vtkObjectBase *ptr = vtkOpenGLActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLCamera",type))
      {
      vtkObjectBase *ptr = vtkOpenGLCameraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLClipPlanesPainter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLClipPlanesPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLCoincidentTopologyResolutionPainter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLCoincidentTopologyResolutionPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLDisplayListPainter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLDisplayListPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLExtensionManager",type))
      {
      vtkObjectBase *ptr = vtkOpenGLExtensionManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLImageActor",type))
      {
      vtkObjectBase *ptr = vtkOpenGLImageActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLImageMapper",type))
      {
      vtkObjectBase *ptr = vtkOpenGLImageMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLLight",type))
      {
      vtkObjectBase *ptr = vtkOpenGLLightClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLLightingPainter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLLightingPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLPainterDeviceAdapter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLPainterDeviceAdapterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLPolyDataMapper",type))
      {
      vtkObjectBase *ptr = vtkOpenGLPolyDataMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLPolyDataMapper2D",type))
      {
      vtkObjectBase *ptr = vtkOpenGLPolyDataMapper2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLProperty",type))
      {
      vtkObjectBase *ptr = vtkOpenGLPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLRenderer",type))
      {
      vtkObjectBase *ptr = vtkOpenGLRendererClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLRepresentationPainter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLRepresentationPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLScalarsToColorsPainter",type))
      {
      vtkObjectBase *ptr = vtkOpenGLScalarsToColorsPainterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLTexture",type))
      {
      vtkObjectBase *ptr = vtkOpenGLTextureClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLFreeTypeTextMapper",type))
      {
      vtkObjectBase *ptr = vtkOpenGLFreeTypeTextMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXOpenGLRenderWindow",type))
      {
      vtkObjectBase *ptr = vtkXOpenGLRenderWindowClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
