#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkVolumeRenderingCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkEncodedGradientShaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEncodedGradientShaderClientServerNewCommand();
int vtkFiniteDifferenceGradientEstimatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFiniteDifferenceGradientEstimatorClientServerNewCommand();
int vtkFixedPointRayCastImageCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointRayCastImageClientServerNewCommand();
int vtkFixedPointVolumeRayCastCompositeGOHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointVolumeRayCastCompositeGOHelperClientServerNewCommand();
int vtkFixedPointVolumeRayCastCompositeGOShadeHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointVolumeRayCastCompositeGOShadeHelperClientServerNewCommand();
int vtkFixedPointVolumeRayCastCompositeHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointVolumeRayCastCompositeHelperClientServerNewCommand();
int vtkFixedPointVolumeRayCastCompositeShadeHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointVolumeRayCastCompositeShadeHelperClientServerNewCommand();
int vtkFixedPointVolumeRayCastMIPHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointVolumeRayCastMIPHelperClientServerNewCommand();
int vtkFixedPointVolumeRayCastMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFixedPointVolumeRayCastMapperClientServerNewCommand();
int vtkProjectedTetrahedraMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProjectedTetrahedraMapperClientServerNewCommand();
int vtkRecursiveSphereDirectionEncoderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRecursiveSphereDirectionEncoderClientServerNewCommand();
int vtkSphericalDirectionEncoderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSphericalDirectionEncoderClientServerNewCommand();
int vtkVolumeRayCastCompositeFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeRayCastCompositeFunctionClientServerNewCommand();
int vtkVolumeRayCastIsosurfaceFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeRayCastIsosurfaceFunctionClientServerNewCommand();
int vtkVolumeRayCastMIPFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeRayCastMIPFunctionClientServerNewCommand();
int vtkVolumeRayCastMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeRayCastMapperClientServerNewCommand();
int vtkVolumeRenderingFactoryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeRenderingFactoryClientServerNewCommand();
int vtkVolumeTextureMapper2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeTextureMapper2DClientServerNewCommand();
int vtkVolumeTextureMapper3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolumeTextureMapper3DClientServerNewCommand();
int vtkUnstructuredGridBunykRayCastFunctionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridBunykRayCastFunctionClientServerNewCommand();
int vtkUnstructuredGridHomogeneousRayIntegratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridHomogeneousRayIntegratorClientServerNewCommand();
int vtkUnstructuredGridLinearRayIntegratorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridLinearRayIntegratorClientServerNewCommand();
int vtkUnstructuredGridPartialPreIntegrationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridPartialPreIntegrationClientServerNewCommand();
int vtkUnstructuredGridPreIntegrationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridPreIntegrationClientServerNewCommand();
int vtkUnstructuredGridVolumeRayCastMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridVolumeRayCastMapperClientServerNewCommand();
int vtkUnstructuredGridVolumeZSweepMapperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridVolumeZSweepMapperClientServerNewCommand();
int vtkOpenGLRayCastImageDisplayHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLRayCastImageDisplayHelperClientServerNewCommand();
int vtkOpenGLVolumeTextureMapper2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLVolumeTextureMapper2DClientServerNewCommand();
int vtkOpenGLVolumeTextureMapper3DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOpenGLVolumeTextureMapper3DClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkVolumeRenderingCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkVolumeRenderingCS_NewInstance);

    arlu->AddCommandFunction("vtkEncodedGradientShader",vtkEncodedGradientShaderCommand);
  arlu->AddCommandFunction("vtkFiniteDifferenceGradientEstimator",vtkFiniteDifferenceGradientEstimatorCommand);
  arlu->AddCommandFunction("vtkFixedPointRayCastImage",vtkFixedPointRayCastImageCommand);
  arlu->AddCommandFunction("vtkFixedPointVolumeRayCastCompositeGOHelper",vtkFixedPointVolumeRayCastCompositeGOHelperCommand);
  arlu->AddCommandFunction("vtkFixedPointVolumeRayCastCompositeGOShadeHelper",vtkFixedPointVolumeRayCastCompositeGOShadeHelperCommand);
  arlu->AddCommandFunction("vtkFixedPointVolumeRayCastCompositeHelper",vtkFixedPointVolumeRayCastCompositeHelperCommand);
  arlu->AddCommandFunction("vtkFixedPointVolumeRayCastCompositeShadeHelper",vtkFixedPointVolumeRayCastCompositeShadeHelperCommand);
  arlu->AddCommandFunction("vtkFixedPointVolumeRayCastMIPHelper",vtkFixedPointVolumeRayCastMIPHelperCommand);
  arlu->AddCommandFunction("vtkFixedPointVolumeRayCastMapper",vtkFixedPointVolumeRayCastMapperCommand);
  arlu->AddCommandFunction("vtkProjectedTetrahedraMapper",vtkProjectedTetrahedraMapperCommand);
  arlu->AddCommandFunction("vtkRecursiveSphereDirectionEncoder",vtkRecursiveSphereDirectionEncoderCommand);
  arlu->AddCommandFunction("vtkSphericalDirectionEncoder",vtkSphericalDirectionEncoderCommand);
  arlu->AddCommandFunction("vtkVolumeRayCastCompositeFunction",vtkVolumeRayCastCompositeFunctionCommand);
  arlu->AddCommandFunction("vtkVolumeRayCastIsosurfaceFunction",vtkVolumeRayCastIsosurfaceFunctionCommand);
  arlu->AddCommandFunction("vtkVolumeRayCastMIPFunction",vtkVolumeRayCastMIPFunctionCommand);
  arlu->AddCommandFunction("vtkVolumeRayCastMapper",vtkVolumeRayCastMapperCommand);
  arlu->AddCommandFunction("vtkVolumeRenderingFactory",vtkVolumeRenderingFactoryCommand);
  arlu->AddCommandFunction("vtkVolumeTextureMapper2D",vtkVolumeTextureMapper2DCommand);
  arlu->AddCommandFunction("vtkVolumeTextureMapper3D",vtkVolumeTextureMapper3DCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridBunykRayCastFunction",vtkUnstructuredGridBunykRayCastFunctionCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridHomogeneousRayIntegrator",vtkUnstructuredGridHomogeneousRayIntegratorCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridLinearRayIntegrator",vtkUnstructuredGridLinearRayIntegratorCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridPartialPreIntegration",vtkUnstructuredGridPartialPreIntegrationCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridPreIntegration",vtkUnstructuredGridPreIntegrationCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridVolumeRayCastMapper",vtkUnstructuredGridVolumeRayCastMapperCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridVolumeZSweepMapper",vtkUnstructuredGridVolumeZSweepMapperCommand);
  arlu->AddCommandFunction("vtkOpenGLRayCastImageDisplayHelper",vtkOpenGLRayCastImageDisplayHelperCommand);
  arlu->AddCommandFunction("vtkOpenGLVolumeTextureMapper2D",vtkOpenGLVolumeTextureMapper2DCommand);
  arlu->AddCommandFunction("vtkOpenGLVolumeTextureMapper3D",vtkOpenGLVolumeTextureMapper3DCommand);

}

static int vtkVolumeRenderingCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkEncodedGradientShader",type))
      {
      vtkObjectBase *ptr = vtkEncodedGradientShaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFiniteDifferenceGradientEstimator",type))
      {
      vtkObjectBase *ptr = vtkFiniteDifferenceGradientEstimatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointRayCastImage",type))
      {
      vtkObjectBase *ptr = vtkFixedPointRayCastImageClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointVolumeRayCastCompositeGOHelper",type))
      {
      vtkObjectBase *ptr = vtkFixedPointVolumeRayCastCompositeGOHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointVolumeRayCastCompositeGOShadeHelper",type))
      {
      vtkObjectBase *ptr = vtkFixedPointVolumeRayCastCompositeGOShadeHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointVolumeRayCastCompositeHelper",type))
      {
      vtkObjectBase *ptr = vtkFixedPointVolumeRayCastCompositeHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointVolumeRayCastCompositeShadeHelper",type))
      {
      vtkObjectBase *ptr = vtkFixedPointVolumeRayCastCompositeShadeHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointVolumeRayCastMIPHelper",type))
      {
      vtkObjectBase *ptr = vtkFixedPointVolumeRayCastMIPHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFixedPointVolumeRayCastMapper",type))
      {
      vtkObjectBase *ptr = vtkFixedPointVolumeRayCastMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProjectedTetrahedraMapper",type))
      {
      vtkObjectBase *ptr = vtkProjectedTetrahedraMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRecursiveSphereDirectionEncoder",type))
      {
      vtkObjectBase *ptr = vtkRecursiveSphereDirectionEncoderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSphericalDirectionEncoder",type))
      {
      vtkObjectBase *ptr = vtkSphericalDirectionEncoderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeRayCastCompositeFunction",type))
      {
      vtkObjectBase *ptr = vtkVolumeRayCastCompositeFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeRayCastIsosurfaceFunction",type))
      {
      vtkObjectBase *ptr = vtkVolumeRayCastIsosurfaceFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeRayCastMIPFunction",type))
      {
      vtkObjectBase *ptr = vtkVolumeRayCastMIPFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeRayCastMapper",type))
      {
      vtkObjectBase *ptr = vtkVolumeRayCastMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeRenderingFactory",type))
      {
      vtkObjectBase *ptr = vtkVolumeRenderingFactoryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeTextureMapper2D",type))
      {
      vtkObjectBase *ptr = vtkVolumeTextureMapper2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolumeTextureMapper3D",type))
      {
      vtkObjectBase *ptr = vtkVolumeTextureMapper3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridBunykRayCastFunction",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridBunykRayCastFunctionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridHomogeneousRayIntegrator",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridHomogeneousRayIntegratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridLinearRayIntegrator",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridLinearRayIntegratorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridPartialPreIntegration",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridPartialPreIntegrationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridPreIntegration",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridPreIntegrationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridVolumeRayCastMapper",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridVolumeRayCastMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridVolumeZSweepMapper",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridVolumeZSweepMapperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLRayCastImageDisplayHelper",type))
      {
      vtkObjectBase *ptr = vtkOpenGLRayCastImageDisplayHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLVolumeTextureMapper2D",type))
      {
      vtkObjectBase *ptr = vtkOpenGLVolumeTextureMapper2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOpenGLVolumeTextureMapper3D",type))
      {
      vtkObjectBase *ptr = vtkOpenGLVolumeTextureMapper3DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
