#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkXdmfCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkXdmfReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXdmfReaderClientServerNewCommand();
int vtkXdmfWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXdmfWriterClientServerNewCommand();
int vtkXdmfOpenGLCameraCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXdmfOpenGLCameraClientServerNewCommand();
int vtkXdmfRenderWindowInteractorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXdmfRenderWindowInteractorClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkXdmfCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkXdmfCS_NewInstance);

    arlu->AddCommandFunction("vtkXdmfReader",vtkXdmfReaderCommand);
  arlu->AddCommandFunction("vtkXdmfWriter",vtkXdmfWriterCommand);
  arlu->AddCommandFunction("vtkXdmfOpenGLCamera",vtkXdmfOpenGLCameraCommand);
  arlu->AddCommandFunction("vtkXdmfRenderWindowInteractor",vtkXdmfRenderWindowInteractorCommand);

}

static int vtkXdmfCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkXdmfReader",type))
      {
      vtkObjectBase *ptr = vtkXdmfReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXdmfWriter",type))
      {
      vtkObjectBase *ptr = vtkXdmfWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXdmfOpenGLCamera",type))
      {
      vtkObjectBase *ptr = vtkXdmfOpenGLCameraClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXdmfRenderWindowInteractor",type))
      {
      vtkObjectBase *ptr = vtkXdmfRenderWindowInteractorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
