#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkKWParaViewCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkPVApplicationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVApplicationClientServerNewCommand();
int vtkKWApplicationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkKWApplicationClientServerNewCommand();
int vtkKWObjectCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkKWObjectClientServerNewCommand();
int vtkPVProcessModuleGUIHelperCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVProcessModuleGUIHelperClientServerNewCommand();
int vtkPVRenderViewProxyImplementationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVRenderViewProxyImplementationClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkKWParaViewCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkKWParaViewCS_NewInstance);

    arlu->AddCommandFunction("vtkPVApplication",vtkPVApplicationCommand);
  arlu->AddCommandFunction("vtkKWApplication",vtkKWApplicationCommand);
  arlu->AddCommandFunction("vtkKWObject",vtkKWObjectCommand);
  arlu->AddCommandFunction("vtkPVProcessModuleGUIHelper",vtkPVProcessModuleGUIHelperCommand);
  arlu->AddCommandFunction("vtkPVRenderViewProxyImplementation",vtkPVRenderViewProxyImplementationCommand);

}

static int vtkKWParaViewCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkPVApplication",type))
      {
      vtkObjectBase *ptr = vtkPVApplicationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkKWApplication",type))
      {
      vtkObjectBase *ptr = vtkKWApplicationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkKWObject",type))
      {
      vtkObjectBase *ptr = vtkKWObjectClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVProcessModuleGUIHelper",type))
      {
      vtkObjectBase *ptr = vtkPVProcessModuleGUIHelperClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVRenderViewProxyImplementation",type))
      {
      vtkObjectBase *ptr = vtkPVRenderViewProxyImplementationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
