// tcl wrapper for vtkPVAnimationCueTree object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVAnimationCueTree.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVAnimationCueTreeNewCommand()
{
  vtkPVAnimationCueTree *temp = vtkPVAnimationCueTree::New();
  return ((ClientData)temp);
}

int vtkPVAnimationCueCppCommand(vtkPVAnimationCue *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVAnimationCueTreeCppCommand(vtkPVAnimationCueTree *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVAnimationCueTreeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVAnimationCueTreeCppCommand((vtkPVAnimationCueTree *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVAnimationCueTreeCppCommand(vtkPVAnimationCueTree *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVAnimationCueTree",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVAnimationCueCppCommand((vtkPVAnimationCue *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVAnimationCue", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationCueTree  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCueTree");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationCueTree  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCueTree");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVAnimationCueTree  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCueTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddChildCue",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCue  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCue *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCue",interp,error));
    if (!error)
    {
    op->AddChildCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveChildCue",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationCue  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationCue *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationCue",interp,error));
    if (!error)
    {
    op->RemoveChildCue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChild",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVAnimationCue  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetChild(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCue");
    return TCL_OK;
    }
    }
  if ((!strcmp("NewChildrenIterator",argv[1]))&&(argc == 2))
    {
    vtkCollectionIterator  *temp20;
    temp20 = (op)->NewChildrenIterator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCollectionIterator");
    return TCL_OK;
    }
  if ((!strcmp("PackWidget",argv[1]))&&(argc == 2))
    {
    op->PackWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnpackWidget",argv[1]))&&(argc == 2))
    {
    op->UnpackWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToggleExpandedState",argv[1]))&&(argc == 2))
    {
    op->ToggleExpandedState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExpanded",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExpanded(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ScaleChildrenOnEndPointsChangeOn",argv[1]))&&(argc == 2))
    {
    op->ScaleChildrenOnEndPointsChangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleChildrenOnEndPointsChangeOff",argv[1]))&&(argc == 2))
    {
    op->ScaleChildrenOnEndPointsChangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleChildrenOnEndPointsChange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleChildrenOnEndPointsChange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleChildrenOnEndPointsChange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleChildrenOnEndPointsChange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MoveEndPointsWhenChildrenChangeOn",argv[1]))&&(argc == 2))
    {
    op->MoveEndPointsWhenChildrenChangeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MoveEndPointsWhenChildrenChangeOff",argv[1]))&&(argc == 2))
    {
    op->MoveEndPointsWhenChildrenChangeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMoveEndPointsWhenChildrenChange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMoveEndPointsWhenChildrenChange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMoveEndPointsWhenChildrenChange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMoveEndPointsWhenChildrenChange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFocus",argv[1]))&&(argc == 2))
    {
    op->GetFocus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveFocus",argv[1]))&&(argc == 2))
    {
    op->RemoveFocus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasFocus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasFocus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeMarker",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeMarker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartRecording",argv[1]))&&(argc == 2))
    {
    op->StartRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopRecording",argv[1]))&&(argc == 2))
    {
    op->StopRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecordState",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->RecordState(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RecordState",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->RecordState(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Zoom",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->Zoom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllKeyFrames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllKeyFrames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateCueVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->UpdateCueVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Detach",argv[1]))&&(argc == 2))
    {
    op->Detach();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVAnimationCueTreeCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVAnimationCueCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVAnimationCueTree:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddChildCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveChildCue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewChildrenIterator\n",NULL);
    Tcl_AppendResult(interp,"  PackWidget\n",NULL);
    Tcl_AppendResult(interp,"  UnpackWidget\n",NULL);
    Tcl_AppendResult(interp,"  ToggleExpandedState\n",NULL);
    Tcl_AppendResult(interp,"  SetExpanded\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ScaleChildrenOnEndPointsChangeOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleChildrenOnEndPointsChangeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleChildrenOnEndPointsChange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleChildrenOnEndPointsChange\n",NULL);
    Tcl_AppendResult(interp,"  MoveEndPointsWhenChildrenChangeOn\n",NULL);
    Tcl_AppendResult(interp,"  MoveEndPointsWhenChildrenChangeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMoveEndPointsWhenChildrenChange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMoveEndPointsWhenChildrenChange\n",NULL);
    Tcl_AppendResult(interp,"  GetFocus\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFocus\n",NULL);
    Tcl_AppendResult(interp,"  HasFocus\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMarker\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StartRecording\n",NULL);
    Tcl_AppendResult(interp,"  StopRecording\n",NULL);
    Tcl_AppendResult(interp,"  RecordState\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RecordState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  Zoom\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllKeyFrames\n",NULL);
    Tcl_AppendResult(interp,"  UpdateCueVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Detach\n",NULL);
    return TCL_OK;
    }

  if (vtkPVAnimationCueCppCommand((vtkPVAnimationCue *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
