// tcl wrapper for vtkPVAnimationManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVAnimationManager.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVAnimationManagerNewCommand()
{
  vtkPVAnimationManager *temp = vtkPVAnimationManager::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVAnimationManagerCppCommand(vtkPVAnimationManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVAnimationManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVAnimationManagerCppCommand((vtkPVAnimationManager *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVAnimationManagerCppCommand(vtkPVAnimationManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVAnimationManager",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationManager  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationManager");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationManager");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVAnimationManager  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationManager");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVerticalParent",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->SetVerticalParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHorizontalParent",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->SetHorizontalParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVAnimationInterface",argv[1]))&&(argc == 2))
    {
    vtkPVVerticalAnimationInterface  *temp20;
    temp20 = (op)->GetVAnimationInterface();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVVerticalAnimationInterface");
    return TCL_OK;
    }
  if ((!strcmp("GetHAnimationInterface",argv[1]))&&(argc == 2))
    {
    vtkPVHorizontalAnimationInterface  *temp20;
    temp20 = (op)->GetHAnimationInterface();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVHorizontalAnimationInterface");
    return TCL_OK;
    }
  if ((!strcmp("ShowAnimationInterfaces",argv[1]))&&(argc == 2))
    {
    op->ShowAnimationInterfaces();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowVAnimationInterface",argv[1]))&&(argc == 2))
    {
    op->ShowVAnimationInterface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowHAnimationInterface",argv[1]))&&(argc == 2))
    {
    op->ShowHAnimationInterface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAnimationScene",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationScene  *temp20;
    temp20 = (op)->GetAnimationScene();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationScene");
    return TCL_OK;
    }
  if ((!strcmp("GetInPlay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInPlay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeMarker",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeMarker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveAnimation",argv[1]))&&(argc == 2))
    {
    op->SaveAnimation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveGeometry",argv[1]))&&(argc == 2))
    {
    op->SaveGeometry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRecordAll",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRecordAll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRecordAll",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecordAll();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RecordState",argv[1]))&&(argc == 2))
    {
    op->RecordState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRecording",argv[1]))&&(argc == 2))
    {
    op->StartRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopRecording",argv[1]))&&(argc == 2))
    {
    op->StopRecording();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAnimationTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvalidateAllGeometries",argv[1]))&&(argc == 2))
    {
    op->InvalidateAllGeometries();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddDefaultAnimation",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->AddDefaultAnimation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ValidateAndAddSpecialCues",argv[1]))&&(argc == 2))
    {
    op->ValidateAndAddSpecialCues();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveWindowGeometryToRegistry",argv[1]))&&(argc == 2))
    {
    op->SaveWindowGeometryToRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestoreWindowGeometryFromRegistry",argv[1]))&&(argc == 2))
    {
    op->RestoreWindowGeometryFromRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllKeyFrames",argv[1]))&&(argc == 2))
    {
    op->RemoveAllKeyFrames();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAdvancedView",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdvancedView();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAdvancedView",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdvancedView(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationCueTreeForProxy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVAnimationCueTree  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAnimationCueTreeForProxy(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationCueTree");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInRecording",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInRecording();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCacheGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCacheGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCacheGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCacheGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableCacheCheck",argv[1]))&&(argc == 2))
    {
    op->EnableCacheCheck();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableCacheCheck",argv[1]))&&(argc == 2))
    {
    op->DisableCacheCheck();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForDelete",argv[1]))&&(argc == 2))
    {
    op->PrepareForDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveTrackSelector",argv[1]))&&(argc == 2))
    {
    vtkPVActiveTrackSelector  *temp20;
    temp20 = (op)->GetActiveTrackSelector();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVActiveTrackSelector");
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetCurrentTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCurrentTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVAnimationManagerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVAnimationManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHorizontalParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVAnimationInterface\n",NULL);
    Tcl_AppendResult(interp,"  GetHAnimationInterface\n",NULL);
    Tcl_AppendResult(interp,"  ShowAnimationInterfaces\n",NULL);
    Tcl_AppendResult(interp,"  ShowVAnimationInterface\n",NULL);
    Tcl_AppendResult(interp,"  ShowHAnimationInterface\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationScene\n",NULL);
    Tcl_AppendResult(interp,"  GetInPlay\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMarker\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveAnimation\n",NULL);
    Tcl_AppendResult(interp,"  SaveGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetRecordAll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRecordAll\n",NULL);
    Tcl_AppendResult(interp,"  RecordState\n",NULL);
    Tcl_AppendResult(interp,"  StartRecording\n",NULL);
    Tcl_AppendResult(interp,"  StopRecording\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InvalidateAllGeometries\n",NULL);
    Tcl_AppendResult(interp,"  AddDefaultAnimation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ValidateAndAddSpecialCues\n",NULL);
    Tcl_AppendResult(interp,"  SaveWindowGeometryToRegistry\n",NULL);
    Tcl_AppendResult(interp,"  RestoreWindowGeometryFromRegistry\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllKeyFrames\n",NULL);
    Tcl_AppendResult(interp,"  GetAdvancedView\n",NULL);
    Tcl_AppendResult(interp,"  SetAdvancedView\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationCueTreeForProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInRecording\n",NULL);
    Tcl_AppendResult(interp,"  SetCacheGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheGeometry\n",NULL);
    Tcl_AppendResult(interp,"  EnableCacheCheck\n",NULL);
    Tcl_AppendResult(interp,"  DisableCacheCheck\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDelete\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveTrackSelector\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetCurrentTime\t with 1 arg\n",NULL);
#endif
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
