// ClientServer wrapper for vtkPVApplication object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVApplication.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkPVApplicationClientServerNewCommand()
{
  return vtkPVApplication::New();
}

int vtkKWApplicationCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkPVApplicationCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkPVApplication *op = vtkPVApplication::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkPVApplication.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeRevisionMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVApplication  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVApplication  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkPVApplication  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ParseCommandLineArguments",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->ParseCommandLineArguments();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetOptions",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkPVGUIClientOptions  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkPVGUIClientOptions"))
      {
      op->SetOptions(temp0);
      return 1;
      }
    }
  if (!strcmp("GetSMApplication",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkSMApplication  *temp20;
      {
      temp20 = (op)->GetSMApplication();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetProcessModule",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkPVProcessModule  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkPVProcessModule"))
      {
      op->SetProcessModule(temp0);
      return 1;
      }
    }
  if (!strcmp("GetProcessModule",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVProcessModule  *temp20;
      {
      temp20 = (op)->GetProcessModule();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetRenderModuleProxy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkSMRenderModuleProxy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkSMRenderModuleProxy"))
      {
      op->SetRenderModuleProxy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetRenderModuleProxy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkSMRenderModuleProxy  *temp20;
      {
      temp20 = (op)->GetRenderModuleProxy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetupRenderModule",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->SetupRenderModule();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewLoadSaveDialog",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkKWLoadSaveDialog  *temp20;
      {
      temp20 = (op)->NewLoadSaveDialog();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("Start",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Start();
      return 1;
      }
    }
  if (!strcmp("AcceptLicense",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->AcceptLicense();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("AcceptEvaluation",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->AcceptEvaluation();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("RemoveWindow",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkKWWindowBase  *temp0;
    int      temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkKWWindowBase"))
      {
      temp20 = (op)->RemoveWindow(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("Exit",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->Exit();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("DestroyGUI",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->DestroyGUI();
      return 1;
      }
    }
  if (!strcmp("Initialize",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Initialize();
      return 1;
      }
    }
  if (!strcmp("StartRecordingScript",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->StartRecordingScript(temp0);
      return 1;
      }
    }
  if (!strcmp("StopRecordingScript",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->StopRecordingScript();
      return 1;
      }
    }
  if (!strcmp("GetMainWindow",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVWindow  *temp20;
      {
      temp20 = (op)->GetMainWindow();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetMainView",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVRenderView  *temp20;
      {
      temp20 = (op)->GetMainView();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("DisplayHelpDialog",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkKWWindowBase  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkKWWindowBase"))
      {
      op->DisplayHelpDialog(temp0);
      return 1;
      }
    }
  if (!strcmp("SetStartGUI",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetStartGUI(temp0);
      return 1;
      }
    }
  if (!strcmp("GetStartGUI",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetStartGUI();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("DisplayTCLError",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->DisplayTCLError(temp0);
      return 1;
      }
    }
  if (!strcmp("SetDisplay3DWidgets",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetDisplay3DWidgets(temp0);
      return 1;
      }
    }
  if (!strcmp("GetDisplay3DWidgetsMinValue",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetDisplay3DWidgetsMinValue();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetDisplay3DWidgetsMaxValue",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetDisplay3DWidgetsMaxValue();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("Display3DWidgetsOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Display3DWidgetsOn();
      return 1;
      }
    }
  if (!strcmp("Display3DWidgetsOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Display3DWidgetsOff();
      return 1;
      }
    }
  if (!strcmp("GetDisplay3DWidgets",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetDisplay3DWidgets();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetNumberOfPipes",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetNumberOfPipes(temp0);
      return 1;
      }
    }
  if (!strcmp("GetNumberOfPipes",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetNumberOfPipes();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetArgv0",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetArgv0();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetArgv0",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetArgv0(temp0);
      return 1;
      }
    }
  if (!strcmp("GetTraceFileName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    char    *temp20;
      {
      temp20 = (op)->GetTraceFileName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetShowSourcesLongHelp",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetShowSourcesLongHelp(temp0);
      return 1;
      }
    }
  if (!strcmp("GetShowSourcesLongHelp",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetShowSourcesLongHelp();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("ShowSourcesLongHelpOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ShowSourcesLongHelpOn();
      return 1;
      }
    }
  if (!strcmp("ShowSourcesLongHelpOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ShowSourcesLongHelpOff();
      return 1;
      }
    }
  if (!strcmp("SetSourcesBrowserAlwaysShowName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetSourcesBrowserAlwaysShowName(temp0);
      return 1;
      }
    }
  if (!strcmp("GetSourcesBrowserAlwaysShowName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetSourcesBrowserAlwaysShowName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SourcesBrowserAlwaysShowNameOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SourcesBrowserAlwaysShowNameOn();
      return 1;
      }
    }
  if (!strcmp("SourcesBrowserAlwaysShowNameOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SourcesBrowserAlwaysShowNameOff();
      return 1;
      }
    }
  if (!strcmp("RestoreApplicationSettingsFromRegistry",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->RestoreApplicationSettingsFromRegistry();
      return 1;
      }
    }
  if (!strcmp("EnableTestErrors",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EnableTestErrors();
      return 1;
      }
    }
  if (!strcmp("DisableTestErrors",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->DisableTestErrors();
      return 1;
      }
    }
  if (!strcmp("Abort",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Abort();
      return 1;
      }
    }
  if (!strcmp("GetNumberOfPartitions",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetNumberOfPartitions();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("PlayDemo",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->PlayDemo(temp0);
      return 1;
      }
    }
  if (!strcmp("GetTextRepresentation",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkPVSource  *temp0;
    char    *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkPVSource"))
      {
      temp20 = (op)->GetTextRepresentation(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SendStringToClient",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->SendStringToClient(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SendStringToClientAndServer",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->SendStringToClientAndServer(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SendStringToClientAndServerRoot",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->SendStringToClientAndServerRoot(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SendStringToServer",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->SendStringToServer(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SendStringToServerRoot",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->SendStringToServerRoot(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetStringFromServer",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetStringFromServer();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetStringFromClient",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetStringFromClient();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetGarbageCollectionGlobalDebugFlag",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetGarbageCollectionGlobalDebugFlag(temp0);
      return 1;
      }
    }
  if (!strcmp("GetGarbageCollectionGlobalDebugFlag",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetGarbageCollectionGlobalDebugFlag();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("DeferredGarbageCollectionPush",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->DeferredGarbageCollectionPush();
      return 1;
      }
    }
  if (!strcmp("DeferredGarbageCollectionPop",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->DeferredGarbageCollectionPop();
      return 1;
      }
    }
  if (!strcmp("SaveRuntimeInformation",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SaveRuntimeInformation();
      return 1;
      }
    }
  if (!strcmp("SelfTest",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->SelfTest();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }

  if (vtkKWApplicationCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkPVApplication, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}
