// tcl wrapper for vtkPVApplication object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVApplication.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVApplicationNewCommand()
{
  vtkPVApplication *temp = vtkPVApplication::New();
  return ((ClientData)temp);
}

int vtkKWApplicationCppCommand(vtkKWApplication *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVApplicationCppCommand(vtkPVApplication *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVApplicationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVApplicationCppCommand((vtkPVApplication *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVApplicationCppCommand(vtkPVApplication *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVApplication",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWApplicationCppCommand((vtkKWApplication *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWApplication", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVApplication  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
    }
  if ((!strcmp("ParseCommandLineArguments",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->ParseCommandLineArguments();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOptions",argv[1]))&&(argc == 3))
    {
    vtkPVGUIClientOptions  *temp0;
    error = 0;

    temp0 = (vtkPVGUIClientOptions *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVGUIClientOptions",interp,error));
    if (!error)
    {
    op->SetOptions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSMApplication",argv[1]))&&(argc == 2))
    {
    vtkSMApplication  *temp20;
    temp20 = (op)->GetSMApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMApplication");
    return TCL_OK;
    }
  if ((!strcmp("SetProcessModule",argv[1]))&&(argc == 3))
    {
    vtkPVProcessModule  *temp0;
    error = 0;

    temp0 = (vtkPVProcessModule *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVProcessModule",interp,error));
    if (!error)
    {
    op->SetProcessModule(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessModule",argv[1]))&&(argc == 2))
    {
    vtkPVProcessModule  *temp20;
    temp20 = (op)->GetProcessModule();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVProcessModule");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModuleProxy",argv[1]))&&(argc == 3))
    {
    vtkSMRenderModuleProxy  *temp0;
    error = 0;

    temp0 = (vtkSMRenderModuleProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMRenderModuleProxy",interp,error));
    if (!error)
    {
    op->SetRenderModuleProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModuleProxy",argv[1]))&&(argc == 2))
    {
    vtkSMRenderModuleProxy  *temp20;
    temp20 = (op)->GetRenderModuleProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMRenderModuleProxy");
    return TCL_OK;
    }
  if ((!strcmp("SetupRenderModule",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SetupRenderModule();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NewLoadSaveDialog",argv[1]))&&(argc == 2))
    {
    vtkKWLoadSaveDialog  *temp20;
    temp20 = (op)->NewLoadSaveDialog();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLoadSaveDialog");
    return TCL_OK;
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AcceptLicense",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->AcceptLicense();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AcceptEvaluation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->AcceptEvaluation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveWindow",argv[1]))&&(argc == 3))
    {
    vtkKWWindowBase  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindowBase",interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveWindow(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Exit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Exit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DestroyGUI",argv[1]))&&(argc == 2))
    {
    op->DestroyGUI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartRecordingScript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->StartRecordingScript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StopRecordingScript",argv[1]))&&(argc == 2))
    {
    op->StopRecordingScript();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMainWindow",argv[1]))&&(argc == 2))
    {
    vtkPVWindow  *temp20;
    temp20 = (op)->GetMainWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetMainView",argv[1]))&&(argc == 2))
    {
    vtkPVRenderView  *temp20;
    temp20 = (op)->GetMainView();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVRenderView");
    return TCL_OK;
    }
  if ((!strcmp("DisplayHelpDialog",argv[1]))&&(argc == 3))
    {
    vtkKWWindowBase  *temp0;
    error = 0;

    temp0 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindowBase",interp,error));
    if (!error)
    {
    op->DisplayHelpDialog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartGUI",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStartGUI(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStartGUI",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStartGUI();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayTCLError",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayTCLError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplay3DWidgets",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplay3DWidgets(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplay3DWidgetsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplay3DWidgetsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDisplay3DWidgetsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplay3DWidgetsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Display3DWidgetsOn",argv[1]))&&(argc == 2))
    {
    op->Display3DWidgetsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Display3DWidgetsOff",argv[1]))&&(argc == 2))
    {
    op->Display3DWidgetsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisplay3DWidgets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplay3DWidgets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfPipes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfPipes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPipes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPipes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetArgv0",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetArgv0();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetArgv0",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetArgv0(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTraceFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTraceFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetShowSourcesLongHelp",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowSourcesLongHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowSourcesLongHelp",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowSourcesLongHelp();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShowSourcesLongHelpOn",argv[1]))&&(argc == 2))
    {
    op->ShowSourcesLongHelpOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowSourcesLongHelpOff",argv[1]))&&(argc == 2))
    {
    op->ShowSourcesLongHelpOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSourcesBrowserAlwaysShowName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSourcesBrowserAlwaysShowName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSourcesBrowserAlwaysShowName",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSourcesBrowserAlwaysShowName();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SourcesBrowserAlwaysShowNameOn",argv[1]))&&(argc == 2))
    {
    op->SourcesBrowserAlwaysShowNameOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SourcesBrowserAlwaysShowNameOff",argv[1]))&&(argc == 2))
    {
    op->SourcesBrowserAlwaysShowNameOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestoreApplicationSettingsFromRegistry",argv[1]))&&(argc == 2))
    {
    op->RestoreApplicationSettingsFromRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableTestErrors",argv[1]))&&(argc == 2))
    {
    op->EnableTestErrors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableTestErrors",argv[1]))&&(argc == 2))
    {
    op->DisableTestErrors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Abort",argv[1]))&&(argc == 2))
    {
    op->Abort();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPartitions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPartitions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PlayDemo",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->PlayDemo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextRepresentation",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    char    *temp20;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    temp20 = (op)->GetTextRepresentation(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SendStringToClient",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SendStringToClient(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SendStringToClientAndServer",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SendStringToClientAndServer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SendStringToClientAndServerRoot",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SendStringToClientAndServerRoot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SendStringToServer",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SendStringToServer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SendStringToServerRoot",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SendStringToServerRoot(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStringFromServer",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStringFromServer();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetStringFromClient",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStringFromClient();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGarbageCollectionGlobalDebugFlag",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGarbageCollectionGlobalDebugFlag(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGarbageCollectionGlobalDebugFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGarbageCollectionGlobalDebugFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeferredGarbageCollectionPush",argv[1]))&&(argc == 2))
    {
    op->DeferredGarbageCollectionPush();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeferredGarbageCollectionPop",argv[1]))&&(argc == 2))
    {
    op->DeferredGarbageCollectionPop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveRuntimeInformation",argv[1]))&&(argc == 2))
    {
    op->SaveRuntimeInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelfTest",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SelfTest();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVApplicationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWApplicationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVApplication:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ParseCommandLineArguments\n",NULL);
    Tcl_AppendResult(interp,"  SetOptions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSMApplication\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessModule\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessModule\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModuleProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModuleProxy\n",NULL);
    Tcl_AppendResult(interp,"  SetupRenderModule\n",NULL);
    Tcl_AppendResult(interp,"  NewLoadSaveDialog\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  AcceptLicense\n",NULL);
    Tcl_AppendResult(interp,"  AcceptEvaluation\n",NULL);
    Tcl_AppendResult(interp,"  RemoveWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Exit\n",NULL);
    Tcl_AppendResult(interp,"  DestroyGUI\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  StartRecordingScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StopRecordingScript\n",NULL);
    Tcl_AppendResult(interp,"  GetMainWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetMainView\n",NULL);
    Tcl_AppendResult(interp,"  DisplayHelpDialog\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStartGUI\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStartGUI\n",NULL);
    Tcl_AppendResult(interp,"  DisplayTCLError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplay3DWidgets\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplay3DWidgetsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplay3DWidgetsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  Display3DWidgetsOn\n",NULL);
    Tcl_AppendResult(interp,"  Display3DWidgetsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplay3DWidgets\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfPipes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPipes\n",NULL);
    Tcl_AppendResult(interp,"  GetArgv0\n",NULL);
    Tcl_AppendResult(interp,"  SetArgv0\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTraceFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetShowSourcesLongHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowSourcesLongHelp\n",NULL);
    Tcl_AppendResult(interp,"  ShowSourcesLongHelpOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowSourcesLongHelpOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSourcesBrowserAlwaysShowName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSourcesBrowserAlwaysShowName\n",NULL);
    Tcl_AppendResult(interp,"  SourcesBrowserAlwaysShowNameOn\n",NULL);
    Tcl_AppendResult(interp,"  SourcesBrowserAlwaysShowNameOff\n",NULL);
    Tcl_AppendResult(interp,"  RestoreApplicationSettingsFromRegistry\n",NULL);
    Tcl_AppendResult(interp,"  EnableTestErrors\n",NULL);
    Tcl_AppendResult(interp,"  DisableTestErrors\n",NULL);
    Tcl_AppendResult(interp,"  Abort\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPartitions\n",NULL);
    Tcl_AppendResult(interp,"  PlayDemo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SendStringToClient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SendStringToClientAndServer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SendStringToClientAndServerRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SendStringToServer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SendStringToServerRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStringFromServer\n",NULL);
    Tcl_AppendResult(interp,"  GetStringFromClient\n",NULL);
    Tcl_AppendResult(interp,"  SetGarbageCollectionGlobalDebugFlag\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGarbageCollectionGlobalDebugFlag\n",NULL);
    Tcl_AppendResult(interp,"  DeferredGarbageCollectionPush\n",NULL);
    Tcl_AppendResult(interp,"  DeferredGarbageCollectionPop\n",NULL);
    Tcl_AppendResult(interp,"  SaveRuntimeInformation\n",NULL);
    Tcl_AppendResult(interp,"  SelfTest\n",NULL);
    return TCL_OK;
    }

  if (vtkKWApplicationCppCommand((vtkKWApplication *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
