// tcl wrapper for vtkPVBasicDSPFilterWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVBasicDSPFilterWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVBasicDSPFilterWidgetNewCommand()
{
  vtkPVBasicDSPFilterWidget *temp = vtkPVBasicDSPFilterWidget::New();
  return ((ClientData)temp);
}

int vtkPVWidgetCppCommand(vtkPVWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVBasicDSPFilterWidgetCppCommand(vtkPVBasicDSPFilterWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVBasicDSPFilterWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVBasicDSPFilterWidgetCppCommand((vtkPVBasicDSPFilterWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVBasicDSPFilterWidgetCppCommand(vtkPVBasicDSPFilterWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVBasicDSPFilterWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVWidgetCppCommand((vtkPVWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVBasicDSPFilterWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVBasicDSPFilterWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVBasicDSPFilterWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVBasicDSPFilterWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVBasicDSPFilterWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVBasicDSPFilterWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangeDSPFilterMode",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ChangeDSPFilterMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangeCutoffFreq",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ChangeCutoffFreq(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangeInputVar",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ChangeInputVar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateCutoffFreqToggle",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateCutoffFreqToggle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableCutoffFreqToggle",argv[1]))&&(argc == 2))
    {
    op->DisableCutoffFreqToggle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableCutoffFreqToggle",argv[1]))&&(argc == 2))
    {
    op->EnableCutoffFreqToggle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateInputVarToggle",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateInputVarToggle(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateLengthTextEntry",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateLengthTextEntry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateNumeratorWeightsTextEntry",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateNumeratorWeightsTextEntry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateDenominatorWeightsTextEntry",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateDenominatorWeightsTextEntry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateForwardNumeratorWeightsTextEntry",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateForwardNumeratorWeightsTextEntry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateOutputVarTextEntry",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateOutputVarTextEntry(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateAddThisVarButton",argv[1]))&&(argc == 4))
    {
    vtkPVApplication  *temp0;
    vtkKWWidget  *temp1;
    error = 0;

    temp0 = (vtkPVApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVApplication",interp,error));
    temp1 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->CreateAddThisVarButton(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("getSmoothingNumeratorWeightsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->getSmoothingNumeratorWeightsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("getSmoothingForwardNumeratorWeightsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->getSmoothingForwardNumeratorWeightsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFilterLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFilterLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFilterLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFilterLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResizeOutputVariableList",argv[1]))&&(argc == 2))
    {
    op->ResizeOutputVariableList();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutputVariableName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutputVariableName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVarFunction",argv[1]))&&(argc == 2))
    {
    op->AddVarFunction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteVarFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteVarFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWidgetsToSmoothingFilterMode",argv[1]))&&(argc == 2))
    {
    op->SetWidgetsToSmoothingFilterMode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsToBasicFilterMode",argv[1]))&&(argc == 2))
    {
    op->SetWidgetsToBasicFilterMode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsToUserDefinedMode",argv[1]))&&(argc == 2))
    {
    op->SetWidgetsToUserDefinedMode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsToIntegralMode",argv[1]))&&(argc == 2))
    {
    op->SetWidgetsToIntegralMode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetsToCorrelationMode",argv[1]))&&(argc == 2))
    {
    op->SetWidgetsToCorrelationMode();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 2))
    {
    op->Accept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetInternal",argv[1]))&&(argc == 2))
    {
    op->ResetInternal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveThisFilterFromSource",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveThisFilterFromSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVBasicDSPFilterWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVBasicDSPFilterWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ChangeDSPFilterMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ChangeCutoffFreq\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ChangeInputVar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateCutoffFreqToggle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  DisableCutoffFreqToggle\n",NULL);
    Tcl_AppendResult(interp,"  EnableCutoffFreqToggle\n",NULL);
    Tcl_AppendResult(interp,"  CreateInputVarToggle\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateLengthTextEntry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateNumeratorWeightsTextEntry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateDenominatorWeightsTextEntry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateForwardNumeratorWeightsTextEntry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateOutputVarTextEntry\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateAddThisVarButton\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  getSmoothingNumeratorWeightsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  getSmoothingForwardNumeratorWeightsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFilterLength\n",NULL);
    Tcl_AppendResult(interp,"  SetFilterLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResizeOutputVariableList\n",NULL);
    Tcl_AppendResult(interp,"  SetOutputVariableName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddVarFunction\n",NULL);
    Tcl_AppendResult(interp,"  DeleteVarFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsToSmoothingFilterMode\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsToBasicFilterMode\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsToUserDefinedMode\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsToIntegralMode\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetsToCorrelationMode\n",NULL);
    Tcl_AppendResult(interp,"  Accept\n",NULL);
    Tcl_AppendResult(interp,"  ResetInternal\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  RemoveThisFilterFromSource\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPVWidgetCppCommand((vtkPVWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
