// tcl wrapper for vtkPVComparativeVisManagerGUI object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVComparativeVisManagerGUI.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVComparativeVisManagerGUINewCommand()
{
  vtkPVComparativeVisManagerGUI *temp = vtkPVComparativeVisManagerGUI::New();
  return ((ClientData)temp);
}

int vtkKWTopLevelCppCommand(vtkKWTopLevel *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVComparativeVisManagerGUICppCommand(vtkPVComparativeVisManagerGUI *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVComparativeVisManagerGUICommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVComparativeVisManagerGUICppCommand((vtkPVComparativeVisManagerGUI *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVComparativeVisManagerGUICppCommand(vtkPVComparativeVisManagerGUI *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVComparativeVisManagerGUI",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWTopLevelCppCommand((vtkKWTopLevel *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWTopLevel", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVComparativeVisManagerGUI  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVComparativeVisManagerGUI");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVComparativeVisManagerGUI  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVComparativeVisManagerGUI");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVComparativeVisManagerGUI  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVComparativeVisManagerGUI");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddVisualization",argv[1]))&&(argc == 2))
    {
    op->AddVisualization();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EditVisualization",argv[1]))&&(argc == 2))
    {
    op->EditVisualization();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeleteVisualization",argv[1]))&&(argc == 2))
    {
    op->DeleteVisualization();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowVisualization",argv[1]))&&(argc == 2))
    {
    op->ShowVisualization();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideVisualization",argv[1]))&&(argc == 2))
    {
    op->HideVisualization();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForDelete",argv[1]))&&(argc == 2))
    {
    op->PrepareForDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetManager",argv[1]))&&(argc == 2))
    {
    vtkPVComparativeVisManager  *temp20;
    temp20 = (op)->GetManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVComparativeVisManager");
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ItemSelected",argv[1]))&&(argc == 2))
    {
    op->ItemSelected();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetComparativeVisList",argv[1]))&&(argc == 2))
    {
    vtkKWListBox  *temp20;
    temp20 = (op)->GetComparativeVisList();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWListBox");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVComparativeVisManagerGUICommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWTopLevelCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVComparativeVisManagerGUI:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  AddVisualization\n",NULL);
    Tcl_AppendResult(interp,"  EditVisualization\n",NULL);
    Tcl_AppendResult(interp,"  DeleteVisualization\n",NULL);
    Tcl_AppendResult(interp,"  ShowVisualization\n",NULL);
    Tcl_AppendResult(interp,"  HideVisualization\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDelete\n",NULL);
    Tcl_AppendResult(interp,"  GetManager\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  ItemSelected\n",NULL);
    Tcl_AppendResult(interp,"  GetComparativeVisList\n",NULL);
    return TCL_OK;
    }

  if (vtkKWTopLevelCppCommand((vtkKWTopLevel *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
