// tcl wrapper for vtkPVDataAnalysis object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVDataAnalysis.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVDataAnalysisNewCommand()
{
  vtkPVDataAnalysis *temp = vtkPVDataAnalysis::New();
  return ((ClientData)temp);
}

int vtkPVSourceCppCommand(vtkPVSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVDataAnalysisCppCommand(vtkPVDataAnalysis *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVDataAnalysisCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVDataAnalysisCppCommand((vtkPVDataAnalysis *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVDataAnalysisCppCommand(vtkPVDataAnalysis *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVDataAnalysis",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVSourceCppCommand((vtkPVSource *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVSource", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVDataAnalysis  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataAnalysis");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVDataAnalysis  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataAnalysis");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVDataAnalysis  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVDataAnalysis");
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateProperties",argv[1]))&&(argc == 2))
    {
    op->CreateProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVTKSourceParameters",argv[1]))&&(argc == 2))
    {
    op->UpdateVTKSourceParameters();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 2))
    {
    op->Accept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Accept(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->Accept(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveDialogCallback",argv[1]))&&(argc == 2))
    {
    op->SaveDialogCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointArraySelectionModifiedCallback",argv[1]))&&(argc == 2))
    {
    op->PointArraySelectionModifiedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CellArraySelectionModifiedCallback",argv[1]))&&(argc == 2))
    {
    op->CellArraySelectionModifiedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotOverTimeCheckButtonCallback",argv[1]))&&(argc == 2))
    {
    op->PlotOverTimeCheckButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotOverTime",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotOverTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotOverTime",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotOverTime();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LockTemporalCacheCheckButtonCallback",argv[1]))&&(argc == 2))
    {
    op->LockTemporalCacheCheckButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLockTemporalCache",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLockTemporalCache(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotTitleCallback",argv[1]))&&(argc == 2))
    {
    op->PlotTitleCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPlotTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("XAxisLabelCallback",argv[1]))&&(argc == 2))
    {
    op->XAxisLabelCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXAxisLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXAxisLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("YAxisLabelCallback",argv[1]))&&(argc == 2))
    {
    op->YAxisLabelCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYAxisLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYAxisLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLegendPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendPosition",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLegendPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LegendPositionCallback",argv[1]))&&(argc == 2))
    {
    op->LegendPositionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LegendVisibilityCallback",argv[1]))&&(argc == 2))
    {
    op->LegendVisibilityCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLegendVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLegendVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotDisplayVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotDisplayVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateTemporalPlot",argv[1]))&&(argc == 2))
    {
    op->GenerateTemporalPlot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AbortGenerateTemporalPlot",argv[1]))&&(argc == 2))
    {
    op->AbortGenerateTemporalPlot();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MarkSourcesForUpdate",argv[1]))&&(argc == 2))
    {
    op->MarkSourcesForUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVisibilityNoTrace",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibilityNoTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EditXLabelCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EditXLabelCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EditYLabelCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EditYLabelCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotTypeToPoints",argv[1]))&&(argc == 2))
    {
    op->SetPlotTypeToPoints();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotTypeToLines",argv[1]))&&(argc == 2))
    {
    op->SetPlotTypeToLines();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotTypeToPointsAndLines",argv[1]))&&(argc == 2))
    {
    op->SetPlotTypeToPointsAndLines();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotType",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPlotType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotTitlePosition",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPlotTitlePosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotTitlePositionCallback",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPlotTitlePositionCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAdjustTitlePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AdjustTitlePositionCallback",argv[1]))&&(argc == 2))
    {
    op->AdjustTitlePositionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelPropertiesDialog",argv[1]))&&(argc == 2))
    {
    vtkPVPlotDisplayLabelPropertiesDialog  *temp20;
    temp20 = (op)->GetLabelPropertiesDialog();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVPlotDisplayLabelPropertiesDialog");
    return TCL_OK;
    }
  if ((!strcmp("GetPointArraySelection",argv[1]))&&(argc == 2))
    {
    vtkPVPlotArraySelection  *temp20;
    temp20 = (op)->GetPointArraySelection();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVPlotArraySelection");
    return TCL_OK;
    }
  if ((!strcmp("GetCellArraySelection",argv[1]))&&(argc == 2))
    {
    vtkPVPlotArraySelection  *temp20;
    temp20 = (op)->GetCellArraySelection();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVPlotArraySelection");
    return TCL_OK;
    }
  if ((!strcmp("GetPlotDisplayProxy",argv[1]))&&(argc == 2))
    {
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
    temp20 = (op)->GetPlotDisplayProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMTemporalXYPlotDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("UpdatePlotDisplayGUI",argv[1]))&&(argc == 2))
    {
    op->UpdatePlotDisplayGUI();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVDataAnalysisCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVSourceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVDataAnalysis:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateProperties\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVTKSourceParameters\n",NULL);
    Tcl_AppendResult(interp,"  Accept\n",NULL);
    Tcl_AppendResult(interp,"  Accept\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Accept\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveDialogCallback\n",NULL);
    Tcl_AppendResult(interp,"  PointArraySelectionModifiedCallback\n",NULL);
    Tcl_AppendResult(interp,"  CellArraySelectionModifiedCallback\n",NULL);
    Tcl_AppendResult(interp,"  PlotOverTimeCheckButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotOverTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotOverTime\n",NULL);
    Tcl_AppendResult(interp,"  LockTemporalCacheCheckButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetLockTemporalCache\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotTitleCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  XAxisLabelCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetXAxisLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  YAxisLabelCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetYAxisLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  LegendPositionCallback\n",NULL);
    Tcl_AppendResult(interp,"  LegendVisibilityCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotDisplayVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  GenerateTemporalPlot\n",NULL);
    Tcl_AppendResult(interp,"  AbortGenerateTemporalPlot\n",NULL);
    Tcl_AppendResult(interp,"  MarkSourcesForUpdate\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibilityNoTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EditXLabelCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EditYLabelCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTypeToPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTypeToLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTypeToPointsAndLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTitlePosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTitlePositionCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustTitlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AdjustTitlePositionCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelPropertiesDialog\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArraySelection\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArraySelection\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotDisplayProxy\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePlotDisplayGUI\n",NULL);
    return TCL_OK;
    }

  if (vtkPVSourceCppCommand((vtkPVSource *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
