// tcl wrapper for vtkPVInteractorStyleControl object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVInteractorStyleControl.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVInteractorStyleControlNewCommand()
{
  vtkPVInteractorStyleControl *temp = vtkPVInteractorStyleControl::New();
  return ((ClientData)temp);
}

int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVInteractorStyleControlCppCommand(vtkPVInteractorStyleControl *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVInteractorStyleControlCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVInteractorStyleControlCppCommand((vtkPVInteractorStyleControl *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVInteractorStyleControlCppCommand(vtkPVInteractorStyleControl *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVInteractorStyleControl",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVInteractorStyleControl  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInteractorStyleControl");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVInteractorStyleControl  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInteractorStyleControl");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVInteractorStyleControl  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVInteractorStyleControl");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabeledFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrameWithLabel  *temp20;
    temp20 = (op)->GetLabeledFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrameWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("AddManipulator",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkPVCameraManipulator  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPVCameraManipulator *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVCameraManipulator",interp,error));
    if (!error)
    {
    op->AddManipulator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateMenus",argv[1]))&&(argc == 2))
    {
    op->UpdateMenus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetManipulator",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetManipulator(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManipulator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPVCameraManipulator  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetManipulator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraManipulator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManipulator",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVCameraManipulator  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetManipulator(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraManipulator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCurrentManipulator",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetCurrentManipulator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCurrentManipulator",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    op->SetCurrentManipulator(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDefaultManipulator",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDefaultManipulator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDefaultManipulator",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetDefaultManipulator();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ReadRegistry",argv[1]))&&(argc == 2))
    {
    op->ReadRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StoreRegistry",argv[1]))&&(argc == 2))
    {
    op->StoreRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRegistryName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRegistryName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegistryName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetRegistryName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddArgument",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    vtkPVWidget  *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkPVWidget *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkPVWidget",interp,error));
    if (!error)
    {
    op->AddArgument(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangeArgument",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->ChangeArgument(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetWidget",argv[1]))&&(argc == 4))
    {
    vtkPVCameraManipulator  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkPVCameraManipulator *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVCameraManipulator",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->ResetWidget(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidget",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVWidget  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentManipulator",argv[1]))&&(argc == 2))
    {
    vtkPVCameraManipulator  *temp20;
    temp20 = (op)->GetCurrentManipulator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVCameraManipulator");
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVInteractorStyleControlCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVInteractorStyleControl:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabeledFrame\n",NULL);
    Tcl_AppendResult(interp,"  AddManipulator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateMenus\n",NULL);
    Tcl_AppendResult(interp,"  SetLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetManipulator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetManipulator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManipulator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentManipulator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentManipulator\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDefaultManipulator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDefaultManipulator\n",NULL);
    Tcl_AppendResult(interp,"  ReadRegistry\n",NULL);
    Tcl_AppendResult(interp,"  StoreRegistry\n",NULL);
    Tcl_AppendResult(interp,"  SetRegistryName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRegistryName\n",NULL);
    Tcl_AppendResult(interp,"  AddArgument\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ChangeArgument\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetWidget\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentManipulator\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
