// tcl wrapper for vtkPVKeyFrame object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVKeyFrame.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVKeyFrameCppCommand(vtkPVKeyFrame *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVKeyFrameCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVKeyFrameCppCommand((vtkPVKeyFrame *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVKeyFrameCppCommand(vtkPVKeyFrame *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVKeyFrame",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVKeyFrame  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVKeyFrame");
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyFrameProxy",argv[1]))&&(argc == 2))
    {
    vtkSMKeyFrameProxy  *temp20;
    temp20 = (op)->GetKeyFrameProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMKeyFrameProxy");
    return TCL_OK;
    }
  if ((!strcmp("SetKeyFrameProxy",argv[1]))&&(argc == 3))
    {
    vtkSMKeyFrameProxy  *temp0;
    error = 0;

    temp0 = (vtkSMKeyFrameProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMKeyFrameProxy",interp,error));
    if (!error)
    {
    op->SetKeyFrameProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetKeyTime();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyTimeWithTrace",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetKeyTimeWithTrace(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializeKeyValueUsingCurrentState",argv[1]))&&(argc == 2))
    {
    op->InitializeKeyValueUsingCurrentState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeKeyValueDomainUsingCurrentState",argv[1]))&&(argc == 2))
    {
    op->InitializeKeyValueDomainUsingCurrentState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeMinimumBound",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeMinimumBound(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeMaximumBound",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTimeMaximumBound(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearTimeBounds",argv[1]))&&(argc == 2))
    {
    op->ClearTimeBounds();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TimeChangedCallback",argv[1]))&&(argc == 2))
    {
    op->TimeChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForDisplay",argv[1]))&&(argc == 2))
    {
    op->PrepareForDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationCueProxy",argv[1]))&&(argc == 3))
    {
    vtkSMAnimationCueProxy  *temp0;
    error = 0;

    temp0 = (vtkSMAnimationCueProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMAnimationCueProxy",interp,error));
    if (!error)
    {
    op->SetAnimationCueProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationCueProxy",argv[1]))&&(argc == 2))
    {
    vtkSMAnimationCueProxy  *temp20;
    temp20 = (op)->GetAnimationCueProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMAnimationCueProxy");
    return TCL_OK;
    }
  if ((!strcmp("SetValueToMinimum",argv[1]))&&(argc == 2))
    {
    op->SetValueToMinimum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueToMaximum",argv[1]))&&(argc == 2))
    {
    op->SetValueToMaximum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationScene",argv[1]))&&(argc == 3))
    {
    vtkPVAnimationScene  *temp0;
    error = 0;

    temp0 = (vtkPVAnimationScene *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVAnimationScene",interp,error));
    if (!error)
    {
    op->SetAnimationScene(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationScene",argv[1]))&&(argc == 2))
    {
    vtkPVAnimationScene  *temp20;
    temp20 = (op)->GetAnimationScene();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVAnimationScene");
    return TCL_OK;
    }
  if ((!strcmp("SetDuration",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDuration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDuration",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDuration();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Copy",argv[1]))&&(argc == 3))
    {
    vtkPVKeyFrame  *temp0;
    error = 0;

    temp0 = (vtkPVKeyFrame *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVKeyFrame",interp,error));
    if (!error)
    {
    op->Copy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeChangeable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeChangeable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeChangeable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeChangeable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlankTimeEntry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBlankTimeEntry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlankTimeEntry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBlankTimeEntry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVKeyFrameCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVKeyFrame:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyFrameProxy\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyFrameProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyTime\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyTimeWithTrace\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializeKeyValueUsingCurrentState\n",NULL);
    Tcl_AppendResult(interp,"  InitializeKeyValueDomainUsingCurrentState\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMinimumBound\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeMaximumBound\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearTimeBounds\n",NULL);
    Tcl_AppendResult(interp,"  TimeChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDisplay\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationCueProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationCueProxy\n",NULL);
    Tcl_AppendResult(interp,"  SetValueToMinimum\n",NULL);
    Tcl_AppendResult(interp,"  SetValueToMaximum\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationScene\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationScene\n",NULL);
    Tcl_AppendResult(interp,"  SetDuration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDuration\n",NULL);
    Tcl_AppendResult(interp,"  Copy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeChangeable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeChangeable\n",NULL);
    Tcl_AppendResult(interp,"  SetBlankTimeEntry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlankTimeEntry\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
