// tcl wrapper for vtkPVLookmarkManager object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVLookmarkManager.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVLookmarkManagerNewCommand()
{
  vtkPVLookmarkManager *temp = vtkPVLookmarkManager::New();
  return ((ClientData)temp);
}

int vtkKWTopLevelCppCommand(vtkKWTopLevel *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVLookmarkManagerCppCommand(vtkPVLookmarkManager *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVLookmarkManagerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVLookmarkManagerCppCommand((vtkPVLookmarkManager *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVLookmarkManagerCppCommand(vtkPVLookmarkManager *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVLookmarkManager",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWTopLevelCppCommand((vtkKWTopLevel *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWTopLevel", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVLookmarkManager  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmarkManager");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVLookmarkManager  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmarkManager");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVLookmarkManager  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmarkManager");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Display",argv[1]))&&(argc == 2))
    {
    op->Display();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Withdraw",argv[1]))&&(argc == 2))
    {
    op->Withdraw();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTraceHelper",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->GetTraceHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetPVLookmark",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVLookmark  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPVLookmark(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmark");
    return TCL_OK;
    }
    }
  if ((!strcmp("ImportLookmarkFileCallback",argv[1]))&&(argc == 2))
    {
    op->ImportLookmarkFileCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ImportBoundingBoxFileCallback",argv[1]))&&(argc == 2))
    {
    op->ImportBoundingBoxFileCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ImportLookmarkFile",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->ImportLookmarkFile(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateLookmarkCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->CreateLookmarkCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateLookmark",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    vtkPVLookmark  *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateLookmark(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVLookmark");
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveAllCallback",argv[1]))&&(argc == 2))
    {
    op->SaveAllCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAll",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SaveAll(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExportFolderCallback",argv[1]))&&(argc == 2))
    {
    op->ExportFolderCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateLookmarkCallback",argv[1]))&&(argc == 2))
    {
    op->UpdateLookmarkCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveCallback",argv[1]))&&(argc == 2))
    {
    op->RemoveCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateFolderCallback",argv[1]))&&(argc == 2))
    {
    op->CreateFolderCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateFolder",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    vtkKWLookmarkFolder  *temp20;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateFolder(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLookmarkFolder");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStateOfAllLookmarkItems",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStateOfAllLookmarkItems(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UndoCallback",argv[1]))&&(argc == 2))
    {
    op->UndoCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RedoCallback",argv[1]))&&(argc == 2))
    {
    op->RedoCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenameLookmarkCallback",argv[1]))&&(argc == 2))
    {
    op->RenameLookmarkCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenameFolderCallback",argv[1]))&&(argc == 2))
    {
    op->RenameFolderCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMacrosFolder",argv[1]))&&(argc == 2))
    {
    vtkKWLookmarkFolder  *temp20;
    temp20 = (op)->GetMacrosFolder();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLookmarkFolder");
    return TCL_OK;
    }
  if ((!strcmp("ImportMacroExamplesCallback",argv[1]))&&(argc == 2))
    {
    op->ImportMacroExamplesCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddMacroExampleCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->AddMacroExampleCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SelectItemCallback",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SelectItemCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayUsersTutorial",argv[1]))&&(argc == 2))
    {
    op->DisplayUsersTutorial();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayQuickStartGuide",argv[1]))&&(argc == 2))
    {
    op->DisplayQuickStartGuide();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DragAndDropPerformCommand",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    vtkKWWidget  *temp2;
    vtkKWWidget  *temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkKWWidget",interp,error));
    temp3 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->DragAndDropPerformCommand(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DragAndDropEndCommand",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    vtkKWWidget  *temp2;
    vtkKWWidget  *temp3;
    vtkKWWidget  *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkKWWidget",interp,error));
    temp3 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkKWWidget",interp,error));
    temp4 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->DragAndDropEndCommand(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVLookmarkManagerCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWTopLevelCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVLookmarkManager:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Display\n",NULL);
    Tcl_AppendResult(interp,"  Withdraw\n",NULL);
    Tcl_AppendResult(interp,"  GetTraceHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetPVLookmark\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ImportLookmarkFileCallback\n",NULL);
    Tcl_AppendResult(interp,"  ImportBoundingBoxFileCallback\n",NULL);
    Tcl_AppendResult(interp,"  ImportLookmarkFile\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateLookmarkCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateLookmark\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveAllCallback\n",NULL);
    Tcl_AppendResult(interp,"  SaveAll\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExportFolderCallback\n",NULL);
    Tcl_AppendResult(interp,"  UpdateLookmarkCallback\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCallback\n",NULL);
    Tcl_AppendResult(interp,"  CreateFolderCallback\n",NULL);
    Tcl_AppendResult(interp,"  CreateFolder\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStateOfAllLookmarkItems\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UndoCallback\n",NULL);
    Tcl_AppendResult(interp,"  RedoCallback\n",NULL);
    Tcl_AppendResult(interp,"  RenameLookmarkCallback\n",NULL);
    Tcl_AppendResult(interp,"  RenameFolderCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetMacrosFolder\n",NULL);
    Tcl_AppendResult(interp,"  ImportMacroExamplesCallback\n",NULL);
    Tcl_AppendResult(interp,"  AddMacroExampleCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SelectItemCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayUsersTutorial\n",NULL);
    Tcl_AppendResult(interp,"  DisplayQuickStartGuide\n",NULL);
    Tcl_AppendResult(interp,"  DragAndDropPerformCommand\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DragAndDropEndCommand\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWTopLevelCppCommand((vtkKWTopLevel *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
