// tcl wrapper for vtkPVMinMax object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVMinMax.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVMinMaxNewCommand()
{
  vtkPVMinMax *temp = vtkPVMinMax::New();
  return ((ClientData)temp);
}

int vtkPVWidgetCppCommand(vtkPVWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVMinMaxCppCommand(vtkPVMinMax *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVMinMaxCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVMinMaxCppCommand((vtkPVMinMax *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVMinMaxCppCommand(vtkPVMinMax *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVMinMax",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVWidgetCppCommand((vtkPVWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVMinMax  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVMinMax");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVMinMax  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVMinMax");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVMinMax  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVMinMax");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 2))
    {
    op->Accept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetArrayMenu",argv[1]))&&(argc == 3))
    {
    vtkPVArrayMenu  *temp0;
    error = 0;

    temp0 = (vtkPVArrayMenu *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVArrayMenu",interp,error));
    if (!error)
    {
    op->SetArrayMenu(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MinValueCallback",argv[1]))&&(argc == 2))
    {
    op->MinValueCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaxValueCallback",argv[1]))&&(argc == 2))
    {
    op->MaxValueCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMinimumLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMaximumLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinimumHelp",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMinimumHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumHelp",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetMaximumHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPackVertically",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPackVertically();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPackVertically",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPackVertically(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PackVerticallyOn",argv[1]))&&(argc == 2))
    {
    op->PackVerticallyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PackVerticallyOff",argv[1]))&&(argc == 2))
    {
    op->PackVerticallyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetShowMinLabel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowMinLabel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShowMinLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowMinLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowMinLabelOn",argv[1]))&&(argc == 2))
    {
    op->ShowMinLabelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowMinLabelOff",argv[1]))&&(argc == 2))
    {
    op->ShowMinLabelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetShowMaxLabel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowMaxLabel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShowMaxLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowMaxLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShowMaxLabelOn",argv[1]))&&(argc == 2))
    {
    op->ShowMaxLabelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowMaxLabelOff",argv[1]))&&(argc == 2))
    {
    op->ShowMaxLabelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMinLabelWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinLabelWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinLabelWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinLabelWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxLabelWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLabelWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxLabelWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxLabelWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinScale",argv[1]))&&(argc == 2))
    {
    vtkKWScaleWithEntry  *temp20;
    temp20 = (op)->GetMinScale();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScaleWithEntry");
    return TCL_OK;
    }
  if ((!strcmp("GetMaxScale",argv[1]))&&(argc == 2))
    {
    vtkKWScaleWithEntry  *temp20;
    temp20 = (op)->GetMaxScale();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScaleWithEntry");
    return TCL_OK;
    }
  if ((!strcmp("ResetInternal",argv[1]))&&(argc == 2))
    {
    op->ResetInternal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVMinMaxCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVMinMax:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Accept\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  SetMinValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayMenu\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MinValueCallback\n",NULL);
    Tcl_AppendResult(interp,"  MaxValueCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPackVertically\n",NULL);
    Tcl_AppendResult(interp,"  SetPackVertically\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PackVerticallyOn\n",NULL);
    Tcl_AppendResult(interp,"  PackVerticallyOff\n",NULL);
    Tcl_AppendResult(interp,"  GetShowMinLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetShowMinLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowMinLabelOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowMinLabelOff\n",NULL);
    Tcl_AppendResult(interp,"  GetShowMaxLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetShowMaxLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShowMaxLabelOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowMaxLabelOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMinLabelWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetMinLabelWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLabelWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxLabelWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinScale\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxScale\n",NULL);
    Tcl_AppendResult(interp,"  ResetInternal\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkPVWidgetCppCommand((vtkPVWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
