// tcl wrapper for vtkPVSelectWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVSelectWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVSelectWidgetNewCommand()
{
  vtkPVSelectWidget *temp = vtkPVSelectWidget::New();
  return ((ClientData)temp);
}

int vtkPVObjectWidgetCppCommand(vtkPVObjectWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVSelectWidgetCppCommand(vtkPVSelectWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVSelectWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVSelectWidgetCppCommand((vtkPVSelectWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVSelectWidgetCppCommand(vtkPVSelectWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVSelectWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVObjectWidgetCppCommand((vtkPVObjectWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVObjectWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVSelectWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSelectWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVSelectWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSelectWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVSelectWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSelectWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddItem",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkPVWidget  *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkPVWidget *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVWidget",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->AddItem(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVWidget",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkPVWidget  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPVWidget(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentWidget",argv[1]))&&(argc == 2))
    {
    vtkPVWidget  *temp20;
    temp20 = (op)->GetCurrentWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWidget");
    return TCL_OK;
    }
  if ((!strcmp("SetLabel",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModifiedFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetModifiedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 2))
    {
    op->Select();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Deselect",argv[1]))&&(argc == 2))
    {
    op->Deselect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentValue",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCurrentValue();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentValue",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCurrentValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MenuCallback",argv[1]))&&(argc == 2))
    {
    op->MenuCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFrame",argv[1]))&&(argc == 2))
    {
    vtkKWWidget  *temp20;
    temp20 = (op)->GetFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentVTKValue",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCurrentVTKValue();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetVTKValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVTKValue(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentLabel",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetCurrentLabel();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetInternal",argv[1]))&&(argc == 2))
    {
    op->ResetInternal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVTKObjects",argv[1]))&&(argc == 2))
    {
    op->UpdateVTKObjects();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVSelectWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVObjectWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVSelectWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddItem\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPVWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentWidget\n",NULL);
    Tcl_AppendResult(interp,"  SetLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModifiedFlag\n",NULL);
    Tcl_AppendResult(interp,"  Select\n",NULL);
    Tcl_AppendResult(interp,"  Deselect\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentValue\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MenuCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentVTKValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentLabel\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  ResetInternal\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVTKObjects\n",NULL);
    return TCL_OK;
    }

  if (vtkPVObjectWidgetCppCommand((vtkPVObjectWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
