// tcl wrapper for vtkPVTraceHelper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVTraceHelper.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVTraceHelperNewCommand()
{
  vtkPVTraceHelper *temp = vtkPVTraceHelper::New();
  return ((ClientData)temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVTraceHelperCppCommand(vtkPVTraceHelper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVTraceHelperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVTraceHelperCppCommand((vtkPVTraceHelper *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVTraceHelperCppCommand(vtkPVTraceHelper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVTraceHelper",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVTraceHelper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTraceObject",argv[1]))&&(argc == 3))
    {
    vtkKWObject  *temp0;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    if (!error)
    {
    op->SetTraceObject(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTraceObject",argv[1]))&&(argc == 2))
    {
    vtkKWObject  *temp20;
    temp20 = (op)->GetTraceObject();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWObject");
    return TCL_OK;
    }
  if ((!strcmp("SetObjectName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetObjectName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetObjectName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetObjectNameState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetObjectNameState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectNameState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetObjectNameState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReferenceHelper",argv[1]))&&(argc == 3))
    {
    vtkPVTraceHelper  *temp0;
    error = 0;

    temp0 = (vtkPVTraceHelper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVTraceHelper",interp,error));
    if (!error)
    {
    op->SetReferenceHelper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReferenceHelper",argv[1]))&&(argc == 2))
    {
    vtkPVTraceHelper  *temp20;
    temp20 = (op)->GetReferenceHelper();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVTraceHelper");
    return TCL_OK;
    }
  if ((!strcmp("SetReferenceCommand",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetReferenceCommand(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReferenceCommand",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetReferenceCommand();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Initialize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInitialized",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInitialized(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInitialized",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialized();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InitializedOn",argv[1]))&&(argc == 2))
    {
    op->InitializedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializedOff",argv[1]))&&(argc == 2))
    {
    op->InitializedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStateInitialized",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStateInitialized(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStateInitialized",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStateInitialized();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StateInitializedOn",argv[1]))&&(argc == 2))
    {
    op->StateInitializedOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StateInitializedOff",argv[1]))&&(argc == 2))
    {
    op->StateInitializedOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddSimpleEntry",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddSimpleEntry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVTraceHelperCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVTraceHelper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTraceObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTraceObject\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectName\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectNameState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectNameState\n",NULL);
    Tcl_AppendResult(interp,"  SetReferenceHelper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReferenceHelper\n",NULL);
    Tcl_AppendResult(interp,"  SetReferenceCommand\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReferenceCommand\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  SetInitialized\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialized\n",NULL);
    Tcl_AppendResult(interp,"  InitializedOn\n",NULL);
    Tcl_AppendResult(interp,"  InitializedOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStateInitialized\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStateInitialized\n",NULL);
    Tcl_AppendResult(interp,"  StateInitializedOn\n",NULL);
    Tcl_AppendResult(interp,"  StateInitializedOff\n",NULL);
    Tcl_AppendResult(interp,"  AddSimpleEntry\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
