// tcl wrapper for vtkPVVCRControl object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVVCRControl.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVVCRControlNewCommand()
{
  vtkPVVCRControl *temp = vtkPVVCRControl::New();
  return ((ClientData)temp);
}

int vtkKWToolbarCppCommand(vtkKWToolbar *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVVCRControlCppCommand(vtkPVVCRControl *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVVCRControlCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVVCRControlCppCommand((vtkPVVCRControl *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVVCRControlCppCommand(vtkPVVCRControl *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVVCRControl",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWToolbarCppCommand((vtkKWToolbar *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWToolbar", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVVCRControl  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVVCRControl");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVVCRControl  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVVCRControl");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVVCRControl  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVVCRControl");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlayCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPlayCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStopCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetStopCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGoToBeginningCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetGoToBeginningCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGoToEndCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetGoToEndCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGoToPreviousCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetGoToPreviousCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGoToNextCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetGoToNextCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLoopCheckCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetLoopCheckCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRecordCheckCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetRecordCheckCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRecordStateCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetRecordStateCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSaveAnimationCommand",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetSaveAnimationCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInPlay",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInPlay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInPlay",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInPlay();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLoopButtonState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLoopButtonState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLoopButtonState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLoopButtonState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRecordCheckButtonState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRecordCheckButtonState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRecordCheckButtonState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecordCheckButtonState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PlayCallback",argv[1]))&&(argc == 2))
    {
    op->PlayCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StopCallback",argv[1]))&&(argc == 2))
    {
    op->StopCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToBeginningCallback",argv[1]))&&(argc == 2))
    {
    op->GoToBeginningCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToEndCallback",argv[1]))&&(argc == 2))
    {
    op->GoToEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToPreviousCallback",argv[1]))&&(argc == 2))
    {
    op->GoToPreviousCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToNextCallback",argv[1]))&&(argc == 2))
    {
    op->GoToNextCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LoopCheckCallback",argv[1]))&&(argc == 2))
    {
    op->LoopCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecordCheckCallback",argv[1]))&&(argc == 2))
    {
    op->RecordCheckCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RecordStateCallback",argv[1]))&&(argc == 2))
    {
    op->RecordStateCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveAnimationCallback",argv[1]))&&(argc == 2))
    {
    op->SaveAnimationCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetModeToPlayBack",argv[1]))&&(argc == 2))
    {
    op->SetModeToPlayBack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModeToRecord",argv[1]))&&(argc == 2))
    {
    op->SetModeToRecord();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModeToBoth",argv[1]))&&(argc == 2))
    {
    op->SetModeToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVVCRControlCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWToolbarCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVVCRControl:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlayCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStopCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGoToBeginningCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGoToEndCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGoToPreviousCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGoToNextCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLoopCheckCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRecordCheckCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRecordStateCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveAnimationCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SetInPlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInPlay\n",NULL);
    Tcl_AppendResult(interp,"  SetLoopButtonState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLoopButtonState\n",NULL);
    Tcl_AppendResult(interp,"  SetRecordCheckButtonState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRecordCheckButtonState\n",NULL);
    Tcl_AppendResult(interp,"  PlayCallback\n",NULL);
    Tcl_AppendResult(interp,"  StopCallback\n",NULL);
    Tcl_AppendResult(interp,"  GoToBeginningCallback\n",NULL);
    Tcl_AppendResult(interp,"  GoToEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  GoToPreviousCallback\n",NULL);
    Tcl_AppendResult(interp,"  GoToNextCallback\n",NULL);
    Tcl_AppendResult(interp,"  LoopCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  RecordCheckCallback\n",NULL);
    Tcl_AppendResult(interp,"  RecordStateCallback\n",NULL);
    Tcl_AppendResult(interp,"  SaveAnimationCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMode\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToPlayBack\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToRecord\n",NULL);
    Tcl_AppendResult(interp,"  SetModeToBoth\n",NULL);
    return TCL_OK;
    }

  if (vtkKWToolbarCppCommand((vtkKWToolbar *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
