// tcl wrapper for vtkPVWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkPVTracedWidgetCppCommand(vtkPVTracedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVWidgetCppCommand(vtkPVWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVWidgetCppCommand((vtkPVWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVWidgetCppCommand(vtkPVWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVTracedWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVWidget");
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Accept",argv[1]))&&(argc == 2))
    {
    op->Accept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PostAccept",argv[1]))&&(argc == 2))
    {
    op->PostAccept();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateVTKObjects",argv[1]))&&(argc == 2))
    {
    op->UpdateVTKObjects();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddDependent",argv[1]))&&(argc == 3))
    {
    vtkPVWidget  *temp0;
    error = 0;

    temp0 = (vtkPVWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVWidget",interp,error));
    if (!error)
    {
    op->AddDependent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDependent",argv[1]))&&(argc == 3))
    {
    vtkPVWidget  *temp0;
    error = 0;

    temp0 = (vtkPVWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVWidget",interp,error));
    if (!error)
    {
    op->RemoveDependent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllDependents",argv[1]))&&(argc == 2))
    {
    op->RemoveAllDependents();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 2))
    {
    op->Select();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Deselect",argv[1]))&&(argc == 2))
    {
    op->Deselect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModifiedCommand",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetModifiedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAcceptedCommand",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetAcceptedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ModifiedCallback",argv[1]))&&(argc == 2))
    {
    op->ModifiedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AcceptedCallback",argv[1]))&&(argc == 2))
    {
    op->AcceptedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetModifiedFlag",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetModifiedFlag();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPVApplication",argv[1]))&&(argc == 2))
    {
    vtkPVApplication  *temp20;
    temp20 = (op)->GetPVApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVApplication");
    return TCL_OK;
    }
  if ((!strcmp("SetPVSource",argv[1]))&&(argc == 3))
    {
    vtkPVSource  *temp0;
    error = 0;

    temp0 = (vtkPVSource *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVSource",interp,error));
    if (!error)
    {
    op->SetPVSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPVSource",argv[1]))&&(argc == 2))
    {
    vtkPVSource  *temp20;
    temp20 = (op)->GetPVSource();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVSource");
    return TCL_OK;
    }
  if ((!strcmp("ReadXMLAttributes",argv[1]))&&(argc == 4))
    {
    vtkPVXMLElement  *temp0;
    vtkPVXMLPackageParser  *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkPVXMLElement *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVXMLElement",interp,error));
    temp1 = (vtkPVXMLPackageParser *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkPVXMLPackageParser",interp,error));
    if (!error)
    {
    temp20 = (op)->ReadXMLAttributes(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModifiedCommandObjectTclName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetModifiedCommandObjectTclName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetModifiedCommandMethod",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetModifiedCommandMethod();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetSMProperty",argv[1]))&&(argc == 2))
    {
    vtkSMProperty  *temp20;
    temp20 = (op)->GetSMProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSMProperty",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->SetSMProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSMPropertyName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSMPropertyName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSMPropertyName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetSMPropertyName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseWidgetRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseWidgetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseWidgetRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseWidgetRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWidgetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWidgetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetWidgetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetWidgetRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHideGUI",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHideGUI();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetKeepsTimeStep",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetKeepsTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVTracedWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Accept\n",NULL);
    Tcl_AppendResult(interp,"  PostAccept\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateVTKObjects\n",NULL);
    Tcl_AppendResult(interp,"  AddDependent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDependent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllDependents\n",NULL);
    Tcl_AppendResult(interp,"  Select\n",NULL);
    Tcl_AppendResult(interp,"  Deselect\n",NULL);
    Tcl_AppendResult(interp,"  SetModifiedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAcceptedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ModifiedCallback\n",NULL);
    Tcl_AppendResult(interp,"  AcceptedCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetModifiedFlag\n",NULL);
    Tcl_AppendResult(interp,"  GetPVApplication\n",NULL);
    Tcl_AppendResult(interp,"  SetPVSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPVSource\n",NULL);
    Tcl_AppendResult(interp,"  ReadXMLAttributes\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetModifiedCommandObjectTclName\n",NULL);
    Tcl_AppendResult(interp,"  GetModifiedCommandMethod\n",NULL);
    Tcl_AppendResult(interp,"  GetSMProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSMProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSMPropertyName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSMPropertyName\n",NULL);
    Tcl_AppendResult(interp,"  SetUseWidgetRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseWidgetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetRange\n",NULL);
    Tcl_AppendResult(interp,"  GetHideGUI\n",NULL);
    Tcl_AppendResult(interp,"  GetKeepsTimeStep\n",NULL);
    return TCL_OK;
    }

  if (vtkPVTracedWidgetCppCommand((vtkPVTracedWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
