/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWEntrySet.h"

#include "vtkKWEntry.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWEntrySet);
vtkCxxRevisionMacro(vtkKWEntrySet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWEntry* vtkKWEntrySet::GetWidget(int id)
{
  return static_cast<vtkKWEntry*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWEntry* vtkKWEntrySet::AddWidget(int id)
{
  return static_cast<vtkKWEntry*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWEntrySet::AllocateAndCreateWidget()
{
  vtkKWEntry *widget = vtkKWEntry::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWEntrySet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
