/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWPushButtonSet.h"

#include "vtkKWPushButton.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWPushButtonSet);
vtkCxxRevisionMacro(vtkKWPushButtonSet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWPushButton* vtkKWPushButtonSet::GetWidget(int id)
{
  return static_cast<vtkKWPushButton*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWPushButton* vtkKWPushButtonSet::AddWidget(int id)
{
  return static_cast<vtkKWPushButton*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWPushButtonSet::AllocateAndCreateWidget()
{
  vtkKWPushButton *widget = vtkKWPushButton::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWPushButtonSet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
