/*=========================================================================

  Module:    $RCSfile: vtkKWWidgetSetSubclass.cxx.in,v $

  Copyright (c) Kitware, Inc.
  All rights reserved.
  See Copyright.txt or http://www.kitware.com/Copyright.htm for details.

     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/

#include "vtkKWScaleWithEntrySet.h"

#include "vtkKWScaleWithEntry.h"
#include "vtkObjectFactory.h"

//----------------------------------------------------------------------------

vtkStandardNewMacro(vtkKWScaleWithEntrySet);
vtkCxxRevisionMacro(vtkKWScaleWithEntrySet, "$Revision: 1.5 $");

//----------------------------------------------------------------------------
vtkKWScaleWithEntry* vtkKWScaleWithEntrySet::GetWidget(int id)
{
  return static_cast<vtkKWScaleWithEntry*>(this->GetWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWScaleWithEntry* vtkKWScaleWithEntrySet::AddWidget(int id)
{
  return static_cast<vtkKWScaleWithEntry*>(this->AddWidgetInternal(id));
}

//----------------------------------------------------------------------------
vtkKWWidget* vtkKWScaleWithEntrySet::AllocateAndCreateWidget()
{
  vtkKWScaleWithEntry *widget = vtkKWScaleWithEntry::New();
  widget->SetParent(this);
  widget->Create(this->GetApplication());
  return static_cast<vtkKWWidget*>(widget);
}

//----------------------------------------------------------------------------
void vtkKWScaleWithEntrySet::PrintSelf(ostream& os, vtkIndent indent)
{
  this->Superclass::PrintSelf(os,indent);
}
