// tcl wrapper for vtkKWApplication object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWApplication.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWApplicationNewCommand()
{
  vtkKWApplication *temp = vtkKWApplication::New();
  return ((ClientData)temp);
}

int vtkKWObjectCppCommand(vtkKWObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWApplicationCppCommand(vtkKWApplication *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWApplicationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWApplicationCppCommand((vtkKWApplication *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWApplicationCppCommand(vtkKWApplication *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWApplication",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWObjectCppCommand((vtkKWObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWApplication  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWApplication");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWApplication  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWApplication");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWApplication  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWApplication");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplication",argv[1]))&&(argc == 2))
    {
    vtkKWApplication  *temp20;
    temp20 = (op)->GetApplication();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWApplication");
    return TCL_OK;
    }
  if ((!strcmp("SetApplication",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->SetApplication(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Exit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Exit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPromptBeforeExit",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPromptBeforeExit(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPromptBeforeExit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPromptBeforeExit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PromptBeforeExitOn",argv[1]))&&(argc == 2))
    {
    op->PromptBeforeExitOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PromptBeforeExitOff",argv[1]))&&(argc == 2))
    {
    op->PromptBeforeExitOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExitStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExitStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExitStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExitStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInExit",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInExit();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddWindow",argv[1]))&&(argc == 3))
    {
    vtkKWWindowBase  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindowBase",interp,error));
    if (!error)
    {
    temp20 = (op)->AddWindow(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveWindow",argv[1]))&&(argc == 3))
    {
    vtkKWWindowBase  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindowBase",interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveWindow(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfWindows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfWindows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNthWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWWindowBase  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthWindow(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindowBase");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMajorVersion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMajorVersion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMajorVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMajorVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinorVersion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinorVersion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinorVersion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinorVersion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVersionName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVersionName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVersionName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVersionName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetReleaseName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetReleaseName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReleaseName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetReleaseName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPrettyName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPrettyName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLimitedEditionModeAndWarn",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetLimitedEditionModeAndWarn(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLimitedEditionModeName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLimitedEditionModeName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLimitedEditionModeName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLimitedEditionModeName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetInstallationDirectory",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInstallationDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetInstallationDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInstallationDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserDataDirectory",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetUserDataDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUserDataDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetUserDataDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadScript",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->LoadScript(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExitAfterLoadScript",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExitAfterLoadScript(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExitAfterLoadScriptMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExitAfterLoadScriptMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExitAfterLoadScriptMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExitAfterLoadScriptMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExitAfterLoadScriptOn",argv[1]))&&(argc == 2))
    {
    op->ExitAfterLoadScriptOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExitAfterLoadScriptOff",argv[1]))&&(argc == 2))
    {
    op->ExitAfterLoadScriptOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetExitAfterLoadScript",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExitAfterLoadScript();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPrintTargetDPI",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPrintTargetDPI();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPrintTargetDPI",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPrintTargetDPI(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRegistryLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRegistryLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRegistryLevelMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRegistryLevelMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRegistryLevelMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRegistryLevelMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRegistryLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRegistryLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRegistryValue",argv[1]))&&(argc == 6))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    temp20 = (op)->GetRegistryValue(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteRegistryValue",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->DeleteRegistryValue(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasRegistryValue",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->HasRegistryValue(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFloatRegistryValue",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetFloatRegistryValue(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntRegistryValue",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetIntRegistryValue(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBooleanRegistryValue",argv[1]))&&(argc == 6))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    char    *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    temp20 = (op)->GetBooleanRegistryValue(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveDialogLastPathRegistryValue",argv[1]))&&(argc == 4))
    {
    vtkKWLoadSaveDialog  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWLoadSaveDialog *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWLoadSaveDialog",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SaveDialogLastPathRegistryValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RetrieveDialogLastPathRegistryValue",argv[1]))&&(argc == 4))
    {
    vtkKWLoadSaveDialog  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkKWLoadSaveDialog *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWLoadSaveDialog",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->RetrieveDialogLastPathRegistryValue(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RestoreApplicationSettingsFromRegistry",argv[1]))&&(argc == 2))
    {
    op->RestoreApplicationSettingsFromRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveApplicationSettingsToRegistry",argv[1]))&&(argc == 2))
    {
    op->SaveApplicationSettingsToRegistry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSupportSplashScreen",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSupportSplashScreen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSupportSplashScreen",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSupportSplashScreen();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SupportSplashScreenOn",argv[1]))&&(argc == 2))
    {
    op->SupportSplashScreenOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SupportSplashScreenOff",argv[1]))&&(argc == 2))
    {
    op->SupportSplashScreenOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSplashScreenVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplashScreenVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSplashScreenVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSplashScreenVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SplashScreenVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->SplashScreenVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SplashScreenVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->SplashScreenVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSplashScreen",argv[1]))&&(argc == 2))
    {
    vtkKWSplashScreen  *temp20;
    temp20 = (op)->GetSplashScreen();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWSplashScreen");
    return TCL_OK;
    }
  if ((!strcmp("GetSaveUserInterfaceGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSaveUserInterfaceGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSaveUserInterfaceGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSaveUserInterfaceGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SaveUserInterfaceGeometryOn",argv[1]))&&(argc == 2))
    {
    op->SaveUserInterfaceGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveUserInterfaceGeometryOff",argv[1]))&&(argc == 2))
    {
    op->SaveUserInterfaceGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCharacterEncoding",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCharacterEncoding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCharacterEncoding",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCharacterEncoding();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasCheckForUpdates",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasCheckForUpdates();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckForUpdates",argv[1]))&&(argc == 2))
    {
    op->CheckForUpdates();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanEmailFeedback",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CanEmailFeedback();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EmailFeedback",argv[1]))&&(argc == 2))
    {
    op->EmailFeedback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEmailFeedbackAddress",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEmailFeedbackAddress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEmailFeedbackAddress",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEmailFeedbackAddress();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("DisplayHelpDialog",argv[1]))&&(argc == 3))
    {
    vtkKWWindowBase  *temp0;
    error = 0;

    temp0 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindowBase",interp,error));
    if (!error)
    {
    op->DisplayHelpDialog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHelpDialogStartingPage",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHelpDialogStartingPage();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHelpDialogStartingPage",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHelpDialogStartingPage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisplayAboutDialog",argv[1]))&&(argc == 3))
    {
    vtkKWWindowBase  *temp0;
    error = 0;

    temp0 = (vtkKWWindowBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWindowBase",interp,error));
    if (!error)
    {
    op->DisplayAboutDialog(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBalloonHelpManager",argv[1]))&&(argc == 2))
    {
    vtkKWBalloonHelpManager  *temp20;
    temp20 = (op)->GetBalloonHelpManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWBalloonHelpManager");
    return TCL_OK;
    }
  if ((!strcmp("RegisterDialogUp",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->RegisterDialogUp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegisterDialogUp",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->UnRegisterDialogUp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsDialogUp",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDialogUp();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OpenLink",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->OpenLink(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWApplicationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWApplication:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplication\n",NULL);
    Tcl_AppendResult(interp,"  SetApplication\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Exit\n",NULL);
    Tcl_AppendResult(interp,"  SetPromptBeforeExit\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPromptBeforeExit\n",NULL);
    Tcl_AppendResult(interp,"  PromptBeforeExitOn\n",NULL);
    Tcl_AppendResult(interp,"  PromptBeforeExitOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExitStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExitStatus\n",NULL);
    Tcl_AppendResult(interp,"  GetInExit\n",NULL);
    Tcl_AppendResult(interp,"  AddWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfWindows\n",NULL);
    Tcl_AppendResult(interp,"  GetNthWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetName\n",NULL);
    Tcl_AppendResult(interp,"  SetMajorVersion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMajorVersion\n",NULL);
    Tcl_AppendResult(interp,"  SetMinorVersion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorVersion\n",NULL);
    Tcl_AppendResult(interp,"  SetVersionName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVersionName\n",NULL);
    Tcl_AppendResult(interp,"  SetReleaseName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReleaseName\n",NULL);
    Tcl_AppendResult(interp,"  GetPrettyName\n",NULL);
    Tcl_AppendResult(interp,"  GetLimitedEditionModeAndWarn\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLimitedEditionModeName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLimitedEditionModeName\n",NULL);
    Tcl_AppendResult(interp,"  GetInstallationDirectory\n",NULL);
    Tcl_AppendResult(interp,"  SetInstallationDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserDataDirectory\n",NULL);
    Tcl_AppendResult(interp,"  SetUserDataDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LoadScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExitAfterLoadScript\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExitAfterLoadScriptMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetExitAfterLoadScriptMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  ExitAfterLoadScriptOn\n",NULL);
    Tcl_AppendResult(interp,"  ExitAfterLoadScriptOff\n",NULL);
    Tcl_AppendResult(interp,"  GetExitAfterLoadScript\n",NULL);
    Tcl_AppendResult(interp,"  GetPrintTargetDPI\n",NULL);
    Tcl_AppendResult(interp,"  SetPrintTargetDPI\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRegistryLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRegistryLevelMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRegistryLevelMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRegistryLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetRegistryValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  DeleteRegistryValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  HasRegistryValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFloatRegistryValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIntRegistryValue\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBooleanRegistryValue\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SaveDialogLastPathRegistryValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RetrieveDialogLastPathRegistryValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RestoreApplicationSettingsFromRegistry\n",NULL);
    Tcl_AppendResult(interp,"  SaveApplicationSettingsToRegistry\n",NULL);
    Tcl_AppendResult(interp,"  SetSupportSplashScreen\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSupportSplashScreen\n",NULL);
    Tcl_AppendResult(interp,"  SupportSplashScreenOn\n",NULL);
    Tcl_AppendResult(interp,"  SupportSplashScreenOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSplashScreenVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetSplashScreenVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SplashScreenVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  SplashScreenVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSplashScreen\n",NULL);
    Tcl_AppendResult(interp,"  GetSaveUserInterfaceGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveUserInterfaceGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SaveUserInterfaceGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  SaveUserInterfaceGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCharacterEncoding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCharacterEncoding\n",NULL);
    Tcl_AppendResult(interp,"  HasCheckForUpdates\n",NULL);
    Tcl_AppendResult(interp,"  CheckForUpdates\n",NULL);
    Tcl_AppendResult(interp,"  CanEmailFeedback\n",NULL);
    Tcl_AppendResult(interp,"  EmailFeedback\n",NULL);
    Tcl_AppendResult(interp,"  SetEmailFeedbackAddress\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEmailFeedbackAddress\n",NULL);
    Tcl_AppendResult(interp,"  DisplayHelpDialog\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHelpDialogStartingPage\n",NULL);
    Tcl_AppendResult(interp,"  SetHelpDialogStartingPage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisplayAboutDialog\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonHelpManager\n",NULL);
    Tcl_AppendResult(interp,"  RegisterDialogUp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegisterDialogUp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsDialogUp\n",NULL);
    Tcl_AppendResult(interp,"  OpenLink\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkKWObjectCppCommand((vtkKWObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
