// tcl wrapper for vtkKWColorTransferFunctionEditor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWColorTransferFunctionEditor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWColorTransferFunctionEditorNewCommand()
{
  vtkKWColorTransferFunctionEditor *temp = vtkKWColorTransferFunctionEditor::New();
  return ((ClientData)temp);
}

int vtkKWParameterValueHermiteFunctionEditorCppCommand(vtkKWParameterValueHermiteFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWColorTransferFunctionEditorCppCommand(vtkKWColorTransferFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWColorTransferFunctionEditorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWColorTransferFunctionEditorCppCommand((vtkKWColorTransferFunctionEditor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWColorTransferFunctionEditorCppCommand(vtkKWColorTransferFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWColorTransferFunctionEditor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWParameterValueHermiteFunctionEditorCppCommand((vtkKWParameterValueHermiteFunctionEditor *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWParameterValueHermiteFunctionEditor", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWColorTransferFunctionEditor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWColorTransferFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWColorTransferFunctionEditor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWColorTransferFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWColorTransferFunctionEditor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWColorTransferFunctionEditor");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->GetColorTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetColorTransferFunction",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkColorTransferFunction",interp,error));
    if (!error)
    {
    op->SetColorTransferFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointColorAsRGB",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->SetPointColorAsRGB(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointColorAsHSV",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->SetPointColorAsHSV(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorRampVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ColorRampVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorRampVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ColorRampVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorRampVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorRampVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorRampVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorRampTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->GetColorRampTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampTransferFunction",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkColorTransferFunction",interp,error));
    if (!error)
    {
    op->SetColorRampTransferFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorRampHeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorRampHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorRampHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorRampHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorRampPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorRampPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorRampPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampPositionToDefault",argv[1]))&&(argc == 2))
    {
    op->SetColorRampPositionToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampPositionToCanvas",argv[1]))&&(argc == 2))
    {
    op->SetColorRampPositionToCanvas();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampOutlineStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorRampOutlineStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorRampOutlineStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorRampOutlineStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampOutlineStyleToNone",argv[1]))&&(argc == 2))
    {
    op->SetColorRampOutlineStyleToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampOutlineStyleToSolid",argv[1]))&&(argc == 2))
    {
    op->SetColorRampOutlineStyleToSolid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorRampOutlineStyleToSunken",argv[1]))&&(argc == 2))
    {
    op->SetColorRampOutlineStyleToSunken();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetColorSpaceOptionMenuVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorSpaceOptionMenuVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorSpaceOptionMenuVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ColorSpaceOptionMenuVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorSpaceOptionMenuVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ColorSpaceOptionMenuVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorSpaceOptionMenuVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorSpaceOptionMenuVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ValueEntriesVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ValueEntriesVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueEntriesVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ValueEntriesVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueEntriesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueEntriesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueEntriesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueEntriesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorSpaceCallback",argv[1]))&&(argc == 2))
    {
    op->ColorSpaceCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueEntriesCallback",argv[1]))&&(argc == 2))
    {
    op->ValueEntriesCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DoubleClickOnPointCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->DoubleClickOnPointCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasFunction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasFunction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetFunctionMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionPointDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionPointDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWColorTransferFunctionEditorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWParameterValueHermiteFunctionEditorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWColorTransferFunctionEditor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetColorTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColorAsRGB\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColorAsHSV\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  ColorRampVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorRampVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRampVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRampTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRampHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRampPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampPositionToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampPositionToCanvas\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampOutlineStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorRampOutlineStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampOutlineStyleToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampOutlineStyleToSolid\n",NULL);
    Tcl_AppendResult(interp,"  SetColorRampOutlineStyleToSunken\n",NULL);
    Tcl_AppendResult(interp,"  SetColorSpaceOptionMenuVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ColorSpaceOptionMenuVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorSpaceOptionMenuVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetColorSpaceOptionMenuVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ValueEntriesVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ValueEntriesVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetValueEntriesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueEntriesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  ColorSpaceCallback\n",NULL);
    Tcl_AppendResult(interp,"  ValueEntriesCallback\n",NULL);
    Tcl_AppendResult(interp,"  DoubleClickOnPointCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  HasFunction\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionSize\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionPointDimensionality\n",NULL);
    return TCL_OK;
    }

  if (vtkKWParameterValueHermiteFunctionEditorCppCommand((vtkKWParameterValueHermiteFunctionEditor *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
