// tcl wrapper for vtkKWCornerAnnotationEditor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWCornerAnnotationEditor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWCornerAnnotationEditorNewCommand()
{
  vtkKWCornerAnnotationEditor *temp = vtkKWCornerAnnotationEditor::New();
  return ((ClientData)temp);
}

int vtkKWCheckButtonWithPopupFrameCppCommand(vtkKWCheckButtonWithPopupFrame *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWCornerAnnotationEditorCppCommand(vtkKWCornerAnnotationEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWCornerAnnotationEditorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWCornerAnnotationEditorCppCommand((vtkKWCornerAnnotationEditor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWCornerAnnotationEditorCppCommand(vtkKWCornerAnnotationEditor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWCornerAnnotationEditor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCheckButtonWithPopupFrameCppCommand((vtkKWCheckButtonWithPopupFrame *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCheckButtonWithPopupFrame", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWCornerAnnotationEditor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCornerAnnotationEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWCornerAnnotationEditor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCornerAnnotationEditor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWCornerAnnotationEditor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCornerAnnotationEditor");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPopupTextProperty",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPopupTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPopupTextProperty",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPopupTextProperty();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PopupTextPropertyOn",argv[1]))&&(argc == 2))
    {
    op->PopupTextPropertyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PopupTextPropertyOff",argv[1]))&&(argc == 2))
    {
    op->PopupTextPropertyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWidget",argv[1]))&&(argc == 3))
    {
    vtkKWRenderWidget  *temp0;
    error = 0;

    temp0 = (vtkKWRenderWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWRenderWidget",interp,error));
    if (!error)
    {
    op->SetRenderWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWidget",argv[1]))&&(argc == 2))
    {
    vtkKWRenderWidget  *temp20;
    temp20 = (op)->GetRenderWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRenderWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetCornerAnnotation",argv[1]))&&(argc == 2))
    {
    vtkCornerAnnotation  *temp20;
    temp20 = (op)->GetCornerAnnotation();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCornerAnnotation");
    return TCL_OK;
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCornerText",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCornerText(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCornerText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCornerText(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTextColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTextColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumLineHeight",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumLineHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnnotationChangedEvent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnnotationChangedEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnnotationChangedEvent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnnotationChangedEvent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckButtonCallback",argv[1]))&&(argc == 2))
    {
    op->CheckButtonCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CornerTextCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->CornerTextCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MaximumLineHeightCallback",argv[1]))&&(argc == 2))
    {
    op->MaximumLineHeightCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaximumLineHeightEndCallback",argv[1]))&&(argc == 2))
    {
    op->MaximumLineHeightEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TextPropertyCallback",argv[1]))&&(argc == 2))
    {
    op->TextPropertyCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCornerVisibilityButton",argv[1]))&&(argc == 2))
    {
    vtkKWCheckButton  *temp20;
    temp20 = (op)->GetCornerVisibilityButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWCheckButton");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Close",argv[1]))&&(argc == 2))
    {
    op->Close();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTextPropertyWidget",argv[1]))&&(argc == 2))
    {
    vtkKWTextPropertyEditor  *temp20;
    temp20 = (op)->GetTextPropertyWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWTextPropertyEditor");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWCornerAnnotationEditorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCheckButtonWithPopupFrameCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWCornerAnnotationEditor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPopupTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPopupTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  PopupTextPropertyOn\n",NULL);
    Tcl_AppendResult(interp,"  PopupTextPropertyOff\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWidget\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWidget\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerAnnotation\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerText\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumLineHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAnnotationChangedEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnnotationChangedEvent\n",NULL);
    Tcl_AppendResult(interp,"  CheckButtonCallback\n",NULL);
    Tcl_AppendResult(interp,"  CornerTextCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MaximumLineHeightCallback\n",NULL);
    Tcl_AppendResult(interp,"  MaximumLineHeightEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  TextPropertyCallback\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerVisibilityButton\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  Close\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  GetTextPropertyWidget\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCheckButtonWithPopupFrameCppCommand((vtkKWCheckButtonWithPopupFrame *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
