// tcl wrapper for vtkKWMenu object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWMenu.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWMenuNewCommand()
{
  vtkKWMenu *temp = vtkKWMenu::New();
  return ((ClientData)temp);
}

int vtkKWCoreWidgetCppCommand(vtkKWCoreWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWMenuCppCommand(vtkKWMenu *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWMenuCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWMenuCppCommand((vtkKWMenu *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWMenuCppCommand(vtkKWMenu *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWMenu",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCoreWidgetCppCommand((vtkKWCoreWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCoreWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWMenu  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWMenu  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWMenu");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddSeparator",argv[1]))&&(argc == 2))
    {
    op->AddSeparator();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InsertSeparator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->InsertSeparator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCascade",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkKWMenu  *temp1;
    int      temp2;
    char    *temp3;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWMenu",interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = argv[5];
    if (!error)
    {
    op->AddCascade(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertCascade",argv[1]))&&(argc == 7))
    {
    int      temp0;
    char    *temp1;
    vtkKWMenu  *temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkKWMenu",interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    op->InsertCascade(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCascadeIndex",argv[1]))&&(argc == 3))
    {
    vtkKWMenu  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWMenu",interp,error));
    if (!error)
    {
    temp20 = (op)->GetCascadeIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCascade",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkKWMenu  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWMenu",interp,error));
    if (!error)
    {
    op->SetCascade(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCascade",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkKWMenu  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkKWMenu *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkKWMenu",interp,error));
    if (!error)
    {
    op->SetCascade(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCascade",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetCascade(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCascade",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetCascade(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateCheckButtonVariable",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    char    *temp20;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->CreateCheckButtonVariable(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckButtonValue",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetCheckButtonValue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckCheckButton",argv[1]))&&(argc == 5))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CheckCheckButton(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCheckButton",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    char    *temp1;
    vtkObject  *temp2;
    char    *temp3;
    char    *temp4;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkObject *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkObject",interp,error));
    temp3 = argv[5];
    temp4 = argv[6];
    if (!error)
    {
    op->AddCheckButton(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCheckButton",argv[1]))&&(argc == 8))
    {
    char    *temp0;
    char    *temp1;
    vtkObject  *temp2;
    char    *temp3;
    int      temp4;
    char    *temp5;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkObject *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkObject",interp,error));
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = argv[7];
    if (!error)
    {
    op->AddCheckButton(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertCheckButton",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    char    *temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    temp5 = argv[7];
    if (!error)
    {
    op->InsertCheckButton(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertCheckButton",argv[1]))&&(argc == 9))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->InsertCheckButton(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCommand",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    char    *temp3;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    temp3 = argv[5];
    if (!error)
    {
    op->AddCommand(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddCommand",argv[1]))&&(argc == 7))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    op->AddCommand(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertCommand",argv[1]))&&(argc == 7))
    {
    int      temp0;
    char    *temp1;
    vtkObject  *temp2;
    char    *temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = (vtkObject *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkObject",interp,error));
    temp3 = argv[5];
    temp4 = argv[6];
    if (!error)
    {
    op->InsertCommand(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertCommand",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    vtkObject  *temp2;
    char    *temp3;
    int      temp4;
    char    *temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = (vtkObject *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkObject",interp,error));
    temp3 = argv[5];
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = argv[7];
    if (!error)
    {
    op->InsertCommand(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntryCommand",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkObject  *temp1;
    char    *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->SetEntryCommand(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntryCommand",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->SetEntryCommand(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntryCommand",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetEntryCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntryCommand",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetEntryCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateRadioButtonVariable",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    char    *temp20;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->CreateRadioButtonVariable(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadioButtonValue",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetRadioButtonValue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckRadioButton",argv[1]))&&(argc == 5))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->CheckRadioButton(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckedRadioButtonItem",argv[1]))&&(argc == 4))
    {
    vtkKWObject  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkKWObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetCheckedRadioButtonItem(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRadioButton",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    char    *temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    temp5 = argv[7];
    if (!error)
    {
    op->AddRadioButton(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRadioButton",argv[1]))&&(argc == 9))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->AddRadioButton(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddRadioButtonImage",argv[1]))&&(argc == 8))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    char    *temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    temp5 = argv[7];
    if (!error)
    {
    op->AddRadioButtonImage(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertRadioButton",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    char    *temp3;
    vtkObject  *temp4;
    char    *temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = (vtkObject *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkObject",interp,error));
    temp5 = argv[7];
    temp6 = argv[8];
    if (!error)
    {
    op->InsertRadioButton(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertRadioButton",argv[1]))&&(argc == 10))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    char    *temp3;
    vtkObject  *temp4;
    char    *temp5;
    int      temp6;
    char    *temp7;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    temp3 = argv[5];
    temp4 = (vtkObject *)(vtkTclGetPointerFromObject(argv[6],(char *) "vtkObject",interp,error));
    temp5 = argv[7];
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    temp7 = argv[9];
    if (!error)
    {
    op->InsertRadioButton(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddGeneric",argv[1]))&&(argc == 8))
    {
    char    *temp0;
    char    *temp1;
    vtkObject  *temp2;
    char    *temp3;
    char    *temp4;
    char    *temp5;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = (vtkObject *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkObject",interp,error));
    temp3 = argv[5];
    temp4 = argv[6];
    temp5 = argv[7];
    if (!error)
    {
    op->AddGeneric(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InsertGeneric",argv[1]))&&(argc == 9))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkObject  *temp3;
    char    *temp4;
    char    *temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkObject *)(vtkTclGetPointerFromObject(argv[5],(char *) "vtkObject",interp,error));
    temp4 = argv[6];
    temp5 = argv[7];
    temp6 = argv[8];
    if (!error)
    {
    op->InsertGeneric(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Invoke",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Invoke(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Invoke",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->Invoke(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteMenuItem",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteMenuItem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteMenuItem",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DeleteMenuItem(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeleteAllMenuItems",argv[1]))&&(argc == 2))
    {
    op->DeleteAllMenuItems();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetIndexOfItem",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetIndexOfItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndexOfCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetIndexOfCommand(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemCommand",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetItemCommand(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemLabel",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetItemLabel(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetItemLabel(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("HasItemOption",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->HasItemOption(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemOption",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetItemOption(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemOption",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetItemOption(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemImage",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetItemImage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemImage",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetItemImage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemImageToPredefinedIcon",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemImageToPredefinedIcon(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemImageToPredefinedIcon",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemImageToPredefinedIcon(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemSelectImage",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetItemSelectImage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemSelectImage",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetItemSelectImage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemSelectImageToPredefinedIcon",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemSelectImageToPredefinedIcon(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemSelectImageToPredefinedIcon",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemSelectImageToPredefinedIcon(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemCompoundMode",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemCompoundMode(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemCompoundMode",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemCompoundMode(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemMarginVisibility",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemMarginVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemMarginVisibility",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemMarginVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemIndicatorVisibility",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemIndicatorVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemIndicatorVisibility",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemIndicatorVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemAccelerator",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetItemAccelerator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemAccelerator",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetItemAccelerator(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasItem",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasItem(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfItems",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfItems();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayHelp",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->DisplayHelp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTearOff",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTearOff(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTearOff",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTearOff();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TearOffOn",argv[1]))&&(argc == 2))
    {
    op->TearOffOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TearOffOff",argv[1]))&&(argc == 2))
    {
    op->TearOffOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetItemState",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemState(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetItemState",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetItemState(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetItemState(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItemState",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetItemState(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConfigureItem",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->ConfigureItem(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWMenuCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCoreWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWMenu:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddSeparator\n",NULL);
    Tcl_AppendResult(interp,"  InsertSeparator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddCascade\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertCascade\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCascadeIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCascade\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCascade\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCascade\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCascade\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateCheckButtonVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckButtonValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CheckCheckButton\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCheckButton\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCheckButton\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertCheckButton\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertCheckButton\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCommand\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AddCommand\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertCommand\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertCommand\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryCommand\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryCommand\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateRadioButtonVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRadioButtonValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CheckRadioButton\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckedRadioButtonItem\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddRadioButton\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  AddRadioButton\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  AddRadioButtonImage\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertRadioButton\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertRadioButton\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  AddGeneric\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  InsertGeneric\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  Invoke\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Invoke\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteMenuItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteMenuItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeleteAllMenuItems\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexOfItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndexOfCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetItemCommand\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetItemLabel\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetItemLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasItemOption\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetItemOption\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetItemOption\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemImageToPredefinedIcon\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemImageToPredefinedIcon\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemSelectImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemSelectImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemSelectImageToPredefinedIcon\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemSelectImageToPredefinedIcon\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemCompoundMode\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemCompoundMode\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemMarginVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemMarginVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemIndicatorVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemIndicatorVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemAccelerator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemAccelerator\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HasItem\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfItems\n",NULL);
    Tcl_AppendResult(interp,"  DisplayHelp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTearOff\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTearOff\n",NULL);
    Tcl_AppendResult(interp,"  TearOffOn\n",NULL);
    Tcl_AppendResult(interp,"  TearOffOff\n",NULL);
    Tcl_AppendResult(interp,"  SetItemState\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetItemState\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetItemState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetItemState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureItem\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCoreWidgetCppCommand((vtkKWCoreWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
