// tcl wrapper for vtkKWParameterValueFunctionEditor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWParameterValueFunctionEditor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkKWParameterValueFunctionInterfaceCppCommand(vtkKWParameterValueFunctionInterface *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWParameterValueFunctionEditorCppCommand(vtkKWParameterValueFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWParameterValueFunctionEditorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWParameterValueFunctionEditorCppCommand((vtkKWParameterValueFunctionEditor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWParameterValueFunctionEditorCppCommand(vtkKWParameterValueFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWParameterValueFunctionEditor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWParameterValueFunctionInterfaceCppCommand((vtkKWParameterValueFunctionInterface *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWParameterValueFunctionInterface", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWParameterValueFunctionEditor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWParameterValueFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("SetWholeParameterRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWholeParameterRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetWholeParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetWholeParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeParameterRangeToFunctionRange",argv[1]))&&(argc == 2))
    {
    op->SetWholeParameterRangeToFunctionRange();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetVisibleParameterRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetVisibleParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetVisibleParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibleParameterRangeToWholeParameterRange",argv[1]))&&(argc == 2))
    {
    op->SetVisibleParameterRangeToWholeParameterRange();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRelativeVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRelativeVisibleParameterRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRelativeVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetRelativeVisibleParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRelativeVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRelativeVisibleParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeValueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWholeValueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWholeValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetWholeValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWholeValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetWholeValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibleValueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetVisibleValueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibleValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetVisibleValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibleValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetVisibleValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRelativeVisibleValueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRelativeVisibleValueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRelativeVisibleValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetRelativeVisibleValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRelativeVisibleValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRelativeVisibleValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ParameterRangeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ParameterRangeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterRangeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ParameterRangeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterRangeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterRangeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterRangeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterRangeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterRangePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterRangePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterRangePosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterRangePosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterRangePositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetParameterRangePositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterRangePositionToBottom",argv[1]))&&(argc == 2))
    {
    op->SetParameterRangePositionToBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueRangeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ValueRangeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueRangeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ValueRangeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueRangeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueRangeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueRangeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueRangeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetParameterRange",argv[1]))&&(argc == 2))
    {
    vtkKWRange  *temp20;
    temp20 = (op)->GetParameterRange();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRange");
    return TCL_OK;
    }
  if ((!strcmp("GetValueRange",argv[1]))&&(argc == 2))
    {
    vtkKWRange  *temp20;
    temp20 = (op)->GetValueRange();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWRange");
    return TCL_OK;
    }
  if ((!strcmp("GetDisplayedWholeParameterRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetDisplayedWholeParameterRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayedWholeParameterRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDisplayedWholeParameterRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplayedWholeParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetDisplayedWholeParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayedVisibleParameterRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetDisplayedVisibleParameterRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointPositionInValueRange",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointPositionInValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointPositionInValueRange",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointPositionInValueRange();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointPositionInValueRangeToValue",argv[1]))&&(argc == 2))
    {
    op->SetPointPositionInValueRangeToValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointPositionInValueRangeToTop",argv[1]))&&(argc == 2))
    {
    op->SetPointPositionInValueRangeToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointPositionInValueRangeToBottom",argv[1]))&&(argc == 2))
    {
    op->SetPointPositionInValueRangeToBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointPositionInValueRangeToCenter",argv[1]))&&(argc == 2))
    {
    op->SetPointPositionInValueRangeToCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterRangeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ParameterRangeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterRangeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ParameterRangeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterRangeLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterRangeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterRangeLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterRangeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ValueRangeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ValueRangeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueRangeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ValueRangeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueRangeLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueRangeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueRangeLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueRangeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRangeLabelPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRangeLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRangeLabelPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRangeLabelPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRangeLabelPositionToDefault",argv[1]))&&(argc == 2))
    {
    op->SetRangeLabelPositionToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRangeLabelPositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetRangeLabelPositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointEntriesPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointEntriesPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointEntriesPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointEntriesPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointEntriesPositionToDefault",argv[1]))&&(argc == 2))
    {
    op->SetPointEntriesPositionToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointEntriesPositionToRight",argv[1]))&&(argc == 2))
    {
    op->SetPointEntriesPositionToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointEntriesVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PointEntriesVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointEntriesVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PointEntriesVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointEntriesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointEntriesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointEntriesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointEntriesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParameterEntryVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ParameterEntryVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterEntryVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ParameterEntryVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterEntryVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterEntryVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterEntryVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterEntryVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterEntryFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParameterEntryFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterEntryFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetParameterEntryFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetParameterEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntryWithLabel  *temp20;
    temp20 = (op)->GetParameterEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntryWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("UserFrameVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->UserFrameVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UserFrameVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->UserFrameVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUserFrameVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUserFrameVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserFrameVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUserFrameVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUserFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetUserFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("SetCanvasHeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCanvasHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCanvasWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCanvasWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCanvasHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCanvasHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCanvasWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCanvasWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExpandCanvasWidthOn",argv[1]))&&(argc == 2))
    {
    op->ExpandCanvasWidthOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExpandCanvasWidthOff",argv[1]))&&(argc == 2))
    {
    op->ExpandCanvasWidthOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExpandCanvasWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExpandCanvasWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExpandCanvasWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExpandCanvasWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CanvasVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->CanvasVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanvasVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->CanvasVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCanvasVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCanvasVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCanvasVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCanvasVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FunctionLineVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->FunctionLineVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FunctionLineVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->FunctionLineVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionLineVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFunctionLineVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunctionLineVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionLineVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionLineWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFunctionLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunctionLineWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionLineWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionLineStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFunctionLineStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunctionLineStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionLineStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionLineStyleToSolid",argv[1]))&&(argc == 2))
    {
    op->SetFunctionLineStyleToSolid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionLineStyleToDash",argv[1]))&&(argc == 2))
    {
    op->SetFunctionLineStyleToDash();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanvasOutlineVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->CanvasOutlineVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanvasOutlineVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->CanvasOutlineVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCanvasOutlineVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCanvasOutlineVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCanvasOutlineVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCanvasOutlineVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CanvasOutlineStyleOn",argv[1]))&&(argc == 2))
    {
    op->CanvasOutlineStyleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanvasOutlineStyleOff",argv[1]))&&(argc == 2))
    {
    op->CanvasOutlineStyleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCanvasOutlineStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCanvasOutlineStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCanvasOutlineStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCanvasOutlineStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CanvasBackgroundVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->CanvasBackgroundVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanvasBackgroundVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->CanvasBackgroundVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCanvasBackgroundVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCanvasBackgroundVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCanvasBackgroundVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCanvasBackgroundVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParameterCursorVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ParameterCursorVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterCursorVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ParameterCursorVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterCursorVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterCursorVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterCursorVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterCursorVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterCursorPosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetParameterCursorPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterCursorPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetParameterCursorPosition();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetParameterCursorColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetParameterCursorColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterCursorColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetParameterCursorColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterCursorColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetParameterCursorColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ParameterCursorInteractionStyleOn",argv[1]))&&(argc == 2))
    {
    op->ParameterCursorInteractionStyleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterCursorInteractionStyleOff",argv[1]))&&(argc == 2))
    {
    op->ParameterCursorInteractionStyleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterCursorInteractionStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterCursorInteractionStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterCursorInteractionStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterCursorInteractionStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ParameterTicksVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ParameterTicksVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterTicksVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ParameterTicksVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterTicksVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetParameterTicksVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterTicksVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetParameterTicksVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfParameterTicks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfParameterTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfParameterTicks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfParameterTicks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetParameterTicksFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParameterTicksFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParameterTicksFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetParameterTicksFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ValueTicksVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ValueTicksVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueTicksVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ValueTicksVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueTicksVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueTicksVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueTicksVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueTicksVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfValueTicks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfValueTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfValueTicks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfValueTicks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetValueTicksCanvasWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueTicksCanvasWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueTicksCanvasWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueTicksCanvasWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetValueTicksFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetValueTicksFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueTicksFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetValueTicksFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ComputeValueTicksFromHistogramOn",argv[1]))&&(argc == 2))
    {
    op->ComputeValueTicksFromHistogramOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeValueTicksFromHistogramOff",argv[1]))&&(argc == 2))
    {
    op->ComputeValueTicksFromHistogramOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeValueTicksFromHistogram",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeValueTicksFromHistogram(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeValueTicksFromHistogram",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeValueTicksFromHistogram();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTicksLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTicksLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTicksLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTicksLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLockPointsParameter",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLockPointsParameter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LockPointsParameterOn",argv[1]))&&(argc == 2))
    {
    op->LockPointsParameterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockPointsParameterOff",argv[1]))&&(argc == 2))
    {
    op->LockPointsParameterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLockPointsParameter",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockPointsParameter();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLockEndPointsParameter",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLockEndPointsParameter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LockEndPointsParameterOn",argv[1]))&&(argc == 2))
    {
    op->LockEndPointsParameterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockEndPointsParameterOff",argv[1]))&&(argc == 2))
    {
    op->LockEndPointsParameterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLockEndPointsParameter",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockEndPointsParameter();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLockPointsValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLockPointsValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LockPointsValueOn",argv[1]))&&(argc == 2))
    {
    op->LockPointsValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockPointsValueOff",argv[1]))&&(argc == 2))
    {
    op->LockPointsValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLockPointsValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockPointsValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableAddAndRemove",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableAddAndRemove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableAddAndRemoveOn",argv[1]))&&(argc == 2))
    {
    op->DisableAddAndRemoveOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableAddAndRemoveOff",argv[1]))&&(argc == 2))
    {
    op->DisableAddAndRemoveOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisableAddAndRemove",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableAddAndRemove();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReadOnly",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReadOnly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadOnlyOn",argv[1]))&&(argc == 2))
    {
    op->ReadOnlyOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReadOnlyOff",argv[1]))&&(argc == 2))
    {
    op->ReadOnlyOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRescaleBetweenEndPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRescaleBetweenEndPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RescaleBetweenEndPointsOn",argv[1]))&&(argc == 2))
    {
    op->RescaleBetweenEndPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RescaleBetweenEndPointsOff",argv[1]))&&(argc == 2))
    {
    op->RescaleBetweenEndPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetRescaleBetweenEndPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRescaleBetweenEndPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointRadius",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointRadius",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointRadius();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSelectedPointRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSelectedPointRadius();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToDisc",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToDisc();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToCursorDown",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToCursorDown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToCursorUp",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToCursorUp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToCursorLeft",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToCursorLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToCursorRight",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToCursorRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToRectangle",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToRectangle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointStyleToDefault",argv[1]))&&(argc == 2))
    {
    op->SetPointStyleToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFirstPointStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFirstPointStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFirstPointStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFirstPointStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLastPointStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLastPointStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLastPointStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastPointStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointOutlineWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointOutlineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointOutlineWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointOutlineWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointMarginToCanvasOn",argv[1]))&&(argc == 2))
    {
    op->PointMarginToCanvasOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointMarginToCanvasOff",argv[1]))&&(argc == 2))
    {
    op->PointMarginToCanvasOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointMarginToCanvas",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointMarginToCanvas(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointMarginToCanvas",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointMarginToCanvas();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedPoint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectPoint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectPoint(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearSelection",argv[1]))&&(argc == 2))
    {
    op->ClearSelection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasSelection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectNextPoint",argv[1]))&&(argc == 2))
    {
    op->SelectNextPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectPreviousPoint",argv[1]))&&(argc == 2))
    {
    op->SelectPreviousPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectFirstPoint",argv[1]))&&(argc == 2))
    {
    op->SelectFirstPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectLastPoint",argv[1]))&&(argc == 2))
    {
    op->SelectLastPoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveSelectedPoint",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->RemoveSelectedPoint();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemovePoint",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->RemovePoint(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemovePointAtParameter",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->RemovePointAtParameter(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("MergePointsFromEditor",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->MergePointsFromEditor(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetFrameBackgroundColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFrameBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetFrameBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFrameBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetFrameBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPointColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPointColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPointColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectedPointColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectedPointColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedPointColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSelectedPointColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointTextColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPointTextColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointTextColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPointTextColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointTextColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPointTextColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointTextColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectedPointTextColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointTextColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectedPointTextColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedPointTextColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSelectedPointTextColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputePointColorFromValueOn",argv[1]))&&(argc == 2))
    {
    op->ComputePointColorFromValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputePointColorFromValueOff",argv[1]))&&(argc == 2))
    {
    op->ComputePointColorFromValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputePointColorFromValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputePointColorFromValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputePointColorFromValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputePointColorFromValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PointVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PointVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointIndexVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PointIndexVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointIndexVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PointIndexVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointIndexVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointIndexVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointIndexVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointIndexVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectedPointIndexVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->SelectedPointIndexVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectedPointIndexVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->SelectedPointIndexVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointIndexVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedPointIndexVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointIndexVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedPointIndexVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointGuidelineVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->PointGuidelineVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointGuidelineVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->PointGuidelineVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointGuidelineVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointGuidelineVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointGuidelineVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointGuidelineVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointGuidelineStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointGuidelineStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointGuidelineStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointGuidelineStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHistogram",argv[1]))&&(argc == 2))
    {
    vtkKWHistogram  *temp20;
    temp20 = (op)->GetHistogram();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogram");
    return TCL_OK;
    }
  if ((!strcmp("SetHistogram",argv[1]))&&(argc == 3))
    {
    vtkKWHistogram  *temp0;
    error = 0;

    temp0 = (vtkKWHistogram *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogram",interp,error));
    if (!error)
    {
    op->SetHistogram(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSecondaryHistogram",argv[1]))&&(argc == 2))
    {
    vtkKWHistogram  *temp20;
    temp20 = (op)->GetSecondaryHistogram();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogram");
    return TCL_OK;
    }
  if ((!strcmp("SetSecondaryHistogram",argv[1]))&&(argc == 3))
    {
    vtkKWHistogram  *temp0;
    error = 0;

    temp0 = (vtkKWHistogram *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogram",interp,error));
    if (!error)
    {
    op->SetSecondaryHistogram(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetHistogramColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetHistogramColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHistogramColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetHistogramColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSecondaryHistogramColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSecondaryHistogramColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSecondaryHistogramColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSecondaryHistogramColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSecondaryHistogramColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSecondaryHistogramColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeHistogramColorFromValueOn",argv[1]))&&(argc == 2))
    {
    op->ComputeHistogramColorFromValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeHistogramColorFromValueOff",argv[1]))&&(argc == 2))
    {
    op->ComputeHistogramColorFromValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeHistogramColorFromValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeHistogramColorFromValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeHistogramColorFromValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeHistogramColorFromValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHistogramStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHistogramStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSecondaryHistogramStyle",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSecondaryHistogramStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSecondaryHistogramStyle",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSecondaryHistogramStyle();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramLogModeOptionMenuVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHistogramLogModeOptionMenuVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HistogramLogModeOptionMenuVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->HistogramLogModeOptionMenuVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HistogramLogModeOptionMenuVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->HistogramLogModeOptionMenuVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetHistogramLogModeOptionMenuVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHistogramLogModeOptionMenuVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramLogModeChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetHistogramLogModeChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeHistogramLogModeChangedCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeHistogramLogModeChangedCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeMouseCursorOn",argv[1]))&&(argc == 2))
    {
    op->ChangeMouseCursorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ChangeMouseCursorOff",argv[1]))&&(argc == 2))
    {
    op->ChangeMouseCursorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetChangeMouseCursor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetChangeMouseCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetChangeMouseCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetChangeMouseCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointAddedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPointAddedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointChangingCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPointChangingCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPointChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointRemovedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetPointRemovedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetSelectionChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFunctionChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetFunctionChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFunctionChangingCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetFunctionChangingCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibleRangeChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetVisibleRangeChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVisibleRangeChangingCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetVisibleRangeChangingCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterCursorMovingCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetParameterCursorMovingCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParameterCursorMovedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetParameterCursorMovedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDoubleClickOnPointCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetDoubleClickOnPointCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisableCommands",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableCommands(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableCommands",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableCommands();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOn",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOff",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeVisibleParameterRange",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->SynchronizeVisibleParameterRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DoNotSynchronizeVisibleParameterRange",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->DoNotSynchronizeVisibleParameterRange(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SynchronizePoints",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->SynchronizePoints(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DoNotSynchronizePoints",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->DoNotSynchronizePoints(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SynchronizeSingleSelection",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->SynchronizeSingleSelection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DoNotSynchronizeSingleSelection",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->DoNotSynchronizeSingleSelection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SynchronizeSameSelection",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->SynchronizeSameSelection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DoNotSynchronizeSameSelection",argv[1]))&&(argc == 3))
    {
    vtkKWParameterValueFunctionEditor  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWParameterValueFunctionEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWParameterValueFunctionEditor",interp,error));
    if (!error)
    {
    temp20 = (op)->DoNotSynchronizeSameSelection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBalloonHelpString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBalloonHelpString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ConfigureCallback",argv[1]))&&(argc == 2))
    {
    op->ConfigureCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanvasEnterCallback",argv[1]))&&(argc == 2))
    {
    op->CanvasEnterCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibleParameterRangeChangingCallback",argv[1]))&&(argc == 2))
    {
    op->VisibleParameterRangeChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibleParameterRangeChangedCallback",argv[1]))&&(argc == 2))
    {
    op->VisibleParameterRangeChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibleValueRangeChangingCallback",argv[1]))&&(argc == 2))
    {
    op->VisibleValueRangeChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibleValueRangeChangedCallback",argv[1]))&&(argc == 2))
    {
    op->VisibleValueRangeChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartInteractionCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->StartInteractionCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MovePointCallback",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->MovePointCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndInteractionCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->EndInteractionCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ParameterCursorStartInteractionCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ParameterCursorStartInteractionCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ParameterCursorEndInteractionCallback",argv[1]))&&(argc == 2))
    {
    op->ParameterCursorEndInteractionCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ParameterCursorMoveCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ParameterCursorMoveCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ParameterEntryCallback",argv[1]))&&(argc == 2))
    {
    op->ParameterEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HistogramLogModeCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->HistogramLogModeCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DoubleClickOnPointCallback",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->DoubleClickOnPointCallback(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FunctionPointCanBeAdded",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->FunctionPointCanBeAdded();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FunctionPointCanBeRemoved",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->FunctionPointCanBeRemoved(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FunctionPointParameterIsLocked",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->FunctionPointParameterIsLocked(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FunctionPointValueIsLocked",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->FunctionPointValueIsLocked(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FunctionPointCanBeMovedToParameter",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->FunctionPointCanBeMovedToParameter(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWParameterValueFunctionEditorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWParameterValueFunctionInterfaceCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWParameterValueFunctionEditor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeParameterRangeToFunctionRange\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleParameterRangeToWholeParameterRange\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRelativeVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWholeValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWholeValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibleValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeVisibleValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRelativeVisibleValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRelativeVisibleValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ParameterRangeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterRangeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterRangeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterRangeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterRangePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterRangePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterRangePositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterRangePositionToBottom\n",NULL);
    Tcl_AppendResult(interp,"  ValueRangeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ValueRangeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetValueRangeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueRangeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterRange\n",NULL);
    Tcl_AppendResult(interp,"  GetValueRange\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayedWholeParameterRange\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayedWholeParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayedWholeParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayedVisibleParameterRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointPositionInValueRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointPositionInValueRange\n",NULL);
    Tcl_AppendResult(interp,"  SetPointPositionInValueRangeToValue\n",NULL);
    Tcl_AppendResult(interp,"  SetPointPositionInValueRangeToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetPointPositionInValueRangeToBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetPointPositionInValueRangeToCenter\n",NULL);
    Tcl_AppendResult(interp,"  ParameterRangeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterRangeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterRangeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterRangeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ValueRangeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ValueRangeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetValueRangeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueRangeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeLabelPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeLabelPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeLabelPositionToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeLabelPositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetPointEntriesPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointEntriesPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetPointEntriesPositionToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetPointEntriesPositionToRight\n",NULL);
    Tcl_AppendResult(interp,"  PointEntriesVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PointEntriesVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointEntriesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointEntriesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ParameterEntryVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterEntryVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterEntryVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterEntryVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterEntryFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterEntryFormat\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterEntry\n",NULL);
    Tcl_AppendResult(interp,"  UserFrameVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  UserFrameVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUserFrameVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserFrameVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetUserFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetCanvasHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCanvasWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvasHeight\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvasWidth\n",NULL);
    Tcl_AppendResult(interp,"  ExpandCanvasWidthOn\n",NULL);
    Tcl_AppendResult(interp,"  ExpandCanvasWidthOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExpandCanvasWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExpandCanvasWidth\n",NULL);
    Tcl_AppendResult(interp,"  CanvasVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  CanvasVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCanvasVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvasVisibility\n",NULL);
    Tcl_AppendResult(interp,"  FunctionLineVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  FunctionLineVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionLineVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionLineVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionLineWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionLineStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionLineStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionLineStyleToSolid\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionLineStyleToDash\n",NULL);
    Tcl_AppendResult(interp,"  CanvasOutlineVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  CanvasOutlineVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCanvasOutlineVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvasOutlineVisibility\n",NULL);
    Tcl_AppendResult(interp,"  CanvasOutlineStyleOn\n",NULL);
    Tcl_AppendResult(interp,"  CanvasOutlineStyleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCanvasOutlineStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvasOutlineStyle\n",NULL);
    Tcl_AppendResult(interp,"  CanvasBackgroundVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  CanvasBackgroundVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCanvasBackgroundVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCanvasBackgroundVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterCursorVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterCursorPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterCursorColor\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorInteractionStyleOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorInteractionStyleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorInteractionStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterCursorInteractionStyle\n",NULL);
    Tcl_AppendResult(interp,"  ParameterTicksVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ParameterTicksVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterTicksVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterTicksVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfParameterTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfParameterTicks\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterTicksFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParameterTicksFormat\n",NULL);
    Tcl_AppendResult(interp,"  ValueTicksVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ValueTicksVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetValueTicksVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueTicksVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfValueTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfValueTicks\n",NULL);
    Tcl_AppendResult(interp,"  SetValueTicksCanvasWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueTicksCanvasWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetValueTicksFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueTicksFormat\n",NULL);
    Tcl_AppendResult(interp,"  ComputeValueTicksFromHistogramOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeValueTicksFromHistogramOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeValueTicksFromHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeValueTicksFromHistogram\n",NULL);
    Tcl_AppendResult(interp,"  SetTicksLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTicksLength\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLockPointsParameter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LockPointsParameterOn\n",NULL);
    Tcl_AppendResult(interp,"  LockPointsParameterOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLockPointsParameter\n",NULL);
    Tcl_AppendResult(interp,"  SetLockEndPointsParameter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LockEndPointsParameterOn\n",NULL);
    Tcl_AppendResult(interp,"  LockEndPointsParameterOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLockEndPointsParameter\n",NULL);
    Tcl_AppendResult(interp,"  SetLockPointsValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LockPointsValueOn\n",NULL);
    Tcl_AppendResult(interp,"  LockPointsValueOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLockPointsValue\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableAddAndRemove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableAddAndRemoveOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableAddAndRemoveOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableAddAndRemove\n",NULL);
    Tcl_AppendResult(interp,"  SetReadOnly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadOnlyOn\n",NULL);
    Tcl_AppendResult(interp,"  ReadOnlyOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRescaleBetweenEndPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RescaleBetweenEndPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  RescaleBetweenEndPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetRescaleBetweenEndPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPointRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToDisc\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToCursorDown\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToCursorUp\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToCursorLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToCursorRight\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToRectangle\n",NULL);
    Tcl_AppendResult(interp,"  SetPointStyleToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetFirstPointStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFirstPointStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetLastPointStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLastPointStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetPointOutlineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointOutlineWidth\n",NULL);
    Tcl_AppendResult(interp,"  PointMarginToCanvasOn\n",NULL);
    Tcl_AppendResult(interp,"  PointMarginToCanvasOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointMarginToCanvas\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointMarginToCanvas\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPoint\n",NULL);
    Tcl_AppendResult(interp,"  SelectPoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearSelection\n",NULL);
    Tcl_AppendResult(interp,"  HasSelection\n",NULL);
    Tcl_AppendResult(interp,"  SelectNextPoint\n",NULL);
    Tcl_AppendResult(interp,"  SelectPreviousPoint\n",NULL);
    Tcl_AppendResult(interp,"  SelectFirstPoint\n",NULL);
    Tcl_AppendResult(interp,"  SelectLastPoint\n",NULL);
    Tcl_AppendResult(interp,"  RemoveSelectedPoint\n",NULL);
    Tcl_AppendResult(interp,"  RemovePoint\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemovePointAtParameter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MergePointsFromEditor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameBackgroundColor\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointTextColor\n",NULL);
    Tcl_AppendResult(interp,"  SetPointTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointTextColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointTextColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputePointColorFromValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputePointColorFromValueOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputePointColorFromValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputePointColorFromValue\n",NULL);
    Tcl_AppendResult(interp,"  PointVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PointVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PointIndexVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PointIndexVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointIndexVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointIndexVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SelectedPointIndexVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  SelectedPointIndexVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointIndexVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointIndexVisibility\n",NULL);
    Tcl_AppendResult(interp,"  PointGuidelineVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  PointGuidelineVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointGuidelineVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointGuidelineVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetPointGuidelineStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointGuidelineStyle\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogram\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryHistogram\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondaryHistogram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramColor\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryHistogramColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondaryHistogramColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondaryHistogramColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeHistogramColorFromValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeHistogramColorFromValueOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeHistogramColorFromValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeHistogramColorFromValue\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondaryHistogramStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryHistogramStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramLogModeOptionMenuVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HistogramLogModeOptionMenuVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  HistogramLogModeOptionMenuVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramLogModeOptionMenuVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramLogModeChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeHistogramLogModeChangedCommand\n",NULL);
    Tcl_AppendResult(interp,"  ChangeMouseCursorOn\n",NULL);
    Tcl_AppendResult(interp,"  ChangeMouseCursorOff\n",NULL);
    Tcl_AppendResult(interp,"  GetChangeMouseCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetChangeMouseCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointAddedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointChangingCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointRemovedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionChangingCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleRangeChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibleRangeChangingCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorMovingCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParameterCursorMovedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDoubleClickOnPointCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableCommands\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableCommands\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOff\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeVisibleParameterRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DoNotSynchronizeVisibleParameterRange\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DoNotSynchronizePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeSingleSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DoNotSynchronizeSingleSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeSameSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DoNotSynchronizeSameSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureCallback\n",NULL);
    Tcl_AppendResult(interp,"  CanvasEnterCallback\n",NULL);
    Tcl_AppendResult(interp,"  VisibleParameterRangeChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  VisibleParameterRangeChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  VisibleValueRangeChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  VisibleValueRangeChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  StartInteractionCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  MovePointCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  EndInteractionCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorStartInteractionCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorEndInteractionCallback\n",NULL);
    Tcl_AppendResult(interp,"  ParameterCursorMoveCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ParameterEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  HistogramLogModeCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DoubleClickOnPointCallback\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointCanBeAdded\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointCanBeRemoved\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointParameterIsLocked\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointValueIsLocked\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointCanBeMovedToParameter\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkKWParameterValueFunctionInterfaceCppCommand((vtkKWParameterValueFunctionInterface *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
