// tcl wrapper for vtkKWPiecewiseFunctionEditor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWPiecewiseFunctionEditor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWPiecewiseFunctionEditorNewCommand()
{
  vtkKWPiecewiseFunctionEditor *temp = vtkKWPiecewiseFunctionEditor::New();
  return ((ClientData)temp);
}

int vtkKWParameterValueHermiteFunctionEditorCppCommand(vtkKWParameterValueHermiteFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWPiecewiseFunctionEditorCppCommand(vtkKWPiecewiseFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWPiecewiseFunctionEditorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWPiecewiseFunctionEditorCppCommand((vtkKWPiecewiseFunctionEditor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWPiecewiseFunctionEditorCppCommand(vtkKWPiecewiseFunctionEditor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWPiecewiseFunctionEditor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWParameterValueHermiteFunctionEditorCppCommand((vtkKWParameterValueHermiteFunctionEditor *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWParameterValueHermiteFunctionEditor", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWPiecewiseFunctionEditor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPiecewiseFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWPiecewiseFunctionEditor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPiecewiseFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWPiecewiseFunctionEditor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPiecewiseFunctionEditor");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPiecewiseFunction",argv[1]))&&(argc == 2))
    {
    vtkPiecewiseFunction  *temp20;
    temp20 = (op)->GetPiecewiseFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPiecewiseFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetPiecewiseFunction",argv[1]))&&(argc == 3))
    {
    vtkPiecewiseFunction  *temp0;
    error = 0;

    temp0 = (vtkPiecewiseFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPiecewiseFunction",interp,error));
    if (!error)
    {
    op->SetPiecewiseFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPointColorTransferFunction",argv[1]))&&(argc == 2))
    {
    vtkColorTransferFunction  *temp20;
    temp20 = (op)->GetPointColorTransferFunction();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkColorTransferFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetPointColorTransferFunction",argv[1]))&&(argc == 3))
    {
    vtkColorTransferFunction  *temp0;
    error = 0;

    temp0 = (vtkColorTransferFunction *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkColorTransferFunction",interp,error));
    if (!error)
    {
    op->SetPointColorTransferFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindowLevelMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWindowLevelMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WindowLevelModeOn",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WindowLevelModeOff",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWindowLevelMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWindowLevelMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevelModeButtonVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWindowLevelModeButtonVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WindowLevelModeButtonVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeButtonVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WindowLevelModeButtonVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeButtonVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWindowLevelModeButtonVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWindowLevelModeButtonVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevelModeLockEndPointValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWindowLevelModeLockEndPointValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WindowLevelModeLockEndPointValueOn",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeLockEndPointValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WindowLevelModeLockEndPointValueOff",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeLockEndPointValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetWindowLevelModeLockEndPointValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWindowLevelModeLockEndPointValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevel",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWindowLevel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractiveWindowLevel",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetInteractiveWindowLevel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWindow();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevelModeChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetWindowLevelModeChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeWindowLevelModeChangedCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeWindowLevelModeChangedCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeFunctionChangedCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeFunctionChangedCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeFunctionChangingCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeFunctionChangingCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueEntryVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ValueEntryVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueEntryVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ValueEntryVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetValueEntryVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueEntryVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueEntryVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueEntryVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetValueEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntryWithLabel  *temp20;
    temp20 = (op)->GetValueEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntryWithLabel");
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueEntryCallback",argv[1]))&&(argc == 2))
    {
    op->ValueEntryCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WindowLevelModeCallback",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasFunction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasFunction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetFunctionMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFunctionPointDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFunctionPointDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FunctionPointCanBeAdded",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->FunctionPointCanBeAdded();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FunctionPointCanBeRemoved",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->FunctionPointCanBeRemoved(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FunctionPointParameterIsLocked",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->FunctionPointParameterIsLocked(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("FunctionPointValueIsLocked",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->FunctionPointValueIsLocked(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWPiecewiseFunctionEditorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWParameterValueHermiteFunctionEditorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWPiecewiseFunctionEditor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPiecewiseFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetPiecewiseFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetPointColorTransferFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColorTransferFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevelMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeOn\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevelMode\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevelModeButtonVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeButtonVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeButtonVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevelModeButtonVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevelModeLockEndPointValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeLockEndPointValueOn\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeLockEndPointValueOff\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevelModeLockEndPointValue\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveWindowLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevelModeChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeWindowLevelModeChangedCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeFunctionChangedCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeFunctionChangingCommand\n",NULL);
    Tcl_AppendResult(interp,"  ValueEntryVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ValueEntryVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetValueEntryVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueEntryVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetValueEntry\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  ValueEntryCallback\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeCallback\n",NULL);
    Tcl_AppendResult(interp,"  HasFunction\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionSize\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionPointDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointCanBeAdded\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointCanBeRemoved\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointParameterIsLocked\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FunctionPointValueIsLocked\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkKWParameterValueHermiteFunctionEditorCppCommand((vtkKWParameterValueHermiteFunctionEditor *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
