// tcl wrapper for vtkKWPushButton object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWPushButton.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWPushButtonNewCommand()
{
  vtkKWPushButton *temp = vtkKWPushButton::New();
  return ((ClientData)temp);
}

int vtkKWCoreWidgetCppCommand(vtkKWCoreWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWPushButtonCppCommand(vtkKWPushButton *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWPushButtonCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWPushButtonCppCommand((vtkKWPushButton *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWPushButtonCppCommand(vtkKWPushButton *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWPushButton",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCoreWidgetCppCommand((vtkKWCoreWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCoreWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWPushButton  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHeight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnchor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnchor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnchor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnchor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToNorth",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToNorth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToNorthEast",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToNorthEast();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToEast",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToEast();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToSouthEast",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToSouthEast();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToSouth",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToSouth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToSouthWest",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToSouthWest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToWest",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToWest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToNorthWest",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToNorthWest();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorToCenter",argv[1]))&&(argc == 2))
    {
    op->SetAnchorToCenter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverRelief",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOverRelief(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOverRelief",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOverRelief();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToRaised",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToRaised();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToSunken",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToSunken();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToFlat",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToFlat();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToRidge",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToRidge();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToSolid",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToSolid();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToGroove",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToGroove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOverReliefToNone",argv[1]))&&(argc == 2))
    {
    op->SetOverReliefToNone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetImageToIcon",argv[1]))&&(argc == 3))
    {
    vtkKWIcon  *temp0;
    error = 0;

    temp0 = (vtkKWIcon *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWIcon",interp,error));
    if (!error)
    {
    op->SetImageToIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageToPredefinedIcon",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImageToPredefinedIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWPushButtonCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCoreWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWPushButton:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetText\n",NULL);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnchor\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToNorth\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToNorthEast\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToEast\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToSouthEast\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToSouth\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToSouthWest\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToWest\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToNorthWest\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorToCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetOverRelief\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOverRelief\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToRaised\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToSunken\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToFlat\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToRidge\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToSolid\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToGroove\n",NULL);
    Tcl_AppendResult(interp,"  SetOverReliefToNone\n",NULL);
    Tcl_AppendResult(interp,"  SetImageToIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageToPredefinedIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCoreWidgetCppCommand((vtkKWCoreWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
