// tcl wrapper for vtkKWScale object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWScale.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWScaleNewCommand()
{
  vtkKWScale *temp = vtkKWScale::New();
  return ((ClientData)temp);
}

int vtkKWCoreWidgetCppCommand(vtkKWCoreWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWScaleCppCommand(vtkKWScale *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWScaleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWScaleCppCommand((vtkKWScale *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWScaleCppCommand(vtkKWScale *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWScale",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCoreWidgetCppCommand((vtkKWCoreWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCoreWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWScale  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScale");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWScale  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScale");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWScale  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScale");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRangeMin",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRangeMin();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRangeMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRangeMax();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToHorizontal",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToHorizontal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToVertical",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToVertical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTroughColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTroughColor();
    char tempResult[1024];
    sprintf(tempResult,"%g %g %g ",temp20[0],temp20[1],temp20[2]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTroughColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetTroughColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTroughColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetTroughColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliderLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliderLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliderLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliderLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetValueVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetValueVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValueVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetValueVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ValueVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ValueVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValueVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ValueVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickInterval",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTickInterval(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickInterval",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTickInterval();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLabelText();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetStartCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEndCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEndCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeStartCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeStartCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeEndCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeEndCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableCommands",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableCommands(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableCommands",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableCommands();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOn",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOff",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetClampValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampValueOn",argv[1]))&&(argc == 2))
    {
    op->ClampValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampValueOff",argv[1]))&&(argc == 2))
    {
    op->ClampValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisableScaleValueCallback",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableScaleValueCallback();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableScaleValueCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableScaleValueCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DisableScaleValueCallbackOn",argv[1]))&&(argc == 2))
    {
    op->DisableScaleValueCallbackOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableScaleValueCallbackOff",argv[1]))&&(argc == 2))
    {
    op->DisableScaleValueCallbackOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleValueCallback",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ScaleValueCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWScaleCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCoreWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWScale:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMin\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMax\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToHorizontal\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToVertical\n",NULL);
    Tcl_AppendResult(interp,"  GetTroughColor\n",NULL);
    Tcl_AppendResult(interp,"  SetTroughColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTroughColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLength\n",NULL);
    Tcl_AppendResult(interp,"  SetSliderLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderLength\n",NULL);
    Tcl_AppendResult(interp,"  SetValueVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValueVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ValueVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ValueVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTickInterval\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickInterval\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelText\n",NULL);
    Tcl_AppendResult(interp,"  SetCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEndCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeStartCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEndCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableCommands\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableCommands\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  SetClampValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampValue\n",NULL);
    Tcl_AppendResult(interp,"  ClampValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampValueOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableScaleValueCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableScaleValueCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DisableScaleValueCallbackOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableScaleValueCallbackOff\n",NULL);
    Tcl_AppendResult(interp,"  ScaleValueCallback\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCoreWidgetCppCommand((vtkKWCoreWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
