// tcl wrapper for vtkKWScaleWithEntry object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWScaleWithEntry.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWScaleWithEntryNewCommand()
{
  vtkKWScaleWithEntry *temp = vtkKWScaleWithEntry::New();
  return ((ClientData)temp);
}

int vtkKWScaleWithLabelCppCommand(vtkKWScaleWithLabel *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWScaleWithEntryCppCommand(vtkKWScaleWithEntry *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWScaleWithEntryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWScaleWithEntryCppCommand((vtkKWScaleWithEntry *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWScaleWithEntryCppCommand(vtkKWScaleWithEntry *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWScaleWithEntry",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWScaleWithLabelCppCommand((vtkKWScaleWithLabel *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWScaleWithLabel", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWScaleWithEntry  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScaleWithEntry");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWScaleWithEntry  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScaleWithEntry");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWScaleWithEntry  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScaleWithEntry");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    char tempResult[1024];
    sprintf(tempResult,"%g %g ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRangeMin",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRangeMin();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRangeMax",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRangeMax();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetClampValue",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetClampValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetClampValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetClampValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClampValueOn",argv[1]))&&(argc == 2))
    {
    op->ClampValueOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClampValueOff",argv[1]))&&(argc == 2))
    {
    op->ClampValueOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
    {
    vtkKWScale  *temp20;
    temp20 = (op)->GetScale();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScale");
    return TCL_OK;
    }
  if ((!strcmp("SetRangeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRangeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRangeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRangeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RangeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->RangeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RangeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->RangeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntryVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EntryVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EntryVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EntryVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EntryVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEntryVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntryVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEntry",argv[1]))&&(argc == 2))
    {
    vtkKWEntry  *temp20;
    temp20 = (op)->GetEntry();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWEntry");
    return TCL_OK;
    }
  if ((!strcmp("HasEntry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasEntry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryWidth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntryWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEntryWidth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntryWidth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEntryPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEntryPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEntryPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryPositionToDefault",argv[1]))&&(argc == 2))
    {
    op->SetEntryPositionToDefault();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryPositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetEntryPositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryPositionToBottom",argv[1]))&&(argc == 2))
    {
    op->SetEntryPositionToBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryPositionToLeft",argv[1]))&&(argc == 2))
    {
    op->SetEntryPositionToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEntryPositionToRight",argv[1]))&&(argc == 2))
    {
    op->SetEntryPositionToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelAndEntryPositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetLabelAndEntryPositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPopupMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPopupMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPopupMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPopupMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PopupModeOn",argv[1]))&&(argc == 2))
    {
    op->PopupModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PopupModeOff",argv[1]))&&(argc == 2))
    {
    op->PopupModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPopupPushButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetPopupPushButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("SetExpandEntry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExpandEntry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExpandEntry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExpandEntry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExpandEntryOn",argv[1]))&&(argc == 2))
    {
    op->ExpandEntryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExpandEntryOff",argv[1]))&&(argc == 2))
    {
    op->ExpandEntryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToHorizontal",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToHorizontal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToVertical",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToVertical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLength",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLength();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStartCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetStartCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEndCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEndCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEntryCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetEntryCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeEntryCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeEntryCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableCommands",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableCommands(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableCommands",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableCommands();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOn",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOff",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonHelpString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBalloonHelpString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayPopupModeCallback",argv[1]))&&(argc == 2))
    {
    op->DisplayPopupModeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WithdrawPopupModeCallback",argv[1]))&&(argc == 2))
    {
    op->WithdrawPopupModeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EntryValueCallback",argv[1]))&&(argc == 2))
    {
    op->EntryValueCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleValueCallback",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->ScaleValueCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWScaleWithEntryCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWScaleWithLabelCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWScaleWithEntry:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMin\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMax\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetClampValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetClampValue\n",NULL);
    Tcl_AppendResult(interp,"  ClampValueOn\n",NULL);
    Tcl_AppendResult(interp,"  ClampValueOff\n",NULL);
    Tcl_AppendResult(interp,"  GetScale\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  RangeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  RangeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EntryVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EntryVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEntryVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEntry\n",NULL);
    Tcl_AppendResult(interp,"  HasEntry\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEntryWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEntryPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryPositionToDefault\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryPositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryPositionToBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryPositionToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryPositionToRight\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelAndEntryPositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetPopupMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPopupMode\n",NULL);
    Tcl_AppendResult(interp,"  PopupModeOn\n",NULL);
    Tcl_AppendResult(interp,"  PopupModeOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPopupPushButton\n",NULL);
    Tcl_AppendResult(interp,"  SetExpandEntry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExpandEntry\n",NULL);
    Tcl_AppendResult(interp,"  ExpandEntryOn\n",NULL);
    Tcl_AppendResult(interp,"  ExpandEntryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToHorizontal\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToVertical\n",NULL);
    Tcl_AppendResult(interp,"  SetLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLength\n",NULL);
    Tcl_AppendResult(interp,"  SetCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetStartCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEndCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEntryCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeEntryCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableCommands\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableCommands\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  DisplayPopupModeCallback\n",NULL);
    Tcl_AppendResult(interp,"  WithdrawPopupModeCallback\n",NULL);
    Tcl_AppendResult(interp,"  EntryValueCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScaleValueCallback\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkKWScaleWithLabelCppCommand((vtkKWScaleWithLabel *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
