// tcl wrapper for vtkKWTextPropertyEditor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWTextPropertyEditor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWTextPropertyEditorNewCommand()
{
  vtkKWTextPropertyEditor *temp = vtkKWTextPropertyEditor::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWTextPropertyEditorCppCommand(vtkKWTextPropertyEditor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWTextPropertyEditorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWTextPropertyEditorCppCommand((vtkKWTextPropertyEditor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWTextPropertyEditorCppCommand(vtkKWTextPropertyEditor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWTextPropertyEditor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWTextPropertyEditor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWTextPropertyEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWTextPropertyEditor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWTextPropertyEditor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWTextPropertyEditor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWTextPropertyEditor");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkTextProperty",interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetActor2D",argv[1]))&&(argc == 3))
    {
    vtkActor2D  *temp0;
    error = 0;

    temp0 = (vtkActor2D *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkActor2D",interp,error));
    if (!error)
    {
    op->SetActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActor2D",argv[1]))&&(argc == 2))
    {
    vtkActor2D  *temp20;
    temp20 = (op)->GetActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetLongFormat",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLongFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LongFormatOn",argv[1]))&&(argc == 2))
    {
    op->LongFormatOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LongFormatOff",argv[1]))&&(argc == 2))
    {
    op->LongFormatOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLongFormat",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLongFormat();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelOnTop",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelOnTop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LabelOnTopOn",argv[1]))&&(argc == 2))
    {
    op->LabelOnTopOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelOnTopOff",argv[1]))&&(argc == 2))
    {
    op->LabelOnTopOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelOnTop",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelOnTop();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabel",argv[1]))&&(argc == 2))
    {
    vtkKWLabel  *temp20;
    temp20 = (op)->GetLabel();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWLabel");
    return TCL_OK;
    }
  if ((!strcmp("SetColorVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetColorVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ColorVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ColorVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetColorVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetColorVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFamilyVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFontFamilyVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FontFamilyVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->FontFamilyVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FontFamilyVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->FontFamilyVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFamilyVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFontFamilyVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStylesVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStylesVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StylesVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->StylesVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StylesVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->StylesVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStylesVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStylesVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOpacityVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOpacityVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OpacityVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->OpacityVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpacityVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->OpacityVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetOpacityVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOpacityVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetColorChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCopyVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCopyVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->CopyVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->CopyVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCopyVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCopyVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCopyButton",argv[1]))&&(argc == 2))
    {
    vtkKWPushButton  *temp20;
    temp20 = (op)->GetCopyButton();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPushButton");
    return TCL_OK;
    }
  if ((!strcmp("CopyValuesFrom",argv[1]))&&(argc == 3))
    {
    vtkKWTextPropertyEditor  *temp0;
    error = 0;

    temp0 = (vtkKWTextPropertyEditor *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWTextPropertyEditor",interp,error));
    if (!error)
    {
    op->CopyValuesFrom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ChangeColorButtonCallback",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->ChangeColorButtonCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FontFamilyCallback",argv[1]))&&(argc == 2))
    {
    op->FontFamilyCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFamily",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFontFamily(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BoldCallback",argv[1]))&&(argc == 2))
    {
    op->BoldCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ItalicCallback",argv[1]))&&(argc == 2))
    {
    op->ItalicCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetItalic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetItalic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShadowCallback",argv[1]))&&(argc == 2))
    {
    op->ShadowCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShadow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShadow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OpacityCallback",argv[1]))&&(argc == 2))
    {
    op->OpacityCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpacityEndCallback",argv[1]))&&(argc == 2))
    {
    op->OpacityEndCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWTextPropertyEditorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWTextPropertyEditor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLongFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LongFormatOn\n",NULL);
    Tcl_AppendResult(interp,"  LongFormatOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLongFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelOnTop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LabelOnTopOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelOnTopOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelOnTop\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetLabel\n",NULL);
    Tcl_AppendResult(interp,"  SetColorVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ColorVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetColorVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamilyVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FontFamilyVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  FontFamilyVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFamilyVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetStylesVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StylesVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  StylesVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetStylesVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacityVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OpacityVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  OpacityVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacityVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColorChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCopyVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  CopyVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetCopyButton\n",NULL);
    Tcl_AppendResult(interp,"  CopyValuesFrom\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ChangeColorButtonCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  FontFamilyCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamily\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BoldCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetBold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ItalicCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetItalic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShadowCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetShadow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OpacityCallback\n",NULL);
    Tcl_AppendResult(interp,"  OpacityEndCallback\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
