// tcl wrapper for vtkKWVolumePropertyWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWVolumePropertyWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWVolumePropertyWidgetNewCommand()
{
  vtkKWVolumePropertyWidget *temp = vtkKWVolumePropertyWidget::New();
  return ((ClientData)temp);
}

int vtkKWCompositeWidgetCppCommand(vtkKWCompositeWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWVolumePropertyWidgetCppCommand(vtkKWVolumePropertyWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWVolumePropertyWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWVolumePropertyWidgetCppCommand((vtkKWVolumePropertyWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWVolumePropertyWidgetCppCommand(vtkKWVolumePropertyWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWVolumePropertyWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWCompositeWidget", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWVolumePropertyWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWVolumePropertyWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWVolumePropertyWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWVolumePropertyWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWVolumePropertyWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWVolumePropertyWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeProperty",argv[1]))&&(argc == 2))
    {
    vtkVolumeProperty  *temp20;
    temp20 = (op)->GetVolumeProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkVolumeProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetVolumeProperty",argv[1]))&&(argc == 3))
    {
    vtkVolumeProperty  *temp0;
    error = 0;

    temp0 = (vtkVolumeProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkVolumeProperty",interp,error));
    if (!error)
    {
    op->SetVolumeProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataSet",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetDataSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("SetDataSet",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkDataSet",interp,error));
    if (!error)
    {
    op->SetDataSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramSet",argv[1]))&&(argc == 2))
    {
    vtkKWHistogramSet  *temp20;
    temp20 = (op)->GetHistogramSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHistogramSet");
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramSet",argv[1]))&&(argc == 3))
    {
    vtkKWHistogramSet  *temp0;
    error = 0;

    temp0 = (vtkKWHistogramSet *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWHistogramSet",interp,error));
    if (!error)
    {
    op->SetHistogramSet(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectedComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectedComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevel",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetWindowLevel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractiveWindowLevel",argv[1]))&&(argc == 4))
    {
    float    temp0;
    float    temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetInteractiveWindowLevel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsInWindowLevelMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInWindowLevelMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveApplyModeOn",argv[1]))&&(argc == 2))
    {
    op->InteractiveApplyModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveApplyModeOff",argv[1]))&&(argc == 2))
    {
    op->InteractiveApplyModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveApplyMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractiveApplyMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveApplyMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractiveApplyMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveApplyButtonVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->InteractiveApplyButtonVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveApplyButtonVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->InteractiveApplyButtonVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveApplyButtonVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractiveApplyButtonVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveApplyButtonVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractiveApplyButtonVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalarOpacityUnitDistanceVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ScalarOpacityUnitDistanceVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarOpacityUnitDistanceVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ScalarOpacityUnitDistanceVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalarOpacityUnitDistanceVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScalarOpacityUnitDistanceVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacityUnitDistanceVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScalarOpacityUnitDistanceVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HSVColorSelectorVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->HSVColorSelectorVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HSVColorSelectorVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->HSVColorSelectorVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHSVColorSelectorVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHSVColorSelectorVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHSVColorSelectorVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHSVColorSelectorVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComponentSelectionVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ComponentSelectionVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComponentSelectionVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ComponentSelectionVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentSelectionVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComponentSelectionVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentSelectionVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentSelectionVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InterpolationTypeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->InterpolationTypeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InterpolationTypeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->InterpolationTypeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationTypeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBottomFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetBottomFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("MaterialPropertyVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->MaterialPropertyVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaterialPropertyVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->MaterialPropertyVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialPropertyVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaterialPropertyVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialPropertyVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaterialPropertyVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialPropertyPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaterialPropertyPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialPropertyPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaterialPropertyPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialPropertyPositionToTop",argv[1]))&&(argc == 2))
    {
    op->SetMaterialPropertyPositionToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialPropertyPositionToBottomFrame",argv[1]))&&(argc == 2))
    {
    op->SetMaterialPropertyPositionToBottomFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialPropertyPositionToScalarOpacityUserFrame",argv[1]))&&(argc == 2))
    {
    op->SetMaterialPropertyPositionToScalarOpacityUserFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaterialPropertyPositionToScalarColorUserFrame",argv[1]))&&(argc == 2))
    {
    op->SetMaterialPropertyPositionToScalarColorUserFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientOpacityFunctionVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->GradientOpacityFunctionVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientOpacityFunctionVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->GradientOpacityFunctionVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientOpacityFunctionVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGradientOpacityFunctionVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientOpacityFunctionVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientOpacityFunctionVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComponentWeightsVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ComponentWeightsVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComponentWeightsVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ComponentWeightsVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComponentWeightsVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComponentWeightsVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentWeightsVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponentWeightsVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableShadingForAllComponentsOn",argv[1]))&&(argc == 2))
    {
    op->EnableShadingForAllComponentsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableShadingForAllComponentsOff",argv[1]))&&(argc == 2))
    {
    op->EnableShadingForAllComponentsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableShadingForAllComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnableShadingForAllComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableShadingForAllComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnableShadingForAllComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisableCommands",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisableCommands(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisableCommands",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisableCommands();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOn",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisableCommandsOff",argv[1]))&&(argc == 2))
    {
    op->DisableCommandsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseScalarColorFunctionInScalarOpacityEditorOn",argv[1]))&&(argc == 2))
    {
    op->UseScalarColorFunctionInScalarOpacityEditorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseScalarColorFunctionInScalarOpacityEditorOff",argv[1]))&&(argc == 2))
    {
    op->UseScalarColorFunctionInScalarOpacityEditorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseScalarColorFunctionInScalarOpacityEditor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseScalarColorFunctionInScalarOpacityEditor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseScalarColorFunctionInScalarOpacityEditor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseScalarColorFunctionInScalarOpacityEditor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MergeScalarOpacityAndColorEditors",argv[1]))&&(argc == 2))
    {
    op->MergeScalarOpacityAndColorEditors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVolumePropertyChangedCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetVolumePropertyChangedCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVolumePropertyChangingCommand",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    char    *temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    temp1 = argv[3];
    if (!error)
    {
    op->SetVolumePropertyChangingCommand(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvokeVolumePropertyChangedCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeVolumePropertyChangedCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InvokeVolumePropertyChangingCommand",argv[1]))&&(argc == 2))
    {
    op->InvokeVolumePropertyChangingCommand();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectedComponentCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SelectedComponentCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolationTypeCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->InterpolationTypeCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableShadingCallback",argv[1]))&&(argc == 2))
    {
    op->EnableShadingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaterialPropertyChangedCallback",argv[1]))&&(argc == 2))
    {
    op->MaterialPropertyChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MaterialPropertyChangingCallback",argv[1]))&&(argc == 2))
    {
    op->MaterialPropertyChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveApplyCallback",argv[1]))&&(argc == 2))
    {
    op->InteractiveApplyCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarOpacityFunctionChangedCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarOpacityFunctionChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarOpacityFunctionChangingCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarOpacityFunctionChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DoubleClickOnScalarOpacityPointCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DoubleClickOnScalarOpacityPointCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WindowLevelModeCallback",argv[1]))&&(argc == 2))
    {
    op->WindowLevelModeCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockOpacityAndColorCallback",argv[1]))&&(argc == 2))
    {
    op->LockOpacityAndColorCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarOpacityUnitDistanceChangedCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarOpacityUnitDistanceChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalarOpacityUnitDistanceChangingCallback",argv[1]))&&(argc == 2))
    {
    op->ScalarOpacityUnitDistanceChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RGBTransferFunctionChangedCallback",argv[1]))&&(argc == 2))
    {
    op->RGBTransferFunctionChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RGBTransferFunctionChangingCallback",argv[1]))&&(argc == 2))
    {
    op->RGBTransferFunctionChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RGBTransferFunctionSelectionChangedCallback",argv[1]))&&(argc == 2))
    {
    op->RGBTransferFunctionSelectionChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableGradientOpacityCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->EnableGradientOpacityCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GradientOpacityFunctionChangedCallback",argv[1]))&&(argc == 2))
    {
    op->GradientOpacityFunctionChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GradientOpacityFunctionChangingCallback",argv[1]))&&(argc == 2))
    {
    op->GradientOpacityFunctionChangingCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HSVColorSelectionChangedCallback",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->HSVColorSelectionChangedCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HSVColorSelectionChangingCallback",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->HSVColorSelectionChangingCallback(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComponentWeightChangedCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ComponentWeightChangedCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComponentWeightChangingCallback",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ComponentWeightChangingCallback(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalarOpacityFunctionEditor",argv[1]))&&(argc == 2))
    {
    vtkKWPiecewiseFunctionEditor  *temp20;
    temp20 = (op)->GetScalarOpacityFunctionEditor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPiecewiseFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetScalarColorFunctionEditor",argv[1]))&&(argc == 2))
    {
    vtkKWColorTransferFunctionEditor  *temp20;
    temp20 = (op)->GetScalarColorFunctionEditor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWColorTransferFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetGradientOpacityFunctionEditor",argv[1]))&&(argc == 2))
    {
    vtkKWPiecewiseFunctionEditor  *temp20;
    temp20 = (op)->GetGradientOpacityFunctionEditor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWPiecewiseFunctionEditor");
    return TCL_OK;
    }
  if ((!strcmp("GetScalarOpacityUnitDistanceScale",argv[1]))&&(argc == 2))
    {
    vtkKWScaleWithEntry  *temp20;
    temp20 = (op)->GetScalarOpacityUnitDistanceScale();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWScaleWithEntry");
    return TCL_OK;
    }
  if ((!strcmp("GetHSVColorSelector",argv[1]))&&(argc == 2))
    {
    vtkKWHSVColorSelector  *temp20;
    temp20 = (op)->GetHSVColorSelector();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWHSVColorSelector");
    return TCL_OK;
    }
  if ((!strcmp("GetMaterialPropertyWidget",argv[1]))&&(argc == 2))
    {
    vtkKWVolumeMaterialPropertyWidget  *temp20;
    temp20 = (op)->GetMaterialPropertyWidget();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWVolumeMaterialPropertyWidget");
    return TCL_OK;
    }
  if ((!strcmp("Pack",argv[1]))&&(argc == 2))
    {
    op->Pack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWVolumePropertyWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWCompositeWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWVolumePropertyWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataSet\n",NULL);
    Tcl_AppendResult(interp,"  SetDataSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramSet\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramSet\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedComponent\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveWindowLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsInWindowLevelMode\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveApplyModeOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveApplyModeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveApplyMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveApplyMode\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveApplyButtonVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveApplyButtonVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveApplyButtonVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveApplyButtonVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ScalarOpacityUnitDistanceVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalarOpacityUnitDistanceVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalarOpacityUnitDistanceVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityUnitDistanceVisibility\n",NULL);
    Tcl_AppendResult(interp,"  HSVColorSelectorVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  HSVColorSelectorVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHSVColorSelectorVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHSVColorSelectorVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ComponentSelectionVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ComponentSelectionVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentSelectionVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentSelectionVisibility\n",NULL);
    Tcl_AppendResult(interp,"  InterpolationTypeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  InterpolationTypeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomFrame\n",NULL);
    Tcl_AppendResult(interp,"  MaterialPropertyVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  MaterialPropertyVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialPropertyVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialPropertyVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialPropertyPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialPropertyPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialPropertyPositionToTop\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialPropertyPositionToBottomFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialPropertyPositionToScalarOpacityUserFrame\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialPropertyPositionToScalarColorUserFrame\n",NULL);
    Tcl_AppendResult(interp,"  GradientOpacityFunctionVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  GradientOpacityFunctionVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientOpacityFunctionVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityFunctionVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ComponentWeightsVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ComponentWeightsVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentWeightsVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentWeightsVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EnableShadingForAllComponentsOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableShadingForAllComponentsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableShadingForAllComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableShadingForAllComponents\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  SetDisableCommands\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisableCommands\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOn\n",NULL);
    Tcl_AppendResult(interp,"  DisableCommandsOff\n",NULL);
    Tcl_AppendResult(interp,"  UseScalarColorFunctionInScalarOpacityEditorOn\n",NULL);
    Tcl_AppendResult(interp,"  UseScalarColorFunctionInScalarOpacityEditorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUseScalarColorFunctionInScalarOpacityEditor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseScalarColorFunctionInScalarOpacityEditor\n",NULL);
    Tcl_AppendResult(interp,"  MergeScalarOpacityAndColorEditors\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumePropertyChangedCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumePropertyChangingCommand\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvokeVolumePropertyChangedCommand\n",NULL);
    Tcl_AppendResult(interp,"  InvokeVolumePropertyChangingCommand\n",NULL);
    Tcl_AppendResult(interp,"  SelectedComponentCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolationTypeCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EnableShadingCallback\n",NULL);
    Tcl_AppendResult(interp,"  MaterialPropertyChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  MaterialPropertyChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveApplyCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarOpacityFunctionChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarOpacityFunctionChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  DoubleClickOnScalarOpacityPointCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WindowLevelModeCallback\n",NULL);
    Tcl_AppendResult(interp,"  LockOpacityAndColorCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarOpacityUnitDistanceChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  ScalarOpacityUnitDistanceChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  RGBTransferFunctionChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  RGBTransferFunctionChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  RGBTransferFunctionSelectionChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  EnableGradientOpacityCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GradientOpacityFunctionChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  GradientOpacityFunctionChangingCallback\n",NULL);
    Tcl_AppendResult(interp,"  HSVColorSelectionChangedCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  HSVColorSelectionChangingCallback\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComponentWeightChangedCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComponentWeightChangingCallback\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityFunctionEditor\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarColorFunctionEditor\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityFunctionEditor\n",NULL);
    Tcl_AppendResult(interp,"  GetScalarOpacityUnitDistanceScale\n",NULL);
    Tcl_AppendResult(interp,"  GetHSVColorSelector\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialPropertyWidget\n",NULL);
    Tcl_AppendResult(interp,"  Pack\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    return TCL_OK;
    }

  if (vtkKWCompositeWidgetCppCommand((vtkKWCompositeWidget *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
