// tcl wrapper for vtkKWWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWWidgetNewCommand()
{
  vtkKWWidget *temp = vtkKWWidget::New();
  return ((ClientData)temp);
}

int vtkKWObjectCppCommand(vtkKWObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWWidgetCppCommand(vtkKWWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWWidgetCppCommand((vtkKWWidget *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWWidgetCppCommand(vtkKWWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWWidget",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWObjectCppCommand((vtkKWObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParent",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    op->SetParent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParent",argv[1]))&&(argc == 2))
    {
    vtkKWWidget  *temp20;
    temp20 = (op)->GetParent();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetWidgetName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWidgetName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsCreated",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsCreated();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsAlive",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsAlive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsMapped",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsMapped();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Focus",argv[1]))&&(argc == 2))
    {
    op->Focus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EnabledOn",argv[1]))&&(argc == 2))
    {
    op->EnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnabledOff",argv[1]))&&(argc == 2))
    {
    op->EnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBinding",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->SetBinding(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBinding",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetBinding(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddBinding",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->AddBinding(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddBinding",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->AddBinding(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBinding",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveBinding(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBinding",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    vtkObject  *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    temp2 = argv[4];
    if (!error)
    {
    op->RemoveBinding(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParentWindow",argv[1]))&&(argc == 2))
    {
    vtkKWWindowBase  *temp20;
    temp20 = (op)->GetParentWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindowBase");
    return TCL_OK;
    }
  if ((!strcmp("IsPacked",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsPacked();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPackedChildren",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPackedChildren();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Unpack",argv[1]))&&(argc == 2))
    {
    op->Unpack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnpackSiblings",argv[1]))&&(argc == 2))
    {
    op->UnpackSiblings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnpackChildren",argv[1]))&&(argc == 2))
    {
    op->UnpackChildren();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonHelpString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBalloonHelpString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBalloonHelpString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetBalloonHelpString();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonHelpIcon",argv[1]))&&(argc == 3))
    {
    vtkKWIcon  *temp0;
    error = 0;

    temp0 = (vtkKWIcon *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWIcon",interp,error));
    if (!error)
    {
    op->SetBalloonHelpIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBalloonHelpIcon",argv[1]))&&(argc == 2))
    {
    vtkKWIcon  *temp20;
    temp20 = (op)->GetBalloonHelpIcon();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWIcon");
    return TCL_OK;
    }
  if ((!strcmp("GetBalloonHelpManager",argv[1]))&&(argc == 2))
    {
    vtkKWBalloonHelpManager  *temp20;
    temp20 = (op)->GetBalloonHelpManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWBalloonHelpManager");
    return TCL_OK;
    }
  if ((!strcmp("SetBalloonHelpManager",argv[1]))&&(argc == 3))
    {
    vtkKWBalloonHelpManager  *temp0;
    error = 0;

    temp0 = (vtkKWBalloonHelpManager *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWBalloonHelpManager",interp,error));
    if (!error)
    {
    op->SetBalloonHelpManager(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasDragAndDropTargetSet",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasDragAndDropTargetSet();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDragAndDropTargetSet",argv[1]))&&(argc == 2))
    {
    vtkKWDragAndDropTargetSet  *temp20;
    temp20 = (op)->GetDragAndDropTargetSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWDragAndDropTargetSet");
    return TCL_OK;
    }
  if ((!strcmp("Grab",argv[1]))&&(argc == 2))
    {
    op->Grab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGrab",argv[1]))&&(argc == 2))
    {
    op->ReleaseGrab();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsGrabbed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsGrabbed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNetReferenceCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNetReferenceCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasChild",argv[1]))&&(argc == 3))
    {
    vtkKWWidget  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkKWWidget *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWWidget",interp,error));
    if (!error)
    {
    temp20 = (op)->HasChild(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfChildren",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfChildren();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNthChild",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkKWWidget  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNthChild(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetChildWidgetWithName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkKWWidget  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetChildWidgetWithName(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllChildren",argv[1]))&&(argc == 2))
    {
    op->RemoveAllChildren();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateSpecificTkWidget",argv[1]))&&(argc == 5))
    {
    vtkKWApplication  *temp0;
    char    *temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->CreateSpecificTkWidget(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWWidgetCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParent\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetName\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsCreated\n",NULL);
    Tcl_AppendResult(interp,"  IsAlive\n",NULL);
    Tcl_AppendResult(interp,"  IsMapped\n",NULL);
    Tcl_AppendResult(interp,"  Focus\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  EnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    Tcl_AppendResult(interp,"  SetBinding\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBinding\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddBinding\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddBinding\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBinding\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBinding\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParentWindow\n",NULL);
    Tcl_AppendResult(interp,"  IsPacked\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPackedChildren\n",NULL);
    Tcl_AppendResult(interp,"  Unpack\n",NULL);
    Tcl_AppendResult(interp,"  UnpackSiblings\n",NULL);
    Tcl_AppendResult(interp,"  UnpackChildren\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonHelpString\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonHelpIcon\n",NULL);
    Tcl_AppendResult(interp,"  GetBalloonHelpManager\n",NULL);
    Tcl_AppendResult(interp,"  SetBalloonHelpManager\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasDragAndDropTargetSet\n",NULL);
    Tcl_AppendResult(interp,"  GetDragAndDropTargetSet\n",NULL);
    Tcl_AppendResult(interp,"  Grab\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGrab\n",NULL);
    Tcl_AppendResult(interp,"  IsGrabbed\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNetReferenceCount\n",NULL);
    Tcl_AppendResult(interp,"  HasChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfChildren\n",NULL);
    Tcl_AppendResult(interp,"  GetNthChild\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetChildWidgetWithName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllChildren\n",NULL);
    Tcl_AppendResult(interp,"  CreateSpecificTkWidget\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (vtkKWObjectCppCommand((vtkKWObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
