// tcl wrapper for vtkKWWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkKWWindow.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkKWWindowNewCommand()
{
  vtkKWWindow *temp = vtkKWWindow::New();
  return ((ClientData)temp);
}

int vtkKWWindowBaseCppCommand(vtkKWWindowBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkKWWindowCppCommand(vtkKWWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkKWWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkKWWindowCppCommand((vtkKWWindow *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkKWWindowCppCommand(vtkKWWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkKWWindow",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkKWWindowBaseCppCommand((vtkKWWindowBase *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkKWWindowBase", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkKWWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkKWWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkKWWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("Create",argv[1]))&&(argc == 3))
    {
    vtkKWApplication  *temp0;
    error = 0;

    temp0 = (vtkKWApplication *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkKWApplication",interp,error));
    if (!error)
    {
    op->Create(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMainPanelFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetMainPanelFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetMainPanelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMainPanelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMainPanelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMainPanelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MainPanelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->MainPanelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MainPanelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->MainPanelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetMainNotebook",argv[1]))&&(argc == 2))
    {
    vtkKWNotebook  *temp20;
    temp20 = (op)->GetMainNotebook();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWNotebook");
    return TCL_OK;
    }
  if ((!strcmp("HasMainUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasMainUserInterfaceManager();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMainUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    vtkKWUserInterfaceManager  *temp20;
    temp20 = (op)->GetMainUserInterfaceManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManager");
    return TCL_OK;
    }
  if ((!strcmp("ShowMainUserInterface",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ShowMainUserInterface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSecondaryPanelFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetSecondaryPanelFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetSecondaryPanelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSecondaryPanelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSecondaryPanelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSecondaryPanelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SecondaryPanelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->SecondaryPanelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SecondaryPanelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->SecondaryPanelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSecondaryNotebook",argv[1]))&&(argc == 2))
    {
    vtkKWNotebook  *temp20;
    temp20 = (op)->GetSecondaryNotebook();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWNotebook");
    return TCL_OK;
    }
  if ((!strcmp("HasSecondaryUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasSecondaryUserInterfaceManager();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSecondaryUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    vtkKWUserInterfaceManager  *temp20;
    temp20 = (op)->GetSecondaryUserInterfaceManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManager");
    return TCL_OK;
    }
  if ((!strcmp("ShowSecondaryUserInterface",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ShowSecondaryUserInterface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPanelLayout",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPanelLayout(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPanelLayoutMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPanelLayoutMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPanelLayoutMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPanelLayoutMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPanelLayout",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPanelLayout();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPanelLayoutToSecondaryBelowView",argv[1]))&&(argc == 2))
    {
    op->SetPanelLayoutToSecondaryBelowView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPanelLayoutToSecondaryBelowMain",argv[1]))&&(argc == 2))
    {
    op->SetPanelLayoutToSecondaryBelowMain();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPanelLayoutToSecondaryBelowMainAndView",argv[1]))&&(argc == 2))
    {
    op->SetPanelLayoutToSecondaryBelowMainAndView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetViewPanelPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetViewPanelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewPanelPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetViewPanelPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetViewPanelPositionToLeft",argv[1]))&&(argc == 2))
    {
    op->SetViewPanelPositionToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetViewPanelPositionToRight",argv[1]))&&(argc == 2))
    {
    op->SetViewPanelPositionToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetViewFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetViewFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetViewNotebook",argv[1]))&&(argc == 2))
    {
    vtkKWNotebook  *temp20;
    temp20 = (op)->GetViewNotebook();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWNotebook");
    return TCL_OK;
    }
  if ((!strcmp("HasViewUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasViewUserInterfaceManager();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetViewUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    vtkKWUserInterfaceManager  *temp20;
    temp20 = (op)->GetViewUserInterfaceManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManager");
    return TCL_OK;
    }
  if ((!strcmp("ShowViewUserInterface",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ShowViewUserInterface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewPanelFrame",argv[1]))&&(argc == 2))
    {
    vtkKWFrame  *temp20;
    temp20 = (op)->GetViewPanelFrame();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWFrame");
    return TCL_OK;
    }
  if ((!strcmp("GetSecondaryToolbarSet",argv[1]))&&(argc == 2))
    {
    vtkKWToolbarSet  *temp20;
    temp20 = (op)->GetSecondaryToolbarSet();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWToolbarSet");
    return TCL_OK;
    }
  if ((!strcmp("GetStatusFramePosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStatusFramePosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFramePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStatusFramePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStatusFramePositionToWindow",argv[1]))&&(argc == 2))
    {
    op->SetStatusFramePositionToWindow();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFramePositionToMainPanel",argv[1]))&&(argc == 2))
    {
    op->SetStatusFramePositionToMainPanel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFramePositionToSecondaryPanel",argv[1]))&&(argc == 2))
    {
    op->SetStatusFramePositionToSecondaryPanel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFramePositionToViewPanel",argv[1]))&&(argc == 2))
    {
    op->SetStatusFramePositionToViewPanel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFramePositionToLeftOfDivider",argv[1]))&&(argc == 2))
    {
    op->SetStatusFramePositionToLeftOfDivider();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatusFramePositionToRightOfDivider",argv[1]))&&(argc == 2))
    {
    op->SetStatusFramePositionToRightOfDivider();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetApplicationSettingsUserInterfaceManager",argv[1]))&&(argc == 2))
    {
    vtkKWUserInterfaceManager  *temp20;
    temp20 = (op)->GetApplicationSettingsUserInterfaceManager();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWUserInterfaceManager");
    return TCL_OK;
    }
  if ((!strcmp("ShowApplicationSettingsUserInterface",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->ShowApplicationSettingsUserInterface(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplicationSettingsInterface",argv[1]))&&(argc == 2))
    {
    vtkKWApplicationSettingsInterface  *temp20;
    temp20 = (op)->GetApplicationSettingsInterface();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkKWApplicationSettingsInterface");
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateEnableState",argv[1]))&&(argc == 2))
    {
    op->UpdateEnableState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateMenuState",argv[1]))&&(argc == 2))
    {
    op->UpdateMenuState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateToolbarState",argv[1]))&&(argc == 2))
    {
    op->UpdateToolbarState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MainPanelVisibilityCallback",argv[1]))&&(argc == 2))
    {
    op->MainPanelVisibilityCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SecondaryPanelVisibilityCallback",argv[1]))&&(argc == 2))
    {
    op->SecondaryPanelVisibilityCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrintSettingsCallback",argv[1]))&&(argc == 2))
    {
    op->PrintSettingsCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ToolbarVisibilityChangedCallback",argv[1]))&&(argc == 2))
    {
    op->ToolbarVisibilityChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NumberOfToolbarsChangedCallback",argv[1]))&&(argc == 2))
    {
    op->NumberOfToolbarsChangedCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareForDelete",argv[1]))&&(argc == 2))
    {
    op->PrepareForDelete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkKWWindowCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkKWWindowBaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkKWWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Create\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMainPanelFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetMainPanelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetMainPanelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MainPanelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  MainPanelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetMainNotebook\n",NULL);
    Tcl_AppendResult(interp,"  HasMainUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  GetMainUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  ShowMainUserInterface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryPanelFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryPanelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetSecondaryPanelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SecondaryPanelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  SecondaryPanelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryNotebook\n",NULL);
    Tcl_AppendResult(interp,"  HasSecondaryUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  ShowSecondaryUserInterface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPanelLayout\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPanelLayoutMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPanelLayoutMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPanelLayout\n",NULL);
    Tcl_AppendResult(interp,"  SetPanelLayoutToSecondaryBelowView\n",NULL);
    Tcl_AppendResult(interp,"  SetPanelLayoutToSecondaryBelowMain\n",NULL);
    Tcl_AppendResult(interp,"  SetPanelLayoutToSecondaryBelowMainAndView\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPanelPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewPanelPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPanelPositionToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetViewPanelPositionToRight\n",NULL);
    Tcl_AppendResult(interp,"  GetViewFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetViewNotebook\n",NULL);
    Tcl_AppendResult(interp,"  HasViewUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  GetViewUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  ShowViewUserInterface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetViewPanelFrame\n",NULL);
    Tcl_AppendResult(interp,"  GetSecondaryToolbarSet\n",NULL);
    Tcl_AppendResult(interp,"  GetStatusFramePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePositionToWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePositionToMainPanel\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePositionToSecondaryPanel\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePositionToViewPanel\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePositionToLeftOfDivider\n",NULL);
    Tcl_AppendResult(interp,"  SetStatusFramePositionToRightOfDivider\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  GetApplicationSettingsUserInterfaceManager\n",NULL);
    Tcl_AppendResult(interp,"  ShowApplicationSettingsUserInterface\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplicationSettingsInterface\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  UpdateEnableState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateMenuState\n",NULL);
    Tcl_AppendResult(interp,"  UpdateToolbarState\n",NULL);
    Tcl_AppendResult(interp,"  MainPanelVisibilityCallback\n",NULL);
    Tcl_AppendResult(interp,"  SecondaryPanelVisibilityCallback\n",NULL);
    Tcl_AppendResult(interp,"  PrintSettingsCallback\n",NULL);
    Tcl_AppendResult(interp,"  ToolbarVisibilityChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  NumberOfToolbarsChangedCallback\n",NULL);
    Tcl_AppendResult(interp,"  PrepareForDelete\n",NULL);
    return TCL_OK;
    }

  if (vtkKWWindowBaseCppCommand((vtkKWWindowBase *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
