// tcl wrapper for vtkPVClientServerModule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVClientServerModule.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVClientServerModuleNewCommand()
{
  vtkPVClientServerModule *temp = vtkPVClientServerModule::New();
  return ((ClientData)temp);
}

int vtkPVProcessModuleCppCommand(vtkPVProcessModule *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVClientServerModuleCppCommand(vtkPVClientServerModule *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVClientServerModuleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVClientServerModuleCppCommand((vtkPVClientServerModule *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVClientServerModuleCppCommand(vtkPVClientServerModule *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVClientServerModule",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVProcessModuleCppCommand((vtkPVProcessModule *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVProcessModule", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVClientServerModule  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVClientServerModule");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVClientServerModule  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVClientServerModule");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVClientServerModule  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVClientServerModule");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Exit",argv[1]))&&(argc == 2))
    {
    op->Exit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPartitionId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPartitionId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPartitions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPartitions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfProcesses",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfProcesses();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfProcesses",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfProcesses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMultiProcessMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMultiProcessMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMultiProcessMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMultiProcessMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfServerProcesses",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfServerProcesses();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfServerProcesses",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfServerProcesses(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSocketController",argv[1]))&&(argc == 2))
    {
    vtkSocketController  *temp20;
    temp20 = (op)->GetSocketController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSocketController");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderServerSocketController",argv[1]))&&(argc == 2))
    {
    vtkSocketController  *temp20;
    temp20 = (op)->GetRenderServerSocketController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSocketController");
    return TCL_OK;
    }
  if ((!strcmp("GatherInformationInternal",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkObject  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    if (!error)
    {
    op->GatherInformationInternal(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirectoryListing",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    vtkStringList  *temp1;
    vtkStringList  *temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkStringList *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkStringList",interp,error));
    temp2 = (vtkStringList *)(vtkTclGetPointerFromObject(argv[4],(char *) "vtkStringList",interp,error));
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDirectoryListing(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LoadModuleInternal",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->LoadModuleInternal(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProcessEnvironmentVariable",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetProcessEnvironmentVariable(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVClientServerModuleCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVProcessModuleCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVClientServerModule:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Exit\n",NULL);
    Tcl_AppendResult(interp,"  GetPartitionId\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPartitions\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProcesses\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfProcesses\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMultiProcessMode\n",NULL);
    Tcl_AppendResult(interp,"  SetMultiProcessMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfServerProcesses\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfServerProcesses\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSocketController\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderServerSocketController\n",NULL);
    Tcl_AppendResult(interp,"  GatherInformationInternal\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectoryListing\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  LoadModuleInternal\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessEnvironmentVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    return TCL_OK;
    }

  if (vtkPVProcessModuleCppCommand((vtkPVProcessModule *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
