#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkPVServerCommonCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkMPIMToNSocketConnectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPIMToNSocketConnectionClientServerNewCommand();
int vtkMPIMToNSocketConnectionPortInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPIMToNSocketConnectionPortInformationClientServerNewCommand();
int vtkPVArrayInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVArrayInformationClientServerNewCommand();
int vtkPVClassNameInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVClassNameInformationClientServerNewCommand();
int vtkPVClientServerModuleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVClientServerModuleClientServerNewCommand();
int vtkPVCompositeDataInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVCompositeDataInformationClientServerNewCommand();
int vtkPVDataInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDataInformationClientServerNewCommand();
int vtkPVDataSetAttributesInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDataSetAttributesInformationClientServerNewCommand();
int vtkPVDisplayInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVDisplayInformationClientServerNewCommand();
int vtkPVGenericAttributeInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVGenericAttributeInformationClientServerNewCommand();
int vtkPVLODPartDisplayInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVLODPartDisplayInformationClientServerNewCommand();
int vtkPVMPIProcessModuleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVMPIProcessModuleClientServerNewCommand();
int vtkPVNumberOfOutputsInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVNumberOfOutputsInformationClientServerNewCommand();
int vtkPVProcessModuleCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVProcessModuleClientServerNewCommand();
int vtkPVServerInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVServerInformationClientServerNewCommand();
int vtkPVTimerInformationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPVTimerInformationClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkPVServerCommonCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkPVServerCommonCS_NewInstance);

    arlu->AddCommandFunction("vtkMPIMToNSocketConnection",vtkMPIMToNSocketConnectionCommand);
  arlu->AddCommandFunction("vtkMPIMToNSocketConnectionPortInformation",vtkMPIMToNSocketConnectionPortInformationCommand);
  arlu->AddCommandFunction("vtkPVArrayInformation",vtkPVArrayInformationCommand);
  arlu->AddCommandFunction("vtkPVClassNameInformation",vtkPVClassNameInformationCommand);
  arlu->AddCommandFunction("vtkPVClientServerModule",vtkPVClientServerModuleCommand);
  arlu->AddCommandFunction("vtkPVCompositeDataInformation",vtkPVCompositeDataInformationCommand);
  arlu->AddCommandFunction("vtkPVDataInformation",vtkPVDataInformationCommand);
  arlu->AddCommandFunction("vtkPVDataSetAttributesInformation",vtkPVDataSetAttributesInformationCommand);
  arlu->AddCommandFunction("vtkPVDisplayInformation",vtkPVDisplayInformationCommand);
  arlu->AddCommandFunction("vtkPVGenericAttributeInformation",vtkPVGenericAttributeInformationCommand);
  arlu->AddCommandFunction("vtkPVLODPartDisplayInformation",vtkPVLODPartDisplayInformationCommand);
  arlu->AddCommandFunction("vtkPVMPIProcessModule",vtkPVMPIProcessModuleCommand);
  arlu->AddCommandFunction("vtkPVNumberOfOutputsInformation",vtkPVNumberOfOutputsInformationCommand);
  arlu->AddCommandFunction("vtkPVProcessModule",vtkPVProcessModuleCommand);
  arlu->AddCommandFunction("vtkPVServerInformation",vtkPVServerInformationCommand);
  arlu->AddCommandFunction("vtkPVTimerInformation",vtkPVTimerInformationCommand);

}

static int vtkPVServerCommonCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkMPIMToNSocketConnection",type))
      {
      vtkObjectBase *ptr = vtkMPIMToNSocketConnectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMPIMToNSocketConnectionPortInformation",type))
      {
      vtkObjectBase *ptr = vtkMPIMToNSocketConnectionPortInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVArrayInformation",type))
      {
      vtkObjectBase *ptr = vtkPVArrayInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVClassNameInformation",type))
      {
      vtkObjectBase *ptr = vtkPVClassNameInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVClientServerModule",type))
      {
      vtkObjectBase *ptr = vtkPVClientServerModuleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVCompositeDataInformation",type))
      {
      vtkObjectBase *ptr = vtkPVCompositeDataInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDataInformation",type))
      {
      vtkObjectBase *ptr = vtkPVDataInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDataSetAttributesInformation",type))
      {
      vtkObjectBase *ptr = vtkPVDataSetAttributesInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVDisplayInformation",type))
      {
      vtkObjectBase *ptr = vtkPVDisplayInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVGenericAttributeInformation",type))
      {
      vtkObjectBase *ptr = vtkPVGenericAttributeInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVLODPartDisplayInformation",type))
      {
      vtkObjectBase *ptr = vtkPVLODPartDisplayInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVMPIProcessModule",type))
      {
      vtkObjectBase *ptr = vtkPVMPIProcessModuleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVNumberOfOutputsInformation",type))
      {
      vtkObjectBase *ptr = vtkPVNumberOfOutputsInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVProcessModule",type))
      {
      vtkObjectBase *ptr = vtkPVProcessModuleClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVServerInformation",type))
      {
      vtkObjectBase *ptr = vtkPVServerInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPVTimerInformation",type))
      {
      vtkObjectBase *ptr = vtkPVTimerInformationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
