// tcl wrapper for vtkPVServerInformation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPVServerInformation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkPVServerInformationNewCommand()
{
  vtkPVServerInformation *temp = vtkPVServerInformation::New();
  return ((ClientData)temp);
}

int vtkPVInformationCppCommand(vtkPVInformation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPVServerInformationCppCommand(vtkPVServerInformation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPVServerInformationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPVServerInformationCppCommand((vtkPVServerInformation *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPVServerInformationCppCommand(vtkPVServerInformation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPVServerInformation",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkPVInformationCppCommand((vtkPVInformation *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkPVInformation", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPVServerInformation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVServerInformation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPVServerInformation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVServerInformation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPVServerInformation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVServerInformation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRemoteRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRemoteRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRemoteRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRemoteRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkPVServerInformation  *temp0;
    error = 0;

    temp0 = (vtkPVServerInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVServerInformation",interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFromObject",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    op->CopyFromObject(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInformation",argv[1]))&&(argc == 3))
    {
    vtkPVInformation  *temp0;
    error = 0;

    temp0 = (vtkPVInformation *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVInformation",interp,error));
    if (!error)
    {
    op->AddInformation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyToStream",argv[1]))&&(argc == 3))
    {
    vtkClientServerStream  *temp0;
    error = 0;

    temp0 = (vtkClientServerStream *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkClientServerStream",interp,error));
    if (!error)
    {
    op->CopyToStream(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFromStream",argv[1]))&&(argc == 3))
    {
    vtkClientServerStream  *temp0;
    error = 0;

    temp0 = (vtkClientServerStream *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkClientServerStream",interp,error));
    if (!error)
    {
    op->CopyFromStream(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTileDimensions",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTileDimensions(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTileDimensions",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTileDimensions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTileDimensions",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTileDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseOffscreenRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseOffscreenRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseOffscreenRendering",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseOffscreenRendering();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseIceT",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseIceT(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseIceT",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseIceT();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderModuleName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetRenderModuleName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderModuleName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetRenderModuleName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfMachines",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    op->SetNumberOfMachines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfMachines",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfMachines();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEnvironment",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetEnvironment(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnvironment",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetEnvironment(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkPVServerInformationCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPVInformationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPVServerInformation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRemoteRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRemoteRendering\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyFromObject\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddInformation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyToStream\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyFromStream\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTileDimensions\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTileDimensions\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTileDimensions\n",NULL);
    Tcl_AppendResult(interp,"  SetUseOffscreenRendering\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseOffscreenRendering\n",NULL);
    Tcl_AppendResult(interp,"  SetUseIceT\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseIceT\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderModuleName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderModuleName\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfMachines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMachines\n",NULL);
    Tcl_AppendResult(interp,"  SetEnvironment\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEnvironment\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkPVInformationCppCommand((vtkPVInformation *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
