// ClientServer wrapper for vtkProcessModule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcessModule.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"

int vtkObjectCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkProcessModuleCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkProcessModule *op = vtkProcessModule::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkProcessModule.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeRevisionMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkProcessModule  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GatherInformationInternal",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    vtkObject  *temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      vtkClientServerStreamGetArgumentObject(msg, 0, 3, &temp1, "vtkObject"))
      {
      op->GatherInformationInternal(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("Initialize",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Initialize();
      return 1;
      }
    }
  if (!strcmp("Finalize",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->Finalize();
      return 1;
      }
    }
  if (!strcmp("GetReportInterpreterErrors",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetReportInterpreterErrors();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetReportInterpreterErrors",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetReportInterpreterErrors(temp0);
      return 1;
      }
    }
  if (!strcmp("ReportInterpreterErrorsOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ReportInterpreterErrorsOn();
      return 1;
      }
    }
  if (!strcmp("ReportInterpreterErrorsOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ReportInterpreterErrorsOff();
      return 1;
      }
    }
  if (!strcmp("GetController",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkMultiProcessController  *temp20;
      {
      temp20 = (op)->GetController();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetPartitionId",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetPartitionId();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetNumberOfPartitions",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetNumberOfPartitions();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetUniqueID",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkClientServerID   temp20;
      {
      temp20 = (op)->GetUniqueID();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply
                   << "unable to return result of type(9 % 0x1000 = 9)."
                   << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetProcessModuleID",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkClientServerID   temp20;
      {
      temp20 = (op)->GetProcessModuleID();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply
                   << "unable to return result of type(9 % 0x1000 = 9)."
                   << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetProcessModule",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkProcessModule  *temp20;
      {
      temp20 = (op)->GetProcessModule();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetProcessModule",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkProcessModule  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkProcessModule"))
      {
      op->SetProcessModule(temp0);
      return 1;
      }
    }
  if (!strcmp("RegisterProgressEvent",method) && msg.GetNumberOfArguments(0) == 4)
    {
    vtkObject  *temp0;
    int      temp1;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject") &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->RegisterProgressEvent(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("SendPrepareProgress",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SendPrepareProgress();
      return 1;
      }
    }
  if (!strcmp("SendCleanupPendingProgress",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->SendCleanupPendingProgress();
      return 1;
      }
    }
  if (!strcmp("PrepareProgress",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->PrepareProgress();
      return 1;
      }
    }
  if (!strcmp("CleanupPendingProgress",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->CleanupPendingProgress();
      return 1;
      }
    }
  if (!strcmp("SetLocalProgress",method) && msg.GetNumberOfArguments(0) == 4)
    {
    char    *temp0;
    int      temp1;
    if(msg.GetArgument(0, 2, &temp0) &&
      msg.GetArgument(0, 3, &temp1))
      {
      op->SetLocalProgress(temp0,temp1);
      return 1;
      }
    }
  if (!strcmp("GetProgressRequests",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetProgressRequests();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetProgressRequests",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetProgressRequests(temp0);
      return 1;
      }
    }
  if (!strcmp("GetProgressHandler",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVProgressHandler  *temp20;
      {
      temp20 = (op)->GetProgressHandler();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetProgressEnabled",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetProgressEnabled(temp0);
      return 1;
      }
    }
  if (!strcmp("GetProgressEnabled",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetProgressEnabled();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetOptions",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkPVOptions  *temp20;
      {
      temp20 = (op)->GetOptions();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetOptions",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkPVOptions  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkPVOptions"))
      {
      op->SetOptions(temp0);
      return 1;
      }
    }
  if (!strcmp("SetGUIHelper",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkProcessModuleGUIHelper  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkProcessModuleGUIHelper"))
      {
      op->SetGUIHelper(temp0);
      return 1;
      }
    }
  if (!strcmp("CreateLogFile",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->CreateLogFile();
      return 1;
      }
    }

  if (vtkObjectCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkProcessModule, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}
