// tcl wrapper for vtkProcessModule object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProcessModule.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkProcessModuleCppCommand(vtkProcessModule *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkProcessModuleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkProcessModuleCppCommand((vtkProcessModule *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkProcessModuleCppCommand(vtkProcessModule *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProcessModule",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProcessModule  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProcessModule");
    return TCL_OK;
    }
  if ((!strcmp("GatherInformationInternal",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkObject  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkObject *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkObject",interp,error));
    if (!error)
    {
    op->GatherInformationInternal(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetReportInterpreterErrors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReportInterpreterErrors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetReportInterpreterErrors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReportInterpreterErrors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReportInterpreterErrorsOn",argv[1]))&&(argc == 2))
    {
    op->ReportInterpreterErrorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReportInterpreterErrorsOff",argv[1]))&&(argc == 2))
    {
    op->ReportInterpreterErrorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetController",argv[1]))&&(argc == 2))
    {
    vtkMultiProcessController  *temp20;
    temp20 = (op)->GetController();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkMultiProcessController");
    return TCL_OK;
    }
  if ((!strcmp("GetPartitionId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPartitionId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPartitions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPartitions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUniqueID",argv[1]))&&(argc == 2))
    {
    vtkClientServerID   temp20;
    temp20 = (op)->GetUniqueID();
    Tcl_SetResult(interp, (char *) "unable to return result.", TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessModuleID",argv[1]))&&(argc == 2))
    {
    vtkClientServerID   temp20;
    temp20 = (op)->GetProcessModuleID();
    Tcl_SetResult(interp, (char *) "unable to return result.", TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessModule",argv[1]))&&(argc == 2))
    {
    vtkProcessModule  *temp20;
    temp20 = (op)->GetProcessModule();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkProcessModule");
    return TCL_OK;
    }
  if ((!strcmp("SetProcessModule",argv[1]))&&(argc == 3))
    {
    vtkProcessModule  *temp0;
    error = 0;

    temp0 = (vtkProcessModule *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProcessModule",interp,error));
    if (!error)
    {
    op->SetProcessModule(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RegisterProgressEvent",argv[1]))&&(argc == 4))
    {
    vtkObject  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->RegisterProgressEvent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SendPrepareProgress",argv[1]))&&(argc == 2))
    {
    op->SendPrepareProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SendCleanupPendingProgress",argv[1]))&&(argc == 2))
    {
    op->SendCleanupPendingProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrepareProgress",argv[1]))&&(argc == 2))
    {
    op->PrepareProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CleanupPendingProgress",argv[1]))&&(argc == 2))
    {
    op->CleanupPendingProgress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLocalProgress",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLocalProgress(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressRequests",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProgressRequests();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProgressRequests",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProgressRequests(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressHandler",argv[1]))&&(argc == 2))
    {
    vtkPVProgressHandler  *temp20;
    temp20 = (op)->GetProgressHandler();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVProgressHandler");
    return TCL_OK;
    }
  if ((!strcmp("SetProgressEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProgressEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProgressEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProgressEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOptions",argv[1]))&&(argc == 2))
    {
    vtkPVOptions  *temp20;
    temp20 = (op)->GetOptions();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkPVOptions");
    return TCL_OK;
    }
  if ((!strcmp("SetOptions",argv[1]))&&(argc == 3))
    {
    vtkPVOptions  *temp0;
    error = 0;

    temp0 = (vtkPVOptions *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkPVOptions",interp,error));
    if (!error)
    {
    op->SetOptions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGUIHelper",argv[1]))&&(argc == 3))
    {
    vtkProcessModuleGUIHelper  *temp0;
    error = 0;

    temp0 = (vtkProcessModuleGUIHelper *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkProcessModuleGUIHelper",interp,error));
    if (!error)
    {
    op->SetGUIHelper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateLogFile",argv[1]))&&(argc == 2))
    {
    op->CreateLogFile();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkProcessModuleCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProcessModule:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GatherInformationInternal\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  GetReportInterpreterErrors\n",NULL);
    Tcl_AppendResult(interp,"  SetReportInterpreterErrors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReportInterpreterErrorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReportInterpreterErrorsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetController\n",NULL);
    Tcl_AppendResult(interp,"  GetPartitionId\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPartitions\n",NULL);
    Tcl_AppendResult(interp,"  GetUniqueID\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessModuleID\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessModule\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessModule\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RegisterProgressEvent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SendPrepareProgress\n",NULL);
    Tcl_AppendResult(interp,"  SendCleanupPendingProgress\n",NULL);
    Tcl_AppendResult(interp,"  PrepareProgress\n",NULL);
    Tcl_AppendResult(interp,"  CleanupPendingProgress\n",NULL);
    Tcl_AppendResult(interp,"  SetLocalProgress\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressRequests\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressRequests\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressHandler\n",NULL);
    Tcl_AppendResult(interp,"  SetProgressEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProgressEnabled\n",NULL);
    Tcl_AppendResult(interp,"  GetOptions\n",NULL);
    Tcl_AppendResult(interp,"  SetOptions\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGUIHelper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateLogFile\n",NULL);
    return TCL_OK;
    }

  if (vtkObjectCppCommand((vtkObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
