// tcl wrapper for vtkSMDomainIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMDomainIterator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMDomainIteratorNewCommand()
{
  vtkSMDomainIterator *temp = vtkSMDomainIterator::New();
  return ((ClientData)temp);
}

int vtkSMObjectCppCommand(vtkSMObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMDomainIteratorCppCommand(vtkSMDomainIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMDomainIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMDomainIteratorCppCommand((vtkSMDomainIterator *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMDomainIteratorCppCommand(vtkSMDomainIterator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMDomainIterator",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMObjectCppCommand((vtkSMObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMDomainIterator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDomainIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMDomainIterator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDomainIterator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMDomainIterator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDomainIterator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->SetProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkSMProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
  if ((!strcmp("Begin",argv[1]))&&(argc == 2))
    {
    op->Begin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsAtEnd",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsAtEnd();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Next",argv[1]))&&(argc == 2))
    {
    op->Next();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetKey",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetKey();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDomain",argv[1]))&&(argc == 2))
    {
    vtkSMDomain  *temp20;
    temp20 = (op)->GetDomain();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDomain");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMDomainIteratorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMDomainIterator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  Begin\n",NULL);
    Tcl_AppendResult(interp,"  IsAtEnd\n",NULL);
    Tcl_AppendResult(interp,"  Next\n",NULL);
    Tcl_AppendResult(interp,"  GetKey\n",NULL);
    Tcl_AppendResult(interp,"  GetDomain\n",NULL);
    return TCL_OK;
    }

  if (vtkSMObjectCppCommand((vtkSMObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
