// tcl wrapper for vtkSMPropertyAdaptor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMPropertyAdaptor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMPropertyAdaptorNewCommand()
{
  vtkSMPropertyAdaptor *temp = vtkSMPropertyAdaptor::New();
  return ((ClientData)temp);
}

int vtkSMObjectCppCommand(vtkSMObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMPropertyAdaptorCppCommand(vtkSMPropertyAdaptor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMPropertyAdaptorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMPropertyAdaptorCppCommand((vtkSMPropertyAdaptor *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMPropertyAdaptorCppCommand(vtkSMPropertyAdaptor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMPropertyAdaptor",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMObjectCppCommand((vtkSMObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMPropertyAdaptor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMPropertyAdaptor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMPropertyAdaptor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMPropertyAdaptor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMPropertyAdaptor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMPropertyAdaptor");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->SetProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkSMProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetRangeMinimum",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetRangeMinimum(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRangeMaximum",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetRangeMaximum(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRangeElements",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfRangeElements();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRangeValue",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetRangeValue(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRangeValue",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetRangeValue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEnumerationElements",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfEnumerationElements();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEnumerationName",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetEnumerationName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnumerationValue",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEnumerationValue();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEnumerationValue",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->SetEnumerationValue(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSelectionElements",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfSelectionElements();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionName",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectionName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionValue",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectionValue(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionValue",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetSelectionValue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionMinimum",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectionMinimum(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionMaximum",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetSelectionMaximum(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("InitializePropertyFromInformation",argv[1]))&&(argc == 2))
    {
    op->InitializePropertyFromInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPropertyType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPropertyType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetElementType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenericValue",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->SetGenericValue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMPropertyAdaptorCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMPropertyAdaptor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRangeElements\n",NULL);
    Tcl_AppendResult(interp,"  GetRangeValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRangeValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEnumerationElements\n",NULL);
    Tcl_AppendResult(interp,"  GetEnumerationName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnumerationValue\n",NULL);
    Tcl_AppendResult(interp,"  SetEnumerationValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSelectionElements\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMinimum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMaximum\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InitializePropertyFromInformation\n",NULL);
    Tcl_AppendResult(interp,"  GetPropertyType\n",NULL);
    Tcl_AppendResult(interp,"  GetElementType\n",NULL);
    Tcl_AppendResult(interp,"  SetGenericValue\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (vtkSMObjectCppCommand((vtkSMObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
