// tcl wrapper for vtkSMProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMProperty.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMPropertyNewCommand()
{
  vtkSMProperty *temp = vtkSMProperty::New();
  return ((ClientData)temp);
}

int vtkSMObjectCppCommand(vtkSMObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMPropertyCppCommand(vtkSMProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMPropertyCppCommand((vtkSMProperty *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMPropertyCppCommand(vtkSMProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMProperty",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMObjectCppCommand((vtkSMObject *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMObject", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCommand",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetCommand(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCommand",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetCommand();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImmediateUpdate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImmediateUpdate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImmediateUpdate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImmediateUpdate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateSelf",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdateSelf(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateSelf",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdateSelf();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSubProperty",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkSMProperty  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetSubProperty(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("IsInDomains",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInDomains();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObjectBase",interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewDomainIterator",argv[1]))&&(argc == 2))
    {
    vtkSMDomainIterator  *temp20;
    temp20 = (op)->NewDomainIterator();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDomainIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetDomain",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    vtkSMDomain  *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetDomain(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDomain");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfDomains",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfDomains();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateDependentDomains",argv[1]))&&(argc == 2))
    {
    op->UpdateDependentDomains();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCheckDomains",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCheckDomains();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCheckDomains",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCheckDomains(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXMLName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetInformationOnly",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInformationOnly();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInformationProperty",argv[1]))&&(argc == 2))
    {
    vtkSMProperty  *temp20;
    temp20 = (op)->GetInformationProperty();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetControllerProxy",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->SetControllerProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetControllerProperty",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->SetControllerProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddDomain",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    vtkSMDomain  *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = (vtkSMDomain *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkSMDomain",interp,error));
    if (!error)
    {
    op->AddDomain(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnimateable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnimateable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimateable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnimateable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSaveable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSaveable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSaveable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSaveable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Copy",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->Copy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMPropertyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCommand\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCommand\n",NULL);
    Tcl_AppendResult(interp,"  SetImmediateUpdate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImmediateUpdate\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateSelf\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateSelf\n",NULL);
    Tcl_AppendResult(interp,"  GetSubProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsInDomains\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewDomainIterator\n",NULL);
    Tcl_AppendResult(interp,"  GetDomain\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDomains\n",NULL);
    Tcl_AppendResult(interp,"  UpdateDependentDomains\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckDomains\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckDomains\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLName\n",NULL);
    Tcl_AppendResult(interp,"  GetInformationOnly\n",NULL);
    Tcl_AppendResult(interp,"  GetInformationProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetControllerProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetControllerProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddDomain\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimateable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimateable\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSaveable\n",NULL);
    Tcl_AppendResult(interp,"  Copy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkSMObjectCppCommand((vtkSMObject *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
