// tcl wrapper for vtkSMProxyProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMProxyProperty.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>

ClientData vtkSMProxyPropertyNewCommand()
{
  vtkSMProxyProperty *temp = vtkSMProxyProperty::New();
  return ((ClientData)temp);
}

int vtkSMPropertyCppCommand(vtkSMProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMProxyPropertyCppCommand(vtkSMProxyProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMProxyPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMProxyPropertyCppCommand((vtkSMProxyProperty *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMProxyPropertyCppCommand(vtkSMProxyProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMProxyProperty",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMPropertyCppCommand((vtkSMProperty *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMProperty", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSMProxyProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxyProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMProxyProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxyProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSMProxyProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkObject",interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxyProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddProxy",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    temp20 = (op)->AddProxy(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveProxy",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->RemoveProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProxy",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    vtkSMProxy  *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    temp20 = (op)->SetProxy(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddProxy",argv[1]))&&(argc == 4))
    {
    vtkSMProxy  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->AddProxy(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveProxy",argv[1]))&&(argc == 4))
    {
    vtkSMProxy  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->RemoveProxy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddUncheckedProxy",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->AddUncheckedProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveUncheckedProxy",argv[1]))&&(argc == 3))
    {
    vtkSMProxy  *temp0;
    error = 0;

    temp0 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->RemoveUncheckedProxy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUncheckedProxy",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    vtkSMProxy  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    temp1 = (vtkSMProxy *)(vtkTclGetPointerFromObject(argv[3],(char *) "vtkSMProxy",interp,error));
    if (!error)
    {
    op->SetUncheckedProxy(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllUncheckedProxies",argv[1]))&&(argc == 2))
    {
    op->RemoveAllUncheckedProxies();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveAllProxies",argv[1]))&&(argc == 2))
    {
    op->RemoveAllProxies();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfProxies",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfProxies();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfUncheckedProxies",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfUncheckedProxies();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProxy",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkSMProxy  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetProxy(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUncheckedProxy",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    vtkSMProxy  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = (unsigned int)tempi;
    if (!error)
    {
    temp20 = (op)->GetUncheckedProxy(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMProxy");
    return TCL_OK;
    }
    }
  if ((!strcmp("Copy",argv[1]))&&(argc == 3))
    {
    vtkSMProperty  *temp0;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    if (!error)
    {
    op->Copy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 5))
    {
    vtkSMProperty  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkSMProperty *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMProperty",interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->DeepCopy(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMProxyPropertyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMPropertyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMProxyProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProxy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddProxy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveProxy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddUncheckedProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveUncheckedProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUncheckedProxy\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllUncheckedProxies\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllProxies\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfProxies\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfUncheckedProxies\n",NULL);
    Tcl_AppendResult(interp,"  GetProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUncheckedProxy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Copy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (vtkSMPropertyCppCommand((vtkSMProperty *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
