// tcl wrapper for vtkSMRenderModuleProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMRenderModuleProxy.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
int vtkSMProxyCppCommand(vtkSMProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSMRenderModuleProxyCppCommand(vtkSMRenderModuleProxy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSMRenderModuleProxyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSMRenderModuleProxyCppCommand((vtkSMRenderModuleProxy *)(((vtkTclCommandArgStruct *)cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSMRenderModuleProxyCppCommand(vtkSMRenderModuleProxy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp, (char *) "Could not find requested method.", TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSMRenderModuleProxy",argv[1]))
        {
        argv[2] = (char *)((void *)op);
        return TCL_OK;
        }
      if (vtkSMProxyCppCommand((vtkSMProxy *)op,interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,(char *) "vtkSMProxy", TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, (char*)temp20, TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSMRenderModuleProxy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMRenderModuleProxy");
    return TCL_OK;
    }
  if ((!strcmp("AddDisplay",argv[1]))&&(argc == 3))
    {
    vtkSMDisplayProxy  *temp0;
    error = 0;

    temp0 = (vtkSMDisplayProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMDisplayProxy",interp,error));
    if (!error)
    {
    op->AddDisplay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDisplay",argv[1]))&&(argc == 3))
    {
    vtkSMDisplayProxy  *temp0;
    error = 0;

    temp0 = (vtkSMDisplayProxy *)(vtkTclGetPointerFromObject(argv[2],(char *) "vtkSMDisplayProxy",interp,error));
    if (!error)
    {
    op->RemoveDisplay(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllDisplays",argv[1]))&&(argc == 2))
    {
    op->RemoveAllDisplays();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StillRender",argv[1]))&&(argc == 2))
    {
    op->StillRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveRender",argv[1]))&&(argc == 2))
    {
    op->InteractiveRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateDisplayProxy",argv[1]))&&(argc == 2))
    {
    vtkSMDisplayProxy  *temp20;
    temp20 = (op)->CreateDisplayProxy();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkSMDisplayProxy");
    return TCL_OK;
    }
  if ((!strcmp("CacheUpdate",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->CacheUpdate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InvalidateAllGeometries",argv[1]))&&(argc == 2))
    {
    op->InvalidateAllGeometries();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseTriangleStrips",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseTriangleStrips(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseImmediateMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseImmediateMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderer",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderer2D",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->GetRenderer2D();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->GetInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundColorCM",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackgroundColorCM(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 2))
    {
    op->ResetCameraClippingRange();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderInterruptsEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRenderInterruptsEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderInterruptsEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRenderInterruptsEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderInterruptsEnabledOn",argv[1]))&&(argc == 2))
    {
    op->RenderInterruptsEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderInterruptsEnabledOff",argv[1]))&&(argc == 2))
    {
    op->RenderInterruptsEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVisiblePropBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ComputeVisiblePropBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplays",argv[1]))&&(argc == 2))
    {
    vtkCollection  *temp20;
    temp20 = (op)->GetDisplays();
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetZBufferValue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetZBufferValue(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%g",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ResetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 2))
    {
    op->ResetCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeCameraProperties",argv[1]))&&(argc == 2))
    {
    op->SynchronizeCameraProperties();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SynchronizeRenderers",argv[1]))&&(argc == 2))
    {
    op->SynchronizeRenderers();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WriteImage",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->WriteImage(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseLight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetServerRenderWindowSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    temp20 = (op)->GetServerRenderWindowSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsRenderLocal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsRenderLocal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateAllDisplays",argv[1]))&&(argc == 2))
    {
    op->UpdateAllDisplays();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CaptureWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkImageData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CaptureWindow(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)temp20,"vtkImageData");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)vtkSMRenderModuleProxyCommand);
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkSMProxyCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSMRenderModuleProxy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  AddDisplay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDisplay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllDisplays\n",NULL);
    Tcl_AppendResult(interp,"  StillRender\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveRender\n",NULL);
    Tcl_AppendResult(interp,"  CreateDisplayProxy\n",NULL);
    Tcl_AppendResult(interp,"  CacheUpdate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  InvalidateAllGeometries\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTriangleStrips\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseImmediateMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderer2D\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractor\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColorCM\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderInterruptsEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderInterruptsEnabled\n",NULL);
    Tcl_AppendResult(interp,"  RenderInterruptsEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderInterruptsEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplays\n",NULL);
    Tcl_AppendResult(interp,"  GetZBufferValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeCameraProperties\n",NULL);
    Tcl_AppendResult(interp,"  SynchronizeRenderers\n",NULL);
    Tcl_AppendResult(interp,"  WriteImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetUseLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetServerRenderWindowSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  IsRenderLocal\n",NULL);
    Tcl_AppendResult(interp,"  UpdateAllDisplays\n",NULL);
    Tcl_AppendResult(interp,"  CaptureWindow\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (vtkSMProxyCppCommand((vtkSMProxy *)op,interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }

  if ((argc >= 2)&&(!strstr(interp->result,"Object named:")))
    {
    char temps2[256];
    sprintf(temps2,"Object named: %s, could not find requested method: %s\nor the method was called with incorrect arguments.\n",argv[0],argv[1]);
    Tcl_AppendResult(interp,temps2,NULL);
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
