// ClientServer wrapper for vtkSMTemporalXYPlotDisplayProxy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSMTemporalXYPlotDisplayProxy.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkSMTemporalXYPlotDisplayProxyClientServerNewCommand()
{
  return vtkSMTemporalXYPlotDisplayProxy::New();
}

int vtkSMXYPlotDisplayProxyCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkSMTemporalXYPlotDisplayProxyCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkSMTemporalXYPlotDisplayProxy *op = vtkSMTemporalXYPlotDisplayProxy::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkSMTemporalXYPlotDisplayProxy.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeRevisionMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkSMTemporalXYPlotDisplayProxy  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("AddInput",method) && msg.GetNumberOfArguments(0) == 5)
    {
    vtkSMSourceProxy  *temp0;
    char    *temp1;
    int      temp2;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkSMSourceProxy") &&
      msg.GetArgument(0, 3, &temp1) &&
      msg.GetArgument(0, 4, &temp2))
      {
      op->AddInput(temp0,temp1,temp2);
      return 1;
      }
    }
  if (!strcmp("UpdatePropertyInformation",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UpdatePropertyInformation();
      return 1;
      }
    }
  if (!strcmp("UpdatePropertyInformation",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkSMProperty  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkSMProperty"))
      {
      op->UpdatePropertyInformation(temp0);
      return 1;
      }
    }
  if (!strcmp("RemoveAllPointArrayNames",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->RemoveAllPointArrayNames();
      return 1;
      }
    }
  if (!strcmp("RemoveAllCellArrayNames",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->RemoveAllCellArrayNames();
      return 1;
      }
    }
  if (!strcmp("AddPointArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->AddPointArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("AddCellArrayName",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->AddCellArrayName(temp0);
      return 1;
      }
    }
  if (!strcmp("SetPlotPointData",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetPlotPointData(temp0);
      return 1;
      }
    }
  if (!strcmp("GetPlotPointData",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetPlotPointData();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SetAnimationCueProxy",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkSMAnimationCueProxy  *temp0;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkSMAnimationCueProxy"))
      {
      op->SetAnimationCueProxy(temp0);
      return 1;
      }
    }
  if (!strcmp("GetAnimationCueProxy",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkSMAnimationCueProxy  *temp20;
      {
      temp20 = (op)->GetAnimationCueProxy();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GenerateTemporalPlot",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->GenerateTemporalPlot();
      return 1;
      }
    }
  if (!strcmp("AbortGenerateTemporalPlot",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->AbortGenerateTemporalPlot();
      return 1;
      }
    }
  if (!strcmp("SetLockTemporalCache",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    if(msg.GetArgument(0, 2, &temp0))
      {
      op->SetLockTemporalCache(temp0);
      return 1;
      }
    }
  if (!strcmp("GetLockTemporalCache",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->GetLockTemporalCache();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("LockTemporalCacheOn",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->LockTemporalCacheOn();
      return 1;
      }
    }
  if (!strcmp("LockTemporalCacheOff",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->LockTemporalCacheOff();
      return 1;
      }
    }
  if (!strcmp("UpdateVTKObjects",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->UpdateVTKObjects();
      return 1;
      }
    }

  if (vtkSMXYPlotDisplayProxyCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkSMTemporalXYPlotDisplayProxy, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}
