#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkHybridCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtk3DSImporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtk3DSImporterClientServerNewCommand();
int vtkArcPlotterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkArcPlotterClientServerNewCommand();
int vtkAnnotatedCubeActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAnnotatedCubeActorClientServerNewCommand();
int vtkAxesActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAxesActorClientServerNewCommand();
int vtkCaptionActor2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCaptionActor2DClientServerNewCommand();
int vtkCornerAnnotationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCornerAnnotationClientServerNewCommand();
int vtkCubeAxesActor2DCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCubeAxesActor2DClientServerNewCommand();
int vtkDepthSortPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDepthSortPolyDataClientServerNewCommand();
int vtkEarthSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEarthSourceClientServerNewCommand();
int vtkFacetReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFacetReaderClientServerNewCommand();
int vtkGreedyTerrainDecimationCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGreedyTerrainDecimationClientServerNewCommand();
int vtkGridTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGridTransformClientServerNewCommand();
int vtkImageToPolyDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageToPolyDataFilterClientServerNewCommand();
int vtkImplicitModellerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitModellerClientServerNewCommand();
int vtkIterativeClosestPointTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIterativeClosestPointTransformClientServerNewCommand();
int vtkLandmarkTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLandmarkTransformClientServerNewCommand();
int vtkLegendBoxActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLegendBoxActorClientServerNewCommand();
int vtkPCAAnalysisFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPCAAnalysisFilterClientServerNewCommand();
int vtkPolyDataToImageStencilCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataToImageStencilClientServerNewCommand();
int vtkProcrustesAlignmentFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProcrustesAlignmentFilterClientServerNewCommand();
int vtkProjectedTerrainPathCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProjectedTerrainPathClientServerNewCommand();
int vtkRIBExporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRIBExporterClientServerNewCommand();
int vtkRIBLightCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRIBLightClientServerNewCommand();
int vtkRIBPropertyCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRIBPropertyClientServerNewCommand();
int vtkRenderLargeImageCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRenderLargeImageClientServerNewCommand();
int vtkThinPlateSplineTransformCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkThinPlateSplineTransformClientServerNewCommand();
int vtkTransformToGridCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransformToGridClientServerNewCommand();
int vtkVRMLImporterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVRMLImporterClientServerNewCommand();
int vtkVectorTextCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVectorTextClientServerNewCommand();
int vtkVideoSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVideoSourceClientServerNewCommand();
int vtkWeightedTransformFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkWeightedTransformFilterClientServerNewCommand();
int vtkXYPlotActorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXYPlotActorClientServerNewCommand();
int vtkPExodusReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPExodusReaderClientServerNewCommand();
int vtkExodusReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExodusReaderClientServerNewCommand();
int vtkDSPFilterDefinitionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDSPFilterDefinitionClientServerNewCommand();
int vtkExodusModelCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExodusModelClientServerNewCommand();
int vtkDSPFilterGroupCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDSPFilterGroupClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkHybridCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkHybridCS_NewInstance);

    arlu->AddCommandFunction("vtk3DSImporter",vtk3DSImporterCommand);
  arlu->AddCommandFunction("vtkArcPlotter",vtkArcPlotterCommand);
  arlu->AddCommandFunction("vtkAnnotatedCubeActor",vtkAnnotatedCubeActorCommand);
  arlu->AddCommandFunction("vtkAxesActor",vtkAxesActorCommand);
  arlu->AddCommandFunction("vtkCaptionActor2D",vtkCaptionActor2DCommand);
  arlu->AddCommandFunction("vtkCornerAnnotation",vtkCornerAnnotationCommand);
  arlu->AddCommandFunction("vtkCubeAxesActor2D",vtkCubeAxesActor2DCommand);
  arlu->AddCommandFunction("vtkDepthSortPolyData",vtkDepthSortPolyDataCommand);
  arlu->AddCommandFunction("vtkEarthSource",vtkEarthSourceCommand);
  arlu->AddCommandFunction("vtkFacetReader",vtkFacetReaderCommand);
  arlu->AddCommandFunction("vtkGreedyTerrainDecimation",vtkGreedyTerrainDecimationCommand);
  arlu->AddCommandFunction("vtkGridTransform",vtkGridTransformCommand);
  arlu->AddCommandFunction("vtkImageToPolyDataFilter",vtkImageToPolyDataFilterCommand);
  arlu->AddCommandFunction("vtkImplicitModeller",vtkImplicitModellerCommand);
  arlu->AddCommandFunction("vtkIterativeClosestPointTransform",vtkIterativeClosestPointTransformCommand);
  arlu->AddCommandFunction("vtkLandmarkTransform",vtkLandmarkTransformCommand);
  arlu->AddCommandFunction("vtkLegendBoxActor",vtkLegendBoxActorCommand);
  arlu->AddCommandFunction("vtkPCAAnalysisFilter",vtkPCAAnalysisFilterCommand);
  arlu->AddCommandFunction("vtkPolyDataToImageStencil",vtkPolyDataToImageStencilCommand);
  arlu->AddCommandFunction("vtkProcrustesAlignmentFilter",vtkProcrustesAlignmentFilterCommand);
  arlu->AddCommandFunction("vtkProjectedTerrainPath",vtkProjectedTerrainPathCommand);
  arlu->AddCommandFunction("vtkRIBExporter",vtkRIBExporterCommand);
  arlu->AddCommandFunction("vtkRIBLight",vtkRIBLightCommand);
  arlu->AddCommandFunction("vtkRIBProperty",vtkRIBPropertyCommand);
  arlu->AddCommandFunction("vtkRenderLargeImage",vtkRenderLargeImageCommand);
  arlu->AddCommandFunction("vtkThinPlateSplineTransform",vtkThinPlateSplineTransformCommand);
  arlu->AddCommandFunction("vtkTransformToGrid",vtkTransformToGridCommand);
  arlu->AddCommandFunction("vtkVRMLImporter",vtkVRMLImporterCommand);
  arlu->AddCommandFunction("vtkVectorText",vtkVectorTextCommand);
  arlu->AddCommandFunction("vtkVideoSource",vtkVideoSourceCommand);
  arlu->AddCommandFunction("vtkWeightedTransformFilter",vtkWeightedTransformFilterCommand);
  arlu->AddCommandFunction("vtkXYPlotActor",vtkXYPlotActorCommand);
  arlu->AddCommandFunction("vtkPExodusReader",vtkPExodusReaderCommand);
  arlu->AddCommandFunction("vtkExodusReader",vtkExodusReaderCommand);
  arlu->AddCommandFunction("vtkDSPFilterDefinition",vtkDSPFilterDefinitionCommand);
  arlu->AddCommandFunction("vtkExodusModel",vtkExodusModelCommand);
  arlu->AddCommandFunction("vtkDSPFilterGroup",vtkDSPFilterGroupCommand);

}

static int vtkHybridCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtk3DSImporter",type))
      {
      vtkObjectBase *ptr = vtk3DSImporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkArcPlotter",type))
      {
      vtkObjectBase *ptr = vtkArcPlotterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAnnotatedCubeActor",type))
      {
      vtkObjectBase *ptr = vtkAnnotatedCubeActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkAxesActor",type))
      {
      vtkObjectBase *ptr = vtkAxesActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCaptionActor2D",type))
      {
      vtkObjectBase *ptr = vtkCaptionActor2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCornerAnnotation",type))
      {
      vtkObjectBase *ptr = vtkCornerAnnotationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCubeAxesActor2D",type))
      {
      vtkObjectBase *ptr = vtkCubeAxesActor2DClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDepthSortPolyData",type))
      {
      vtkObjectBase *ptr = vtkDepthSortPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEarthSource",type))
      {
      vtkObjectBase *ptr = vtkEarthSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFacetReader",type))
      {
      vtkObjectBase *ptr = vtkFacetReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGreedyTerrainDecimation",type))
      {
      vtkObjectBase *ptr = vtkGreedyTerrainDecimationClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGridTransform",type))
      {
      vtkObjectBase *ptr = vtkGridTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageToPolyDataFilter",type))
      {
      vtkObjectBase *ptr = vtkImageToPolyDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitModeller",type))
      {
      vtkObjectBase *ptr = vtkImplicitModellerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIterativeClosestPointTransform",type))
      {
      vtkObjectBase *ptr = vtkIterativeClosestPointTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLandmarkTransform",type))
      {
      vtkObjectBase *ptr = vtkLandmarkTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLegendBoxActor",type))
      {
      vtkObjectBase *ptr = vtkLegendBoxActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPCAAnalysisFilter",type))
      {
      vtkObjectBase *ptr = vtkPCAAnalysisFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataToImageStencil",type))
      {
      vtkObjectBase *ptr = vtkPolyDataToImageStencilClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProcrustesAlignmentFilter",type))
      {
      vtkObjectBase *ptr = vtkProcrustesAlignmentFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProjectedTerrainPath",type))
      {
      vtkObjectBase *ptr = vtkProjectedTerrainPathClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRIBExporter",type))
      {
      vtkObjectBase *ptr = vtkRIBExporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRIBLight",type))
      {
      vtkObjectBase *ptr = vtkRIBLightClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRIBProperty",type))
      {
      vtkObjectBase *ptr = vtkRIBPropertyClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRenderLargeImage",type))
      {
      vtkObjectBase *ptr = vtkRenderLargeImageClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkThinPlateSplineTransform",type))
      {
      vtkObjectBase *ptr = vtkThinPlateSplineTransformClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransformToGrid",type))
      {
      vtkObjectBase *ptr = vtkTransformToGridClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVRMLImporter",type))
      {
      vtkObjectBase *ptr = vtkVRMLImporterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVectorText",type))
      {
      vtkObjectBase *ptr = vtkVectorTextClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVideoSource",type))
      {
      vtkObjectBase *ptr = vtkVideoSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkWeightedTransformFilter",type))
      {
      vtkObjectBase *ptr = vtkWeightedTransformFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXYPlotActor",type))
      {
      vtkObjectBase *ptr = vtkXYPlotActorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPExodusReader",type))
      {
      vtkObjectBase *ptr = vtkPExodusReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExodusReader",type))
      {
      vtkObjectBase *ptr = vtkExodusReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDSPFilterDefinition",type))
      {
      vtkObjectBase *ptr = vtkDSPFilterDefinitionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExodusModel",type))
      {
      vtkObjectBase *ptr = vtkExodusModelClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDSPFilterGroup",type))
      {
      vtkObjectBase *ptr = vtkDSPFilterGroupClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
