#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkIOCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkAVSucdReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkAVSucdReaderClientServerNewCommand();
int vtkBMPReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBMPReaderClientServerNewCommand();
int vtkBMPWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBMPWriterClientServerNewCommand();
int vtkBYUReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBYUReaderClientServerNewCommand();
int vtkBYUWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBYUWriterClientServerNewCommand();
int vtkBase64InputStreamCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBase64InputStreamClientServerNewCommand();
int vtkBase64OutputStreamCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBase64OutputStreamClientServerNewCommand();
int vtkBase64UtilitiesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBase64UtilitiesClientServerNewCommand();
int vtkCGMWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCGMWriterClientServerNewCommand();
int vtkChacoReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkChacoReaderClientServerNewCommand();
int vtkDEMReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDEMReaderClientServerNewCommand();
int vtkDICOMImageReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDICOMImageReaderClientServerNewCommand();
int vtkDataObjectReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataObjectReaderClientServerNewCommand();
int vtkDataObjectWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataObjectWriterClientServerNewCommand();
int vtkDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataReaderClientServerNewCommand();
int vtkDataSetReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetReaderClientServerNewCommand();
int vtkDataSetWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataSetWriterClientServerNewCommand();
int vtkDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDataWriterClientServerNewCommand();
int vtkEnSight6BinaryReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEnSight6BinaryReaderClientServerNewCommand();
int vtkEnSight6ReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEnSight6ReaderClientServerNewCommand();
int vtkEnSightGoldBinaryReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEnSightGoldBinaryReaderClientServerNewCommand();
int vtkEnSightGoldReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEnSightGoldReaderClientServerNewCommand();
int vtkEnSightMasterServerReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEnSightMasterServerReaderClientServerNewCommand();
int vtkFacetWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkFacetWriterClientServerNewCommand();
int vtkGESignaReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGESignaReaderClientServerNewCommand();
int vtkGAMBITReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGAMBITReaderClientServerNewCommand();
int vtkGaussianCubeReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGaussianCubeReaderClientServerNewCommand();
int vtkGenericEnSightReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkGenericEnSightReaderClientServerNewCommand();
int vtkIVWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkIVWriterClientServerNewCommand();
int vtkImageReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageReaderClientServerNewCommand();
int vtkImageReader2Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageReader2ClientServerNewCommand();
int vtkImageReader2CollectionCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageReader2CollectionClientServerNewCommand();
int vtkImageReader2FactoryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageReader2FactoryClientServerNewCommand();
int vtkImageWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageWriterClientServerNewCommand();
int vtkInputStreamCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkInputStreamClientServerNewCommand();
int vtkJPEGReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkJPEGReaderClientServerNewCommand();
int vtkJPEGWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkJPEGWriterClientServerNewCommand();
int vtkMaterialLibraryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMaterialLibraryClientServerNewCommand();
int vtkMCubesReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMCubesReaderClientServerNewCommand();
int vtkMCubesWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMCubesWriterClientServerNewCommand();
int vtkMedicalImagePropertiesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMedicalImagePropertiesClientServerNewCommand();
int vtkMedicalImageReader2Command(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMedicalImageReader2ClientServerNewCommand();
int vtkMetaImageReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMetaImageReaderClientServerNewCommand();
int vtkMetaImageWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMetaImageWriterClientServerNewCommand();
int vtkMultiBlockPLOT3DReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiBlockPLOT3DReaderClientServerNewCommand();
int vtkOBJReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOBJReaderClientServerNewCommand();
int vtkOutputStreamCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOutputStreamClientServerNewCommand();
int vtkPDBReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPDBReaderClientServerNewCommand();
int vtkPLOT3DReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPLOT3DReaderClientServerNewCommand();
int vtkPLYReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPLYReaderClientServerNewCommand();
int vtkPLYWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPLYWriterClientServerNewCommand();
int vtkPNGReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPNGReaderClientServerNewCommand();
int vtkPNGWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPNGWriterClientServerNewCommand();
int vtkPNMReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPNMReaderClientServerNewCommand();
int vtkPNMWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPNMWriterClientServerNewCommand();
int vtkParticleReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParticleReaderClientServerNewCommand();
int vtkPolyDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataReaderClientServerNewCommand();
int vtkPolyDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPolyDataWriterClientServerNewCommand();
int vtkPostScriptWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPostScriptWriterClientServerNewCommand();
int vtkRectilinearGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridReaderClientServerNewCommand();
int vtkRectilinearGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridWriterClientServerNewCommand();
int vtkShaderCodeLibraryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkShaderCodeLibraryClientServerNewCommand();
int vtkSLCReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSLCReaderClientServerNewCommand();
int vtkSTLReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSTLReaderClientServerNewCommand();
int vtkSTLWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSTLWriterClientServerNewCommand();
int vtkStructuredGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridReaderClientServerNewCommand();
int vtkStructuredGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredGridWriterClientServerNewCommand();
int vtkStructuredPointsReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredPointsReaderClientServerNewCommand();
int vtkStructuredPointsWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkStructuredPointsWriterClientServerNewCommand();
int vtkTIFFReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTIFFReaderClientServerNewCommand();
int vtkTIFFWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTIFFWriterClientServerNewCommand();
int vtkUGFacetReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUGFacetReaderClientServerNewCommand();
int vtkUnstructuredGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridReaderClientServerNewCommand();
int vtkUnstructuredGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkUnstructuredGridWriterClientServerNewCommand();
int vtkVolume16ReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkVolume16ReaderClientServerNewCommand();
int vtkXMLDataElementCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLDataElementClientServerNewCommand();
int vtkXMLDataParserCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLDataParserClientServerNewCommand();
int vtkXMLDataSetWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLDataSetWriterClientServerNewCommand();
int vtkXMLFileReadTesterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLFileReadTesterClientServerNewCommand();
int vtkXMLHierarchicalBoxDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLHierarchicalBoxDataReaderClientServerNewCommand();
int vtkXMLHierarchicalDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLHierarchicalDataReaderClientServerNewCommand();
int vtkXMLImageDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLImageDataReaderClientServerNewCommand();
int vtkXMLImageDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLImageDataWriterClientServerNewCommand();
int vtkXMLHyperOctreeReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLHyperOctreeReaderClientServerNewCommand();
int vtkXMLHyperOctreeWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLHyperOctreeWriterClientServerNewCommand();
int vtkXMLMaterialCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLMaterialClientServerNewCommand();
int vtkXMLMaterialParserCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLMaterialParserClientServerNewCommand();
int vtkXMLMaterialReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLMaterialReaderClientServerNewCommand();
int vtkXMLMultiBlockDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLMultiBlockDataReaderClientServerNewCommand();
int vtkXMLMultiGroupDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLMultiGroupDataReaderClientServerNewCommand();
int vtkXMLMultiGroupDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLMultiGroupDataWriterClientServerNewCommand();
int vtkXMLPDataSetWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPDataSetWriterClientServerNewCommand();
int vtkXMLPImageDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPImageDataReaderClientServerNewCommand();
int vtkXMLPImageDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPImageDataWriterClientServerNewCommand();
int vtkXMLPPolyDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPPolyDataReaderClientServerNewCommand();
int vtkXMLPPolyDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPPolyDataWriterClientServerNewCommand();
int vtkXMLPRectilinearGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPRectilinearGridReaderClientServerNewCommand();
int vtkXMLPRectilinearGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPRectilinearGridWriterClientServerNewCommand();
int vtkXMLPStructuredGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPStructuredGridReaderClientServerNewCommand();
int vtkXMLPStructuredGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPStructuredGridWriterClientServerNewCommand();
int vtkXMLPUnstructuredGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPUnstructuredGridReaderClientServerNewCommand();
int vtkXMLPUnstructuredGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPUnstructuredGridWriterClientServerNewCommand();
int vtkXMLParserCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLParserClientServerNewCommand();
int vtkXMLPolyDataReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPolyDataReaderClientServerNewCommand();
int vtkXMLPolyDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPolyDataWriterClientServerNewCommand();
int vtkXMLRectilinearGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLRectilinearGridReaderClientServerNewCommand();
int vtkXMLRectilinearGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLRectilinearGridWriterClientServerNewCommand();
int vtkXMLShaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLShaderClientServerNewCommand();
int vtkXMLStructuredGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLStructuredGridReaderClientServerNewCommand();
int vtkXMLStructuredGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLStructuredGridWriterClientServerNewCommand();
int vtkXMLUnstructuredGridReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLUnstructuredGridReaderClientServerNewCommand();
int vtkXMLUnstructuredGridWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLUnstructuredGridWriterClientServerNewCommand();
int vtkXMLUtilitiesCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLUtilitiesClientServerNewCommand();
int vtkXYZMolReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXYZMolReaderClientServerNewCommand();
int vtkZLibDataCompressorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkZLibDataCompressorClientServerNewCommand();
int vtkMPEG2WriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMPEG2WriterClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkIOCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkIOCS_NewInstance);

    arlu->AddCommandFunction("vtkAVSucdReader",vtkAVSucdReaderCommand);
  arlu->AddCommandFunction("vtkBMPReader",vtkBMPReaderCommand);
  arlu->AddCommandFunction("vtkBMPWriter",vtkBMPWriterCommand);
  arlu->AddCommandFunction("vtkBYUReader",vtkBYUReaderCommand);
  arlu->AddCommandFunction("vtkBYUWriter",vtkBYUWriterCommand);
  arlu->AddCommandFunction("vtkBase64InputStream",vtkBase64InputStreamCommand);
  arlu->AddCommandFunction("vtkBase64OutputStream",vtkBase64OutputStreamCommand);
  arlu->AddCommandFunction("vtkBase64Utilities",vtkBase64UtilitiesCommand);
  arlu->AddCommandFunction("vtkCGMWriter",vtkCGMWriterCommand);
  arlu->AddCommandFunction("vtkChacoReader",vtkChacoReaderCommand);
  arlu->AddCommandFunction("vtkDEMReader",vtkDEMReaderCommand);
  arlu->AddCommandFunction("vtkDICOMImageReader",vtkDICOMImageReaderCommand);
  arlu->AddCommandFunction("vtkDataObjectReader",vtkDataObjectReaderCommand);
  arlu->AddCommandFunction("vtkDataObjectWriter",vtkDataObjectWriterCommand);
  arlu->AddCommandFunction("vtkDataReader",vtkDataReaderCommand);
  arlu->AddCommandFunction("vtkDataSetReader",vtkDataSetReaderCommand);
  arlu->AddCommandFunction("vtkDataSetWriter",vtkDataSetWriterCommand);
  arlu->AddCommandFunction("vtkDataWriter",vtkDataWriterCommand);
  arlu->AddCommandFunction("vtkEnSight6BinaryReader",vtkEnSight6BinaryReaderCommand);
  arlu->AddCommandFunction("vtkEnSight6Reader",vtkEnSight6ReaderCommand);
  arlu->AddCommandFunction("vtkEnSightGoldBinaryReader",vtkEnSightGoldBinaryReaderCommand);
  arlu->AddCommandFunction("vtkEnSightGoldReader",vtkEnSightGoldReaderCommand);
  arlu->AddCommandFunction("vtkEnSightMasterServerReader",vtkEnSightMasterServerReaderCommand);
  arlu->AddCommandFunction("vtkFacetWriter",vtkFacetWriterCommand);
  arlu->AddCommandFunction("vtkGESignaReader",vtkGESignaReaderCommand);
  arlu->AddCommandFunction("vtkGAMBITReader",vtkGAMBITReaderCommand);
  arlu->AddCommandFunction("vtkGaussianCubeReader",vtkGaussianCubeReaderCommand);
  arlu->AddCommandFunction("vtkGenericEnSightReader",vtkGenericEnSightReaderCommand);
  arlu->AddCommandFunction("vtkIVWriter",vtkIVWriterCommand);
  arlu->AddCommandFunction("vtkImageReader",vtkImageReaderCommand);
  arlu->AddCommandFunction("vtkImageReader2",vtkImageReader2Command);
  arlu->AddCommandFunction("vtkImageReader2Collection",vtkImageReader2CollectionCommand);
  arlu->AddCommandFunction("vtkImageReader2Factory",vtkImageReader2FactoryCommand);
  arlu->AddCommandFunction("vtkImageWriter",vtkImageWriterCommand);
  arlu->AddCommandFunction("vtkInputStream",vtkInputStreamCommand);
  arlu->AddCommandFunction("vtkJPEGReader",vtkJPEGReaderCommand);
  arlu->AddCommandFunction("vtkJPEGWriter",vtkJPEGWriterCommand);
  arlu->AddCommandFunction("vtkMaterialLibrary",vtkMaterialLibraryCommand);
  arlu->AddCommandFunction("vtkMCubesReader",vtkMCubesReaderCommand);
  arlu->AddCommandFunction("vtkMCubesWriter",vtkMCubesWriterCommand);
  arlu->AddCommandFunction("vtkMedicalImageProperties",vtkMedicalImagePropertiesCommand);
  arlu->AddCommandFunction("vtkMedicalImageReader2",vtkMedicalImageReader2Command);
  arlu->AddCommandFunction("vtkMetaImageReader",vtkMetaImageReaderCommand);
  arlu->AddCommandFunction("vtkMetaImageWriter",vtkMetaImageWriterCommand);
  arlu->AddCommandFunction("vtkMultiBlockPLOT3DReader",vtkMultiBlockPLOT3DReaderCommand);
  arlu->AddCommandFunction("vtkOBJReader",vtkOBJReaderCommand);
  arlu->AddCommandFunction("vtkOutputStream",vtkOutputStreamCommand);
  arlu->AddCommandFunction("vtkPDBReader",vtkPDBReaderCommand);
  arlu->AddCommandFunction("vtkPLOT3DReader",vtkPLOT3DReaderCommand);
  arlu->AddCommandFunction("vtkPLYReader",vtkPLYReaderCommand);
  arlu->AddCommandFunction("vtkPLYWriter",vtkPLYWriterCommand);
  arlu->AddCommandFunction("vtkPNGReader",vtkPNGReaderCommand);
  arlu->AddCommandFunction("vtkPNGWriter",vtkPNGWriterCommand);
  arlu->AddCommandFunction("vtkPNMReader",vtkPNMReaderCommand);
  arlu->AddCommandFunction("vtkPNMWriter",vtkPNMWriterCommand);
  arlu->AddCommandFunction("vtkParticleReader",vtkParticleReaderCommand);
  arlu->AddCommandFunction("vtkPolyDataReader",vtkPolyDataReaderCommand);
  arlu->AddCommandFunction("vtkPolyDataWriter",vtkPolyDataWriterCommand);
  arlu->AddCommandFunction("vtkPostScriptWriter",vtkPostScriptWriterCommand);
  arlu->AddCommandFunction("vtkRectilinearGridReader",vtkRectilinearGridReaderCommand);
  arlu->AddCommandFunction("vtkRectilinearGridWriter",vtkRectilinearGridWriterCommand);
  arlu->AddCommandFunction("vtkShaderCodeLibrary",vtkShaderCodeLibraryCommand);
  arlu->AddCommandFunction("vtkSLCReader",vtkSLCReaderCommand);
  arlu->AddCommandFunction("vtkSTLReader",vtkSTLReaderCommand);
  arlu->AddCommandFunction("vtkSTLWriter",vtkSTLWriterCommand);
  arlu->AddCommandFunction("vtkStructuredGridReader",vtkStructuredGridReaderCommand);
  arlu->AddCommandFunction("vtkStructuredGridWriter",vtkStructuredGridWriterCommand);
  arlu->AddCommandFunction("vtkStructuredPointsReader",vtkStructuredPointsReaderCommand);
  arlu->AddCommandFunction("vtkStructuredPointsWriter",vtkStructuredPointsWriterCommand);
  arlu->AddCommandFunction("vtkTIFFReader",vtkTIFFReaderCommand);
  arlu->AddCommandFunction("vtkTIFFWriter",vtkTIFFWriterCommand);
  arlu->AddCommandFunction("vtkUGFacetReader",vtkUGFacetReaderCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridReader",vtkUnstructuredGridReaderCommand);
  arlu->AddCommandFunction("vtkUnstructuredGridWriter",vtkUnstructuredGridWriterCommand);
  arlu->AddCommandFunction("vtkVolume16Reader",vtkVolume16ReaderCommand);
  arlu->AddCommandFunction("vtkXMLDataElement",vtkXMLDataElementCommand);
  arlu->AddCommandFunction("vtkXMLDataParser",vtkXMLDataParserCommand);
  arlu->AddCommandFunction("vtkXMLDataSetWriter",vtkXMLDataSetWriterCommand);
  arlu->AddCommandFunction("vtkXMLFileReadTester",vtkXMLFileReadTesterCommand);
  arlu->AddCommandFunction("vtkXMLHierarchicalBoxDataReader",vtkXMLHierarchicalBoxDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLHierarchicalDataReader",vtkXMLHierarchicalDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLImageDataReader",vtkXMLImageDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLImageDataWriter",vtkXMLImageDataWriterCommand);
  arlu->AddCommandFunction("vtkXMLHyperOctreeReader",vtkXMLHyperOctreeReaderCommand);
  arlu->AddCommandFunction("vtkXMLHyperOctreeWriter",vtkXMLHyperOctreeWriterCommand);
  arlu->AddCommandFunction("vtkXMLMaterial",vtkXMLMaterialCommand);
  arlu->AddCommandFunction("vtkXMLMaterialParser",vtkXMLMaterialParserCommand);
  arlu->AddCommandFunction("vtkXMLMaterialReader",vtkXMLMaterialReaderCommand);
  arlu->AddCommandFunction("vtkXMLMultiBlockDataReader",vtkXMLMultiBlockDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLMultiGroupDataReader",vtkXMLMultiGroupDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLMultiGroupDataWriter",vtkXMLMultiGroupDataWriterCommand);
  arlu->AddCommandFunction("vtkXMLPDataSetWriter",vtkXMLPDataSetWriterCommand);
  arlu->AddCommandFunction("vtkXMLPImageDataReader",vtkXMLPImageDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLPImageDataWriter",vtkXMLPImageDataWriterCommand);
  arlu->AddCommandFunction("vtkXMLPPolyDataReader",vtkXMLPPolyDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLPPolyDataWriter",vtkXMLPPolyDataWriterCommand);
  arlu->AddCommandFunction("vtkXMLPRectilinearGridReader",vtkXMLPRectilinearGridReaderCommand);
  arlu->AddCommandFunction("vtkXMLPRectilinearGridWriter",vtkXMLPRectilinearGridWriterCommand);
  arlu->AddCommandFunction("vtkXMLPStructuredGridReader",vtkXMLPStructuredGridReaderCommand);
  arlu->AddCommandFunction("vtkXMLPStructuredGridWriter",vtkXMLPStructuredGridWriterCommand);
  arlu->AddCommandFunction("vtkXMLPUnstructuredGridReader",vtkXMLPUnstructuredGridReaderCommand);
  arlu->AddCommandFunction("vtkXMLPUnstructuredGridWriter",vtkXMLPUnstructuredGridWriterCommand);
  arlu->AddCommandFunction("vtkXMLParser",vtkXMLParserCommand);
  arlu->AddCommandFunction("vtkXMLPolyDataReader",vtkXMLPolyDataReaderCommand);
  arlu->AddCommandFunction("vtkXMLPolyDataWriter",vtkXMLPolyDataWriterCommand);
  arlu->AddCommandFunction("vtkXMLRectilinearGridReader",vtkXMLRectilinearGridReaderCommand);
  arlu->AddCommandFunction("vtkXMLRectilinearGridWriter",vtkXMLRectilinearGridWriterCommand);
  arlu->AddCommandFunction("vtkXMLShader",vtkXMLShaderCommand);
  arlu->AddCommandFunction("vtkXMLStructuredGridReader",vtkXMLStructuredGridReaderCommand);
  arlu->AddCommandFunction("vtkXMLStructuredGridWriter",vtkXMLStructuredGridWriterCommand);
  arlu->AddCommandFunction("vtkXMLUnstructuredGridReader",vtkXMLUnstructuredGridReaderCommand);
  arlu->AddCommandFunction("vtkXMLUnstructuredGridWriter",vtkXMLUnstructuredGridWriterCommand);
  arlu->AddCommandFunction("vtkXMLUtilities",vtkXMLUtilitiesCommand);
  arlu->AddCommandFunction("vtkXYZMolReader",vtkXYZMolReaderCommand);
  arlu->AddCommandFunction("vtkZLibDataCompressor",vtkZLibDataCompressorCommand);
  arlu->AddCommandFunction("vtkMPEG2Writer",vtkMPEG2WriterCommand);

}

static int vtkIOCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkAVSucdReader",type))
      {
      vtkObjectBase *ptr = vtkAVSucdReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBMPReader",type))
      {
      vtkObjectBase *ptr = vtkBMPReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBMPWriter",type))
      {
      vtkObjectBase *ptr = vtkBMPWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBYUReader",type))
      {
      vtkObjectBase *ptr = vtkBYUReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBYUWriter",type))
      {
      vtkObjectBase *ptr = vtkBYUWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBase64InputStream",type))
      {
      vtkObjectBase *ptr = vtkBase64InputStreamClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBase64OutputStream",type))
      {
      vtkObjectBase *ptr = vtkBase64OutputStreamClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBase64Utilities",type))
      {
      vtkObjectBase *ptr = vtkBase64UtilitiesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCGMWriter",type))
      {
      vtkObjectBase *ptr = vtkCGMWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkChacoReader",type))
      {
      vtkObjectBase *ptr = vtkChacoReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDEMReader",type))
      {
      vtkObjectBase *ptr = vtkDEMReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDICOMImageReader",type))
      {
      vtkObjectBase *ptr = vtkDICOMImageReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataObjectReader",type))
      {
      vtkObjectBase *ptr = vtkDataObjectReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataObjectWriter",type))
      {
      vtkObjectBase *ptr = vtkDataObjectWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataReader",type))
      {
      vtkObjectBase *ptr = vtkDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetReader",type))
      {
      vtkObjectBase *ptr = vtkDataSetReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataSetWriter",type))
      {
      vtkObjectBase *ptr = vtkDataSetWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDataWriter",type))
      {
      vtkObjectBase *ptr = vtkDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEnSight6BinaryReader",type))
      {
      vtkObjectBase *ptr = vtkEnSight6BinaryReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEnSight6Reader",type))
      {
      vtkObjectBase *ptr = vtkEnSight6ReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEnSightGoldBinaryReader",type))
      {
      vtkObjectBase *ptr = vtkEnSightGoldBinaryReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEnSightGoldReader",type))
      {
      vtkObjectBase *ptr = vtkEnSightGoldReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEnSightMasterServerReader",type))
      {
      vtkObjectBase *ptr = vtkEnSightMasterServerReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkFacetWriter",type))
      {
      vtkObjectBase *ptr = vtkFacetWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGESignaReader",type))
      {
      vtkObjectBase *ptr = vtkGESignaReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGAMBITReader",type))
      {
      vtkObjectBase *ptr = vtkGAMBITReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGaussianCubeReader",type))
      {
      vtkObjectBase *ptr = vtkGaussianCubeReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkGenericEnSightReader",type))
      {
      vtkObjectBase *ptr = vtkGenericEnSightReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkIVWriter",type))
      {
      vtkObjectBase *ptr = vtkIVWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageReader",type))
      {
      vtkObjectBase *ptr = vtkImageReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageReader2",type))
      {
      vtkObjectBase *ptr = vtkImageReader2ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageReader2Collection",type))
      {
      vtkObjectBase *ptr = vtkImageReader2CollectionClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageReader2Factory",type))
      {
      vtkObjectBase *ptr = vtkImageReader2FactoryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageWriter",type))
      {
      vtkObjectBase *ptr = vtkImageWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkInputStream",type))
      {
      vtkObjectBase *ptr = vtkInputStreamClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkJPEGReader",type))
      {
      vtkObjectBase *ptr = vtkJPEGReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkJPEGWriter",type))
      {
      vtkObjectBase *ptr = vtkJPEGWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMaterialLibrary",type))
      {
      vtkObjectBase *ptr = vtkMaterialLibraryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMCubesReader",type))
      {
      vtkObjectBase *ptr = vtkMCubesReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMCubesWriter",type))
      {
      vtkObjectBase *ptr = vtkMCubesWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMedicalImageProperties",type))
      {
      vtkObjectBase *ptr = vtkMedicalImagePropertiesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMedicalImageReader2",type))
      {
      vtkObjectBase *ptr = vtkMedicalImageReader2ClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMetaImageReader",type))
      {
      vtkObjectBase *ptr = vtkMetaImageReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMetaImageWriter",type))
      {
      vtkObjectBase *ptr = vtkMetaImageWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiBlockPLOT3DReader",type))
      {
      vtkObjectBase *ptr = vtkMultiBlockPLOT3DReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOBJReader",type))
      {
      vtkObjectBase *ptr = vtkOBJReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOutputStream",type))
      {
      vtkObjectBase *ptr = vtkOutputStreamClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPDBReader",type))
      {
      vtkObjectBase *ptr = vtkPDBReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPLOT3DReader",type))
      {
      vtkObjectBase *ptr = vtkPLOT3DReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPLYReader",type))
      {
      vtkObjectBase *ptr = vtkPLYReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPLYWriter",type))
      {
      vtkObjectBase *ptr = vtkPLYWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPNGReader",type))
      {
      vtkObjectBase *ptr = vtkPNGReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPNGWriter",type))
      {
      vtkObjectBase *ptr = vtkPNGWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPNMReader",type))
      {
      vtkObjectBase *ptr = vtkPNMReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPNMWriter",type))
      {
      vtkObjectBase *ptr = vtkPNMWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParticleReader",type))
      {
      vtkObjectBase *ptr = vtkParticleReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataReader",type))
      {
      vtkObjectBase *ptr = vtkPolyDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPolyDataWriter",type))
      {
      vtkObjectBase *ptr = vtkPolyDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPostScriptWriter",type))
      {
      vtkObjectBase *ptr = vtkPostScriptWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridReader",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridWriter",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkShaderCodeLibrary",type))
      {
      vtkObjectBase *ptr = vtkShaderCodeLibraryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSLCReader",type))
      {
      vtkObjectBase *ptr = vtkSLCReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSTLReader",type))
      {
      vtkObjectBase *ptr = vtkSTLReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSTLWriter",type))
      {
      vtkObjectBase *ptr = vtkSTLWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGridReader",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredGridWriter",type))
      {
      vtkObjectBase *ptr = vtkStructuredGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredPointsReader",type))
      {
      vtkObjectBase *ptr = vtkStructuredPointsReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkStructuredPointsWriter",type))
      {
      vtkObjectBase *ptr = vtkStructuredPointsWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTIFFReader",type))
      {
      vtkObjectBase *ptr = vtkTIFFReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTIFFWriter",type))
      {
      vtkObjectBase *ptr = vtkTIFFWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUGFacetReader",type))
      {
      vtkObjectBase *ptr = vtkUGFacetReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridReader",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkUnstructuredGridWriter",type))
      {
      vtkObjectBase *ptr = vtkUnstructuredGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkVolume16Reader",type))
      {
      vtkObjectBase *ptr = vtkVolume16ReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLDataElement",type))
      {
      vtkObjectBase *ptr = vtkXMLDataElementClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLDataParser",type))
      {
      vtkObjectBase *ptr = vtkXMLDataParserClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLDataSetWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLDataSetWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLFileReadTester",type))
      {
      vtkObjectBase *ptr = vtkXMLFileReadTesterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLHierarchicalBoxDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLHierarchicalBoxDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLHierarchicalDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLHierarchicalDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLImageDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLImageDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLImageDataWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLImageDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLHyperOctreeReader",type))
      {
      vtkObjectBase *ptr = vtkXMLHyperOctreeReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLHyperOctreeWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLHyperOctreeWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLMaterial",type))
      {
      vtkObjectBase *ptr = vtkXMLMaterialClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLMaterialParser",type))
      {
      vtkObjectBase *ptr = vtkXMLMaterialParserClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLMaterialReader",type))
      {
      vtkObjectBase *ptr = vtkXMLMaterialReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLMultiBlockDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLMultiBlockDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLMultiGroupDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLMultiGroupDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLMultiGroupDataWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLMultiGroupDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPDataSetWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPDataSetWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPImageDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLPImageDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPImageDataWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPImageDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPPolyDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLPPolyDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPPolyDataWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPPolyDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPRectilinearGridReader",type))
      {
      vtkObjectBase *ptr = vtkXMLPRectilinearGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPRectilinearGridWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPRectilinearGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPStructuredGridReader",type))
      {
      vtkObjectBase *ptr = vtkXMLPStructuredGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPStructuredGridWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPStructuredGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPUnstructuredGridReader",type))
      {
      vtkObjectBase *ptr = vtkXMLPUnstructuredGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPUnstructuredGridWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPUnstructuredGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLParser",type))
      {
      vtkObjectBase *ptr = vtkXMLParserClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPolyDataReader",type))
      {
      vtkObjectBase *ptr = vtkXMLPolyDataReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPolyDataWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPolyDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLRectilinearGridReader",type))
      {
      vtkObjectBase *ptr = vtkXMLRectilinearGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLRectilinearGridWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLRectilinearGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLShader",type))
      {
      vtkObjectBase *ptr = vtkXMLShaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLStructuredGridReader",type))
      {
      vtkObjectBase *ptr = vtkXMLStructuredGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLStructuredGridWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLStructuredGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLUnstructuredGridReader",type))
      {
      vtkObjectBase *ptr = vtkXMLUnstructuredGridReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLUnstructuredGridWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLUnstructuredGridWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLUtilities",type))
      {
      vtkObjectBase *ptr = vtkXMLUtilitiesClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXYZMolReader",type))
      {
      vtkObjectBase *ptr = vtkXYZMolReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkZLibDataCompressor",type))
      {
      vtkObjectBase *ptr = vtkZLibDataCompressorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMPEG2Writer",type))
      {
      vtkObjectBase *ptr = vtkMPEG2WriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
