#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkParallelCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkDuplicatePolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDuplicatePolyDataClientServerNewCommand();
int vtkBranchExtentTranslatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBranchExtentTranslatorClientServerNewCommand();
int vtkCollectPolyDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCollectPolyDataClientServerNewCommand();
int vtkCompositerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCompositerClientServerNewCommand();
int vtkCompositeRenderManagerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCompositeRenderManagerClientServerNewCommand();
int vtkCompressCompositerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCompressCompositerClientServerNewCommand();
int vtkCutMaterialCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkCutMaterialClientServerNewCommand();
int vtkDistributedDataFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDistributedDataFilterClientServerNewCommand();
int vtkDistributedStreamTracerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDistributedStreamTracerClientServerNewCommand();
int vtkDummyControllerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkDummyControllerClientServerNewCommand();
int vtkEnSightWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkEnSightWriterClientServerNewCommand();
int vtkExtractCTHPartCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractCTHPartClientServerNewCommand();
int vtkExtractPolyDataPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractPolyDataPieceClientServerNewCommand();
int vtkExtractUnstructuredGridPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractUnstructuredGridPieceClientServerNewCommand();
int vtkExtractUserDefinedPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExtractUserDefinedPieceClientServerNewCommand();
int vtkMultiGroupDataExtractPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMultiGroupDataExtractPieceClientServerNewCommand();
int vtkPKdTreeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPKdTreeClientServerNewCommand();
int vtkMemoryLimitImageDataStreamerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkMemoryLimitImageDataStreamerClientServerNewCommand();
int vtkPassThroughFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPassThroughFilterClientServerNewCommand();
int vtkPCellDataToPointDataCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPCellDataToPointDataClientServerNewCommand();
int vtkPChacoReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPChacoReaderClientServerNewCommand();
int vtkPDataSetReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPDataSetReaderClientServerNewCommand();
int vtkPDataSetWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPDataSetWriterClientServerNewCommand();
int vtkPImageWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPImageWriterClientServerNewCommand();
int vtkPLinearExtrusionFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPLinearExtrusionFilterClientServerNewCommand();
int vtkPOPReaderCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPOPReaderClientServerNewCommand();
int vtkPOutlineFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPOutlineFilterClientServerNewCommand();
int vtkPOutlineCornerFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPOutlineCornerFilterClientServerNewCommand();
int vtkPPolyDataNormalsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPPolyDataNormalsClientServerNewCommand();
int vtkPProbeFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPProbeFilterClientServerNewCommand();
int vtkPSphereSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPSphereSourceClientServerNewCommand();
int vtkParallelFactoryCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkParallelFactoryClientServerNewCommand();
int vtkPieceScalarsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPieceScalarsClientServerNewCommand();
int vtkPipelineSizeCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPipelineSizeClientServerNewCommand();
int vtkProcessIdScalarsCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkProcessIdScalarsClientServerNewCommand();
int vtkRTAnalyticSourceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRTAnalyticSourceClientServerNewCommand();
int vtkRectilinearGridOutlineFilterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkRectilinearGridOutlineFilterClientServerNewCommand();
int vtkSocketCommunicatorCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSocketCommunicatorClientServerNewCommand();
int vtkSocketControllerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSocketControllerClientServerNewCommand();
int vtkSubGroupCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSubGroupClientServerNewCommand();
int vtkTransmitImageDataPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransmitImageDataPieceClientServerNewCommand();
int vtkTransmitRectilinearGridPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransmitRectilinearGridPieceClientServerNewCommand();
int vtkTransmitStructuredGridPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransmitStructuredGridPieceClientServerNewCommand();
int vtkTransmitPolyDataPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransmitPolyDataPieceClientServerNewCommand();
int vtkTransmitUnstructuredGridPieceCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTransmitUnstructuredGridPieceClientServerNewCommand();
int vtkTreeCompositerCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkTreeCompositerClientServerNewCommand();
int vtkXMLPMultiGroupDataWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXMLPMultiGroupDataWriterClientServerNewCommand();
int vtkExodusIIWriterCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkExodusIIWriterClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkParallelCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkParallelCS_NewInstance);

    arlu->AddCommandFunction("vtkDuplicatePolyData",vtkDuplicatePolyDataCommand);
  arlu->AddCommandFunction("vtkBranchExtentTranslator",vtkBranchExtentTranslatorCommand);
  arlu->AddCommandFunction("vtkCollectPolyData",vtkCollectPolyDataCommand);
  arlu->AddCommandFunction("vtkCompositer",vtkCompositerCommand);
  arlu->AddCommandFunction("vtkCompositeRenderManager",vtkCompositeRenderManagerCommand);
  arlu->AddCommandFunction("vtkCompressCompositer",vtkCompressCompositerCommand);
  arlu->AddCommandFunction("vtkCutMaterial",vtkCutMaterialCommand);
  arlu->AddCommandFunction("vtkDistributedDataFilter",vtkDistributedDataFilterCommand);
  arlu->AddCommandFunction("vtkDistributedStreamTracer",vtkDistributedStreamTracerCommand);
  arlu->AddCommandFunction("vtkDummyController",vtkDummyControllerCommand);
  arlu->AddCommandFunction("vtkEnSightWriter",vtkEnSightWriterCommand);
  arlu->AddCommandFunction("vtkExtractCTHPart",vtkExtractCTHPartCommand);
  arlu->AddCommandFunction("vtkExtractPolyDataPiece",vtkExtractPolyDataPieceCommand);
  arlu->AddCommandFunction("vtkExtractUnstructuredGridPiece",vtkExtractUnstructuredGridPieceCommand);
  arlu->AddCommandFunction("vtkExtractUserDefinedPiece",vtkExtractUserDefinedPieceCommand);
  arlu->AddCommandFunction("vtkMultiGroupDataExtractPiece",vtkMultiGroupDataExtractPieceCommand);
  arlu->AddCommandFunction("vtkPKdTree",vtkPKdTreeCommand);
  arlu->AddCommandFunction("vtkMemoryLimitImageDataStreamer",vtkMemoryLimitImageDataStreamerCommand);
  arlu->AddCommandFunction("vtkPassThroughFilter",vtkPassThroughFilterCommand);
  arlu->AddCommandFunction("vtkPCellDataToPointData",vtkPCellDataToPointDataCommand);
  arlu->AddCommandFunction("vtkPChacoReader",vtkPChacoReaderCommand);
  arlu->AddCommandFunction("vtkPDataSetReader",vtkPDataSetReaderCommand);
  arlu->AddCommandFunction("vtkPDataSetWriter",vtkPDataSetWriterCommand);
  arlu->AddCommandFunction("vtkPImageWriter",vtkPImageWriterCommand);
  arlu->AddCommandFunction("vtkPLinearExtrusionFilter",vtkPLinearExtrusionFilterCommand);
  arlu->AddCommandFunction("vtkPOPReader",vtkPOPReaderCommand);
  arlu->AddCommandFunction("vtkPOutlineFilter",vtkPOutlineFilterCommand);
  arlu->AddCommandFunction("vtkPOutlineCornerFilter",vtkPOutlineCornerFilterCommand);
  arlu->AddCommandFunction("vtkPPolyDataNormals",vtkPPolyDataNormalsCommand);
  arlu->AddCommandFunction("vtkPProbeFilter",vtkPProbeFilterCommand);
  arlu->AddCommandFunction("vtkPSphereSource",vtkPSphereSourceCommand);
  arlu->AddCommandFunction("vtkParallelFactory",vtkParallelFactoryCommand);
  arlu->AddCommandFunction("vtkPieceScalars",vtkPieceScalarsCommand);
  arlu->AddCommandFunction("vtkPipelineSize",vtkPipelineSizeCommand);
  arlu->AddCommandFunction("vtkProcessIdScalars",vtkProcessIdScalarsCommand);
  arlu->AddCommandFunction("vtkRTAnalyticSource",vtkRTAnalyticSourceCommand);
  arlu->AddCommandFunction("vtkRectilinearGridOutlineFilter",vtkRectilinearGridOutlineFilterCommand);
  arlu->AddCommandFunction("vtkSocketCommunicator",vtkSocketCommunicatorCommand);
  arlu->AddCommandFunction("vtkSocketController",vtkSocketControllerCommand);
  arlu->AddCommandFunction("vtkSubGroup",vtkSubGroupCommand);
  arlu->AddCommandFunction("vtkTransmitImageDataPiece",vtkTransmitImageDataPieceCommand);
  arlu->AddCommandFunction("vtkTransmitRectilinearGridPiece",vtkTransmitRectilinearGridPieceCommand);
  arlu->AddCommandFunction("vtkTransmitStructuredGridPiece",vtkTransmitStructuredGridPieceCommand);
  arlu->AddCommandFunction("vtkTransmitPolyDataPiece",vtkTransmitPolyDataPieceCommand);
  arlu->AddCommandFunction("vtkTransmitUnstructuredGridPiece",vtkTransmitUnstructuredGridPieceCommand);
  arlu->AddCommandFunction("vtkTreeCompositer",vtkTreeCompositerCommand);
  arlu->AddCommandFunction("vtkXMLPMultiGroupDataWriter",vtkXMLPMultiGroupDataWriterCommand);
  arlu->AddCommandFunction("vtkExodusIIWriter",vtkExodusIIWriterCommand);

}

static int vtkParallelCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkDuplicatePolyData",type))
      {
      vtkObjectBase *ptr = vtkDuplicatePolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkBranchExtentTranslator",type))
      {
      vtkObjectBase *ptr = vtkBranchExtentTranslatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCollectPolyData",type))
      {
      vtkObjectBase *ptr = vtkCollectPolyDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCompositer",type))
      {
      vtkObjectBase *ptr = vtkCompositerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCompositeRenderManager",type))
      {
      vtkObjectBase *ptr = vtkCompositeRenderManagerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCompressCompositer",type))
      {
      vtkObjectBase *ptr = vtkCompressCompositerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkCutMaterial",type))
      {
      vtkObjectBase *ptr = vtkCutMaterialClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDistributedDataFilter",type))
      {
      vtkObjectBase *ptr = vtkDistributedDataFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDistributedStreamTracer",type))
      {
      vtkObjectBase *ptr = vtkDistributedStreamTracerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkDummyController",type))
      {
      vtkObjectBase *ptr = vtkDummyControllerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkEnSightWriter",type))
      {
      vtkObjectBase *ptr = vtkEnSightWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractCTHPart",type))
      {
      vtkObjectBase *ptr = vtkExtractCTHPartClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractPolyDataPiece",type))
      {
      vtkObjectBase *ptr = vtkExtractPolyDataPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractUnstructuredGridPiece",type))
      {
      vtkObjectBase *ptr = vtkExtractUnstructuredGridPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExtractUserDefinedPiece",type))
      {
      vtkObjectBase *ptr = vtkExtractUserDefinedPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMultiGroupDataExtractPiece",type))
      {
      vtkObjectBase *ptr = vtkMultiGroupDataExtractPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPKdTree",type))
      {
      vtkObjectBase *ptr = vtkPKdTreeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkMemoryLimitImageDataStreamer",type))
      {
      vtkObjectBase *ptr = vtkMemoryLimitImageDataStreamerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPassThroughFilter",type))
      {
      vtkObjectBase *ptr = vtkPassThroughFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPCellDataToPointData",type))
      {
      vtkObjectBase *ptr = vtkPCellDataToPointDataClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPChacoReader",type))
      {
      vtkObjectBase *ptr = vtkPChacoReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPDataSetReader",type))
      {
      vtkObjectBase *ptr = vtkPDataSetReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPDataSetWriter",type))
      {
      vtkObjectBase *ptr = vtkPDataSetWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPImageWriter",type))
      {
      vtkObjectBase *ptr = vtkPImageWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPLinearExtrusionFilter",type))
      {
      vtkObjectBase *ptr = vtkPLinearExtrusionFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPOPReader",type))
      {
      vtkObjectBase *ptr = vtkPOPReaderClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPOutlineFilter",type))
      {
      vtkObjectBase *ptr = vtkPOutlineFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPOutlineCornerFilter",type))
      {
      vtkObjectBase *ptr = vtkPOutlineCornerFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPPolyDataNormals",type))
      {
      vtkObjectBase *ptr = vtkPPolyDataNormalsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPProbeFilter",type))
      {
      vtkObjectBase *ptr = vtkPProbeFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPSphereSource",type))
      {
      vtkObjectBase *ptr = vtkPSphereSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkParallelFactory",type))
      {
      vtkObjectBase *ptr = vtkParallelFactoryClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPieceScalars",type))
      {
      vtkObjectBase *ptr = vtkPieceScalarsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPipelineSize",type))
      {
      vtkObjectBase *ptr = vtkPipelineSizeClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkProcessIdScalars",type))
      {
      vtkObjectBase *ptr = vtkProcessIdScalarsClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRTAnalyticSource",type))
      {
      vtkObjectBase *ptr = vtkRTAnalyticSourceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkRectilinearGridOutlineFilter",type))
      {
      vtkObjectBase *ptr = vtkRectilinearGridOutlineFilterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSocketCommunicator",type))
      {
      vtkObjectBase *ptr = vtkSocketCommunicatorClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSocketController",type))
      {
      vtkObjectBase *ptr = vtkSocketControllerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSubGroup",type))
      {
      vtkObjectBase *ptr = vtkSubGroupClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransmitImageDataPiece",type))
      {
      vtkObjectBase *ptr = vtkTransmitImageDataPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransmitRectilinearGridPiece",type))
      {
      vtkObjectBase *ptr = vtkTransmitRectilinearGridPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransmitStructuredGridPiece",type))
      {
      vtkObjectBase *ptr = vtkTransmitStructuredGridPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransmitPolyDataPiece",type))
      {
      vtkObjectBase *ptr = vtkTransmitPolyDataPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTransmitUnstructuredGridPiece",type))
      {
      vtkObjectBase *ptr = vtkTransmitUnstructuredGridPieceClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkTreeCompositer",type))
      {
      vtkObjectBase *ptr = vtkTreeCompositerClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXMLPMultiGroupDataWriter",type))
      {
      vtkObjectBase *ptr = vtkXMLPMultiGroupDataWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkExodusIIWriter",type))
      {
      vtkObjectBase *ptr = vtkExodusIIWriterClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
