// ClientServer wrapper for vtkGenericRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkGenericRenderWindowInteractor.h"
#include "vtkClientServerInterpreter.h"
#include "vtkClientServerStream.h"


vtkObjectBase *vtkGenericRenderWindowInteractorClientServerNewCommand()
{
  return vtkGenericRenderWindowInteractor::New();
}

int vtkRenderWindowInteractorCommand(vtkClientServerInterpreter*, vtkObjectBase*, const char*, const vtkClientServerStream&, vtkClientServerStream& resultStream);

int VTK_EXPORT vtkGenericRenderWindowInteractorCommand(vtkClientServerInterpreter *arlu, vtkObjectBase *ob, const char *method, const vtkClientServerStream& msg, vtkClientServerStream& resultStream)
{
  vtkGenericRenderWindowInteractor *op = vtkGenericRenderWindowInteractor::SafeDownCast(ob);
  if(!op)
    {
    vtkOStrStreamWrapper vtkmsg;
    vtkmsg << "Cannot cast " << ob->GetClassName() << " object to vtkGenericRenderWindowInteractor.  "
           << "This probably means the class specifies the incorrect superclass in vtkTypeRevisionMacro.";
    resultStream.Reset();
    resultStream << vtkClientServerStream::Error
                 << vtkmsg.str() << 0 << vtkClientServerStream::End;
    return 0;
    }
  (void)arlu;
  if (!strcmp("New",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkGenericRenderWindowInteractor  *temp20;
      {
      temp20 = (op)->New();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("GetClassName",method) && msg.GetNumberOfArguments(0) == 2)
    {
    const char    *temp20;
      {
      temp20 = (op)->GetClassName();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("IsA",method) && msg.GetNumberOfArguments(0) == 3)
    {
    char    *temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->IsA(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("NewInstance",method) && msg.GetNumberOfArguments(0) == 2)
    {
    vtkGenericRenderWindowInteractor  *temp20;
      {
      temp20 = (op)->NewInstance();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("SafeDownCast",method) && msg.GetNumberOfArguments(0) == 3)
    {
    vtkObject  *temp0;
    vtkGenericRenderWindowInteractor  *temp20;
    if(vtkClientServerStreamGetArgumentObject(msg, 0, 2, &temp0, "vtkObject"))
      {
      temp20 = (op)->SafeDownCast(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << (vtkObjectBase *)temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("MouseMoveEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->MouseMoveEvent();
      return 1;
      }
    }
  if (!strcmp("RightButtonPressEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->RightButtonPressEvent();
      return 1;
      }
    }
  if (!strcmp("RightButtonReleaseEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->RightButtonReleaseEvent();
      return 1;
      }
    }
  if (!strcmp("LeftButtonPressEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->LeftButtonPressEvent();
      return 1;
      }
    }
  if (!strcmp("LeftButtonReleaseEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->LeftButtonReleaseEvent();
      return 1;
      }
    }
  if (!strcmp("MiddleButtonPressEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->MiddleButtonPressEvent();
      return 1;
      }
    }
  if (!strcmp("MiddleButtonReleaseEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->MiddleButtonReleaseEvent();
      return 1;
      }
    }
  if (!strcmp("MouseWheelForwardEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->MouseWheelForwardEvent();
      return 1;
      }
    }
  if (!strcmp("MouseWheelBackwardEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->MouseWheelBackwardEvent();
      return 1;
      }
    }
  if (!strcmp("ExposeEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ExposeEvent();
      return 1;
      }
    }
  if (!strcmp("ConfigureEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ConfigureEvent();
      return 1;
      }
    }
  if (!strcmp("EnterEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->EnterEvent();
      return 1;
      }
    }
  if (!strcmp("LeaveEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->LeaveEvent();
      return 1;
      }
    }
  if (!strcmp("TimerEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->TimerEvent();
      return 1;
      }
    }
  if (!strcmp("KeyPressEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->KeyPressEvent();
      return 1;
      }
    }
  if (!strcmp("KeyReleaseEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->KeyReleaseEvent();
      return 1;
      }
    }
  if (!strcmp("CharEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->CharEvent();
      return 1;
      }
    }
  if (!strcmp("ExitEvent",method) && msg.GetNumberOfArguments(0) == 2)
    {
      {
      op->ExitEvent();
      return 1;
      }
    }
  if (!strcmp("CreateTimer",method) && msg.GetNumberOfArguments(0) == 3)
    {
    int      temp0;
    int      temp20;
    if(msg.GetArgument(0, 2, &temp0))
      {
      temp20 = (op)->CreateTimer(temp0);
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }
  if (!strcmp("DestroyTimer",method) && msg.GetNumberOfArguments(0) == 2)
    {
    int      temp20;
      {
      temp20 = (op)->DestroyTimer();
      resultStream.Reset();
      resultStream << vtkClientServerStream::Reply << temp20 << vtkClientServerStream::End;
      return 1;
      }
    }

  if (vtkRenderWindowInteractorCommand(arlu, op,method,msg,resultStream))
    {
    return 1;
    }
  if(resultStream.GetNumberOfMessages() > 0 &&
     resultStream.GetCommand(0) == vtkClientServerStream::Error &&
     resultStream.GetNumberOfArguments(0) > 1)
    {
    /* A superclass wrapper prepared a special message. */
    return 0;
    }
  vtkOStrStreamWrapper vtkmsg;
  vtkmsg << "Object type: vtkGenericRenderWindowInteractor, could not find requested method: \""
         << method << "\"\nor the method was called with incorrect arguments.\n";
  resultStream.Reset();
  resultStream << vtkClientServerStream::Error
               << vtkmsg.str() << vtkClientServerStream::End;
  vtkmsg.rdbuf()->freeze(0);
  return 0;
}
