#include "vtkClientServerInterpreter.h"

#define PARAVIEW_BUILD_SHARED_LIBS
#if defined(PARAVIEW_BUILD_SHARED_LIBS) && defined(_WIN32)
# define VTK_WRAP_CS_EXPORT __declspec(dllexport)
#else
# define VTK_WRAP_CS_EXPORT
#endif

static int vtkWidgetsCS_NewInstance(vtkClientServerInterpreter *arlu, 
        const char *type, vtkClientServerID id);

int vtkBoxWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkBoxWidgetClientServerNewCommand();
int vtkImagePlaneWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImagePlaneWidgetClientServerNewCommand();
int vtkImageTracerWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImageTracerWidgetClientServerNewCommand();
int vtkImplicitPlaneWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkImplicitPlaneWidgetClientServerNewCommand();
int vtkLineWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkLineWidgetClientServerNewCommand();
int vtkOrientationMarkerWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkOrientationMarkerWidgetClientServerNewCommand();
int vtkPlaneWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPlaneWidgetClientServerNewCommand();
int vtkPointWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkPointWidgetClientServerNewCommand();
int vtkScalarBarWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkScalarBarWidgetClientServerNewCommand();
int vtkSphereWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSphereWidgetClientServerNewCommand();
int vtkSplineWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkSplineWidgetClientServerNewCommand();
int vtkXYPlotWidgetCommand(vtkClientServerInterpreter *, vtkObjectBase *, const char *, const vtkClientServerStream&, vtkClientServerStream& resultStrem);
vtkObjectBase *vtkXYPlotWidgetClientServerNewCommand();


extern "C" void VTK_WRAP_CS_EXPORT vtkWidgetsCS_Initialize(
  vtkClientServerInterpreter *arlu)
{
  arlu->AddNewInstanceFunction( vtkWidgetsCS_NewInstance);

    arlu->AddCommandFunction("vtkBoxWidget",vtkBoxWidgetCommand);
  arlu->AddCommandFunction("vtkImagePlaneWidget",vtkImagePlaneWidgetCommand);
  arlu->AddCommandFunction("vtkImageTracerWidget",vtkImageTracerWidgetCommand);
  arlu->AddCommandFunction("vtkImplicitPlaneWidget",vtkImplicitPlaneWidgetCommand);
  arlu->AddCommandFunction("vtkLineWidget",vtkLineWidgetCommand);
  arlu->AddCommandFunction("vtkOrientationMarkerWidget",vtkOrientationMarkerWidgetCommand);
  arlu->AddCommandFunction("vtkPlaneWidget",vtkPlaneWidgetCommand);
  arlu->AddCommandFunction("vtkPointWidget",vtkPointWidgetCommand);
  arlu->AddCommandFunction("vtkScalarBarWidget",vtkScalarBarWidgetCommand);
  arlu->AddCommandFunction("vtkSphereWidget",vtkSphereWidgetCommand);
  arlu->AddCommandFunction("vtkSplineWidget",vtkSplineWidgetCommand);
  arlu->AddCommandFunction("vtkXYPlotWidget",vtkXYPlotWidgetCommand);

}

static int vtkWidgetsCS_NewInstance(vtkClientServerInterpreter *arlu, 
                                   const char *type, vtkClientServerID id)
{
  
    if (!strcmp("vtkBoxWidget",type))
      {
      vtkObjectBase *ptr = vtkBoxWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImagePlaneWidget",type))
      {
      vtkObjectBase *ptr = vtkImagePlaneWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImageTracerWidget",type))
      {
      vtkObjectBase *ptr = vtkImageTracerWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkImplicitPlaneWidget",type))
      {
      vtkObjectBase *ptr = vtkImplicitPlaneWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkLineWidget",type))
      {
      vtkObjectBase *ptr = vtkLineWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkOrientationMarkerWidget",type))
      {
      vtkObjectBase *ptr = vtkOrientationMarkerWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPlaneWidget",type))
      {
      vtkObjectBase *ptr = vtkPlaneWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkPointWidget",type))
      {
      vtkObjectBase *ptr = vtkPointWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkScalarBarWidget",type))
      {
      vtkObjectBase *ptr = vtkScalarBarWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSphereWidget",type))
      {
      vtkObjectBase *ptr = vtkSphereWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkSplineWidget",type))
      {
      vtkObjectBase *ptr = vtkSplineWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }
    if (!strcmp("vtkXYPlotWidget",type))
      {
      vtkObjectBase *ptr = vtkXYPlotWidgetClientServerNewCommand();
      arlu->NewInstance(ptr,id);
      return 1;
      }


  return 0;
}
