#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4) && (TCL_RELEASE_LEVEL >= TCL_FINAL_RELEASE)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCollectionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollectionNewCommand();
int vtkCollectionIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkCollectionIteratorNewCommand();
int vtkObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkObjectNewCommand();
int vtkTimerLogCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTimerLogNewCommand();
int vtkCreateCommand(ClientData cd, Tcl_Interp *interp,
               int argc, char *argv[]);

Tcl_HashTable vtkInstanceLookup;
Tcl_HashTable vtkPointerLookup;
Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkcommontcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkcommontcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);
extern "C"
{
void vtkCommonDeleteAssocData(ClientData cd)
  {
  vtkTclInterpStruct *tis = static_cast<vtkTclInterpStruct*>(cd);
  delete tis;
  }
}


int VTK_EXPORT Vtkcommontcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkcommontcl_Init(interp);
}


int VTK_EXPORT Vtkcommontcl_Init(Tcl_Interp *interp)
{
  vtkTclInterpStruct *info = new vtkTclInterpStruct;
  info->Number = 0; info->InDelete = 0; info->DebugOn = 0; info->DeleteExistingObjectOnNew = 0;


  Tcl_InitHashTable(&info->InstanceLookup, TCL_STRING_KEYS);
  Tcl_InitHashTable(&info->PointerLookup, TCL_STRING_KEYS);
  Tcl_InitHashTable(&info->CommandLookup, TCL_STRING_KEYS);
  Tcl_SetAssocData(interp,(char *) "vtk",NULL,(ClientData *)info);
  Tcl_CreateExitHandler(vtkCommonDeleteAssocData,(ClientData *)info);
  Tcl_CreateCommand(interp,(char *) "vtkCommand",
                    reinterpret_cast<vtkTclCommandType>(vtkCreateCommand),
                    (ClientData *)NULL, NULL);


  vtkTclCreateNew(interp,(char *) "vtkCollection", vtkCollectionNewCommand,
                  vtkCollectionCommand);
  vtkTclCreateNew(interp,(char *) "vtkCollectionIterator", vtkCollectionIteratorNewCommand,
                  vtkCollectionIteratorCommand);
  vtkTclCreateNew(interp,(char *) "vtkObject", vtkObjectNewCommand,
                  vtkObjectCommand);
  vtkTclCreateNew(interp,(char *) "vtkTimerLog", vtkTimerLogNewCommand,
                  vtkTimerLogCommand);
  char pkgName[]="vtkCommonTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
