// Loadable modules
//
// Generated by /builddir/build/BUILD/paraview-2.4.3/fedora/bin/kwProcessXML-real
//
#ifndef __vtkPVDefaultModules_h
#define __vtkPVDefaultModules_h


// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface0 =
"<ModuleInterfaces>\n"
"  <Module name=\"SurfaceVectors\"\n"
"          button_image=\"PVSurfaceVectorsButton\"\n"
"          button_visibility=\"0\"\n"
"          button_help=\"Constrain a vector field to lie on a surface.  Glyphs must be used to display the vector field.\"\n"
"          root_name=\"SurfaceV\"\n"
"          menu_name=\"Surface Vectors\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter constrains vectors to lie on a surface.\"\n"
"          short_help=\"This filter constrains vectors o lie on a surface.\">\n"
"    <Filter class=\"vtkSurfaceVectors\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"3\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputVectors\"\n"
"               trace_name=\"Vectors\"\n"
"               label=\"Vectors\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input vectors to process.\"/>\n"
"    <SelectionList property=\"ConstraintMode\"\n"
"                   label=\"Constraint Mode\"\n"
"                   trace_name=\"ConstraintMode\"\n"
"                   help=\"Constrain vector relative to surface.\">\n"
"      <Item name=\"Parallel\" value=\"0\"/>\n"
"      <Item name=\"Perpendicular\" value=\"1\"/>\n"
"      <Item name=\"PerpendicularScale\" value=\"2\"/>\n"
"    </SelectionList>\n"
"    <Documentation>\n"
"The surface vectors filter is used for 2D data sets.  It constrains vectors to lie in a surface by removing components of the vectors normal to the local surface.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"IntegrateAttributes\"\n"
"          class=\"vtkPVPick\"\n"
"          root_name=\"Integrate\"\n"
"          replace_input=\"0\"\n"
"          menu_name=\"Integrate Attributes\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter integrates cell and point attributes.  Use selects whether the integration is over 1D lines, 2D surfaces or 3D volumes.  Cells not of the selected dimension are ignored.\"\n"
"          short_help=\"Integrates over lines, surfaces or vectors.\">\n"
"    <Filter class=\"vtkIntegrateAttributes\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"Integrates point and cell data over lines and surfaces.  It also computes length of lines, area of surface or volume.\n"
"    </Documentation>\n"
"  </Module>\n"
"  \n"
"  <Module name=\"IntegrateFlowThroughSurface\"\n"
"          class=\"vtkPVPick\"\n"
"          button_image=\"PVIntegrateFlowButton\"\n"
"          button_help=\"Integrate a vector field through a surface. 3D cells are ignored.\"\n"
"          button_visibility=\"0\"\n"
"          root_name=\"SurfaceFlow\"\n"
"          menu_name=\"Surface Flow\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter integrates flow through a surface.\"\n"
"          short_help=\"This filter integrates flow through a surface.\">\n"
"    <Filter class=\"vtkIntegrateFlowThroughSurface\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"3\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputVectors\"\n"
"               trace_name=\"Vectors\"\n"
"               label=\"Vectors\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input vectors to process.\"/>\n"
"    <Documentation>\n"
"The flow integration fitler  integrates the dot product of a point flow vector field and surface normal.  It computes the net flow across the 2D surface..\n"
"    </Documentation>\n"
"  </Module>  \n"
"\n"
"<!-- #ifdef PARAVIEW_BUILD_DEVELOPMENT -->\n"
"  <Module name=\"StructuredGridOutlineFilter\"\n"
"          menu_name=\"Outline (curvilinear)\"\n"
"          root_name=\"GOutline\"\n"
"            module_type=\"Filter\">\n"
"    <Filter class=\"vtkStructuredGridOutlineFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkStructuredGrid\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"  </Module>\n"
"<!-- #endif -->\n"
"\n"
"\n"
"\n"
"\n"
"\n"
"\n"
"\n"
"\n"
"\n"
"\n"
"  <Module name=\"Balance\"\n"
"          root_name=\"Balance\" module_type=\"Filter\"\n"
"          multiprocess_support=\"multiple_processes\"\n"
"          long_help=\"Balance data among available processes.\"\n"
"          short_help=\"Load balance filter.\">\n"
"    <Filter class=\"vtkBalancedRedistributePolyData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Balance the number of cells on all processes.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Balance filter is available when ParaView is run in parallel. It does load-balancing so that all processes have the same number of cells. It operates on polygonal data sets and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Delaunay2D\"\n"
"          root_name=\"Delaunay2D\" module_type=\"Filter\"\n"
"          long_help=\"Create 2D Delaunay triangulation of input points. \n"
"It expects a vtkPointSet as input and produces vtkPolyData as output. \n"
"The points are expected to be in a mostly planar distribution.\"\n"
"          short_help=\"Create 2D Delaunay triangulation of input points.\">\n"
"    <Filter class=\"vtkDelaunay2D\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPointSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList property=\"ProjectionPlaneMode\"\n"
"                   trace_name=\"ProjectionPlaneMode\"\n"
"                   label=\"ProjectionPlaneMode\"\n"
"                   help=\"Select ProjectionPlaneMode\">\n"
"      <Item name=\"Only XY coordinates\"\n"
"            value=\"0\"/>\n"
"      <!--\n"
"      <Item name=\"VTK_SET_TRANSFORM_PLANE\"\n"
"            value=\"1\"/>\n"
"      -->\n"
"      <Item name=\"Project on best-fitting plane\"\n"
"            value=\"2\"/>\n"
"    </SelectionList>\n"
"    <ThumbWheel label=\"Alpha\"\n"
"                property=\"Alpha\"\n"
"                trace_name=\"Alpha\"\n"
"                type=\"float\"\n"
"                resolution=\"0.01\"\n"
"                minimum_value=\"0\"\n"
"                help=\"Specify alpha (or distance) value to control output of this filter. For a non-zero alpha value, only edges or triangles contained within a sphere centered at mesh vertices will be output. Otherwise, only triangles will be output.\" />\n"
"\n"
"    <ThumbWheel label=\"Tolerance\"\n"
"                trace_name=\"Tolerance\"\n"
"                property=\"Tolerance\"\n"
"                resolution=\"0.001\"\n"
"                minimum_value=\"0\"\n"
"                help=\"Specify a tolerance to control discarding of closely spaced points.\n"
"This tolerance is specified as a fraction of the diagonal length of the bounding\n"
"box of the points.\" />\n"
"\n"
"    <ThumbWheel label=\"Offset\"\n"
"                trace_name=\"Offset\"\n"
"                property=\"Offset\"\n"
"                resolution=\"0.1\"\n"
"                minimum_value=\"1\"\n"
"                help=\"Specify a multiplier to control the size of the initial, bounding Delaunay triangulation.\" />\n"
"\n"
"    <LabeledToggle label=\"Bounding Triangulation\"\n"
"                   trace_name=\"BoundingTriangulation\"\n"
"                   property=\"BoundingTriangulation\"\n"
"                   help=\"If checked, bounding triangulation points (and associated triangles) are included in the\n"
"output. (These are introduced as an initial triangulation to begin the triangulation process.\n"
"This feature is nice for debugging output.)\" />\n"
"    <Documentation>\n"
"Delaunay2D is a filter that constructs a 2D Delaunay triangulation from \n"
"a list of input points. These points may be represented by any dataset \n"
"of type vtkPointSet and subclasses. The output of the filter is a \n"
"polygonal dataset containing a triangle mesh.\n"
"\n"
"The 2D Delaunay triangulation is defined as the triangulation that \n"
"satisfies the Delaunay criterion for n-dimensional simplexes (in this \n"
"case n=2 and the simplexes are triangles). This criterion states that a \n"
"circumsphere of each simplex in a triangulation contains only the n+1 \n"
"defining points of the simplex. (See \"The Visualization Toolkit\" text \n"
"for more information.) In two dimensions, this translates into an \n"
"optimal triangulation. That is, the maximum interior angle of any \n"
"triangle is less than or equal to that of any possible triangulation.\n"
"\n"
"Delaunay triangulations are used to build topological structures from \n"
"unorganized (or unstructured) points. The input to this filter is a list \n"
"of points specified in 3D, even though the triangulation is 2D. Thus the \n"
"triangulation is constructed in the x-y plane, and the z coordinate is \n"
"ignored (although carried through to the output). You can use the option\n"
"ProjectionPlaneMode in order to compute the best-fitting plane to the\n"
"set of points, project the points and that plane and then perform the\n"
"triangulation using their projected positions and then use it as the \n"
"plane in which the triangulation is performed.\n"
"\n"
"The Delaunay triangulation can be numerically sensitive in some cases. \n"
"To prevent problems, try to avoid injecting points that will result in \n"
"triangles with bad aspect ratios (1000:1 or greater). In practice this \n"
"means inserting points that are \"widely dispersed\", and enables smooth \n"
"transition of triangle sizes throughout the mesh. (You may even want to \n"
"add extra points to create a better point distribution.) If numerical \n"
"problems are present, you will see a warning message to this effect at \n"
"the end of the triangulation process.\n"
"\n"
"Warning:\n"
"     Points arranged on a regular lattice (termed degenerate cases) can \n"
"be triangulated in more than one way (at least according to the Delaunay \n"
"criterion). The choice of triangulation (as implemented by this \n"
"algorithm) depends on the order of the input points. The first three \n"
"points will form a triangle; other degenerate points will not break this \n"
"triangle.\n"
"\n"
"     Points that are coincident (or nearly so) may be discarded by the \n"
"algorithm. This is because the Delaunay triangulation requires unique \n"
"input points. The output of the Delaunay triangulation is supposedly a \n"
"convex hull. In certain cases this implementation may not generate the \n"
"convex hull.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"AllToN\"\n"
"          root_name=\"AllToN\" module_type=\"Filter\" menu_name=\"All to N\"\n"
"          multiprocess_support=\"multiple_processes\"\n"
"          long_help=\"Redistribute data to a subset of available processes.\"\n"
"          short_help=\"Repartition data filter.\">\n"
"    <Filter class=\"vtkAllToNRedistributePolyData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Redistribute polydata to a subset of processes.\"\n"
"               input_name=\"Input\"/>\n"
"    <VectorEntry label=\"Number of Processes\" trace_name=\"NumberOfProcesses\"\n"
"                 property=\"NumberOfProcesses\"\n"
"                 type=\"int\"/>\n"
"    <Documentation>\n"
"The All to N filter is available when ParaView is run in parallel. It redistributes the data so that it is located on the number of processes specified in the Number of Processes entry box. It also does load-balancing of the data among these processes. This filter operates on polygonal data and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"AppendAttributes\"\n"
"          menu_name=\"Append Attributes\"\n"
"          root_name=\"AppendAttr\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Copies geometry from first input.  Puts all of the arrays into the output.\"\n"
"          short_help=\"Puts all input arrays into the single output.\">\n"
"    <Filter class=\"vtkMergeArrays\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\">\n"
"        <GroupRequirement quantity=\"Multiple\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <GroupInputsWidget trace_name=\"inputs\" property=\"Input\"\n"
"                       help=\"Choose inputs to append.\"/>\n"
"    <Documentation>\n"
"The Append Attributes filter takes multiple input data sets with the same geometry and merges their point and cell attributes to produce a single output containing all the point and cell attributes of the inputs. Any inputs without the same number of points and cells as the first input are ignored. The input data sets must already be collected together, either as a result of a reader that loads multiple parts (e.g., EnSight reader) or because the Group Parts filter has been run to form a collection of data sets.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"AppendPolyData\"\n"
"          menu_name=\"Append Geometry\"\n"
"          root_name=\"AppendGeo\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Takes an input of multiple poly data parts and output has only one part.\"\n"
"          short_help=\"Append multiple parts into one.\">\n"
"    <Filter class=\"vtkAppendPolyData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\" quantity=\"Multiple\">\n"
"      </Input>\n"
"    </Filter>\n"
"    <GroupInputsWidget trace_name=\"inputs\" property=\"Input\"\n"
"                       help=\"Choose inputs to append.\"/>\n"
"    <Documentation>\n"
"The Append Geometry filter operates on multiple polygonal data sets. The data sets must already be collected together, either as a result of a reader that loads multiple parts (e.g., EnSight reader) or because the Group Parts filter has been run to form a collection of data sets. It merges their geometry into a single data set. Only the point and cell attributes that all of the input data sets have in common will appear in the output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Append\"\n"
"          menu_name=\"Append Datasets\"\n"
"          root_name=\"Append\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Takes an input of multiple datasets and output has only one unstructured grid.\"\n"
"          short_help=\"Append multiple datasets into one.\">\n"
"    <Filter class=\"vtkAppendFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\">\n"
"        <GroupRequirement quantity=\"Multiple\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <GroupInputsWidget trace_name=\"inputs\" property=\"Input\"\n"
"                       help=\"Choose inputs to append.\"/>\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface1 =
"    <Documentation>\n"
"The Append Datasets filter operates on multiple data sets of any type (polygonal, structured, etc.). It merges their geometry into a single data set. Only the point and cell attributes that all of the input data sets have in common will appear in the output. The input data sets must already be collected together, either as a result of a reader that loads multiple parts (e.g., EnSight reader) or because the Group Parts filter has been run to form a collection of data sets.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"CellCenters\"\n"
"          menu_name=\"Cell Centers\"\n"
"          root_name=\"Centers\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Create a point (no geometry) at the center of each input cell.\"\n"
"          short_help=\"Convert cells to vertices.\">\n"
"    <Filter class=\"vtkCellCenters\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Generate vertices\"\n"
"                   trace_name=\"VertexCells\"\n"
"                   property=\"VertexCells\"\n"
"                   help=\"Generate vertex as geometry of just points.\"/>\n"
"    <Documentation>\n"
"The Cell Centers filter places a point at the center of each cell in the input data set. The center computed is the parametric center of the cell, not necessarily the geometric or bounding box center. The cell attributes of the input will be associated with these newly created points of the output. The Input menu allows the user to select the data set to which this filter will be applied. If the Generate vertices option is checked, then vertex cells will also be created for each point in the output. This is useful because vertex cells are rendered, but points are not. The points themselves could be used for placing glyphs (using the Glyph filter). The Cell Centers filter takes any type of data set as input and produces a polygonal data set as output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"CellDataToPointData\"\n"
"          root_name=\"CellToPoint\"\n"
"          menu_name=\"Cell Data to Point Data\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Create point attributes by averaging cell attributes.\"\n"
"          short_help=\"Convert cell data to point data.\">\n"
"    <Filter class=\"vtkPCellDataToPointData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement attribute=\"Cell\"/>\n"
"        <FixedTypeRequirement/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Pass cell data\"\n"
"                   trace_name=\"PassCellData\"\n"
"                   property=\"PassCellData\"\n"
"                   help=\" Control whether the input cell data is to be passed to the output. If on, then the input cell data is passed through to the output; otherwise, only generated point data is placed into the output.\"/>\n"
"    <Documentation>\n"
"The Cell Data to Point Data filter averages the values of the cell attributes of the cells surrounding a point to compute point attributes. The Input menu allows the user to select the data set to which this filter will be applied. If the Pass cell data option is checked, then the input cell attributes will also be copied to the cell attributes of the output; otherwise the output will only have point attributes. The Cell Data to Point Data filter operates on any type of data set, and the output data set is of the same type as the input.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"CleanPolyData\"\n"
"          menu_name=\"Clean\" root_name=\"CleanPD\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Merge coincident points if they do not meet a feature edge critera.\"\n"
"          short_help=\"Merge coincident points.\">\n"
"    <Filter class=\"vtkCleanPolyData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Piece invariant\"\n"
"                   trace_name=\"PieceInvariant\"\n"
"                   property=\"PieceInvariant\"\n"
"                   help=\"Turn this on to remove seams when running in parallel.\"/>\n"
"    <Scale label=\"Tolerance\"\n"
"           trace_name=\"Tolerance\"\n"
"           property=\"Tolerance\"\n"
"           help=\"The tolerance in terms of fraction of bounding box length.\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\" display_value=\"0\"/>\n"
"    <ThumbWheel label=\"Absolute tolerance\"\n"
"                property=\"AbsoluteTolerance\"\n"
"                trace_name=\"AbsoluteTolerance\"\n"
"                resolution=\"0.01\"\n"
"                minimum_value=\"0\"\n"
"                help=\"The tolerance in absolute terms.\"/>\n"
"    <LabeledToggle label=\"Tolerance is absolute\"\n"
"                   trace_name=\"ToleranceIsAbsolute\"\n"
"                   property=\"ToleranceIsAbsolute\"\n"
"                   help=\"Turn this on to use the absolute tolerance.\"/>\n"
"    <LabeledToggle label=\"Convert lines to points\"\n"
"                   trace_name=\"ConvertLinesToPoints\"\n"
"                   property=\"ConvertLinesToPoints\"\n"
"                   help=\"Turn on/off conversion of degenerate lines to points.\"/>\n"
"    <LabeledToggle label=\"Convert polys to lines\"\n"
"                   trace_name=\"ConvertPolysToLines\"\n"
"                   property=\"ConvertPolysToLines\"\n"
"                   help=\"Turn on/off conversion of degenerate polys to lines.\"/>\n"
"    <LabeledToggle label=\"Convert strips to polys\"\n"
"                   trace_name=\"ConvertStripsToPolys\"\n"
"                   property=\"ConvertStripsToPolys\"\n"
"                   help=\"Turn on/off conversion of degenerate strips to polys.\"/>\n"
"    <LabeledToggle label=\"Point merging\"\n"
"                   trace_name=\"PointMerging\"\n"
"                   property=\"PointMerging\"\n"
"                   help=\"Turn this On to control wheter points merging is performed.\"/>\n"
"    <Documentation>\n"
"The Clean filter takes polygonal data as input and generates polygonal data as output. This filter can merge duplicate points, remove unused points, and transform degenerate cells into their appropriate forms (e.g., a triangle is converted into a line if two of its points are merged). The Input menu allows the user to select the data set to which this filter will be applied. If the Point merging option is on, then points will be merged if they are within the specified Tolerance or Absolute tolerance, depending on whether the Tolerance is absolute box is checked. (Tolerance is specified as a fraction of the length of the diagonal of the bounding box of the data set; Absolute tolerance is specified in the spatial units of the input data set.)\n"
"The transforming of degenerate cells into their appropriate forms is controlled by three check boxes on the user interface: Convert lines to points, Convert polys to lines, and Convert strips to polys. If any of these is unchecked, then degenerate cells of that type will not be converted to another type of cell.\n"
"If the Piece invariant option is checked, the whole data set will be processed at once so that cleaning this data set always produces the same results. If the box is unchecked, the data set can be processed one piece at a time, so it is not necessary for the entire data set to fit into memory, but the results are not guaranteed to be the same as they would be if the Piece invariant option was on.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"CleanUnstructuredGrid\"\n"
"          menu_name=\"Clean to Grid\"\n"
"          root_name=\"CleanUGrid\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter merges points and converts the data set to unstructured grid.\"\n"
"          short_help=\"Merge points.\">\n"
"    <Filter class=\"vtkCleanUnstructuredGrid\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Clean to Grid filter merges points that are within a tolerance of 1/100,000 of the length of the diagonal of the bounding box of the data set. It also converts the data set to an unstructured grid. You may wish to do this if you want to apply a filter to your data set that is available for unstructured grids but not for the initial type of your data set (e.g., applying warp vector to volumetric data). The Input menu allows the user to select the data set to which this filter will be applied. The Clean to Grid filter operates on any type of data set.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"PVConnectivityFilter\"\n"
"          menu_name=\"Connectivity\"\n"
"          root_name=\"Connect\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Mark connected components with integer point attribute array.\"\n"
"          short_help=\"Find connected components.\">\n"
"    <Filter class=\"vtkPVConnectivityFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Connectivity filter assigns a region id to connected components of the input data set. (The region id is assigned as a point scalar value.) The Input menu allows the user to select the data set to which this filter will be applied. This filter takes any data set type as input and produces unstructured grid output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ImageClip\"\n"
"          menu_name=\"Crop\" root_name=\"ImageClip\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          long_help=\"Efficiently extract an area/volume of interest from a 2-d image or 3-d volume.\"\n"
"          short_help=\"Extract a volume of interest.\">\n"
"    <Filter class=\"vtkImageClip\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkImageData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\" label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ExtentEntry label=\"Extent to crop\"\n"
"                 trace_name=\"OutputWholeExtent\"\n"
"                 property=\"OutputWholeExtent\"\n"
"                 input_menu=\"im\"\n"
"                 help=\"Set the min/max extents in each dimension of the output\"/>\n"
"    <Documentation>\n"
"The Crop filter extracts an area/volume of interest from a 2D image or a 3D volume by allowing the user to specify the minimum and maximum extents of each dimension of the data. The Input menu allows the user to select the data set to which this filter will be applied. Both the input and output of this filter are uniform rectilinear data.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Curvatures\"\n"
"          menu_name=\"Curvature\"\n"
"          root_name=\"Curvatures\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter will compute the gaussian or mean curvature of the mesh at each point.\"\n"
"          short_help=\"Compute the curvature at each point.\">\n"
"    <Filter class=\"vtkCurvatures\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Invert mean curvature\"\n"
"                   trace_name=\"InvertMeanCurvature\"\n"
"                   property=\"InvertMeanCurvature\"\n"
"                   help=\"Turn this on to invert the mean curvature calculation for meshes with inward pointing normals.\"/>\n"
"    <SelectionList property=\"CurvatureType\"\n"
"                   label=\"Curvature type\"\n"
"                   trace_name=\"CurvatureType\"\n"
"                   help=\"Select the curvature type.\">\n"
"      <Item name=\"Gaussian\" value=\"0\"/>\n"
"      <Item name=\"Mean\" value=\"1\"/>\n"
"    </SelectionList>\n"
"    <Documentation>\n"
"The Curvature filter computes the curvature at each point in a polygonal data set. This filter supports both Gaussian and mean curvatures; the type can be selected from the Curvature type menu button. The Input menu allows the user to select the data set to which this filter will be applied. If the Invert mean curvature option is checked, the mean curvature calculation will be inverted. This is useful for meshes with inward-pointing normals.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"DecimatePro\"\n"
"          menu_name=\"Decimate\"\n"
"          root_name=\"Deci\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Simplify a polygonal model using an adaptive edge collapse algorithm.  This filter works with triangles only.\"\n"
"          short_help=\"Reduce the number of triangles in a model.\">\n"
"    <Filter class=\"vtkDecimatePro\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Reduction target\"\n"
"           trace_name=\"TargetReduction\"\n"
"           property=\"TargetReduction\"\n"
"           help=\"Value between 0 and 1. Desired reduction of the total number of triangles.\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\" display_value=\"0\"/>\n"
"    <LabeledToggle label=\"Preserve topology\"\n"
"                   trace_name=\"PreserveTopology\"\n"
"                   property=\"PreserveTopology\"\n"
"                   help=\"If off, better reduction can occur, but model may break up.\"/>\n"
"    <Scale label=\"Feature angle\"\n"
"           trace_name=\"FeatureAngle\"\n"
"           property=\"FeatureAngle\"\n"
"           help=\"This angle is used to define a feature edge. (i.e., if the surface normal between two adjacent triangles is >= Feature angle, an edge exists). Topology can be split along feature edges.\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <LabeledToggle label=\"Boundary deletable\"\n"
"                   trace_name=\"BoundaryVertexDeletion\"\n"
"                   property=\"BoundaryVertexDeletion\"\n"
"                   help=\"If off, decimate will not remove points on the boundary.\"/>\n"
"    <Documentation>\n"
"The Decimate filter reduces the number of triangles in a polygonal data set. Because this filter only operates on triangles, first run the Triangulate filter on a data set that contains polygons other than triangles. The Input menu allows the user to select the data set to which this filter will be applied. The Reduction target slider specifies the desired reduction in the total number of polygons (e.g., if the Reduction target value is 0.9, the Decimate filter will attempt to produce an output data set that is 10% the size of the input.) If the Preserve topology option is on, decimation will not split the data set or produce holes, but it may keep the filter from reaching the reduction target. The Feature angle slider value is used in determining where the data set may be split. If the angle between two adjacent triangles is >= the Feature angle value, then their boundary is considered a feature edge where the data set can be split. If the Boundary deletable option is on, then vertices on the boundary of the data set can be removed. Turning this option off preserves the boundary of the data set, but it may cause the filter not to reach its reduction target.\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface2 =
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"D3\"\n"
"          menu_name=\"D3\" root_name=\"D3\"\n"
"          module_type=\"Filter\"\n"
"          multiprocess_support=\"multiple_processes\"\n"
"          long_help=\"Repartition a data set into load-balanced spatially convex regions.  Create ghost cells if requested.\"\n"
"          short_help=\"Repartition a data set.\">\n"
"    <Filter class=\"vtkDistributedDataFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList label=\"Boundary Cells\" property=\"BoundaryMode\"\n"
"                   trace_name=\"BoundaryMode\"\n"
"                   help=\"Select how to handle boundary cells. Isosurfacing works well when cells are uniquely assigned to processes. Dividing cells along processor boundaries is useful for volume rendering.\">\n"
"      <Item name=\"Assign cells uniquely\" value=\"0\"/>\n"
"      <Item name=\"Duplicate cells\" value=\"1\"/>\n"
"      <Item name=\"Divide cells\" value=\"2\"/>\n"
"    </SelectionList>\n"
"    <StringEntry label=\"Global Node Id Array Name\" property=\"GlobalNodeIdArrayName\"\n"
"                 trace_name=\"GlobalNodeIdArrayName\"\n"
"                 help=\"Provide name of global node (point) ID array so redistributed data does not duplicate node IDs\" />\n"
"    <LabeledToggle label=\"Minimal memory\"\n"
"                   trace_name=\"UseMinimalMemory\" \n"
"                   property=\"UseMinimalMemory\" \n"
"                   help=\"Force communication routines to use minimal memory, which is slower\"/>\n"
"    <Documentation>\n"
"The D3 filter is available when ParaView is run in parallel. It operates on any type of data set to evenly divide it across the processors into spatially contiguous regions. The Boundary Cells menu determines how cells that lie on processor boundaries are handled. The Assign cells uniquely option assigns each boundary cell to exactly one process, which is useful for isosurfacing. Selecting Duplicate cells causes the cells on the boundaries to be copied to each process that shares that boundary. The Divide cells option breaks cells across process boundary lines so that pieces of the cell lie in different processes. This option is useful for volume rendering. The Global Id Array Name entry determines the name of the array containing global point ids. Such an array is necessary for processing ghost cells and is useful for removing duplicate points when merging sub-grids. The output of this filter is of type unstructured grid.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ElevationFilter\"\n"
"          menu_name=\"Elevation\"\n"
"          root_name=\"Elevation\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Create point attribute array by projecting points onto an elevation vector.\"\n"
"          short_help=\"Create a point array representing elevation.\">\n"
"    <Filter class=\"vtkElevationFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <FixedTypeRequirement/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"  <!-- keeping vector entries with length > 1 -->\n"
"    <VectorEntry label=\"Scalar range\"\n"
"                 trace_name=\"ScalarRange\"\n"
"                 property=\"ScalarRange\"\n"
"                 type=\"float\" length=\"2\"\n"
"                 help=\"Set the range of scalar values to generate\" />\n"
"    <LineWidget trace_name=\"Line\"\n"
"                point1_variable=\"LowPoint\"\n"
"                point2_variable=\"HighPoint\"\n"
"                point1_label=\"Low Point\"\n"
"                point2_label=\"High Point\"\n"
"                use_label=\"0\"\n"
"                show_resolution=\"0\"\n"
"                help=\"Set the minimum and maximum point for elevation\"/>\n"
"    <Documentation>\n"
"The Elevation filter generates point scalar values for an input data set along a specified direction vector. The Input menu allows the user to select the data set to which this filter will be applied. Use the Scalar range entry boxes to specify the minimum and maximum scalar value to be generated. The Low Point and High Point define a line onto which each point of the data set is projected. The minimum scalar value is associated with the Low Point, and the maximum scalar value is associated with the High Point. The scalar value for each point in the data set is determined by the location along the line to which that point projects.\n"
"The line can be specified interactively using the 3D line widget. See section 7.4 for more information about this widget.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface3 =
#if 1
"  <Module name=\"CTHPart\"\n"
"          menu_name=\"Extract CTH Parts\"\n"
"          root_name=\"CTHPart\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Create a surface from a CTH volume fraction.\"\n"
"          short_help=\"Extract a part from a CTH dataset.\">\n"
"    <Filter class=\"vtkExtractCTHPart\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement attribute=\"Cell\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\" label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectArrays filter_arrays=\"On\"\n"
"                  deactivate=\"On\"\n"
"                  field=\"Cell\"\n"
"                  input_menu=\"im\"\n"
"                  trace_name=\"ArraySelection\"\n"
"                  property=\"AddVolumeArrayName\"\n"
"                  help=\"Select the volume fraction arrays for generating parts.\"/>\n"
"    <SelectWidget property=\"ClipPlane\"\n"
"                  trace_name=\"Clipping\" label=\"Clip Plane\">\n"
"      <Item label=\"Off\" value=\"Off\">\n"
"        <DummyWidget trace_name=\"Dummy\"/>\n"
"      </Item>\n"
"      <Item label=\"On\" value=\"On\">\n"
"        <ImplicitPlaneWidget use_label=\"0\" trace_name=\"Plane\"\n"
"                             input_menu=\"im\"\n"
"                             help=\"Adjusts the parameters of the plane to clip with.\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <Documentation>\n"
"Extract CTH Parts is a specialized filter for visualizing the data from a CTH simulation. It first converts the selected cell-centered arrays to point-centered ones. It then contours each array at a value of 0.5. The user has the option of clipping the resulting surface(s) with a plane.\n"
"If the Show All option is on, all the cell-centered scalar (single-component) arrays will be displayed in the array selection box; otherwise only the ones with \"Fraction\" or \"fraction\" in the name will be shown. (This behavior is because by default the CTH volume fraction arrays should be listed.) Clicking on the name of a particular array selects it. To choose multiple contiguous array names, click the first one and press the Shift key while clicking the last name you wish to select. If the names are not contiguous, press the Ctrl key while selecting the names from the list. The selected arrays will be contoured.\n"
"If you wish to clip the contour surfaces with a plane, select On from the menu in the Clipping section on this Parameters tab. You can interactively position and orient the plane using the plane widget. (See section 7.4 for the details of using this widget or manually setting the plane's parameters.)\n"
"This filter only operates on unstructured data. It produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
#endif
"  <Module name=\"ExtractEdges\"\n"
"          menu_name=\"Extract Edges\"\n"
"          root_name=\"ExtractEdges\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Extract edges of 2-d and 3-d cells as lines.\"\n"
"          short_help=\"Covert data to wireframe.\">\n"
"    <Filter class=\"vtkExtractEdges\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Extract Edges filter produces a wireframe version of the input data set by extracting all the edges of the data set's cells as lines. The Input menu allows the user to select the data set to which this filter will be applied. This filter operates on any type of data set and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ExtractParts\"\n"
"          menu_name=\"Extract Parts\"\n"
"          root_name=\"ExtractParts\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Extract a subset of parts from a group.\"\n"
"          short_help=\"Extract a subset of parts from a group.\"\n"
"          button_image=\"PVUngroupButton\"\n"
"          button_help=\"Separate parts from a group.\"\n"
"          button_visibility=\"0\">\n"
"    <Filter class=\"vtkSelectInputs\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\">\n"
"        <GroupRequirement quantity=\"Multiple\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"  hide_gui=\"1\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"\n"
"    <ExtractPartsWidget trace_name=\"parts\"\n"
"                        property=\"InputMask\"\n"
"                        help=\"Choose the parts to extract.\"/>\n"
"    <Documentation>\n"
"The Extract Parts filter operates on any type of data, but its input reader/source/filter must have created multiple parts. The output type of this filter depends on the output type of the selected part(s). This filter is useful for operating on only a subset of the parts available from a reader, source, or filter.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"DataSetSurfaceFilter\"\n"
"          menu_name=\"Extract Surface\"\n"
"          root_name=\"Surface\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Extract a 2-d boundary surface using neighbor relations to eliminate internal faces.\"\n"
"          short_help=\"Extract 2-d boundary surface.\">\n"
"    <Filter class=\"vtkDataSetSurfaceFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Piece Invariant\"\n"
"                   trace_name=\"PieceInvariant\"\n"
"                   property=\"PieceInvariant\"\n"
"                   help=\"Turn this on to remove internal surface between processes. NOTE: Enabling this option might cause multiple executions of the data source because more information is needed to remove internal surfaces.\"/>\n"
"    <Documentation>\n"
"The Extract Surface filter extracts the polygons forming the outer surface of the input data set. The Input menu allows the user to select the data set to which this filter will be applied. This filter operates on any type of data and produces polygonal data as output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Calculator\"\n"
"          class=\"vtkPVSource\"\n"
"          overide_autoaccept=\"1\"\n"
"          root_name=\"Calc\"\n"
"          button_image=\"PVCalculatorButton\"\n"
"          button_help=\"Create new arrays using mathematical operations and existing arrays.\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Compute new attribute arrays as function of existing arrays.\"\n"
"          short_help=\"Compute new attribute arrays.\">\n"
"    <Filter class=\"vtkArrayCalculator\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement/>\n"
"        <FixedTypeRequirement/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <StringEntry property=\"ResultArrayName\"\n"
"                 trace_name=\"ResultArray\"\n"
"                 label=\"Result Array Name\"\n"
"                 help=\"Set the name of the array to hold the results of this computation\"/>\n"
"    <CalculatorWidget trace_name=\"Equation\"\n"
"                      function_property=\"Function\"\n"
"                      scalar_property=\"AddScalarVariable\"\n"
"                      vector_property=\"AddVectorVariable\"\n"
"                      attribute_mode_property=\"AttributeMode\"\n"
"                      remove_all_variables_property=\"RemoveAllVariables\"\n"
"                      help=\"Enter the equation for the new array.\"/>\n"
"    <LabeledToggle label=\"Replace invalid results\"\n"
"                   trace_name=\"ReplaceInvalidValues\"\n"
"                   property=\"ReplaceInvalidValues\"\n"
"                   help=\"Replace invalid results.\"/>\n"
"    <VectorEntry label=\"Replacement value\"\n"
"                 trace_name=\"ReplacementValue\"\n"
"                 property=\"ReplacementValue\"\n"
"                 type=\"float\" length=\"1\"\n"
"                 help=\"Set the value used instead of invalid values\" />\n"
"    <Documentation>\n"
"The Calculator filter computes new data arrays as functions of existing scalar or vector arrays. The Input menu allows the user to select the data set to which this filter will be applied. The Result Array Name entry box allows the user to specify the name of the array containing the results of the computation. The Attribute Mode menu selects whether to operate on and produce results that are point-centered or cell-centered. If point-centered arrays are used, the resulting array will also be point-centered. The same is true for cell-centered arrays. The Calculator interface operates similarly to a scientific calculator. In creating the function to evaluate, the standard order of operations applies.\n"
"Each of the calculator functions is described below. Unless otherwise noted, enclose the operand in parentheses using the ( and ) buttons.\n"
"Clear: Erase the current function (displayed in the read-only text box above the calculator buttons).\n"
"/: Divide one scalar by another. The operands for this function are not required to be enclosed in parentheses.\n"
"*: Multiply two scalars, or multiply a vector by a scalar (scalar multiple). The operands for this function are not required to be enclosed in parentheses.\n"
"-: Negate a scalar or vector (unary minus), or subtract one scalar or vector from another. The operands for this function are not required to be enclosed in parentheses.\n"
"+: Add two scalars or two vectors. The operands for this function are not required to be enclosed in parentheses.\n"
"sin: Compute the sine of a scalar.\n"
"cos: Compute the cosine of a scalar.\n"
"tan: Compute the tangent of a scalar.\n"
"asin: Compute the arcsine of a scalar.\n"
"acos: Compute the arccosine of a scalar.\n"
"atan: Compute the arctangent of a scalar.\n"
"sinh: Compute the hyperbolic sine of a scalar.\n"
"cosh: Compute the hyperbolic cosine of a scalar.\n"
"tanh: Compute the hyperbolic tangent of a scalar.\n"
"x^y: Raise one scalar to the power of another scalar. The operands for this function are not required to be enclosed in parentheses.\n"
"sqrt: Compute the square root of a scalar.\n"
"e^x: Raise e to the power of a scalar.\n"
"log: Compute the logarithm of a scalar.\n"
"ceil: Compute the ceiling of a scalar.\n"
"floor: Compute the floor of a scalar.\n"
"abs: Compute the absolute value of a scalar.\n"
"v1.v2: Compute the dot product of two vectors. The operands for this function are not required to be enclosed in parentheses.\n"
"mag: Compute the magnitude of a vector.\n"
"norm: Normalize a vector.\n"
"The operands are described below.\n"
"The digits 0 - 9 and the decimal point are used to enter constant scalar values.\n"
"iHat, jHat, and kHat are vector constants representing unit vectors in the X, Y, and Z directions, respectively.\n"
"The scalars menu lists the names of the scalar arrays and the components of the vector arrays of either the point-centered or cell-centered data. The vectors menu lists the names of the point-centered or cell-centered vector arrays. The function will be computed for each point (or cell) using the scalar or vector value of the array at that point (or cell).\n"
"The filter operates on any type of data set, but the input data set must have at least one scalar or vector array. The arrays can be either point-centered or cell-centered. The Calculator filter's output is of the same data set type as the input.\n"
"The Calculator filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"FeatureEdges\"\n"
"          menu_name=\"Feature Edges\"\n"
"          root_name=\"FeatureEdges\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          long_help=\"This filter will extract edges along sharp edges of surfaces or boundaries of surfaces.\"\n"
"          short_help=\"Extract edges that meet the feature critera.\">\n"
"    <Filter class=\"vtkFeatureEdges\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Boundary edges\"\n"
"                   trace_name=\"BoundaryEdges\"\n"
"                   property=\"BoundaryEdges\"\n"
"                   help=\"Turn this off if you do not want to extract boundary edges.\"/>\n"
"    <LabeledToggle label=\"Feature edges\"\n"
"                   trace_name=\"FeatureEdges\"\n"
"                   property=\"FeatureEdges\"\n"
"                   help=\"Turn this off if you do not want to extract feature edges.\"/>\n"
"    <LabeledToggle label=\"Non-manifold edges\"\n"
"                   trace_name=\"NonManifoldEdges\"\n"
"                   property=\"NonManifoldEdges\"\n"
"                   help=\"Turn this off if you do not want to extract non-manifold edges.\"/>\n"
"    <LabeledToggle label=\"Manifold edges\"\n"
"                   trace_name=\"ManifoldEdges\"\n"
"                   property=\"ManifoldEdges\"\n"
"                   help=\"Turn this on if you want to extract manifold edges.\"/>\n"
"    <LabeledToggle label=\"Coloring\"\n"
"                   trace_name=\"Coloring\"\n"
"                   property=\"Coloring\"\n"
"                   help=\"Turn this off if you do not want to color the edges by type.\"/>\n"
"    <Scale label=\"Feature angle\"\n"
"           trace_name=\"FeatureAngle\"\n"
"           property=\"FeatureAngle\"\n"
"           help=\"This angle is used to define a feature edge. (i.e., if the surface normal between two adjacent triangles is >= Feature angle, an edge exists)..\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Documentation>\n"
"The Feature Edges filter extracts various subsets of edges from the input data set. Which edges are extracted depends on which check boxes are marked. The four types of edges are as follows.\n"
"Boundary edges: line cells or edges used by only one polygon\n"
"Feature edges: edges used by two polygons whose dihedral angle > the value from the Feature angle slider\n"
"Non-manifold edges: edges used by three or more polygons\n"
"Manifold edges: edges used by exactly two polygons\n"
"If the Coloring option is checked, then the extracted edges are assigned a scalar value based on the type of the edge. The Input menu allows the user to select the data set to which this filter will be applied.\n"
"This filter operates on polygonal data and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Gradient\"\n"
"          menu_name=\"Gradient\" root_name=\"Grad\"\n"
"          module_type=\"Filter\">\n"
"    <Filter class=\"vtkImageGradient\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkImageData\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\" label=\"Input\"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface4 =
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList property=\"Dimensionality\"\n"
"                   trace_name=\"Dimensionality\"\n"
"                   label=\"Dimensionality\"\n"
"                   help=\"Select whether to perform a 2d or 3d gradient\">\n"
"      <Item name=\"2\"\n"
"            value=\"2\"/>\n"
"      <Item name=\"3\"\n"
"            value=\"3\"/>\n"
"    </SelectionList>\n"
"    <Documentation>\n"
"The Gradient filter computes the gradient vector at each point in an image or volume. The Input menu allows the user to select the data set to which this filter will be applied. The Scalars menu determines from which scalar array the gradient will be computed. The Dimensionality menu selects whether the gradient will be calculated in 2 or 3 dimensions. If only 2 dimensions are used, gradients are only computed in X and Y. This filter uses central differences to compute the gradients. The Gradient filter operates on uniform rectilinear (image) data and produces image data output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"GradientMagnitude\"\n"
"          menu_name=\"Gradient Magnitude\"\n"
"          root_name=\"GradM\"\n"
"          module_type=\"Filter\">\n"
"    <Filter class=\"vtkImageGradientMagnitude\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkImageData\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\" label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList property=\"Dimensionality\"\n"
"                   trace_name=\"Dimensionality\"\n"
"                   label=\"Dimensionality\"\n"
"                   help=\"Select whether to perform a 2d or 3d gradient magnitude\">\n"
"      <Item name=\"2\"\n"
"            value=\"2\"/>\n"
"      <Item name=\"3\"\n"
"            value=\"3\"/>\n"
"    </SelectionList>\n"
"    <Documentation>\n"
"The Gradient Magnitude filter computes the magnitude of the gradient vector at each point in an image or volume. The Input menu allows the user to select the data set to which this filter will be applied. The Scalars menu allows the user to select which scalar array will be used for gradient magnitude calculations. The Dimensionality menu determines whether the gradient magnitude will be computed in 2 or 3 dimensions. If 2 dimensions are used, the gradient magnitude will be computed from the gradients in X and Y. This filter operates on uniform rectilinear (image) data and produces image data output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"GroupParts\"\n"
"          menu_name=\"Group Parts\"\n"
"          root_name=\"GroupParts\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"1\"\n"
"          long_help=\"Group parts.\"\n"
"          short_help=\"Group multiple inputs into one collection.\"\n"
"          button_image=\"PVGroupButton\"\n"
"          button_help=\"Group multiple modules into one.\"\n"
"          button_visibility=\"0\">\n"
"    <Filter class=\"vtkGroup\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\"/>\n"
"    </Filter>\n"
"    <GroupInputsWidget trace_name=\"inputs\" property=\"Input\"\n"
"                       help=\"Choose inputs to group.\"/>\n"
"    <Documentation>\n"
"The Group Parts filter causes different data sets to be grouped into a collection and treated as a single data set for filtering purposes. All the data objects currently in ParaView will appear in the selection list. Only visible data objects are selected by default. To select a single data set, click on its name. To select several sources whose names are contiguous in the list, select the first name, press and hold the Shift key, and (while still holding the Shift key) click the last name. To select several data sets whose names are non-contiguous, press and hold the Ctrl key while clicking the names. This filter operates on any type of data. The output type depends on the data sets selected for grouping.\n"
"    </Documentation>\n"
"  </Module>\n"
"  \n"
"  <Module name=\"LinearExtrusionFilter\"\n"
"          menu_name=\"Linear Extrusion\"\n"
"          root_name=\"LinExtrude\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter creates a swept surface defined by translating the input along a vector.\"\n"
"          short_help=\"Generate a linear swept surface.\">\n"
"    <Filter class=\"vtkPVLinearExtrusionFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <!-- ScaleFactor value chosen does not change processing speed of this filter or cause it to crash. -->\n"
"    <VectorEntry label=\"Scale factor\"\n"
"                 trace_name=\"ScaleFactor\"\n"
"                 property=\"ScaleFactor\" type=\"float\"\n"
"                 help=\"Set the extrusion scale factor\"/>\n"
"    <!-- keeping vector entries with length > 1 -->\n"
"    <VectorEntry label=\"Vector\"\n"
"                 trace_name=\"Vector\"\n"
"                 property=\"Vector\"\n"
"                 type=\"float\" length=\"3\"\n"
"                 help=\"Set the direction for the extrusion\"/>\n"
"    <LabeledToggle label=\"Capping\"\n"
"                   trace_name=\"Capping\"\n"
"                   property=\"Capping\"\n"
"                   help=\"Select whether to draw endcaps\"/>\n"
"    <LabeledToggle label=\"Piece invariant\"\n"
"                   trace_name=\"PieceInvariant\"\n"
"                   property=\"PieceInvariant\"\n"
"                   help=\"Turn this off if you do want to process ghost levels and do not mind seams.\"/>\n"
"    <Documentation>\n"
"The Linear Extrusion filter creates a swept surface by translating the input data set along a specified vector. This filter is intended to operate on 2D polygonal data. The Input menu allows the user to select the data set to which this filter will be applied. The three Vector entry boxes specify the X, Y, and Z components of the vector along which to sweep the input. The value of the Scale factor entry determines the distance along the vector the data set will be translated. (A scale factor of 0.5 will move the data set half the length of the vector, and a scale factor of 2 will move it twice the vector's length.)\n"
"The Capping check box indicates whether to cap the ends of the swept surface. Capping works by placing a copy of the input data set on either end of the swept surface, so it behaves properly if the input is a 2D surface composed of filled polygons. If the input data set is a closed solid (e.g., a sphere), then if capping is on, two copies of the data set will be displayed on output (the second translated from the first one along the specified vector). If instead capping is off, then an input closed solid will produce no output.\n"
"The Piece invariant check box determines whether the output will be the same regardless of the number of processors used to compute the result. The difference is whether there are internal polygonal faces on the processor boundaries. This filter operates on polygonal data and produces polygonal data output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"LoopSubdivisionFilter\"\n"
"          menu_name=\"Loop Subdivision\"\n"
"          root_name=\"LoopSubDiv\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter iteratively divides each triangle into four triangles.  New points are placed so the output surface is smooth.\"\n"
"          short_help=\"Create a higher resolution and smoother surface.\">\n"
"    <Filter class=\"vtkLoopSubdivisionFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Number of divisions\"\n"
"           trace_name=\"NumberOfSubdivisions\"\n"
"           property=\"NumberOfSubdivisions\"\n"
"           help=\"Each subdivision changes single triangles into four triangles.\"\n"
"           resolution=\"1\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Documentation>\n"
"The Loop Subdivision filter increases the granularity of a polygonal mesh. It works by dividing each triangle in the input into four new triangles. It is named for Charles Loop, the person who devised this subdivision scheme. This filter only operates on triangles, so a data set that contains other types of polygons should be passed through the Triangulate filter before applying this filter to it. The Input menu allows the user to select the data set to which this filter will be applied. The Number of divisions slider specifies the number of subdivision iterations to be performed. (For example, if the number of divisions is 2, the triangles in the initial mesh will each be divided into four new triangles. Then those new triangles will be further subdivided.) This filter only operates on polygonal data (specifically triangle meshes), and it produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"MaskPoints\"\n"
"          menu_name=\"Mask Points\"\n"
"          root_name=\"MaskPts\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Reduce the number of points.  This filter is often used before glyphing.  Generating vertices is an option.\"\n"
"          short_help=\"Reduce the number of points.\">\n"
"   <Filter class=\"vtkMaskPoints\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ThumbWheel label=\"On ratio\"\n"
"                trace_name=\"OnRatio\"\n"
"                property=\"OnRatio\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"1\"\n"
"                help=\"The ratio of points retained.\"/>\n"
"    <ThumbWheel label=\"Max. points\"\n"
"                trace_name=\"MaximumNumberOfPoints\"\n"
"                property=\"MaximumNumberOfPoints\"\n"
"                help=\"Limit the number of points.\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"0\"/>\n"
"    <ThumbWheel label=\"Offset\"\n"
"                trace_name=\"Offset\"\n"
"                proeprty=\"Offset\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"0\"\n"
"                help=\"Start with this point.\"/>\n"
"    <LabeledToggle label=\"Random\" trace_name=\"Random\"\n"
"                   property=\"RandomMode\"\n"
"                   help=\"Select whether to randomly select points, or subsample regularly.\"/>\n"
"    <LabeledToggle label=\"Generate vertices\"\n"
"                   trace_name=\"GenerateVertices\"\n"
"                   property=\"GenerateVertices\"\n"
"                   help=\"Convienience feature to display points.\"/>\n"
"    <Documentation>\n"
"The Mask Points filter reduces the number of points in the data set. It operates on any type of data set, but produces only points / vertices. This filter is often used before the Glyph filter, but now the basic point-masking functionality is available on the Parameters page for the Glyph filter.\n"
"The Input menu allows the user to select the data set to which this filter will be applied. The value in the On ratio thumb wheel specifies the ratio of points to retain in the output. (For example, if the on ratio is 3, then the output will contain 1/3 as many points -- up to the Max. points value -- as the input.) The Max. points thumb wheel determines the maximum number of points that will appear in the output. The Offset thumb wheel specifies the point in the data set from which to start masking. If the Random check box is marked, then the output points will be selected randomly from the input; otherwise every nth point (specified by the on ratio) will be selected. Selecting points at random is helpful to avoid striping when masking the points of a structured data set. If the Generate vertices option is checked, then a vertex cell will be created for each point in the output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Median\"\n"
"          root_name=\"Median\" module_type=\"Filter\">\n"
"    <Filter class=\"vtkImageMedian3D\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkImageData\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\" label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <!-- keeping vector entries with length > 1 -->\n"
"    <VectorEntry label=\"Kernel Size\"\n"
"                 trace_name=\"KernelSize\"\n"
"                 property=\"KernelSize\" type=\"int\"\n"
"                 length=\"3\"\n"
"                 help=\"Determines the smoothing neighborhood.\"/>\n"
"    <Documentation>\n"
"The Median filter operates on uniform rectilinear (image or volume) data and produces uniform rectilinear output. It replaces the scalar value at each pixel / voxel with the median scalar value in the specified surrounding neighborhood (Kernel Size). From the Input menu, the user can select the data set on which to perform this calculation. The Scalar menu determines which scalar array will be used to determine the median. The Kernel Size entry boxes specify the number of pixels / voxels in each dimension to use in computing the median to assign to each pixel / voxel. If the kernel size in a particular dimension is 1, then the median will not be computed in that direction. Since the median operation removes outliers, this filter is useful for removing high-intensity, low-probability noise (shot noise).\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"MeshQuality\"\n"
"          class=\"vtkPVSource\"\n"
"          root_name=\"Quality\"\n"
"          menu_name=\"Mesh Quality\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Compute the quality of triangular, quadrilateral, and tetrahedral cells in a mesh.\"\n"
"          short_help=\"Compute the quality of the cells in a mesh.\">\n"
"    <Filter class=\"vtkMeshQuality\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList property=\"TriangleQualityMeasure\"\n"
"                   trace_name=\"TriangleQualityMeasure\"\n"
"                   label=\"Triangle Quality Measure\"\n"
"                   help=\"Select the quality measure used to evaluate triangle quality. The radius ratio is the size of a circle circumscribed by a triangle's 3 vertices divided by the size of a circle tangent to a triangle's 3 edges. The edge ratio is the ratio of the longest edge length to the shortest edge length.\">\n"
"      <Item name=\"Edge Ratio\" value=\"0\"/>\n"
"      <Item name=\"Aspect Ratio\" value=\"1\"/>\n"
"      <Item name=\"Radius Ratio\" value=\"2\"/>\n"
"      <Item name=\"Frobenius Norm\" value=\"3\"/>\n"
"      <Item name=\"Minimal Angle\" value=\"6\"/>\n"
"    </SelectionList>\n"
"    <SelectionList property=\"QuadQualityMeasure\"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface5 =
"                   trace_name=\"QuadQualityMeasure\"\n"
"                   label=\"Quadrilateral Quality Measure\"\n"
"                   help=\"Select the quality measure used to evaluate quadrilateral quality\">\n"
"      <Item name=\"Edge Ratio\" value=\"0\"/>\n"
"      <Item name=\"Aspect Ratio\" value=\"1\"/>\n"
"      <Item name=\"Radius Ratio\" value=\"2\"/>\n"
"      <Item name=\"Average Frobenius Norm\" value=\"4\"/>\n"
"      <Item name=\"Maximal Frobenius Norm\" value=\"5\"/>\n"
"      <Item name=\"Minimal Angle\" value=\"6\"/>\n"
"    </SelectionList>\n"
"    <SelectionList property=\"TetQualityMeasure\"\n"
"                   trace_name=\"TetQualityMeasure\"\n"
"                   label=\"Tet Quality Measure\"\n"
"                   help=\"Select the quality measure used to evaluate tetrahedral quality. The radius ratio is the size of a sphere circumscribed by a tetrahedron's 4 vertices divided by the size of a circle tangent to a tetrahedron's 4 faces. The edge ratio is the ratio of the longest edge length to the shortest edge length.\">\n"
"      <Item name=\"Edge Ratio\" value=\"0\"/>\n"
"      <Item name=\"Aspect Ratio\" value=\"1\"/>\n"
"      <Item name=\"Radius Ratio\" value=\"2\"/>\n"
"      <Item name=\"Frobenius Norm\" value=\"3\"/>\n"
"      <Item name=\"Minimal Dihedral Angle\" value=\"6\"/>\n"
"    </SelectionList>\n"
"    <Documentation>\n"
"The mesh quality filter computes the quality of individual triangles, quadrilaterals, tetrahedra and hexahedra in a data set. Several quality measures exist for the different cell types. You may choose one for each type of cell. The filter then adds a new scalar array named \"Quality\" to the per-cell values of the data set containing these measures. Typically, a value of 1 is the optimal quality and the higher the value, the lower the cell quality.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"PolyDataNormals\"\n"
"          menu_name=\"Normals generation\"\n"
"          root_name=\"PDNormals\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter will produce surface normals used for smooth shading.  Spltting is used to avoid smoothing across feature edges.\"\n"
"          short_help=\"Produce surface point normals.\">\n"
"    <Filter class=\"vtkPPolyDataNormals\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Feature angle\"\n"
"           trace_name=\"FeatureAngle\"\n"
"           property=\"FeatureAngle\"\n"
"           help=\"Points are duplicated along features over this angle (0->180)\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\" display_value=\"0\"/>\n"
"    <LabeledToggle label=\"Splitting\"\n"
"                   trace_name=\"Splitting\"\n"
"                   property=\"Splitting\"\n"
"                   help=\"Turn on/off the splitting of sharp edges.\"/>\n"
"    <LabeledToggle label=\"Consistency\"\n"
"                   trace_name=\"Consistency\"\n"
"                   property=\"Consistency\"\n"
"                   help=\"Turn on/off the enforcement of consistent polygon ordering.\"/>\n"
"    <LabeledToggle label=\"Flip normals\"\n"
"                   trace_name=\"FlipNormals\"\n"
"                   property=\"FlipNormals\"\n"
"                   help=\"Flipping reverves the meaning of front and back.\"/>\n"
"    <LabeledToggle label=\"Non-manifold\"\n"
"                   trace_name=\"NonManifoldTraversal\"\n"
"                   property=\"NonManifoldTraversal\"\n"
"                   help=\"Turn on/off traversal across non-manifold edges. This will prevent problems where the consistency of polygonal ordering is corrupted due to topological loops.\"/>\n"
"    <LabeledToggle label=\"Cell normals\"\n"
"                   trace_name=\"ComputeCellNormals\"\n"
"                   property=\"ComputeCellNormals\"\n"
"                   help=\"Turn on/off the computation of cell normals.\"/>\n"
"    <LabeledToggle label=\"Piece invariant\"\n"
"                   trace_name=\"PieceInvariant\"\n"
"                   property=\"PieceInvariant\"\n"
"                   help=\"Turn this off if you do not want to process ghost levels and do not mind seams.\"/>\n"
"    <Documentation>\n"
"The Normals generation filter generates surface normals at the points of the input polygonal data set to provide smooth shading of the data set. The resulting data set is also polygonal. The filter works by calculating a normal vector for each polygon in the data set and then averaging the normals at the shared points.\n"
"In creating surface normals, if the angle between two polygons at a shared edge is larger than the value of the Feature angle slider, then that edge is considered a feature edge. If Splitting is turned on, then the mesh will be split along feature edges, allowing points to be duplicated. Because the duplicated points are no longer shared between the polygons meeting at the feature edge, a normal at these points will be created per polygon rather than averaging the polygon normals to produce one normal at each point. This allows the feature edges to remain \"sharp\" after shading.\n"
"Generally the normals for a data set should either all point inward or all point outward. If the Consistency check is on, then this filter will reorder the points of cells that whose normal vectors are oriented the opposite direction from the rest of those in the data set. If the Flip normals option is checked, this filter will reverse the normal direction (and reorder the points) for all polygons in the data set. You might want to do this if your viewing position will be inside the data set instead of outside of it. Sometimes you may have more than two polygons sharing an edge (i.e., a non-manifold edge). When this is the case and the Consistency option is checked, then if the Non-manifold check is on, this filter will try to maintain consistent normals across non-manifold edge, but doing this can corrupt the ordering of polygons at these edges.\n"
"This filter computes the normals at the points in the data set. In the process of doing this it computes polygon normals too. If you want these normals to be passed to the output of this filter, turn on the Cell normals option.\n"
"If this filter is run in parallel, the resulting data set will have seams along the processor boundaries unless the Piece invariant check box is marked.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"OutlineFilter\"\n"
"          menu_name=\"Outline\"\n"
"          root_name=\"Outline\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          long_help=\"This filter generates a bounding box representation of the input.\"\n"
"          short_help=\"Generates a bounding box.\">\n"
"    <Filter class=\"vtkPOutlineFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Outline filter generates an axis-aligned bounding box for the input data set. The Input menu specifies the data set for which to create a bounding box. This filter operates on any type of data set and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"OutlineCornerFilter\"\n"
"          menu_name=\"Outline Corners\"\n"
"          root_name=\"COutline\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          long_help=\"This filter generates a bounding box representation of the input.  It only displays the corners of the bounding box.\"\n"
"          short_help=\"Generates corners of a bounding box.\">\n"
"    <Filter class=\"vtkPOutlineCornerFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Corner factor\"\n"
"           trace_name=\"CornerFactor\"\n"
"           property=\"CornerFactor\"\n"
"           help=\"The relative size of the corners to the length of the corresponding bounds. (0.001 -> 0.5)\"\n"
"           resolution=\"0.001\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Documentation>\n"
"The Outline Corners filter generates the corners of a bounding box for the input data set (specified by the Input menu). The Corner factor slider specifies the relative length of the corners along the corresponding edges. This filter produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"PartScalars\"\n"
"          menu_name=\"Part Id Scalars\"\n"
"          root_name=\"ColorParts\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter uses colors to show how data is partitioned across parts.\"\n"
"          short_help=\"Generate point scalars from part id.\">\n"
"    <Filter class=\"vtkColorByPart\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"\n"
"             quantity=\"Multiple\">\n"
"        <GroupRequirement quantity=\"Multiple\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"  hide_gui=\"1\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Part Id Scalars filter assigns a unique scalar value to each part in the input. The input parts must have been collected together either as a result of a reader that loads multiple parts (e.g., EnSight reader) or because the Group Parts filter has been run to form a collection of data sets.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ProcessIdScalars\"\n"
"          menu_name=\"Process Id Scalars\"\n"
"          root_name=\"PIScalars\"\n"
"          module_type=\"Filter\"\n"
"          multiprocess_support=\"multiple_processes\"\n"
"          long_help=\"This filter uses colors to show how data is partitioned across processes.\"\n"
"          short_help=\"Generate point scalars from process id.\">\n"
"    <Filter class=\"vtkProcessIdScalars\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Random\"\n"
"                   trace_name=\"RandomMode\"\n"
"                   property=\"RandomMode\"\n"
"                   help=\"Select whether to use random colors for the various pieces\"/>\n"
"    <Documentation>\n"
"The Process Id Scalars filter assigns a unique scalar value to each piece of the input according to which processor it resides on. If the Random option is selected, the unique value per piece will be chosen at random; otherwise it will match the process id. This filter operates on any type of data when ParaView is run in parallel. It is useful for determining whether your data is load-balanced across the processors being used. The output data set type is the same as that of the input.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"PointDataToCellData\"\n"
"          root_name=\"PointToCell\"\n"
"          menu_name=\"Point Data to Cell Data\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Create cell attributes by averaging point attributes.\"\n"
"          short_help=\"Convert point data to cell data.\">\n"
"    <Filter class=\"vtkPointDataToCellData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement attribute=\"Point\"/>\n"
"      <FixedTypeRequirement/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <LabeledToggle label=\"Pass point data\"\n"
"                   trace_name=\"PassPointData\"\n"
"                   property=\"PassPointData\"\n"
"                   help=\"If on, then the input point data is passed through to the output; otherwise, only generated cell data is placed into the output.\"/>\n"
"    <Documentation>\n"
"The Point Data to Cell Data filter averages the values of the point attributes of the points of a cell to compute cell attributes. The Input menu allows the user to select the data set to which this filter will be applied. If the Pass point data option is checked, then the input point attributes will also be copied to the point attributes of the output; otherwise the output will only have cell attributes. The Point Data to Cell Data filter operates on any type of data set, and the output data set is of the same type as the input.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"QuadricClustering\"\n"
"          menu_name=\"Quadric Clustering\"\n"
"          root_name=\"QC\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter is the same filter used to generate level of detail for ParaView.  It uses a structured grid of bins and merges all points contained in each bin.\"\n"
"          short_help=\"Simplify polygonal models.\">\n"
"    <Filter class=\"vtkQuadricClustering\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <!-- keeping vector entries with length > 1 -->\n"
"    <VectorEntry label=\"Divisions\"\n"
"                 trace_name=\"NumberOfDivisions\"\n"
"                 property=\"NumberOfDivisions\"\n"
"                 type=\"int\"\n"
"                 length=\"3\"\n"
"                 help=\"Set the number of bins in each dimension\"/>\n"
"    <LabeledToggle label=\"Use input points\"\n"
"                   trace_name=\"UseInputPoints\"\n"
"                   property=\"UseInputPoints\"\n"
"                   help=\"Select whether to use points from the input in the output or to calculate optimum representative points for each bin\"/>\n"
"    <LabeledToggle label=\"Use feature edges\"\n"
"                   trace_name=\"UseFeatureEdges\"\n"
"                   property=\"UseFeatureEdges\"\n"
"                   help=\"Select whether to use feature edge quadrics to match up the boundaries between pieces\"/>\n"
"    <LabeledToggle label=\"Use feature points\"\n"
"                   trace_name=\"UseFeaturePoints\"\n"
"                   property=\"UseFeaturePoints\"\n"
"                   help=\"Select whether to use feature point quadrics to align piece boundaries\"/>\n"
"    <LabeledToggle label=\"Copy cell data\"\n"
"                   trace_name=\"CopyCellData\"\n"
"                   property=\"CopyCellData\"\n"
"                   help=\"Should cell data be copied from output to input?\"/>\n"
"    <Documentation>\n"
"The Quadric Clustering filter produces a reduced-resolution polygonal approximation of the input polygonal data set. This filter is the one used by ParaView for computing LODs. It uses spatial binning to reduce the number of points in the data set; points that lie within the same spatial bin are collapsed into one representative point. The Divisions entries specify the number of bins along the X, Y, and Z axes of the data set. If Use input points is on, the representative point for each bin is selected from one of the input points that lies in that bin; the input point that produces the least error is chosen. Without this option selected, the location of the representative point is calculated to produce the least error possible for that bin, but the point will most likely not be one of the input points.\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface6 =
"To better align pieces of the data set assigned to different processors, select Use feature edges and Use feature points. Use feature edges adjusts the representative points that contain boundary edges (along processor divisions), and Use feature points further influences the position of the feature points along the boundaries.\n"
"The Copy cell data toggle controls whether cell-centered data from the input should be copied to the output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"BrownianPoints\"\n"
"          menu_name=\"Random Vectors\"\n"
"          root_name=\"BPts\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter creates a new 3 component point data array and sets it as the default vectors.  It uses a random number generator to create values.\"\n"
"          short_help=\"Create a new random vector array.\">\n"
"    <Filter class=\"vtkBrownianPoints\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ThumbWheel label=\"Min. speed\"\n"
"                trace_name=\"MinimumSpeed\"\n"
"                property=\"MinimumSpeed\"\n"
"                resolution=\"0.01\"\n"
"                minimum_value=\"0\"\n"
"                help=\"The minimum size of the random point vectors generated.\"/>\n"
"    <ThumbWheel label=\"Max. speed\"\n"
"                trace_name=\"MaximumSpeed\"\n"
"                property=\"MaximumSpeed\"\n"
"                resolution=\"0.01\"\n"
"                minimum_value=\"0\"\n"
"                help=\"The maximum size of the random point vectors generated.\"/>\n"
"    <Documentation>\n"
"The Random Vectors filter generates a point-centered array of random vectors. It uses a random number generator to determine the components of the vectors. The Min. speed and Max. speed values determine the range of the vector magnitudes. This filter operates on any type of data set, and the output data set will be of the same type as the input.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ReflectionFilter\"\n"
"          menu_name=\"Reflection\"\n"
"          root_name=\"Reflect\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter takes the union of the input and its reflection over an axis-aligned plane.\"\n"
"          short_help=\"Reflect input over an axis aligned plane.\">\n"
"    <Filter class=\"vtkReflectionFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList property=\"Plane\"\n"
"                   trace_name=\"Plane\"\n"
"                   label=\"Plane\"\n"
"                   help=\"Select which plane of the bounding box to reflect across\">\n"
"      <Item name=\"X\"\n"
"            value=\"6\"/>\n"
"      <Item name=\"Y\"\n"
"            value=\"7\"/>\n"
"      <Item name=\"Z\"\n"
"            value=\"8\"/>\n"
"      <Item name=\"X Min\"\n"
"            value=\"0\"/>\n"
"      <Item name=\"Y Min\"\n"
"            value=\"1\"/>\n"
"      <Item name=\"Z Min\"\n"
"            value=\"2\"/>\n"
"      <Item name=\"X Max\"\n"
"            value=\"3\"/>\n"
"      <Item name=\"Y Max\"\n"
"            value=\"4\"/>\n"
"      <Item name=\"Z Max\"\n"
"            value=\"5\"/>\n"
"    </SelectionList>\n"
"    <!-- reasonable value dependent on bounds of the data -->\n"
"    <VectorEntry label=\"Center\"\n"
"                 trace_name=\"Center\"\n"
"                 property=\"Center\"\n"
"                 type=\"float\"\n"
"                 help=\"The center of the mirror plane.\"/>\n"
"    <LabeledToggle property=\"CopyInput\" trace_name=\"CopyInput\"\n"
"                   label=\"Copy Input\"\n"
"                   help=\"Include both the input and its reflection in the output.\"/>\n"
"    <Documentation>\n"
"The Reflection filter reflects the input data set across the specified plane. If the Copy Input check box is marked, the output is the union of the input data set and its reflection. Otherwise the output will contain only the reflection of the input data. If the value chosen from the Plane menu is X, Y, or Z, the value of the Center entry determines where the plane is placed along the specified axis. The other six entries, X Min, X Max, etc., place the reflection plane at the specified face of the bounding box of the input data set. This filter operates on any type of data set and produces an unstructured grid output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"RibbonFilter\"\n"
"          menu_name=\"Ribbon\"\n"
"          root_name=\"Ribbon\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter generates ribbon surface from lines.  It is useful for displaying streamlines.\"\n"
"          short_help=\"Create ribbon surfaces from lines.\">\n"
"    <Filter class=\"vtkRibbonFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"3\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputVectors\"\n"
"               trace_name=\"Vectors\"\n"
"               label=\"Vectors\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input normals to process.\"/>\n"
"    <ArrayMenu property=\"SelectInputScalars\"\n"
"               trace_name=\"Scalars\"\n"
"               label=\"Scalars\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input scalars to process.\"/>\n"
"    <ScaleFactorEntry label=\"Width\"\n"
"                      property=\"Width\"\n"
"                      input_menu=\"im\"\n"
"                      trace_name=\"Width\"\n"
"                      help=\"The half width of the ribbon (or minimum).\"/>\n"
"    <Scale label=\"Angle\"\n"
"           trace_name=\"Angle\"\n"
"           property=\"Angle\"\n"
"           help=\"The offset angle of the ribbon from the line normal (0->360).\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <LabeledToggle label=\"Use default normal\"\n"
"                   trace_name=\"UseDefaultNormal\"\n"
"                   property=\"UseDefaultNormal\"\n"
"                   help=\"When this option is off, default normals will be generated if the input contains no normals. If on, the Default normal will be used.\"/>\n"
"    <!-- keeping vector entries with length > 1 -->\n"
"    <VectorEntry label=\"Default normal\"\n"
"                 trace_name=\"DefaultNormal\"\n"
"                 property=\"DefaultNormal\"\n"
"                 type=\"float\"\n"
"                 length=\"3\"\n"
"                 help=\"Specify the normal to use if Use default normal is on.\"/>\n"
"    <LabeledToggle label=\"Vary width\"\n"
"                   trace_name=\"VaryWidth\"\n"
"                   property=\"VaryWidth\"\n"
"                   help=\"Turn on/off the variation of ribbon width with scalar value.\"/>\n"
"    <Documentation>\n"
"The Ribbon filter creates ribbons from the lines in the input data set. This filter is useful for visualizing streamlines. Both the input and output of this filter are polygonal data. The input data set must also have at least one point-centered vector array.\n"
"The vectors and scalars for use in this filter can be selected from the Vectors and Scalars menus respectively. If the Vary width option is on, the width of the ribbons will be scaled according to the selected scalars. If Use default normal is off, the selected vector array will be used as the normals of the ribbons. If Use default normal is on, the normal for the ribbons is specified by the values in the Default normal entry boxes.\n"
"The Width entry box specifies half the width of the ribbons. If Vary width is on, then the Width value specified is half the minimum width of the ribbons. The Angle value determines the orientation of the ribbons; it specifies the offset angle (in degrees) of the ribbon from the normal line.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"RotationalExtrusionFilter\"\n"
"          menu_name=\"Rotational Extrusion\"\n"
"          root_name=\"RotExtrude\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter generates a swept surface while translates the input along a circular path.\"\n"
"          short_help=\"Generates a swept surface using a rotational path.\">\n"
"    <Filter class=\"vtkRotationalExtrusionFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ThumbWheel label=\"Resolution\"\n"
"                trace_name=\"Resolution\"\n"
"                property=\"Resolution\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"1\"/>\n"
"    <LabeledToggle label=\"Capping\"\n"
"                   trace_name=\"Capping\"\n"
"                   property=\"Capping\"/>\n"
"    <VectorEntry label=\"Angle\"\n"
"                 trace_name=\"Angle\"\n"
"                 property=\"Angle\"\n"
"                 help=\"Set the angle of rotation.\"\n"
"                 type=\"float\"/>\n"
"    <!-- Translation value chosen does not change processing speed of this filter or cause it to crash. -->\n"
"    <VectorEntry label=\"Translation\"\n"
"                 trace_name=\"Translation\"\n"
"                 property=\"Translation\"\n"
"                 type=\"float\"\n"
"                 help=\"The total amount of translation along the z-axis.\"/>\n"
"    <!-- DeltaRadius value chosen does not change processing speed of this filter or cause it to crash. -->\n"
"    <VectorEntry label=\"Delta radius\"\n"
"                 trace_name=\"DeltaRadius\"\n"
"                 property=\"DeltaRadius\"\n"
"                 type=\"float\"\n"
"                 help=\"The change in radius during sweep process.\"/>\n"
"    <Documentation>\n"
"The Rotational Extrusion filter forms a surface by rotating the input about the Z axis. This filter is intended to operate on 2D polygonal data. The Input menu allows the user to select the data set to which this filter will be applied. The value of the Resolution thumb wheel specifies the number of steps taken in rotating from 0 to the value specified in the Angle entry box. The Translation entry box determines the distance along the Z axis to be covered as the data set is rotated. Specifying a non-zero Translation value allows you to create a corkscrew or spring effect. The Delta radius entry box controls how much the radius of the rotation increases as the new data set is swept out.\n"
"The Capping check box controls whether to close the open ends of the swept surface. Capping works by placing a copy of the input data set on either end of the swept surface, so it behaves properly if the input is a 2D surface composed of filled polygons. If the input data set is a closed solid (e.g., a sphere), then either two copies of the data set will be drawn or no surface will be drawn. No surface is drawn if either capping is on or if the two surfaces would occupy exactly the same 3D space (e.g., Angle is a multiple of 360, and Translation and Delta radius are 0).\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ShrinkFilter\"\n"
"          menu_name=\"Shrink\"\n"
"          root_name=\"Shrink\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter shrinks each input cell so they pull away from their neighbors.\"\n"
"          short_help=\"Shrink each input cell.\">\n"
"    <Filter class=\"vtkShrinkFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Shrink factor\"\n"
"           trace_name=\"ShrinkFactor\"\n"
"           property=\"ShrinkFactor\"\n"
"           help=\"Set the amount to shrink by\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Documentation>\n"
"The Shrink filter causes the individual cells of a data set to break apart from each other by moving each cell's points toward the centroid of the cell. (The centroid of a cell is the average position of its points.) The Shrink factor scale determines how far the points will move. A value of 0 positions the points at the centroid of the cell; a value of 1 leaves them at their original positions. This filter operates on any type of data set and produces unstructured grid output.\n"
"    </Documentation>\n"
"  </Module>\n"
"    <!--\n"
"  <Module name=\"ShrinkPolyData\"\n"
"          menu_name=\"Shrink (polygons)\"\n"
"          root_name=\"ShrinkPD\" module_type=\"Filter\"\n"
"          long_help=\"This filter shrinks each input cell so they pull away from their neighbors.  The output is always of type unstructured grid.\"\n"
"          short_help=\"Shrink each input cell.\">\n"
"    <Filter class=\"vtkShrinkPolyData\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\" />\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <VectorEntry label=\"Shrink factor\"\n"
"                 trace_name=\"ShrinkFactor\"\n"
"                 property=\"ShrinkFactor\"\n"
"                 type=\"float\"\n"
"                 help=\"Set the amount to shrink by\"/>\n"
"  </Module>\n"
"    -->\n"
"  <Module name=\"SmoothPolyDataFilter\"\n"
"          menu_name=\"Smooth\"\n"
"          root_name=\"Smooth\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter smooths a polygonal surface by iteratively moving points toward their neighbors.\"\n"
"          short_help=\"Smooth a polygonal surface without adding more points.\">\n"
"    <Filter class=\"vtkSmoothPolyDataFilter\">\n"
"      <Input name=\"Input\"\n"
"           class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ThumbWheel label=\"Num. iterations\"\n"
"                trace_name=\"NumberOfIterations\"\n"
"                property=\"NumberOfIterations\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"0\"\n"
"                help=\"Number of iterations. More iterations produce better smoothing.\"/>\n"
"    <Scale label=\"Convergence\"\n"
"           trace_name=\"Convergence\"\n"
"           property=\"Convergence\"\n"
"           help=\"Convergence criterion for the iteration process. Smaller numbers result in more smoothing iterations (0->1).\"\n"
"           resolution=\"0.01\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Documentation>\n"
"The Smooth filter operates on a polygonal data set by iteratively adjusting the position of the points using Laplacian smoothing. (Because this filter only adjusts point positions, the output data set is also polygonal.) This results in better-shaped cells and more evenly distributed points. The Num. iterations thumb wheel specifies the maximum number of smoothing iterations to perform. The Convergence slider limits the maximum motion of any point. It is expressed as a fraction of the length of the diagonal of the bounding box of the data set. If the maximum point motion during a smoothing iteration is less than the Convergence value, the smoothing operation terminates.\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface7 =
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Stripper\"\n"
"          menu_name=\"Triangle Strips\"\n"
"          root_name=\"Strip\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter uses a greedy algorithm to convert triangles into triangle strips\"\n"
"          short_help=\"Convert triangles into triangle strips.\">\n"
"    <Filter class=\"vtkStripper\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Max. length\"\n"
"           trace_name=\"MaximumLength\"\n"
"           property=\"MaximumLength\"\n"
"           help=\"Stop stripping after this many triangles.\"\n"
"           resolution=\"1\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Documentation>\n"
"The Triangle Strips filter converts triangles into triangle strips and lines into polylines. The Max. length slider determines the maximum number of triangles or lines to merge into a strip. This filter operates on polygonal data sets and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Subdivide\"\n"
"          root_name=\"Subdivide\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter iteratively divide triangles into four smaller triangles.  New points are placed linearly so the output surface matches the input surface.\"\n"
"          short_help=\"Creates a surface with more triangles than the input.\">\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Num. divisions\"\n"
"           trace_name=\"NumberOfSubdivisions\"\n"
"           property=\"NumberOfSubdivisions\"\n"
"           help=\"Set the number of subdivisions\"\n"
"           resolution=\"1\"\n"
"           display_entry=\"1\"\n"
"           entry_and_label_on_top=\"0\"\n"
"           display_value=\"0\"/>\n"
"    <Filter class=\"vtkLinearSubdivisionFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <Documentation>\n"
"The Subdivide filter iteratively divides each triangle in the data set into 4 new triangles. Three new points are added per triangle -- one at the midpoint of each edge. The image below shows a triangle with the new points inserted and the appropriate edges added to form the four new triangles. The Num. divisions slider determines the number of subdivision passes the filter will take through the data. This filter operates only on polygonal data containing triangles, so run your polygonal data through the Triangulate filter first if it is not composed of triangles. The output of this filter is also polygonal.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"TempTessellatorFilter\" menu_name=\"Tessellate\" root_name=\"TempTessellatorFilter\" module_type=\"Filter\"\n"
"          long_help=\"Tessellate nonlinear curves, surfaces, and volumes with lines, triangles, and tetrahedra.\"\n"
"          short_help=\"Polygonize a mesh.\">\n"
"    <Filter class=\"vtkTempTessellatorFilter\">\n"
"      <Input name=\"Input\" class=\"vtkPolyData\"/>\n"
"      <Input name=\"Input\" class=\"vtkDataSet\"/>\n"
"      <Input name=\"Input\" class=\"vtkUnstructuredGrid\"/>\n"
"    </Filter>\n"
"    <InputMenu label=\"Input\" trace_name=\"Input\" id=\"tess_source_select\"\n"
"               property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Scale label=\"Output Dimension\" trace_name=\"OutputDimension\"\n"
"           property=\"OutputDimension\"\n"
"           help=\"Maximum dimensionality of output tessellation. Cells of higher dimension will be reduced to their boundaries.\"\n"
"           display_entry=\"0\" entry_and_label_on_top=\"1\" display_value=\"1\"\n"
"           />\n"
"    <VectorEntry label=\"Max Chord Error\"\n"
"                 trace_name=\"ChordError\"\n"
"                 property=\"ChordError\" type=\"float\"\n"
"                 help=\"The maximum chord error allowed at any edge midpoint in the output tessellation.\"\n"
"                 />\n"
"    <TempTessellatorEntry label=\"Max Field Error\" trace_name=\"FieldError2\"\n"
"                      property=\"FieldError2\"\n"
"                      help=\"The maximum field error allowed at any edge midpoint in the output tessellation.\"\n"
"                      input_menu_id=\"tess_source_select\"\n"
"                      />\n"
"    <VectorEntry label=\"Max Num Of Subdivisions\"\n"
"                 trace_name=\"MaximumNumberOfSubdivisions\"\n"
"                 property=\"MaximumNumberOfSubdivisions\" type=\"int\"\n"
"                 range=\"0 8\"/>\n"
"    <Documentation>\n"
"The Tessellate filter tessellates cells with nonlinear geometry and/or scalar fields into a simplicial complex with linearly interpolated field values that more closely approximate the original field. This is useful for the quadratic cells supported by VTK. There are several settings that affect the tessellation.\n"
"The Output Dimension specifies whether nonlinear cells should have their volumes, surfaces, or edges tessellated. When the Output Dimension is 3, 3-D cells produce tetrahedra, 2-D cells produce triangles, and 1-D cells produce line segments. When the Output Dimension is 2, 3-D cells will have their boundaries tessellated with triangles. When the Output Dimension is 1, then all cells except points produce line segments.\n"
"The Max Chord Error setting is the maximum allowed distance between the midpoint of any output edge and the original nonlinear geometry.\n"
"The Max Field Error setting is a per-field error, also sampled at midpoints, but comparing the linear and nonlinear field values.\n"
"The Max Num Of Subdivisions setting specifies the maximum number of times an edge may be subdivided. Increasing this number allows further refinement but can drastically increase the computational and storage requirements, especially when the Output Dimension is 3.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"DataSetTriangleFilter\"\n"
"          menu_name=\"Tetrahedralize\"\n"
"          root_name=\"Tetra\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter converts 3-d cells to tetrahedrons and polygons to triangles.  The output is always of type unstructured grid.\"\n"
"          short_help=\"Convert to tetrahedrons and triangles.\">\n"
"    <Filter class=\"vtkDataSetTriangleFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Tetrahedralize filter converts the 3D cells of any type of data set to tetrahedrons and the 2D ones to triangles. This filter always produces unstructured grid output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"TriangleFilter\"\n"
"          menu_name=\"Triangulate\"\n"
"          root_name=\"Tri\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter converts polygons and triangle strips to basic triangles.\"\n"
"          short_help=\"Convert polygonal data to triangles.\">\n"
"    <Filter class=\"vtkTriangleFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Triangulate filter decomposes polygonal data into only triangles, points, and lines. It separates triangle strips and polylines into individual triangles and lines, respectively. The output is polygonal data. Some filters that take polygonal data as input require that the data be composed of triangles rather than other polygons, so passing your data through this filter first is useful in such situations. You should use this filter in these cases rather than the Tetrahedralize filter because they produce different output data set types. The filters referenced require polygonal input, and the Tetrahedralize filter produces unstructured grid output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"TransformFilter\"\n"
"          menu_name=\"Transform\"\n"
"          root_name=\"Trans\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter applies transformation to the polygons.\"\n"
"          short_help=\"Transform polygonal data.\">\n"
"    <Filter class=\"vtkTransformFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPointSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im1\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectWidget label=\"Transform Widget\"\n"
"                  trace_name=\"Transform Widget\"\n"
"                  property=\"Transform\">\n"
"      <Item label=\"Box\"\n"
"            value=\"BoxTransform\">\n"
"      <BoxWidget use_label=\"0\"\n"
"                 trace_name=\"Box\"\n"
"                 input_menu=\"im1\"\n"
"                 help=\"Adjusts the parameters of the box to clip with.\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <Documentation>\n"
"The Transform filter allows you to specify the position, size, and orientation of polygonal, unstructured grid, and curvilinear data sets. You can interactively perform these affine transformations on the data by using the box widget, and the parameters can also be controlled manually. See section 7.4 for the details of using the box widget and manually setting its parameters. The output of this filter will have the same data set type as the input.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"TubeFilter\"\n"
"          menu_name=\"Tube\"\n"
"          root_name=\"Tuber\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Convert lines into tubes.  Normals are used to avoid cracks between tube segments.\"\n"
"          short_help=\"Convert lines into tubes.\">\n"
"    <Filter class=\"vtkTubeFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ThumbWheel label=\"Num. sides\"\n"
"                property=\"NumberOfSides\"\n"
"                trace_name=\"NumberOfSides\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"3\"\n"
"                help=\"Set the number of sides for the tube\"/>\n"
"    <LabeledToggle label=\"Capping\"\n"
"                   trace_name=\"Capping\"\n"
"                   property=\"Capping\"\n"
"                   help=\"Select whether to draw endcaps on the tube\"/>\n"
"    <ScaleFactorEntry label=\"Radius\"\n"
"                      property=\"Radius\"\n"
"                      input_menu=\"im\"\n"
"                      trace_name=\"Radius\"\n"
"                      help=\"Set the radius of the tube\" />\n"
"    <SelectionList label=\"Vary radius\"\n"
"                   trace_name=\"VaryRadius\"\n"
"                   property=\"VaryRadius\"\n"
"                   help=\"Select whether/how to vary the radius of the tube\">\n"
"      <Item name=\"Off\"\n"
"            value=\"0\"/>\n"
"      <Item name=\"By Scalar\"\n"
"            value=\"1\"/>\n"
"      <Item name=\"By Vector\"\n"
"            value=\"2\"/>\n"
"    </SelectionList>\n"
"    <!-- RadiusFactor value chosen does not change processing speed of this filter or cause it to crash. -->\n"
"    <VectorEntry label=\"Radius factor\"\n"
"                 trace_name=\"RadiusFactor\"\n"
"                 property=\"RadiusFactor\"\n"
"                 type=\"float\"\n"
"                 help=\"Set the maximum tube radius in terms of a multiple of the minimum radius\"/>\n"
"    <Documentation>\n"
"The Tube filter creates tubes around the lines in the input polygonal data set. The output is also polygonal. The Num. sides value determines the number of faces around the circumference of the tube. The Capping toggle specifies whether to close the end of the tube with a polygon. The Radius entry determines the radius of the tube (or the minimum radius if you are varying the radius). From the Vary radius menu, you can select whether the radius of the tube should vary, and if so, whether it should be by scalar or by vector. If the radius is varied by scalar, the tube radius is based on the point-based scalar values. If it is varied by vector, the vector magnitude is used. If you are varying the radius, the value in the Radius factor entry determines the maximum radius by specifying a multiplier of the Radius value.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"WarpScalar\"\n"
"          menu_name=\"Warp (scalar)\"\n"
"          root_name=\"WarpS\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter moves point coordinates along a vector scaled by a point attribute.  It can be used to produce carpet plots.\"\n"
"          short_help=\"Warp point scalars into a spatial elevation plot.\">\n"
"    <Filter class=\"vtkWarpScalar\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPointSet\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputScalars\"\n"
"               trace_name=\"Scalars\"\n"
"               label=\"Scalars\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input scalars to process.\"/>\n"
"    <!-- ScaleFactor value chosen does not change processing speed of this filter or cause it to crash. -->\n"
"    <VectorEntry label=\"Scale factor\"\n"
"                 property=\"ScaleFactor\"\n"
"                 trace_name=\"ScaleFactor\"\n"
"                 type=\"float\"\n"
"                 help=\"Displacement is vector times scale.\"/>\n"
"    <!-- keeping vector entries with length > 1 -->\n"
"    <VectorEntry label=\"Normal\"\n"
"                 property=\"Normal\"\n"
"                 trace_name=\"Normal\"\n"
"                 type=\"float\"\n"
"                 length=\"3\"\n"
"                 help=\"Warp direction.\"/>\n"
"    <LabeledToggle label=\"Use normal\"\n"
"                   trace_name=\"UseNormal\"\n"
"                   property=\"UseNormal\"\n"
"                   help=\"Use instance model normals rather than instance normal.\"/>\n"
"    <LabeledToggle label=\"X-Y plane\"\n"
"                   trace_name=\"XYPlane\"\n"
"                   property=\"XYPlane\"\n"
"                   help=\"Z value is used to warp the surface, scalars to color surface.\"/>\n"
"    <Documentation>\n"
"The Warp (scalar) filter translates the points of the input data set along a vector by a distance determined by the specified scalars (selected from the Scalars menu). The Scale factor entry allows you to rescale the scalar values used in warping the data.\n"
"The Normal entries specify the direction in which to warp the geometry if the Use normal option is checked. If Use normal and X-Y plane are off, the data set will be warped along its normals array. (If no normals array exists, the Normal value will be used.) If X-Y plane is on, the Z-values in the data set are considered to be scalars, and warping is done along the Z axis. This is useful for creating carpet plots. Any scalars in the data set are copied to the output, so the data can be colored by them.\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface8 =
"This filter operates on polygonal, curvilinear, and unstructured grid data sets containing single-component scalar arrays. Because it only changes the positions of the points, the output data set type is the same as that of the input.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"WarpVector\"\n"
"          root_name=\"WarpV\"\n"
"          menu_name=\"Warp (vector)\"\n"
"          button_image=\"PVVectorDisplacementButton\"\n"
"          button_help=\"Warp (displace) the geometry with a given vector field.\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter displaces point coordinates along a vector attribute.  It is useful for showing mechanical deformation.\"\n"
"          short_help=\"Warp (displace) the geometry with a given vector field.\">\n"
"    <Filter class=\"vtkPVWarpVector\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkPointSet\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"3\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputVectors\"\n"
"               trace_name=\"Vectors\"\n"
"               label=\"Vectors\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input vectors to process.\"/>\n"
"    <!-- ScaleFactor value chosen does not change processing speed of this filter or cause it to crash. -->\n"
"    <VectorEntry label=\"Scale factor\"\n"
"                 trace_name=\"ScaleFactor\"\n"
"                 property=\"ScaleFactor\"\n"
"                 type=\"float\"\n"
"                 help=\"Displacement is vector times scale.\"/>\n"
"    <Documentation>\n"
"The Warp (vector) filter translates the points of the input data set using a specified vector array. The vector array chosen specifies a vector per point in the input. Each point is translated along its vector by the value in the Scale factor entry box. This filter operates on polygonal, curvilinear, and unstructured grid data sets. Because this filter only changes the positions of the points, the output data set type is the same as that of the input. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Cut\"\n"
"          root_name=\"Cut\"\n"
"          replace_input=\"0\"\n"
"          module_type=\"Filter\"\n"
"          button_image=\"PVCutButton\"\n"
"          button_help=\"Cut with an implicit plane or sphere. Cutting typically reduces the dimensionality of the data.\"\n"
"          long_help=\"This filter cuts a data set with a plane or sphere.  Cutting is similar to a contour.  It creates surfaces from volumes and lines from surfaces.\"\n"
"          short_help=\"Cut datasets with planes or spheres.\">\n"
"    <Filter class=\"vtkCutter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im1\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <BoundsDisplay show_hide_frame=\"1\"\n"
"                   label=\"Input Bounds\"\n"
"                   property=\"InputBounds\"\n"
"                   trace_name=\"Input Bounds\"\n"
"                   input_menu=\"im1\"/>\n"
"    <SelectWidget label=\"Cut Function\"\n"
"                  trace_name=\"Cut Function\"\n"
"                  property=\"CutFunction\">\n"
"      <Item label=\"Plane\"\n"
"            value=\"Plane\">\n"
"      <ImplicitPlaneWidget trace_name=\"Plane\"\n"
"                           use_label=\"0\"\n"
"                           input_menu=\"im1\"\n"
"                           help=\"Adjusts the parameters of the plane to cut with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Sphere\"\n"
"            value=\"Sphere\">\n"
"      <SphereWidget trace_name=\"Sphere\"\n"
"                    use_label=\"0\"\n"
"                    input_menu=\"im1\"\n"
"                    help=\"Adjusts the parameters of the sphere to cut with.\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <CutEntry label=\"Cut Offset Values\"\n"
"              trace_name=\"Cut Values\"\n"
"              input_menu=\"im1\" property=\"ContourValues\"\n"
"              help=\"List of current offset values. This can be used to create multiple cut planes/spheres with different centers. Each entry represents a new cut with center shifted by the offset value.\"/>\n"
"    <Documentation>\n"
"The Cut filter extracts the portion of the input data set that lies along the specified plane or sphere. From the Cut Function menu, you can select whether cutting will be performed with a plane or a sphere. The appropriate 3D widget (plane widget or sphere widget) will be displayed. The parameters of the cut function can be specified interactively using the 3D widget or manually using the traditional user interface controls. Instructions for using these 3D widgets and their corresponding user interfaces are found in section 7.4.\n"
"By default, the cut lies on the specified plane or sphere. Using the Cut Offset Values portion of the interface, it is also possible to cut the data set at some offset from the original cut function. The Cut Offset Values are in the spatial units of the data set. To add a single offset, select the value from the New Value slider in the Add value portion of the interface and click the Add button, or press Enter. To instead add several evenly spaced offsets, use the controls in the Generate range of values section. Select the number of offsets to generate using the Number of Values slider. The Range slider controls the interval in which to generate the offsets. Once the number of values and range have been selected, click the Generate button. The new offsets will be added to the Offset Values list. To delete a value from the Cut Offset Values list, select the value and click the Delete button. (If no value is selected, the last value in the list will be removed.) Clicking the Delete All button removes all the values in the list.\n"
"The Cut filter takes any type of data set as input. Use the Input menu to choose a data set to cut. The output of this filter is polygonal data. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Clip\"\n"
"          root_name=\"Clip\"\n"
"          module_type=\"Filter\"\n"
"          button_image=\"PVClipButton\"\n"
"          button_help=\"Clip with an implicit plane, sphere or with scalars.Clipping does not reduce the dimensionality of the data set.\"\n"
"          long_help=\"Clip with an implicit plane, sphere or with scalars. Clipping does not reduce the dimensionality of the data set.  This output data type of this filter is always an unstructured grid.\"\n"
"          short_help=\"Clip with an implicit plane, sphere or with scalars.\">\n"
"    <Filter class=\"vtkPVClipDataSet\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im1\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <BoundsDisplay show_hide_frame=\"1\"\n"
"                   label=\"Input Bounds\"\n"
"                   property=\"InputBounds\"\n"
"                   trace_name=\"Input Bounds\"\n"
"                   input_menu=\"im1\"/>\n"
"    <SelectWidget label=\"Clip Function\"\n"
"                  trace_name=\"Clip Function\"\n"
"                  property=\"ClipFunction\">\n"
"      <Item label=\"Plane\"\n"
"            value=\"Plane\">\n"
"        <ImplicitPlaneWidget use_label=\"0\"\n"
"                             trace_name=\"Plane\"\n"
"                             input_menu=\"im1\"\n"
"                             help=\"Adjusts the parameters of the plane to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Sphere\"\n"
"            value=\"Sphere\">\n"
"        <SphereWidget use_label=\"0\"\n"
"                      trace_name=\"Sphere\"\n"
"                      input_menu=\"im1\"\n"
"                      help=\"Adjusts the parameters of the sphere to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Box\"\n"
"            value=\"Box\">\n"
"        <BoxWidget use_label=\"0\"\n"
"                   trace_name=\"Box\"\n"
"                   input_menu=\"im1\"\n"
"                   help=\"Adjusts the parameters of the box to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Scalars\">\n"
"        <ContainerWidget trace_name=\"ScalarClip\">\n"
"          <Item>\n"
"            <ScalarRangeLabel property=\"Value\" \n"
"                              trace_name=\"ScalarRange\" \n"
"                              array_menu=\"it3.am1\"/>\n"
"          </Item>\n"
"          <Item id=\"it3\">\n"
"          <ArrayMenu id=\"am1\" property=\"SelectInputScalars\"\n"
"                     trace_name=\"Scalars\"\n"
"                     label=\"Scalars\"\n"
"                     help=\"Choose the clipping scalar array.\"\n"
"                     input_menu=\"im1\"/>\n"
"          </Item>\n"
"          <Item>\n"
"            <!-- Value depends on scalar range of input -->\n"
"            <VectorEntry label=\"Clip value\"\n"
"                         trace_name=\"Offset\"\n"
"                         type=\"float\"\n"
"                         property=\"Value\"\n"
"                         help=\"Choose the scalar value to clip with\"/>\n"
"          </Item>\n"
"        </ContainerWidget>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <LabeledToggle label=\"Inside Out\"\n"
"                   trace_name=\"InsideOut\"\n"
"                   property=\"InsideOut\"\n"
"                   help=\"Switches which part to keep.\"/>\n"
"    <Documentation>\n"
"The Clip filter cuts away a portion of the input data set using a plane, a sphere, a box, or a scalar value. The menu in the Clip Function portion of the interface allows the user to select which implicit function to use or whether to clip using a scalar value. Making this selection loads the appropriate user interface. For the implicit functions, the appropriate 3D widget (plane, sphere, or box) is also displayed. The use of these 3D widgets, including their user interface components, is discussed in section 7.4.\n"
"If an implicit function is selected, the clip filter returns that portion of the input data set that lies inside the function. If Scalars is selected, then the user must specify a scalar array to clip according to. The clip filter will return the portions of the data set whose value in the selected Scalars array is larger than the Clip value. Regardless of the selection from the Clip Function menu, if the Inside Out option is checked, the opposite portions of the data set will be returned.\n"
"This filter operates on all types of data sets, and it returns unstructured grid data on output. This filter is available on the toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Threshold\"\n"
"          root_name=\"Threshold\"\n"
"          button_image=\"PVThresholdButton\"\n"
"          module_type=\"Filter\"\n"
"          button_help=\"Extract cells that satisfy a threshold criterion.\"\n"
"          long_help=\"This filter extracts cells that have point or cell scalars in the specified range.\"\n"
"          short_help=\"Extract cells that satisfy a threshold criterion.\">\n"
"    <Filter class=\"vtkThreshold\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               input_name=\"Input\"\n"
"               help=\"Set the input to this filter.\" />\n"
"    <FieldMenu id=\"fm\"\n"
"               trace_name=\"FieldMenu\"\n"
"               input_menu=\"im\"\n"
"               property=\"SelectInputScalars\"\n"
"               help=\"Choose cell or point field to threshold.\" />\n"
"    <ArrayMenu id=\"am\" property=\"SelectInputScalars\"\n"
"               trace_name=\"Scalars\"\n"
"               label=\"Scalars\"\n"
"               field_menu=\"fm\"\n"
"               help=\"Choose the threshold scalar array.\"/>\n"
"    <MinMax trace_name=\"MinMax\"\n"
"            array_menu=\"am\"\n"
"            property=\"ThresholdBetween\"\n"
"            min_label=\"Lower Threshold\"\n"
"            max_label=\"Upper Threshold\"\n"
"            min_help=\"Choose the lower value of the threshold\"\n"
"            max_help=\"Choose the upper value of the threshold\"/>\n"
"    <LabeledToggle label=\"All Scalars\"\n"
"                   trace_name=\"AllScalars\"\n"
"                   property=\"AllScalars\"\n"
"                   help=\"If AllScalars is checked, then a cell is only included if all its points are within the threshold. This is only relevant for point data.\"/>\n"
"    <Documentation>\n"
"The Threshold filter extracts the portions of the input data set whose scalars lie within the specified range. This filter operates on either point-centered or cell-centered data. To select between these two options, select either Point Data or Cell Data from the Attribute Mode menu. Once the Attribute Mode has been selected, choose the scalar array from which to threshold the data from the Scalars menu. The Lower Threshold and Upper Threshold sliders determine the range of the scalars to retain in the output. The All Scalars check box only takes effect when the Attribute Mode is set to Point Data. If the All Scalars option is checked, then a cell will only be passed to the output if the scalar values of all of its points lie within the range indicated by the Lower Threshold and Upper Threshold sliders. If unchecked, then a cell will be added to the output if the specified scalar value for any of its points is within the chosen range. This filter operates on any type of data set and produces unstructured grid output. The Threshold filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Contour\"\n"
"          root_name=\"Contour\"\n"
"          button_image=\"PVContourButton\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          button_help=\"Generate isolines or isosurfaces.\"\n"
"          long_help=\"Generate isolines or isosurfaces using point scalars.\"\n"
"          short_help=\"Generate isolines or isosurfaces.\">\n"
"    <Filter class=\"vtkContourFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    // Do not change the tracename of the input menu, it is used by vtkPVContour\n"
"    <InputMenu trace_name=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               input_name=\"Input\"\n"
"               property=\"Input\"\n"
"               help=\"Set the input to this filter.\" />\n"
"    // Do not change the tracename of the array menu, it is used by vtkPVContour\n"
"    <ArrayMenu id=\"am\" property=\"SelectInputScalars\"\n"
"               label=\"Scalars\"\n"
"               trace_name=\"Scalars\"\n"
"               input_menu=\"im\"\n"
"               help=\"Choose which scalar array you want to contour.\"/>\n"
"    <ScalarRangeLabel id=\"srl\"\n"
"                      property=\"ContourValues\"\n"
"                      trace_name=\"ScalarRangeLabel\"\n"
"                      array_menu=\"am\"/>\n"
"    <ContourEntry label=\"Contour Values\"\n"
"                  trace_name=\"Contour Values\"\n"
"                  array_menu=\"am\" property=\"ContourValues\"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface9 =
"                  help=\"List of current contour values.\" />\n"
"    <LabeledToggle label=\"Compute Normals\"\n"
"                   property=\"ComputeNormals\"\n"
"                   trace_name=\"Compute Normals\"\n"
"                   help=\"Select whether to compute normals\" />\n"
"    <LabeledToggle label=\"Compute Gradients\"\n"
"                   property=\"ComputeGradients\"\n"
"                   trace_name=\"Compute Gradients\"\n"
"                   help=\"Select whether to compute gradients\"/>\n"
"    <LabeledToggle label=\"Compute Scalars\"\n"
"                   property=\"ComputeScalars\"\n"
"                   trace_name=\"Compute Scalars\"\n"
"                   help=\"Select whether to compute scalars\" />\n"
"    <Documentation>\n"
"The Contour filter computes isolines or isosurfaces using a selected point-centered scalar array. The available scalar arrays are listed in the Scalars menu. The scalar range of the selected array will be displayed.\n"
"The interface for adding contour values is very similar to the one for selecting cut offsets (in the Cut filter). To add a single contour value, select the value from the New Value slider in the Add value portion of the interface and click the Add button, or press Enter. To instead add several evenly spaced contours, use the controls in the Generate range of values section. Select the number of contour values to generate using the Number of Values slider. The Range slider controls the interval in which to generate the contour values. Once the number of values and range have been selected, click the Generate button. The new values will be added to the Contour Values list. To delete a value from the Contour Values list, select the value and click the Delete button. (If no value is selected, the last value in the list will be removed.) Clicking the Delete All button removes all the values in the list. If no values are in the Contour Values list when Accept is pressed, the current value of the New Value slider will be used.\n"
"In addition to selecting contour values, you can also select additional computations to perform. If any of Compute Normals, Compute Gradients, or Compute Scalars is selected, the appropriate computation will be performed, and a corresponding point-centered array will be added to the output.\n"
"The Contour filter operates on any type of data set, but the input is required to have at least one point-centered scalar (single-component) array. The output of this filter is polygonal. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Glyph\"\n"
"          root_name=\"Glyph\"\n"
"          module_type=\"Filter\"\n"
"          button_image=\"PVGlyphButton\"\n"
"          replace_input=\"0\"\n"
"          button_help=\"Generate a glyph (symbol) at each point of the dataset. These can be colored, scaled and oriented\"\n"
"          long_help=\"This filter generates an arrow, cone, line, sphere, or 2D glyph at each point of the input data set.  The glyphs can be oriented and scaled by the input point attributes.\"\n"
"          short_help=\"Generate a glyph symbol at each point of the input data set.\">\n"
"    <Filter class=\"vtkPVGlyphFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"/>\n"
"      <Input name=\"Source\"\n"
"             class=\"vtkPolyData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <InputMenu trace_name=\"Glyph\" property=\"Source\"\n"
"               id=\"im2\"\n"
"               label=\"Glyph\"\n"
"               help=\"Select the glyph source.\"\n"
"               input_name=\"Source\" initialize_with_current=\"0\"\n"
"               source_list=\"GlyphSources\"/>\n"
"    <OrientScaleWidget trace_name=\"OrientScale\" input_menu=\"im\"\n"
"                       scalar_property=\"SelectInputScalars\"\n"
"                       vector_property=\"SelectInputVectors\"\n"
"                       orient_mode_property=\"SetOrient\"\n"
"                       scale_mode_property=\"SetScaleMode\"\n"
"                       scale_factor_property=\"SetScaleFactor\"/>\n"
"    <ThumbWheel label=\"Max. Number of Glyphs\"\n"
"                trace_name=\"Max Glyphs\"\n"
"                property=\"MaximumNumberOfPoints\"\n"
"                resolution=\"1\"\n"
"                minimum_value=\"0\"\n"
"                help=\"Set the maximum number of points to glyph\"/>\n"
"    <LabeledToggle label=\"Mask Points\"\n"
"                   trace_name=\"MaskPoints\"\n"
"                   property=\"UseMaskPoints\"\n"
"                   help=\"Create no more than specified maximum number of glyphs\" />\n"
"    <LabeledToggle label=\"Random Masking\"\n"
"                   trace_name=\"RandomMask\"\n"
"                   property=\"RandomMode\"\n"
"                   help=\"Choose points at random to mask\" />\n"
"    <Documentation>\n"
"The Glyph filter generates a glyph (i.e., an arrow, cone, line, sphere, or 2D glyph) at each point in the input data set. The glyphs can be oriented and scaled by the input point-centered scalars and vectors.\n"
"From the Glyph menu, select which symbol should be drawn at each input point. The available choices are Arrow, Cone, Line, Sphere, and Glyph2D. To change the parameters of any of the glyphs (including which 2D glyph is drawn), choose the appropriate glyph from the Glyphs submenu of the Select menu. Change the desired parameter(s) and click Accept. To return to the Glyph interface, select this filter from the Selection / Navigation Window or from the Select menu.\n"
"The Orient / Scale section of the interface determines how the point-centered scalars and vectors contribute to the orientation and scale of the widgets. The Orient Mode menu determines whether the glyphs are drawn in their original orientation (Off) or in an orientation determined by a vector array (Vector). If the input does not contain point-centered vectors, the Vector option in the Orient Mode menu will not be available.\n"
"The Scale Mode menu determines how the scale of the glyphs will be calculated. The options are to scale by the selected scalar array (Scalar), to scale by the magnitudes of the selected vector array (Vector Magnitude), to scale by each component of the selected vector array (Vector Components), or to draw the all the glyphs at the same scale (Data Scaling Off). If the input contains no point-centered scalar arrays, the Scalar option will be disabled. If it has no point-centered vector arrays, the Vector Magnitude and Vector Components entries will be unavailable. The value of the Scale Factor entry box is a multiplier that contributes to the final size of the glyphs.\n"
"The Scalars and Vectors menus list the point-centered scalar (single-component) and vector (three-component) arrays in the input data set. These menus are enabled and disabled depending on the current Orient and Scale Mode selections.\n"
"The Glyph Parameters tab also contains controls for masking the input points before glyphing. (This is a simplified version of the Mask Points filter interface.) To enable point masking, turn on the Mask Points option. When this is selected, the Max. Number of Glyphs thumbwheel sets an upper limit on the number of glyphs to display. If the Random Masking option is on, the input points to glyph will be randomly selected; otherwise every second point will be glyphed, starting from the first point id.\n"
"The Glyph filter operates on any type of data set. Its output is polygonal. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Pick\"\n"
"          class=\"vtkPVPick\"\n"
"          root_name=\"Pick\"\n"
"          button_image=\"PVPickButton\"\n"
"          button_help=\"Pick a cell and display its attributes. Use the 'p' key to pick the cell under the cursor.\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Find the cell or point closest to the input point.\"\n"
"          short_help=\"Pick cells or points.\">\n"
"    <Filter class=\"vtkPickFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\">\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectionList property=\"PickCell\"\n"
"                   label=\"Pick Type\"\n"
"                   trace_name=\"PickType\"\n"
"                   help=\"Select whether to pick cells or points.\">\n"
"      <Item name=\"Point\" value=\"0\"/>\n"
"      <Item name=\"Cell\" value=\"1\"/>\n"
"    </SelectionList>\n"
"    <SelectWidget label=\"Pick Method\"\n"
"                  trace_name=\"PickMethod\"\n"
"                  property=\"UseIdToPick\">\n"
"      <Item label=\"World Point\" value=\"0\">\n"
"        <PointWidget trace_name=\"Point\" variable=\"WorldPoint\"\n"
"                     help=\"Pick cell or point closest to this world point.  The 'p' key can be used to select a point under the cursor.\"/>\n"
"      </Item>\n"
"      <Item label=\"ID\" value=\"1\">\n"
"        <VectorEntry  label=\"Id\" property=\"Id\" trace_name=\"Id\"\n"
"                      type=\"int\" length=\"1\"\n"
"                      help=\"The Id of the point or cell to pick.\" />\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <Documentation>\n"
"The Pick filter displays the underlying data nearest to a user-selected point. A point widget, with its usual controls in the display area and on the Parameters tab, is provided for choosing this point. (See section 7.4 for information about using the point widget.) Pressing the \"P\" key positions the point widget at the point on the data set under the current cursor position. If you select Point from the Pick Type menu, the output of the filter will be the nearest point to the point widget. If you select Cell, the output of the filter is the cell which is closest to the selected point. All the output point-centered attributes, cell-centered attributes, and original ids are displayed on the Parameters tab. Also, the selected cell will be outlined in red in the display area, and the reference ids of the points within that cell will be labeled.\n"
"The Pick filter operates on any type of data and produces unstructured grid output.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"DataAnalysis\"\n"
"          menu_name=\"Data Analysis (Pick/Probe)\"\n"
"          class=\"vtkPVDataAnalysis\"\n"
"          root_name=\"DataAnalysis\"\n"
"          module_type=\"Filter\"\n"
"          button_image=\"PVDataAnalysisButton\"\n"
"          button_help=\"Analyze point or cell data by selecting a point or cell and plot the data over time.\"\n"
"          long_help=\"Sample point data at a point or along a line or by point id. Select cell at a point or by cell id. Data can be plotted on an XY plot.\"\n"
"          short_help=\"Pick a cell or point.\">\n"
"    <Filter class=\"vtkDataAnalysisFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\">\n"
"        <GroupRequirement quantity=\"Single\"/>\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkMultiGroupDataSet\">\n"
"        <GroupRequirement quantity=\"Single\"/>\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <SelectWidget label=\"Query Method\"\n"
"                  trace_name=\"QueryMethod\"\n"
"                  property=\"Mode\">\n"
"      <Item label=\"Cell\" value=\"1\">\n"
"        <PointWidget trace_name=\"Point\" variable=\"WorldPoint\"\n"
"          help=\"Pick cell or point closest to this world point. The 'p' key can be used to select a point under the cursor.\"\n"
"          />\n"
"      </Item>\n"
"      <Item label=\"Point (Interpolated)\" value=\"0\">\n"
"        <PointSourceWidget trace_name=\"Point\" default_radius=\"0\" input_menu=\"im\"\n"
"          default_number_of_points=\"1\" show_entries=\"0\" bind_radius_to_input=\"0\"\n"
"          property=\"Source\"/>\n"
"      </Item>\n"
"      <Item label=\"Line\" value=\"0\">\n"
"        <LineSourceWidget trace_name=\"Line\" input_menu=\"im\" property=\"Source\"/>\n"
"      </Item>\n"
"      <Item label=\"Cell Id\" value=\"1\">\n"
"        <VectorEntry label=\"Cell Id\" property=\"Id\" trace_name=\"CellId\"\n"
"          type=\"int\" length=\"1\" help=\"The Id for the cell to pick.\" />\n"
"      </Item>\n"
"      <Item label=\"Point Id\" value=\"1\">\n"
"        <VectorEntry label=\"Point Id\" property=\"Id\" trace_name=\"PointId\"\n"
"          type=\"int\" length=\"1\" help=\"The Id for the point to pick.\" />\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <Documentation>\n"
"    The Data Analysis filter provides the ability to query either cell or point data in a given data set. The data may be plotted as an plot. If the \"Query Method\" is \"Point\", the filter outputs the interpolated point data at the selected point. If the \"Query Method\" is \"Cell\", the filter outputs the cell data at the closest cell to the choosen point. If the \"Query Method\" is \"Line\", the filter interpolates the point data at the sample points on the line. If the \"Query Method\" is \"Cell Id\", the filter outputs the cell data for the cell with the given Id. If the \"Query Method\" is \"Point Id\", the filter outpus the point data for the point with the given Id. The data can be plotted on an XY plot. Additionally, if the input supports multiple timesteps, this filter can be used to plot the queried data over time.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"Probe\"\n"
"          class=\"vtkPVProbe\"\n"
"          root_name=\"Probe\"\n"
"          button_image=\"PVProbeButton\"\n"
"          button_help=\"Sample data values at a point or along a line\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"Sample data attributes at a point or along a line.  Probed lines will be displayed in a graph of the attributes.\"\n"
"          short_help=\"Sample data values at a point or along a line.\">\n"
"    <Filter class=\"vtkPProbeFilter\">\n"
"      <Input name=\"Source\"\n"
"             class=\"vtkDataSet\">\n"
"        <GroupRequirement quantity=\"Single\"/>\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"      <Input name=\"Source\"\n"
"             class=\"vtkMultiGroupDataSet\">\n"
"        <GroupRequirement quantity=\"Single\"/>\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Source\" property=\"Source\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Source\"/>\n"
"    <SelectWidget label=\"Probe object\"\n"
"                  trace_name=\"Probe object\"\n"
"                  property=\"Input\">\n"
"      <Item label=\"Point\"\n"
"            value=\"Output\">\n"
"      <PointSourceWidget trace_name=\"Point\"\n"
"                         default_radius=\"0\" input_menu=\"im\"\n"
"                         default_number_of_points=\"1\"\n"
"                         show_entries=\"0\"/>\n"
"      </Item>\n"
"        <Item label=\"Line\"\n"
"              value=\"Output\">\n"
"        <LineSourceWidget trace_name=\"Line\" input_menu=\"im\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface10 =
"    <Documentation>\n"
"The Probe filter samples the data set attributes of the current data set at a point or along a line. Selecting either Point or Line from the menu button in the Probe object portion of the interface displays the appropriate 3D widget and its associated user interface controls. See section 7.4 for more information about using 3D widgets.\n"
"If you are probing with a point, the values of the point-centered variables at the selected point will be listed on the Parameters tab for this filter. If you are probing with a line, the values of the point-centered variables along that line will be displayed in a 2D graph in the display area if Show XY-Plot is selected.\n"
"Probing with a point is different from using the Pick filter at a point because the Pick filter displays the values for the input point closest to the selected point. Instead the Probe filter uses interpolation to determine the value at the selected point, whether or not it lies at an input point.\n"
"The Probe filter operates on any type of data and produces polygonal output (a point or a line).\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"StreamTracer\"\n"
"          root_name=\"Stream\"\n"
"          menu_name=\"Stream Tracer\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          button_image=\"PVStreamTracerButton\"\n"
"          button_help=\"Generate streamtraces from a collection of seed points.\"\n"
"          long_help=\"Integrate streamlines in a vector field.\"\n"
"          short_help=\"Integrate streamlines in a vector field.\">\n"
"    <Filter class=\"vtkDistributedStreamTracer\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\"\n"
"             quantity=\"Multiple\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"3\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputVectors\"\n"
"               trace_name=\"Vectors\"\n"
"               label=\"Vectors\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input vectors to use.\"/>\n"
"    <SelectWidget trace_name=\"Seed\"\n"
"                  label=\"Seed\"\n"
"                  property=\"Source\">\n"
"      <Item label=\"Point Cloud\"\n"
"            value=\"Output\">\n"
"        <PointSourceWidget trace_name=\"Point\"\n"
"                           radius_scale_factor=\".1\"\n"
"                           input_menu=\"im\"\n"
"                           default_number_of_points=\"100\"\n"
"                           show_entries=\"1\"/>\n"
"      </Item>\n"
"      <Item label=\"Line\"\n"
"            value=\"Output\">\n"
"        <LineSourceWidget trace_name=\"Line\" input_menu=\"im\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <ContainerWidget pack_direction=\"left\" trace_name=\"MaxProp\">\n"
"      <Item>\n"
"        <SelectionList property=\"MaximumPropagationUnit\"\n"
"                       trace_name=\"MaximumPropagationUnit\"\n"
"                       label=\"Max. Propagation\"\n"
"                       option_width=\"15\"\n"
"                       help=\"Maximum propagation\">\n"
"          <Item name=\"Time\"\n"
"                value=\"0\"/>\n"
"          <Item name=\"Length\"\n"
"                value=\"1\"/>\n"
"        </SelectionList>\n"
"      </Item>\n"
"      <Item>\n"
"        <ScaleFactorEntry label=\"\"\n"
"                          property=\"MaximumPropagation\"\n"
"                          trace_name=\"MaxPropLen\"\n"
"                          input_menu=\"im\"\n"
"                          help=\"Maximum propagation\" />\n"
"      </Item>\n"
"    </ContainerWidget>\n"
"    <ContainerWidget pack_direction=\"left\" trace_name=\"InitLen\">\n"
"      <Item>\n"
"        <SelectionList trace_name=\"InitialIntegrationStepUnit\"\n"
"                       property=\"InitialIntegrationStepUnit\"\n"
"                       label=\"Init. Step Len.\"\n"
"                       option_width=\"15\"\n"
"                       help=\"Initial step length\">\n"
"          <Item name=\"Time\"\n"
"                value=\"0\"/>\n"
"          <Item name=\"Length\"\n"
"                value=\"1\"/>\n"
"          <Item name=\"Cell Length\"\n"
"                value=\"2\"/>\n"
"        </SelectionList>\n"
"      </Item>\n"
"      <Item>\n"
"        <VectorEntry label=\"\"\n"
"                     property=\"InitialIntegrationStep\"\n"
"                     type=\"float\"\n"
"                     trace_name=\"InitLen\"\n"
"                     help=\"Initial step length\"/>\n"
"      </Item>\n"
"    </ContainerWidget>\n"
"    <SelectionList trace_name=\"IntegrationDirection\"\n"
"                   property=\"IntegrationDirection\"\n"
"                   label=\"Integration Direction\"\n"
"                   option_width=\"15\">\n"
"      <Item name=\"FORWARD\"\n"
"            value=\"0\"/>\n"
"      <Item name=\"BACKWARD\"\n"
"            value=\"1\"/>\n"
"      <Item name=\"BOTH\"\n"
"            value=\"2\"/>\n"
"    </SelectionList>\n"
"    <SelectWidget label=\"Integrator Type\"\n"
"                  property=\"IntegratorType\"\n"
"                  trace_name=\"IntegrationType\">\n"
"      <Item label=\"Runge-Kutta 2\" value=\"0\">\n"
"        <DummyWidget trace_name=\"Dummy1\"/>\n"
"      </Item>\n"
"      <Item label=\"Runge-Kutta 4\" value=\"1\">\n"
"        <DummyWidget trace_name=\"Dummy2\"/>\n"
"      </Item>\n"
"      <Item label=\"Runge-Kutta 4-5\" value=\"2\">\n"
"        <ContainerWidget trace_name=\"MinLen\">\n"
"      <Item>\n"
"        <ContainerWidget pack_direction=\"left\" trace_name=\"MinLen\">\n"
"          <Item>\n"
"            <SelectionList property=\"MinimumIntegrationStepUnit\"\n"
"                           trace_name=\"MinimumIntegrationStepUnit\"\n"
"                           label=\"Min. Step Len.\"\n"
"                           option_width=\"15\"\n"
"                           help=\"Minimum step length used in the integation\">\n"
"              <Item name=\"Time\"\n"
"                    value=\"0\"/>\n"
"              <Item name=\"Length\"\n"
"                    value=\"1\"/>\n"
"              <Item name=\"Cell Length\"\n"
"                    value=\"2\"/>\n"
"            </SelectionList>\n"
"          </Item>\n"
"          <Item>\n"
"            <VectorEntry label=\"\"\n"
"                         property=\"MinimumIntegrationStep\"\n"
"                         type=\"float\"\n"
"                         trace_name=\"MinLen\"\n"
"                         help=\"Minimum step length  used in the integation\"/>\n"
"          </Item>\n"
"        </ContainerWidget>\n"
"      </Item>\n"
"      <Item>\n"
"        <ContainerWidget pack_direction=\"left\" trace_name=\"MaxLen\">\n"
"          <Item>\n"
"            <SelectionList property=\"MaximumIntegrationStepUnit\"\n"
"                           trace_name=\"MaximumIntegrationStepUnit\"\n"
"                           label=\"Max. Step Len.\"\n"
"                           option_width=\"15\"\n"
"                           help=\"Maximum step length used in the integration\">\n"
"              <Item name=\"Time\"\n"
"                    value=\"0\"/>\n"
"              <Item name=\"Length\"\n"
"                    value=\"1\"/>\n"
"              <Item name=\"Cell Length\"\n"
"                    value=\"2\"/>\n"
"            </SelectionList>\n"
"          </Item>\n"
"          <Item>\n"
"            <VectorEntry label=\"\"\n"
"                         property=\"MaximumIntegrationStep\"\n"
"                         type=\"float\"\n"
"                         trace_name=\"MaxLen\"\n"
"                         help=\"Maximum step length used in the integration\"/>\n"
"          </Item>\n"
"        </ContainerWidget>\n"
"      </Item>\n"
"      <Item>\n"
"      <VectorEntry label=\"Maximum Error\"\n"
"                   trace_name=\"MaximumError\"\n"
"                   property=\"MaximumError\"\n"
"                   type=\"float\"\n"
"                   help=\"Maximum error allowed in the integration\"/>\n"
"      </Item>\n"
"      </ContainerWidget>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <VectorEntry label=\"Max. Steps\"\n"
"                 trace_name=\"MaximumNumberOfSteps\"\n"
"                 property=\"MaximumNumberOfSteps\"\n"
"                 type=\"int\"\n"
"                 help=\"Maximum number of steps.\"/>\n"
"    <VectorEntry label=\"Term. Speed\"\n"
"                 trace_name=\"TerminalSpeed\"\n"
"                 property=\"TerminalSpeed\"\n"
"                 type=\"float\"\n"
"                 help=\"Terminal speed. The integration will be stopped if the speed (absolute value) is smaller than this threshold\"/>\n"
"    <Documentation>\n"
"The Stream Tracer filter generates streamlines in a vector field from a collection of seed points. The vector field used is selected from the Vectors menu, so the input data set is required to have point-centered vectors. The Seed portion of the interface allows you to select whether the seed points for this integration lie in a point cloud or along a line. Depending on which is selected, the appropriate 3D widget (point or line widget) is displayed along with traditional user interface controls for positioning the point cloud or line within the data set. Instructions for using the 3D widgets and the corresponding manual controls can be found in section 7.4.\n"
"The Max. Propagation entry box allows you to specify the maximum length of the streamlines. From the Max. Propagation menu, you can select the units to be either Time (the time a particle would travel with steady flow) or Length (in the data set's spatial coordinates).\n"
"The Init. Step Len. menu and entry specify the initial step size for integration. (For non-adaptive integrators, Runge-Kutta 2 and 4, the initial step size is used throughout the integration.) The menu allows you to specify the units. Time and Length have the same meaning as for Max. Propagation. Cell Length specifies the step length as a number of cells.\n"
"The Integration Direction menu determines in which direction(s) the stream trace will be generated: FORWARD, BACKWARD, or BOTH.\n"
"The Integrator Type section of the interface determines which calculation to use for integration: Runge-Kutta 2, Runge-Kutta 4, or Runge-Kutta 4-5. If Runge-Kutta 4-5 is selected, controls are displayed for specifying the minimum and maximum step length and the maximum error. The controls for specifying Min. Step Len. and Max. Step Len. are the same as those for Init. Step Len. The Runge-Kutta 4-5 integrator tries to choose the step size so that the estimated error is less than the value of the Maximum Error entry.\n"
"If the integration takes more than Max. Steps to complete, if the speed goes below Term. Speed, if Max. Propagation is reached, or if a boundary of the input data set is crossed, integration terminates.\n"
"This filter operates on any type of data set, provided it has point-centered vectors. The output is polygonal data containing polylines. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"  <Module name=\"ExtractGrid\"\n"
"          root_name=\"ExtractGrid\"\n"
"          menu_name=\"Extract Grid\"\n"
"          module_type=\"Filter\"\n"
"          button_image=\"PVExtractGridButton\"\n"
"          replace_input=\"0\"\n"
"          button_help=\"Extract a subgrid or subsample.\"\n"
"          long_help=\"Extract a subgrid from a structured grid with the option of setting subsample strides.\"\n"
"          short_help=\"Extract a subgrid or subsample.\">\n"
"    <Filter class=\"vtkPVExtractVOI\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkStructuredData\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ExtentEntry label=\"VOI\"\n"
"                 trace_name=\"VOI\"\n"
"                 property=\"VOI\"\n"
"                 input_menu=\"im\"\n"
"                 help=\"Set the min/max values of the volume of interest (VOI). The output will have the (I,J,K) extent specified here.\"/>\n"
"    <ContainerWidget pack_direction=\"left\" trace_name=\"SampleRate\">\n"
"      <Item>\n"
"        <ThumbWheel label=\"Sample Rate\"\n"
"                    property=\"SampleRateI\"\n"
"                    trace_name=\"SampleRateI\"\n"
"                    resolution=\"1\"\n"
"                    minimum_value=\"1\"\n"
"                    help=\"Set the sampling rate for each dimension.\"/>\n"
"      </Item>\n"
"      <Item>\n"
"        <ThumbWheel label=\"\"\n"
"                    property=\"SampleRateJ\"\n"
"                    trace_name=\"SampleRateJ\"\n"
"                    resolution=\"1\"\n"
"                    minimum_value=\"1\"\n"
"                    help=\"Set the sampling rate for each dimension.\"/>\n"
"      </Item>\n"
"      <Item>\n"
"        <ThumbWheel label=\"\"\n"
"                    property=\"SampleRateK\"\n"
"                    trace_name=\"SampleRateK\"\n"
"                    resolution=\"1\"\n"
"                    minimum_value=\"1\"\n"
"                    help=\"Set the sampling rate for each dimension.\"/>\n"
"      </Item>\n"
"    </ContainerWidget>\n"
"    <LabeledToggle label=\"Include boundary\"\n"
"                   property=\"IncludeBoundary\"\n"
"                   trace_name=\"IncludeBoundary\"\n"
"                   help=\"Select whether to always include the boundary of the grid in the output\"/>\n"
"    <Documentation>\n"
"The Extract Grid filter returns a subgrid of a structured input data set (uniform rectilinear, curvilinear, or nonuniform rectilinear). The VOI section of the interface provides six sliders for specifying the extents of the desired output along each of the I, J, and K axes. The Sample Rate thumb wheels control whether to subsample the input grid in each dimension. Values greater than 1 result in subsampling. For example, if the Sample Rate along the I axis is 2, then every other input point will be passed to the output. If the Sample Rate in any dimension is greater than 1, then selecting the Include boundary option will pass the values on the boundary of the data set to the output even if the boundary extent is not an even multiple of the sample rate. The output data set type of this filter is the same as the input type. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
" <Module name=\"GenericClip\"\n"
"    root_name=\"GenericClip\"\n"
"    module_type=\"Filter\"\n"
"    button_help=\"Clip with an implicit plane, sphere or with scalars.Clipping does not reduce the dimensionality of the data set.\"\n"
"    long_help=\"Clip with an implicit plane, sphere or with scalars. Clipping does not reduce the dimensionality of the data set.  This output data type of this filter is always an unstructured grid.\"\n"
"    short_help=\"Clip with an implicit plane, sphere or with scalars.\">\n"
"    <Filter class=\"vtkGenericClip\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im1\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <BoundsDisplay show_hide_frame=\"1\"\n"
"                   label=\"Input Bounds\"\n"
"                   property=\"InputBounds\"\n"
"                   trace_name=\"Input Bounds\"\n"
"                   input_menu=\"im1\"/>\n"
"    <SelectWidget label=\"Clip Function\"\n"
"                  trace_name=\"Clip Function\"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface11 =
"                  property=\"ClipFunction\">\n"
"      <Item label=\"Plane\"\n"
"            value=\"Plane\">\n"
"        <ImplicitPlaneWidget use_label=\"0\"\n"
"                             trace_name=\"Plane\"\n"
"                             input_menu=\"im1\"\n"
"                             help=\"Adjusts the parameters of the plane to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Sphere\"\n"
"            value=\"Sphere\">\n"
"        <SphereWidget use_label=\"0\"\n"
"                      trace_name=\"Sphere\"\n"
"                      input_menu=\"im1\"\n"
"                      help=\"Adjusts the parameters of the sphere to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Box\"\n"
"            value=\"Box\">\n"
"        <BoxWidget use_label=\"0\"\n"
"                   trace_name=\"Box\"\n"
"                   input_menu=\"im1\"\n"
"                   help=\"Adjusts the parameters of the box to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Scalars\">\n"
"        <ContainerWidget trace_name=\"ScalarClip\">\n"
"          <Item>\n"
"            <ScalarRangeLabel property=\"Value\" \n"
"                              trace_name=\"ScalarRange\" \n"
"                              array_menu=\"it3.am1\"/>\n"
"          </Item>\n"
"          <Item id=\"it3\">\n"
"          <ArrayMenu id=\"am1\" property=\"SelectInputScalars\"\n"
"                     trace_name=\"Scalars\"\n"
"                     label=\"Scalars\"\n"
"                     help=\"Choose the clipping scalar array.\"\n"
"                     input_menu=\"im1\"/>\n"
"          </Item>\n"
"          <Item>\n"
"            <!-- Value depends on scalar range of input -->\n"
"            <VectorEntry label=\"Clip value\"\n"
"                         trace_name=\"Offset\"\n"
"                         type=\"float\"\n"
"                         property=\"Value\"\n"
"                         help=\"Choose the scalar value to clip with\"/>\n"
"          </Item>\n"
"        </ContainerWidget>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <LabeledToggle label=\"Inside Out\"\n"
"                   trace_name=\"InsideOut\"\n"
"                   property=\"InsideOut\"\n"
"                   help=\"Switches which part to keep.\"/>\n"
"    <Documentation>\n"
"The Clip filter cuts away a portion of the input data set using a plane, a sphere, a box, or a scalar value. The menu in the Clip Function portion of the interface allows the user to select which implicit function to use or whether to clip using a scalar value. Making this selection loads the appropriate user interface. For the implicit functions, the appropriate 3D widget (plane, sphere, or box) is also displayed. The use of these 3D widgets, including their user interface components, is discussed in section 7.4.\n"
"If an implicit function is selected, the clip filter returns that portion of the input data set that lies inside the function. If Scalars is selected, then the user must specify a scalar array to clip according to. The clip filter will return the portions of the data set whose value in the selected Scalars array is larger than the Clip value. Regardless of the selection from the Clip Function menu, if the Inside Out option is checked, the opposite portions of the data set will be returned.\n"
"This filter operates on all types of data sets, and it returns unstructured grid data on output. This filter is available on the toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"\n"
"  <Module name=\"GenericContour\"\n"
"          root_name=\"GenericContour\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          button_help=\"Generate isolines or isosurfaces.\"\n"
"          long_help=\"Generate isolines or isosurfaces using point scalars.\"\n"
"          short_help=\"Generate isolines or isosurfaces.\">\n"
"\n"
"    <Filter class=\"vtkGenericContourFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"1\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"\n"
"    // Do not change the tracename of the input menu, it is used by vtkPVContour\n"
"    <InputMenu trace_name=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               input_name=\"Input\"\n"
"               property=\"Input\"\n"
"               help=\"Set the input to this filter.\" />\n"
"    // Do not change the tracename of the array menu, it is used by vtkPVContour\n"
"    <ArrayMenu id=\"am\" property=\"SelectInputScalars\"\n"
"               label=\"Scalars\"\n"
"               trace_name=\"Scalars\"\n"
"               input_menu=\"im\"\n"
"               help=\"Choose which scalar array you want to contour.\"/>\n"
"    <ScalarRangeLabel id=\"srl\"\n"
"                      property=\"ContourValues\"\n"
"                      trace_name=\"ScalarRangeLabel\"\n"
"                      array_menu=\"am\"/>\n"
"    <ContourEntry label=\"Contour Values\"\n"
"                  trace_name=\"Contour Values\"\n"
"                  array_menu=\"am\" property=\"ContourValues\"\n"
"                  help=\"List of current contour values.\" />\n"
"    <LabeledToggle label=\"Compute Normals\"\n"
"                   property=\"ComputeNormals\"\n"
"                   trace_name=\"Compute Normals\"\n"
"                   help=\"Select whether to compute normals\" />\n"
"    <LabeledToggle label=\"Compute Gradients\"\n"
"                   property=\"ComputeGradients\"\n"
"                   trace_name=\"Compute Gradients\"\n"
"                   help=\"Select whether to compute gradients\"/>\n"
"    <LabeledToggle label=\"Compute Scalars\"\n"
"                   property=\"ComputeScalars\"\n"
"                   trace_name=\"Compute Scalars\"\n"
"                   help=\"Select whether to compute scalars\" />\n"
"    <Documentation>\n"
"The Contour filter computes isolines or isosurfaces using a selected point-centered scalar array. The available scalar arrays are listed in the Scalars menu. The scalar range of the selected array will be displayed.\n"
"The interface for adding contour values is very similar to the one for selecting cut offsets (in the Cut filter). To add a single contour value, select the value from the New Value slider in the Add value portion of the interface and click the Add button, or press Enter. To instead add several evenly spaced contours, use the controls in the Generate range of values section. Select the number of contour values to generate using the Number of Values slider. The Range slider controls the interval in which to generate the contour values. Once the number of values and range have been selected, click the Generate button. The new values will be added to the Contour Values list. To delete a value from the Contour Values list, select the value and click the Delete button. (If no value is selected, the last value in the list will be removed.) Clicking the Delete All button removes all the values in the list. If no values are in the Contour Values list when Accept is pressed, the current value of the New Value slider will be used.\n"
"In addition to selecting contour values, you can also select additional computations to perform. If any of Compute Normals, Compute Gradients, or Compute Scalars is selected, the appropriate computation will be performed, and a corresponding point-centered array will be added to the output.\n"
"The Contour filter operates on any type of data set, but the input is required to have at least one point-centered scalar (single-component) array. The output of this filter is polygonal. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"  <Module name=\"GenericCut\"\n"
"          root_name=\"GenericCut\"\n"
"          replace_input=\"0\"\n"
"          module_type=\"Filter\"\n"
"          button_help=\"Cut with an implicit plane or sphere. Cutting typically reduces the dimensionality of the data.\"\n"
"          long_help=\"This filter cuts a data set with a plane or sphere.  Cutting is similar to a contour.  It creates surfaces from volumes and lines from surfaces.\"\n"
"          short_help=\"Cut datasets with planes or spheres.\">\n"
"    <Filter class=\"vtkGenericCutter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\"/>\n"
"    </Filter>\n"
"\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im1\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <BoundsDisplay show_hide_frame=\"1\"\n"
"                   label=\"Input Bounds\"\n"
"                   property=\"InputBounds\"\n"
"                   trace_name=\"Input Bounds\"\n"
"                   input_menu=\"im1\"/>\n"
"    <SelectWidget label=\"Cut Function\"\n"
"                  trace_name=\"Cut Function\"\n"
"                  property=\"CutFunction\">\n"
"      <Item label=\"Plane\"\n"
"            value=\"Plane\">\n"
"      <ImplicitPlaneWidget trace_name=\"Plane\"\n"
"                           use_label=\"0\"\n"
"                           input_menu=\"im1\"\n"
"                           help=\"Adjusts the parameters of the plane to cut with.\"/>\n"
"      </Item>\n"
"      <Item label=\"Sphere\"\n"
"            value=\"Sphere\">\n"
"      <SphereWidget trace_name=\"Sphere\"\n"
"                    use_label=\"0\"\n"
"                    input_menu=\"im1\"\n"
"                    help=\"Adjusts the parameters of the sphere to cut with.\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <CutEntry label=\"Cut Offset Values\"\n"
"              trace_name=\"Cut Values\"\n"
"              input_menu=\"im1\" property=\"ContourValues\"\n"
"              help=\"List of current offset values. This can be used to create multiple cut planes/spheres with different centers. Each entry represents a new cut with center shifted by the offset value.\"/>\n"
"    <Documentation>\n"
"The Cut filter extracts the portion of the input data set that lies along the specified plane or sphere. From the Cut Function menu, you can select whether cutting will be performed with a plane or a sphere. The appropriate 3D widget (plane widget or sphere widget) will be displayed. The parameters of the cut function can be specified interactively using the 3D widget or manually using the traditional user interface controls. Instructions for using these 3D widgets and their corresponding user interfaces are found in section 7.4.\n"
"By default, the cut lies on the specified plane or sphere. Using the Cut Offset Values portion of the interface, it is also possible to cut the data set at some offset from the original cut function. The Cut Offset Values are in the spatial units of the data set. To add a single offset, select the value from the New Value slider in the Add value portion of the interface and click the Add button, or press Enter. To instead add several evenly spaced offsets, use the controls in the Generate range of values section. Select the number of offsets to generate using the Number of Values slider. The Range slider controls the interval in which to generate the offsets. Once the number of values and range have been selected, click the Generate button. The new offsets will be added to the Offset Values list. To delete a value from the Cut Offset Values list, select the value and click the Delete button. (If no value is selected, the last value in the list will be removed.) Clicking the Delete All button removes all the values in the list.\n"
"The Cut filter takes any type of data set as input. Use the Input menu to choose a data set to cut. The output of this filter is polygonal data. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
" <Module name=\"GenericGeometryFilter\" menu_name=\"GenericGeometryFilter\" root_name=\"PolyData\"\n"
"         module_type=\"Filter\"\n"
"         long_help=\"Extract geometry from a higher-order dataset\"\n"
"         short_help=\"Extract geometry from a higher-order dataset\">\n"
" \n"
" <Filter class=\"vtkGenericGeometryFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\"/>\n"
"    </Filter>\n"
"  <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"  <Documentation>\n"
"Extract geometry from a higher-order dataset.\n"
"  </Documentation>\n"
" </Module>\n"
"\n"
" <Module name=\"GenericOutlineFilter\"\n"
"          menu_name=\"Generic Outline\"\n"
"          root_name=\"Outline\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          long_help=\"This filter generates a bounding box representation of the input.\"\n"
"          short_help=\"Generates a bounding box.\">\n"
"    <Filter class=\"vtkGenericOutlineFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" label=\"Input\" property=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"The Outline filter generates an axis-aligned bounding box for the input data set. The Input menu specifies the data set for which to create a bounding box. This filter operates on any type of data set and produces polygonal output.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"<Module name=\"GenericStreamTracer\"\n"
"          root_name=\"Stream\"\n"
"          menu_name=\"Generic Stream Tracer\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"0\"\n"
"          button_help=\"Generate streamtraces from a collection of seed points.\"\n"
"          long_help=\"Integrate streamlines in a vector field.\"\n"
"          short_help=\"Integrate streamlines in a vector field.\">\n"
"    <Filter class=\"vtkGenericStreamTracer\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\"\n"
"             quantity=\"Multiple\">\n"
"        <ArrayRequirement attribute=\"Point\" components=\"3\"/>\n"
"      </Input>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu property=\"SelectInputVectors\"\n"
"               trace_name=\"Vectors\"\n"
"               label=\"Vectors\"\n"
"               input_menu=\"im\"\n"
"               help=\"Select the input vectors to use.\"/>\n"
"    <SelectWidget trace_name=\"Seed\"\n"
"                  label=\"Seed\"\n"
"                  property=\"Source\">\n"
"      <Item label=\"Point Cloud\"\n"
"            value=\"Output\">\n"
"        <PointSourceWidget trace_name=\"Point\"\n"
"                           radius_scale_factor=\".1\"\n"
"                           input_menu=\"im\"\n"
"                           default_number_of_points=\"100\"\n"
"                           show_entries=\"1\"/>\n"
"      </Item>\n"
"      <Item label=\"Line\"\n"
"            value=\"Output\">\n"
"        <LineSourceWidget trace_name=\"Line\" input_menu=\"im\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <ContainerWidget pack_direction=\"left\" trace_name=\"MaxProp\">\n"
"      <Item>\n"
"        <SelectionList property=\"MaximumPropagationUnit\"\n"
"                       trace_name=\"MaximumPropagationUnit\"\n"
"                       label=\"Max. Propagation\"\n"
"                       option_width=\"15\"\n"
"                       help=\"Maximum propagation\">\n"
"          <Item name=\"Time\"\n"
"                value=\"0\"/>\n"
"          <Item name=\"Length\"\n"
"                value=\"1\"/>\n"
"        </SelectionList>\n"
"      </Item>\n"
"      <Item>\n"
"        <ScaleFactorEntry label=\"\"\n"
"                          property=\"MaximumPropagation\"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface12 =
"                          trace_name=\"MaxPropLen\"\n"
"                          input_menu=\"im\"\n"
"                          help=\"Maximum propagation\" />\n"
"      </Item>\n"
"    </ContainerWidget>\n"
"    <ContainerWidget pack_direction=\"left\" trace_name=\"InitLen\">\n"
"      <Item>\n"
"        <SelectionList trace_name=\"InitialIntegrationStepUnit\"\n"
"                       property=\"InitialIntegrationStepUnit\"\n"
"                       label=\"Init. Step Len.\"\n"
"                       option_width=\"15\"\n"
"                       help=\"Initial step length\">\n"
"          <Item name=\"Time\"\n"
"                value=\"0\"/>\n"
"          <Item name=\"Length\"\n"
"                value=\"1\"/>\n"
"          <Item name=\"Cell Length\"\n"
"                value=\"2\"/>\n"
"        </SelectionList>\n"
"      </Item>\n"
"      <Item>\n"
"        <VectorEntry label=\"\"\n"
"                     property=\"InitialIntegrationStep\"\n"
"                     type=\"float\"\n"
"                     trace_name=\"InitLen\"\n"
"                     help=\"Initial step length\"/>\n"
"      </Item>\n"
"    </ContainerWidget>\n"
"    <SelectionList trace_name=\"IntegrationDirection\"\n"
"                   property=\"IntegrationDirection\"\n"
"                   label=\"Integration Direction\"\n"
"                   option_width=\"15\">\n"
"      <Item name=\"FORWARD\"\n"
"            value=\"0\"/>\n"
"      <Item name=\"BACKWARD\"\n"
"            value=\"1\"/>\n"
"      <Item name=\"BOTH\"\n"
"            value=\"2\"/>\n"
"    </SelectionList>\n"
"    <SelectWidget label=\"Integrator Type\"\n"
"                  property=\"IntegratorType\"\n"
"                  trace_name=\"IntegrationType\">\n"
"      <Item label=\"Runge-Kutta 2\" value=\"0\">\n"
"        <DummyWidget trace_name=\"Dummy1\"/>\n"
"      </Item>\n"
"      <Item label=\"Runge-Kutta 4\" value=\"1\">\n"
"        <DummyWidget trace_name=\"Dummy2\"/>\n"
"      </Item>\n"
"      <Item label=\"Runge-Kutta 4-5\" value=\"2\">\n"
"        <ContainerWidget trace_name=\"MinLen\">\n"
"      <Item>\n"
"        <ContainerWidget pack_direction=\"left\" trace_name=\"MinLen\">\n"
"          <Item>\n"
"            <SelectionList property=\"MinimumIntegrationStepUnit\"\n"
"                           trace_name=\"MinimumIntegrationStepUnit\"\n"
"                           label=\"Min. Step Len.\"\n"
"                           option_width=\"15\"\n"
"                           help=\"Minimum step length used in the integation\">\n"
"              <Item name=\"Time\"\n"
"                    value=\"0\"/>\n"
"              <Item name=\"Length\"\n"
"                    value=\"1\"/>\n"
"              <Item name=\"Cell Length\"\n"
"                    value=\"2\"/>\n"
"            </SelectionList>\n"
"          </Item>\n"
"          <Item>\n"
"            <VectorEntry label=\"\"\n"
"                         property=\"MinimumIntegrationStep\"\n"
"                         type=\"float\"\n"
"                         trace_name=\"MinLen\"\n"
"                         help=\"Minimum step length  used in the integation\"/>\n"
"          </Item>\n"
"        </ContainerWidget>\n"
"      </Item>\n"
"      <Item>\n"
"        <ContainerWidget pack_direction=\"left\" trace_name=\"MaxLen\">\n"
"          <Item>\n"
"            <SelectionList property=\"MaximumIntegrationStepUnit\"\n"
"                           trace_name=\"MaximumIntegrationStepUnit\"\n"
"                           label=\"Max. Step Len.\"\n"
"                           option_width=\"15\"\n"
"                           help=\"Maximum step length used in the integration\">\n"
"              <Item name=\"Time\"\n"
"                    value=\"0\"/>\n"
"              <Item name=\"Length\"\n"
"                    value=\"1\"/>\n"
"              <Item name=\"Cell Length\"\n"
"                    value=\"2\"/>\n"
"            </SelectionList>\n"
"          </Item>\n"
"          <Item>\n"
"            <VectorEntry label=\"\"\n"
"                         property=\"MaximumIntegrationStep\"\n"
"                         type=\"float\"\n"
"                         trace_name=\"MaxLen\"\n"
"                         help=\"Maximum step length used in the integration\"/>\n"
"          </Item>\n"
"        </ContainerWidget>\n"
"      </Item>\n"
"      <Item>\n"
"      <VectorEntry label=\"Maximum Error\"\n"
"                   trace_name=\"MaximumError\"\n"
"                   property=\"MaximumError\"\n"
"                   type=\"float\"\n"
"                   help=\"Maximum error allowed in the integration\"/>\n"
"      </Item>\n"
"      </ContainerWidget>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"    <VectorEntry label=\"Max. Steps\"\n"
"                 trace_name=\"MaximumNumberOfSteps\"\n"
"                 property=\"MaximumNumberOfSteps\"\n"
"                 type=\"int\"\n"
"                 help=\"Maximum number of steps.\"/>\n"
"    <VectorEntry label=\"Term. Speed\"\n"
"                 trace_name=\"TerminalSpeed\"\n"
"                 property=\"TerminalSpeed\"\n"
"                 type=\"float\"\n"
"                 help=\"Terminal speed. The integration will be stopped if the speed (absolute value) is smaller than this threshold\"/>\n"
"    <Documentation>\n"
"The Stream Tracer filter generates streamlines in a vector field from a collection of seed points. The vector field used is selected from the Vectors menu, so the input data set is required to have point-centered vectors. The Seed portion of the interface allows you to select whether the seed points for this integration lie in a point cloud or along a line. Depending on which is selected, the appropriate 3D widget (point or line widget) is displayed along with traditional user interface controls for positioning the point cloud or line within the data set. Instructions for using the 3D widgets and the corresponding manual controls can be found in section 7.4.\n"
"The Max. Propagation entry box allows you to specify the maximum length of the streamlines. From the Max. Propagation menu, you can select the units to be either Time (the time a particle would travel with steady flow) or Length (in the data set's spatial coordinates).\n"
"The Init. Step Len. menu and entry specify the initial step size for integration. (For non-adaptive integrators, Runge-Kutta 2 and 4, the initial step size is used throughout the integration.) The menu allows you to specify the units. Time and Length have the same meaning as for Max. Propagation. Cell Length specifies the step length as a number of cells.\n"
"The Integration Direction menu determines in which direction(s) the stream trace will be generated: FORWARD, BACKWARD, or BOTH.\n"
"The Integrator Type section of the interface determines which calculation to use for integration: Runge-Kutta 2, Runge-Kutta 4, or Runge-Kutta 4-5. If Runge-Kutta 4-5 is selected, controls are displayed for specifying the minimum and maximum step length and the maximum error. The controls for specifying Min. Step Len. and Max. Step Len. are the same as those for Init. Step Len. The Runge-Kutta 4-5 integrator tries to choose the step size so that the estimated error is less than the value of the Maximum Error entry.\n"
"If the integration takes more than Max. Steps to complete, if the speed goes below Term. Speed, if Max. Propagation is reached, or if a boundary of the input data set is crossed, integration terminates.\n"
"This filter operates on any type of data set, provided it has point-centered vectors. The output is polygonal data containing polylines. This filter is available on the Toolbar.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"<Module name=\"Tessellator\" menu_name=\"Tessellator\" root_name=\"UnstructuredGrid\"\n"
"         module_type=\"Filter\"\n"
"         long_help=\"Tessellate a higher-order dataset\"\n"
"         short_help=\"Tessellate a higher-order dataset\">\n"
" \n"
" <Filter class=\"vtkGenericDataSetTessellator\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkGenericDataSet\"/>\n"
"    </Filter>\n"
"   <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"  <Documentation>\n"
"Tessellate a higher-order dataset.\n"
"  </Documentation>\n"
" </Module>\n"
"\n"
"  <Module name=\"GroupDataSets\"\n"
"          menu_name=\"Group Datasets\"\n"
"          root_name=\"GroupDataSets\"\n"
"          module_type=\"Filter\"\n"
"          replace_input=\"1\"\n"
"          long_help=\"Group data sets.\"\n"
"          short_help=\"Group multiple inputs into one collection.\"\n"
"          button_image=\"PVGroupButton\"\n"
"          button_help=\"Group multiple modules into one.\"\n"
"          button_visibility=\"0\">\n"
"    <Filter class=\"vtkMultiGroupDataGroupFilter\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\"/>\n"
"    </Filter>\n"
"    <GroupInputsWidget trace_name=\"inputs\" property=\"Input\"\n"
"                       help=\"Choose inputs to group.\"/>\n"
"    <Documentation>\n"
"Groups multiple datasets to create a multigroup dataset\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"  <Module name=\"GroupIdScalars\"\n"
"          menu_name=\"Level Scalars\"\n"
"          root_name=\"LScalars\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter uses colors to show levels of a hiearchical dataset.\"\n"
"          short_help=\"Generate point scalars from level.\">\n"
"    <Filter class=\"vtkMultiGroupDataGroupIdScalars\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkMultiGroupDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <Documentation>\n"
"This filter uses colors to show levels of a hiearchical dataset.    </Documentation>\n"
"  </Module>\n"
"\n"
"  <Module name=\"ExtractLevel\"\n"
"          menu_name=\"Extract Group\"\n"
"          root_name=\"ExtGroup\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter extracts a range of groups from a multigroup dataset.\"\n"
"          short_help=\"Extract level.\">\n"
"    <Filter class=\"vtkMultiGroupDataExtractGroup\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkMultiGroupDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"\n"
"    <MinMax trace_name=\"MinMax\"\n"
"            property=\"GroupRange\"\n"
"            min_label=\"Min Group\"\n"
"            max_label=\"Max Group\"\n"
"            min_help=\"Choose the group range to extract\"\n"
"            max_help=\"Choose the group range to extract\"/>\n"
"\n"
"    <Documentation>\n"
"This filter extracts a range of groups from a multigroup dataset    \n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"  <Module name=\"ExtractDataSets\"\n"
"          menu_name=\"Extract Datasets\"\n"
"          root_name=\"ExtDS\"\n"
"          module_type=\"Filter\"\n"
"          long_help=\"This filter extracts a list of datasets from multigroup datasets.\"\n"
"          short_help=\"Extract datasets.\">\n"
"    <Filter class=\"vtkMultiGroupDataExtractDataSets\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkMultiGroupDataSet\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ExtractDataSetsWidget trace_name=\"datasets\"\n"
"                           property=\"SelectedDataSets\"\n"
"                           help=\"Choose the datasets to extract.\"/>\n"
"\n"
"    <Documentation>\n"
"This filter extracts a list of datasets from multigroup datasets.\n"
"    </Documentation>\n"
"  </Module>\n"
"\n"
"<!--\n"
" <Module name=\"AttributeEditor\"\n"
"          root_name=\"AttributeEditor\"\n"
"          class=\"vtkPVAttributeEditor\"\n"
"          module_type=\"Filter\"\n"
"          button_image=\"PVAttributeEditor\"\n"
"          button_help=\"Select with a point or box widget the region to edit.\"\n"
"          button_visibility=\"0\"\n"
"          long_help=\"Select with a point or box widget the region to edit.  This output data type of this filter is always an unstructured grid.\"\n"
"          short_help=\"Select with a point or box widget the region to edit.\">\n"
"    <Filter class=\"vtkAttributeEditor\">\n"
"      <Input name=\"Input\"\n"
"             class=\"vtkDataSet\" quantity=\"Multiple\"/>\n"
"    </Filter>\n"
"    <InputMenu trace_name=\"Input\" property=\"Input\"\n"
"               id=\"im1\"\n"
"               label=\"Input\"\n"
"               help=\"Set the input to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <InputMenu trace_name=\"Source\" property=\"Source\"\n"
"               id=\"im2\"\n"
"               label=\"Source\"\n"
"               help=\"Set the source dataset to this filter.\"\n"
"               input_name=\"Input\"/>\n"
"    <ArrayMenu id=\"am\" property=\"SelectInputScalars\"\n"
"               trace_name=\"Scalars\"\n"
"               label=\"Scalars\"\n"
"               input_menu=\"im1\"\n"
"               help=\"Choose the scalar array.\"/>\n"
"    <SelectWidget label=\"Pick Method\"\n"
"                  trace_name=\"PickFunction\"\n"
"                  property=\"PickFunction\">\n"
"      <Item label=\"'e'dit within a box\"\n"
"            value=\"Box\">\n"
"        <PickBoxWidget use_label=\"0\"\n"
"                   trace_name=\"Box\"\n"
"                   input_menu=\"im1\"\n"
"                   help=\"Adjusts the parameters of the box to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"'e'dit within a draggable sphere\"\n"
"            value=\"Sphere\">\n"
"        <PickSphereWidget use_label=\"0\"\n"
"                   trace_name=\"Sphere\"\n"
"                   input_menu=\"im1\"\n"
"                   help=\"Adjusts the parameters of the box to clip with.\"/>\n"
"      </Item>\n"
"      <Item label=\"'e'dit at a point\" value=\"Point\">\n"
"        <PointWidget trace_name=\"Point\" variable=\"WorldPoint\" input_menu=\"im1\"\n"
"                     help=\"Pick the node closest to this world point. The 'p' key can be used to select a node under the cursor.\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"\n"
"    <VectorEntry label=\"Attribute Value\"\n"
"                        trace_name=\"AttributeValue\"\n"
"                        type=\"float\"\n"
"                        property=\"Value\"\n"
"                        help=\"Choose the scalar value to select with\"/>\n"
"    <Documentation>\n"
"The Attribute Editor filter selects a portion of the input data set using a box. The menu in the Clip Function portion of the interface allows the user to select which implicit function to use or whether to clip using a scalar value. Making this selection loads the appropriate user interface. For the implicit functions, the appropriate 3D widget is also displayed. The use of these 3D widgets, including their user interface components, is discussed in section 7.4.\n"
"If an implicit function is selected, the clip filter returns that portion of the input data set that lies inside the function.  The filter will return the portions of the data set whose value in the selected Scalars array is larger than the Clip value. Regardless of the selection from the Clip Function menu, if the Inside Out option is checked, the opposite portions of the data set will be returned.\n"
"This filter operates on all types of data sets, and it returns unstructured grid data on output. This filter is available on the toolbar.\n"
"    </Documentation>\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Filters.xml
static const char* vtkPVDefaultModulesFiltersInterface13 =
"  </Module>\n"
"-->\n"
"</ModuleInterfaces>\n"
"\n";
// Get single string
char* vtkPVDefaultModulesFiltersGetInterfaces()
{
  int len = ( 0
    + strlen(vtkPVDefaultModulesFiltersInterface0)
    + strlen(vtkPVDefaultModulesFiltersInterface1)
    + strlen(vtkPVDefaultModulesFiltersInterface2)
    + strlen(vtkPVDefaultModulesFiltersInterface3)
    + strlen(vtkPVDefaultModulesFiltersInterface4)
    + strlen(vtkPVDefaultModulesFiltersInterface5)
    + strlen(vtkPVDefaultModulesFiltersInterface6)
    + strlen(vtkPVDefaultModulesFiltersInterface7)
    + strlen(vtkPVDefaultModulesFiltersInterface8)
    + strlen(vtkPVDefaultModulesFiltersInterface9)
    + strlen(vtkPVDefaultModulesFiltersInterface10)
    + strlen(vtkPVDefaultModulesFiltersInterface11)
    + strlen(vtkPVDefaultModulesFiltersInterface12)
    + strlen(vtkPVDefaultModulesFiltersInterface13) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkPVDefaultModulesFiltersInterface0);
  strcat(res, vtkPVDefaultModulesFiltersInterface1);
  strcat(res, vtkPVDefaultModulesFiltersInterface2);
  strcat(res, vtkPVDefaultModulesFiltersInterface3);
  strcat(res, vtkPVDefaultModulesFiltersInterface4);
  strcat(res, vtkPVDefaultModulesFiltersInterface5);
  strcat(res, vtkPVDefaultModulesFiltersInterface6);
  strcat(res, vtkPVDefaultModulesFiltersInterface7);
  strcat(res, vtkPVDefaultModulesFiltersInterface8);
  strcat(res, vtkPVDefaultModulesFiltersInterface9);
  strcat(res, vtkPVDefaultModulesFiltersInterface10);
  strcat(res, vtkPVDefaultModulesFiltersInterface11);
  strcat(res, vtkPVDefaultModulesFiltersInterface12);
  strcat(res, vtkPVDefaultModulesFiltersInterface13);
  return res;
}


// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Manipulators.xml
static const char* vtkPVDefaultModulesManipulatorsInterface0 =
"<ModuleInterfaces>\n"
"  <Manipulator name=\"FlyIn\" types=\"3D\" class=\"vtkPVJoystickFlyIn\">\n"
"  <!--\n"
"    <Scale variable=\"FlySpeed\" resolution=\".1\" range=\"1 30\" \n"
"           trace_name=\"FlySpeed \" trace_slider_movement=\"1\"\n"
"           help=\"Set the speed of the camera in fly-in/out modes.\"/>\n"
"  -->\n"
"  </Manipulator>\n"
"\n"
"  <Manipulator name=\"FlyOut\" types=\"3D\" class=\"vtkPVJoystickFlyOut\">\n"
"  <!--\n"
"    <Scale variable=\"FlySpeed\" resolution=\".1\" range=\"1 30\" \n"
"           trace_name=\"FlySpeed\" trace_slider_movement=\"1\"\n"
"           help=\"Set the speed of fly-out camera manipulation.\"/>\n"
"  -->\n"
"  </Manipulator>\n"
"\n"
"  <Manipulator name=\"Rotate\" types=\"3D\" class=\"vtkPVTrackballRotate\">\n"
"  </Manipulator>\n"
"\n"
"  <Manipulator name=\"Roll\" types=\"2D 3D\" class=\"vtkPVTrackballRoll\">\n"
"  </Manipulator>\n"
"\n"
"  <Manipulator name=\"Pan\" types=\"2D 3D\" class=\"vtkPVTrackballPan\">\n"
"  </Manipulator>\n"
"\n"
"  <Manipulator name=\"Move\" types=\"2D 3D\" class=\"vtkPVTrackballMoveActor\">\n"
"  </Manipulator>\n"
"\n"
"  <Manipulator name=\"Zoom\" types=\"2D 3D\" class=\"vtkPVTrackballZoom\">\n"
"  </Manipulator>\n"
"\n"
"</ModuleInterfaces>\n"
"\n"
"\n";
// Get single string
char* vtkPVDefaultModulesManipulatorsGetInterfaces()
{
  int len = ( 0
    + strlen(vtkPVDefaultModulesManipulatorsInterface0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkPVDefaultModulesManipulatorsInterface0);
  return res;
}


// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Sources.xml
static const char* vtkPVDefaultModulesSourcesInterface0 =
"<ModuleInterfaces>\n"
"\n"
"<Module name=\"GlyphSource2D\" menu_name=\"2D Glyph\" root_name=\"Glyph2D\"\n"
"        module_type=\"Source\"\n"
"        long_help=\"2D glyph source\"\n"
"        short_help=\"Create a 3D arrow\">\n"
"  <Source class=\"vtkGlyphSource2D\"/>\n"
"  <SelectionList property=\"GlyphType\" label=\"Glyph type\"\n"
"                 trace_name=\"GlyphType\" help=\"Select the glyph type.\"\n"
"                 default_value=\"9\">\n"
"    <Item name=\"Vertex\"       value=\"1\"/>\n"
"    <Item name=\"Dash\"         value=\"2\"/>\n"
"    <Item name=\"Cross\"        value=\"3\"/>\n"
"    <Item name=\"Thick Cross\"  value=\"4\"/>\n"
"    <Item name=\"Triangle\"     value=\"5\"/>\n"
"    <Item name=\"Square\"       value=\"6\"/>\n"
"    <Item name=\"Circle\"       value=\"7\"/>\n"
"    <Item name=\"Diamond\"      value=\"8\"/>\n"
"    <Item name=\"Arrow\"        value=\"9\"/>\n"
"    <Item name=\"Thick Arrow\"  value=\"10\"/>\n"
"  </SelectionList>\n"
"  <LabeledToggle label=\"Filled\" property=\"Filled\" trace_name=\"Filled\"\n"
"                 help=\"Specify whether the glyph is filled (a polygon) or not (a closed polygon defined by line segments). This only applies to 2D closed glyphs\"/>\n"
"  <VectorEntry label=\"Center\" property=\"Center\" trace_name=\"Center\"\n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the x, y, z coordinates of the origin of the axes\" />\n"
"  <Documentation>\n"
"The 2D Glyph source is used for generating a family of 2D glyphs, each of which lies in the x-y plane. There are two parameters for 2D Glyphs.\n"
"Glyph type: The types of 2D glyphs that can be created are Vertex, Dash, Cross, Thick Cross, Triangle, Square, Circle, Diamond, Arrow, and Thick Arrow. The default is Arrow.\n"
"Filled: If the glyph is filled, it is drawn as a solid polygon; otherwise it is drawn with only lines. By default Filled is off.\n"
"The output of the 2D Glyph source is polygonal data.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<!-- #ifdef PARAVIEW_BUILD_DEVELOPMENT -->\n"
"<Module name=\"HierarchicalFractal\" \n"
"        menu_name=\"Hierarchical Fractal\" \n"
"        root_name=\"HierarchicalFractal\"\n"
"        module_type=\"Source\" \n"
"        long_help=\"Test source for AMR with HierarchicalDataSet\" \n"
"        short_help=\"HierarchicalFractal\">\n"
"  <Source class=\"vtkHierarchicalFractal\"/>\n"
"<!-- should use widget that keeps values non-negative -->\n"
"  <VectorEntry label=\"Dimension\" trace_name=\"Dimension\"\n"
"               property=\"Dimensions\" type=\"int\"\n"
"               help=\"XYZ cell dimensions of a block\"/>\n"
"  <VectorEntry label=\"FractalValue\" trace_name=\"FractalValue\"\n"
"               property=\"FractalValue\" type=\"float\"\n"
"               help=\"Map this value to 0.5 for use as a volume fraction.\"/>\n"
"<!-- should use widget that keeps value non-negative -->\n"
"  <VectorEntry label=\"MaximumLevel\" trace_name=\"MaximumLevel\"\n"
"               property=\"MaximumLevel\" type=\"int\"\n"
"               help=\"Determines how deep to refine the grid.\"/>\n"
"  <LabeledToggle label=\"GhostLevels\" trace_name=\"GhostLevels\" \n"
"                 property=\"GhostLevels\"\n"
"                 help=\"Set whether to generate overlapping ghost levels.\" />\n"
"  <LabeledToggle label=\"TwoDimensional\" trace_name=\"TwoDimensional\" \n"
"                 property=\"TwoDimensional\"\n"
"                 help=\"Generate a 2D AMR fractal.\" />\n"
"  <LabeledToggle label=\"Asymetric\" trace_name=\"Asymetric\" \n"
"                 property=\"Asymetric\"\n"
"                 help=\"Some blocks have X dimension larger by 2.\" />\n"
" <LabeledToggle label=\"RectilinearGrids\" trace_name=\"RectilinearGrids\" \n"
"                 property=\"RectilinearGrids\"\n"
"                 help=\"Set whether to generate rectilinear grids or uniform grids\" />\n"
"  <Scale property=\"TimeStep\"\n"
"         label=\"Time step\" trace_name=\"TimeStep\"\n"
"         keeps_timesteps=\"1\"\n"
"         entry_and_label_on_top=\"0\"\n"
"         display_value=\"0\"\n"
"         help=\"Set the current timestep.\"/>\n"
"</Module>\n"
"<!-- #endif -->\n"
"\n"
"<Module name=\"VectorText\" menu_name=\"3D Text\" root_name=\"VectorText\"\n"
"        module_type=\"Source\" \n"
"        long_help=\"3D geometric representation of a text string.\" \n"
"        short_help=\"Create a 3D text object\">\n"
"  <Source class=\"vtkVectorText\"/>\n"
"  <StringEntry label=\"Text\" trace_name=\"Text\" property=\"Text\"\n"
"               help=\"Enter the text to display\"/>\n"
"  <Documentation>\n"
"The 3D Text source displays a text string as polygonal text. There is only one parameter for 3D Text.\n"
"Text: Specify the text string to be displayed. The ASCII alphanumeric characters a-z, A-Z, and 0-9 are supported; so are ASCII punctuation marks. The only supported control character is \"\\n\", which inserts a new line in the text string. The default value is \"3D Text\".\n"
"The output of the 3D Text source is polygonal data.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"\n"
"<Module name=\"ArrowSource\" menu_name=\"Arrow\" root_name=\"Arrow\"\n"
"        module_type=\"Source\" \n"
"        long_help=\"3D arrow with a long cylindrical shaft and a cone for the tip.\" \n"
"        short_help=\"Create a 3D arrow\">\n"
"  <Source class=\"vtkPVArrowSource\"/>\n"
"<!-- Scales are used here because vtkArrowSource sets these ranges for these parameters. -->\n"
"  <Scale label=\"Tip resolution\" trace_name=\"TipResolution\"\n"
"               property=\"TipResolution\"\n"
"               help=\"Set the number of faces on the tip.\"\n"
"               resolution=\"1\"\n"
"               display_entry=\"1\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               display_value=\"0\"/>\n"
"  <Scale label=\"Tip radius\" trace_name=\"TipRadius\"\n"
"               property=\"TipRadius\"\n"
"               help=\"Set the radius of the widest part of the tip.\"\n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               display_value=\"0\"/>\n"
"  <Scale label=\"Tip length\" trace_name=\"TipLength\"\n"
"               property=\"TipLength\"\n"
"               help=\"Set the length of the tip (the whole arrow is length 1)\"\n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               display_value=\"0\"/>\n"
"  <Scale label=\"Shaft resolution\" trace_name=\"ShaftResolution\"\n"
"               property=\"ShaftResolution\"\n"
"               help=\"Set the number of faces on shaft\"\n"
"               resolution=\"1\"\n"
"               display_entry=\"1\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               display_value=\"0\"/>\n"
"  <Scale label=\"Shaft radius\" trace_name=\"ShaftRadius\"\n"
"               property=\"ShaftRadius\"\n"
"               help=\"Set the radius of the shaft\"\n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               display_value=\"0\"/>\n"
"  <Documentation>\n"
"The Arrow source appends a cylinder to a cone to form a 3D arrow. The parameters for the Arrow source are as follows.\n"
"Tip resolution: Set the number of faces in the representation of the tip of the arrow (the cone). As the resolution increases, the cone will become smoother. The default value is 6.\n"
"Tip radius: Specify the radius of the tip of the arrow (the cone). The length of the whole arrow is 1.0 unit. The default value is 0.1 units.\n"
"Tip length: Specify the length of the tip. The value ranges between 0.0 units and 1.0 unit (the length of the whole arrow). The default is 0.35 units.\n"
"Shaft resolution: Set the number of faces of the shaft of the arrow (the cylinder). As the resolution increases, the cylinder will become smoother. The default value is 6.\n"
"Shaft radius: Specify the radius of the shaft of the arrow (the cylinder). The length of the whole arrow is 1.0 unit. The default value is 0.03 unit.\n"
"The output of the Arrow source is polygonal data. This polygonal data will not contain normals, so rendering of the arrow will be performed using flat shading. The appearance of the arrow can be improved without significantly increasing the resolution of the tip and shaft by generating normals (Normals generation filter).\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"Axes\" root_name=\"Axes\" module_type=\"Source\" \n"
"        long_help=\"Three lines representing the axes - red line along X, green line along Y, and blue line along Z.\" \n"
"        short_help=\"Create three lines representing X, Y and Z axes\">\n"
"  <Source class=\"vtkAxes\"/>\n"
"  <VectorEntry label=\"Scale\" trace_name=\"ScaleFactor\" property=\"ScaleFactor\"\n"
"               type=\"float\"\n"
"               help=\"Set the size of the axes\"/>\n"
"  <VectorEntry label=\"Origin\" property=\"Origin\" trace_name=\"Origin\"\n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the x, y, z coordinates of the origin of the axes\" />\n"
"  <LabeledToggle label=\"Symmetric\" trace_name=\"Symmetric\" property=\"Symmetric\"\n"
"                 help=\"Select whether to display the negative axes\" />\n"
"  <Documentation>\n"
"The Axes source can be used to add a representation of the coordinate system axes to the 3D scene. The X axis will be drawn as a blue line, the Y axis as a green line, and the Z axis as a red line. The axes can be drawn either as three lines drawn in the positive direction from the origin or as three lines crossing at the origin (drawn in both the positive and negative directions). The Axes source has the following parameters.\n"
"Scale: By default the axes lines have a length of 1 (or 1 in each direction, for a total length of 2, if the Symmetric option is selected). This value can be changed to make the axes larger or smaller.\n"
"Origin: These entry boxes can be used to change the origin of the axes. The default origin of the axes is at (0, 0, 0).\n"
"Symmetric: When the Symmetric option is selected, the axes extend along both the positive and negative directions for a distance equal to the scale value. When unchecked (the default) the axes extend only in the positive direction.\n"
"The output of the Axes source is polygonal data. This polygonal data has a scalar per line so that the lines can be colored. It also has normals defined.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"CubeSource\" menu_name=\"Box\" root_name=\"Cube\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"3D box with specified X, Y, and Z lengths.\" \n"
"        short_help=\"Create a box with specified X, Y, and Z lengths.\">\n"
"  <Source class=\"vtkCubeSource\"/>\n"
"  <ThumbWheel label=\"X length\" trace_name=\"XLength\" property=\"XLength\"\n"
"               resolution=\"0.01\" minimum_value=\"0\"\n"
"               help=\"The length of the cube in the x direction.\" />\n"
"  <ThumbWheel label=\"Y length\" trace_name=\"YLength\" property=\"YLength\"\n"
"               resolution=\"0.01\" minimum_value=\"0\"\n"
"               help=\"The length of the cube in the y direction.\" />\n"
"  <ThumbWheel label=\"Z length\" trace_name=\"ZLength\" property=\"ZLength\"\n"
"               resolution=\"0.01\" minimum_value=\"0\"\n"
"               help=\"The length of the cube in the z direction.\" />\n"
"  <VectorEntry label=\"Center\" property=\"Center\" trace_name=\"Center\" length=\"3\" \n"
"               type=\"float\"\n"
"               help=\"Set the center of the cube.\" />\n"
"  <Documentation>\n"
"The Box source can be used to add a box to the 3D scene. The Box source has the following parameters.\n"
"X Length: This value specifies the length of the box along the X axis. By default the X length of the box is 1.\n"
"Y Length: This value specifies the length of the box along the Y axis. By default the Y length of the box is 1.\n"
"Z Length: This value specifies the length of the box along the Z axis. By default the Z length of the box is 1.\n"
"Center: These three values represent the coordinate at the center of the box. By default the box is centered at (0, 0, 0).\n"
"The output of the Box source is polygonal data containing both normals and texture coordinates.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"ConeSource\" menu_name=\"Cone\" root_name=\"Cone\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"3D cone of a given radius and height.\" \n"
"        short_help=\"Create a 3D cone of a given radius and height\">\n"
"  <Source class=\"vtkConeSource\"/>\n"
"  <Scale label=\"Resolution\" trace_name=\"Resolution\" property=\"Resolution\"\n"
"               resolution=\"1\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Set the number of faces on this cone\" />\n"
"  <ThumbWheel label=\"Radius\" trace_name=\"Radius\" property=\"Radius\"\n"
"              resolution=\"0.01\" minimum_value=\"0\"\n"
"              help=\"Set the radius of the widget part of the cone\" />\n"
"  <ThumbWheel label=\"Height\" trace_name=\"Height\" property=\"Height\"\n"
"              resolution=\"0.01\" minimum_value=\"0\"\n"
"              help=\"Set the height of the cone\" />\n"
"  <LabeledToggle label=\"Capping\" trace_name=\"Capping\" property=\"Capping\"\n"
"                 help=\"Set whether to draw the base of the cone\" />\n"
"  <Documentation>\n"
"The Cone source can be used to add a polygonal cone to the 3D scene. The Cone source has the following parameters.\n"
"Resolution: This value indicates the number of divisions around the cone. The higher this number, the closer the polygonal approximation will come to representing a cone, and the more polygons it will contain. The default resolution is 6.\n"
"Radius: This is the radius of the cone. The default value is 0.5.\n"
"Height: This is the height of the cone. The default value is 1.0.\n"
"Capping: This check box indicates whether the cone is capped (i.e., there is a polygon closing off the wide end of the cone) or open. By default the cone is capped.\n"
"The output of the Cone source is polygonal data.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"CylinderSource\" menu_name=\"Cylinder\" root_name=\"Cyl\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"3D cylinder of a given radius and height.\" \n"
"        short_help=\"Create a 3D cylinder of a given radius and height\">\n"
"  <Source class=\"vtkCylinderSource\"/>\n"
"  <Scale label=\"Resolution\" trace_name=\"Resolution\" property=\"Resolution\"\n"
"               resolution=\"1\"\n"
"               display_entry=\"1\" entry_and_label_on_top=\"0\" display_value=\"0\"\n"
"               help=\"The number of facets used to define the cylinder.\" />\n"
"  <ThumbWheel label=\"Height\" trace_name=\"Height\" property=\"Height\"\n"
"               resolution=\"0.01\" minimum_value=\"0\"\n"
"               help=\"The height of the cylinder (along the y axis).\" />\n"
"  <ThumbWheel label=\"Radius\" trace_name=\"Radius\" property=\"Radius\"\n"
"              resolution=\"0.01\" minimum_value=\"0\"\n"
"              help=\"The radius of the cylinder.\" />\n"
"  <VectorEntry  label=\"Center\" property=\"Center\" trace_name=\"Center\"\n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the center of the cylinder.\" />\n"
"  <LabeledToggle label=\"Capping\" property=\"Capping\" trace_name=\"Capping\"\n"
"                 help=\"Set whether to draw the ends of the cylinder\" />\n"
"  <Documentation>\n"
"The Cylinder source can be used to add a polygonal cylinder to the 3D scene. The following parameters can be set for the Cylinder source.\n"
"Resolution: This value indicates the number of divisions around the cylinder. The higher this number, the closer the polygonal approximation will come to representing a cylinder, and the more polygons it will contain. The default resolution is 6.\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Sources.xml
static const char* vtkPVDefaultModulesSourcesInterface1 =
"Height: This is the height of the cylinder. The default value is 1.0.\n"
"Radius: This is the radius of the cylinder. The default value is 0.5.\n"
"Center: These three values represent the coordinate value at the center of the cylinder. By default, the cylinder is centered at (0, 0, 0).\n"
"Capping: This check box indicates whether the cylinder is capped (i.e., each end of the cylinder is closed off by a polygon) or open. By default the cylinder is capped.\n"
"The output of the Cylinder source is polygonal data containing both normals and texture coordinates.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"LineSource\" menu_name=\"Line\" root_name=\"Line\" \n"
"        module_type=\"Source\" \n"
"        button_image=\"PVRulerButton\"\n"
"        button_help=\"Measure the distance between two points.  Use the 'p' key to pick the points.\"\n"
"        long_help=\"Line between two points. The resolution indicates how many segments are in the line.\" \n"
"        short_help=\"Create a line between two points\">\n"
"  <Source class=\"vtkLineSource\"/>\n"
"  <LineWidget trace_name=\"Line\" \n"
"              point1_variable=\"Point1\" point2_variable=\"Point2\"\n"
"              point1_label=\"Point 1\" point2_label=\"Point 2\"\n"
"              show_resolution=\"0\"\n"
"              help=\"Set the start and end point for the line\"/>\n"
"  <ThumbWheel label=\"Resolution\" trace_name=\"Resolution\" property=\"Resolution\"\n"
"              resolution=\"1\" minimum_value=\"1\"\n"
"              help=\"The number of pieces to divide the line into.\" />\n"
"  <Documentation>\n"
"The Line source can be used to interactively (using a 3D widget) or manually (using the entries on the user interface) add a line to the 3D scene. The Line source has the following parameters.\n"
"Point 1: These three values indicate the coordinates of one of the two end points of the line. Moving one of the end points of the 3D widget will change these values. The default coordinates of Point 1 are (-0.5, 0, 0).\n"
"Point 2: These three values indicate the coordinates of the other of the two end points of the line. Moving the other end point of the 3D widget will change these values. The default coordinates of Point 2 are (0.5, 0, 0).\n"
"Resolution: This value represents the number of line segments in the output line. By default this value is 1. As opposed to some other sources (e.g., the sphere, cone, and cylinder), increasing the resolution does not increase the accuracy of the line; it simply increases the number of colinear line segments defining the line. This can sometimes be useful when using the output as input to a filter.\n"
"There is also a Visibility check box in the Line Widget area of the parameters. This check box toggles the visibility of the 3D line widget.\n"
"The output of the Line source is polygonal data.\n"
"  </Documentation>\n"
"</Module>\n"
"<Module name=\"ImageMandelbrotSource\" menu_name=\"Mandelbrot\" \n"
"        root_name=\"Fractal\" module_type=\"Source\" \n"
"        long_help=\"Representation (unsigned char ) of the Mandlebrot set in up to 3 dimensions.\" \n"
"        short_help=\"Create a Mandelbrot representation\"\n"
"        button_image=\"PVMandelbrotButton\"\n"
"        button_help=\"Create a fractal image or volume.\"\n"
"        button_visibility=\"0\">\n"
"  <Source class=\"vtkImageMandelbrotSource\"/>\n"
"  <VectorEntry label=\"Extent\" trace_name=\"Extent\" property=\"WholeExtent\" \n"
"               type=\"int\" length=\"6\"\n"
"               help=\"Set the min and max values of the data in each dimension\" />\n"
"  <VectorEntry label=\"Sub-space\" trace_name=\"SubSpace\" \n"
"               property=\"ProjectionAxes\" type=\"int\" \n"
"               length=\"3\"\n"
"               help=\"Choose which axes of the data set to display\" />\n"
"  <VectorEntry label=\"Origin\" trace_name=\"Origin\" property=\"OriginCX\" \n"
"               type=\"float\" length=\"4\"\n"
"               help=\"Set the imaginary and real values for C (constant) and X (initial value)\" />\n"
"  <VectorEntry label=\"Size\" trace_name=\"Size\" property=\"SizeCX\" type=\"float\" \n"
"               length=\"4\"\n"
"               help=\"Set the inaginary and real values for the world size of the volume for C (constant) and X (initial value)\" />\n"
"  <Scale label=\"Max. iterations\" trace_name=\"MaxIterations\" \n"
"               property=\"MaximumNumberOfIterations\"\n"
"               resolution=\"1\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"The limit on computational iterations. Values less than 2.0 after this many iterations are considered in the set.\"/>\n"
"  <Documentation>\n"
"The Mandelbrot source can be used to add a uniform rectilinear grid with scalar values derived from the Mandelbrot set to the 3D scene. The equation used is z = z2 + C (where z and C are complex). The scalar values in the grid are the number of iterations of the equation it takes for the magnitude of the value to become greater than 2. In the equation, the initial value of z is 0. By default, the real component of C is mapped onto the X axis; the imaginary component of C is mapped onto the Y axis; and the imaginary component of the initial value is mapped onto the Z axis. If a two-dimensional extent is specified, the resulting image will be displayed. If a three-dimensional extent is used, then the bounding box of the volume will be displayed. The following parameters of the Mandelbrot source can be controlled.\n"
"Extent: These six values indicate the X, Y, and Z extent of the output data. The first two numbers are the minimum and maximum X extent; the next two are the minimum and maximum Y extent; and the final two are the minimum and maximum Z extent. The numbers are inclusive, so the default values of 0, 250, 0, 250, 0, 0 indicate that the dimensions of the output will be 251 x 251 x 1.\n"
"Sub-space: These three values allow you to set the projection from the 4D space to the axes of the 3D volume. By default, the real component of C (represented by 0) is mapped to the X axis; the imaginary component of C (represented by 1) is mapped to the Y axis; and the real component of X, the initial value (represented by 2) is mapped to the Z axis. The imaginary component of X is represented by 3. All values entered must be between 0 and 3, inclusive.\n"
"Origin: These four values indicate the components of C (real and imaginary) and the components of the initial value, X (real and imaginary). The first two numbers represent the real and imaginary components of C, and the last two indicate the real and imaginary components of X. The default values are -1.75, -1.25, 0, and 0.\n"
"Size: These four values indicate the length of the output in each of the four dimensions. (The three dimensions specified in the Sub-space will determine which of these values specify the length of the axes in the output.) The default values are 2.5, 2.5, 2, and 1.5\n"
"Max. iterations: This number indicates the maximum number of iteration to perform in order to determine if the value will go above 2. The default value is 100.\n"
"The output of the Mandelbrot source is image (uniform rectilinear) data.\n"
"   </Documentation>\n"
"</Module>\n"
"<Module name=\"PlaneSource\" menu_name=\"Plane\" root_name=\"Plane\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"Parallelogram given an origin and two points. The resolution indicates the number of division along each axis of the plane.\" \n"
"        short_help=\"Create a parallelogram from an origin and two points\">\n"
"  <Source class=\"vtkPlaneSource\"/>\n"
"  <VectorEntry label=\"Origin\" property=\"Origin\" trace_name=\"Origin\"\n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the position of the origin of the plane.\"/>\n"
"  <VectorEntry label=\"First point\" property=\"Point1\" trace_name=\"Point1\" \n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the position of the point defining the first axis.\"/>\n"
"  <VectorEntry label=\"Second point\" property=\"Point2\" trace_name=\"Point2\" \n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the position of the point defining the second axis.\"/>\n"
"  <ThumbWheel label=\"X resolution\" trace_name=\"XResolution\"\n"
"              property=\"XResolution\"\n"
"              resolution=\"1\" minimum_value=\"1\"\n"
"              help=\"The number os x pieces to divide the plane into.\"/>\n"
"  <ThumbWheel label=\"Y resolution\" trace_name=\"YResolution\"\n"
"              property=\"YResolution\"\n"
"              resolution=\"1\" minimum_value=\"1\"\n"
"              help=\"The number of y pieces to divide the plane into.\"/>\n"
"  <Documentation>\n"
"The Plane source can be used to add a polygonal parallelogram to the 3D scene. Unlike the sphere, cone, and cylinder sources, the parallelogram is exactly represented at the lowest resolution, but higher resolutions may be desired if this plane is to be used as an input to a filter. The Plane source has the following parameters.\n"
"Origin: The origin is the location of one of the corners of the parallelogram. By default this coordinate is (-0.5, -0.5, 0).\n"
"First point: This coordinate represents the location of a second corner of the parallelogram. One edge of the parallelogram will be the line connecting the origin with this first point. This will be considered the X axis of the parallelogram. The default coordinate of the First point is (0.5, -0.5, 0).\n"
"Second point: This coordinate represents the location of a third corner of the parallelogram. One edge of the parallelogram will be the line connecting the origin with this second point. This will be considered the Y axis of the parallelogram. The default coordinate of the Second point is (-0.5, 0.5, 0).\n"
"X resolution: This is the number of divisions along the X axis of the parallelogram. By default this value is 1.\n"
"Y resolution: This is the number of divisions along the Y axis of the parallelogram. By default this value is 1.\n"
"The output of the Plane source is polygonal data.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"SphereSource\" menu_name=\"Sphere\" root_name=\"Sphere\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"3D sphere given a center and radius.\" \n"
"        short_help=\"Create a 3D sphere\"\n"
"        button_image=\"PVSphereSourceButton\"\n"
"        button_help=\"Create a 3D sphere.\"\n"
"        button_visibility=\"0\">\n"
"  <Source class=\"vtkSphereSource\"/>\n"
"  <VectorEntry label=\"Center\" property=\"Center\" trace_name=\"Center\"\n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the coordinates for the center of the sphere.\" />\n"
"  <ThumbWheel label=\"Radius\" trace_name=\"Radius\" property=\"Radius\"\n"
"              resolution=\"0.01\" minimum_value=\"0\"\n"
"              help=\"Set the radius of the sphere\" />\n"
"  <Scale label=\"Theta Resolution\" trace_name=\"Theta Resolution\" \n"
"               property=\"ThetaResolution\"\n"
"               resolution=\"1\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Set the number of points in the longitude direction (ranging from Start Theta to End Theta)\" />\n"
"  <Scale label=\"Start Theta\" trace_name=\"Start Theta\" \n"
"               property=\"StartTheta\"\n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Set the starting angle in the longitude direction\" />\n"
"  <Scale label=\"End Theta\" trace_name=\"End Theta\" property=\"EndTheta\" \n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Set the ending angle in the longitude direction\" />\n"
"  <Scale label=\"Phi Resolution\" trace_name=\"Phi Resolution\" \n"
"               property=\"PhiResolution\" resolution=\"1\"\n"
"               display_entry=\"1\" display_value=\"0\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               help=\"Set the number of points in the latitude direction (ranging from Start Phi to End Phi)\" />\n"
"  <Scale label=\"Start Phi\" trace_name=\"Start Phi\" property=\"StartPhi\" \n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Set the starting angle in the latitude direction\" />\n"
"  <Scale label=\"End Phi\" trace_name=\"End Phi\" property=\"EndPhi\" \n"
"               resolution=\"0.01\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Set the ending angle in the latitude direction\" />\n"
"  <Documentation>\n"
"The Sphere source can be used to add a polygonal sphere to the 3D scene. The following parameters are available for the Sphere source.\n"
"Center: This coordinate represents the center of the sphere. By default this value is (0, 0, 0).\n"
"Radius: This is the radius of the sphere. The default value is 0.5.\n"
"Theta Resolution: This number represents the number of divisions between Start Theta and End Theta around the sphere. The theta divisions are similar to longitude lines on the earth. The higher the resolution, the closer the approximation will come to a sphere, and the more polygons there will be. The default Theta Resolution is 8.\n"
"Start Theta: To form a complete sphere, the Start Theta value should be 0 degrees, and the End Theta value should be 360 degrees. The Start Theta value can be adjusted to form only a portion of a sphere. The default value is 0 degrees.\n"
"End Theta: The End Theta value can be adjusted to form only a portion of a sphere. The default End Theta value is 360 degrees.\n"
"Phi Resolution: This number represents the number of divisions between Start Phi and End Phi on the sphere. The phi divisions are similar to latitude lines on the earth. The default Phi Resolution value is 8.\n"
"Start Phi: To form a complete sphere, the Start Phi value should be 0 degrees, and the End Phi value should be 180 degrees. The Start Phi value can be adjusted to form only a portion of a sphere. The default value is 0 degrees.\n"
"End Phi: The End Phi value can be adjusted to form only a portion of a sphere. The default End Phi value is 180 degrees.\n"
"The output of the Sphere source is polygonal data with point normals defined.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"SuperquadricSource\" menu_name=\"Superquadric\" root_name=\"SQuad\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"Superquadric according to the theta and phi roundness parameters. This one function can generate a wide variety of 3D objects including a box, a sphere, or a torus.\" \n"
"        short_help=\"Create a superquadric according to the theta and phi roundness parameters\"\n"
"        button_image=\"PVSuperquadricButton\"\n"
"        button_help=\"Create a torus shaped surface.\"\n"
"        button_visibility=\"0\">\n"
"  <Source class=\"vtkSuperquadricSource\"/>\n"
"  <VectorEntry label=\"Center\" property=\"Center\" trace_name=\"Center\"\n"
"               type=\"float\" length=\"3\"\n"
"               help=\"Set the center of the superquadric\" />\n"
"  <VectorEntry label=\"Scale\" property=\"Scale\" trace_name=\"Scale\" type=\"float\"\n"
"               length=\"3\"\n"
"               help=\"Set the scale of the superquadric\" />\n"
"  <Scale label=\"Theta resolution\" trace_name=\"ThetaResolution\" \n"
"               property=\"ThetaResolution\" resolution=\"1\"\n"
"               display_entry=\"1\" display_value=\"0\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               help=\"The number of points in the longitude direction.\"/>\n"
"  <Scale label=\"Phi resolution\" property=\"PhiResolution\" \n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Sources.xml
static const char* vtkPVDefaultModulesSourcesInterface2 =
"               trace_name=\"PhiResolution\" resolution=\"1\"\n"
"               display_entry=\"1\" display_value=\"0\"\n"
"               entry_and_label_on_top=\"0\"\n"
"               help=\"The number of points in the latitude direction.\" />\n"
"  <Scale label=\"Thickness\" trace_name=\"Thickness\" property=\"Thickness\"\n"
"               resolution=\"0.001\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Changing thickness maintains the outside diameter of the toroid.\"/>\n"
"  <Scale label=\"Theta roundness\" trace_name=\"ThetaRoundness\" \n"
"               property=\"ThetaRoundness\" resolution=\"0.01\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Values range from 0 (rectangular) to 1 (circular) to higher order.\" />\n"
"  <Scale label=\"Phi roundness\" trace_name=\"PhiRoundness\" \n"
"               property=\"PhiRoundness\" resolution=\"0.01\"\n"
"               display_entry=\"1\" display_value=\"0\" entry_and_label_on_top=\"0\"\n"
"               help=\"Values range from 0 (rectangular) to 1 (circular) to higher order.\"/>\n"
"  <VectorEntry label=\"Size\" property=\"Size\" trace_name=\"Size\"\n"
"               type=\"float\"\n"
"               help=\"Isotropic size\" />\n"
"  <LabeledToggle label=\"Toroidal\" trace_name=\"Toroidal\" property=\"Toroidal\"\n"
"                 help=\"Whether or not the superquadric is toroidal or ellipsoidal\" />\n"
"  <Documentation>\n"
"The Superquadric source can be used to add a polygonal superquadric to the 3D scene. This source can be used to create a wide variety of shapes (e.g., a sphere, a box, or a torus) by adjusting the roundness parameters. The Superquadric source has the following parameters.\n"
"Center: This coordinate represents the center of the superquadric. By default this value is (0, 0, 0).\n"
"Scale: These three values can be used to scale the superquadric in X, Y, and Z. The normals will be computed correctly even with anisotropic scaling. By default all three values are set to 1.\n"
"Theta resolution: This number represents the number of divisions in the theta (longitudinal) direction. The default Theta Resolution value is 16. This value will be rounded to the nearest multiple of 8.\n"
"Phi resolution: This number represents the number of divisions in the phi (latitudinal) direction. The default Phi Resolution value is 16. This number will be rounded to the nearest multiple of 4.\n"
"Thickness: If the Toroidal box is checked, this value represents the thickness of the object as a value between 0 and 1. A value close to 0 leads to a thin object with a large hole, and a value near 1 leads to a thick object with a very small hole.\n"
"Theta roundness: Define the roundness in the theta (longitudinal) direction. A value of 0 represents a rectangular shape, a value of 1 represents a circular shape, and values greater than 1 produce higher order shapes. The default value is 1.\n"
"Phi roundness: Define the roundness in the phi (latitudinal) direction. A value of 0 represents a rectangular shape, a value of 1 represents a circular shape, and values greater than 1 produce higher order shapes. The default value is 1.\n"
"Size: This value represents an isotropic size of the superquadric. By default it is 0.5. Note that both the Size and Thickness parameters control coefficients of superquadric generation, so the Size value may not exactly describe the size of the superquadric.\n"
"Toroidal: If this box is not checked (the default), the generated superquadric will not contain a hole. If checked, a toroidal object is generated.\n"
"The output of the Superquadric source is polygonal data with point normals and texture coordinates defined.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"<Module name=\"RTAnalyticSource\" menu_name=\"Wavelet\" root_name=\"RTSource\" \n"
"        module_type=\"Source\" \n"
"        long_help=\"Regular rectilinear grid in up to three dimensions with values varying according to a periodic function.\"\n"
"        short_help=\"Create a Wavelet\"\n"
"        button_image=\"PVWaveletButton\"\n"
"        button_help=\"Regular rectilinear grid in up to three dimensions with values varying according to a periodic function.\"\n"
"        button_visibility=\"0\">\n"
"  <Source class=\"vtkRTAnalyticSource\"/>\n"
"  <VectorEntry label=\"Extent\" trace_name=\"WholeExtent\" property=\"WholeExtent\" \n"
"                type=\"int\" length=\"6\"\n"
"                help=\"Extent (dimensions) of the function.\" />\n"
"  <VectorEntry label=\"Center\" property=\"Center\" trace_name=\"Center\"\n"
"               type=\"float\" length=\"3\" \n"
"               help=\"Center of the function.\"/>\n"
"  <VectorEntry label=\"Maximum\" property=\"Maximum\" trace_name=\"Maximum\"\n"
"               type=\"float\" \n"
"               help=\"Maximum value of the function\"/>\n"
"  <VectorEntry label=\"X Freq.\" trace_name=\"XFreq\" property=\"XFreq\" \n"
"               type=\"float\" help=\"Frequency in X\"/>\n"
"  <VectorEntry label=\"Y Freq.\" trace_name=\"YFreq\" property=\"YFreq\" \n"
"               type=\"float\" help=\"Frequency in Y\"/>\n"
"  <VectorEntry label=\"Z Freq.\" trace_name=\"ZFreq\" property=\"ZFreq\" \n"
"               type=\"float\" help=\"Frequency in Z\"/>\n"
"  <VectorEntry label=\"X Mag.\" trace_name=\"XMag\" property=\"XMag\" \n"
"               type=\"float\" help=\"Wave amplitude in X\"/>\n"
"  <VectorEntry label=\"Y Mag.\" trace_name=\"YMag\" property=\"YMag\" \n"
"               type=\"float\" help=\"Wave amplitude in Y\"/>\n"
"  <VectorEntry label=\"Z Mag.\" trace_name=\"ZMag\" property=\"ZMag\" \n"
"               type=\"float\" help=\"Wave amplitude in Z\"/>\n"
"  <VectorEntry label=\"Standard dev.\" trace_name=\"StandardDeviation\" \n"
"               property=\"StandardDeviation\" type=\"float\"\n"
"               help=\"Standard deviation of the gaussian\" />\n"
"  <Documentation>\n"
"The Wavelet source can be used to create a uniform rectilinear grid in up to three dimensions with values varying according to the following periodic function.\n"
"OS = M * G * (XM * sin(XF * x) + YM * sin(YF * y) + ZM * cos(ZF * z))\n"
"OS is the output scalar; M represents the maximum value; G represents the Gaussian; XM, YM, and ZM are the X, Y, and Z magnitude values; and XF, YF, and ZF are the X, Y, and Z frequency values. If a two-dimensional extent is specified, the resulting image will be displayed. If a three-dimensional extent is used, then the bounding box of the volume will be displayed. The Wavelet source has the following parameters.\n"
"Extent: These six values indicate the X, Y, and Z extent of the output data. The first two values represent the minimum and maximum X indices, the next two are the minimum and maximum Y indices, and the last two are the minimum and maximum Z indices. By default each axis ranges from -10 to 10.\n"
"Center: This coordinate represents the center of the output data. By default this is (0, 0, 0).\n"
"Maximum: This value is used to scale the scalar values in the output. The default value is 255.\n"
"X Freq.: This is the XF value from the above equation. The default value is 60.\n"
"Y Freq.: This is the YF value from the above equation. The default value is 30.\n"
"Z Freq.: This is the ZF value from the above equation. The default value is 40.\n"
"X Mag.: This is the XM value from the above equation. The default value is 10.\n"
"Y Mag.: This is the YM value from the above equation. The default value is 18.\n"
"Z Mag.: This is the ZM value from the above equation. The default value is 5.\n"
"Standard dev.: The standard deviation is used in the generation of the Gaussian value in the above equation. The default value is 0.5.\n"
"The output of the Wavelet source is image (uniform rectilinear) data.\n"
"  </Documentation>\n"
"</Module>\n"
"\n"
"</ModuleInterfaces>\n"
"\n"
"\n";
// Get single string
char* vtkPVDefaultModulesSourcesGetInterfaces()
{
  int len = ( 0
    + strlen(vtkPVDefaultModulesSourcesInterface0)
    + strlen(vtkPVDefaultModulesSourcesInterface1)
    + strlen(vtkPVDefaultModulesSourcesInterface2) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkPVDefaultModulesSourcesInterface0);
  strcat(res, vtkPVDefaultModulesSourcesInterface1);
  strcat(res, vtkPVDefaultModulesSourcesInterface2);
  return res;
}


// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Readers.xml
static const char* vtkPVDefaultModulesReadersInterface0 =
"<ModuleInterfaces>\n"
"  <Module name=\"PVDReader\"\n"
"          class=\"vtkPVDReaderModule\"\n"
"          root_name=\"PVDReader\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvd\"\n"
"          file_description=\"ParaView Data Files\">\n"
"    <Source class=\"vtkPVDReader\"/>\n"
"    \n"
"    <Scale property=\"TimeStep\"\n"
"           label=\"Time step\" trace_name=\"TimeStep\"\n"
"           keeps_timesteps=\"1\"\n"
"           help=\"Set the current timestep.\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLPolyDataReader\"\n"
"          root_name=\"XMLPolyDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtp\"\n"
"          file_description=\"VTK PolyData Files\">\n"
"    <Source class=\"vtkXMLPolyDataReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\"/>\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLUnstructuredGridReader\"\n"
"          root_name=\"XMLUnstructuredGridReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtu\"\n"
"          file_description=\"VTK UnstructuredGrid Files\">\n"
"    <Source class=\"vtkXMLUnstructuredGridReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLImageDataReader\"\n"
"          root_name=\"XMLImageDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vti\"\n"
"          file_description=\"VTK ImageData Files\">\n"
"    <Source class=\"vtkXMLImageDataReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text_name=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLStructuredGridReader\"\n"
"          root_name=\"XMLStructuredGridReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vts\"\n"
"          file_description=\"VTK StructuredGrid Files\">\n"
"    <Source class=\"vtkXMLStructuredGridReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLRectilinearGridReader\"\n"
"          root_name=\"XMLRectilinearGridReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtr\"\n"
"          file_description=\"VTK RectilinearGrid Files\">\n"
"    <Source class=\"vtkXMLRectilinearGridReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLPPolyDataReader\"\n"
"          root_name=\"XMLPPolyDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvtp\"\n"
"          file_description=\"VTK PolyData Files (partitioned)\">\n"
"    <Source class=\"vtkXMLPPolyDataReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLPUnstructuredGridReader\"\n"
"          root_name=\"XMLPUnstructuredGridReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvtu\"\n"
"          file_description=\"VTK UnstructuredGrid Files (partitioned)\">\n"
"    <Source class=\"vtkXMLPUnstructuredGridReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLPImageDataReader\"\n"
"          root_name=\"XMLPImageDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvti\"\n"
"          file_description=\"VTK ImageData Files (partitioned)\">\n"
"    <Source class=\"vtkXMLPImageDataReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLPStructuredGridReader\"\n"
"          root_name=\"XMLPStructuredGridReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvts\"\n"
"          file_description=\"VTK StructuredGrid Files (partitioned)\">\n"
"    <Source class=\"vtkXMLPStructuredGridReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLPRectilinearGridReader\"\n"
"          root_name=\"XMLPRectilinearGridReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvtr\"\n"
"          file_description=\"VTK RectilinearGrid Files (partitioned)\">\n"
"    <Source class=\"vtkXMLPRectilinearGridReader\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointSelection\" />\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellSelection\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLMultiBlockDataReader\"\n"
"          root_name=\"XMLMultiBlockDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtm\"\n"
"          file_description=\"VTK MultiBlock Data Files\">\n"
"    <Source class=\"vtkXMLMultiBlockDataReader\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLMultiGroupDataReader\"\n"
"          root_name=\"XMLMultiGroupDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtm\"\n"
"          file_description=\"VTK MultiGroup Data Files\">\n"
"    <Source class=\"vtkXMLMultiGroupDataReader\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLHierarchicalDataReader\"\n"
"          root_name=\"XMLHierarchicalDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtm\"\n"
"          file_description=\"VTK Hierarchical Data Files\">\n"
"    <Source class=\"vtkXMLHierarchicalDataReader\"/>\n"
"  </Module>\n"
"  <Module name=\"XMLHierarchicalBoxDataReader\"\n"
"          root_name=\"XMLHierarchicalBoxDataReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtm\"\n"
"          file_description=\"VTK Hierarchical Box Data Files\">\n"
"    <Source class=\"vtkXMLHierarchicalBoxDataReader\"/>\n"
"  </Module>\n"
"  <Module name=\"legacyreader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"LegaVTK\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".vtk\"\n"
"          file_description=\"Legacy VTK files\">\n"
"    <Source class=\"vtkPDataSetReader\"/>\n"
"  </Module>\n"
"  <Module name=\"pvtkfile\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          root_name=\"LegaPVTK\"\n"
"          output=\"vtkDataSet\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pvtk\"\n"
"          file_description=\"Legacy VTK Files (partitioned)\">\n"
"    <Source class=\"vtkPDataSetReader\"/>\n"
"  </Module>\n"
"  <Module name=\"ensight\"\n"
"          class=\"vtkPVEnSightReaderModule\"\n"
"          root_name=\"Ensight\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".case .CASE .Case\"\n"
"          file_description=\"EnSight Files\">\n"
"    <Source class=\"vtkGenericEnSightReader\"/>\n"
"    <SelectionList label=\"Byte order\"\n"
"                   trace_name=\"ByteOrder\"\n"
"                   property=\"ByteOrder\"\n"
"                   help=\"Select the byte order of the binary file\">\n"
"      <Item name=\"big endian\" value=\"0\"/>\n"
"      <Item name=\"little endian\" value=\"1\"/>\n"
"    </SelectionList>\n"
"    <SelectTimeSet label=\"Select time value\" property=\"SetTimeValue\"\n"
"                   trace_name=\"TimeSet\"\n"
"                   keeps_timesteps=\"1\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointArrays\"/>\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellArrays\"/>\n"
"  </Module>\n"
"  <Module name=\"ensightMS\"\n"
"          class=\"vtkPVEnSightReaderModule\"\n"
"          root_name=\"EnsightMS\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".sos .SOS\"\n"
"          file_description=\"EnSight Master Server Files\">\n"
"    <Source class=\"vtkPVEnSightMasterServerReader\"/>\n"
"    <SelectTimeSet label=\"Select time value\"\n"
"                   trace_name=\"TimeSet\"\n"
"                   property=\"SetTimeValue\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointArrays\"/>\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellArrays\"/>\n"
"  </Module>\n"
"  <Module name=\"ExodusReader\"\n"
"          root_name=\"ExodusReader\"\n"
"          output=\"vtkUnstructuredGrid\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".g .e .ex2 .ex2v2 .exo .gen .exoII .0 .00 .000 .0000\"\n"
"          file_description=\"Exodus\">\n"
"    <Source class=\"vtkPExodusReader\"/>\n"
"\n"
"    <StringEntry property=\"FilePrefix\"\n"
"                 label=\"File prefix\"\n"
"                 trace_name=\"file_prefix\"\n"
"                 help=\"Set the file root. Used with file pattern to format a file name.\" />\n"
"    <StringEntry property=\"FilePattern\"\n"
"                 label=\"File Pattern\"\n"
"                 trace_name=\"file_pattern\"\n"
"                 help=\"Pattern used to load files. There are two parts to it prefix (%s) and the file number (%i)\" />\n"
"\n"
"    \n"
"    <MinMax trace_name=\"FileRange\"\n"
"            property=\"FileRange\"\n"
"            min_label=\"First Index\"\n"
"            max_label=\"Last Index\"\n"
"            min_help=\"Choose the index of the first file to be read\"\n"
"            max_help=\"Choose the index of the last file to be read\"/>\n"
"\n"
"    <StringEntry property=\"XMLFileName\"\n"
"                 label=\"XML File\"\n"
"                 trace_name=\"xml_file\"\n"
"                 help=\"An XML file containing part and material descriptions and mapping to element blocks.\" />\n"
"\n"
"\n"
"    <Scale property=\"TimeStep\"\n"
"           label=\"Time step\" trace_name=\"TimeStep\"\n"
"           keeps_timesteps=\"1\"\n"
"           help=\"Set the current timestep.\"/>\n"
"\n"
"    <ArraySelection trace_name=\"cell_array_sel\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    label_text=\"Element Variables\" />\n"
"    <ArraySelection trace_name=\"point_array_sel\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    label_text=\"Node Variables\" />\n"
"    <ArraySelection trace_name=\"side_set_sel\"\n"
"                    property=\"SideSetArrayStatus\"\n"
"                    label_text=\"Side Sets\" />\n"
"    <ArraySelection trace_name=\"node_set_sel\"\n"
"                    property=\"NodeSetArrayStatus\"\n"
"                    label_text=\"Node Sets\" />\n"
"\n"
"    <SelectWidget label=\"Display Type\"\n"
"                  property=\"DisplayType\"\n"
"                  trace_name=\"DisplayType\">\n"
"      <Item label=\"Blocks\" value=\"1\">\n"
"        <ArraySelection trace_name=\"block_sel\"\n"
"                        property=\"BlockArrayStatus\"\n"
"                        label_text=\"Blocks\"/>\n"
"      </Item>\n"
"      <Item label=\"Materials\" value=\"2\">\n"
"        <ArraySelection trace_name=\"material_sel\"\n"
"                        property=\"MaterialArrayStatus\"\n"
"                        label_text=\"Materials\"/>\n"
"      </Item>\n"
"      <Item label=\"Hierarchy\" value=\"3\">\n"
"        <ArraySelection trace_name=\"hierarchy_sel\"\n"
"                        property=\"HierarchyArrayStatus\"\n"
"                        label_text=\"Hierarchy\"/>\n"
"      </Item>\n"
"    </SelectWidget>\n"
"\n"
"    <LabeledToggle label=\"Apply Displacements\"\n"
"                   property=\"ApplyDisplacements\"\n"
"                   trace_name=\"apply_displacements\"\n"
"                   help=\"Select whether the reader automatically applies displacements\"/>\n"
"    <VectorEntry label=\"Displacement Scale\"\n"
"                 trace_name=\"DisplacementMagnitude\"\n"
"                 property=\"DisplacementMagnitude\"\n"
"                 type=\"float\"\n"
"                 help=\"The magnitude of the applied displacement.\"/>\n"
"\n"
"    <LabeledToggle label=\"Block Ids\"\n"
"                   property=\"GenerateBlockIdCellArray\"\n"
"                   trace_name=\"block_ids\"\n"
"                   help=\"Select whether the reader generates block ids\"/>\n"
"\n"
"    <LabeledToggle label=\"Global Node Ids\"\n"
"                   property=\"GenerateGlobalNodeIdArray\"\n"
"                   trace_name=\"global_node_ids\"\n"
"                   help=\"Select whether the reader generates global node ids\"/>\n"
"    <LabeledToggle label=\"Global Element Ids\"\n"
"                   property=\"GenerateGlobalElementIdArray\"\n"
"                   trace_name=\"global_element_ids\"\n"
"                   help=\"Select whether the reader generates global element ids\"/>\n"
"    <LabeledToggle label=\"File Ids\"\n"
"                   property=\"GenerateFileIdArray\"\n"
"                   trace_name=\"global_file_ids\"\n"
"                   help=\"Select whether the reader generates cell based disk file ids\"/>\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Readers.xml
static const char* vtkPVDefaultModulesReadersInterface1 =
"    <LabeledToggle label=\"Include metadata\"\n"
"                   property=\"ExodusModelMetadata\"\n"
"                   trace_name=\"metadata\"\n"
"                   help=\"Turn this ON if you plan to write Exodus or EnSight files\"/>\n"
"    <BasicDSPFilterWidget trace_name=\"Apply basic time filtering\"\n"
"                      help=\"Apply basic time filtering\"/>\n"
"  </Module>\n"
"    <Module name=\"byureader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"BYU\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".g\"\n"
"          file_description=\"BYU Files\">\n"
"    <Source class=\"vtkBYUReader\"/>\n"
"  </Module>\n"
"  <Module name=\"XdmfReader\"\n"
"          root_name=\"XdmfReader\"\n"
"          output=\"vtkDataSet\"\n"
"          class=\"vtkXDMFReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".xmf .xdmf\"\n"
"          file_description=\"Xdmf Reader\">\n"
"    <Source class=\"vtkXdmfReader\"/>\n"
"    <ArraySelection trace_name=\"cell_array_sel\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    label_text=\"Cell Arrays\" />\n"
"    <ArraySelection trace_name=\"point_array_sel\" \n"
"                    property=\"PointArrayStatus\"\n"
"                    label_text=\"Point Arrays\" />\n"
"    <VectorEntry label=\"Stride\"\n"
"                 trace_name=\"stride\" property=\"Stride\" type=\"int\"\n"
"                 length=\"3\"\n"
"                 help=\"Set the number of steps to skip between each point (structured data only).\"/>\n"
"    <XDMFParameters trace_name=\"xdmf_parameters\"\n"
"                    property=\"ParameterIndex\" label=\"Parameters\" />\n"
"  </Module>\n"
"  <Module name=\"P3DReader\"\n"
"          class=\"vtkPVPLOT3DReaderModule\"\n"
"          root_name=\"Plot3D\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".xyz\"\n"
"          file_description=\"PLOT3D Files\">\n"
"    <Source class=\"vtkMultiBlockPLOT3DReader\"/>\n"
"    <FileEntry label=\"Q File\"\n"
"               trace_name=\"QFileName\"\n"
"               property=\"QFileName\" extension=\"q\"\n"
"               keeps_timesteps=\"1\"\n"
"               help=\"Set the plot3d q file to read.\"/>\n"
"    <LabeledToggle label=\"Binary\"\n"
"                   trace_name=\"BinaryFile\"\n"
"                   property=\"BinaryFile\"\n"
"                   help=\"Is this a binary file?\"/>\n"
"    <LabeledToggle label=\"Multi-block\"\n"
"                   trace_name=\"MultiGrid\"\n"
"                   property=\"MultiGrid\"\n"
"                   help=\"Does this file have multiple block information\"/>\n"
"    <LabeledToggle label=\"Fortran byte count\"\n"
"                   trace_name=\"HasByteCount\"\n"
"                   property=\"HasByteCount\"\n"
"                   help=\"Does this file use Fortran leading-trailing byte counts\"/>\n"
"    <LabeledToggle label=\"I blanking\"\n"
"                   trace_name=\"IBlanking\"\n"
"                   property=\"IBlanking\"\n"
"                   help=\"Any visibility information?\"/>\n"
"    <LabeledToggle label=\"2D geometry\"\n"
"                   trace_name=\"TwoDimensionalGeometry\"\n"
"                   property=\"TwoDimensionalGeometry\"\n"
"                   help=\"Is there only data for two dimensions?\"/>\n"
"    <LabeledToggle label=\"Force read\"\n"
"                   trace_name=\"ForceRead\"\n"
"                   property=\"ForceRead\"\n"
"                   help=\"Read even if file looks corrupt?\"/>\n"
"    <SelectionList label=\"Byte order\"\n"
"                   trace_name=\"ByteOrder\"\n"
"                   property=\"ByteOrder\"\n"
"                   help=\"Select the byte order of the binary file\">\n"
"      <Item name=\"big endian\"\n"
"            value=\"0\"/>\n"
"      <Item name=\"little endian\"\n"
"            value=\"1\"/>\n"
"    </SelectionList>\n"
"    <ItemSelection label_text=\"Function\"\n"
"                    property=\"Functions\"\n"
"                    trace_name=\"FunctionSelection\"/>\n"
"  </Module>\n"
"\n"
" <Module name=\"spcthreader\"\n"
"          class=\"vtkPVAdvancedReaderModule\" root_name=\"SPCTH\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".spcth .0\"\n"
"          file_description=\"SpyPlot CTH dataset\">\n"
"    <Source class=\"vtkSpyPlotReader\"/>\n"
"    <LabeledToggle label=\"Down-convert Volume Fraction\"\n"
"                   property=\"DownConvertVolumeFraction\"\n"
"                   trace_name=\"down_convert\"\n"
"                   help=\"Select whether, the volume fraction is float or down converted into unsinged char\"/>\n"
"    <LabeledToggle label=\"Distribute files\"\n"
"                   property=\"DistributeFiles\"\n"
"                   trace_name=\"file_flag\"\n"
"                   help=\"Select whether, in parallel mode, if the reader distributes files or blocks\"/>\n"
"    <LabeledToggle label=\"Generate level array\"\n"
"                   property=\"GenerateLevelArray\"\n"
"                   trace_name=\"level_flag\"\n"
"                   help=\"Generate a cell array storing the level of each block\"/>\n"
"    <LabeledToggle label=\"Generate blockId array\"\n"
"                   property=\"GenerateBlockIdArray\"\n"
"                   trace_name=\"blockid_flag\"\n"
"                   help=\"Generate a cell array storing a unique blockId of each block\"/>\n"
"    <LabeledToggle label=\"Generate active block array\"\n"
"                   property=\"GenerateActiveBlockArray\"\n"
"                   trace_name=\"activeblock_flag\"\n"
"                   help=\"Generate a cell array that stores the active status of a block\"/>\n"
"    <Scale property=\"TimeStep\"\n"
"           label=\"Time step\" trace_name=\"TimeStep\"\n"
"           keeps_timesteps=\"1\"\n"
"           display_entry=\"1\" display_value=\"0\"\n"
"           help=\"Set the current timestep.\"/>\n"
"    <ArraySelection label_text=\"Cell Arrays\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    trace_name=\"CellArrays\"/>\n"
"  </Module>\n"
"\n"
"  <Module name=\"HDF5RawImageReader\"\n"
"          root_name=\"HDF5RawImageReader\"\n"
"          output=\"vtkImageData\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".h5\"\n"
"          file_description=\"HDF5 Raw ImageData Files\">\n"
"    <Source class=\"vtkHDF5RawImageReader\"/>\n"
"    <VectorEntry length=\"3\" label=\"Stride\"\n"
"                 property=\"Stride\" trace_name=\"Stride\" type=\"int\"\n"
"                 help=\"Read a subset of data spaced by the stride.\"/>\n"
"    <ArraySelection label_text=\"Point Arrays\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    trace_name=\"PointArrays\"/>\n"
"  </Module>\n"
"  <Module name=\"DEMReader\"\n"
"          root_name=\"DEMReader\"\n"
"          class=\"vtkPVReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".dem\"\n"
"          file_description=\"Digital Elevation Map Files\">\n"
"    <Source class=\"vtkDEMReader\"/>\n"
"  </Module>\n"
"  <Module name=\"vrmlreader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"VRML\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".wrl\"\n"
"          file_description=\"VRML 2 Files\">\n"
"    <Source class=\"vtkVRMLSource\"/>\n"
"  </Module>\n"
"  <Module name=\"plyreader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"PLY\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".ply\"\n"
"          file_description=\"PLY Polygonal File Format\">\n"
"    <Source class=\"vtkPLYReader\"/>\n"
"  </Module>\n"
"  <Module name=\"pdbreader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"PDB\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pdb\"\n"
"          file_description=\"Protein Data Bank Files\">\n"
"    <Source class=\"vtkPDBReader\"/>\n"
"  </Module>\n"
"  <Module name=\"xyzreader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"XYZMol\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".xyz\"\n"
"          file_description=\"XMol Molecule Files\">\n"
"    <Source class=\"vtkXYZMolReader\"/>\n"
"    <VectorEntry property=\"TimeStep\" label=\"TimeStep\"\n"
"                 trace_name=\"TimeStep\" type=\"int\"\n"
"                 keeps_timesteps=\"1\"\n"
"                 help=\"Set the TimeStep\"/>\n"
"    <!--TODO: shouldn't this widget be a Scale, rather than a VectorEntry? -->\n"
"  </Module>\n"
"  <Module name=\"stlreader\"\n"
"          class=\"vtkPVReaderModule\" root_name=\"STL\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".stl\"\n"
"          file_description=\"Stereo Lithography\">\n"
"    <Source class=\"vtkSTLReader\"/>\n"
"  </Module>\n"
"  <Module name=\"gaussiancubereader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          root_name=\"GaussianCube\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".cube\"\n"
"          file_description=\"Gaussian Cube Files\">\n"
"    <Source class=\"vtkGaussianCubeReader\"/>\n"
"    <VectorEntry property=\"HBScale\" label=\"HBScale\"\n"
"                 trace_name=\"HBScale\" type=\"float\"\n"
"                 help=\"Set the HB scale\"/>\n"
"    <VectorEntry property=\"BScale\" label=\"BScale\"\n"
"                 trace_name=\"BScale\" type=\"float\"\n"
"                 help=\"Set the B scale\"/>\n"
"  </Module>\n"
"  <Module name=\"ImageReader\"\n"
"          root_name=\"ImageRead\"\n"
"          module_type=\"Reader\"\n"
"          class=\"vtkPVRawReaderModule\"\n"
"          extensions=\".raw\"\n"
"          file_description=\"Raw (binary) Files\"\n"
"          long_help=\"Read raw regular rectilinear grid data from a file. The dimensions and type of the data must be specified.\">\n"
"    <Source class=\"vtkImageReader\"/>\n"
"    <StringEntry label=\"File pattern\"\n"
"                 trace_name=\"FilePattern\"\n"
"                 property=\"FilePattern\"\n"
"                 help=\"Set the format string for building filename. In creating the filename, %s will be replaced by the prefix and %d by a digit which represents the slice number in Z\"/>\n"
"    <SelectionList label=\"Data type\"\n"
"                   trace_name=\"DataScalarType\"\n"
"                   property=\"DataScalarType\"\n"
"                   help=\"Select the pixel type in the file: short, int, float ...\">\n"
"      <Item name=\"char\" value=\"2\"/>\n"
"      <Item name=\"unsigned char\" value=\"3\"/>\n"
"      <Item name=\"short\" value=\"4\"/>\n"
"      <Item name=\"unsigned short\" value=\"5\"/>\n"
"      <Item name=\"int\" value=\"6\"/>\n"
"      <Item name=\"unsigned int\" value=\"7\"/>\n"
"      <Item name=\"long\" value=\"8\"/>\n"
"      <Item name=\"unsigned long\" value=\"9\"/>\n"
"      <Item name=\"float\" value=\"10\"/>\n"
"      <Item name=\"double\" value=\"11\"/>\n"
"    </SelectionList>\n"
"    <SelectionList label=\"Byte order\"\n"
"                   trace_name=\"DataByteOrder\"\n"
"                   property=\"DataByteOrder\"\n"
"                   help=\"Select the byte order of the binary file\">\n"
"      <Item name=\"big endian\"\n"
"            value=\"0\"/>\n"
"      <Item name=\"little endian\"\n"
"            value=\"1\"/>\n"
"    </SelectionList>\n"
"    <SelectionList label=\"File Dimensionality\"\n"
"                   trace_name=\"Dimensionality\"\n"
"                   property=\"FileDimensionality\"\n"
"                   help=\"The number of dimensions stored in a file.\">\n"
"      <Item name=\"2\"\n"
"            value=\"2\"/>\n"
"      <Item name=\"3\"\n"
"            value=\"3\"/>\n"
"    </SelectionList>\n"
"    <VectorEntry label=\"Origin\"\n"
"                 trace_name=\"Origin\" property=\"DataOrigin\"\n"
"                 type=\"float\" length=\"3\"\n"
"                 help=\"Set the position of the point with index (0,0,0)\"/>\n"
"    <VectorEntry label=\"Spacing\"\n"
"                 trace_name=\"Spacing\" property=\"DataSpacing\"\n"
"                 type=\"float\" length=\"3\"\n"
"                 help=\"Set the size of a voxel in each dimension.\"/>\n"
"    <VectorEntry label=\"Extent\"\n"
"                 trace_name=\"Extent\" property=\"DataExtent\"\n"
"                 type=\"int\" length=\"6\"\n"
"                 help=\"Set the min and max values of the data in each dimension\"/>\n"
"    <VectorEntry label=\"Num. components\"\n"
"                 trace_name=\"NumberOfScalarComponents\"\n"
"                 property=\"NumberOfScalarComponents\" type=\"int\"\n"
"                 help=\"How many componenets does each pixel have. (i.e. RGB would be 3.)\"/>\n"
"    <StringEntry label=\"Array name\"\n"
"                 trace_name=\"ArrayName\"\n"
"                 property=\"ScalarArrayName\"\n"
"                 help=\"Name to assign to array read\"/>\n"
"  </Module>\n"
"  <Module name=\"popreader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          root_name=\"POP\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".pop\"\n"
"          file_description=\"POP Ocean Files\">\n"
"    <Source class=\"vtkPOPReader\"/>\n"
"    <VectorEntry property=\"Radius\" label=\"Radius\"\n"
"                 trace_name=\"Radius\" type=\"float\"\n"
"                 help=\"Set the radius of the data set\"/>\n"
"    <VectorEntry label=\"Clip Extent\"\n"
"                 property=\"ClipExtent\" type=\"int\"\n"
"                 length=\"6\"\n"
"                 trace_name=\"ClipExtent\"\n"
"                 help=\"For reading a smaller extent.\"/>\n"
"    <VectorEntry label=\"Ghost Levels\"\n"
"                 trace_name=\"NumberOfGhostLevels\"\n"
"                 property=\"NumberOfGhostLevels\"\n"
"                 type=\"int\"\n"
"                 help=\"Set the number of ghost levels to read.\"/>\n"
"  </Module>\n"
"\n"
"\n"
"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Readers.xml
static const char* vtkPVDefaultModulesReadersInterface2 =
#ifdef PARAVIEW_USE_SAF
"  <Module name=\"SAFReader\"\n"
"          root_name=\"SAFReader\"\n"
"          output=\"vtkUnstructuredGrid\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\" extensions=\".saf\"\n"
"          file_description=\"SAF Reader\">\n"
"    <Source class=\"vtkSAFPVReader\"/>\n"
"\n"
"    <Scale property=\"TimeStep\"\n"
"           label=\"Time step\" trace_name=\"TimeStep\"\n"
"           help=\"Set the current timestep.\"\n"
"           keeps_timesteps=\"1\"\n"
"           range_source=\"TimeStepRange\" />\n"
"\n"
"    <ArraySelection trace_name=\"variable_sel\"\n"
"                    property=\"VariableArrayStatus\"\n"
"                    label_text=\"Variable Arrays\"  />\n"
"    <ArraySelection trace_name=\"block_sel\"\n"
"                    property=\"BlockArrayStatus\"\n"
"                    label_text=\"Block Arrays\"  />\n"
"    <BasicDSPFilterWidget trace_name=\"Apply basic time filtering\"\n"
"                      help=\"Apply basic time filtering\"/>\n"
"  </Module>\n"
"\n"
#endif
"\n"
;

// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Readers.xml
static const char* vtkPVDefaultModulesReadersInterface3 =
#ifdef PARAVIEW_USE_SSLIB_SAF
"  <Module name=\"SAFReader\"\n"
"          root_name=\"SAFReader\"\n"
"          output=\"vtkUnstructuredGrid\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          module_type=\"Reader\" extensions=\".saf\"\n"
"          file_description=\"SAF2 Reader\">\n"
"    <Source class=\"vtkSAFPVReader\"/>\n"
"\n"
"    <Scale property=\"TimeStep\"\n"
"           label=\"Time step\" trace_name=\"TimeStep\"\n"
"           help=\"Set the current timestep.\"\n"
"           keeps_timesteps=\"1\"\n"
"           range_source=\"TimeStepRange\" />\n"
"\n"
"    <ArraySelection trace_name=\"variable_sel\"\n"
"                    property=\"VariableArrayStatus\"\n"
"                    label_text=\"Variable Arrays\"  />\n"
"    <ArraySelection trace_name=\"block_sel\"\n"
"                    property=\"BlockArrayStatus\"\n"
"                    label_text=\"Block Arrays\"  />\n"
"    <BasicDSPFilterWidget trace_name=\"Apply basic time filtering\"\n"
"                      help=\"Apply basic time filtering\"/>\n"
"  </Module>\n"
"\n"
#endif
"\n"
"\n"
"\n"
"  <Module name=\"AVSucdReader\"\n"
"          class=\"vtkPVAdvancedReaderModule\"\n"
"          root_name=\"UCD\"\n"
"          output=\"vtkUnstructuredGrid\" module_type=\"Reader\"\n"
"          extensions=\".inp\"\n"
"          file_description=\"AVS UCD Binary/ASCII Files\">\n"
"    <Source class=\"vtkAVSucdReader\"/>\n"
"    <ArraySelection trace_name=\"point_array_sel\"\n"
"                    property=\"PointArrayStatus\"\n"
"                    label_text=\"Point Arrays\"/>\n"
"    <ArraySelection trace_name=\"cell_array_sel\"\n"
"                    property=\"CellArrayStatus\"\n"
"                    label_text=\"Cell Arrays\"/>\n"
"  </Module>\n"
"  <Module name=\"Meta Image Reader\"\n"
"          class=\"vtkPVReaderModule\"\n"
"          root_name=\"MIReader\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".mhd .mha\"\n"
"          file_description=\"Meta Image Data Files\">\n"
"    <Source class=\"vtkMetaImageReader\"/>\n"
"  </Module>\n"
"  <Module name=\"Facet Reader\"\n"
"          class=\"vtkPVReaderModule\"\n"
"          root_name=\"FCTReader\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".facet\"\n"
"          file_description=\"Facet Polygonal Data Files\">\n"
"    <Source class=\"vtkFacetReader\"/>\n"
"  </Module>\n"
"  <Module name=\"PNGReader\"\n"
"          root_name=\"PNGReader\"\n"
"          class=\"vtkPVReaderModule\"\n"
"          module_type=\"Reader\"\n"
"          extensions=\".png\"\n"
"          file_description=\"PNG Image Files\">\n"
"    <Source class=\"vtkPNGReader\"/>\n"
"  </Module>\n"
"</ModuleInterfaces>\n"
"\n";
// Get single string
char* vtkPVDefaultModulesReadersGetInterfaces()
{
  int len = ( 0
    + strlen(vtkPVDefaultModulesReadersInterface0)
    + strlen(vtkPVDefaultModulesReadersInterface1)
    + strlen(vtkPVDefaultModulesReadersInterface2)
    + strlen(vtkPVDefaultModulesReadersInterface3) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkPVDefaultModulesReadersInterface0);
  strcat(res, vtkPVDefaultModulesReadersInterface1);
  strcat(res, vtkPVDefaultModulesReadersInterface2);
  strcat(res, vtkPVDefaultModulesReadersInterface3);
  return res;
}


// From file /builddir/build/BUILD/paraview-2.4.3/GUI/Client/Resources/Writers.xml
static const char* vtkPVDefaultModulesWritersInterface0 =
"<ModuleInterfaces>\n"
" <Writer input=\"vtkDataSet\"\n"
"         class=\"vtkPVDWriter\"\n"
"         writer=\"vtkXMLPVDWriter\"\n"
"         extensions=\".pvd\"\n"
"         supports_time=\"1\"\n"
"         file_description=\"ParaView Data Files\"/>\n"
" <Writer input=\"vtkPolyData\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLPolyDataWriter\"\n"
"         extensions=\".vtp\"\n"
"         file_description=\"VTK PolyData Files\"/>\n"
" <Writer input=\"vtkUnstructuredGrid\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLUnstructuredGridWriter\"\n"
"         extensions=\".vtu\"\n"
"         file_description=\"VTK UnstructuredGrid Files\"/>\n"
" <Writer input=\"vtkStructuredGrid\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLStructuredGridWriter\"\n"
"         extensions=\".vts\"\n"
"         file_description=\"VTK StructuredGrid Files\"/>\n"
" <Writer input=\"vtkRectilinearGrid\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLRectilinearGridWriter\"\n"
"         extensions=\".vtr\"\n"
"         file_description=\"VTK RectilinearGrid Files\"/>\n"
" <Writer input=\"vtkImageData\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLImageDataWriter\"\n"
"         extensions=\".vti\"\n"
"         file_description=\"VTK ImageData Files\"/>\n"
" <Writer input=\"vtkPolyData\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLPPolyDataWriter\"\n"
"         parallel=\"1\"\n"
"         extensions=\".pvtp\"\n"
"         file_description=\"PVTK PolyData Files\"/>\n"
" <Writer input=\"vtkUnstructuredGrid\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLPUnstructuredGridWriter\"\n"
"         parallel=\"1\"\n"
"         extensions=\".pvtu\"\n"
"         file_description=\"PVTK UnstructuredGrid Files\"/>\n"
" <Writer input=\"vtkStructuredGrid\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLPStructuredGridWriter\"\n"
"         parallel=\"1\"\n"
"         extensions=\".pvts\"\n"
"         file_description=\"PVTK StructuredGrid Files\"/>\n"
" <Writer input=\"vtkRectilinearGrid\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLPRectilinearGridWriter\"\n"
"         parallel=\"1\"\n"
"         extensions=\".pvtr\"\n"
"         file_description=\"PVTK RectilinearGrid Files\"/>\n"
" <Writer input=\"vtkImageData\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkXMLPImageDataWriter\"\n"
"         parallel=\"1\"\n"
"         extensions=\".pvti\"\n"
"         file_description=\"PVTK ImageData Files\"/>\n"
" <Writer input=\"vtkMultiGroupDataSet\"\n"
"         class=\"vtkPVDWriter\"\n"
"         writer=\"vtkXMLPMultiGroupDataWriter\"\n"
"         extensions=\".vtm\"\n"
"         file_description=\"VTK Multi Group Files\"/>\n"
" <Writer input=\"vtkDataSet\"\n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkDataSetWriter\"\n"
"         data_mode_method=\"SetFileTypeToBinary\"\n"
"         extensions=\".vtk\"\n"
"         file_description=\"Legacy VTK Files\"/>\n"
" <Writer input=\"vtkPolyData\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkPLYWriter\"\n"
"         extensions=\".ply\"\n"
"         file_description=\"PLY Polygonal File Format\"/>\n"
" <Writer input=\"vtkImageData\"\n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkMetaImageWriter\"\n"
"         extensions=\".mhd\"\n"
"         file_description=\"Meta Image Files\"/>\n"
" <Writer input=\"vtkImageData\" \n"
"         class=\"vtkPVWriter\"\n"
"         writer=\"vtkPNGWriter\"\n"
"         extensions=\".png\"\n"
"         file_description=\"PNG Image Files\"/>\n"
"  <Writer input=\"vtkDataSet\"\n"
"          class=\"vtkPVWriter\"\n"
"          writer=\"vtkXdmfWriter\"\n"
"          extensions=\".xmf\"\n"
"          file_description=\"Xdmf Data File\"/>\n"
"  <Writer input=\"vtkUnstructuredGrid\"\n"
"          class=\"vtkPVEWriter\"\n"
"          writer=\"vtkExodusIIWriter\"\n"
"          parallel=\"1\"\n"
"          extensions=\".g .e .ex2 .ex2v2 .exo .gen .exoII .0 .00 .000 .0000\"\n"
"          file_description=\"Exodus II File\"/>\n"
"  <Writer input=\"vtkUnstructuredGrid\"\n"
"          class=\"vtkPVWriter\"\n"
"          writer=\"vtkEnSightWriter\"\n"
"          parallel=\"1\"\n"
"          extensions=\".case\"\n"
"          file_description=\"EnSight File\"/>\n"
"</ModuleInterfaces>\n"
"\n"
"\n"
"\n";
// Get single string
char* vtkPVDefaultModulesWritersGetInterfaces()
{
  int len = ( 0
    + strlen(vtkPVDefaultModulesWritersInterface0) );
  char* res = new char[ len + 1];
  res[0] = 0;
  strcat(res, vtkPVDefaultModulesWritersInterface0);
  return res;
}



#endif
